/**
* @fileoverview Ce fichier Javascript correspond au framework de gestion du composant modle de page A Propos.
* Cette description consiste   prsenter les prototypes des fonctions, des exemples d'appel et les prcisions 
* techniques ncessaires  la mise en oeuvre de ce framework.<br>
* Le framework modle de page A Propos utilise les pages HTML et classes utilitaires suivantes :<br>
* &gt; <b>{@link ComposantAPropos ComposantAPropos}</b> pour grer le composant A Propos.<br>
* &gt; <b>{@link ObjectAPropos ObjectAPropos}</b> pour dcrire l'objet associ  un lment du composant.<br>
* <br>
* <br>Ainsi, conformment aux principes du framework ergonomique, l'ensemble du contenu informatif peut tre 
* paramtr sous forme de flux XML ou par l'intermdiaire d'un tableau JavaScript.
* <br><br>Le paramtrage du contenu informatif consiste  indiquer un titre, le nom de l'application,
* le numro de version, le texte  faire apparatre et la date de version.<br><br>
* L'arborescence XML associ  ce paramtrage doit avoir la forme suivante :<br>
* <div style="border: 0.5pt solid windowtext; padding: 1pt 4pt; background: rgb(255, 255, 204) none repeat scroll 0% 50%; -moz-background-clip: initial; -moz-background-origin:
* initial; -moz-background-inline-policy: initial;"><code>&lt;COMPOSANT&gt;<br> &nbsp;&nbsp;&nbsp; &lt;TITRE&gt;&lt;/TITRE&gt;<br> &nbsp;&nbsp;&nbsp; &lt;APPLICATION&gt;&lt;/APPLICATION&gt;<br> &nbsp;&nbsp;&nbsp; &lt;VERSION&gt;&lt;/VERSION&gt;<br> &nbsp;&nbsp;&nbsp; &lt;TEXTE&gt;&lt;/TEXTE&gt;<br> &nbsp;&nbsp;&nbsp; &lt;DATE&gt;&lt;/DATE&gt;<br> &lt;/COMPOSANT&gt;
* <br></code></div>
* <br>L'lment racine de nom COMPOSANT ici peut prendre n'importe quel nom. Ce nom d'lment n'est seulement utile 
* que lorsque de la construction de la page. La dtermination de ce nom est effectue soit par un modle de page
* ou par le dveloppeur de la page.<br>
* <b>Voir Exemple de paramtrage XML du contenu informatif de ce composant : </b>
* <a href='exemples_A3.html#structXml'>Exemples de structure XML</a>.
* <br><br>RENDU IHM<br><br>Voici l'affichage d'un composant APropos, 
* <br><br><img alt="exComposantAPropos" src="Image.ComposantAPropos.jpg"/>
* le clic sur un lien du sommaire, renvoie la page correspondante au lien dans la frame de droite.
* <br>
* 
* @author Ministre des Affaires Etrangres, Aubay SA, Steve Pguet
* @version 1.1
* @date 25/10/2005
*/

/*
Copyright ou  ou Copr. 
Ministre des Affaires Etrangres,
Aubay SA,
Steve Pguet, (10/05/2004)

steve.peguet@diplomatie.gouv.fr

Ce logiciel est un programme informatique servant de framework JavaScript 
bas sur les normes W3C (XHTML/CSS/DOM/XML). Il offre la possibilit de 
mettre en oeuvre facilement les principes ergonomiques et techniques propres 
 un client riche (cumul des avantages du client lger et du client lourd).
Ce logiciel est rgi par la licence CeCILL soumise au droit franais et
respectant les principes de diffusion des logiciels libres. Vous pouvez
utiliser, modifier et/ou redistribuer ce programme sous les conditions
de la licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA 
sur le site "http://www.cecill.info".

En contrepartie de l'accessibilit au code source et des droits de copie,
de modification et de redistribution accords par cette licence, il n'est
offert aux utilisateurs qu'une garantie limite.  Pour les mmes raisons,
seule une responsabilit restreinte pse sur l'auteur du programme,  le
titulaire des droits patrimoniaux et les concdants successifs.

A cet gard  l'attention de l'utilisateur est attire sur les risques
associs au chargement,   l'utilisation,   la modification et/ou au
dveloppement et  la reproduction du logiciel par l'utilisateur tant 
donn sa spcificit de logiciel libre, qui peut le rendre complexe  
manipuler et qui le rserve donc  des dveloppeurs et des professionnels
avertis possdant  des  connaissances  informatiques approfondies.  Les
utilisateurs sont donc invits  charger  et  tester  l'adquation  du
logiciel  leurs besoins dans des conditions permettant d'assurer la
scurit de leurs systmes et ou de leurs donnes et, plus gnralement, 
 l'utiliser et l'exploiter dans les mmes conditions de scurit. 

Le fait que vous puissiez accder  cet en-tte signifie que vous avez 
pris connaissance de la licence CeCILL, et que vous en avez accept les
termes.*/

var icone_logo_gen_mini = '/proto/FrameworkERGO/images/logo/logo_commpress_mini.gif';
var icone_bout_fermer = '/proto/FrameworkERGO/images/bouton/navig/BoutFermer.gif';
var icone_bout_fermer_over = '/proto/FrameworkERGO/images/bouton/navig/BoutFermerover.gif';
var alt_bout_fermer = "Fermer";
var width_bout_fermer = "56";
var height_bout_fermer = "18";

// dfinition des frames
var frameEntete = "ENTETE_WIN";
var frameBody = "BODY_WIN";
var frameMenu = "MENU_WIN";
var frameContenu = "CONTENU_WIN";

// Mthode prive iconeOver(widget) grant le traitement de l'vnement "onMouseOver" du composant APropos.

/**
* La mthode prive iconeOver(widget) implmente le traitement  excuter sur l'vnement "onMouseOver"
* du composant APropos.
* @private
* @param {ObjectDOMHTML _Obligatoire} widget : lment DOM HTML du composant APropos.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantAPropos_changeIconeOnMouseOver(widget)
{
  if (widget.childNodes[0].src.search(icone_bout_fermer) != -1)
    widget.childNodes[0].src = icone_bout_fermer_over;
}


// Mthode prive iconeOut(widget) grant le traitement de l'vnement "onMouseOut" du composant APropos.

/**
* La mthode prive  iconeOut(widget) implmente le traitement  excuter sur l'vnement "onMouseOut" 
* du composant APropos.
* @private
* @param {ObjectDOMHTML _Obligatoire} widget : lment DOM HTML du composant APropos.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantAPropos_changeIconeOnMouseOut(widget)
{
  if (widget.childNodes[0].src.search(icone_bout_fermer_over) != -1)
    widget.childNodes[0].src = icone_bout_fermer;
}


// Mthode prive ecrireComposantDomHTML() renvoyant le code HTML associ au composant APropos.

/**
* Mthode prive ecrireComposantDomHTML() renvoyant le code HTML associ au composant APropos.
* Le code est renvoy sous la forme d'une chane de caractres prenant en compte l'ensemble du paramtrage
* effectu sur la classe.
* @private
* @param {} Aucun
* @return {string} Code HTML associ au composant APropos.
* @version 1.1
* @date 25/10/2005
*/
function ComposantAPropos_ecrireHTML()
{
  var CodeHTML='';

  CodeHTML += '\n<table width="295" height="370" border="0" cellspacing="0" cellpadding="8" class="CGgristresclair">\n';
  CodeHTML += '<tr class="CGcodefonce">\n';
  CodeHTML += '<td height="52"><strong>' + this.APropos.titre + '</strong></td>\n';
  CodeHTML += '<td align="right"><img src="' + icone_logo_gen_mini + '" width="52" height="52" alt="" title=""></td>\n';
  CodeHTML += '</tr>\n';
  CodeHTML += '<tr valign="top">\n';
  CodeHTML += '<td colspan="2" align="right">\n';
  CodeHTML += '<table border="0" cellspacing="0" cellpadding="0" >\n';
  CodeHTML += '<tr>\n';
  CodeHTML += '<td width="10%">&nbsp;</td>\n';
  CodeHTML += '<td width="90%" align="left">\n';
  CodeHTML += '<p><strong>' + this.APropos.appli + '</strong></p>\n';
  CodeHTML += '<p>' + this.APropos.version + '<br>' +  this.APropos.date + '</p>\n';
  CodeHTML += '<p class="nota">' + this.APropos.texte + '</p>\n';
  CodeHTML += '</td>\n';
  CodeHTML += '</tr>\n';
  CodeHTML += '<tr>\n';
  CodeHTML += '<td width="10%">&nbsp;</td>\n';
  CodeHTML += '<td width="90%" align="right">\n';
  // TODO Rcupration de la version LISE dans le flux retourn
  // CodeHTML += '<p class="nota">' + this.APropos.versionFRED +'<br/>' + this.APropos.versionLISE + '</p>\n';
  CodeHTML += '<p class="nota">' + this.APropos.versionFRED + '</p>\n';
  CodeHTML += '</td>\n';
  CodeHTML += '</tr>\n';
  CodeHTML += '</table>\n';
  CodeHTML += '</td>\n';
  CodeHTML += '</tr>\n';
  CodeHTML += '<tr valign="bottom">\n';
  CodeHTML += '<td colspan="2" align="right">\n';
  CodeHTML += '<a href="javascript:window.close();" onMouseOver="' + this.id + '.iconeOver(this)" onMouseOut="' + this.id + '.iconeOut(this)"><img src="' + icone_bout_fermer + '" width="' + width_bout_fermer + '" height="' + height_bout_fermer + '" border="0" alt="' + alt_bout_fermer + '" title="' + alt_bout_fermer + '"></a>\n';
  CodeHTML += '</td>\n';
  CodeHTML += '</tr>\n';
  CodeHTML += '</table>\n';
  
  return CodeHTML;
}


// Fonction pour initialiser le tableau javascript contenant l'ensemble des lments du composant APropose,
//  partir d'un flux XML

/**
* La  mthode prive initTabByXML() permet de construire le tableau d'objets {@link ObjectAPropos ObjectAPropos}
* contenant l'ensemble de l'information prsentes dans le composant APropos,  partir d'un paramtrage effectu 
* par flux XML. Elle est appele par le {@link ComposantAPropos constructeur} de la classe lorsqu'un flux XML 
* lui est passe en argument.
* @private
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantAPropos_initTabByXML()
{
  this.APropos = new ObjectAPropos(getDataElement(this.XMLObjectAPropos.xmlDoc.documentElement,"TITRE"), getDataElement(this.XMLObjectAPropos.xmlDoc.documentElement,"APPLICATION"), getDataElement(this.XMLObjectAPropos.xmlDoc.documentElement,"VERSION"), getDataElement(this.XMLObjectAPropos.xmlDoc.documentElement,"TEXTE"), getDataElement(this.XMLObjectAPropos.xmlDoc.documentElement,"DATE"));
  var test = getDataElement(this.XMLObjectAPropos.xmlDoc.documentElement,"URL_IMG_FERMER");
  if (test)
    icone_bout_fermer = test;
  test = getDataElement(this.XMLObjectAPropos.xmlDoc.documentElement,"URL_IMG_FERMER_OVER");
  if (test)
   icone_bout_fermer_over = test;
  test = getDataElement(this.XMLObjectAPropos.xmlDoc.documentElement,"ALT_IMG_FERMER");
  if (test)
    alt_bout_fermer = test;
  test = getDataElement(this.XMLObjectAPropos.xmlDoc.documentElement,"WIDTH_IMG_FERMER");
  if (test)
    width_bout_fermer = test;
  test = getDataElement(this.XMLObjectAPropos.xmlDoc.documentElement,"HEIGHT_IMG_FERMER");
  if (test)
    height_bout_fermer = test;
}


// Dfinition de la classe ObjectAPropos qui caractrise un lment du composant APropos.

/**
* Cre une instance de la classe ObjectAPropos.
* @class La classe <b>ObjectAPropos</b> est la classe permettant de dcrire l'objet associ  un lment du composant
* APropos.<br> Il n'existe pas de proprit prive pour cette classe. Il n'existe pas de mthode pour cette classe. <br>
* <br>Ses proprits publiques dcrivent les attributs d'un lment du composant APropos et peuvent tre manipules
* ou interroges en dehors de la bibliothque du framework ergonomique.<br>
* @constructor
* @param {String_Obligatoire} titre {@link #titre Chane de caractres}  indique le titre de la page.
* @param {String_Obligatoire} appli {@link #appli Chane de caractres} indique le nom de l'application.
* @param {String_Obligatoire} version {@link #version Chane de caractres} indique le numro de version de l'application.
* @param {String_Obligatoire} texte {@link #texte Chane de caractres} contient un texte explicatif.
* @param {String_Obligatoire} date {@link #date Chane de caractres} indique la date de la version.
* @version 1.1
* @date 25/10/2005
*/
function ObjectAPropos(titre, appli, version, texte, date)
{
	/**
	* La proprit publique titre est une chane de caractres indiquant le titre de la page.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/
  this.titre = titre;
  
	/**
	* La proprit publique appli est une chane de caractres indiquant le nom de l'application.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/
  this.appli = appli;
  
	/**
	* La proprit publique version est une chane de caractres indiquant le numro de version de l'application.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/
  this.version = version;

	/**
	* La proprit publique texte est une chane de caractres contenant un texte explicatif.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/
  this.texte = texte;

	/**
	* La proprit publique date est une chane de caractres contenant la date de la version.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/
  this.date = date;

	/**
	* La proprit prive versionFRED est une chane de caractres contenant la version du Framework Ergonomique.
	* <br><br>
	* @private
	* @type String
	* @version 2.6
	* @date 19/09/2007
	*/
  this.versionFRED = window.opener.parent.frames[frameBody].getVersionFRED();

	/**
	* La proprit prive versionLISE est une chane de caractres contenant la version du Framework Serveur.
	* <br><br>
	* @private
	* @type String
	* @version 2.6
	* @date 19/09/2007
	*/
  this.versionLISE = window.opener.parent.frames[frameBody].getVersionLISE();

}


// Constructeur de la classe ComposantAPropos

/**
* La fonction ComposantAPropos_constructor() permet la configuration des attributs de l'objet 
* {@link ComposantAPropos ComposantAPropos} lors de son instanciation.
* @see ComposantAPropos
* @public
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantAPropos_constructor()
{
  if (this.divBind == null)
    this.initDivBind();
  if ((this.APropos == null) && (this.XMLObjectAPropos != null))
    this.initTabByXML();
}


// Fonction pour renseigner la zone dynamique (DIV) conteneur du composant APropos

/**
* La mthode publique setDivBind(divBind) permet d'associer une zone dynamique (DIV) comme conteneur
* du composant APropos. Elle est utile lors de l'utilisation d'un id sur cette zone diffrent de celui par dfaut
* ("Position_" + Id du composant).<br><br>
* <b>Voir Exemple d'affectation d'une zone dynamique au composant diffrente de celle par dfaut : </b>
* <a href='exemples_A3.html#ComposantAPropos_meth'>Exemples d'appels aux mthodes publiques</a>.
* @see ComposantAPropos
* @public
* @param {objetDOMHtml_Obligatoire} divBind : Objet DOM HTML rfrenant la zone dynamique associe au composant.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantAPropos_setDivBind(divBind)
{
  this.divBind = divBind;
}


// Fonction pour initialiser par dfault la zone dynamique (DIV) associe au composant APropos.

/**
* La mthode prive initDivBind() permet de spcifier un pointeur vers le DOM HTML de la zone dynamique 
* (DIV) grant la prsentation du composant APropos. Elle est ainsi initialise  l'lment DOM HTML
* d'id "Position_" + Id du composant.<br>
* Ce pointeur vers le DOM HTML est stock dans la proprit divBind.
* @see ComposantAPropos
* @private
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantAPropos_initDivBind()
{
  if (document.getElementById("Position_" + this.id))
    this.setDivBind(document.getElementById("Position_" + this.id));
}


// Fonction pour charger (binder) le code HTML gnr, dans la zone dynamique (DIV) associe.

/**
* La mthode publique ecrireBind() dclenche la gnration du code HTML de la zone dynamique associe au composant.
* Par dfaut, la zone dynamique est l'lment DOM HTML dont l'id est valoris par "Position_" + Id du composant.<br>
* Fonctionnement :<br>1. Dsaffichage de la zone dynamique.<br>
* 2. Rcupration du code HTML associ au composant APropos.<br>
* 3. Bind le code HTML  la zone dynamique associe au composant APropos.<br>
* 4. Affichage de la zone dynamique<br>
* <br><br> <b>Voir Exemple de gnration du code HTML associ au composant pour affichage : </b>
* <a href='exemples_A3.html#ComposantAPropos_meth'>Exemples d'appels aux mthodes publiques</a>.
* @see ComposantAPropos
* @public
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantAPropos_ecrireBind()
{
  this.divBind.innerHTML = this.ecrireComposantDomHTML();
}


// Dfinition de la classe ComposantAPropos reprsentant un composant APropos

/**
* Cre une instance de la classe ComposantAPropos reprsentant un composant APropos.
* <br><b>Voir Exemple d'instanciation de ce composant</b> pour un composant APropos : 
* <a href='exemples_A3.html#ComposantAPropos_constr'>Exemples d'appels aux constructeurs</a>.
* @class La classe <b>ComposantAPropos</b> est la classe permettant de grer le composant APropos.
* <br> Ses proprits publiques dcrivent les attributs du composant et peuvent tre manipul ou interroges
* en dehors de la bibliothque du framework ergonomique. Ses proprits prives sont utilises au sein mme 
* du framework ergonomique.<br>
* <br><br><br><img src="Image.ComposantAProposUML.png"/><br><br><br>
* <br><b>Rendu IHM :<br><br><br><img src="Image.ComposantAPropos.jpg"/><br><br><br>
* @constructor
* @param {String_Obligatoire} id String indiquant l'{@link #id id} du composant  instancier.
* Sa valorisation doit correspondre au nom de la variable JavaScript du composant instanci.
* @param {XMLObjectSauvegarde_Obligatoire} XMLObjectCont : Objet {@link #XMLObjectSauvegarde XMLObjectSauvegarde}
* pour paramtrer le contenu informatif.
* @param {t_ObjectAPropos_Optionnel} tabTitres : Tableau d'objets {@link #ObjectAPropos ObjetAPropos}
* pour paramtrer le contenu informatif en JavaScript si pas de flux XML pour effectuer ce paramtrage.
* @version 1.1
* @date 25/10/2005
*/
function ComposantAPropos(id, XMLObjectCont)
{
  // ***************************
  // Attributs de l'objet
  // ***************************
  
	/**
	* La proprit prive id est l'ID du composant dfinit sous forme de chane de caractres.
	* Il doit obligatoirement tre valoris au nom de la variable JavaScript rfrenant l'instanciation du composant.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/
  this.id = id;
  
	/**
	* La proprit prive XMLObjectAPropos est l'Objet de type {@link XMLObjectSauvegarde XMLObjectSauvegarde}
	* rfrenant le flux XML intgrant le paramtrage du contenu informatif du composant. Si ce paramtrage est 
	* effectu directement par passage de tableau JavaScript sans flux XML alors cette proprit est valorise  null.
	* <br><br>
	* @private
	* @type XMLObjectSauvegarde
	* @version 1.1
	* @date 25/10/2005
	*/
  this.XMLObjectAPropos = XMLObjectCont;
  
	/**
	* La proprit prive divBind est la Zone dynamique (objet DOM HTML) associe au composant.
	* Cette zone dynamique permet de binder le code HTML refltant le rendu et le dynamisme du composant.
	* Par dfaut, cette zone dynamique est l'lment DOM HTML dont l'id est valoris par "Position_" + Id du composant.
	* <br><br>
	* @private
	* @type Objet DOM HTML
	* @version 1.1
	* @date 25/10/2005
	*/
  this.divBind = null;
  
	/**
	* La proprit prive APropos est un objet {@link ObjectAPropos ObjectAPropos} qui dcrit le composant APropos.
	* <br><br>
	* @private
	* @type ObjetAPropos
	* @version 1.1
	* @date 25/10/2005
	*/
  this.APropos = null;


  // ***************************
  // Mthodes de l'objet
  // ***************************

  this.initTabByXML = ComposantAPropos_initTabByXML;
  
  // Gnration HTML du composant A Propos
  this.ecrireComposantDomHTML = ComposantAPropos_ecrireHTML;
  this.ecrireBind = ComposantAPropos_ecrireBind;
  this.initDivBind = ComposantAPropos_initDivBind;
  this.setDivBind = ComposantAPropos_setDivBind;
  
  this.iconeOver = ComposantAPropos_changeIconeOnMouseOver;
  this.iconeOut = ComposantAPropos_changeIconeOnMouseOut;
  
  // Constructeur
  this.constructor = ComposantAPropos_constructor;
  this.constructor();
}