/**
* @fileoverview Ce fichier Javascript correspond au framework de gestion du composant Arborescence.
* Cette description consiste  prsenter les prototypes des fonctions, des exemples d'appel et les prcisions
* techniques ncessaires  la mise en oeuvre de ce framework.<br>
* Le framework du composant Arborescence utilise les classes utilitaires suivantes :<br>
* &gt; <b>{@link ComposantArborescence ComposantArborescence}</b> pour grer le composant Arborescence.<br>
* &gt; <b>{@link ObjectItemArborescence ObjectItemArborescence}</b> pour dcrire l'objet associ  un lment 
* du composant.
* <br><br><br><img src="Image.ComposantArborescenceUML.png"/><br><br><br>
* Ainsi, conformment aux principes du framework ergonomique, l'ensemble du contenu informatif peut tre paramtr 
* sous forme de flux XML ou par l'intermdiaire d'un tableau JavaScript.
* <br> Le paramtrage du contenu informatif consiste  indiquer pour chaque item son libell et l'url du fichier
* ou du lien associ ainsi que la sous-arborescence si elle existe.<br> Comme
* <a href=" overview-summary-ergonomique_fw_textelong.js.html">dans le composant Texte Long</a>, on retrouve 
* le principe de rcursivit galement dans ce composant. Le tag &lt;LISTE&gt; peut contenir une liste de
* tag &lt;ITEM&gt;.<br><br> L'arborescence XML associ  ce paramtrage doit avoir la forme suivante&nbsp;:
* <div style="border: 0.5pt solid windowtext; padding: 1pt 4pt; background: rgb(255, 255, 204) none repeat 
* scroll 0% 50%; -moz-background-clip: initial; -moz-background-origin:
* initial; -moz-background-inline-policy: initial;"><code>&lt;COMPOSANT&gt;<br> &nbsp;&nbsp;&nbsp; &lt;ITEM&gt;<br> 
* &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;LIBELLE&gt;&lt;/LIBELLE&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; 
* &lt;URL&gt;&lt;/URL&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;LISTE&gt;&lt;/LISTE&gt;<br> 
* &nbsp;&nbsp;&nbsp; &lt;/ITEM&gt;<br> &lt;/COMPOSANT&gt;<br></code></div>
* <br>L'lment racine de nom &laquo;&nbsp;COMPOSANT&nbsp; ici peut prendre n'importe quel nom. Ce nom d'lment 
* n'est seulement utile que lors de la construction de la page pour passer le bon paramtrage lors de la construction
* du composant. Ce nom est dtermin soit par un modle de pag, soit par le dveloppeur de la page.<br>
* <b>Voir Exemple de paramtrage XML du contenu informatif de ce composant pour l'exemple de l'arborescence
* par fichier : </b> <a href='exemples_A3.html#structXml'>Exemples de structure XML</a>.
* <br><br>RENDU IHM<br><br><span style="text-decoration: underline;">Composant Arborescence :</span><br><br>
* Voici l'affichage d'un composant Arborescent. Le clic sur un lien renvoie une fentre avec l'affichage du lien.
* <br><br><img alt="exComposantArborescent" src="Image.ComposantArborescent.jpg"/>
* <br><br><span style="text-decoration: underline;">Composant Arborescence Fichier :</span><br><br>
* Voici l'affichage d'un composant Arborescent par fichier, le clic sur un lien renvoie  une fentre avec 
* l'affichage du fichier.
* <br><br><img alt="exComposantArborescentFichier" src="Image.ComposantArborescentFichier.jpg"/>
* <br>
* @author Ministre des Affaires Etrangres, Aubay SA, Steve Pguet
* @version 1.1
* @date 25/10/2005
*/

/*
Copyright ou  ou Copr. 
Ministre des Affaires Etrangres,
Aubay SA,
Steve Pguet, (10/05/2004)

steve.peguet@diplomatie.gouv.fr

Ce logiciel est un programme informatique servant de framework JavaScript 
bas sur les normes W3C (XHTML/CSS/DOM/XML). Il offre la possibilit de 
mettre en uvre facilement les principes ergonomiques et techniques propres 
 un client riche (cumul des avantages du client lger et du client lourd).
Ce logiciel est rgi par la licence CeCILL soumise au droit franais et
respectant les principes de diffusion des logiciels libres. Vous pouvez
utiliser, modifier et/ou redistribuer ce programme sous les conditions
de la licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA 
sur le site "http://www.cecill.info".

En contrepartie de l'accessibilit au code source et des droits de copie,
de modification et de redistribution accords par cette licence, il n'est
offert aux utilisateurs qu'une garantie limite.  Pour les mmes raisons,
seule une responsabilit restreinte pse sur l'auteur du programme,  le
titulaire des droits patrimoniaux et les concdants successifs.

A cet gard  l'attention de l'utilisateur est attire sur les risques
associs au chargement,   l'utilisation,   la modification et/ou au
dveloppement et  la reproduction du logiciel par l'utilisateur tant 
donn sa spcificit de logiciel libre, qui peut le rendre complexe  
manipuler et qui le rserve donc  des dveloppeurs et des professionnels
avertis possdant  des  connaissances  informatiques approfondies.  Les
utilisateurs sont donc invits  charger  et  tester  l'adquation  du
logiciel  leurs besoins dans des conditions permettant d'assurer la
scurit de leurs systmes et ou de leurs donnes et, plus gnralement, 
 l'utiliser et l'exploiter dans les mmes conditions de scurit. 

Le fait que vous puissiez accder  cet en-tte signifie que vous avez 
pris connaissance de la licence CeCILL, et que vous en avez accept les
termes.*/

var icone_niv_neutre='/proto/FrameworkERGO/images/bouton/arbo/IcoNivNeutre.gif';
var icone_niv_neutre_over='/proto/FrameworkERGO/images/bouton/arbo/IcoNivNeutreover.gif';
var icone_niv_fermer='/proto/FrameworkERGO/images/bouton/arbo/IcoNivFermeA.gif';
var icone_niv_fermer_over='/proto/FrameworkERGO/images/bouton/arbo/IcoNivFermeAover.gif';
var image_dossier='/proto/FrameworkERGO/images/bouton/arbo/IcoDossier.gif';
var image_dossier_over='/proto/FrameworkERGO/images/bouton/arbo/IcoDossierover.gif';
var icone_niv_ouvert='/proto/FrameworkERGO/images/bouton/arbo/IcoNivOuvert.gif';
var icone_niv_ouvert_over='/proto/FrameworkERGO/images/bouton/arbo/IcoNivOuvertover.gif';

// La variable tabFichImages contient l'ensemble des images disponibles pour personnaliser l'affichage d'un fichier
// Chaque attribut de cet objet (doc, pdf, xls, htm et txt) est un tableau de taille 4 qui contient dans l'ordre:
//    - l'image source du fichier
//    - l'image du fichier quand la souris passe au dessus
//    - l'image du fichier lorsqu'il est tendu: correspond au cas ou on souhaite afficher des informations supplmentaires dans l'arbre concernant le fichier
//    - l'image du fichier lorsq'il est tendu et que la souris passe au dessus
var tabFichImages=new Object();


// Fonction pour initialiser l'objet tabFichImages contenant les URL des fichiers images utiliss
// lors de l'affichage de l'arborescence de fichiers

/**
* La mthode prive initTabFichImages() permet de regrouper dans une variable l'ensemble des fichiers 
* images disponibles pour afficher une arborescence
* @see ComposantArborescence
* @private
* @param {} Aucun
* @return {void}
* @version 2.4
* @date 14/11/2006
*/
function ComposantArborescence_initTabFichImages()
{
	if(tabFichImages.defaut!=null)
	if(tabFichImages.defaut!=undefined)
	if(tabFichImages.defaut!='undefined')
	    return;
	// images document word
	var docArray=new Array('/proto/FrameworkERGO/images/bouton/arbo/IcoFichierWord.gif','/proto/FrameworkERGO/images/bouton/arbo/IcoFichierWordover.gif','/proto/FrameworkERGO/images/bouton/arbo/IcoFichierWord.gif','/proto/FrameworkERGO/images/bouton/arbo/IcoFichierWordover.gif');
	tabFichImages.doc=docArray;
	//images document pdf
	var pdfArray=new Array('/proto/FrameworkERGO/images/bouton/arbo/IcoFichierPdf.gif','/proto/FrameworkERGO/images/bouton/arbo/IcoFichierPdfover.gif','/proto/FrameworkERGO/images/bouton/arbo/IcoFichierPdf.gif','/proto/FrameworkERGO/images/bouton/arbo/IcoFichierPdfover.gif');
	tabFichImages.pdf=pdfArray;
	//images document PowerPoint
	var pptArray=new Array('/proto/FrameworkERGO/images/bouton/arbo/IcoFichierPowerpoint.gif','/proto/FrameworkERGO/images/bouton/arbo/IcoFichierPowerpointover.gif','/proto/FrameworkERGO/images/bouton/arbo/IcoFichierPowerpoint.gif','/proto/FrameworkERGO/images/bouton/arbo/IcoFichierPowerpointover.gif');
	tabFichImages.ppt=pptArray;
	//images document Excel
	var xlsArray=new Array('/proto/FrameworkERGO/images/bouton/arbo/IcoFichierExcel.gif','/proto/FrameworkERGO/images/bouton/arbo/IcoFichierExcelover.gif','/proto/FrameworkERGO/images/bouton/arbo/IcoFichierExcel.gif','/proto/FrameworkERGO/images/bouton/arbo/IcoFichierExcelover.gif');
	tabFichImages.xls=xlsArray;
	//images document HTML
	var htmlArray=new Array('/proto/FrameworkERGO/images/bouton/arbo/IcoFichierHtml.gif','/proto/FrameworkERGO/images/bouton/arbo/IcoFichierHtmlover.gif','/proto/FrameworkERGO/images/bouton/arbo/IcoFichierHtml.gif','/proto/FrameworkERGO/images/bouton/arbo/IcoFichierHtmlover.gif');
	tabFichImages.htm=htmlArray;
	var htmlArray=new Array('/proto/FrameworkERGO/images/bouton/arbo/IcoFichierHtml.gif','/proto/FrameworkERGO/images/bouton/arbo/IcoFichierHtmlover.gif','/proto/FrameworkERGO/images/bouton/arbo/IcoFichierHtml.gif','/proto/FrameworkERGO/images/bouton/arbo/IcoFichierHtmlover.gif');
	tabFichImages.html=htmlArray;
	//images document par dfaut
	var defautArray=new Array('/proto/FrameworkERGO/images/bouton/arbo/IcoFichierDefaut.gif','/proto/FrameworkERGO/images/bouton/arbo/IcoFichierDefautover.gif','/proto/FrameworkERGO/images/bouton/arbo/IcoFichierDefaut.gif','/proto/FrameworkERGO/images/bouton/arbo/IcoFichierDefautover.gif');
	tabFichImages.defaut=defautArray;
	//images document Texte
	var txtArray=new Array('/proto/FrameworkERGO/images/bouton/arbo/IcoFichierTxt.gif','/proto/FrameworkERGO/images/bouton/arbo/IcoFichierTxtover.gif','/proto/FrameworkERGO/images/bouton/arbo/IcoFichierTxt.gif','/proto/FrameworkERGO/images/bouton/arbo/IcoFichierTxtover.gif');
	tabFichImages.txt=txtArray;
	return;
}


// Fonction permettant de crer un item (lment) dans une arborescence ComposantArborescence

/**
* La  mthode prive creerItem() permet de crer un item dans une arborescence gre par un composant 
* ComposantArborescence.
* @see ComposantArborescence
* @private
* @param {ObjectDOMXML _Obligatoire} aNode : lment DOM XML du composant Arborescence.
* @return {void}
* @version 2.4
* @date 14/11/2006
*/
function ComposantArborescence_creerItem(aNode)
{
	if(!aNode)
		return null;
	if(aNode==null)
		return null;
	var libelleItem=null;
	var urlItem=null;
	var func=null;
	var image=null;
	var imageOver=null;
	var imageExpanded=null;
	var imageExpandedOver=null;
	var data=null;
	var listeDossiers=null;
	var listeFichiers=null;
	// get du libell
	if(parent.getDataElement(aNode,"LIBELLE",false))
	    libelleItem=parent.getDataElement(aNode,"LIBELLE");
	// get du data
	if(parent.getDataElement(aNode,"DATA",false))
	    data=parent.getDataElement(aNode,"DATA",false);
	else if(parent.getChildElements(aNode,"DATA")!=null)
	    if(parent.getChildElements(aNode,"DATA").length>0)
	        data=parent.getChildElements(aNode,"DATA")[0];
	// get de la fonction
	if(parent.getDataElement(aNode,"FUNC",false))
	    func=parent.getDataElement(aNode,"FUNC",false);
    // get de l'image source
	if(parent.getDataElement(aNode,"IMAGE",false))
	    image=parent.getDataElement(aNode,"IMAGE",false);
	// get de l'image source over
	if(parent.getDataElement(aNode,"IMAGEOVER",false))
	    imageOver=parent.getDataElement(aNode,"IMAGEOVER",false);
    // get de l'image expanded
	if(parent.getDataElement(aNode,"IMAGEEXPANDED",false))
	    imageExpanded=parent.getDataElement(aNode,"IMAGEEXPANDED",false);
	// get de l'image expanded
	if(parent.getDataElement(aNode,"IMAGEEXPANDEDOVER",false))
	    imageExpandedOver=parent.getDataElement(aNode,"IMAGEEXPANDEDOVER",false);
	// get de la liste de fichiers
	if(parent.getChildElements(aNode,"LISTE")!=null)
	if(parent.getChildElements(aNode,"LISTE").length>0)
	    listeFichiers=this.CreerSousItem(parent.getChildElements(aNode,"LISTE")[0]);
	// get de la liste de dossiers
	if(parent.getChildElements(aNode,"DOSSIERS")!=null)
	if(parent.getChildElements(aNode,"DOSSIERS").length>0)
	    listeDossiers=this.CreerSousItem(parent.getChildElements(aNode,"DOSSIERS")[0]);
    // get de la liste de l'url
	if(parent.getDataElement(aNode,"URL",false))
	    urlItem=parent.getDataElement(aNode,"URL",false);


  	var listeFichiersTriee=null;
  	var listeDossiersTriee=null;
  	if(listeFichiers!=null)
  	{
  	    listeFichiersTriee=new Array();
  		for(var i=0;i<listeFichiers.length;i++)
  		{
  			var tempObj=listeFichiers[i];
  			if(tempObj.tabFichSousItem!=null)
  			{
  			        if(listeDossiersTriee==null)
  			            listeDossiersTriee=new Array();
  					listeDossiersTriee[listeDossiersTriee.length]=tempObj;
  			}
  			else if(listeFichiers[i].tabDosSousItem!=null)
  			{
  			    if(listeDossiersTriee==null)
  			            listeDossiersTriee=new Array();
  				listeDossiersTriee[listeDossiersTriee.length]=tempObj;
  			}
  			else
  			{
  			            
  				listeFichiersTriee[listeFichiersTriee.length]=tempObj;
  			}
  		}
  	}
  	if(listeDossiers!=null)
  	{
  	    if(listeDossiersTriee==null)
  	    listeDossiersTriee=new Array();
  		for(var i=0;i<listeDossiers.length;i++)
  		{
  			var tempObj=listeDossiers[i];
  			if(tempObj.tabFichSousItem!=null)
  			{
  			            
  					listeDossiersTriee[listeDossiersTriee.length]=tempObj;
  			}
  			else if(listeFichiers[i].tabDosSousItem!=null)
  			{
  				listeDossiersTriee[listeDossiersTriee.length]=tempObj;
  			}
  			else
  			{
  			if(listeFichiersTriee==null)
  			            listeFichiersTriee=new Array();
  				listeFichiersTriee[listeFichiersTriee.length]=tempObj;
  			}
  		}
  	}
  	listeDossiers=listeDossiersTriee;
  	listeFichiers=listeFichiersTriee;
		return new ObjectItemArborescence(libelleItem,urlItem,func, image, imageOver, imageExpanded,imageExpandedOver, data, listeFichiers, listeDossiers);
}


// Fonction initialisant le tableau des items de l'arborescence  partir d'un flux XML

/**
* La  mthode prive initTabByXML() permet de construire le tableau d'objets rfrenant l'ensemble des lments
* de l'arborescence. Le contenu informatif est obtenu via un flux XML. Cette fonction est appele par le 
* {@link ComposantArborescence constructeur} de la classe lorsqu'un flux XML lui est passe en argument.
* @see ComposantArborescence
* @private
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/

function ComposantArborescence_initTabByXML()
{
	if(!this.XMLObjectArborescence)
	return;
	if(this.XMLObjectArborescence==null)
	return;
	if(!this.XMLObjectArborescence.xmlDoc)
	return;
	if(this.XMLObjectArborescence.xmlDoc==null)
	return;

  var nodeslength=this.XMLObjectArborescence.xmlDoc.documentElement.childNodes.length;
  var tableau=new Array();
  var compteur=0;

  for (compteur=0;compteur<nodeslength;compteur++)
  {
		this.tabTitres[compteur]=this.creerItem(this.XMLObjectArborescence.xmlDoc.documentElement.childNodes[compteur]);
  }
}


// Mthode rcursive de cration du tableau javascript reprsentant l'ensemble des noeuds de l'arborescence.

/**
* Mthode rcursive de cration du tableau javascript reprsentant l'ensemble des noeuds de l'arborescence.
* @see ComposantArborescence
* @private
* @param {t_XMLObjectSauvegarde_Obligatoire} XMLDoc
* @return {Array_ObjectItemArborescence} Tableau d'objet de type ObjectItemArborescence
* @version 1.1
* @date 25/10/2005
**/
function ComposantArborescence_CreerSousItem(XMLDoc)
{
  if(XMLDoc==null)
  return null;
  if(!XMLDoc)
  return null;
  
  var tableauSousItem=new Array();
  var compteurSousItem=0;
  for (compteurSousItem=0;compteurSousItem<XMLDoc.childNodes.length;compteurSousItem++)
  {
  	tableauSousItem[compteurSousItem]=this.creerItem(XMLDoc.childNodes[compteurSousItem]);
  }
  return tableauSousItem;
}


// Dfinition de la classe ObjectItemArborescence caractrisant un lment du composant Arborescence

/**
* Cre une instance de la classe ObjectItemArborescence. 
* @class La classe <b>ObjectItemArborescence</b> est la classe permettant de dcrire l'objet associ  un 
* lment du composant.<br> Il n'existe pas de proprit prive pour cette classe. Il n'existe pas de mthode 
* pour cette classe. <br><br> Ses 3 proprits publiques dcrivent les attributs d'un item du composant
* Arborescence et peuvent tre manipules ou interroges en dehors de la bibliothque du framework ergonomique.<br>
* <br><br><br><img src="Image.ComposantArborescenceUML.png"/><br><br><br>
* @public
* @constructor
* @param {String_Obligatoire} libelle {@link #tibelle Chane de caractres} : indique le libell associ  l'item.
* @param {String_Obligatoire} url {@link #url Chane de caractres} : indique l'url associ  l'item.
* @param {String_Facultatif} func {@link #func Chane de caractres} : indique la fonction  appeller lorsque
* l'item est slectionn.
* @param {String_Facultatif} image {@link #image Chane de caractres} : indique l'image par dfaut de l'item.
* @param {String_Facultatif} imageOver {@link #imageOver Chane de caractres} : indique l'image de l'item lorsqu'il
* est survol par la souris.
* @param {String_Facultatif} imageExpanded {@link #imageExpanded Chane de caractres} : indique l'image de l'item
* lorsqu'il est tendu.
* @param {String_Facultatif} imageExpandedOver {@link #imageExpandedOver Chane de caractres} : indique l'image de
* l'item lorsqu'il est tendu et que la souris passe dessus.
* @param {XMLObjectSauvegarde_Facultatif} data {@link #data Objet XMLObjectSauvegarde} : contenu informatif de l'objet
* sous forme XML.
* @param {t_ObjectItemArborescence_Facultatif} listeFichiers {@link #listeFichiers Tableau d'objets ObjectItemArborescence}
* : contenu informatif de l'objet (sous-lments de type fichier) lorsque data n'est pas utilis. 
* @param {t_ObjectItemArborescence_Facultatif} listeDossiers {@link #listeDossiers Tableau d'objets ObjectItemArborescence}
* : contenu informatif de l'objet (sous-lments de type dossier) lorsque data n'est pas utilis.
* @version 1.1
* @date 25/10/2005
*/
function ObjectItemArborescence(libelle,url,func, image, imageOver, imageExpanded, imageExpandedOver,
																data, listeFichiers, listeDossiers)
{

	/**
	* La proprit publique libelle est une chane de caractres indiquant le libell associ  l'item.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.libelle = libelle;

	/**
	* La proprit publique url est une chane de caractres indiquant l'url associ  l'item.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.url = url;
  
	/** La proprit publique image est une chane de caractres indiquant l'image par dfaut de l'item.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.image = image;
  
	/** La proprit publique imageOver est une chane de caractres indiquant l'image de l'item 
	* lorsqu'il est survol par le curseur de la souris.
	* <br><br>
	* @public
	* @type String
	* @version 2.4
	* @date 14/11/2006
	*/  
  this.imageOver = imageOver;
  
	/** La proprit publique imageExpanded est une chane de caractres indiquant l'image de l'item
	* lorsqu'il est tendu.
	* <br><br>
	* @public
	* @type String
	* @version 2.4
	* @date 14/11/2006
	*/  
  this.imageExpanded = imageExpanded;
  
  /** La proprit publique imageExpandedOver est une chane de caractres indiquant l'image de l'item
  * lorsqu'il est tendu et que la souris passe au dessus.
	* <br><br>
	* @public
	* @type String
	* @version 2.4
	* @date 14/11/2006
	*/  
  this.imageExpandedOver = imageExpandedOver;
  
  
 	/** La proprit publique tabDosSousItem est un tableau d'objets {@link ObjectItemArborescence 
 	* ObjectItemArborescence} reprsentant les sous-items associs  l'item et ayant un caractre de dossier.
	* <br><br>
	* @public
	* @type String
	* @version 2.4
	* @date 14/11/2006
	*/  
  this.tabDosSousItem = listeDossiers;
  
 	/** La proprit publique tabFichSousItem est un est un tableau d'objets {@link ObjectItemArborescence 
 	* ObjectItemArborescence} reprsentant les sous-items associs  l'item et ayant un caractre de fichier.
	* <br><br>
	* @public
	* @type String
	* @version 2.4
	* @date 14/11/2006
	*/  
  this.tabFichSousItem = listeFichiers;
   
	/**
	* La proprit publique data est un objet indiquant la donne associ  l'item.
	* <br><br>
	* @public
	* @type String
	* @version 2.3
	* @date 28/09/2006
	*/
	this.data=data;

	/**
	* La proprit publique func est le libell d'une fonction  appeler lorsque l'item est slectionn.
	* <br><br>
	* @public
	* @type String
	* @version 2.4
	* @date 14/11/2006
	*/
	this.func=func;
}


// Constructeur pour le composant Arborescence

/**
* La fonction ComposantArborescence_constructor() permet la configuration des attributs de l'objet 
* {@link ComposantArborescence ComposantArborescence} lors de son instanciation.
* @see ComposantArborescence
* @public
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantArborescence_constructor()
{
  if (this.divBind == null)
    this.initDivBind();
  if ((this.tabTitres.length == 0) && (this.XMLObjectArborescence != null))
    this.initTabByXML();
}


// Fonction pour renseigner la zone dynamique (DIV) conteneur du composant Arborescence

/**
* La mthode publique setDivBind(divBind) permet d'associer une zone dynamique (DIV) comme conteneur
* du composant Arborescence. Elle est utile lors de l'utilisation d'un id sur cette zone diffrent de celui 
* par dfaut ("Position_" + Id du composant).<br><br>
* <b>Voir Exemple d'affectation d'une zone dynamique au composant diffrente de celle par dfaut : </b>
* <a href='exemples_A3.html#ComposantArborescence_meth'>Exemples d'appels aux mthodes publiques</a>.
* @see ComposantArborescence
* @public
* @param {objetDOMHtml_Obligatoire} divBind : Objet DOM HTML rfrenant la zone dynamique associe au composant.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantArborescence_setDivBind(divBind)
{
  this.divBind = divBind;
}


// Fonction pour initialiser par dfault la zone dynamique (DIV) associe au composant Arborescence.

/**
* La mthode prive initDivBind() permet de spcifier un pointeur vers le DOM HTML de la zone dynamique 
* (DIV) grant la prsentation du composant Arborescence. Elle est ainsi initialise  l'lment DOM HTML 
* d'id "Position_" + Id du composant.<br> Ce pointeur vers le DOM HTML est stock dans la
* proprit divBind de l'instance de la classe ComposantArborecence.
* @see ComposantArborescence
* @private
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantArborescence_initDivBind()
{
  if (document.getElementById("Position_" + this.id))
    this.setDivBind(document.getElementById("Position_" + this.id));
}


// Fonction pour modifier l'imgae d'un item d'une arborescence gre par le composant ComposantArborescence

/**
* La mthode prive ComposantArborescence_changeTreeImage() du composant ComposantArborescence 
* permet de modifier l'image d'un item d'une arborescence lorsque celui-ci est sollicit par le curseur de souris. 
* @see ComposantArborescence
* @private
* @param {string_Obligatoire} imageId : chane de caractres idenfiant de manire unique une image dans le document en cours
* @param {string_Obligatoire} imageSrc : chane de caractres idenfiant l'image  afficher si le noeud concern est ferm
* @param {string_Obligatoire} imageExpanded : chane de caractres idenfiant l'image  afficher si le noeud concern est ouvert
* @return {void}
* @version 2.4
* @date 14/11/2006
*/
function ComposantArborescence_changeTreeImage(imageId,imageSrc,imageExpanded)
{
  if(document.getElementById('Item.'+imageId)==null)
  {
	document.getElementById('ico'+imageId).src=imageExpanded;	
  }
  else if (document.getElementById('Item.'+imageId).style.display=='')
  {
    document.getElementById('ico'+imageId).src=imageExpanded;
  } else {
    document.getElementById('ico'+imageId).src=imageSrc;
  }
}


// Mthode permettant de grer le changement d'affichage lors de la slection d'un item du composant Arborescence.

/**
* La fonction Composant_Arborescence_affiche(block,imageOver, imageExpanded) permet de grer le changement
* d'affichage des items lors de la slection d'un item dans l'arborescence.
* @see ComposantArborescence
* @public
* @param {int_Obligatoire} block  Niveau de l'lment DOM HTML  afficher dans un niveau du Sommaire.
* @param {String_Obligatoire} imageOver image  afficher si l'item est ferm
* @param {String_Obligatoire} imageExpandedOver image  afficher si l'item est ouvert
* @return {void}
* @version 2.4
* @date 14/11/2006
*/
function ComposantArborescence_affiche(block,imageOver, imageExpandedOver)
{
  var Id=block.split('.');
  if (document.getElementById(block).style.display=='')
  {
    document.getElementById(block).style.display='none';
    document.getElementById('ico'+Id[1]).src=imageOver;
  } else {
    document.getElementById(block).style.display='';
    document.getElementById('ico'+Id[1]).src=imageExpandedOver;
  }
}

// Mthode permettant de grer l'affichage direct  un item de l'arborescence.
/**
* La fonction ouvrirArbo(chemin) permet de gnrer un tableau d'Items  afficher
* dans une arborescence ouverte. Elle est notemment utilise pour les bulles d'aide pour rcuprer
* les items et urls correspondantes. 
* @see ComposantArborescence
* @private
* @param {String_Obligatoire} chemin libells XML spars par des slashs.
* @return {Array_ObjectItemArborescence} tabAffichage tableau d'ObjectItemArborescence que l'on veut afficher
* @version 2.4
* @date 14/11/2006
*/
function ComposantArborescence_ouvrirArbo(chemin)
{
	if(!chemin){return new Array();}
	if(chemin.search(/:/)){
		var separation=chemin.indexOf(':',0);
		chemin=chemin.substring(separation,chemin.length);
	}
	//if(chemin.search(/^\/./)){chemin=chemin.substring(1,chemin.length);}
	var tabLibelle = chemin.split("/");
	var affiche='';
	
	// Tableau de stockage des ObjectItemArborescence
	var tabAffichage = new Array();
	var tabTitresTmp = new Array();
	tabTitresTmp = this.tabTitres;
	
	// Parcours des libells
	for(i=0;i<tabLibelle.length;i++){
		var j=0;
		// Parcours des noeuds ObjectItemArborescence
		if(tabTitresTmp){
		while(j<tabTitresTmp.length){
			if(tabLibelle[i] == tabTitresTmp[j].libelle){
				tabAffichage[i]=tabTitresTmp[j];
				if(i==tabLibelle.length-2){
					tabTitresTmp = tabTitresTmp[j].tabFichSousItem;
				}else{
					tabTitresTmp = tabTitresTmp[j].tabDosSousItem;
				}
				j=0;
				break;
			}else {
				j++;
			}
		}}
	}
	// Retour du tableau d'ObjectItemArborescence.
	return tabAffichage;	
}
		
		
		

// Methode fournissant la possibilit de paramtrer l'action excute lors de la slection d'un noeud 
// dans une arborescence base sur le composant ComposantArborescence.

/**
* La mthode publique "onClick(func,libelle,data)" fournit un point d'accs dans le composant ComposantArborescence 
* pour paramtrer l'action  executer lorsqu'un noeud de l'arborescence est slectionn.
* @see ComposantArborescence
* @public
* @param {func} Fonction  appeler lors de la slection du noeud. Cette fonction est paramtrable 
*	dans le flux XML alimentant le composant arborescence. Cette fonction  a forcment deux attributs
* dans sa signature: le libell et la donne du noeud slctionn, 
* respectivement en position 1 et 2 dans la signature de la fonction.
* @param {libelle} Libell du noeud slectionn. Ce libell est forcment de type Texte.
* @param {data} Donne associe au noeud slectionn. Aucune restriction sur son type.
* @return {void}
* @version 2.3
* @date 28/09/2006
*/
function onClick(func, tabItemId)
 {
            var anItem=eval(tabItemId);
 			eval(func+'(anItem)');
 }


// Mthode pour gnrer la partie rcursive du code HTML associ au composant Arborescence

/**
* La mthode ecrireBindRecursif(Tableau, IdNiveau) dclenche la gnration de la partie rcursive 
* du code HTML associ au composant Arborescence.<br>Fonctionnement :<br>
* 1. Dsaffichage de la zone dynamique (lment DOM HTML identifi par IdNiveau).<br>
* 2. Rcupration du code HTML associ au composant Arborescence.<br>
* 3. Bind le code HTML  la zone dynamique associe au composant Arborescence.<br>
* 4. Affichage de la zone dynamique<br>
* 10/11/2006 : Affichage possible d'une arborescence ouverte sur un chemin prcis.
* @see ComposantArborescence
* @private
* @param {t_ObjectDOMHTML_Obligatoire} Tableau des zones dynamiques du composant Arborescence  afficher en niveau.
* @param {int_Facultatif} IdNiveau : Id de l'lment DOM HTML  afficher dans un niveau du composant Arborescence.
* @param {int_Facultatif} tabId : Id du tableau concern.
* @param (int_Optionnel) delta entier pour indexation unique des composants de l'arborescence.
* @return {string} CodeHTML du noeud courant
* @version 2.4
* @date 14/11/2006
*/
function ComposantArborescence_ecrireHTML_Item_Recursif(Tableau, IdNiveau, tabId)
{
  var delta=0;
  
  if(ComposantArborescence_ecrireHTML_Item_Recursif.arguments.length>3)
  	delta=ComposantArborescence_ecrireHTML_Item_Recursif.arguments[3];
  var CodeHTML="";
  var CodeHref="";
  var CodeStyle="";
	
	var imageSrc="";
	var imageSrcOver="";
	var imageExpanded="";
	var imageExpandedOver="";


  for (var c=0+delta;c<Tableau.length+delta;c++)
  {
  	// choix du jeu d'images
  	if(this.type=='fichier')
  	{       this.initTabFichImages();
  	      if(Tableau[c-delta].tabFichSousItem==null &&Tableau[c-delta].tabDosSousItem==null)//Cas d'un fichier
  	      {
  	          var tmpTab=((Tableau[c-delta].libelle).split('.'));
  	          var extFichier=".defaut";
  	          if(tmpTab.length>0)
  	              extFichier = ((Tableau[c-delta].libelle).split('.'))[tmpTab.length-1];
  	          var jeuImages=null;
  	          if(extFichier!=null)
  	          if(extFichier!="")
  	          if(extFichier!='undefined')
  	          if(extFichier!=undefined)
  	          jeuImages=eval("tabFichImages."+extFichier);
  	          if(jeuImages==null)
  	              jeuImages=tabFichImages.defaut;
  	          imageSrc=jeuImages[0];
  	          imageSrcOver=jeuImages[1];
  	          imageExpanded=jeuImages[2];
  	          imageExpandedOver=jeuImages[3];
  	      }
  	      else//cas d'un dossier
  	      {
  	          imageSrc=image_dossier;
  	          imageSrcOver=image_dossier_over;
  	          imageExpanded=image_dossier_over;
  	          imageExpandedOver=image_dossier;
  	      }
  	}
  	else
  	{
  	if(Tableau[c-delta].tabDosSousItem!=null)
  	{
  		imageSrc=icone_niv_fermer;
  		imageSrcOver=icone_niv_fermer_over;
  		imageExpanded=icone_niv_ouvert;
  		imageExpandedOver=icone_niv_ouvert_over;
  	}
  	else if(Tableau[c-delta].tabFichSousItem!=null)
  	{
  		imageSrc=icone_niv_fermer;
  		imageSrcOver=icone_niv_fermer_over;
  		imageExpanded=icone_niv_ouvert;
  		imageExpandedOver=icone_niv_ouvert_over;
  	}
  	else
  	{
  		imageSrc=icone_niv_neutre;
  		imageSrcOver=icone_niv_neutre_over;
  		imageExpanded=icone_niv_neutre;
  		imageExpandedOver=icone_niv_neutre_over;
  	}
  	}
  	// personalisation du jeu d'image en fonction des attributs renseigns du noeud
  	if(Tableau[c-delta].image!=null)
  		imageSrc=Tableau[c-delta].image;
  	if(Tableau[c-delta].imageOver!=null)
  		imageSrcOver=Tableau[c-delta].imageOver;
  	if(Tableau[c-delta].imageExpanded!=null)
  		imageExpanded=Tableau[c-delta].imageExpanded;
  	if(Tableau[c-delta].imageExpandedOver!=null)
  		imageExpandedOver=Tableau[c-delta].imageExpandedOver;
  	
  	//Image courrante, permet d'afficher l'image en fonction du fait que l'lment est ouvert ou ferm
  	var currentImage=imageSrc;
  	
  	//dtermination du lien
    if (Tableau[c-delta].tabDosSousItem == null && Tableau[c-delta].tabFichSousItem == null)
    {
      if(this.type=='fichier')
             CodeHref = "javascript:parent.OpenWindow(\'" + Tableau[c-delta].url + "\',\'test\',\'height=800, width=850, scrollbars=yes, screenX=10, screenY=10\')";
      else
          CodeHref = Tableau[c-delta].url;
      if (IdNiveau == '')
        CodeStyle = "";
      else
        CodeStyle = ' style="display:none"';
    } else {
      CodeHref = 'javascript:'+this.id+'.affiche(\'Item.' + IdNiveau + c + '\',\''+imageSrcOver+'\',\''+imageExpandedOver+'\');';
      
      
      //Affichage de l'arborescence ouverte au niveau de this.strAffichage
      if((this.strAffichage!='') 
      && ((this.strAffichage.indexOf('/'+Tableau[c-delta].libelle+'/')!=-1))){
      	CodeStyle = ' style="display:\'\'"';
      	currentImage=imageExpanded;
      }else{
      	CodeStyle = ' style="display:none"';
      }
    }
    // Si un attribut fonction  est renseign pour le noeud, dans ce cas le lien du noeud comporte forcment un appel  la mthode "onClick".
    if(Tableau[c-delta].func!=null)
    {
        var t=c-delta;
    	 CodeHref = 'javascript:onClick(\''+ Tableau[c-delta].func+'\',\''+tabId+'['+t+']\');';//+'\',\''+ Tableau[c-delta].libelle+'\',' + Tableau[c-delta].data + ');';
    }
    // Dfinition des tailles d'images
    var widthImage=11;
    var heightImage=11;
    if(this.type=='fichier')
    {
        widthImage=16;
        heightImage=16;
    }
    //Ecriture du code HTML
    CodeHTML += '<a id="a' + IdNiveau + c + '" href="' + CodeHref + '" onMouseOver="'+this.id+'.changeTreeImage(\'' + IdNiveau + c+'\',\''+imageSrcOver+'\',\''+imageExpandedOver+'\')" onMouseOut="'+this.id+'.changeTreeImage(\'' + IdNiveau +c+'\',\''+imageSrc+'\',\''+imageExpanded+'\')"><img id="ico' + IdNiveau + c + '" src="' + currentImage + '" alt="' + Tableau[c-delta].libelle + '" title="' + Tableau[c-delta].libelle + '" width="'+widthImage+'" height="'+heightImage+'" border="0">';
    CodeHTML += Tableau[c-delta].libelle;
    CodeHTML += '</a><br />\n';
    if (Tableau[c-delta].tabDosSousItem != null || Tableau[c-delta].tabFichSousItem != null)
    {
      var t=c-delta;
      CodeHTML += '<div id="Item.' + IdNiveau + c + '" class="arboniveau"' + CodeStyle + '>\n';
      if(Tableau[c-delta].tabDosSousItem != null)
      CodeHTML += this.ecrireBindRecursif(Tableau[c-delta].tabDosSousItem, IdNiveau + c,tabId+'['+t+']'+'.tabDosSousItem');
      if(Tableau[c-delta].tabFichSousItem != null)
      if(Tableau[c-delta].tabDosSousItem!=null)
      	CodeHTML += this.ecrireBindRecursif(Tableau[c-delta].tabFichSousItem, IdNiveau + c,tabId+'['+t+']'+'.tabFichSousItem',Tableau[c-delta].tabDosSousItem.length);
      else
      	CodeHTML += this.ecrireBindRecursif(Tableau[c-delta].tabFichSousItem, IdNiveau + c,tabId+'['+t+']'+'.tabFichSousItem');
      CodeHTML += '</div>\n';
    }
  }
  return CodeHTML;
}

// Mthode pour gnrer le code HTML associ au composant Arborescence
/**
* Mthode prive ecrireBind() renvoyant le code HTML du composant Arborescence.
* Le code est renvoy sous la forme d'une chane de caractres prenant en compte l'ensemble du paramtrage 
* effectu sur la classe. Cette fonction, de la mme manire que la fonction qui gnre la structure rcursive 
* du tableau d'objets, va gnrer l'affichage du code HTML du composant.
* 10/11/2006 : ajout d'un paramtre optionnel pour ouvrir une arborescence  un endroit prcis.
* @see ComposantArborescence
* @private
* @param {string_Optionnel} strAffichage : chemin de l'arborescence  ouvrir  l'affichage
* @return {string} Code HTML associ au composant Arborescence.
* @version 2.4
* @date 14/11/2006
*/
function ComposantArborescence_ecrireHTML()
{
  //On regarde si un chemin XML est pass en paramtre
  if(arguments.length == 1){
  	var tmpAffichage = arguments[0];
  	
  	//Le chemin XML est non null, il ne contient pas de point (ce n'est pas une url classique)
  	if((tmpAffichage) && (tmpAffichage.search(/.\.{1}./)==-1)){
  		
  		//formattage du chemin xml
  		if(tmpAffichage.search(/^\/{1}./)!=0){
  			tmpAffichage='/'+tmpAffichage;
  		}
  		if(tmpAffichage.search(/.\/{1}$/)!=0){
  			tmpAffichage=tmpAffichage+'/';
  		}
  	
  	//Initialisation de l'attribut strAffichage de l'objet sur lequel on travaille
  	this.strAffichage = tmpAffichage;
  }}
  if (this.tabTitres.length == 0)
    return "Arborescence vide";  
  var CodeHTML = '\n';
  CodeHTML += '<div class="arboniveau">\n';
  CodeHTML += this.ecrireBindRecursif(this.tabTitres, '',this.id+'.tabTitres');
  CodeHTML += '</div>\n';
  this.divBind.innerHTML= CodeHTML;
}



// Dfinition de la classe ComposantArbrescence
/**
* Cre une instance de la classe ComposantArbrescence.
* <br>
* @class La classe <b>ComposantArborescence</b> est la classe permettant de grer le composant Arborescence.
* <br> Ses proprits publiques dcrivent les attributs du composant et peuvent tre manipul ou interroges 
* en dehors de la bibliothque du framework ergonomique. Ses proprits prives sont utilises au sein
* mme du framework ergonomique.<br>
* <br><br><br><img src="Image.ComposantArborescenceUML.png"/><br><br>
* <br><br>RENDU IHM<br><br><span style="text-decoration: underline;">Composant Arborescence :</span><br><br>
* Voici l'affichage d'un composant Arborescent. Le clic sur un lien renvoie une fentre avec l'affichage du lien.
* <br><br><img alt="exComposantArborescent" src="Image.ComposantArborescent.jpg"/>
* <br><br><span style="text-decoration: underline;">Composant Arborescence Fichier :</span><br><br>
* Voici l'affichage d'un composant Arborescent par fichier, le clic sur un lien renvoie  une fentre avec 
* l'affichage du fichier.
* <br><br><img alt="exComposantArborescentFichier" src="Image.ComposantArborescentFichier.jpg"/>
* <br>
* <a href="javascript:ouvrirPopupExemple('./exemples/arbo1.html','Exemple')">Exemple d'utilisation du composant Arborescence en mode navigation.</a><br>
* <a href="javascript:ouvrirPopupExemple('./exemples/arbo2.html','Exemple')">Exemple d'utilisation du composant Arborescence en mode fichier.</a><br>
* @includeJS ergonomique_fw_arborescence.js
* @includeCSS CssCommunArbo
* @constructor
* @param {String_Obligatoire} id : String indiquant l'{@link #id id} du composant  instancier.
* Sa valeur doit correspondre au nom de la variable JavaScript du composant instanci.
* @param {String_Obligatoire} type : String indiquant le {@link #type type} de composant dsir.
* Valeurs possibles : "<toute chane de caractre autre que fichier>", "fichier"
* @param {XMLObjectSauvegarde_Obligatoire} XMLObjectCont : Objet {@link #XMLObjectSauvegarde XMLObjectSauvegarde}
* pour paramtrer le contenu informatif.
* @param {t_ObjectItemArborescence_Optionnel} tabTitres : Tableau d'objets 
* {@link #ObjectItemArborescence ObjectItemArborescence} pour paramtrer le contenu informatif en JavaScript 
* si pas de flux XML pour effectuer ce paramtrage.
* @version 2.4
* @date 14/11/2006
*/
function ComposantArborescence(id, type, XMLObjectCont)
{
  // ***************************
  // Attributs de l'objet
  // ***************************

	/**
	* La proprit prive id est l'ID du composant dfinit sous forme de chane de caractres. Il doit 
	* obligatoirement tre valoris au nom de la variable JavaScript rfrenant l'instanciation du composant.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.id = id;
  
	/**
	* La proprit prive type est la chane de caractres prcisant le type du composant (par navigation 
	* ou par fichier). Si la chane de caractre 'fichier' est prcise, alors le type du composant sera par fichier.
	* Dans tous les autres cas, on aura un type de composant navigation.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.type = type;
  
	/**
	* La proprit prive XMLObjectArborescence est l'objet de type {@link XMLObjectSauvegarde XMLObjectSauvegarde}
	* rfrenant le flux XML intgrant le contenu informatif du composant. Si ce paramtrage est effectu directement
	* par passage de tableau JavaScript sans flux XML, alors cette proprit est valorise  null.
	* <br><br>
	* @private
	* @type XMLObjectSauvegarde
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.XMLObjectArborescence = XMLObjectCont;
  
	/**
	* La proprit prive divBind est la Zone dynamique (objet DOM HTML) associe au composant. Cette zone dynamique
	* permet de binder (charger) le code HTML refltant le rendu et le dynamisme du composant. Par dfaut, cette zone 
	* dynamique est l'lment DOM HTML dont l'id est valoris par "Position_" + Id du composant.
	* <br><br>
	* @private
	* @type DOM HTML
	* @version 1.1
	* @date 25/10/2005	
	*/  
  this.divBind = null;
  
	/**
	* L'lment  argv  dans la classe ComposantArborescence n'est pas une proprit, il permet de rcuprer
	* dans un tableau les arguments passs en paramtres du constructeur de la classe 
	* (utile dans le cas des paramtres facultatifs, pour reprer les paramtres qui ont t soumis par le dveloppeur).
	* Il est dclar 'var'.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  var argv = ComposantArborescence.arguments;
  
	/**
	* L'lment  argc  dans la classe ComposantArborescence n'est pas une proprit, il permet de rcuprer
	* le nombre d'arguments passs en paramtres du constructeur de la classe (utile dans le cas des paramtres 
	* facultatifs, pour compter les paramtres  soumis par le dveloppeur). Il est dclar 'var'.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/   
  var argc = ComposantArborescence.arguments.length;
  
	/**
	* La proprit publique tabTitres est un tableau d'objets ObjectItemArborescence refltant l'ensemble 
	* des lments de l'arborescence. Ce tableau est soit pass en paramtre du constructeur, soit auto-aliment
	*  partir d'un flux XML pass en paramtre lors de la construction du composant.
	* <br><br>
	* @public
	* @type ObjectItemArborescence
	* @version 1.1
	* @date 25/10/2005	
	*/  
  this.tabTitres = (argc > 3) ? argv[3] : new Array();

	/**
	* La proprit publique title est une chane de caractres reprsentant l'information du tag &lt;title&gt;
	* du composant Arborescence. Elle apparat comme le titre d'un composant Arborescence cliquable si la proprit 
	* {@link #link link} contient l'information.
	* <b>Valeur par dfaut : </b><a href='default-values_A3.html#ComposantArborescenceProp'> Valeurs par dfaut 
	* des Proprits</a>.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.title = '';

	/**
	* La proprit publique link est une chane de caractres reprsentant l'information du tag &lt;link&gt;
	* du composant Arborescence : c'est le lien vers lequel pointe le titre du composant.
	* <b>Valeur par dfaut : </b><a href='default-values_A3.html#ComposantArborescenceProp'>
	* Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.link = '';

	/**
	* La proprit publique description dcrit le composant Arborescence et peut tre manipule ou interroge 
	* en dehors de la bibliothque du framework ergonomique. C'est une chane de caractres reprsentant 
	* l'information du tag &lt;description&gt; du composant Arborescence : il apparat sous le titre 
	* du composant Arborescence.
	* <b>Valeur par dfaut : </b><a href='default-values_A3.html#ComposantArborescenceProp'>Valeurs par dfaut
	* des Proprits</a>.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.description = '';

	/**
	* La proprit prive language indique la langue du composant 
	*(valeur extraite depuis le paramtrage XML du composant). <b>Valeur par dfaut : </b>
	* <a href='default-values_A3.html#ComposantArborescenceProp'>Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.language = '';
  
  /**
	* La proprit publique strAffichage reprsente le chemin d'affichage d'une arborescence sous la forme
	* 'item1/item2/item3'.
	* <br><br>
	* @public
	* @type String
	* @version 2.4
	* @date 14/11/2006
	*/  
  this.strAffichage = '';
  
  // ***************************
  // Mthodes de l'objet
  // ***************************
  
  // Initialisation lie  la prsence d'un objet XML
  this.initTabByXML = ComposantArborescence_initTabByXML;
  
  // Gnration HTML du composant Arborescence
  this.ecrireBind = ComposantArborescence_ecrireHTML;//ComposantArborescence_ecrireBind;
  this.initDivBind = ComposantArborescence_initDivBind;
  this.setDivBind = ComposantArborescence_setDivBind;
  
  // Ecriture rcursive de l'arborescence
  this.ecrireBindRecursif = ComposantArborescence_ecrireHTML_Item_Recursif;
  this.initTabFichImages=ComposantArborescence_initTabFichImages;
  this.creerItem=ComposantArborescence_creerItem;
  this.CreerSousItem=ComposantArborescence_CreerSousItem;
  this.changeTreeImage=ComposantArborescence_changeTreeImage;
  this.affiche=ComposantArborescence_affiche;
  this.ouvrirArbo=ComposantArborescence_ouvrirArbo;
  
  // Constructeur
  this.constructor = ComposantArborescence_constructor;
  this.constructor();
}