/**
*@fileoverview Ce fichier Javascript correspond au framework de gestion d'un canal RSS. Cette description 
* consiste   prsenter les prototypes des fonctions, des exemples d'appel et les prcisions techniques 
* ncessaires  la mise en oeuvre de ce framework.<br>
* Le framework Canal RSS utilise les classes utilitaires suivantes :<br>&gt; <b>
* {@link ComposantCanalRSS ComposantCanalRSS}</b> pour grer le composant
* CanalRSS.<br>&gt; <b>{@link ObjectItemCanal ObjectItemCanal}</b> pour dcrire l'objet associ  un item 
* (ou information) du canal.<br><br>
* <img alt="classesFwCanalRSS" src="Image.ComposantCanalRSSUML.png"><br>
* Ainsi, conformment aux principes du framework ergonomique, l'ensemble du contenu informatif peut tre 
* paramtr sous forme de flux XML ou par l'intermdiaire d'un tableau JavaScript.
* Le contenu informatif doit respecter le standard XML associ au mode canal RSS de diffusion de l'information 
* dans sa version 0.91 - {@link http://www.rss-specifications.com/rss-specifications.htm cf. spcifications de la norme}.
* <br><b><a href="exemples_A3.html#structXml">Voir exemple : XML canalRSS joint avec 
* les spcifications de maquette</a>. </b><br>
* <div style="border: 0.5pt solid windowtext; padding: 1pt 4pt; background: rgb(255, 255, 204) 
* none repeat scroll 0% 50%; -moz-background-clip: initial; -moz-background-origin:
* initial; -moz-background-inline-policy: initial;"><code>&nbsp;&nbsp;&nbsp; &lt;rss version="0.91"&gt;<br><br>
* &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;channel&gt;<br> <br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* &nbsp;&nbsp;&nbsp; &lt;title&gt;&lt;/title&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; 
* &lt;link&gt;&lt;/link&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;description&gt;&lt;
* /description&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;language&gt;&lt; 
* /language&gt;<br> <br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;item&gt;<br> 
* &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;title&gt;&lt;/title&gt;<br> 
* &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;link&gt;&lt;/link&gt;<br> 
* &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;description/&gt;<br> 
* &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;/item&gt;<br> <br> &nbsp;&nbsp;&nbsp; 
* &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;item&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; 
* &nbsp;&nbsp;&nbsp; &lt;title&gt;&lt;/title&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; 
* &nbsp;&nbsp;&nbsp; &lt;link&gt;&lt;/link&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; 
* &nbsp;&nbsp;&nbsp; &lt;description&gt;&lt;/description&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; 
* &nbsp;&nbsp;&nbsp; &lt;/item&gt;&nbsp;&nbsp; <br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;<br>
* &nbsp;&nbsp;&nbsp; &lt;/channel&gt;<br> &lt;/rss&gt;
* <br></code></div>
* <br>L'lment racine de nom rss ici peut prendre n'importe quel nom. Ce nom d'lment n'est utile seulement 
* lors de la construction de la page, pour passer le bon paramtrage.
* La dtermination de ce nom est effectue soit par un modle de page ou par le dveloppeur de la page.<br>
* <br><br>RENDU IHM<br><br><span style="text-decoration: underline;">CanalRSS simple :</span><br><br>
* Voici, comme exemple, l'affichage d'un composant Canal RSS simple sans lment de pagination avec 
* le fichier xml des spcifications maquette.
* <br><br><img alt="exComposantCanalRSSsimple" src="Image.ComposantCanalRSSsimple.jpg"/>
* <br><br><span style="text-decoration: underline;">Canal RSS avec pagination :</span><br><br>
* Voici l'affichage du mme composant Canal RSS avec lment de pagination.
* <br><br><img alt="exComposantCanalRSSavecPagination" src="Image.ComposantCanalRSSavecPagination.jpg"/>
* <br><br><b>{@link Fonctions_Globales Fonctions globales} :</b> 
* {@link Fonctions_Globales#Generique_retourXML Generique_retourXML()}<br>
* @author Ministre des Affaires Etrangres, Aubay SA, Steve Pguet
* @version 1.1
* @date 25/10/2005
*/

/*
Copyright ou  ou Copr. 
Ministre des Affaires Etrangres,
Aubay SA,
Steve Pguet, (10/05/2004)

steve.peguet@diplomatie.gouv.fr

Ce logiciel est un programme informatique servant de framework JavaScript 
bas sur les normes W3C (XHTML/CSS/DOM/XML). Il offre la possibilit de 
mettre en uvre facilement les principes ergonomiques et techniques propres 
 un client riche (cumul des avantages du client lger et du client lourd).
Ce logiciel est rgi par la licence CeCILL soumise au droit franais et
respectant les principes de diffusion des logiciels libres. Vous pouvez
utiliser, modifier et/ou redistribuer ce programme sous les conditions
de la licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA 
sur le site "http://www.cecill.info".

En contrepartie de l'accessibilit au code source et des droits de copie,
de modification et de redistribution accords par cette licence, il n'est
offert aux utilisateurs qu'une garantie limite.  Pour les mmes raisons,
seule une responsabilit restreinte pse sur l'auteur du programme,  le
titulaire des droits patrimoniaux et les concdants successifs.

A cet gard  l'attention de l'utilisateur est attire sur les risques
associs au chargement,   l'utilisation,   la modification et/ou au
dveloppement et  la reproduction du logiciel par l'utilisateur tant 
donn sa spcificit de logiciel libre, qui peut le rendre complexe  
manipuler et qui le rserve donc  des dveloppeurs et des professionnels
avertis possdant  des  connaissances  informatiques approfondies.  Les
utilisateurs sont donc invits  charger  et  tester  l'adquation  du
logiciel  leurs besoins dans des conditions permettant d'assurer la
scurit de leurs systmes et ou de leurs donnes et, plus gnralement, 
 l'utiliser et l'exploiter dans les mmes conditions de scurit. 

Le fait que vous puissiez accder  cet en-tte signifie que vous avez 
pris connaissance de la licence CeCILL, et que vous en avez accept les
termes.*/

var icone_ico_actualiser_over = '/proto/FrameworkERGO/images/bouton/table/IcoActualiserover.gif';
var icone_ico_actualiser = '/proto/FrameworkERGO/images/bouton/table/IcoActualiser.gif';
var icone_ico_suivant_over = '/proto/FrameworkERGO/images/bouton/table/IcoSuivantover.gif';
var icone_ico_suivant = '/proto/FrameworkERGO/images/bouton/table/IcoSuivant.gif';
var icone_ico_precedent = '/proto/FrameworkERGO/images/bouton/table/IcoPrecedent.gif';
var icone_ico_precedent_over = '/proto/FrameworkERGO/images/bouton/table/IcoPrecedentover.gif';
var icone_ico_premier = '/proto/FrameworkERGO/images/bouton/table/IcoPremier.gif';
var icone_ico_premier_over = '/proto/FrameworkERGO/images/bouton/table/IcoPremierover.gif';
var icone_ico_dernier = '/proto/FrameworkERGO/images/bouton/table/IcoDernier.gif';
var icone_ico_dernier_over = '/proto/FrameworkERGO/images/bouton/table/IcoDernierover.gif';

var objectGeneriqueId = "";

// Fonction globale Generique_retourXML()

/**
* La fonction globale Generique_retourXML() permet d'effectuer l'appel de la
* {@link #Generique_retourXML fonction qui retourne le flux XML} du composant dont l'id
* est renseign dans la variable globale : objectGeneriqueId.
* <br><br><b>Voir Exemple d'appel aux fonctions globales : </b>
* <a href='exemples_A3.html#fctGlob'>Exemples d'appel aux fonctions globales</a>.
* @public
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function Generique_retourXML()
{
  eval(objectGeneriqueId + '.retourXML();');
}


// Fonction iconeOver(widget) grant l'vnement "onMouseOver" du composant.

/**
* La mthode prive iconeOver(widget) implmente le traitement  excuter sur l'vnement "onMouseOver"
* du composant Canal RSS, gre l'affichage d'un Item.
* @private
* @param {ObjectDOMHTML _Obligatoire} widget Elment  DOM HTML du composant Texte Long.
* @return {void} 
* @version 1.1
* @date 25/10/2005
*/
function ComposantCanalRSS_changeIconeOnMouseOver(widget)
{
  if (widget.childNodes[0].src.search(icone_ico_actualiser) != -1)
    widget.childNodes[0].src = icone_ico_actualiser_over;
  if (widget.childNodes[0].src.search(icone_ico_suivant) != -1)
    widget.childNodes[0].src = icone_ico_suivant_over;
  if (widget.childNodes[0].src.search(icone_ico_precedent) != -1)
    widget.childNodes[0].src = icone_ico_precedent_over;
  if (widget.childNodes[0].src.search(icone_ico_premier) != -1)
    widget.childNodes[0].src = icone_ico_premier_over;
  if (widget.childNodes[0].src.search(icone_ico_dernier) != -1)
    widget.childNodes[0].src = icone_ico_dernier_over;
}


// Fonction iconeOut(widget) grant l'vnement "onMouseOut" du composant.

/**
* La mthode prive iconeOut(widget) implmente le traitement  excuter sur l'vnement "onMouseOut"
* du composant Canal RSS (dsaffichage d'un Item).
* @private
* @param {ObjectDOMHTML _Obligatoire} widget : Elment DOM HTML du composant CanalRSS.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantCanalRSS_changeIconeOnMouseOut(widget)
{
  if (widget.childNodes[0].src.search(icone_ico_actualiser_over) != -1)
    widget.childNodes[0].src = icone_ico_actualiser;
  if (widget.childNodes[0].src.search(icone_ico_suivant_over) != -1)
    widget.childNodes[0].src = icone_ico_suivant;
  if (widget.childNodes[0].src.search(icone_ico_precedent_over) != -1)
    widget.childNodes[0].src = icone_ico_precedent;
  if (widget.childNodes[0].src.search(icone_ico_premier_over) != -1)
    widget.childNodes[0].src = icone_ico_premier;
  if (widget.childNodes[0].src.search(icone_ico_dernier_over) != -1)
    widget.childNodes[0].src = icone_ico_dernier;
}


// Fonction pour initialiser le contenu du tableau d'lments d'un canal RSS  partir d'un flux XML

/**
* La mthode prive initTabByXML() permet de construire le tableau d'objets rfrenant l'ensemble des 
* items du canal ainsi que les proprits publiques du composant prsentes dans le Canal RSS
*  partir d'un flux XML correspondant au paramtre urlXML. Elle est appele par {@link ComposantCanalRSS le
* constructeur de la classe} lorsqu'un flux XML lui est passe en argument.
* @private
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantCanalRSS_initTabByXML()
{
  var tabItemsListe = parent.getElements(this.XMLObjectCanalRSS.xmlDoc,"item");

  var o=0;
  var elementChannel = parent.getElements(this.XMLObjectCanalRSS.xmlDoc,"channel")[0];
  for (o=0;o<elementChannel.childNodes.length;o++)
  {
    var test = elementChannel.childNodes[o];
    //alert(this.XMLObjectCanalRSS.xmlDoc.documentElement.childNodes[o].nodeName);
    switch (test.nodeName)
    {
      case 'title':
        this.title = parent.getData(test);
      break;
      case 'link':
        this.link = parent.getData(test);
      break;
      case 'description':
        this.description = parent.getData(test);
      break;
      case 'language':
        this.language = parent.getData(test);
      break;
      case 'copyright':
        this.copyright = parent.getData(test);
      break;
      case 'pubDate':
        this.pubDate = parent.getData(test);
      break;
      case 'lastBuildDate':
        this.lastBuildDate = parent.getData(test);
      break;
      case 'managingEditor':
        this.managingEditor = parent.getData(test);
      break;
      case 'webMaster':
        this.webMaster = parent.getData(test);
      break;
    }
  }
  
  if (this.navigation != null)
  {
    this.maxPage = Math.ceil(tabItemsListe.length / this.navigation);
    this.nombreItem = tabItemsListe.length;
  } else {
    this.maxPage = 1;
    this.nombreItem = tabItemsListe.length;
  }
    
  var i=0;
  for (i=0;i<tabItemsListe.length;i++)
    this.tabListe[i] = new ObjectItemCanal(parent.getDataElement(tabItemsListe[i],"title"), parent.getDataElement(tabItemsListe[i],"link"), parent.getDataElement(tabItemsListe[i],"date"), parent.getDataElement(tabItemsListe[i],"description"), parent.getDataElement(tabItemsListe[i],"author"), parent.getDataElement(tabItemsListe[i],"dc:creator"));
}


// Dfinition de la classe ObjectItemCanal reprsentant un lment d'un Canal RSS

/**
* Cre une nouvelle instance d'ObjectItemCanal.
* @class La classe <b>ObjectItemCanal</b> est la classe permettant de dcrire l'objet 
* associ  un item (ou information) du canal.<br>Il n'existe pas de proprit prive pour cette classe.
* Il n'existe pas de mthode pour cette classe. <br><br>Ses proprits publiques dcrivent les attributs
* d'un item de canal et peuvent tre manipules ou interroges en dehors de la bibliothque du 
* framework ergonomique.<br>
* <br><br><img alt="model" src="Image.ObjectItemCanalUML.png"/><br>
* @constructor
* @param {String_Obligatoire} title {@link #title Chane de caractres} reprsentant l'information du tag &lt;title&gt; d'un item du canal.
* @param {String_Obligatoire} link {@link #link Chane de caractres} reprsentant l'information du tag &lt;link&gt; d'un item du canal.
* @param {String_Obligatoire} date {@link #date Chane de caractres} reprsentant l'information du tag &lt;date&gt; d'un item du canal.
* @param {String_Obligatoire} description {@link #description Chane de caractres} reprsentant l'information du tag &lt;description&gt; d'un item du canal.
* @param {String_Obligatoire} author {@link #author Chane de caractres} reprsentant l'information du tag &lt;author&gt; d'un item du canal.
* @param {String_Obligatoire} creator {@link # dc_creatorChane de caractres} reprsentant l'information du tag &lt;dc_creator&gt; d'un item du canal.
* @version 1.1
* @date 25/10/2005
*/
function ObjectItemCanal(title, link, date, description, author, dc_creator)
{
	/**
	* La proprit publique titleItem dcrit l'attribut d'un item de canal et peut tre manipule 
	* ou interroge en dehors de la bibliothque du framework ergonomique.
	* C'est une chane de caractres reprsentant l'information du tag &lt;title&gt; d'un item du canal.
	* Elle apparat comme titre d'un item cliquable si la proprit {@link #link link} contient l'information.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/
  this.titleItem = title;
  
	/**
	* La proprit publique linkItem dcrit l'attribut d'un item de canal et peut tre manipule ou 
	* interroge en dehors de la bibliothque du framework ergonomique.
	* C'est une chane de caractres reprsentant l'information du tag &lt;link&gt; d'un item du canal :
	* le lien vers lequel pointe le titre d'un item du canal.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.linkItem = link;
  
	/**
	* La proprit publique dateItem dcrit l'attribut d'un item de canal et peut tre manipule ou interroge en dehors de la
	* bibliothque du framework ergonomique -  C'est une chane de caractres reprsentant l'information du tag &lt;date&gt; d'un item du canal :
	* Apparat dans les informations de l'item du canal sous le texte de description.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.dateItem = date;
  
	/**
	* La proprit publique descriptionItem dcrit l'attribut d'un item de canal et peut tre manipule
	* ou interroge en dehors de la bibliothque du framework ergonomique. C'est une chane de caractres 
	* reprsentant l'information du tag &lt;description&gt; d'un item du canal :
	* Apparat sous le titre de l'item du canal.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.descriptionItem = description;
  
	/**
	* La proprit publique authorItem dcrit l'attribut d'un item de canal et peut tre manipule ou 
	* interroge en dehors de la bibliothque du framework ergonomique -  C'est une chane de caractres 
	* reprsentant l'information du tag &lt;author&gt; d'un item du canal :
	* Apparat sous le texte de description de l'item du canal.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.authorItem = author;
  
	/**
	* La proprit publique dc_creatorItem dcrit l'attribut d'un item de canal et peut tre manipule ou 
	* interroge en dehors de la bibliothque du framework ergonomique -  C'est une chane de caractres 
	* reprsentant l'information du tag &lt;dc_creator&gt; d'un item du canal :
	* Apparat sous le texte de description de l'item du canal.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.dc_creatorItem = dc_creator;
}


// Constructeur pour le composant CanalRSS

/**
* Fonction ComposantCanalRSS_constructor() permetant l'instanciation d'un objet de type 
* ComposantCanalRSS {@link ComposantCanalRSS ComposantCanalRSS}.
* @see ComposantCanalRSS
* @public
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantCanalRSS_constructor()
{
  if (this.divBind == null)
    this.initDivBind();
  if (this.XMLObjectCanalRSS == null)
  {
    objectGeneriqueId = this.id;
    this.XMLObjectCanalRSS = new parent.XMLObject("CONTENU_WIN", this.divBind.id, "window.frames['CONTENU_WIN'].Generique_retourXML", this.urlXMLCanalRSS, true);
  }
}


// Fonction permettant de lancer les fonctions ncessaires  l'affichage du canal. Cette mthode est appele 
// lors de chaque nouvel import du flux XML du CanalRSS. Cette mthode rinitialise le tableau Javascript 
// des items du canal, lance la mthode de gnration de l'affichage du code HTML du canal et enfin lance 
// la fonction qui gnre le code HTML grant la pagination.

/**
* La mthode prive retourXML() est appele aprs l'import d'un flux XML afin de procder  l'affichage du canal.
* @see ComposantCanalRSS
* @private
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantCanalRSS_retourXML()
{
  var testErreur = this.XMLObjectCanalRSS.parseErrorXML();
  if (testErreur == 0)
  {
    this.initTabByXML();
    this.ecrireBind();
    this.affiche_page(1);
  }
}


// Fonction permettant de r-importer le flux XML du Canal

/**
* La mthode prive refresh() est appele lors d'un click sur le visuel Actualiser pour effectuer 
* un nouvel appel du fichier XML du Canal RSS.
* @see ComposantCanalRSS
* @private
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantCanalRSS_raffraichirXML()
{
  this.XMLObjectCanalRSS.importXML();
}


// Fonction permettant de r-importer le flux XML du Canal et de le rafficher.

/**
* La mthode publique importCanalRSS() permet de rappeler le flux XML du canal. Elle est 
* <span style="font-weight: bold; color: rgb(0, 153, 0);">utilise par le dveloppeur lors de l'instance du
* composant</span> et <span style="font-weight: bold; color: rgb(0, 153, 0);">permet de s'affranchir des 
* problmes dans Internet Explorer</span>.<br> La fonction importCanalRSS est ici ncessaire afin de
* contourner des problmes d'instances de l'objet au niveau des navigateurs.
* <span style="font-weight: bold; color: rgb(0, 153, 0);">Cette fonction</span> lorsqu'elle est appele 
* <span style="font-weight: bold; color: rgb(0, 153, 0);">dclenche la mthode importXML()</span> de l'objet 
* sauvegarde.<br> Cette fonction est <span style="font-weight: bold; color: rgb(0, 153, 0);">utilise par la 
* suite dans le cas d'un rafrachissement des donnes du canal</span>.
* <br><br><b>Voir Exemple d'instanciation de ce composant</b> 
* pour un composant Canal RSS de type pagination : <a href='exemples_A3.html#ComposantCanalRSS_constr'>
* Exemples d'appels aux constructeurs</a>.
* @public
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantCanalRSS_importCanalRSS()
{
  this.XMLObjectCanalRSS.importXML();
}


// Fonction pour initialiser par dfault la zone dynamique (DIV) associe au composant Canal RSS.

/**
* La mthode prive initDivBind() permet de spcifier un pointeur vers le DOM HTML de la zone dynamique (DIV)
* grant la prsentation du composant canal RSS. Elle est ainsi initialise  l'lment DOM HTML prsent 
* dans la page dont l'id est valoris par "Position_" + Id du composant.<br>
* Ce pointeur vers le DOM HTML est stock dans la proprit divBind du composant CanalRSS.
* @private
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantCanalRSS_initDivBind()
{
  if (document.getElementById("Position_" + this.id))
    this.setDivBind(document.getElementById("Position_" + this.id));
}


// Fonction pour gnrer le code HTML associ au composant CanalRSS

/**
* La mthode prive ecrireElementDOMHTML() est la fonction interne renvoyant le code HTML associ au canal RSS.
* Le code est renvoy sous la forme d'une chane de caractres prenant en compte l'ensemble du paramtrage
* effectu sur la classe.
* @private
* @param {} Aucun
* @return {string} Code HTML associ au canal RSS  sous la forme d'une chane de caractres.
* @version 1.1
* @date 25/10/2005
*/
function ComposantCanalRSS_ecrireHTML()
{
  if (this.tabListe.length == 0)
    return "Liste vide";
    
  var CodeHTML = '<table width="90%" border="0" cellspacing="0" cellpadding="2">';
  CodeHTML += '<tr class="tableau_navig">';
  CodeHTML += '<td>&nbsp;</td>';
  CodeHTML += '</tr>';
  CodeHTML += '</table>';
  CodeHTML += '<table width="90%" border="0" cellspacing="0" cellpadding="0">';
  CodeHTML += '<tr valign="middle">';
  CodeHTML += '<td valign="top" align="center"><a href="javascript:'+ this.id + '.refresh()" onMouseOver="' + this.id + '.iconeOver(this)" onMouseOut="' + this.id + '.iconeOut(this)"><img src="' + icone_ico_actualiser + '" alt="Actualiser" title="Actualiser" width="16" height="16" border="0" /></a></td>';
  CodeHTML += '<td><span class="titre">' + this.title + '</span><br /><em>';
  if (this.description=='')
  {
    CodeHTML += '';
  } else {
    CodeHTML += '<br />Description : ' + this.description;
  }
  if (this.language=='')
  {
    CodeHTML += '';
  } else {
    CodeHTML += '<br />Langue de publication: ' + this.language;
  }
  if (this.copyright=='')
  {
    CodeHTML += '';
  } else {
    CodeHTML += '<br />Copyright : ' + this.copyright;
  }
  if (this.pubDate=='')
  {
    CodeHTML += '';
  } else {
    CodeHTML += '<br />Date de publication : ' + this.pubDate;
  }
  if (this.lastBuildDate=='')
  {
    CodeHTML += '';
  } else {
    CodeHTML += '<br />Date de derni&egrave;re publication : ' + this.lastBuildDate;
  }
  if (this.managingEditor=='')
  {
    CodeHTML += '';
  } else {
    CodeHTML += '<br />Responsable de publication : ' + this.managingEditor;
  }
  if (this.webMaster=='')
  {
    CodeHTML += '';
  } else {
    CodeHTML += '<br />Webmestre : ' + this.webMaster;
  }
  CodeHTML += '</em></td>';
  CodeHTML += '</tr>';
  CodeHTML += '</table>';
  CodeHTML += '<table width="90%" border="0" cellspacing="0" cellpadding="2">\n';
  CodeHTML += '<tr class="tableau_navig">\n';
  CodeHTML += '<td colspan="2">&nbsp;</td>\n';
  CodeHTML += '</tr>\n';

  if (this.navigation)
  {
    CodeHTML += '<tr>\n';
    CodeHTML += '<td height="16" class="navigdeco_p1">&nbsp;</td>\n';
    CodeHTML += '<td align="center" width="200" class="navigdeco_p2">\n';
    CodeHTML += '<table align="right" border="0" cellspacing="0" cellpadding="0">\n';
    CodeHTML += '<tr valign="middle">\n';
    CodeHTML += '<td>\n';
    CodeHTML += '&nbsp;';
    CodeHTML += '<a name="premier" id="premier" href="javascript:'+ this.id + '.affiche_page(1)" onMouseOver="' + this.id + '.iconeOver(this)" onMouseOut="' + this.id + '.iconeOut(this)"><img src="' + icone_ico_premier + '" width="16" height="16" border="0" alt="Premire page" title="Premire page" align="absmiddle"></a>\n';
    CodeHTML += '<a name="precedent" id="precedent" href="javascript:'+ this.id + '.affiche_page(1)" onMouseOver="' + this.id + '.iconeOver(this)" onMouseOut="' + this.id + '.iconeOut(this)"><img src="' + icone_ico_precedent + '" width="16" height="16" border="0" alt="Page prcdente" title="Page prcdente" align="absmiddle"></a>&nbsp;&nbsp;\n';
    CodeHTML += '</td>\n';
    CodeHTML += '<td>\n';
    CodeHTML += '<select name="page" id="page" class="navigselect" onChange="' + this.id + '.affiche_page(this.value)">\n';
    var i = 0;
    for (i=0;i<this.maxPage;i++)
    {
      CodeHTML += '<option class="navigoption" value="' + (i + 1) + '">&nbsp;&nbsp;' + (i + 1) + '</option>\n';
    }
    CodeHTML += '</select>\n';
    CodeHTML += '</td>\n';
    CodeHTML += '<td>\n';
    CodeHTML += '&nbsp;&nbsp;<a name="suivant" id="suivant" href="javascript:'+ this.id + '.affiche_page(2)" onMouseOver="' + this.id + '.iconeOver(this)" onMouseOut="' + this.id + '.iconeOut(this)"><img src="' + icone_ico_suivant + '" width="16" height="16" border="0" alt="Page suivante" title="Page suivante" align="absmiddle"></a>\n';
    CodeHTML += '<a name="dernier" id="dernier" href="javascript:'+ this.id + '.affiche_page(' + this.maxPage + ')" onMouseOver="' + this.id + '.iconeOver(this)" onMouseOut="' + this.id + '.iconeOut(this)"><img src="' + icone_ico_dernier + '" width="16" height="16" border="0" alt="Dernire page" title="Dernire page" align="absmiddle"></a>&nbsp;&nbsp;&nbsp;&nbsp;\n';
    CodeHTML += '</td>\n';
    CodeHTML += '</tr>\n';
    CodeHTML += '</table>\n';
    CodeHTML += '</td>\n';
    CodeHTML += '</tr>\n';
  }
  CodeHTML += '</table>\n';
  CodeHTML += '<div style="margin: 0 0 0 0px;">\n';
  CodeHTML += '<table width="90%" border="0" cellspacing="0" cellpadding="4">\n';
  CodeHTML += '<tr>\n';
  CodeHTML += '<td>\n';
  CodeHTML += '<div name="Affichage" id="Affichage">\n';
  CodeHTML += 'Pas d\'information disponible\n';
  CodeHTML += '</div>\n';
  CodeHTML += '</table>\n';
  CodeHTML += '<table width="90%" border="0" cellspacing="0" cellpadding="2">\n';
  CodeHTML += '<tr class="tableau_navig">\n';
  CodeHTML += '<td>&nbsp;</td>\n';
  CodeHTML += '</tr>\n';
  CodeHTML += '</table>\n';

  return CodeHTML;
}


// Mthode pour gnrer le code HTML correspondant  la zone dynamique des items du CanalRSS

/**
* La mthode prive affiche_page() est appele pour l'affichage de la (cas du canal RSS simple) 
* ou des pages (cas de la pagination) du composant Canal RSS.
* @private
* @param {int_Obligatoire}  NumPage : numro de la page appele du composant Canal RSS  afficher.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantCanalRSS_Pager(NumPage)
{
  var CodeHTML = '';
  
  this.currentPage = eval(NumPage);
  if (this.navigation)
  {
    var borneSuperieure = NumPage * this.navigation;
    var borneInferieure = borneSuperieure - this.navigation;
    var CalculPageSuivante = this.currentPage + 1;
    var CalculPagePrecedente = this.currentPage-1;
  
    document.getElementById('page').selectedIndex=this.currentPage-1;
    if (CalculPageSuivante > this.maxPage)
    {
      document.getElementById('suivant').href='javascript:' + this.id + '.affiche_page(' + this.maxPage + ')';
    } else {
      document.getElementById('suivant').href='javascript:' + this.id + '.affiche_page(' + CalculPageSuivante + ')';
    }
    if (CalculPagePrecedente == 0)
    {
      document.getElementById('precedent').href='javascript:' + this.id + '.affiche_page(1)';
    } else {
      document.getElementById('precedent').href='javascript:' + this.id + '.affiche_page(' + CalculPagePrecedente + ')';
    }
  
    if (borneSuperieure > this.nombreItem)
    {
      borneSuperieure = this.nombreItem;
    }
  } else {
    var borneSuperieure = this.nombreItem;
    var borneInferieure = 0;
  }
  for (i=borneInferieure;i<(borneSuperieure);i++)
  {
    CodeHTML += '<div>\n';
    CodeHTML += '<h2><a href="' + this.tabListe[i].linkItem + '" class="GCnoir">' + this.tabListe[i].titleItem + '</a></h2>\n';
    CodeHTML += '<div class="decal">\n';
    if (!this.tabListe[i].descriptionItem)
    {
      CodeHTML += 'Pas de description pour cette information';
    } else {
  	  if ((this.tabListe[i].descriptionItem.length>200)&(this.nombreCaracteres !=null))
  	  {
  	    CodeHTML += '<div id="Item.' + i + '" name="Item.' + i + '">\n'; 
  	    CodeHTML += this.tabListe[i].descriptionItem.substring(0,this.nombreCaracteres);
  	    CodeHTML += '&nbsp;...&nbsp;<a href="javascript:' + this.id + '.itemOn(\'Item.' + i + '\')" onMouseOver="' + this.id + '.iconeOver(this)" onMouseOut="' + this.id + '.iconeOut(this)"><img src="' + icone_ico_suivant + '" width="16" height="16" border="0" alt="Plus de dtails" title="Plus de dtails" valign="bottom"/></a><br />\n';
	    CodeHTML += '</div>\n';
	  } else {
	    CodeHTML += this.tabListe[i].descriptionItem;
	  }
    }
    CodeHTML += '<br /><cite>';
    if (this.tabListe[i].authorItem != '')
      CodeHTML += this.tabListe[i].authorItem + ':';
    if (this.tabListe[i].dateItem)
      CodeHTML += this.tabListe[i].dateItem;
    CodeHTML += '</cite>\n';
    CodeHTML += '</div>\n';
    CodeHTML += '</div>\n';
  }
    
  var Div = document.getElementById('Affichage');
  Div.innerHTML = CodeHTML;
  
}


// Fonction pour binder le code HTML gnr dans la zone dynamique associe 

/**
* La mthode publique ecrireBind() dclenche la gnration du code HTML de la zone dynamique associe au composant.
* Par dfaut, la zone dynamique est l'lment DOM HTML dont l'id est valoris par "Position_" + Id du composant.<br>
* Fonctionnement :<br>1. Dsaffichage de la zone dynamique.<br>
* 2. Rcupration du code HTML associ au composant CanalRSS.<br>
* 3. Bind le code HTML  la zone dynamique associe au Canal RSS.<br>
* 4. Affichage de la zone dynamique<br>
* @public
* @param {} Aucun
* @return {void}
* @version 2.0
* @date 06/06/2006
*/
function ComposantCanalRSS_ecrireBind()
{
  this.divBind.innerHTML = this.ecrireElementDomHTML();
  this.divBind.style.display = "";
}


// Fonction grant l'affichage complet d'un item en levant la barrire du nombre de caractres maximum

/**
* La mthode prive itemOn(Item) est appele lors d'un clic sur un visuel d'un item de canal permettant
* ainsi la visualisation complte hors de la limite {@link #nombreCaracteres nombreCaracteres}
*  de la description de l'item.
* @private
* @param {String_Obligatoire} Item de canal slectionn pour une visualisation complte.
* @return {string} Code HTML associ au canal RSS sous la forme d'une chane de caractres.
* @version 1.1
* @date 25/10/2005
*/
function ecrireBindItem(Item)
{
  var DivItem=Item.split('.');
  var CodeHTMLItem = ComposantCanalRSSTest.tabListe[eval(DivItem[1])].descriptionItem;
  var Div = document.getElementById(Item);

  CodeHTMLItem += '<a href="javascript:' + this.id + '.itemOff(\'Item.' + DivItem[1] + '\')" onMouseOver="' + this.id + '.iconeOver(this)" onMouseOut="' + this.id + '.iconeOut(this)"><img src="' + icone_ico_precedent + '" width="16" height="16" border="0" alt="Rduire" title="Rduire" valign="bottom"/></a><br />\n';
  Div.innerHTML = CodeHTMLItem;
}


// Fonction permettant de revenir  l'affichage de la description de l'item sur un nombre max. de caractres donner
// par le paramtre nombreCaracteres.

/**
* La mthode prive itemOff(Item) est appele lors d'un clic sur un visuel d'un item de canal permettant 
* de revenir  la visualisation de l'item sur un  nombre de caractres gal  
* {@link #nombreCaracteres nombreCaracteres}.
* @private
* @param {String_Obligatoire} Item de canal slectionn pour un retour  une visualisation sur 
* un nombre de caractres gal    {@link #nombreCaracteres nombreCaracteres}
* @return {string} Code HTML associ au canal RSS sous la forme d'une chane de caractres.
* @version 1.1
* @date 25/10/2005
*/
function ecrireBindOffItem(Item)
{
  var DivItem=Item.split('.');
  var CodeHTMLItem = ComposantCanalRSSTest.tabListe[eval(DivItem[1])].descriptionItem.substring(0,this.nombreCaracteres);
  var Div = document.getElementById(Item);
  
  CodeHTMLItem += '&nbsp;...&nbsp;<a href="javascript:' + this.id + '.itemOn(\'Item.' + DivItem[1] + '\')" onMouseOver="' + this.id + '.iconeOver(this)" onMouseOut="' + this.id + '.iconeOut(this)"><img src="' + icone_ico_suivant + '" width="16" height="16" border="0" alt="Plus de dtails" title="Plus de dtails" valign="bottom"/></a><br />\n';
  Div.innerHTML = CodeHTMLItem;
}


// Description de la classe CanalRSS

/**
* Cre une instance de la classe CanalRSS.
* <br><b>Voir Exemple d'instanciation de ce composant</b> pour un composant Canal RSS de type pagination : 
* <a href='exemples_A3.html#ComposantCanalRSS_constr'>Exemples d'appels aux constructeurs</a>.
* <br>Nous constatons dans l'exemple de code d'instance de canal donn qu'
* <span style="font-weight: bold; color: rgb(51, 204, 0);">il nous faut</span> 
* <span style="font-weight: bold; color: rgb(51, 204, 0);">appeler une autre fonction qui est 
* la mthode {@link #importCanalRSS importCanalRSS()}</span>. 
* Cet&nbsp; appel est ncessaire afin d'viter certains problmes rencontrs. 
* En effet dans <span style="color: rgb(255, 102, 0);">Internet Explorer</span> l'import du fichier XML du 
* canal pose un problme si l'appel est fait dans l'instance mme du composant. 
* Il faut donc <span style="font-weight: bold; color: rgb(51, 204, 0);">crer le composant 
* et importer le flux ensuite</span>.
* @class La classe <b>ComposantCanalRSS</b> est la classe permettant de grer le composant CanalRSS.
* <br> Ses proprits publiques dcrivent les attributs du composant et peuvent tre manipul es ou interroges 
* en dehors de la bibliothque du framework ergonomique. Ses proprits prives sont utilises au sein
* mme du framework ergonomique.<br>
* <br><br><img alt="model" src="Image.ComposantCanalRSSUML.png"/><br>
* <br><br>RENDU IHM<br><br><span style="text-decoration: underline;">CanalRSS simple :</span><br><br>
* Voici, comme exemple, l'affichage d'un composant Canal RSS simple sans lment de pagination avec 
* le fichier xml des spcifications maquette.
* <br><br><img alt="exComposantCanalRSSsimple" src="Image.ComposantCanalRSSsimple.jpg"/>
* <br><br><span style="text-decoration: underline;">Canal RSS avec pagination :</span><br><br>
* Voici l'affichage du mme composant Canal RSS avec lment de pagination.
* <br><br><img alt="exComposantCanalRSSavecPagination" src="Image.ComposantCanalRSSavecPagination.jpg"/>
* <br><br>
* @constructor
* @public
* @param {String_Obligatoire} id String : indique l'{@link #id id} du composant  instancier.
* Sa valorisation doit correspondre au nom de la variable JavaScript du composant instanci.
* @param {int_Facultatif} pagination Entier : indique le {@link #pagination nombre d'items} du canal par page.
* Laiss  null si pas de pagination.
* @param {int_Obligatoire} nombreCaracteres Entier : indique le {@link #nombreCaracteres nombre de caractres 
* maximum visible pour la chane de caractre de description} de l'information de l'item.
* @param {String_Obligatoire} urlXML String : indique l'{@link #url url} du fichier XML reprsentant le canal RSS.
* @param {String_Optionnel} divBind String : indiquant la {@link #zone dynamique zone dynamique} 
* (objet DOM HTML) permettant de binder le code HTML du composant.
* @version 1.1
* @date 25/10/2005
*/
function ComposantCanalRSS(id, pagination, nombreCaracteres, urlXML)
{

  // ***************************
  // Attributs de l'objet
  // ***************************
  
	/**
	* Proprit prive navigation - Paramtre qui prcise combien d'items par page seront prsents
	* pour l'lment de pagination. Cet lment gre donc un affichage par page slectionnables  partir
	* d'une liste droulante.
	* <br><br>
	* @private
	* @type int
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.navigation = eval(pagination);
  
	/**
	* Proprit prive id - ID du composant dfinit sous forme de chane de caractres. 
	* Il doit obligatoirement tre valoris au nom de la variable JavaScript rfrenant 
	* l'instanciation du composant.
	* <br><br>
	* @private
	* @type string
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.id = id;
  
	/**
	* Proprit prive nombreItem - Paramtre qui prcise le nombre d'item du flux RSS.
	* <b>Valeur par dfaut : </b><a href='default-values_A3.html#ComposantCanalRSSProp'>
	* Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @private
	* @type int
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.nombreItem = 0;
  
	/**
	* Attribut html maxPage de ComposantCanalRSS, permettant de spcifier la nombre maximal de pages.
	* <b>Valeur par dfaut : </b> <a href='default-values_A3.html#ComposantCanalRSSProp'>
	* Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @private
	* @type int
	* @version 1.1
	* @date 25/10/2005
	*/   
  this.maxPage = 0;
  
	/**
	* Proprit prive nombreCaracteres - Paramtre qui prcise sur combien de caractres sera visible
	* le texte contenant la description d'un item. Le texte complet sera visible en cliquant sur le visuel
	* en bout de chane de caractre du texte de l'item.
	* <br><br>
	* @private
	* @type int
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.nombreCaracteres = nombreCaracteres;
  
	/**
	* La proprit prive currentPage mmorise le numro de la page courante - <b>Valeur par dfaut :
	* </b> <a href='default-values_A3.html#ComposantCanalRSSProp'>Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @private
	* @type int
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.currentPage = 1;
  
	/**
	* Proprit prive XMLObjectCanalRSS - Objet de type {@link #XMLObjectSauvegarde XMLObjectSauvegarde}
	* rfrenant le flux XML intgrant le paramtrage du contenu informatif du composant.
	* <br><br>
	* @private
	* @type XMLObjectSauvegarde
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.XMLObjectCanalRSS = null;
  
	/**
	* Proprit prive urlXMLCanalRSS - Paramtre qui prcise l'URL du fichier XML correspondant au canal RSS.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.urlXMLCanalRSS = urlXML;
  
  var argv = ComposantCanalRSS.arguments;
  var argc = ComposantCanalRSS.arguments.length;
  
	/**
	* Proprit prive divBind - Zone dynamique (objet DOM HTML) associe au composant. 
	* Cette zone dynamique permet de binder le code HTML refltant le rendu et le dynamisme du composant.
	* Par dfaut, cette zone dynamique est l'lment DOM HTML dont l'id est valoris par
	* "Position_" + Id du composant.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.divBind = (argc > 4) ? argv[4] : null;
  
	/**
	* La proprit prive tabListe est un tableau d'objets {@link #ObjectItemCanal ObjectItemCanal}
	* refltant l'ensemble des items du canal prsents dans le composant CanalRSS. 
	* Ce tableau est toujours aliment  partir d'un flux XML dont l'url est pass en paramtre lors 
	* de la construction du composant.
	* <br><br>
	* @private
	* @type Tableau d'ObjectItemCanal
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.tabListe = new Array();
  
	/**
	* La proprit publique title reflte l'information du tag &lt;title&gt; du canal.
	* Elle apparat dans l'en-tte du canal et reprsente le titre.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.title = '';
  
	/**
	* La proprit publique link reflte l'information du tag &lt;link&gt; du canal.
	* En prsence de cette information, le titre du canal devient cliquable.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.link = '';
  
	/**
	* La proprit publique description reflte l'information du tag &lt;description&gt; du canal.
	* Cette information apparat dans l'en-tte sous le titre.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.description = '';
  
	/**
	* La proprit publique langage reflte l'information du tag &lt;language&gt; du canal.
	* Information qui apparat lorsqu'elle est prsente sous le texte de description du canal en italique (langue).
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.language = '';
  
	/**
	* La proprit publique copyright reflte l'information du tag &lt;copyright&gt; du canal.
	* Information qui apparat lorsqu'elle est prsente sous le texte de description du canal en italique.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.copyright = '';
  
	/**
	* La proprit publique pubDate reflte l'information du tag &lt;pubDate&gt; du canal.
	* Information qui apparat lorsqu'elle est prsente sous le texte de description du canal en italique
	* (date de publication).
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.pubDate = '';
  
	/**
	* La proprit publique lastBuildDate reflte l'information du tag &lt;lastBuildDate&gt; du canal.
	* Information qui apparat lorsqu'elle est prsente sous le texte de description du canal en italique
	* (dernire date de publication).
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.lastBuildDate = '';
  
	/**
	* La proprit publique managingEditor reflte l'information du tag &lt;managingEditor&gt; du canal.
	* Information qui apparat lorsqu'elle est prsente sous le texte de description du canal en italique.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.managingEditor = '';
  
	/**
	* La proprit publique webMaster reflte l'information du tag &lt;webMaster&gt; du canal. 
	* Information qui apparat lorsqu'elle est prsente sous le texte de description du canal en italique (webmestre).
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.webMaster = '';
  
    
  // ***************************
  // Attributs de l'objet
  // ***************************
  
  // Initialisation lie  la prsence d'un objet XML
  this.initTabByXML = ComposantCanalRSS_initTabByXML;
  
  // Gnration HTML du composant Canal RSS
  this.ecrireElementDomHTML = ComposantCanalRSS_ecrireHTML;
  this.ecrireBind = ComposantCanalRSS_ecrireBind;
  this.affiche_page = ComposantCanalRSS_Pager;
  this.initDivBind = ComposantCanalRSS_initDivBind;
  
  // Mthode grant l'affichage et le dsaffichage d'un Item selon le nombre de caractres max. donner par
  // nombreCaracteres
  this.iconeOver = ComposantCanalRSS_changeIconeOnMouseOver;
  this.iconeOut = ComposantCanalRSS_changeIconeOnMouseOut;
  
  this.itemOn = ecrireBindItem;
  this.itemOff = ecrireBindOffItem;
  
  // Mthodes grant le rappel d'un flux XML du canal RSS
  this.retourXML = ComposantCanalRSS_retourXML;
  this.refresh = ComposantCanalRSS_raffraichirXML;
  this.importCanalRSS = ComposantCanalRSS_importCanalRSS;
  
  // Constructeur
  this.constructor = ComposantCanalRSS_constructor;
  this.constructor();
}