/** 
* @fileoverview Ce fichier Javascript correspond au framework de gestion de la navigation par onglet. Cette description consiste   prsenter les prototypes des fonctions, des exemples d'appel et les prcisions techniques ncessaires  la mise en oeuvre de ce framework.<br>
* Le framework client XML navigation utilise les classes utilitaires suivantes :<br>&gt; <b>{@link ComposantBandeauOnglets ComposantBandeauOnglets}</b> pour grer le composant de bandeau d'onglets.<br>&gt; <b>{@link ObjectOnglet ObjectOnglet}</b> pour dcrire l'objet associ  un onglet. <br><br><img alt="classesFwNavigOnglets" src="Image.ComposantBandeauOngletsUML.png"><br><br>
* Ainsi, conformment aux principes du framework ergonomique, l'ensemble du contenu informatif peut tre paramtr sous forme de flux XML ou par
* l'intermdiaire d'un tableau JavaScript.<br>Le paramtrage du contenu informatif consiste  indiquer pour chaque onglet son libell et l'action associs. Le libell est une chane de caractres et l'action est l'appel argument  une fonction mtier  dclenche lors de la slection d'un onglet.<br><br>L'arborescence XML associ  ce paramtrage doit avoir la forme suivante :<br>
* <div style="border: 0.5pt solid windowtext; padding: 1pt 4pt; background: rgb(255, 255, 204) none repeat scroll 0% 50%; -moz-background-clip: initial; -moz-background-origin:
* initial; -moz-background-inline-policy: initial;"><code>&lt;COMPOSANT&gt;<br>&nbsp;&nbsp;&nbsp; &lt;ONGLET&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;ACTION&gt;&lt;/ACTION&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;LIBELLE&gt;&lt;/LIBELLE&gt;<br>&nbsp;&nbsp;&nbsp; &lt;/ONGLET&gt;<br>&lt;/COMPOSANT&gt;<br></code></div>L'lment racine de nom &laquo;
* COMPOSANT ici peut prendre n'importe quel nom. Ce nom d'lment est utile que lors de la construction de la page pour passer le bon paramtrage
* lors de la construction du composant.<br>La dtermination de ce nom est dtermin soit par un modle de page ou par le dveloppeur de la
* page.  <b>Voir Exemple de structure XML du contenu informatif de ce composant pour 11 onglets : </b> <a href='exemples_A3.html#structXml'>Exemples de structure XML</a>.
* <br><br>RENDU IHM<br><br><span style="text-decoration: underline;">Bandeau d'onglets dont les onglets sont tous visibles :</span><br><br>Voici l'affichage d'un composant de
* bandeau d'onglets ayant cinq onglets en sachant que cinq onglets sont toujours visibles. La <span style="font-weight: bold; color: rgb(51, 204, 0);">slection d'un
* onglet</span> entrane l'excution de l'action associe  cet onglet (Ex : affichage du contenu de cet onglet, action mtier'). Cette action est
* <span style="font-weight: bold; color: rgb(51, 204, 0);">propre au cas d'utilisation mtier de la page et  </span><span style="font-weight: bold; color: rgb(51, 204,
* 0);">la charge de son dveloppeur</span>. Son implmentation est en aucun cas effectue dans le cadre du framework ergonomique.
* <br><img alt="exOngletsTousVisibles" src="Image.ComposantOngletsTous Visibles.jpg"/>
* <br><span style="text-decoration: underline;">Bandeau d'onglets dont les onglets non visibles sont accessibles par nanigation prcdent/suivant :</span><br><br><br>Voici l'affichage d'un composant de bandeau d'onglets ayant onze 
* onglets en sachant que seulement cinq onglets sont toujours visibles.Les six autres onglets non visibles sont accessibles par le biais d'une navigation par onglet
* prcdent ou suivant.<br><img alt="exOngletsVisiblesPrecSuiv" src="Image.ComposantOngletsVisiblesPrecSuiv.jpg"/>
* <br><span style="text-decoration: underline;">Bandeau d'onglets dont les onglets non visibles sont accessibles par bote de slection :</span><br><br>Voici l'affichage
* d'un composant de bandeau d'onglets ayant onze onglets en sachant que seulement cinq sont toujours visibles. Les six autres onglets non visibles sont accessibles par le biais
* d'une bote de slection. La slection d'un onglet par son intermdiaire entrane le mme comportement que lors d'un click sur un onglet
* visible.<br>.<img alt="exOngletsVisiblesSelect" src="Image.ComposantOngletsSelect.jpg"/>
* @author Ministre des Affaires Etrangres, Aubay SA, Steve Pguet
* @version 1.1
* @date 25/10/2005
*/

/*
Copyright ou  ou Copr. 
Ministre des Affaires Etrangres,
Aubay SA,
Steve Pguet, (30/04/2004)

steve.peguet@diplomatie.gouv.fr

Ce logiciel est un programme informatique servant de framework JavaScript 
bas sur les normes W3C (XHTML/CSS/DOM/XML). Il offre la possibilit de 
mettre en oeuvre facilement les principes ergonomiques et techniques propres 
 un client riche (cumul des avantages du client lger et du client lourd).
Ce logiciel est rgi par la licence CeCILL soumise au droit franais et
respectant les principes de diffusion des logiciels libres. Vous pouvez
utiliser, modifier et/ou redistribuer ce programme sous les conditions
de la licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA 
sur le site "http://www.cecill.info".

En contrepartie de l'accessibilit au code source et des droits de copie,
de modification et de redistribution accords par cette licence, il n'est
offert aux utilisateurs qu'une garantie limite.  Pour les mmes raisons,
seule une responsabilit restreinte pse sur l'auteur du programme,  le
titulaire des droits patrimoniaux et les concdants successifs.

A cet gard  l'attention de l'utilisateur est attire sur les risques
associs au chargement,   l'utilisation,   la modification et/ou au
dveloppement et  la reproduction du logiciel par l'utilisateur tant 
donn sa spcificit de logiciel libre, qui peut le rendre complexe  
manipuler et qui le rserve donc  des dveloppeurs et des professionnels
avertis possdant  des  connaissances  informatiques approfondies.  Les
utilisateurs sont donc invits  charger  et  tester  l'adquation  du
logiciel  leurs besoins dans des conditions permettant d'assurer la
scurit de leurs systmes et ou de leurs donnes et, plus gnralement, 
 l'utiliser et l'exploiter dans les mmes conditions de scurit. 

Le fait que vous puissiez accder  cet en-tte signifie que vous avez 
pris connaissance de la licence CeCILL, et que vous en avez accept les
termes.*/

// Images ncessaires pour un bon fonctionnement du composant
// Images over  preloader dans preparePage
var icone_precedentover_src = "/proto/FrameworkERGO/images/bouton/table/IcoPrecedentover.gif";
var icone_suivantover_src = "/proto/FrameworkERGO/images/bouton/table/IcoSuivantover.gif";
var icone_precedent_src = "/proto/FrameworkERGO/images/bouton/table/IcoPrecedent.gif";
var icone_suivant_src = "/proto/FrameworkERGO/images/bouton/table/IcoSuivant.gif";


// Objet interne dfinissant un onglet

/**
* Cre une nouvelle instance ObjectOnglet. 
* @class La classe <b>ObjectOnglet</b> est la classe permettant de grer le composant Onglet.
* <br>Il n'existe pas de proprit prive pour cette classe. Il n'existe pas de mthode pour cette classe. <br>
* <br>Ses proprits publiques dcrivent les attributs d'un composant Onglet et peuvent tre manipules ou interroges en dehors de la 
* bibliothque du framework ergonomique.<br>
* <br><br><img alt="model" src="Image.ObjectOngletUML.png"/><br>
* @public
* @constructor
* @param {String_Obligatoire} action : Chane de caractres indiquant la fonction JavaScript dclenche
* lors de la slection de l'onglet.
* @param {String_Obligatoire} libelle : Chane de caractres indiquant le libell associ  l'onglet.
* @version 1.1
* @date 25/10/2005
*/
function ObjectOnglet(action,libelle)
{
	/**
	* La proprit publique action dcrit l'attribut d'un compsant Onglet et peut tre manipule ou interroge
	* en dehors de la bibliothque du framework ergonomique -  C'est une chane de caractres indiquant la
	* fonction JavaScript dclenche lors de la slection de l'onglet. Cette fonction doit tre implmente
	* dans la bibliothque javaScript propre au cas d'utilisation mtier.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/
  this.action = action;
  
	/**
	* La proprit publique libelle dcrit l'attribut d'un composant Onglet et peut tre manipule
	* ou interroge en dehors de la bibliothque du framework ergonomique. - C'est une chane de caractres
	* indiquant le libell associ  l'onglet.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/
  this.libelle = libelle;
}


// Constructeur pour le composant bandeau d'onglets

/**
* La fonction globale ComposantBandeauOnglets_constructor() permet la configuration des lments de l'objet
* de gestion d'un DOM {@link ComposantBandeauOnglets ComposantBandeauOnglets} lors de son instanciation.
* @see ComposantBandeauOnglets
* @public
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantBandeauOnglets_constructor()
{
  if (this.divBind == null)
    this.initDivBind();
  if ((this.tabOnglets.length == 0) && (this.XMLObjectOnglets != null))
    this.initTabByXML();
  var compteur_longueur = Math.min(this.tabOnglets.length, this.tailleFenetre);
  if (compteur_longueur != this.tabOnglets.length)
    this.boolNavigation = true;
}


// Fonction pour valoriser la zone dynamique associe  la gnration du composant bandeau d'onglets

/**
* La mthode publique setDivBind(divBind) permet d'associer une zone dynamique prsente dans la page
* au composant. Elle est utile lors de l'utilisation d'un id sur cette zone diffrent de celui par dfaut
* ("Position_" + Id du composant).
* <br><br><b>Voir Exemple d'affectation d'une zone dynamique au composant diffrente de celle par dfaut
* : </b><a href='exemples_A3.html#ComposantBandeauOnglets_meth'>Exemples d'appels aux mthodes publiques</a>.
* @public
* @param {objetDOMHtml_Obligatoire} divBind : Objet DOM HTML rfrenant la zone dynamique associe au composant.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantBandeauOnglets_setDivBind(divBind)
{
  this.divBind = divBind;
}


// Fonction pour positionner la zone dynamique associe  la gnration du composant bandeau d'onglets
// (valeur par dfaut)

/**
* La  mthode prive initDivBind() permet de spcifier un pointeur vers le DOM HTML de la zone dynamique
* grant la prsentation du contenu dynamique correspondant au bandeau d'onglet. Elle est ainsi initialise
*  l'lment DOM HTML prsent dans la page dont l'id est
* valoris par "Position_" + Id du composant.<br>Ce pointeur vers le DOM HTML est stock dans la proprit
* divBind de l'instance de la classe ComposantBandeauOnglets.
* @private
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantBandeauOnglets_initDivBind()
{
  if (document.getElementById("Position_" + this.id))
    this.setDivBind(document.getElementById("Position_" + this.id));
}


// Fonction pour gnrer le code HTML associ au composant bandeau d'onglets

/**
* Mthode prive ecrireComposantDomHTML() - Fonction interne renvoyant le code HTML associ au bandeau d'onglet.
* Le code est renvoy sous la forme d'une chane de caractres prenant en compte l'ensemble du paramtrage
* effectu sur la classe.
* @private
* @param {} Aucun
* @return {string} Code HTML associ au bandeau d'onglet sous la forme d'une chane de caractres.
* @version 1.1
* @date 25/10/2005
*/
function ComposantBandeauOnglets_ecrireHTML()
{
  if (this.tabOnglets.length == 0)
    return "";
  var i = this.itemPremierOnglet;
  var compteur_longueur = Math.min(this.tabOnglets.length, (this.itemPremierOnglet + this.tailleFenetre));
  var codeHTML = '<ul class="onglet">';
  if (this.boolNavigation)
  {
    if ((this.type == "SuivantPrecedent") && (this.itemPremierOnglet != 0))
    {
      codeHTML += '<li><a href="javascript:' + this.id + '.ongletPrecedent()" class="navig" onMouseOver="changeImages(\'' + this.id + '_IcoPrecedent\', \'';
      codeHTML += icone_precedentover_src;
      codeHTML += '\')" onMouseOut="changeImages(\'' + this.id + '_IcoPrecedent\', \'';
      codeHTML += icone_precedent_src;
      codeHTML += '\')"><img id="' + this.id + '_IcoPrecedent" name="' + this.id + '_IcoPrecedent" src="';
      codeHTML += icone_precedent_src;
      codeHTML += '" width="16" height="16" border="0" alt="Onglet prcdent" title="Onglet prcdent"></a></li>';
    }
  }
  for (i=this.itemPremierOnglet;i<compteur_longueur;i++)
  {
    if (i != this.itemOngletActif)
      codeHTML += '<li><a href="javascript:' + this.id + '.selectionOnglet(' + i + ')">' + this.tabOnglets[i].libelle + '</a></li>';
    else
      codeHTML += '<li class="active"><a href="#" class="current">' + this.tabOnglets[i].libelle + '</a></li>';
  }
  if (this.boolNavigation)
  {
   if ((this.type == "SuivantPrecedent") && (compteur_longueur != this.tabOnglets.length))
   {
     codeHTML += '<li><a href="javascript:' + this.id + '.ongletSuivant()" class="navig" onMouseOver="changeImages(\'' + this.id + '_IcoSuivant\', \'';
     codeHTML += icone_suivantover_src;
     codeHTML += '\')" onMouseOut="changeImages(\'' + this.id + '_IcoSuivant\', \'';
     codeHTML += icone_suivant_src;
     codeHTML += '\')"><img id="' + this.id + '_IcoSuivant" name="' + this.id + '_IcoSuivant" src="';
     codeHTML += icone_suivant_src;
     codeHTML += '" width="16" height="16" border="0" alt="Onglet suivant" title="Onglet suivant"></a></li>';
   }
   if (this.type == "BoiteSelection")
   {
     codeHTML += '<li>';
     codeHTML += '<span class="selection">';
     codeHTML += '<select onChange="'+ this.id + '.ongletNavig(this[this.options.selectedIndex].value)">';
     codeHTML += '<option selected="selected" value=" ">' + this.messageNavig + '</option>';
     for (i=0;i<this.itemPremierOnglet;i++)
     {
       codeHTML += '<option value="' + i + '">' + this.tabOnglets[i].libelle + '</option>';
     }
     for (i=(this.itemPremierOnglet + this.tailleFenetre);i<this.tabOnglets.length;i++)
     {
       codeHTML += '<option value="' + i + '">' + this.tabOnglets[i].libelle + '</option>';
     }
     codeHTML += '</select>';
     codeHTML += '</span>';
     codeHTML += '</li>';
   }
  }
  codeHTML += '</ul>';
  return codeHTML;
}


// Fonction pour binder le code HTML gnr dans la zone dynamique associe 

/**
* La mthode publique ecrireBind() dclenche la gnration du code HTML de la zone dynamique associe au composant.
* Par dfaut, la zone dynamique est l'lment DOM HTML dont l'id est valoris par "Position_" + Id du composant.<br>
* Fonctionnement :<br>1. Dsaffichage de la zone dynamique.<br>
* 2. Rcupration du code HTML associ au composant de bandeau d'onglets.<br>
* 3. Bind le code HTML  la zone dynamique associe au bandeau.<br>
* 4. Affichage de la zone dynamique<br>
* <br><br> <b>Voir Exemple de gnration du code HTML associ au composant pour affichage : </b>
* <a href='exemples_A3.html#ComposantBandeauOnglets_meth'>Exemples d'appels aux mthodes publiques</a>.
* @public
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantBandeauOnglets_ecrireBind()
{
  this.divBind.style.display = "none";
  this.divBind.innerHTML = this.ecrireComposantDomHTML();
  this.divBind.style.display = "";
}


// Fonction pour initialiser le contenu du tableau refltant l'ensemble des onglets prsents  partir d'un flux XML

/**
* La  mthode prive initTabByXML() permet de construire le tableau d'objets rfrenant l'ensemble des
* onglets prsents dans le bandeau d'onglet  partir d'un paramtrage effectu par un flux XML.
* Elle est appele par le {@link ComposantBandeauOnglets constructeur} de la classe lorsqu'un flux XML lui est
* passe en argument.
* @private
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantBandeauOnglets_initTabByXML()
{
  var itemsOnglet = parent.getElements(this.XMLObjectOnglets.xmlDoc,"ONGLET");
  var i=0;
  for (i=0;i<itemsOnglet.length;i++)
    this.tabOnglets[i] = new ObjectOnglet(parent.getDataElement(itemsOnglet[i],"ACTION"),parent.getDataElement(itemsOnglet[i],"LIBELLE"));
}


// Fonction appele lors de la slection d'un onglet

/**
* La mthode prive selectionOnglet(item) est appele lors d'un clic sur un onglet prsent dans le bandeau
* d'onglet pour slectionner cet onglet et appeler son action correspondante indique par paramtrage.
* Cette mthode gre ainsi la valorisation de la proprit {@link #itemOngletActif &laquo;itemOngletActif}
* vis  vis de l'onglet slectionn.
* @private
* @param {int_Obligatoire} item : N de l'onglet slectionn
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantBandeauOnglets_selectionOnglet(item)
{
  this.itemOngletActif = item;
  this.ecrireBind();
  eval(this.tabOnglets[item].action);
}


// Fonction appele lors d'un click sur l'onglet dj slectionn pour ne rien faire

/**
* La mthode prive selectionBis() est appele lors d'un clic sur un onglet dj slectionn,
* pour qu'aucune action ne soit effectue.
* @private
* @param {} Aucun
* @return {false}
* @version 1.1
* @date 25/10/2005
*/
function ComposantBandeauOnglets_selectionBis()
{
  return false;
}


// Fonction appele lors d'une navigation pour l'onglet prcdent

/**
* La  mthode prive ongletPrecedent() est appele lors d'un clic sur sur l'icne de Onglet prcdent
* pour effectuer une navigation sur le bandeau d'onglet. Son excution affiche ainsi l'onglet prcdent le
* premier onglet affich dans le bandeau d'onglet et dsaffiche son dernier onglet en cours. Elle gre ainsi
* la valorisation de la proprit itemPremierOnglet pour rordonner les onglets affichs dans le bandeau
* d'onglet en fonction de la navigation demande.
* @private
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/

function ComposantBandeauOnglets_navigationPrecedente()
{
  this.itemPremierOnglet--;
  this.ecrireBind(); 
}


// Fonction appele lors d'une navigation pour l'onglet suivant

/**
* La mthode prive ongletSuivant() est appele lors d'un clic sur sur l'icne de Onglet suivant pour effectuer
* une navigation sur le bandeau d'onglet. Son excution affiche ainsi l'onglet suivant le dernier onglet affich
* dans le bandeau d'onglet et dsaffiche son premier onglet en cours. Elle gre ainsi la valorisation de la
* proprit {@link #itemPremierOnglet itemPremierOnglet} pour rordonner les onglets affichs dans
* le bandeau d'onglet en fonction de la navigation demande.
* @private
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantBandeauOnglets_navigationSuivante()
{
  this.itemPremierOnglet++;
  this.ecrireBind();
}


// Fonction appele lors d'une navigation pour un onglet donn

/**
* La mthode prive ongletNavig() est appele lors d'une slection dans la bote de slection des
* autres onglets accessibles mais non affichs dans le bandeau d'onglet. Cette mthode appelle ainsi
* l'autre mthode interne {@link #selectionOnglet selectionOnglet}  de l'objet en passant l'onglet slectionn
* et gre la proprit {@link #itemPremierOnglet itemPremierOnglet }de l'objet pour rordonner les onglets
* affichs dans le bandeau d'onglet en fonction de la navigation demande.
* @private
* @param {int_Obligatoire} item : Indice de l'onglet slectionn dans la bote de slection 
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantBandeauOnglets_navigationOnglet(item)
{
  if (item < this.tailleFenetre)
    this.itemPremierOnglet = 0;
  else
    this.itemPremierOnglet = (item - this.tailleFenetre) + 1;
  this.selectionOnglet(item);
}


// Fonction appele pour initialiser le message de la bote de slection de navigation vers d'autres onglets

/**
* La mthode publique setMessageNavigation(message) initialise l'attribut 
*{@link #messageNavig messageNavig} avec une nouvelle valeur.
* @public
* @param {String_Obligatoire} message : Nouveau libell (String)  afficher comme 1re
* option de la bote de slection.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantBandeauOnglets_setMessageNavigation(message)
{
  this.messageNavig = message;
}

// CLASSE pour la gestion du bandeau d'onglets
/**
* Cre une nouvelle instance de la classe ComposantBandeauOnglets<bVoir Exemple d'instanciation de
* ce composant</b> pour une liste non numrote : <a href='exemples_A3.html#ComposantBandeauOnglets_constr'>
* Exemples d'appels aux constructeurs</a>.
* @class La classe <b>ComposantBandeauOnglets</b> est la classe permettant de dcrire l'objet associ  un
* bandeau d'onglets.<br>Ses proprits publiques dcrivent les attributs du composant et peut tre manipules
* ou interroges en dehors de la bibliothque du framework ergonomique. Ses proprits prives sont utilises
* au sein mme du framework ergonomique.<br>
* <br><br><img alt="model" src="Image.ComposantBandeauOngletsUML.png"/><br>
* <br><br>RENDU IHM<br><br><span style="text-decoration: underline;">Bandeau d'onglets dont les onglets sont tous visibles :</span><br><br>Voici l'affichage d'un composant de
* bandeau d'onglets ayant cinq onglets en sachant que cinq onglets sont toujours visibles. La <span style="font-weight: bold; color: rgb(51, 204, 0);">slection d'un
* onglet</span> entrane l'excution de l'action associe  cet onglet (Ex : affichage du contenu de cet onglet, action mtier'). Cette action est
* <span style="font-weight: bold; color: rgb(51, 204, 0);">propre au cas d'utilisation mtier de la page et  </span><span style="font-weight: bold; color: rgb(51, 204,
* 0);">la charge de son dveloppeur</span>. Son implmentation est en aucun cas effectue dans le cadre du framework ergonomique.
* <br><img alt="exOngletsTousVisibles" src="Image.ComposantOngletsTous Visibles.jpg"/>
* <br><span style="text-decoration: underline;">Bandeau d'onglets dont les onglets non visibles sont accessibles par nanigation prcdent/suivant :</span><br><br><br>Voici l'affichage d'un composant de bandeau d'onglets ayant onze 
* onglets en sachant que seulement cinq onglets sont toujours visibles.Les six autres onglets non visibles sont accessibles par le biais d'une navigation par onglet
* prcdent ou suivant.<br><img alt="exOngletsVisiblesPrecSuiv" src="Image.ComposantOngletsVisiblesPrecSuiv.jpg"/>
* <br><span style="text-decoration: underline;">Bandeau d'onglets dont les onglets non visibles sont accessibles par bote de slection :</span><br><br>Voici l'affichage
* d'un composant de bandeau d'onglets ayant onze onglets en sachant que seulement cinq sont toujours visibles. Les six autres onglets non visibles sont accessibles par le biais
* d'une bote de slection. La slection d'un onglet par son intermdiaire entrane le mme comportement que lors d'un click sur un onglet
* visible.<br>.<img alt="exOngletsVisiblesSelect" src="Image.ComposantOngletsSelect.jpg"/>
* @constructor
* @param {String_Obligatoire} id : String indiquant l'id du composant  instancier.
* Sa valorisation doit correspondre au nom de la variable JavaScript du composant instanci.
* @param {int_Obligatoire} tailleFenetre : Entier indiquant le nombre d'onglets toujours visibles 
* dans le bandeau d'onglets. 
* @param {String_Facultatif} type : String indiquant le type de navigation dsire pour atteindre
* les onglets non visibles. Valeurs possibles : "SuivantPrecedent" (Par dfaut si  null), "BoiteSelection".
* @param {XMLObjectSauvegarde_Facultatif} XMLObjectCont : Objet {@link XMLObjectSauvegarde XMLObjectSauvegarde}
* pour paramtrer le contenu informatif.
* @param {t_ObjectOnglet_Optionnel} tabOnglets : Tableau d'objets {@link ObjectOnglet ObjectOnglet} pour
* paramtrer le contenu informatif en JavaScript si pas de flux XML pour effectuer ce paramtrage.
* @version 1.1
* @date 25/10/2005
*/
function ComposantBandeauOnglets(id, tailleFenetre, type, XMLObjectCont)
{
  // Attributs de l'objet
  // Etat de l'objet  initialiser
  
	/**
	* Proprit prive id - ID du composant dfinit sous forme de chane de caractres.
	* Il doit obligatoirement tre valoris au nom de la variable JavaScript rfrenant l'instanciation du composant.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/   
  this.id = id;
  
	/**
	* Proprit prive XMLObjectOnglets - Objet de type XMLObjectSauvegarde rfrenant le flux XML
	* intgrant le paramtrage du contenu informatif du composant. Si ce paramtrage est effectu directement
	* par passage de tableau JavaScript sans flux XML alors cette proprit est valorise  null.
	* <br><br>
	* @private
	* @type XMLObjectSauvegarde
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.XMLObjectOnglets = XMLObjectCont;
  
	/**
	* Proprit prive divBind - Zone dynamique (objet DOM HTML) associe au composant. Cette zone dynamique
	* permet de binder le code HTML refltant le rendu et le dynamisme du composant. Par dfaut, cette zone
	* dynamique est l'lment DOM HTML dont l'id est valoris par "Position_" + Id du composant.
	* <b>Valeur par dfaut : </b> <a href='default-values_A3.html#ComposantBandeauOngletsProp'>
	* Valeurs par dfaut des Proprits</a>
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.divBind = null;
  
	/**
	* Proprit prive tailleFenetre - Entier indiquant le nombre d'onglets toujours visibles dans le
	* bandeau d'onglets. Les onglets non visibles sont accessibles par navigation suivant le type choisi
	* (voir proprit {@link #type type}).
	* <br><br>
	* @private
	* @type int
	* @version 1.1
	* @date 25/10/2005
	*/   
  this.tailleFenetre = tailleFenetre;
  
	/**
	* Proprit prive type - Chane de caractres prcisant le type de navigation par onglet dsir lorsque
	* le nombre d'onglets prsents dpassent la tailleFenetre. Deux navigations sont possibles pour slectionner
	* un onglet non visible : soit navigation par Prcdent/Suivant, soit par bote de slection directe. Deux
	* valorisations distinctes sont donc prises en compte "SuivantPrecedent" d'une part ou "BoiteSelection" d'autre
	* part. La navigation par Prcdent/Suivant est utilise par dfaut si cette valeur est renseigne  &laquo;
	* null dans le constructeur. <b>Valeur par dfaut : </b>
	* <a href='default-values_A3.html#ComposantBandeauOngletsProp'>Valeurs par dfaut des Proprits</a>
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.type = (type != null) ? type : "SuivantPrecedent";
  
	/**
	* L'lment argv dans la classe ComposantBandeauOnglets n'est pas une proprit, il permet de rcuprer
	* dans un tableau les arguments passs en paramtres du constructeur de la classe
	* (utile dans le cas des paramtres facultatifs, pour reprer les paramtres qui ont t soumis par le dveloppeur).
	* Il est dclar 'var'.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/
  var argv = ComposantBandeauOnglets.arguments;
  
	/**
	* L'lment argc dans la classe ComposantBandeauOnglets n'est pas une proprit, il permet de rcuprer
	* le nombre d'arguments passs en paramtres du constructeur de la classe
	* (utile dans le cas des paramtres facultatifs, pour compter les paramtres soumis par le dveloppeur).
	* Il est dclar 'var'.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  var argc = ComposantBandeauOnglets.arguments.length;
  
	/**
	* La proprit publique tabOnglets peut tre manipule ou interroge en dehors de la bibliothque
	* du framework ergonomique - Cette proprit est un tableau d'objets {@link ObjectOnglet ObjectOnglet} refltant
	* l'ensemble des onglets prsents dans le composant de bandeau d'onglets. Ce tableau est soit pass en 
	* paramtre du constructeur, soit autoaliment  partir d'un flux XML pass en paramtre lors
	* de la construction du composant.
	* <br><br>
	* @private
	* @type Array_ObjectOnglet
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.tabOnglets = (argc > 4) ? argv[4] : new Array();
  
	/**
	* La proprit publique itemOngletActif peut tre manipule ou interroge en dehors de la bibliothque
	* du framework ergonomique - Cette proprit indique le rang dans le tableau des objets {@link ObjectOnglet Onglet}
	* actuellement slectionn. C'est un entier en sachant que le premier onglet est
	* rfrenc  0 et le dernier  la longueur ' 1 du tableau.
	* <br><br>
	* @public
	* @type int
	* @version 1.1
	* @date 25/10/2005
	*/
  this.itemOngletActif = 0;
  
	/**
	* Proprit prive itemPremierOnglet -  Entier indiquant le rang de l'onglet affich en premier dans le
	* bandeau d'onglets - Cette position reprsente l'indice du tableau tabOnglets rfrenant l'ensemble des
	* onglets grs par le composant.
	* <br><br>
	* @private
	* @type int
	* @version 1.1
	* @date 25/10/2005
	*/   
  this.itemPremierOnglet = 0;
  
	/**
	* Proprit prive boolNavigation - Boolen refltant si une navigation sur des onglets non visibles
	* est ncessaire lors d'une taille de fentre infrieur au nombre d'onglets grs par le composant.
	* <b>Valeur par dfaut : </b> 
	* <a href='default-values_A3.html#ComposantBandeauOngletsProp'>Valeurs par dfaut des Proprits</a>
	* <br><br>
	* @private
	* @type boolean
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.boolNavigation = false;
  
	/**
	* Proprit prive messageNavig -  Chane de caractres utilise lors de l'affichage de
	* la bote de slection des onglets non visibles. Ce libell est affich comme premire option de la bote
	* de slection et est valoris par dfaut  "Autres onglets :".<b>Valeur par dfaut : </b>
	* <a href='default-values_A3.html#ComposantBandeauOngletsProp'>Valeurs par dfaut des Proprits</a>
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.messageNavig = "Autres onglets :";
  
  // Mthodes de l'objet
  // Initialisation lie  la prsence d'un objet DOM XML
  this.initTabByXML = ComposantBandeauOnglets_initTabByXML;
  
  //Gestion de la gnration HTML du bandeau d'onglets
  /** commentaires jsdoc : voir aux dfinitions des fonctions*/  
  this.ecrireComposantDomHTML = ComposantBandeauOnglets_ecrireHTML;
  this.ecrireBind = ComposantBandeauOnglets_ecrireBind;
  this.initDivBind = ComposantBandeauOnglets_initDivBind;
  this.setDivBind = ComposantBandeauOnglets_setDivBind;
  
  //Gestion du click sur un onglet
  this.selectionOnglet = ComposantBandeauOnglets_selectionOnglet;
  this.selectionBis = ComposantBandeauOnglets_selectionBis;
  
  //Gestion de la navigation
  this.ongletPrecedent = ComposantBandeauOnglets_navigationPrecedente;
  this.ongletSuivant = ComposantBandeauOnglets_navigationSuivante;
  this.ongletNavig = ComposantBandeauOnglets_navigationOnglet;
  this.setMessageNavig = ComposantBandeauOnglets_setMessageNavigation;
  
  // Constructeur
  this.constructor = ComposantBandeauOnglets_constructor;
  this.constructor();
}