/**
* @fileoverview Ce fichier Javascript correspond au framework de gestion du composant Frameset. Cette description consiste   prsenter les prototypes des fonctions, des
* exemples d'appel et les prcisions techniques ncessaires  la mise en oeuvre de ce framework.
* <br><br>PRINCIPE GENERAL<br><br>Le fentrage des pages du framework ergonomique est constitu comme suit :
* <br><img alt="exPrincipeFrameset" src="Image.PrincipeFrameset.gif"/>
* <br>Ce fentrage est ralis en deux temps :
* <ol>
* <li>Dcomposition horizontale de la fentre principale en "ENTETE_WIN", rserve  l'entte, et "BODY_WIN", rserve au menu et au contenu.</li>
* <li>Dcomposition verticale de la sous-fentre "BODY_WIN", en "MENU_WIN" pour le menu et "CONTENU_WIN" pour le contenu.</li>
* </ol>
* <br>RENDU IHM<br><br><img alt="exComposantFrameset" src="Image.ComposantFrameset.jpg"/>
* <br><br>Le framework Frameset utilise les pages HTML et classes utilitaires suivantes :<br>&gt; <b>{@link ComposantMenu ComposantMenu}</b> pour grer le composant Menu.
* <br>&gt; <b>{@link ObjectItem ObjectItem}</b> pour dcrire les items du menu et {@link ObjectAction ObjectAction} pour dcrire les actions de type "icne" du menu.
* <br>&gt; <b>{@link ComposantEntete ComposantEntete}</b> pour grer le composant Entete.
* <br>&gt; <b>{@link ObjectLien ObjectLien}</b> pour dcrire les liens  afficher dans l'entte.
* <br>&gt; <b>{@link XMLObject XMLObject}</b> pour stocker respectivement les paramtrages XML du menu et de l'entte.
* <br>&gt; <b>{@link XMLObjectCookie XMLObjectCookie}</b> pour sauvegarder la slection courante dans le menu, ainsi que le type d'affichage ( affich ou cach).<br><br>
* <table style="width: 100%; text-align: left;" border="1" cellpadding="2" cellspacing="2"><tbody>
* <tr><td style="vertical-align: top;"><a name="menu"></a><img alt="classesFwErgoNavigationMenu"src="Image.ComposantMenuUML.png"><br></td>
* <td style="vertical-align: top;"><a name="entete"></a><img alt="classesFwErgoNavigationEnTete" src="Image.ComposantEnteteUML.png"><br></td></tr>
* <tr><td style="vertical-align: top;">Figure 1 : Framework ergonomique de gestion du menu (fw_navigation.js)<br><br>
* On distingue deux types de menus diffrents :<br>&middot;&nbsp; Le menu documentaire, pour lequel tous les items se rfrent  une fonction de navigation<br>
* &middot;&nbsp; Le menu gestion, pour lequel les items de niveaux 1 et 2 ralisent la structuration des diffrentes fonctions de gestion, et les items de niveau 3 se rfrent 
* des actions.</td><td style="vertical-align: top;">Figure 2 : Framework ergonomique de gestion de l'entte
* (fw_navigation.js)</td></tr></tbody></table>
* <br>Ainsi, conformment aux principes du framework ergonomique, l'ensemble du contenu informatif peut tre paramtr sous forme de flux XML ou par
* l'intermdiaire d'un tableau JavaScript :<br><br>
* <table left="" style="width: 100%;" border="1" cellpadding="10" cellspacing="2"><tbody>
* <tr><td style="vertical-align: top; width: 50%;"><div style="border: 0.5pt solid windowtext; padding: 1pt 4pt; background: rgb(255, 255, 204) none repeat scroll 0% 50%; -moz-background-clip: initial; -moz-background-origin:
* initial; -moz-background-inline-policy: initial;"><code>&lt;MENU&gt;<br>&nbsp;&nbsp;&nbsp; &lt;VERSION&gt;&lt;/VERSION&gt;<br>&nbsp;&nbsp;&nbsp; &lt;ACCUEIL&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;
* &lt;URL&gt;&lt;/URL&gt;<br>&nbsp;&nbsp;&nbsp; &lt;/ACCUEIL&gt;<br>&nbsp;&nbsp;&nbsp; &lt;PIED_DE_PAGE&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp; &lt;COULEUR&gt;&lt;/COULEUR&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;
* &lt;COULEUR_TEXTE&gt;&lt;/COULEUR_TEXTE&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp; &lt;TEXTE&gt;&lt;/TEXTE&gt;<br>&nbsp;&nbsp;&nbsp; &lt;/PIED_DE_PAGE&gt;<br></code><code>&nbsp;&nbsp;&nbsp; &lt;ITEM1&gt;<br>
* &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;URL&gt;&lt;/URL&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;LIBELLE&gt;&lt;/LIBELLE&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* &lt;LIBELLE_LONG&gt;&lt;/LIBELLE_LONG&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;ID&gt;&lt;/ID&gt;<br></code><code>&nbsp;&nbsp;&nbsp; &lt;/ITEM1&gt;</code><br><code>&nbsp;&nbsp;&nbsp; &lt;ITEM1&gt;<br>
* &nbsp;&nbsp;&nbsp; &nbsp;&nbsp; &lt;URL&gt;&lt;/URL&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp; &lt;LIBELLE&gt;&lt;/LIBELLE&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&lt;LIBELLE_LONG&gt;&lt;/LIBELLE_LONG&gt;<br>
* &nbsp;&nbsp;&nbsp; &nbsp;&nbsp; &lt;ID&gt;&lt;/ID&gt;<br></code><code>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&lt;OUVERTURE&gt;&lt;/</code><code>OUVERTURE</code><code>&gt;</code><code><br></code><code>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp; &lt;ITEM2&gt;<br>
* &nbsp;&nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&lt;URL&gt;&lt;/URL&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&lt;LIBELLE&gt;&lt;/LIBELLE&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* &lt;LIBELLE_LONG&gt;&lt;/LIBELLE_LONG&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;ID&gt;&lt;/ID&gt;<br></code><code>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;
* &lt;ACTION&gt;</code><code><br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; </code><code>&lt;URL&gt;&lt;/URL&gt;<br></code><code>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
* &lt;ICONE&gt;&lt;/ICONE&gt;<br></code><code>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;ALT&gt;&lt;/ALT&gt;<br></code><code>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;
* &lt;/</code><code>ACTION</code><code>&gt;<br></code><code>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp; &lt;ITEM3&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* &lt;URL&gt;&lt;/URL&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;LIBELLE&gt;&lt;/LIBELLE&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* &lt;LIBELLE_LONG&gt;&lt;/LIBELLE_LONG&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;ID&gt;&lt;/ID&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;
* &lt;/ITEM3&gt;</code><code><br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;/ITEM2&gt;</code><code></code><code><br>&nbsp;&nbsp;&nbsp; &lt;/ITEM1&gt;<br></code><code>&lt;/MENU&gt;</code><code><br>
* &nbsp;&nbsp;&nbsp; <br></code></div></td>
* <td style="vertical-align: top;"><div style="border: 0.5pt solid windowtext; padding: 1pt 4pt; background: rgb(255, 255, 204) none repeat scroll 0% 50%; -moz-background-clip: initial; -moz-background-origin: initial;
* -moz-background-inline-policy: initial;"><code>&lt;ENTETE&gt;<br>&nbsp;&nbsp;&nbsp; &lt;TITLE&gt;&lt;/</code><code>TITLE</code><code>&gt;<br>&nbsp;&nbsp;&nbsp; &lt;INFO&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;
* &lt;GRAS&gt;&lt;/GRAS&gt;<br></code><code>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp; &lt;NORMAL&gt;&lt;/</code><code>NORMAL</code><code>&gt;<br></code><code>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;
* &lt;NORMAL&gt;&lt;/</code><code>NORMAL</code><code>&gt;</code><br><code>&nbsp;&nbsp;&nbsp; &lt;/INFO&gt;<br></code><code>&nbsp;&nbsp;&nbsp; &lt;LIEN&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;
* &lt;LIBELLE&gt;&lt;/</code><code>LIBELLE</code><code>&gt;<br></code><code>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp; &lt;URL&gt;&lt;/</code><code>URL</code><code>&gt;<br></code><code>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;
* &lt;ALT&gt;&lt;/</code><code>ALT</code><code>&gt;</code><br><code>&nbsp;&nbsp;&nbsp; &lt;/</code><code>LIEN</code><code>&gt;</code><code><br>&nbsp;&nbsp;&nbsp;
* </code><code>&lt;DECONNEXION</code><code>&gt;</code><code>&lt;/</code><code>DECONNEXION</code><code>&gt;<br></code><code>&lt;/ENTETE&gt;</code><br><code><br></code></div><br></td>
* </tr>
* <tr><td style="vertical-align: top; width: 50%;">L'lment racine de la configuration XML du menu doit obligatoirement tre matrialis par la balise &lt;MENU&gt;.<br><br>
* L'lment &lt;VERSION&gt; contient la version du menu. Cette valeur est utilise pour grer la cohrence avec les informations du menu sauvegardes dans le cookie
* utilisateur. Il est impratif d'incrmenter cette valeur lors de tout chagement dans la configuration du menu, pour se prmunir contre tout risque d'incohrence lors de la restauration du cookie
* utilisateur.<br><br>L'lment &lt;PIED_DE_PAGE&gt; contient la configuration du pied de page du menu.<br><br>Les items de niveau 1 sont matrialiss par des lments
* &lt;ITEM1&gt;, directement rattachs  l'lment racine. L'lment &lt;URL&gt; contient l'URL associe  l'item du menu, &lt;LIBELLE&gt; le libell 
* afficher dans le menu, &lt;LIBELLE_LONG&gt; le libell long  afficher dans la barre de navigation de l'entte. L'lment facultatif &lt;OUVERTURE&gt; est exploit uniquement pour
* un menu gestion de type 2 (ouverture et fermeture manuelle des items de niveau 1). Si le texte au sein au sein de cet lment vaut "oui", les sous-items de niveau 2 rattachs  cet item sont visibles
*  l'initialisation. Si ce texte vaut "non" ou bien si l'lment &lt;OUVERTURE&gt; n'est pas prsent, ces sous-items ne sont pas visibles  l'initialisation. L'lment &lt;ID&gt; 
* doit identifier de faon unique l'item parmi tous les autres items (tous niveaux confondus).<br><br>Les lments &lt;ITEM2&gt;, rattachs  un lment &lt;ITEM1&gt;
* reprsentent ses sous-items. Leur structuration est identique  celle des items 1 aux diffrrences prs suivantes:<br>&middot;&nbsp; l'lment &lt;OUVERTURE&gt; ne leur est
* pas applicable<br>&middot;&nbsp; ils contiennent des sous-items &lt;ITEM3&gt; ou bien des actions &lt;ACTION&gt;<br><br>Les lments &lt;ACTION&gt; et/ou &lt;ITEM3&gt; sont rattachs  un
* lment &lt;ITEM2&gt;. Lorsque le contenu des sous-lements d'un item de niveau 2 est mixte, c'est  dire qu'il est compos d'actions et d'items de niveau 3, les lments
* &lt;ACTION&gt; doivent imprativement tre dclars avant les lments &lt;ITEM3&gt;.<br><br> La structuration des lments &lt;ITEM3&gt; est identique
*  celle des &lt;ITEM2&gt;, sauf qu'il n'est pas possible de dclarer des sous-items pour un lment &lt;ITEM3&gt;.<br><br> Un lment &lt;ACTION&gt; matrialise une action
* de type "icne" pour un menu gestion.<br></td>
* <td style="vertical-align: top;">L'lment racine de la configuration XML de l'lment doit obligatoirement tre matrialis par la balise &lt;ENTETE&gt;.<br><br>
* L'lment &lt;TITLE&gt; contient le titre de l'application  afficher dans l'entte.<br><br>L'lment &lt;INFO&gt; contient les informations utilisateur  afficher en bas
*  droite de l'entte. Il doit inclure des lments &lt;NORMAL&gt; (pour une police d'affichage "normal") et/ou des lments&nbsp; &lt;GRAS&gt; (pour une police d'affichage "gras").
* Les diffrentes valeurs des lments &lt;NORMAL&gt; et &lt;GRAS&gt; sont concatnes dans le mme champ information de l'entte.<br><br> Les lments
* &lt;LIEN&gt; matrialise les diffrents liens  afficher dans l'entte.<br></td></tr>
* <tr><td style="vertical-align: top; width: 50%;"><b>Voir Exemple de structure XML de configuration pour ce composant&nbsp; : </b> <a href="exemples_A3.html#menu_structXml">Exemples de structure XML</a>.</td>
* <td style="vertical-align: top;"><b>Voir Exemple de structure XML de configuration d'entte&nbsp; : </b> <a href="exemples_A3.html#entete_structXml">Exemples de structure XML</a>.</td></tr>
* <tr><td style="vertical-align: top;">RENDU IHM<br><br>
* <table style="width: 100%; text-align: left;" border="1" cellpadding="2" cellspacing="2"><tbody><tr><td style="vertical-align: top;">Menu documentaire<br></td><td style="vertical-align: top;">Menu de type Gestion<br></td></tr>
* <tr><td style="vertical-align: top;"><img alt="exComposantMenuDocumentaire" src="image.ComposantMenuDocumentaire.jpg" style="width: 190px; height: 425px;"><br></td>
* <td style="vertical-align: top;"><img alt="exComposantMenuGestion" src="Image.ComposantMenuGestion.jpg" style="width: 190px; height: 336px;"><br></td></tr>
* </tbody></table></td>
* <td style="vertical-align: top;">RENDU IHM<br><br><img alt="exComposantEntete" src="Image.ComposantEntete.jpg" style="width: 642px; height: 88px;"><br></td></tr></tbody>
* </table>
* <br>
* @author Ministre des Affaires Etrangres, Aubay SA, Steve Pguet
* @version 1.1
* @date 25/10/2005
*/

/*
Copyright ou  ou Copr. 
Ministre des Affaires Etrangres,
Aubay SA,
Steve Pguet, (10/05/2004)

steve.peguet@diplomatie.gouv.fr

Ce logiciel est un programme informatique servant de framework JavaScript 
bas sur les normes W3C (XHTML/CSS/DOM/XML). Il offre la possibilit de 
mettre en uvre facilement les principes ergonomiques et techniques propres 
 un client riche (cumul des avantages du client lger et du client lourd).
Ce logiciel est rgi par la licence CeCILL soumise au droit franais et
respectant les principes de diffusion des logiciels libres. Vous pouvez
utiliser, modifier et/ou redistribuer ce programme sous les conditions
de la licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA 
sur le site "http://www.cecill.info".

En contrepartie de l'accessibilit au code source et des droits de copie,
de modification et de redistribution accords par cette licence, il n'est
offert aux utilisateurs qu'une garantie limite.  Pour les mmes raisons,
seule une responsabilit restreinte pse sur l'auteur du programme,  le
titulaire des droits patrimoniaux et les concdants successifs.

A cet gard  l'attention de l'utilisateur est attire sur les risques
associs au chargement,   l'utilisation,   la modification et/ou au
dveloppement et  la reproduction du logiciel par l'utilisateur tant 
donn sa spcificit de logiciel libre, qui peut le rendre complexe  
manipuler et qui le rserve donc  des dveloppeurs et des professionnels
avertis possdant  des  connaissances  informatiques approfondies.  Les
utilisateurs sont donc invits  charger  et  tester  l'adquation  du
logiciel  leurs besoins dans des conditions permettant d'assurer la
scurit de leurs systmes et ou de leurs donnes et, plus gnralement, 
 l'utiliser et l'exploiter dans les mmes conditions de scurit. 

Le fait que vous puissiez accder  cet en-tte signifie que vous avez 
pris connaissance de la licence CeCILL, et que vous en avez accept les
termes.*/

// Si true: sauvegarde dans un cookie sur disque; si false: sauvegarde dans un cookie session
var useCookies = true;

// Indique le nombre d'items de niveau 2 visibles  l'initialisation, pour un menu de type
// documentaire
var maxItems2Menu0 = 2;

// classes pour les items des menus
var classSelected01 = "menuSelected01";
var classUnSelected01 = "menuUnselected01";
var classUnSelectedOver01 = "menuUnselectedOver01";
var classSelected02 = "menuSelected02";
var classUnSelected02 = "menuUnselected02";
var classUnSelectedOver02 = "menuUnselectedOver02";
var classSelected03 = "menuSelected03";
var classUnSelected03 = "menuUnselected03";
var classUnSelectedOver03 = "menuUnselectedOver03";
var classSelected11 = "menuSelected11";
var classUnSelected11 = "menuUnselected11";
var classUnSelectedOver11 = "menuUnselectedOver11";
var classSelected12 = "menuSelected12";
var classUnSelected12 = "menuUnselected12";
var classUnSelectedOver12 = "menuUnselectedOver12";
var classSelected13 = "menuSelected13";
var classUnSelected13 = "menuUnselected13";
var classUnSelectedOver13 = "menuUnselectedOver13";

// dfinition des frames
var frameEntete = "ENTETE_WIN";
var frameBody = "BODY_WIN";
var frameMenu = "MENU_WIN";
var frameContenu = "CONTENU_WIN";

// dfinition des div du menu
var ID_DIV_DEBUT_MENU = "DebutMenu";
var ID_DIV_FIN_MENU = "FinMenu";

// dfinition des images
var iconeSupprimer = "/proto/FrameworkERGO/images/bouton/gestion/IcoSupprimer.gif";
var iconeEditer = "/proto/FrameworkERGO/images/bouton/table/IcoEditer.gif";
var iconeEnregistrer = "/proto/FrameworkERGO/images/bouton/gestion/IcoEnregistrer.gif";
var iconeFichier = "/proto/FrameworkERGO/images/bouton/arbo/IcoFichierDefaut.gif";
var iconeSupprimerOver = "/proto/FrameworkERGO/images/bouton/gestion/IcoSupprimerover.gif";
var iconeEditerOver = "/proto/FrameworkERGO/images/bouton/table/IcoEditerover.gif";
var iconeEnregistrerOver = "/proto/FrameworkERGO/images/bouton/gestion/IcoEnregistrerover.gif";
var iconeFichierOver = "/proto/FrameworkERGO/images/bouton/arbo/IcoFichierDefautover.gif";
var flecheBas = "/proto/FrameworkERGO/images/bouton/table/IcoTriCroissant.gif";
var flecheHaut = "/proto/FrameworkERGO/images/bouton/table/IcoTriCroissantover.gif";
var doubleFlecheGauche = "/proto/FrameworkERGO/images/bouton/table/IcoPrecedent.gif";
var doubleFlecheDroit = "/proto/FrameworkERGO/images/bouton/table/IcoSuivant.gif";
var doubleFlecheGaucheOver = "/proto/FrameworkERGO/images/bouton/table/IcoPrecedentover.gif";
var doubleFlecheDroitOver = "/proto/FrameworkERGO/images/bouton/table/IcoSuivantover.gif";
var puceItem3 = "/proto/FrameworkERGO/images/bouton/arbo/IcoNivNeutre.gif";
var IcoSeparateur = "/proto/FrameworkERGO/images/franceDiplomatie/separateur.gif";
var spacer = "/proto/FrameworkERGO/images/bouton/divers/spacer.gif";
var page_testerreur_url = "/proto/FrameworkERGO/html/erreur/erreur.html";

/**
* La fonction globale preload() fait appel  {@link #preloadImages preloadImages} qui prcharge les images
* pour les monter en mmoire (cache du navigateur) avant toute gestion d'affichage/dsaffichage.
* @see #preloadImages
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function preload()
{
	preloadImages(iconeSupprimerOver,iconeEditerOver,iconeEnregistrerOver,iconeFichierOver,flecheBas,flecheHaut,doubleFlecheGaucheOver,doubleFlecheDroit);
}


// Retourne true si l'lment de menu existe

/**
* La m&eacute;thode priv&eacute;e testMenu(i,j,k) retourne true si l'lment de menu demand existe toujours.
* @private
* @param {int_Obligatoire} i : indice de l'item de menu 1. 
* @param {int_Facultatif} j : indice de l'item de menu 2. 
* @param {int_Facultatif} k : indice de l'item de menu 3. 
* @return {boolean} indique si l'lment de menu existe toujours.
* @version 2.3
* @date 28/09/2006
*/
function ComposantMenu_testMenu(i,j,k)
{
	// on ne cherche pas a afficher si les valeurs sont fausses
	if (this.tabMenu==null) return false;
	if (this.tabMenu.length==0) return false;
	if (this.tabMenu.length<i) return false;
	if (j != null) {
		if (this.tabMenu[i].subItems==null) return false;
		if (this.tabMenu[i].subItems.length==0) return false;
		if (this.tabMenu[i].subItems.length<j) return false;
		if (k != null) {
			if (this.tabMenu[i].subItems[j].subItems==null) return false;
			if (this.tabMenu[i].subItems[j].subItems.length==0) return false;
			if (this.tabMenu[i].subItems[j].subItems.length<k) return false;
		}
	}
	return true;
}


// Retourne l'url des images associes  une rfrence d'image

/**
* La mthode prive getImageURL(nomImage) retourne l'URL associe  une rfrence d'icne.
* @private
* @param {String_Obligatoire} nomImage : Rfrence de l'icne. Valeurs possibles: "supprimer",
* "editer", "enregistrer", fichier", "doubleFlecheDroit", "doubleFlecheGauche", "flecheHaut", "flecheBas". 
* <b><a href='constant-values_A3.html#nomImage_param'> Voir Valeurs des Constantes - Paramtres </a></b>.
* @return {string} URL associe  la rfrence de l'icne donne en paramtre.
* @version 1.1
* @date 25/10/2005
*/ 
function ComposantMenu_getImageURL(nomImage)
{
	if (nomImage == "supprimer") return iconeSupprimer;
	if (nomImage == "editer") return iconeEditer;
	if (nomImage == "enregistrer") return iconeEnregistrer;
	if (nomImage == "fichier") return iconeFichier;
	if (nomImage == "doubleFlecheDroit") return doubleFlecheDroit;
	if (nomImage == "doubleFlecheGauche") return doubleFlecheGauche;
	if (nomImage == "flecheHaut") return flecheHaut;
	if (nomImage == "flecheBas") return flecheBas;	
}


// Retourne l'url d'image (pour l'vnement OnMouseOver) associe  une rfrence d'image

/**
* La mthode prive getImageOverURL(nomImage) retourne l'URL associe  une rfrence d'image pour le mode
* roll-over.
* @private
* @param {String_Obligatoire} nomImage Rfrence de l'imagee pour le mode roll-over. Valeurs possibles :
* "supprimer", "editer", "enregistrer", fichier", "doubleFlecheDroit", "doubleFlecheGauche", "flecheHaut",
* "flecheBas".
* <b><a href='constant-values_A3.html#nomImage_param'>Voir Valeurs des Constantes - Paramtres</a></b>.
* @return {String} URL associe  la rfrence de l'icne en mode roll-over donne en paramtre.
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_getImageOverURL(nomImage)
{
	if (nomImage == "supprimer") return iconeSupprimerOver;
	if (nomImage == "editer") return iconeEditerOver;
	if (nomImage == "enregistrer") return iconeEnregistrerOver;
	if (nomImage == "fichier") return iconeFichierOver;
	if (nomImage == "doubleFlecheDroitOver") return doubleFlecheDroitOver;
	if (nomImage == "doubleFlecheGaucheOver") return doubleFlecheGaucheOver;
	if (nomImage == "flecheHaut") return flecheHaut;
	if (nomImage == "flecheBas") return flecheBas;
}


// Change l'image

/**
* La mthode prive changeImage(idImage,nomImage,frame) positionne l'image passe en paramtre  la
* place de l'autre image de la page, spcifie galement en paramtre.
* @private
* @param {String_Obligatoire} idImage : Rfrence de l'lment image o positionner l'image.
* @param {String_Obligatoire} nomImage : Rfrence de l'image  positionner.
* @param {String_Obligatoire} frame : Rfrence de la frame d'appartenance o positionner l'image  -
* <b><a href='constant-values_A3.html#frame_param'>Voir Valeurs des Constantes - Paramtres </a></b>.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_changeImage(idImage,nomImage,frame)
{
	var component = null;
	if (frame != null && frame == "entete") component = window.frames[frameEntete].document[idImage];
	if (frame != null && frame == "menu") component = window.frames[frameBody].frames[frameMenu].document[idImage];
	if (component != null) component.src = ''+this.getImageURL(nomImage)+'';
}


// change l'image pour l'vnement OnMouseOver

/**
* La mthode prive changeImageOver(idImage,nomImage,frame) change l'image pour l'vnement "onMouseOver"
* du composant Menu.
* @private
* @param {String_Obligatoire} idImage : Rfrence de l'lment image  positionner.
* @param {String_Obligatoire} nomImage : Rfrence de l'image pour le mode roll-over.
* @param {String_Obligatoire} frame : String indiquant la frame o s'affiche l'image : "entete", "menu", ...
* <b><a href='constant-values_A3.html#frame_param'>Voir Valeurs des Constantes - Paramtres </a></b>.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_changeImageOver(idImage,nomImage,frame)
{
	var component = null;
	if (frame != null && frame == "entete") component = window.frames[frameEntete].document[idImage];
	if (frame != null && frame == "menu") component = window.frames[frameBody].frames[frameMenu].document[idImage];
	if (component != null) component.src = ''+this.getImageOverURL(nomImage)+'';
}


// Affichage de la page d'accueil pour tous les types de menus

/**
* La mthode publique SelectAccueil() permet de revenir  l'affichage de la page d'accueil. Met  jour
* le menu et la barre de navigation en consquence. Le contenu de la page d'accueil est affich dans la fentre
* principale.
* @public
* @param {boolean_Obligatoire} fromCookie : Boolen indiquant si l'action a t initie par une restauration
* de cookie (true) ou non (false). S'il ne s'agit pas d'une restauration de cookie, une mise  jour du cookie
* sera effectue.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_SelectAccueil(fromCookie)
{
	// si menu style documentaire
	if (this.type == 0)
	{
		// fermeture des sous-menus et dselection des items dlectionns
		if (this.indexSelectedItem1 != null)
		{
			if (this.indexSelectedItem2 != null)
			{
				if (this.indexSelectedItem3 != null)
				{
					this.Item3SetUnSelectedClass(this.indexSelectedItem1,this.indexSelectedItem2,this.indexSelectedItem3);
				}
				if (this.Items3OpenMenu0) this.CloseItems3Menu0(this.indexSelectedItem1,this.indexSelectedItem2);
				if (this.indexSelectedItem2 != null) this.Item2SetUnSelectedClass(this.indexSelectedItem1,this.indexSelectedItem2);
			}
			this.Item1SetUnSelectedClass(this.indexSelectedItem1);
		}
	}
	// si menu style gestion
	else if (this.type == 1 || this.type == 2)
	{
		// fermeture des sous-menus et dselection des items dlectionns	
		if (this.indexSelectedItem1 != null)
		{
			if (this.indexSelectedItem2 != null)
			{
				if (this.indexSelectedItem3 != null)
				{
					this.Item3SetUnSelectedClass(this.indexSelectedItem1,this.indexSelectedItem2,this.indexSelectedItem3);
				}
				this.Item2SetUnSelectedClass(this.indexSelectedItem1,this.indexSelectedItem2);
				this.CloseItems3Menu1(this.indexSelectedItem1,this.indexSelectedItem2);
			}
			this.Item1SetUnSelectedClass(this.indexSelectedItem1);
			if (this.type ==1) this.CloseItems2Menu1(this.indexSelectedItem1);
		}
	}
	// RAZ des slection d'items
	this.indexSelectedItem1 = null;
	this.indexSelectedItem2 = null;
	this.indexSelectedItem3 = null;
	// MAJ de la barre de navigation
	this.setNavigation(null,null,null);
	// redirection vers l'URL de la page d'accueil
	this.goToURL(null,null,null);
	// Si la fonction n'a pas t appele depuis la mthode de restauration de cookie, MAJ du cookie
	if (!fromCookie) this.writeToCookie(null,null,null);
}


// Gestion de la slection d'un item de niveau 1 pour le menu de type documentaire

/**
* La mthode prive SelectItem1Menu0(i,fromCookie) slectionne, pour un menu documentaire,
* l'item de niveau 1 dont l'index est pass en paramtre. Met  jour le cookie, si ncessaire.
* Met  jour la barre de navigation et la frame de contenu.
* @private
* @param {int_Obligatoire} i : index de l'item de niveau 1  slectionner dans le menu documentaire.
* @param {boolean_Obligatoire} fromCookie : Boolen indiquant si l'action a t initie par une restauration
* de cookie (true) ou non (false). S'il ne s'agit pas d'une restauration de cookie, une mise  jour du cookie
* sera effectue.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_SelectItem1Menu0(i,fromCookie)
{	
	// Dselection d'item de niveau 2 si ncessaire
	if (this.indexSelectedItem1 != null)
	{
		// Dselection d'item de niveau 2 si ncessaire
		if (this.indexSelectedItem2 != null)
		{	
			if (this.Items3OpenMenu0) this.CloseItems3Menu0(this.indexSelectedItem1,this.indexSelectedItem2);
			this.Item2SetUnSelectedClass(this.indexSelectedItem1,this.indexSelectedItem2);
			this.indexSelectedItem2 = null;
		}
		// Dselection d'item de niveau 1
		this.Item1SetUnSelectedClass(this.indexSelectedItem1);
	}
	// RAZ des index de slection de niveaux 1 et 2
	this.indexSelectedItem2 = null;
	this.indexSelectedItem3 = null;
	// slection de l'item de niveau 1
	this.Item1SetSelectedClass(i);
	this.indexSelectedItem1 = i;
	// MAJ de la barre de navigation
	this.setNavigation(i,null,null);
	// redirection vers l'URL correspondant  l'item
	this.goToURL(i,null,null);
	// Si la fonction n'a pas t appele depuis la mthode de restauration de cookie, MAJ du cookie
	if (!fromCookie) this.writeToCookie(i,null,null);
}


// Gestion de la slection d'un item de niveau 2 pour le menu de type documentaire

/**
* La mthode prive SelectItem2Menu0(i,fromCookie) slectionne, pour un menu documentaire,&nbsp;
* un item de niveau 2 dont l'index est pass en paramtre. Met  jour le cookie, si ncessaire.
* Met  jour la barre de navigation et la frame de contenu.
* @private
* @param {int_Obligatoire} i : index de l'item de niveau 1  slectionner dans le menu documentaire.
* @param {int_Obligatoire} j : index de l'item de niveau 2  slectionner dans le menu documentaire.
* @param {boolean_Obligatoire} fromCookie : Boolen indiquant si l'action a t initie par une
* restauration de cookie (true) ou non (false). S'il ne s'agit pas d'une restauration de cookie,
* une mise  jour sera effectue.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_SelectItem2Menu0(i,j, fromCookie)
{
	// Dselection des items de niveaux 1 et 2 si ncessaire
	if (this.indexSelectedItem1 != null)
	{
		if (!this.Items3OpenMenu0) this.Item1SetUnSelectedClass(this.indexSelectedItem1);
		if (this.indexSelectedItem2 != null)
		{
			if (!this.Items3OpenMenu0) this.Item2SetUnSelectedClass(this.indexSelectedItem1,this.indexSelectedItem2);
			if (this.Items3OpenMenu0) this.CloseItems3Menu0(this.indexSelectedItem1,this.indexSelectedItem2);
		}
	}
	
	// MAJ des index de slection 
	this.indexSelectedItem1 = i;
	this.indexSelectedItem2 = j;
	this.indexSelectedItem3 = null;
	// slection des items de niveaux 1 et 2
	this.Item2SetSelectedClass(i,j);
	// ouverture du sous-menu relatif  l'item slection
	this.OpenItems3Menu0(i,j);
	// MAJ de la barre de navigation
	this.setNavigation(i,j,null);
	// redirection vers l'URL correspondant  l'item
	this.goToURL(i,j,null);
	// Si la fonction n'a pas t appele depuis la mthode de restauration de cookie, MAJ du cookie
	if (!fromCookie) this.writeToCookie(i,j,null);
}


// Gre l'ouverture des items de niveau 3 rattachs  un item de niveau 2, pour un menu documentaire

/**
* La mthode prive OpenItems3Menu0(i,j) r-crit le menu documentaire pour y faire apparatre les items
* de niveau 3 rattachs au niveau 2 dfinis par les index en paramtres.
* Aprs cette r-criture les items de niveau 1 et 2 n'apparaissent plus dans le menu. Met  jour le cookie,
* si ncessaire.
* @private
* @param {int_Obligatoire} i : index de l'item de niveau 1.
* @param {int_Obligatoire} j : index de l'item de niveau 2.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_OpenItems3Menu0(i,j)
{
	if (this.tabMenu[i].subItems.length == 0)
	{
		return;
	}
	else
	{
		// si pas d'item de niveau 3, retour
		if ((this.tabMenu[i].subItems)[j].subItems.length == 0)
		{
			return;
		}
		else
		{
			this.Items3OpenMenu0 = true;
			// criture d'un nouveau menu avec les seuls items de niveau 3
			this.divBind.style.display = "none";
			this.divBind.innerHTML = this.ecrireHTML_type0_items3(i,j);
			this.divBind.style.display = "";
		}
	}
}


// Gre la fermeture des items de niveau 3 rattachs  un item de niveau 2, pour un menu documentaire

/**
* La mthode prive CloseItems3Menu0(i,j) permet de revenir, pour un menu documentaire,  l'affichage
* des niveaux 1 et 2 lorsque des items de niveau 3 sont visualiss. Cette fonction procde par r-criture
* du menu. Puis, elle appelle "{@link #SelectItem1Menu0 SelectItem1Menu0}" pour restaurer la slection de
* l'item de niveau 1.
* @private
* @param {int_Obligatoire} i index de niveau 1  rafficher dans le menu documentaire.
* @param {int_Obligatoire} j index de niveau 2  rafficher dans le menu documentaire.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_CloseItems3Menu0(i,j)
{
	this.Items3OpenMenu0 = false;
	// rcriture du menu contenant les seuls items de niveaux 1 et 2
	this.divBind.style.display = "none";
	this.divBind.innerHTML = this.ecrireHTML_type0();
	this.divBind.style.display = "";
	this.SelectItem1Menu0(i);
}


// Gestion de la slection d'un item de niveau 3 pour le menu de type documentaire

/**
* La mthode prive SelectItem3Menu0(i,j,k,fromCookie) slectionne, pour un menu documentaire, l'item de niveau 3
* dont les index de niveaux 1, 2 et 3 sont passs en paramtre. Met  jour le cookie, si ncessaire.
* Met  jour la barre de navigation et la frame de contenu.
* @private
* @param {int_Obligatoire} i : index de niveau 1 de l'item de niveau 3  slectionner dans le menu documentaire.
* @param {int_Obligatoire} j : index de niveau 2 de l'item de niveau 3  slectionner dans le menu documentaire.
* @param {int_Obligatoire} k : index de niveau 3 de l'item de niveau 3  slectionner dans le menu documentaire.
* @param {boolean_Obligatoire} fromCookie : Boolen indiquant si l'action a t initie par une restauration
* de cookie (true) ou non (false). S'il ne s'agit pas d'une restauration de cookie, une mise  jour du cookie
* sera effectue.
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_SelectItem3Menu0(i,j,k,fromCookie)
{
	// Dselction d'un item de niveau 3 si ncessaire
	if (this.indexSelectedItem3 != null)
	{
		this.Item3SetUnSelectedClass(i,j,this.indexSelectedItem3);
	}
	// Slection du nouvel item de niveau 3
	this.Item3SetSelectedClass(i,j,k);
	this.indexSelectedItem3 = k;
	// MAJ de la barre de navigation
	this.setNavigation(i,j,k);
	// Ralisation de l'action correspondante  l'item
	eval(((this.tabMenu[i].subItems)[j].subItems)[k].url);
	// Si la fonction n'a pas t appele depuis la mthode de restauration de cookie, MAJ du cookie
	if (!fromCookie) this.writeToCookie(i,j,k);
}


// Rend visible les items cachs de niveau 2 pour le menu de type documentaire

/**
* La mthode prive ShowItems2Menu0(i,fromCookie) rend visible, pour un menu documentaire, les items de niveau 2
* cachs (ceux dont l'index de niveau 2 est suprieur ou gal  <a href="constant-values_A3.html#ComposantMenu">
* maxItems2Menu0</a>). Met  jour le cookie, si ncessaire.
* @private
* @param {int_Obligatoire} i : index de niveau 2(&gt;=&nbsp; maxItems2Menu0) de l'item de niveau 2  faire
* apparatre dans le menu documentaire. 
* @param {boolean_Obligatoire} fromCookie : Boolen indiquant si l'action a t initie par une restauration
* de cookie (true) ou non (false). S'il ne s'agit pas d'une restauration de cookie, une mise  jour
* du cookie sera effectue.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_ShowItems2Menu0(i,fromCookie)
{
	// met  jour le statut lien visibles/cachs pour l'item de niveau 1
	this.Items2StatusMenu0[i] = 1;
	// rend visible les liens cachs
	var componentHiddenLinks = window.frames[frameBody].frames[frameMenu].document.getElementById("hiddenLinks_"+i);
	componentHiddenLinks.style.display = "";
	// rend invisible la flche permettant de rendre visible les liens cachs
	var componentShow = window.frames[frameBody].frames[frameMenu].document.getElementById("show_"+i);
	this.changeImage("arrow_hide_"+i,"doubleFlecheGauche","menu");
	componentShow.style.display = "none";
	// rend visible la flche permettant de cacher les liens
	var componentHide = window.frames[frameBody].frames[frameMenu].document.getElementById("hide_"+i);
	componentHide.style.display = "";
	// Si la fonction n'a pas t appele depuis la mthode de restauration de cookie, MAJ du cookie
	if (!fromCookie) this.writeToCookie(this.indexSelectedItem1,this.indexSelectedItem2,this.indexSelectedItem3);
}


// Cache les items de niveau 2 pour le menu de type documentaire

/**
* La mthode prive HideItems2Menu0(i,fromCookie) cache, pour un menu documentaire, les items de niveau 2
* qui avaient t dvoils par l'appel  la fonction prcdente (ceux dont l'index de niveau 2 est suprieur
* ou gal  <a href="constant-values_A3.html#ComposantMenu">maxItems2Menu0</a>). Met  jour le cookie,
* si ncessaire.
* @private
* @param {int_Obligatoire} i : index de niveau 2 (&gt;=&nbsp; maxItems2Menu0) de l'item de niveau 2  cacher
* dans le menu documentaire. 
* @param {boolean_Obligatoire} fromCookie : Boolen indiquant si l'action a t initie par une restauration
* de cookie (true) ou non (false). S'il ne s'agit pas d'une restauration de cookie, une mise  jour du
* cookie sera effectue.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_HideItems2Menu0(i,fromCookie)
{
	// met  jour le statut lien visibles/cachs pour l'item de niveau 1
	this.Items2StatusMenu0[i] = 0;
	// rend invisible les liens cachs
	var componentHiddenLinks = window.frames[frameBody].frames[frameMenu].document.getElementById("hiddenLinks_"+i);
	this.changeImage("arrow_show_"+i,"doubleFlecheDroit","menu");
	componentHiddenLinks.style.display = "none";
	// rend visible la flche permettant de rendre visible les liens cachs
	var componentShow = window.frames[frameBody].frames[frameMenu].document.getElementById("show_"+i);
	componentShow.style.display = "";
	// rend invisible la flche permettant de cacher les liens
	var componentHide = window.frames[frameBody].frames[frameMenu].document.getElementById("hide_"+i);
	componentHide.style.display = "none";
	// Si la fonction n'a pas t appele depuis la mthode de restauration de cookie, MAJ du cookie
	if (!fromCookie) this.writeToCookie(this.indexSelectedItem1,this.indexSelectedItem2,this.indexSelectedItem3);
}


// Gestion de la slection d'un item de niveau 3 pour le menu de type gestion

/**
* La mthode prive SelectItem3Menu1(i,j,k,fromCookie) slectionne, pour un menu gestion, l'item de niveau 3
* dont les index de niveaux 1, 2 et 3 sont passs en paramtre. Met  jour le cookie, si ncessaire.
* Met  jour la barre de navigation et la frame de contenu.
* @private
* @param {int_Obligatoire} i : index de l'item de niveau 1  slectionner. 
* @param {int_Obligatoire} j : index de l'item de niveau 2  slectionner. 
* @param {int_Obligatoire} k : index de l'item de niveau 3  slectionner. 
* @param {boolean_Obligatoire} fromCookie : Boolen indiquant si l'action a t initie par une restauration
* de cookie (true) ou non (false). S'il ne s'agit pas d'une restauration de cookie, une mise  jour du cookie
* sera effectue.
* @return {void}
* @version 1.1
* @date :  25/10/2005
*/
function ComposantMenu_SelectItem3Menu1(i,j,k,fromCookie)
{
	if (this.indexSelectedItem1 != null)
	{
		if (this.indexSelectedItem2 != null)
		{
			// Dselection d'un item de niveau 3 si ncessaire
			if (this.indexSelectedItem3 != null)
			{
				this.Item3SetUnSelectedClass(this.indexSelectedItem1,this.indexSelectedItem2,this.indexSelectedItem3);
			}
			this.Item2SetUnSelectedClass(this.indexSelectedItem1,this.indexSelectedItem2);
		}
		this.Item1SetUnSelectedClass(this.indexSelectedItem1);
	}
	// slection des items
	this.indexSelectedItem1 = i;
	this.indexSelectedItem2 = j;
	this.indexSelectedItem3 = k;
	this.Item3SetSelectedClass(i,j,k);
	this.setNavigation(i,j,k);
	this.goToURL(i,j,k);	
	// Si la fonction n'a pas t appele depuis la mthode de restauration de cookie, MAJ du cookie
	if (!fromCookie) this.writeToCookie(i,j,k);
}


// Gestion de la slection d'un item de niveau 2 pour le menu de type gestion

/**
* La mthode prive SelectItem2Menu1(i,fromCookie) slectionne, pour un menu gestion, l'item de niveau 2
* dont les index de niveaux 1 et 2 sont passs en paramtre. Si des items de niveau 3 lui sont rattachs,
* ces derniers sont affichs. Met  jour le cookie, si ncessaire. Met  jour la barre de navigation et la
* frame de contenu.
* @private
* @param {int_Obligatoire} i : index de l'item de niveau 1  slectionner. 
* @param {int_Obligatoire} j : index de l'item de niveau 2  slectionner. 
* @param {boolean_Obligatoire} fromCookie : Boolen indiquant si l'action a t initie par une restauration
* de cookie (true) ou non (false). S'il ne s'agit pas d'une restauration de cookie, une mise  jour du cookie
* sera effectue.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_SelectItem2Menu1(i,j, fromCookie)
{
	// Si ncessaire dselections d'items et fermetures de sous-menus
	if (this.indexSelectedItem1 != null)
	{
		if (this.indexSelectedItem2 != null)
		{
			if (this.indexSelectedItem3 != null)
			{
				this.Item3SetUnSelectedClass(this.indexSelectedItem1,this.indexSelectedItem2,this.indexSelectedItem3);
			}
			this.Item2SetUnSelectedClass(this.indexSelectedItem1,this.indexSelectedItem2);
			this.CloseItems3Menu1(this.indexSelectedItem1,this.indexSelectedItem2);
		}
		this.Item1SetUnSelectedClass(this.indexSelectedItem1);
		// on ne ferme pas automatiquement les sous-menus contenant les items de niveau 2, pour un menu de type 2
		if (this.type == 1) this.CloseItems2Menu1(this.indexSelectedItem1);
	}
	// slection des items
	this.indexSelectedItem1 = i;
	this.indexSelectedItem2 = j;
	this.indexSelectedItem3 = null;
	this.Item2SetSelectedClass(i,j);
	// ouverture des sous-menus contenant les items de niveaux 2 et 3
	this.OpenItems2Menu1(i);
	this.OpenItems3Menu1(i,j);
	// MAJ de la barre de navigation
	this.setNavigation(i,j,null);
	// redirection vers l'URL correspondant  l'item
	this.goToURL(i,j,null);
	// Si la fonction n'a pas t appele depuis la mthode de restauration de cookie, MAJ du cookie
	if (!fromCookie) this.writeToCookie(i,j,null);
}


// Gestion de la slection d'un item de niveau 1 pour le menu de type gestion

/**
* La mthode prive SelectItem1Menu1(i,fromCookie) slectionne, pour un menu gestion, l'item de niveau 1
* dont l'index est pass en paramtre. Si des items de niveau 2 lui sont rattachs, ces derniers sont affichs.
* Met  jour le cookie, si ncessaire. Met  jour la barre de navigation et la frame de contenu.
* @private
* @param {int_Obligatoire} i : index de l'item de niveau 1  slectionner. 
* @param {boolean_Obligatoire} fromCookie : Boolen indiquant si l'action a t initie par une restauration
* de cookie (true) ou non (false). S'il ne s'agit pas d'une restauration de cookie, une mise  jour du cookie
* sera effectue.
* @return {void}
* @version 1.1
* @date :  25/10/2005
*/
function ComposantMenu_SelectItem1Menu1(i,fromCookie)
{
	// Si ncessaire dselections d'items et fermetures de sous-menus
	if (this.indexSelectedItem1 != null)
	{
		if (this.indexSelectedItem2 != null)
		{
			if (this.indexSelectedItem3 != null)
			{
				this.Item3SetUnSelectedClass(this.indexSelectedItem1,this.indexSelectedItem2,this.indexSelectedItem3);
			}
			this.Item2SetUnSelectedClass(this.indexSelectedItem1,this.indexSelectedItem2);
			this.CloseItems3Menu1(this.indexSelectedItem1,this.indexSelectedItem2);
		}
		this.Item1SetUnSelectedClass(this.indexSelectedItem1);
		// on ne ferme pas automatiquement les sous-menus contenant les items de niveau 2, pour un menu de type 
		if (this.type ==1) this.CloseItems2Menu1(this.indexSelectedItem1);
	}
	// slection des items
	this.indexSelectedItem1 = i;
	this.indexSelectedItem2 = null;
	this.indexSelectedItem3 = null;
	this.Item1SetSelectedClass(i);
	// ouverture du sous-menu contenant les items de niveau 2
	this.OpenItems2Menu1(i);
	if (this.type == 2) this.ShowItems2Menu2(i);
	// MAJ de la barre de navigation
	this.setNavigation(i,null,null);
	// redirection vers l'URL correspondant  l'item
	this.goToURL(i,null,null);
	// Si la fonction n'a pas t appele depuis la mthode de restauration de cookie, MAJ du cookie
	if (!fromCookie) this.writeToCookie(i,null,null);
}


// Ferme le sous-menu rattach  un item de niveau 2 pour le menu de type gestion

/**
* La mthode prive CloseItems3Menu1(i,j) cache, pour un menu gestion, les items ou actions de niveau 3,
* rattachs au niveau 2 dont les index sont passs en paramtres.
* @private
* @param {int_Obligatoire} i : index&nbsp; de l'item ou action de niveau 1
* @param {int_Obligatoire} j : index&nbsp; de l'item ou action de niveau 2
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_CloseItems3Menu1(i,j)
{
	// si pas de sous-menu, retour
	if ((this.tabMenu[i].subItems.length == 0) || ((this.tabMenu[i].subItems)[j].subItems.length == 0))
	{
		return;
	}
	else
	{
		var component = window.frames[frameBody].frames[frameMenu].document.getElementById("subItems2_"+i+"_"+j);
		component.style.display = "none";
	}
}


// Ferme le sous-menu rattach  un item de niveau 1 pour le menu de type gestion

/**
* La mthode prive closeItems2Menu1(i) cache, pour un menu gestion, les items de niveau 2,
* rattachs au niveau 1 dont l'index est passs en paramtre.
* @private
* @param {int_Obligatoire} i : index&nbsp; de l'item de niveau 1
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_CloseItems2Menu1(i)
{
	// si pas de sous-menu, retour
	if (this.tabMenu[i].subItems.length == 0)
	{
		return;
	}
	else
	{
		// on rend invisible le conteneur du sous-menu associ  cet item de niveau 1
		var component = window.frames[frameBody].frames[frameMenu].document.getElementById("subItems1_"+i);
		component.style.display = "none";
	}
}


// Ouvre le sous-menu rattach  un item de niveau 2 pour le menu de type gestion

/**
* La mthode prive OpenItems3Menu1(i,j) r-crit le menu de type gestion pour y faire apparatre les items
* de niveau 3 rattachs au niveau 2 dfinis par les index en paramtres. Aprs cette r-criture les items de
* niveau 1 et 2 n'apparaissent plus dans le menu.
* @private
* @param {int_Obligatoire} i : index de niveau 1
* @param {int_Obligatoire} j : index de niveau 2
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_OpenItems3Menu1(i,j)
{
	// si pas de sous-menu, retour
	if ((this.tabMenu[i].subItems.length == 0) || ((this.tabMenu[i].subItems)[j].subItems.length == 0))
	{
		return;
	}
	else
	{
		var component = window.frames[frameBody].frames[frameMenu].document.getElementById("subItems2_"+i+"_"+j);
		component.style.display = "";
	}
}


// Ouvre le sous-menu rattach  un item de niveau 1 pour le menu de type gestion

/**
* La mthode prive openItems2Menu1(i) affiche, pour un menu gestion, les items de niveau 2,
* rattachs au niveau 1 dont l'index est passs en paramtre.
* @private
* @param {int_Obligatoire} i : index de l'item de niveau 1
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_OpenItems2Menu1(i)
{
	// si pas de sous-menu, retour
	if (this.tabMenu[i].subItems.length == 0)
	{
		return;
	}
	else
	{
		// on rend visible le conteneur du sous-menu associ  cet item de niveau 1
		var component = window.frames[frameBody].frames[frameMenu].document.getElementById("subItems1_"+i);
		component.style.display = "";
	}
}


// Rend visible le sous-menu rattach  un item de niveau 1 pour le menu gestion de type 2

/**
* La mthode prive ShowItems2Menu2(i) affiche, pour un menu gestion de type 2, les items de niveau 2,
* rattachs au niveau 1 dont l'index est passs en paramtre. Met  jour le cookie, si ncessaire.
* @private
* @param {int_Obligatoire} i : index&nbsp; de l'item  de niveau 1  afficher dans le menu&nbsp; gestion de type 2.
* @param {boolean_Obligatoire} fromCookie : Boolen indiquant si l'action a t initie par une restauration
* de cookie (true) ou non (false). S'il ne s'agit pas d'une restauration de cookie, une mise  jour du cookie
* sera effectue.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_ShowItems2Menu2(i,fromCookie)
{
	// si pas de sous-menu, retour
	if (this.tabMenu[i].subItems.length == 0)
	{
		return;
	}
	// met  jour le statut visible/cach du sous-menu
	this.Items2StatusMenu2[i] = 1;
	// rend invisible la flche permettant de dvoiler le sous-menu
	var componentShow = window.frames[frameBody].frames[frameMenu].document.getElementById("show_"+i);
	this.changeImage("arrow_show_"+i,"flecheBas","menu");
	componentShow.style.display = "none";
	// rend visible la flche permettant de cacher le sous-menu
	var componentHide = window.frames[frameBody].frames[frameMenu].document.getElementById("hide_"+i);
	componentHide.style.display = "";
	// rend visible le conteneur du sous-menu
	this.OpenItems2Menu1(i);
	// Si la fonction n'a pas t appele depuis la mthode de restauration de cookie, MAJ du cookie
	if (!fromCookie) this.writeToCookie(this.indexSelectedItem1,this.indexSelectedItem2,this.indexSelectedItem3);
}


// Rend invisible le sous-menu rattach  un item de niveau 1 pour le menu gestion de type 2

/**
* La mthode prive HideItems2Menu2(i) cache, pour un menu gestion de type 2, les items de niveau 2,
* rattachs au niveau 1 dont l'index est passs en paramtre. Met  jour le cookie, si ncessaire.
* @private
* @param {int_Obligatoire} i : index&nbsp; de l'item  de niveau 2 rattach(e) au niveau 1,
*  cacher dans le menu&nbsp; gestion de type 2.
* @param {boolean_Obligatoire} fromCookie : Boolen indiquant si l'action a t initie par une restauration
* de cookie (true) ou non (false). S'il ne s'agit pas d'une restauration de cookie, une mise  jour du cookie
* sera effectue.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_HideItems2Menu2(i,fromCookie)
{
	// si pas de sous-menu, retour
	if (this.tabMenu[i].subItems.length == 0)
	{
		return;
	}
	// met  jour le statut visible/cach du sous-menu
	this.Items2StatusMenu2[i] = 0;
	// rend visible la flche permettant de dvoiler le sous-menu
	var componentShow = window.frames[frameBody].frames[frameMenu].document.getElementById("show_"+i);
	componentShow.style.display = "";
	// rend invisible la flche permettant de cacher le sous-menu
	var componentHide = window.frames[frameBody].frames[frameMenu].document.getElementById("hide_"+i);
	this.changeImage("arrow_hide_"+i,"flecheHaut","menu");
	componentHide.style.display = "none";
	// rend invisible le conteneur du sous-menu
	this.CloseItems2Menu1(i);
	// Si la fonction n'a pas t appele depuis la mthode de restauration de cookie, MAJ du cookie
	if (!fromCookie) this.writeToCookie(this.indexSelectedItem1,this.indexSelectedItem2,this.indexSelectedItem3);
}


// Gre la slection d'une action (niveau 3 uniquement) pour le menu de type gestion

/**
* La mthode publique SelectAction(i,j,k,fromCookie) effectue une action, pour un menu de gestion uniquement. 
* Aprs ralisation de l'action, cette fonction met  jour le menu et la barre de menu en slectionnant
* l'item de niveau 2 auquel l'action est rattach.
* @public
* @param {int_Obligatoire} i : Index de l'item de niveau 1 auquel l'action est rattache
* @param {int_Obligatoire} j : Index de l'item de niveau 2 auquel l'action est rattache
* @param {int_Obligatoire} k : Index de l'action au niveau 3
* @param {boolean_Obligatoire} fromCookie : Boolen indiquant si l'action a t initie
* par une restauration de cookie (true) ou non (false). S'il ne s'agit pas d'une restauration de cookie,
* une mise  jour du cookie sera effectue.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_SelectAction(i,j,k,fromCookie)
{
	if (this.indexSelectedItem1 != null)
	{
		if (this.indexSelectedItem2 != null)
		{
			// Dselection d'un item de niveau 3 si ncessaire
			if (this.indexSelectedItem3 != null)
			{
				this.Item3SetUnSelectedClass(this.indexSelectedItem1,this.indexSelectedItem2,this.indexSelectedItem3);
			}
			this.Item2SetUnSelectedClass(this.indexSelectedItem1,this.indexSelectedItem2);
		}
		this.Item1SetUnSelectedClass(this.indexSelectedItem1);
	}
	// MAJ des index de slection. On slectionne l'item de niveau 2 auquel est rattach l'action.
	this.indexSelectedItem1 = i;
	this.indexSelectedItem2 = j;
	this.indexSelectedItem3 = null;
	this.Item2SetSelectedClass(i,j);
	// MAJ de la barre de navigation
	this.setNavigation(i,j,null);
	//Test si pas une page d'erreur dans la frame de contenu avant d'effectuer l'action
	if (window.frames[frameBody].frames[frameContenu].location.toString().indexOf(page_testerreur_url) == -1)
	   eval(((this.tabMenu[i].subItems)[j].subItems)[k].url);
	// Si la fonction n'a pas t appele depuis la mthode de restauration de cookie, MAJ du cookie
	if (!fromCookie) this.writeToCookie(i,j,null);
}


// Change l'url de la frame de contenu

/**
* La mthode prive goToURL(i,j,k) met  jour la frame de contenu  partir de l'URL associe  l'item slectionn,
* dont les index sont passs en paramtres. Si aucun item n'est slectionn, cette fonction affiche la page d'accueil
* dans la frame de contenu.
* @private
* @param {int_Facultatif} i index de niveau 1 de l'item slectionn,
* donnant l'URL de mise--jour de la frame de contenu.
* @param {int_Facultatif} j index de niveau 2 de l'item slectionn,
* donnant l'URL de mise--jour de la frame de contenu.
* @param {int_Facultatif} k index de niveau 3 de l'item slectionn,
* donnant l'URL de mise--jour de la frame de contenu.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_goToURL(i,j,k)
{
	if (this.testMenu(i,j,k)==false) return;
	var url = "";
	var action = false;
	if (i != null)
	{
		if (j != null)
		{
			if (k != null)
			{
				url = ((this.tabMenu[i].subItems)[j].subItems)[k].url;
			}
			else 
			{
				url = (this.tabMenu[i].subItems)[j].url;
			}
		}
		else 
		{
			url = this.tabMenu[i].url;
		}
	}
	// si pas d'index slectionn, redirection vers l'accueil
	if (url == "")
		url = this.urlAccueil;
	window.frames[frameBody].frames[frameContenu].location = url;	
}


// Passe un item 1 en style slectionn

/**
* La mthode prive Item1SetSelectedClass(i) positionne le style "slectionn" pour l'item 1 dfini
* par l'index pass en paramtre.
* @private
* @param {int_Obligatoire} i : index de l'item 1  passer en mode slectionn.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_Item1SetSelectedClass(i)
{
	if (this.testMenu(i)==false) return;
	var component = window.frames[frameBody].frames[frameMenu].document.getElementById("item1_"+i);
	if (component == null) return;
	if (this.type == "0"){
		component.className = classSelected01;
	}
	else {
		component.className = classSelected11;
	}
}


// Passe un item 1 en style dselectionn

/**
* La mthode prive Item1SetUnSelectedClass(i) positionne le style "dslectionn" pour l'item 1
* dfini par l'index en paramtre.
* @private
* @param {int_Obligatoire} i : index de l'item 1  passer en mode dslectionn.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_Item1SetUnSelectedClass(i)
{
	if (this.testMenu(i)==false) return;
	var component = window.frames[frameBody].frames[frameMenu].document.getElementById("item1_"+i);
	if (component == null) return;
	if (this.type == "0"){
		component.className = classUnSelected01;
	}
	else {
		component.className = classUnSelected11;
	}
}


// Change le style d'un item 1 pour le passage de la souris

/**
* La mthode prive Item1SetUnSelectedClass(i) positionne le style "dslectionn roll-over" pour
* l'item 1 dfini par l'index en paramtre.
* @private
* @param {int_Obligatoire} i : index de l'item 1  passer en mode dslectionn roll-over.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_Item1SetUnSelectedOverClass(i)
{
	if (this.testMenu(i)==false) return;
	var component = window.frames[frameBody].frames[frameMenu].document.getElementById("item1_"+i);
	if (component == null) return;
	if (this.type == "0"){
		if (component.className == classUnSelected01) component.className = classUnSelectedOver01;
	}
	else {
		if (component.className == classUnSelected11) component.className = classUnSelectedOver11;
	}
}


// Repositionne le style aprs passage de la souris

/**
* La mthode prive Item1OnMouseOut(i) repositionne le style "slectionn" ou "dslectionn" appropri 
* pour l'item 1 dfini par l'index en paramtre.
* @private
* @param {int_Obligatoire} i : index de l'item 1  passer en mode "slectionn" ou "dslectionn" appropri .
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_Item1OnMouseOut(i)
{
	if (this.testMenu(i)==false) return;
	var component = window.frames[frameBody].frames[frameMenu].document.getElementById("item1_"+i);
	if (component == null) return;
	if (this.type == 0 && component.className != classSelected01) this.Item1SetUnSelectedClass(i);
	if (this.type != 0 && component.className != classSelected11) this.Item1SetUnSelectedClass(i);
}


// Passe un item 2 en style slectionn

/**
* La mthode prive Item2SetSelectedClass(i,j) positionne le style "slectionn" pour l'item 2 dfini
* par les index en paramtres.
* @private
* @param {int_Obligatoire} i : index de l'item 1
* @param {int_Obligatoire} j : index de l'item 2
* @return {void}
* @version 1.1
* @date 25/10/2005
*/ 
function ComposantMenu_Item2SetSelectedClass(i,j)
{
	if (this.testMenu(i,j)==false) return;
	var component = window.frames[frameBody].frames[frameMenu].document.getElementById("item2_"+i+"_"+j);
	if (component == null) return;
	if (this.type == "0"){
		component.className = classSelected02;
	}
	else {
		component.className = classSelected12;
	}
}


// Passe un item 2 en style dselectionn

/**
* La mthode prive Item2SetSelectedClass(i,j) positionne le style "dslectionn" pour l'item 2
* dfini par les index en paramtres.
* @private
* @param {int_Obligatoire} i : index de l'item 1
* @param {int_Obligatoire} j : index de l'item 2
* @return {void}
* @version 1.1
* @date :  25/10/2005
*/
function ComposantMenu_Item2SetUnSelectedClass(i,j)
{
	if (this.testMenu(i,j)==false) return;
	var component = window.frames[frameBody].frames[frameMenu].document.getElementById("item2_"+i+"_"+j);
	if (component == null) return;
	
	if (this.type == "0"){
		component.className = classUnSelected02;
	}
	else {
		component.className = classUnSelected12;
	}
}


// Change le style d'un item 2 pour le passage de la souris

/**
* La mthode prive Item2SetUnSelectedClass(i,j) positionne le style "dslectionn roll-over" pour
* l'item 2 dfini par les index en paramtres.
* @private
* @param {int_Obligatoire} i : index de l'item 1.
* @param {int_Obligatoire} j : index de l'item 2.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_Item2SetUnSelectedOverClass(i,j)
{
	if (this.testMenu(i,j)==false) return;
	var component = window.frames[frameBody].frames[frameMenu].document.getElementById("item2_"+i+"_"+j);
	if (component == null) return;
	if (this.type == "0"){
		if (component.className == classUnSelected02) component.className = classUnSelectedOver02;
	}
	else {
		if (component.className == classUnSelected12) component.className = classUnSelectedOver12;
	}
}


// Repositionne le style d'un item 2 aprs passage de la souris

/**
* La mthode prive Item2OnMouseOut(i,j) positionne le style "slectionn" ou "dslectionn" appropri,
* lorsque la souris sort de l'item (fin du roll-over), pour l'item 2 dfini par les index en paramtres.
* @private
* @param {int_Obligatoire} i : index de l'item 1
* @param {int_Obligatoire} j : index de l'item 2
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_Item2OnMouseOut(i,j)
{
	if (this.testMenu(i,j)==false) return;
	var component = window.frames[frameBody].frames[frameMenu].document.getElementById("item2_"+i+"_"+j);
	if (component == null) return;
	if (this.type == 0 && component.className != classSelected02) this.Item2SetUnSelectedClass(i,j);
	if (this.type != 0 && component.className != classSelected12) this.Item2SetUnSelectedClass(i,j);
}


// Passe un item 3 en style slectionn

/**
* La mthode prive Item3SetSelectedClass(i,j,k) positionne le style "slectionn" pour l'item 3 dfini
* par les index en paramtres.
* @private
* @param {int_Obligatoire} i index de l'item 1
* @param {int_Obligatoire} j index de l'item 2
* @param {int_Obligatoire} k index de l'item 3
* @return {void}
* @version 1.1
* @date 25/10/2005
*/ 
function ComposantMenu_Item3SetSelectedClass(i,j,k)
{
	if (this.testMenu(i,j,k)==false) return;
	var component = window.frames[frameBody].frames[frameMenu].document.getElementById("item3_"+i+"_"+j+"_"+k);
	if (component == null) return;
	if (this.type == "0"){
		component.className = classSelected03;
	}
	else {
		component.className = classSelected13;
	}
}


// Passe un item 3 en style dselectionn

/**
* La mthode prive Item3SetUnSelectedClass(i,j,k) positionne le style "dslectionn" pour l'item 3
* dfini par les index en paramtres.
* @private
* @param {int_Obligatoire} i index de niveau 1
* @param {int_Obligatoire} j index de niveau 2
* @param {int_Obligatoire} k index de niveau 3
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_Item3SetUnSelectedClass(i,j,k)
{
	if (this.testMenu(i,j,k)==false) return;
	var component = window.frames[frameBody].frames[frameMenu].document.getElementById("item3_"+i+"_"+j+"_"+k);
	if (component == null) return;
	if (this.type == "0"){
		component.className = classUnSelected03;
	}
	else {
		component.className = classUnSelected13;
	}
}


// Change le style d'un item 3 pour le passage de la souris

/**
* La mthode prive Item3SetUnSelectedOverClass(i,j,k) positionne le style "dslectionn roll-over"
* pour l'item 3 dfini par les index en paramtres.
* @private
* @param {int_Obligatoire} i index de l'item 1
* @param {int_Obligatoire} j index de l'item 2
* @param {int_Obligatoire} k index de l'item 3
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_Item3SetUnSelectedOverClass(i,j,k)
{
	if (this.testMenu(i,j,k)==false) return;
	var component = window.frames[frameBody].frames[frameMenu].document.getElementById("item3_"+i+"_"+j+"_"+k);
	if (component == null) return;
	if (this.type == "0"){
		if (component.className == classUnSelected03) component.className = classUnSelectedOver03;
	}
	else {
		if (component.className == classUnSelected13) component.className = classUnSelectedOver13;
	}
}


// Repositionne le style d'un item 3 aprs passage de la souris

/**
* La mthode prive Item3SetUnSelectedOverClass(i,j,k) repositionne le style "slectionn" ou "dslectionn"
* appropri, lorsque la souris sort de l'item (fin du roll-over).
* @private
* @param {int_Obligatoire} i index de niveau 1 de l'item 3
* @param {int_Obligatoire} j index de niveau 2 de l'item 3
* @param {int_Obligatoire} k index de niveau 3 de l'item 3
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_Item3OnMouseOut(i,j,k)
{
	if (this.testMenu(i,j,k)==false) return;
	var component = window.frames[frameBody].frames[frameMenu].document.getElementById("item3_"+i+"_"+j+"_"+k);
	if (component == null) return;
	if (this.type == 0 && component.className != classSelected03) this.Item3SetUnSelectedClass(i,j,k);
	if (this.type != 0 && component.className != classSelected13) this.Item3SetUnSelectedClass(i,j,k);
}


// Raffiche le menu

/**
* La mthode prive ShowMenu() affiche le menu.
* @private
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_ShowMenu()
{
	window.document.body.rows = "118,*";
	window.frames[frameBody].document.body.cols = "220,*";
	this.divBind.style.display = "";
}


// Cache le menu

/**
* La mthode prive HideMenu() dsaffiche le menu.
* @private
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_HideMenu()
{
	this.divBind.style.display = "none";
	window.frames[frameBody].document.body.cols = "30,*";
	window.document.body.rows = "90,*";
}


// Dfinition de la classe ObjectItem

/**
* Cre une nouvelle instance ObjectItem.
* @class La classe <b>ObjectItem</b> est la classe contenant les informations propres  un item du menu.
* <br>Il n'existe pas de proprit prive pour cette classe. Il n'existe pas de mthode pour cette classe.<br>
* <br>Ses proprits publiques dcrivent les attributs d'un lment du composant Entete et peuvent tre manipules
* ou interroges en dehors de la bibliothque du framework ergonomique.
* <br><br><br><img src="Image.ObjectItemUML.png"/><br><br><br>
* @public
* @constructor
* @param {String_Obligatoire} libelle : {@link #libelle Texte} associ  l'item, affich dans le menu.
* @param {String_Obligatoire} libelleLong : {@link #libelleLong Texte long} associ  l'item,
* affich dans la barre de navigation.
* @param {String_Obligatoire} url : L'{@link #url URL} associe  l'item.
* @param {String_Obligatoire} id : L'{@link #id identifiant} unique de l'item au sein du menu.
* @param {Array_Facultatif} subItems : Le tableau d'objets ObjectItem et/ou
* {@link ObjectAction ObjectAction} compos des {@link #subItems sous-items}.
* @version 1.1
* @date 25/10/2005
*/
function ObjectItem(libelle,libelleLong,url,id,subItems){

	/**
	* La proprit publique type permet de diffrencier les objets de types ObjectItem et
	* {@link ObjectAction ObjectAction} lorsqu'ils sont stocks dans une mme structure.
	* Valeur: "item" - </b> <a href='constant-values_A3.html#Prop'>Valeurs des Constantes - Proprits</a>
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/
	this.type = "item";
	
	/**
	* L'lment  argv  dans la classe ObjectItem n'est pas une proprit, il permet de rcuprer dans un
	* tableau les arguments passs en paramtres du constructeur de la classe (utile dans le cas des paramtres
	* facultatifs, pour reprer les paramtres qui ont t soumis par le dveloppeur).
	* Il est dclar 'var'.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	var argv = ObjectItem.arguments;
	
	/**
	* L'lment  argc  dans la classe ObjectItem n'est pas une proprit, il permet de rcuprer le nombre
	* d'arguments passs en paramtres du constructeur de la classe (utile dans le cas des paramtres facultatifs,
	* pour compter les paramtres  soumis par le dveloppeur).
	* Il est dclar 'var'.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	var argc = ObjectItem.arguments.length;
	
	/**
	* La proprit publique libelle reprsente le texte associ  l'item, affich dans le menu.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.libelle = libelle;
	
	/**
	* La proprit publique libelleLong reprsente le texte long associ  l'item, affich dans la barre
	* de navigation.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.libelleLong = libelleLong;
	
	/**
	* La proprit publique url reprsente l'URL associe  l'item.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.url = url;
	
	/**
	* La proprit publique id reprsente l'identifiant unique de l'item au sein du menu.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.id = id;
	
	/**
	* La proprit publique subItems reprsente un tableau d'objets ObjectItem et/ou
	* {@link ObjectAction ObjectAction} compos des sous-items (ou "null" si pas de sous-items).
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.subItems = (argc > 4) ? argv[4] : new Array();
}


// object contenant les infos propres  une action

/**
* Cre une nouvelle instance ObjectAction.
* @class La classe <b>ObjectAction</b> est la classe permettant de dcrire les actions de type icne
* d'un menu gestion.
* <br>Il n'existe pas de proprit prive pour cette classe. Il n'existe pas de mthode pour cette classe. <br>
* <br>Ses proprits publiques dcrivent les attributs d'un lment du composant Entete et peuvent tre manipules ou interroges en dehors
* de la bibliothque du framework ergonomique.
* <br><br><br><img src="Image.ObjectActionUML.png"/><br><br><br>
* @public
* @constructor
* @param {String_Obligatoire} icone : Rfrence de l'{@link #icone icne} associe  l'action.
* @param {String_Obligatoire} alt : {@link #alt Chane de caractres} indiquant le texte alternatif de l'icne
* lors du roll-over.
* @param {String_Obligatoire} url : L'{@link #url URL} associe  l'action.
* @version 1.1
* @date 25/10/2005
*/
function ObjectAction(icone,alt,url){

	/**
	* La proprit publique type permet de diffrencier les objets de types {@link ObjectItem ObjectItem} et
	* ObjectAction lorsqu'ils sont stocks dans une mme structure. Valeur: "action" - </b>
	* <a href='constant-values_A3.html#Prop'>Valeurs des Constantes - Proprits</a>
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/
	this.type = "action";
	
	/**
	* La proprit publique icone reprsente la rfrence de l'icne associe  l'action.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.icone = icone;
	
	/**
	* La proprit publique alt reprsente le texte alternatif de l'icne lors du roll-over.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.alt = alt;
	
	/**
	* La proprit publique url reprsente l'URL associe  l'action.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.url = url;
}


// Constructeur de l'objet Menu

/**
* La mthode publique constructor() ralise les actions d'initialisation de la configuration du menu.
* Les actions suivantes sont ralises par cette fonction:<br>
* &middot;&nbsp; initialisation du cookie pour sauvegarder les slections du menu<br>
* &middot;&nbsp; initialisation du cookie pour sauvegarder l'affichage/ledsaffichage du menu<br>
* &middot;&nbsp; initialisation de la rfrence de l'lment HTML contenant le menu
* (appel de {@link #initDivBind initDivBind}")<br>
* &middot;&nbsp; initialisation du tableau contenant la configuration du menu
* (appel de "{@link #initTabByXML initTabByXML}")
* @public
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_constructor()
{	
	// initialisation du cookie pour le positionnement dans le menu
	this.cookie = new parent.XMLObjectCookie(null,null,'menuSettings_'+this.nomAppli+'',false);
	// initialisation du cookie pour le statut menu affich/cach
	this.cookieDisplay = new parent.XMLObjectCookie(null,null,'resizeStatus_'+this.nomAppli+'',false);
	if (this.divBind == null) this.initDivBind();
	// appel de la configuration du menu depuis le flux de donnes XML
	if ((this.tabMenu.length == 0) && (this.XMLObjectMenu != null)) this.initTabByXML();
}


// Configure la rfrence du div du menu

/**
* La mthode publique setDivBind(divBind) permet de configurer la rfrence de l'lment HTML au sein duquel
* le menu doit tre crit. Par dfaut cette configuration est celle effectue par la fonction
* "{@link #initDivBind initDivBind}".
* @public
* @param {objetDOMHtml_Obligatoire} divBind : Objet DOM HTML rfrenant l'lment HTML au sein duquel
* le menu doit tre crit.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_setDivBind(divBind)
{
	this.divBind = divBind;
}


// Initialise la rfrence du div du menu

/**
* La mthode publique initDivBind() permet d'initialiser la rfrence de l'lment HTML au sein duquel le menu
* doit tre crit.
* @public
* @param {} Aucun
* @return {void}
* @version 1.1
* @date :  25/10/2005
*/
function ComposantMenu_initDivBind()
{
	this.divBind = window.frames[frameBody].frames[frameMenu].document.getElementById("divMenu");
}


// Configuration du menu depuis le flux de donnes XML

/**
* La mthode publique initTabByXML() lit l'objet {@link XMLObject XMLObject} "XMLMenu", pass en paramtre
* de l'objet ComposantMenuFrameset, et initialise les variables prives suivantes:<br>
* &middot;&nbsp; tabMenu: tableau d'objets {@link ObjectItem ObjectItem} et {@link #ObjectAction ObjectAction},
* contenant la configuration du menu.<br>
* &middot;&nbsp; {@link #colorPiedDePage colorPiedDePage}: couleur du pied de page du menu<br>
* &middot;&nbsp; {@link #colorTextPiedDePage colorTextPiedDePage}: couleur du texte du pied de page du menu<br>
* &middot;&nbsp; {@link #textPiedDePage textPiedDePage}: texte du pied de page du menu<br>
* &middot;&nbsp; {@link #Items2StatusMenu2 Items2StatusMenu2}: pour un menu gestion de type 2, dfinit le statut
* initial ouvert ou ferm des sous-items des items de niveau 1.
* @public
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_initTabByXML()
{
	// configuration de la page d'accueil
	var accueil = parent.getElements(this.XMLObjectMenu.xmlDoc,"ACCUEIL");
	this.urlAccueil = parent.getDataElement(accueil[0],"URL");

	// configuration du pied de page du menu
	var piedDePage = parent.getElements(this.XMLObjectMenu.xmlDoc,"PIED_DE_PAGE");
	this.colorPiedDePage = parent.getDataElement(piedDePage[0],"COULEUR");
	this.colorTextPiedDePage = parent.getDataElement(piedDePage[0],"COULEUR_TEXTE");
	this.textPiedDePage = parent.getDataElement(piedDePage[0],"TEXTE");

	// configuration du menu
	var itemsMenu1 = parent.getElements(this.XMLObjectMenu.xmlDoc,"ITEM1");
	var i=0;
	if (itemsMenu1 != null && itemsMenu1.length > 0)
	{	
		// configuration des items de niveau 1
		for (i=0;i<itemsMenu1.length;i++)
		{
			this.tabMenu[i] = new ObjectItem(parent.getDataElement(itemsMenu1[i],"LIBELLE"),
											parent.getDataElement(itemsMenu1[i],"LIBELLE_LONG"),
											parent.getDataElement(itemsMenu1[i],"URL"),
											parent.getDataElement(itemsMenu1[i],"ID"));
			var itemsMenu2 = parent.getElements(itemsMenu1[i],"ITEM2");
			if (itemsMenu2 != null && itemsMenu2.length > 0)
			{
				var j=0;
				// configuration des items de niveau 2
				for (j=0;j<itemsMenu2.length;j++)
				{
					(this.tabMenu[i].subItems)[j] = new ObjectItem(parent.getDataElement(itemsMenu2[j],"LIBELLE"),
											parent.getDataElement(itemsMenu2[j],"LIBELLE_LONG"),
											parent.getDataElement(itemsMenu2[j],"URL"),
											parent.getDataElement(itemsMenu2[j],"ID"));
					// configuration des actions de niveau 3
					var actions = parent.getElements(itemsMenu2[j],"ACTION");
					var k=0;
					if (actions != null && actions.length > 0)
					{
						for (k=0;k<actions.length;k++)
						{
							((this.tabMenu[i].subItems)[j].subItems)[k] = new ObjectAction(parent.getDataElement(actions[k],"ICONE"),
														parent.getDataElement(actions[k],"ALT"),
														parent.getDataElement(actions[k],"URL"));
						}
					}
					var itemsMenu3 = parent.getElements(itemsMenu2[j],"ITEM3");
					if (itemsMenu3 != null && itemsMenu3.length > 0)
					{
						// k est valorise  l'index suivant la dernire actions (cad nb actions + 1)
						var l=k;
						//configuration des items de niveau 3
						for (l=k;(l-k)<itemsMenu3.length;l++)
						{
							((this.tabMenu[i].subItems)[j].subItems)[l] = new ObjectItem(parent.getDataElement(itemsMenu3[l-k],"LIBELLE"),
														parent.getDataElement(itemsMenu3[l-k],"LIBELLE_LONG"),
														parent.getDataElement(itemsMenu3[l-k],"URL"),
														parent.getDataElement(itemsMenu3[l-k],"ID"));
						}
					}
				}
			}
		}
	}
	// pour le menu documentaire, on ne visualise pas,  l'initialisation, les sous-items du niveau 2 (cad les items 3)
	if (this.type == 0)
	{
		if (itemsMenu1 != null && itemsMenu1.length > 0)
		{	
			for (i=0;i<itemsMenu1.length;i++)
			{
				this.Items2StatusMenu0[i] = 0;
			}
		}
	}
	// initialisation pour un menu de gestion de type 2
	if (this.type == 2)
	{
		if (itemsMenu1 != null && itemsMenu1.length > 0)
		{	
			for (i=0;i<itemsMenu1.length;i++)
			{	
				// Si OUVERTURE est positionn  "oui" pour un item 1, dans la configuration du menu, on force 
				// la visualisation de ses items de niveau 2  l'initialisation
				var ouverture = "" + parent.getDataElement(itemsMenu1[i],"OUVERTURE");
				if (ouverture == "oui" || ouverture == "OUI"){
					this.Items2StatusMenu2[i] = 1;
				}
				else
				{
					// par dfaut, on cache les items 2  l'initialisation
					this.Items2StatusMenu2[i] = 0;
				}
			}
		}
	}
	// la version du menu est valorise  la version rcupre dans le cookie
	this.version = 	parent.getData(parent.getElements(this.XMLObjectMenu.xmlDoc,"VERSION")[0]);
	// la langue de l'application est valorise et mmorise dans un cookie session pour la gestion des erreurs
	this.langue = parent.getData(parent.getElements(this.XMLObjectMenu.xmlDoc,"LANGUE")[0]);
	if ((this.langue == "") || (this.langue == false))
	  this.langue = "FR";
	SetCookie(":::langueSettings:::",this.langue);
}


// Ecriture des niveaux 1 et 2 d'un menu de type documentaire

/**
* La mthode publique ecrireHTML_type0() construit,  partir de "{@link #tabMenu tabMenu}",
* le code HTML pour le menu documentaire dans son tat initial.
* @public
* @param {} Aucun
* @return {string} Code HTML des niveaux 1 et 2 du menu de type documentaire
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_ecrireHTML_type0()
{
	if (this.tabMenu.length == 0) return "";
	var menuHTML = '\n<table valign="top" cellpadding="2" cellspacing="0" border="0" width="100%" height="100%">\n';

	// criture de la div entete
	menuHTML += '<tbody>\n';
	menuHTML += '<tr id="zoneDebutMenu"  style="display:none;"><td><div id="'+this.divDebutMenu+'"></div></td></tr>\n';	

	// criture menu
	menuHTML += '<tr>\n';
	menuHTML += '<td valign="top">\n';
	menuHTML += '<table cellpadding="0" cellspacing="0" border="0" width="100%">\n';
	
	var i = 0;
	for (i=0;i<this.tabMenu.length;i++)
	{
		// criture des items 1
	 	menuHTML += '<tr>\n';
	    menuHTML += '<td class="menu0Item1" onClick="javascript:parent.parent.'+this.id+'.SelectItem1Menu0('+i+','+false+')" onMouseOver="javascript:parent.parent.'+this.id+'.Item1SetUnSelectedOverClass('+i+')" onMouseOut="javascript:parent.parent.'+this.id+'.Item1OnMouseOut('+i+')">&nbsp;&nbsp;<span id="item1_'+i+'" class="menuUnselected01">' + this.tabMenu[i].libelle + '</span>\n';
	    menuHTML += '<div id="spacer"><img src="'+spacer+'" alt="" height="1" border="0"/></div></td>\n';
	    menuHTML += '</tr>\n';
		if (this.tabMenu[i].subItems.length > 0)
		{
			menuHTML += '<tr>\n';
			menuHTML += '<td>\n';
			menuHTML += '<div id="subItems1_'+i+'">\n';
		    menuHTML += '<table cellpadding="0" cellspacing="0" border="0">\n';
		    var j = 0;
	    	for (j=0;(j<this.tabMenu[i].subItems.length && j<maxItems2Menu0);j++)
		    {
		    	// criture des items 2 non cachs
				menuHTML += '<tr>\n';
			    menuHTML += '<td class="menu0Item2" onClick="javascript:parent.parent.'+this.id+'.SelectItem2Menu0('+i+','+j+','+false+')" onMouseOver="javascript:parent.parent.'+this.id+'.Item2SetUnSelectedOverClass('+i+','+j+')" onMouseOut="javascript:parent.parent.'+this.id+'.Item2OnMouseOut('+i+','+j+')">';
			    menuHTML += '<div id="item2_'+i+'_'+j+'" class="menuUnselected02">' + (this.tabMenu[i].subItems)[j].libelle + '</div></td>\n';
			    menuHTML += '</tr>\n';
			}
			if (maxItems2Menu0 < this.tabMenu[i].subItems.length)
			{
				menuHTML += '<tr>\n';
				menuHTML += '<td>\n';
				menuHTML += '<div id="hiddenLinks_'+i+'" style="display:none">';
			    menuHTML += '<table cellpadding="0" cellspacing="0" border="0">\n';
				for (j=maxItems2Menu0; j<this.tabMenu[i].subItems.length; j++)
				{
					// criture des items 2 cachs
					menuHTML += '<tr>\n';
					menuHTML += '<td>\n';
					menuHTML += '<td class="menu0Item2" onClick="javascript:parent.parent.'+this.id+'.SelectItem2Menu0('+i+','+j+','+false+')" onMouseOver="javascript:parent.parent.'+this.id+'.Item2SetUnSelectedOverClass('+i+','+j+')" onMouseOut="javascript:parent.parent.'+this.id+'.Item2OnMouseOut('+i+','+j+')">';
					menuHTML += '<div id="item2_'+i+'_'+j+'" class="menuUnselected02">' + (this.tabMenu[i].subItems)[j].libelle + '</div></td>\n';
				    menuHTML += '</tr>\n';
				}
				menuHTML += '</table>';
				menuHTML += '</div>\n';
				menuHTML += '</td>\n';
				menuHTML += '</tr>\n';
				menuHTML += '<tr>\n';
				// criture de la flche pour cacher les items 2 non prioritaires
				menuHTML += '<td>\n';
				menuHTML += '<div id="hide_'+i+'" style="display:none">';
				menuHTML += '<img src="'+spacer+'" alt="" height="18" width="4" border="0"/>\n';
				menuHTML += '<img name="arrow_hide_'+i+'" id="arrow_hide_'+i+'" src="'+doubleFlecheGauche+'" onClick="javascript:parent.parent.'+this.id+'.HideItems2Menu0('+i+','+false+')" width="16" height="16" style="border:0; cursor:pointer; cursor:hand;"';
				menuHTML += 'onMouseOver="javascript:parent.parent.'+this.id+'.changeImageOver(\'arrow_hide_'+i+'\',\'doubleFlecheGaucheOver\',\'menu\')" ';
				menuHTML += 'onMouseOut="javascript:parent.parent.'+this.id+'.changeImage(\'arrow_hide_'+i+'\',\'doubleFlecheGauche\',\'menu\')" />';
				menuHTML += '</div>';
				menuHTML += '</td>\n';
				menuHTML += '</tr>\n';
				// criture de la flche pour afficher les items 2 non prioritaires
				menuHTML += '<tr>\n';
				menuHTML += '<td>\n';
				menuHTML += '<div id="show_'+i+'" style="">';
				menuHTML += '<img src="'+spacer+'" alt="" height="18" width="4" border="0"/>\n';
				menuHTML += '<img name="arrow_show_'+i+'" id="arrow_show_'+i+'" src="'+doubleFlecheDroit+'" onClick="javascript:parent.parent.'+this.id+'.ShowItems2Menu0('+i+','+false+')" width="16" height="16" style="border:0; cursor:pointer; cursor:hand;"';
				menuHTML += 'onMouseOver="javascript:parent.parent.'+this.id+'.changeImageOver(\'arrow_show_'+i+'\',\'doubleFlecheDroitOver\',\'menu\')" ';
				menuHTML += 'onMouseOut="javascript:parent.parent.'+this.id+'.changeImage(\'arrow_show_'+i+'\',\'doubleFlecheDroit\',\'menu\')" />';
				menuHTML += '</div>';
				menuHTML += '</td>\n';
				menuHTML += '</tr>\n';
			}
				
			menuHTML += '</table>\n';
			menuHTML += '</div>\n';
			menuHTML += '</td>\n';
			menuHTML += '</tr>\n';
		}

		if (i != this.tabMenu.length - 1)
		{
			menuHTML += '<tr>\n';
		    menuHTML += '<td>&nbsp;</td>\n';
			menuHTML += '</tr>\n';
		}
	}

	menuHTML += '</table>\n';
	menuHTML += '</td>\n';
	menuHTML += '</tr>\n';
	// criture pied de page
	menuHTML += '<tr id="zoneFinMenu" style="display:none;"><td valign="bottom"><div id="'+this.divFinMenu+'"></div></td></tr>\n';	
  menuHTML += '<tr><td valign="bottom"><div id="piedDePage" class="piedDePage">'+this.textPiedDePage+'</div></td></tr>\n';
	menuHTML += '</tbody>\n';
	menuHTML +=	'</table>\n';
	return menuHTML;
}


// Ecriture du niveau 3 d'un menu de type documentaire

/**
* La mthode publique ecrireHTML_type0_items3(i,j) construit, pour un menu documentaire,
*  partir de "{@link #tabMenu tabMenu}", le code HTML pour la visualisation des items de niveau 3
* rattachs  un item de niveau 2, dfini par les index en paramtres.
* @public
* @param {int_Obligatoire} i index de l'item de niveau 1
* @param {int_Obligatoire} j index de l'item de niveau 2
* @return {string} Code HTML des items de niveau 3 pour un menu de type documentaire.
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_ecrireHTML_type0_items3(i,j)
{
	var menuHTML = '<table valign="top" cellpadding="2" cellspacing="0" border="0" width="100%" height="100%">\n';
	menuHTML += '<tbody>\n';
	menuHTML += '<tr>\n';
	menuHTML += '<td valign="top">\n';
	menuHTML += '<table cellpadding="2px 0 2px 0" cellspacing="0" border="0" width="100%">\n';
	var k = 0;
	for (k=0;k<(this.tabMenu[i].subItems)[j].subItems.length;k++)
	{
		// criture des items de niveau 3
		menuHTML += '<tr>\n';
		// bordure en haut pour le premier item 3
		if (k == 0) {
			menuHTML += '<td class="menu0Item3Top" onClick="javascript:parent.parent.'+this.id+'.SelectItem3Menu0('+i+','+j+','+k+','+false+')" onMouseOver="javascript:parent.parent.'+this.id+'.Item3SetUnSelectedOverClass('+i+','+j+','+k+')" onMouseOut="javascript:parent.parent.'+this.id+'.Item3OnMouseOut('+i+','+j+','+k+')">';
		}
		// bordure en bas pour le dernier item 3	
		else if (k == ((this.tabMenu[i].subItems)[j].subItems.length -1))
		{
			menuHTML += '<td class="menu0Item3Bottom" onClick="javascript:parent.parent.'+this.id+'.SelectItem3Menu0('+i+','+j+','+k+','+false+')" onMouseOver="javascript:parent.parent.'+this.id+'.Item3SetUnSelectedOverClass('+i+','+j+','+k+')" onMouseOut="javascript:parent.parent.'+this.id+'.Item3OnMouseOut('+i+','+j+','+k+')">';
		}
		// pas de bordure pour les autres items 3
		else {
			menuHTML += '<td class="menu0Item3" onClick="javascript:parent.parent.'+this.id+'.SelectItem3Menu0('+i+','+j+','+k+','+false+')" onMouseOver="javascript:parent.parent.'+this.id+'.Item3SetUnSelectedOverClass('+i+','+j+','+k+')" onMouseOut="javascript:parent.parent.'+this.id+'.Item3OnMouseOut('+i+','+j+','+k+')">';
		}
		menuHTML += '<div id="item3_'+i+'_'+j+'_'+k+'" class="menuUnselected03">' + ((this.tabMenu[i].subItems)[j].subItems)[k].libelle + '</div></td>\n';
		menuHTML += '</tr>\n';
	}
	// criture de la flche pour revenir au niveaux 1 et 2
	menuHTML += '<tr>\n';
	menuHTML += '<td><a href="javascript:parent.parent.'+this.id+'.restore('+i+','+null+','+null+','+false+')">';
	menuHTML += '<img name="arrow_hide" id="arrow_hide" src="'+doubleFlecheGauche+'" onClick="javascript:parent.parent.'+this.id+'.HideItems2Menu0('+i+','+false+')" width="16" height="16" style="border:0; cursor:pointer; cursor:hand;"';
	menuHTML += 'onMouseOver="javascript:parent.parent.'+this.id+'.changeImageOver(\'arrow_hide\',\'doubleFlecheGaucheOver\',\'menu\')" ';
	menuHTML += 'onMouseOut="javascript:parent.parent.'+this.id+'.changeImage(\'arrow_hide\',\'doubleFlecheGauche\',\'menu\')" />';
	menuHTML += '</a></td>\n';
	menuHTML += '</tr>\n';
	menuHTML += '</table>\n';
	menuHTML += '</td>\n';
	menuHTML += '</tr>\n';
	// criture pied de page
	menuHTML += '<tr>\n';
	menuHTML += '<td valign="bottom"><div id="piedDePage" class="piedDePage">'+this.textPiedDePage+'</div></td>\n';
	menuHTML += '</tr>\n';
	menuHTML += '</tbody>\n';
	menuHTML += '</table>\n';
	return menuHTML;
}


// Ecriture du menu de type gestion (types 1 et 2)

/**
* La mthode publique ecrireHTML_type1() construit  partir de "{@link #tabMenu tabMenu}",
* le code HTML pour le menu gestion dans son tat initial.
* @public
* @param {} Aucun
* @return {string} Code HTML du menu de type gestion
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_ecrireHTML_type1()
{
	if (this.tabMenu.length == 0) return "";
	var menuHTML = '\n<table valign="top" cellpadding="2" cellspacing="0" border="0" width="100%" height="100%">\n';
	// criture de la div entete
	menuHTML += '<tbody>\n';
	menuHTML += '<tr id="zoneDebutMenu"  style="display:none;"><td><div id="'+this.divDebutMenu+'"></div></td></tr>\n';	

	// criture du menu
	menuHTML += '<tr>\n';
	menuHTML += '<td valign="top">\n';
	menuHTML += '<table cellpadding="0" cellspacing="0" border="0" width="100%">\n';

	var i = 0;
	for (i=0;i<this.tabMenu.length;i++)
	{
		// criture des items 1
	 	menuHTML += '<tr>\n';
	    menuHTML += '<td class="menu1Item1" onClick="javascript:parent.parent.'+this.id+'.SelectItem1Menu1('+i+','+false+')" onMouseOver="javascript:parent.parent.'+this.id+'.Item1SetUnSelectedOverClass('+i+')" onMouseOut="javascript:parent.parent.'+this.id+'.Item1OnMouseOut('+i+')" width="168">';
	    menuHTML += '&nbsp;&nbsp;<span id="item1_'+i+'" class="menuUnselected11">'+this.tabMenu[i].libelle+'</span>';
	    //menuHTML += '<div><img src="'+spacer+'" alt="" height="1" border="0"/></div></td>\n';
	    menuHTML+= '</td>\n';
	    if (this.type == 2 && this.tabMenu[i].subItems.length > 0)
	    {
	    	// si menu de type 2 et items 2 rattach  l'item 1, alors critures des flches pour afficher/cacher ces items 2
	    	menuHTML += '<td class="FlecheMenu2Item1" align="absmiddle" width="16">';
	    	menuHTML += '<span id="hide_'+i+'" style="display:none">';
			menuHTML += '<img id="arrow_hide_'+i+'" name="arrow_hide_'+i+'" src="'+flecheHaut+'" align="absmiddle" onClick="javascript:parent.parent.'+this.id+'.HideItems2Menu2('+i+','+false+')" width="16" height="16" style="border:0; cursor:pointer; cursor:hand" alt="" ';
			menuHTML += 'onMouseOver="javascript:parent.parent.'+this.id+'.changeImageOver(\'arrow_hide_'+i+'\',\'flecheBas\',\'menu\')" ';
			menuHTML += 'onMouseOut="javascript:parent.parent.'+this.id+'.changeImage(\'arrow_hide_'+i+'\',\'flecheHaut\',\'menu\')" />';
			menuHTML += '</span>';
			menuHTML += '<span id="show_'+i+'">';
			menuHTML += '<img id="arrow_show_'+i+'" name="arrow_show_'+i+'" src="'+flecheBas+'" align="absmiddle" onClick="javascript:parent.parent.'+this.id+'.ShowItems2Menu2('+i+','+false+')" width="16" height="16" style="border:0; cursor:pointer; cursor:hand" alt="" ';
			menuHTML += 'onMouseOver="javascript:parent.parent.'+this.id+'.changeImageOver(\'arrow_show_'+i+'\',\'flecheHaut\',\'menu\')" ';
			menuHTML += 'onMouseOut="javascript:parent.parent.'+this.id+'.changeImage(\'arrow_show_'+i+'\',\'flecheBas\',\'menu\')" />';
			menuHTML += '</span>';
			menuHTML += '</td>\n';
		} 
		else 
		{
			// dans le cas contraire remplissage pour visualisation uniquement
			menuHTML += '<td class="FlecheMenu2Item1" width="16" align="absmiddle">';
			menuHTML += '<img src="'+spacer+'" alt="" height="16" width=16" border="0"/>';
			menuHTML += '</td>\n';
		}
	    menuHTML += '</td>\n';
	    menuHTML += '</tr>\n';
		if (this.tabMenu[i].subItems.length > 0)
		{
			menuHTML += '<tr>\n';
			menuHTML += '<td colspan="2">';
			menuHTML += '<div id="subItems1_'+i+'" style="display:none">\n';
		    menuHTML += '<table cellpadding="0" cellspacing="0" border="0">\n';
		    var j = 0;
	    	for (j=0;j<this.tabMenu[i].subItems.length;j++)
		    {
		    	// criture des items 2
				menuHTML += '<tr>\n';
			    menuHTML += '<td class="menu1Item2" onClick="javascript:parent.parent.'+this.id+'.SelectItem2Menu1('+i+','+j+','+false+')" onMouseOver="javascript:parent.parent.'+this.id+'.Item2SetUnSelectedOverClass('+i+','+j+')" onMouseOut="javascript:parent.parent.'+this.id+'.Item2OnMouseOut('+i+','+j+')">';
			    menuHTML += '<div id="item2_'+i+'_'+j+'" class="menuUnselected12"> ';
			    menuHTML += (this.tabMenu[i].subItems)[j].libelle + '</div></td>\n';
			    menuHTML += '</tr>\n';
				if ((this.tabMenu[i].subItems)[j].subItems.length > 0)
		  		{
		  			menuHTML += '<tr>\n';
					menuHTML += '<td>';
		  			menuHTML += '<div id="subItems2_'+i+'_'+j+'" style="display:none">\n';
				    menuHTML += '<table cellpadding="0" cellspacing="0" border="0">\n';
				    
				    // calcul du nb d'actions au niveau 3
				    var k=0;
				    while (k < (this.tabMenu[i].subItems)[j].subItems.length && ((this.tabMenu[i].subItems)[j].subItems)[k].type == "action")
				    {
				    	k++;
				    }
				    // k est valoris au nombre d'actions
					var l=0;
					if (k > 0)
					{
						menuHTML += '<tr id="actions_'+i+'_'+j+'">\n';
						menuHTML += '<td>';
						menuHTML += '<div class="actions">';
						for (l=0;l<k;l++)
						{
							// criture des actions de niveau 3
							var nom_image = 'icone_'+i+'_'+j+'_'+l;
							menuHTML += '<a href="javascript:parent.parent.'+this.id+'.SelectAction('+i+','+j+','+l+','+false+')" style="text-decoration:none" ';
							menuHTML += 'onMouseOver="javascript:parent.parent.'+this.id+'.changeImageOver(\''+nom_image+'\',\''+((this.tabMenu[i].subItems)[j].subItems)[l].icone+'\',\'menu\')" ';
							menuHTML += 'onMouseOut="javascript:parent.parent.'+this.id+'.changeImage(\''+nom_image+'\',\''+((this.tabMenu[i].subItems)[j].subItems)[l].icone+'\',\'menu\')">';
							menuHTML += '<img name="'+nom_image+'" id="'+nom_image+'" src="'+ this.getImageURL(((this.tabMenu[i].subItems)[j].subItems)[l].icone) 
									+ '" alt="' + ((this.tabMenu[i].subItems)[j].subItems)[l].alt + '" title="' + ((this.tabMenu[i].subItems)[j].subItems)[l].alt + '" style="border:0" />';
							menuHTML += '</a>';
						}
						menuHTML += '</div>';
						menuHTML += '</td>\n';
						menuHTML += '</tr>\n';
					}
									    
				    if (k < (this.tabMenu[i].subItems)[j].subItems.length)
				    {
		    			for (l=k;l<(this.tabMenu[i].subItems)[j].subItems.length;l++)
		        		{
		        			if (((this.tabMenu[i].subItems)[j].subItems)[l].libelle)
		        			{
		        			// criture des items 3
	    	    			menuHTML += '<tr>\n';
	    	    			if (((this.tabMenu[i].subItems)[j].subItems)[l].url != "") {						    
		    	    			menuHTML += '<td class="menu1Item3" id="mitem3_'+i+'_'+j+'_'+l+'" onClick="javascript:parent.parent.'+this.id+'.SelectItem3Menu1('+i+','+j+','+l+','+false+')" onMouseOver="javascript:parent.parent.'+this.id+'.Item3SetUnSelectedOverClass('+i+','+j+','+l+')" onMouseOut="javascript:parent.parent.'+this.id+'.Item3OnMouseOut('+i+','+j+','+l+')">'; 
							    menuHTML += '<div id="item3_'+i+'_'+j+'_'+l+'" class="menuUnselected13">';
							    menuHTML += '<img src="'+puceItem3+'" width="11" height="11" alt="" title=""/>&nbsp;';
							    menuHTML += ((this.tabMenu[i].subItems)[j].subItems)[l].libelle;
							    menuHTML += '</div></td>\n'
						    } else {
		    	    			menuHTML += '<td class="menu1Item3" id="mitem3_'+i+'_'+j+'_'+l+'">'; 
							    menuHTML += '<div id="item3_'+i+'_'+j+'_'+l+'" class="menuUnactived13">';
							    menuHTML += '<img src="'+puceItem3+'" width="11" height="11" alt="" title=""/>&nbsp;';
							    menuHTML += ((this.tabMenu[i].subItems)[j].subItems)[l].libelle;
							    menuHTML += '</div></td>\n'
							}						    
						    menuHTML += '</tr>\n';
						    }
						}
					}
					menuHTML += '</table>\n';
					menuHTML += '</div>\n';
					menuHTML += '</td>\n';
					menuHTML += '</tr>\n';
				}
			}
			menuHTML += '</table>\n';
			menuHTML += '</div>\n';
			menuHTML += '</td>\n';
			menuHTML += '</tr>\n';
		}
		if (i != this.tabMenu.length - 1)
		{
			menuHTML += '<tr>\n';
		    menuHTML += '<td colspan="2">&nbsp;</td>\n';
			menuHTML += '</tr>\n';
		}
	}

	menuHTML += '<tr>\n';
  menuHTML += '<td colspan="2">&nbsp;</td>\n';
	menuHTML += '</tr>\n';
	menuHTML += '</table>\n';
	menuHTML += '</td>\n';
	menuHTML += '</tr>\n';
	// criture du pied de page
	menuHTML += '<tr id="zoneFinMenu" style="display:none;"><td valign="bottom"><div id="'+this.divFinMenu+'"></div></td></tr>\n';	
  menuHTML += '<tr><td valign="bottom"><div id="piedDePage" class="piedDePage">'+this.textPiedDePage+'</div></td></tr>\n';
	menuHTML += '</tbody>\n';
	menuHTML +=	'</table>\n';
	return menuHTML;
}


// Met  jour l'html de la barre de navigation en fonction des index fournis en paramtres. 
// Si le composant Entete est cr, on lui demande de mettre  jour la barre de navigation avec le html gnr.

/**
* La mthode publique setNavigation(i,j,k,type) est appele ds que la slection du menu change.
* Elle construit le code HTML  placer dans la barre de navigation, et correspondant  l'tat actuel du menu.
* Elle appelle ensuite la fonction "{@link #ecrireBindNavigationBar ecrireBindNavigationBar}" de l'entte,
* pour forcer la mise  jour de la barre de navigation.
* @param {int_Obligatoire} i : index de niveau 1
* @param {int_Obligatoire} j : index de niveau 2
* @param {int_Obligatoire} k : index de niveau 3
* @param {int_Obligatoire} type : int indiquant le {@link #type type} du menu dsir. Valeurs possibles : 
* <br>- 0: menu documentaire<br>- 1: menu de gestion avec ouverture/fermeture automatiques des items de niveau 1
* <br>- 2: menu de gestion avec ouverture/fermeture manuelles des items de niveau 1.
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_setNavigation(i,j,k,type)
{
	// on ne cherche pas a afficher si les valeurs sont fausses
	if (this.testMenu(i,j,k)==false) return;
	// le html niveau 1 de la barre de navigation
	var item1HTML = "";
	// le html niveau 2 de la barre de navigation
	var item2HTML = "";
	// le html niveau 3 de la barre de navigation
	var item3HTML = "";
	if (i != null)
	{
		if (j != null)
		{
			// Si un index de niveau 2 est valoris, l'index de niveau 1 est cliquable
			if (this.type == 0)
			{
				item1HTML = '&nbsp;&gt;&nbsp;<a href="#" onClick="parent.'+this.id+'.SelectItem1Menu0('+i+','+false+')">'+this.tabMenu[i].libelleLong+'</a>';
			}
			else if (this.type == 1 || this.type == 2)
			{
				item1HTML = '&nbsp;&gt;&nbsp;<a href="#" onClick="parent.'+this.id+'.SelectItem1Menu1('+i+','+false+')">'+this.tabMenu[i].libelleLong+'</a>';
			}
		}
		else
		{
			// Si pas d'index de niveau 2 valoris, l'index de niveau 1 n'est pas cliquable
			item1HTML = '&nbsp;&gt;&nbsp;'+this.tabMenu[i].libelleLong;
		}
		if (j != null)
		{
			if ( k != null)
			{
				// Si un index de niveau 3 est valoris, l'index de niveau 2 est cliquable
				if (this.type == 0)
				{
					item2HTML = '&nbsp;&gt;&nbsp;<a href="#" onClick="parent.'+this.id+'.SelectItem2Menu0('+i+','+j+','+false+')">'+(this.tabMenu[i].subItems)[j].libelleLong+'</a>';
				}
				else if (this.type == 1 || this.type == 2)
				{
					item2HTML = '&nbsp;&gt;&nbsp;<a href="#" onClick="parent.'+this.id+'.SelectItem2Menu1('+i+','+j+','+false+')">'+(this.tabMenu[i].subItems)[j].libelleLong+'</a>';
				}
				item3HTML = '&nbsp;&gt;&nbsp;'+((this.tabMenu[i].subItems)[j].subItems)[k].libelleLong;
			}
			else
			{
				// Si pas d'index de niveau 3 valoris, l'index de niveau 2 n'est pas cliquable
				item2HTML = '&nbsp;&gt;&nbsp;'+(this.tabMenu[i].subItems)[j].libelleLong;
				
				// inscription des ventuelles icones d'actions au niveau 3 de la barre de navigation 
				var nbActions=0;
				while (nbActions < (this.tabMenu[i].subItems)[j].subItems.length && ((this.tabMenu[i].subItems)[j].subItems)[nbActions].type == "action")
				{
					nbActions++;
				}
				var l=0;
				if (nbActions > 0)
				{
					item3HTML = '&nbsp;&nbsp;';
					for (l=0;l<nbActions;l++)
					{
						var nom_image = 'icone_'+i+'_'+j+'_'+l;
						item3HTML += '<a href="#" onClick="parent.'+this.id+'.SelectAction('+i+','+j+','+l+','+false+')" ';
						item3HTML += 'onMouseOver="javascript:parent.'+this.id+'.changeImageOver(\''+nom_image+'\',\''+((this.tabMenu[i].subItems)[j].subItems)[l].icone+'\',\'entete\')" ';
						item3HTML += 'onMouseOut="javascript:parent.'+this.id+'.changeImage(\''+nom_image+'\',\''+((this.tabMenu[i].subItems)[j].subItems)[l].icone+'\',\'entete\')">\n';
						item3HTML += '<img name="'+nom_image+'" id="'+nom_image+'" src="'+ this.getImageURL(((this.tabMenu[i].subItems)[j].subItems)[l].icone) 
								+ '" alt="' + ((this.tabMenu[i].subItems)[j].subItems)[l].alt + '" title="' + ((this.tabMenu[i].subItems)[j].subItems)[l].alt + '" style="border:0"/>\n';
						item3HTML += '</a>\n';
					}
				}
			}
		}
	}
	// concatnation des html des 3 niveaux
	this.navigation = item1HTML+item2HTML+item3HTML;
	
	// Si le composant Entete est cr, on lui demande de mettre  jour la barre de navigation avec le html gnr.
	if (parent.parent.ComposantEnteteFrameset)
	{
		parent.parent.ComposantEnteteFrameset.ecrireBindNavigationBar(this.navigation);
	}
}


// Fonction appele par le composant entete pour rcuprer la valeur de l'html de la barre de navigation

/**
* La mthode publique getNavigation() permet d'obtenir le code HTML actualis  insrer dans la barre 
* de navigation de l'entte. Elle est appele par l'entte pour les mises  jour de la barre de navigation.
* @public
* @param {} Aucun
* @return {string} Code HTML de la barre de navigation.
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_getNavigation()
{
	return(this.navigation);
}


// criture du menu

/**
* La mthode publique ecrireBind() ralise les actions suivantes:<br>
* &middot;&nbsp; Ecriture du menu dans son tat initial au sein de l'lment HTML du menu
* (utilise la rfrence d'lment HTML initalise par "initDivBind" ou configure par "setDivBind").<br>
* &middot;&nbsp; Restauration de la slection du menu depuis le cookie, si un cookie valide existe.<br>
* &middot;&nbsp; Appel de la fonction "{@link #ecrireBindNavigationBar ecrireBindNavigationBar}" de l'entte
* pour mettre  jour la barre de navigation de l'entte.
* @public
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/

function ComposantMenu_ecrireBind()
{
	this.divBind.style.display = "none";
	if (this.type == "0")
	{
		this.divBind.innerHTML = this.ecrireHTML_type0();
	}
	if (this.type == "1" || this.type == "2")
	{
		this.divBind.innerHTML = this.ecrireHTML_type1();
	}
	this.divBind.style.display = "";
	// demande la restauration du positionnement dans le menu depuis le cookie
	this.restoreFromCookie();
	// demande la restauration de l'affichage/dsaffichage du menu depuis le cookie
	this.restoreDisplayFromCookie();
	// Si le composant Entete est cr, on lui demande de mettre  jour la barre de navigation avec le html gnr.
	if (parent.parent.ComposantEnteteFrameset)
	{
		parent.parent.ComposantEnteteFrameset.ecrireBindNavigationBar(this.navigation);
	}
}


// Met  jour les infos de positionnement au sein du menu dans le cookie

/**
* La mthode publique writeToCookie(i,j,k,) met  jour les lments suivants dans le cookie de slection
* du menu:<br>
* &middot;&nbsp; VERSION: recopie le numro de version du menu, prsent dans la configuration du menu.<br>
* &middot;&nbsp; INDEX_ITEM1: l'index de la slection de niveau 1 ("null" si pas de slection)<br>
* &middot;&nbsp; INDEX_ITEM2: l'index de la slection de niveau 2 ("null" si pas de slection)<br>
* &middot;&nbsp; INDEX_ITEM3: l'index de la slection de niveau 3 ("null" si pas de slection)<br>
* &middot;&nbsp; lments SHOW: permet de mmoriser l'tat "ouvert" des sous-items des items de niveau 1.
* Si la sauvegarde des cookies n'est pas autorise (useCookies = false), ces donnes sont sauvegardes sur
* un cookie de type session (dont la dure de vie n'excde pas celle de la session utilisateur).
* @public
* @param {int_Obligatoire} i index de la slection de niveau 1
* @param {int_Obligatoire} j index de la slection de niveau 2
* @param {int_Obligatoire} k index de la slection de niveau 3
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_writeToCookie(i,j,k)
{
	var indexItem1 = (i == null) ? "null" : i;
	var indexItem2 = (j == null) ? "null" : j;
	var indexItem3 = (k == null) ? "null" : k;
	this.cookie = new parent.XMLObjectCookie(null,null,'menuSettings_'+this.nomAppli+'',false);
	var nodeSettings = this.cookie.xmlDoc.createElement("SETTINGS");
	var nodeVersion = this.cookie.xmlDoc.createElement("VERSION");
	var textVersion = this.cookie.xmlDoc.createTextNode(this.version);
	parent.ajoutElement(nodeVersion,textVersion);
	parent.ajoutElement(nodeSettings,nodeVersion);
	var nodeIndexItem1 = this.cookie.xmlDoc.createElement("INDEX_ITEM1");
	var textIndexItem1 = this.cookie.xmlDoc.createTextNode(indexItem1);
	parent.ajoutElement(nodeIndexItem1,textIndexItem1);
	parent.ajoutElement(nodeSettings,nodeIndexItem1);
	var nodeIndexItem2 = this.cookie.xmlDoc.createElement("INDEX_ITEM2");
	var textIndexItem2 = this.cookie.xmlDoc.createTextNode(indexItem2);
	parent.ajoutElement(nodeIndexItem2,textIndexItem2);
	parent.ajoutElement(nodeSettings,nodeIndexItem2);
	var nodeIndexItem3 = this.cookie.xmlDoc.createElement("INDEX_ITEM3");
	var textIndexItem3 = this.cookie.xmlDoc.createTextNode(indexItem3);
	parent.ajoutElement(nodeIndexItem3,textIndexItem3);
	parent.ajoutElement(nodeSettings,nodeIndexItem3);
	// pour un menu documentaire, enregistrement du statut des items 
	// de niveau 2 non prioritaires (affichs/dsaffichs, pour chaque item 1)
	if (this.type == "0")
	{
		if (this.Items2StatusMenu0.length > 0)
		{
			for (i=0;i<this.Items2StatusMenu0.length;i++)
			{
				if (this.Items2StatusMenu0[i] == 1)
				{
					var nodeShow = this.cookie.xmlDoc.createElement("SHOW");
					var textShow = this.cookie.xmlDoc.createTextNode(i);
					parent.ajoutElement(nodeShow,textShow);
					parent.ajoutElement(nodeSettings,nodeShow);
				}
			}
		}
	}
	// pour un menu de gestion de type 2, enregistrement du du statut des items 
	// de niveau 2 (affichs/dsaffichs, pour chaque item 1)
	if (this.type == "2")
	{
		if (this.Items2StatusMenu2.length > 0)
		{
			for (i=0;i<this.Items2StatusMenu2.length;i++)
			{
				if (this.Items2StatusMenu2[i] == 1)
				{
					var nodeShow = this.cookie.xmlDoc.createElement("SHOW");
					var textShow = this.cookie.xmlDoc.createTextNode(i);
					parent.ajoutElement(nodeShow,textShow);
					parent.ajoutElement(nodeSettings,nodeShow);
				}
			}
		}
	}
	parent.ajoutElement(this.cookie.xmlDoc,nodeSettings);
	// en fonction de la valeur de useCookie, sauvegarde d'un cookie sur disque ou en session uniquement
	if (useCookies) 
	{
		this.cookie.saveCookieXML();
	} 
	else 
	{
		this.cookie.saveCookieSessionXML();
	}
}


// Rcupre les paramtres de positionnement dans le menu depuis le cookie et appelle de 
// la fonction de restauration. Si pas de cookie, restauration de la page d'accueil avec 
// les paramtres initiaux.

/**
* La mthode publique restoreFromCookie() permet de rcuprer les informations de slection de menu crites
* dans le cookie. Si la version du cookie ne correspond pas  celle de l'objet ComposantMenuFrameset
* (par exemple si la configuration du menu  volu aprs l'criture du cookie), ces informations sont
* ignores et la page d'accueil est restaure. Sinon, le menu est restaur tel que dfini dans le cookie.
* @public
* @param {} Aucun
* @return {void}
* @version 2.4
* @date 06/11/2006
*/
function ComposantMenu_restoreFromCookie()
{
	this.cookie.importCookieXML();
	//var testerreur = this.cookie.parseErrorCookieXML();
	var testerreur = 0;
	if (testerreur == 0)
	{
		// vrification de la cohrence entre les valeurs de version du cookie et du prsent 
		// objet. Si pas de cohrence ou si aucune valeur de version n'est prsente dans le cookie,
		// redirection vers l'accueil.
		var cookieVersion = "" + parent.getDataElement(this.cookie.xmlDoc,"VERSION");
		if (cookieVersion != "false")
		{
			cookieVersion = parent.getDataElement(this.cookie.xmlDoc,"VERSION");
		}
		if (cookieVersion == this.version)
		{
			var tabMenuTmp=new Array();
			// analyse du positionnement au niveau 1
			var index1 = "" + parent.getDataElement(this.cookie.xmlDoc,"INDEX_ITEM1");
			if (index1 != "false" && index1<this.tabMenu.length)
			{
				index1 = parent.getDataElement(this.cookie.xmlDoc,"INDEX_ITEM1");
				tabMenuTmp = this.tabMenu[index1].subItems;
			}
			else
			{
				index1 = "null";
			}
			// analyse du positionnement au niveau 2
			var index2 = "" + parent.getDataElement(this.cookie.xmlDoc,"INDEX_ITEM2");
			if (index2 != "false" && index2<tabMenuTmp.length)
			{
				index2 = parent.getDataElement(this.cookie.xmlDoc,"INDEX_ITEM2");
				tabMenuTmp = tabMenuTmp[index2].subItems;
			}
			else
			{
				index2 = "null";
			}
			// analyse du positionnement au niveau 3
			var index3 = "" + parent.getDataElement(this.cookie.xmlDoc,"INDEX_ITEM3");
			if (index3 != "false" && index3<tabMenuTmp.length)
			{
				index3 = parent.getDataElement(this.cookie.xmlDoc,"INDEX_ITEM3");
			}
			else
			{
				index3 = "null";
			}
			// analyse de la visualisation des items 2 sous un niveau 1 donn
			var length = parent.getElements(this.cookie.xmlDoc,"SHOW").length;
			if (length > 0)
			{
				for (i=0;i<length;i++)
				{
					if (this.type == 0)
					{
						this.Items2StatusMenu0[parent.getDataElement(this.cookie.xmlDoc,"SHOW",i)] = 1;
					}
					else if (this.type == 2)
					{
						this.Items2StatusMenu2[parent.getDataElement(this.cookie.xmlDoc,"SHOW",i)] = 1;
					}
				}
			}
			// restauration du positionnement dans le menu
			this.restore(index1,index2,index3,true);
			if((index1=="null") && (index2=="null") && (index3=="null")){
				this.SelectAccueil(false);
			}
		}
		else 
		{
			// si pas de cookie ou pb de versioning, restauration de la page d'accueil
			this.restore(null,null,null,true);
			
		}
	}
}


// Permet la mise  jour du menu depuis la page de contenu (pour la gestion des vnements 
// back et forward du browser). Doit etre appele  chaque chargement de la page de contenu 
// avec l'id d'identification de cette page au sein du menu. L'id permet de retrouver les index
// de positionnement associs et de restaurer le menu en consquence.

/**
* La mthode publique restoreFromBody(id) permet de restaurer une slection au sein du menu.
* Cette slection est celle correspondant  l'id pass en paramtre (cet id identifie de faon
* unique une slection du menu). Si cette slection correspond  la slection en cours du menu,
* aucune action ne sera entreprise. Cette fonction est voue  tre appele par les pages de
* contenu au cours de leur chargement, pour demander au menu de se mettre  jour si ncessaire.
* @public
* @param {String_Obligatoire} id : L'identifiant de la slection  restaurer 
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_restoreFromBody(id)
{
	this.id_menu = id;
	var index1 = null;
	var index2 = null;
	var index3 = null;
	// indique si l'id en argument a t retrouv dans le tableau de configuration du menu
	var found = false;
	var i = 0;
	if (this.tabMenu.length == 0) return;
	for (i=0;i<this.tabMenu.length;i++)
	{
		// si l'id correspond  cet item de niveau 1, arrt de la recherche et restauration de
		// ce positionnement
		if (this.tabMenu[i].id == id)
		{
			index1 = i;
			found = true;
		}
		if (this.tabMenu[i].subItems.length > 0 && found == false)
		{
		    var j = 0;
	    	for (j=0;j<this.tabMenu[i].subItems.length;j++)
		    {
		    	// si l'id correspond  cet item de niveau 2, arrt de la recherche et restauration de
				// ce positionnement
		    	if ((this.tabMenu[i].subItems)[j].id == id)
				{	
					index1 = i;
					index2 = j;
					found = true;
				}
				if ((this.tabMenu[i].subItems)[j].subItems.length > 0 && found == false)
		  		{
		  			// calcul du nb d'actions au niveau 3
		  			var k=0;
				    while (k < (this.tabMenu[i].subItems)[j].subItems.length && ((this.tabMenu[i].subItems)[j].subItems)[k].type == "action")
				    {
				    	k++;
				    }
				    if (k < (this.tabMenu[i].subItems)[j].subItems.length && found == false)
				    {
		    			for (l=k;l<(this.tabMenu[i].subItems)[j].subItems.length;l++)
		        		{
		        			// si l'id correspond  cet item de niveau 3, arrt de la recherche et restauration de
							// ce positionnement
		        			if (((this.tabMenu[i].subItems)[j].subItems)[l].id == id)
							{	
								index1 = i;
								index2 = j;
								index3 = l;
								found = true;
							}
						}
					}
				}
			}
		}
	}
	// S'il n'y a pas correspondance entre les index associs  la page de contenu et ceux du positionnement 
	// dans le menu, on force la mise  jour du menu en fonction du contenu.
	if (this.indexSelectedItem1 != index1 || this.indexSelectedItem2 != index2 || this.indexSelectedItem3 != index3)
	{
		this.restore(index1,index2,index3,false);
	}
}


// Permet de restaurer le positionnement dans le menu

/**
* La mthode publique restore(indexItem1,indexItem2,indexItem3,fromCookie) permet de restaurer une slection
* au sein du menu. En fonction des index de slection fournis en paramtres, elle appelle les fonctions internes
* permettant de restaurer la slection souhaite.
* @public
* @param {int_Obligatoire} indexItem1 : Index de l'item de niveau 1 de la slection  restaurer.
* @param {int_Obligatoire} indexItem2 : Index de l'item de niveau 2 de la slection  restaurer
* ("null" si pas d'item de niveau 2 pour cette slection).
* @param {int_Obligatoire} indexItem3 : Index de l'item de niveau 3 de la slection  restaurer
* ("null" si pas d'item de niveau 3 pour cette slection).
* @param {_Obligatoire} fromCookie : Boolen indiquant si l'action a t initie par une
* restauration de cookie (true) ou non (false). S'il ne s'agit pas d'une restauration de cookie,
* une mise  jour du cookie sera effectue.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_restore(indexItem1,indexItem2,indexItem3,fromCookie)
{
	if (indexItem1 == null) 
	{
		// si pas de slection niveau 1, retour  l'accueil
		this.SelectAccueil(fromCookie);
		if (this.type == 2)
		{
			var i = 0;
			for (i=0;i<this.Items2StatusMenu2.length;i++)
			{
				if (this.Items2StatusMenu2[i] == 1)
				{
					this.ShowItems2Menu2(i,fromCookie);
				}
			}
		}
	}
	// si un index de niveau 1 est slectionn
	if (indexItem1 != null && indexItem1 != "null")
	{
		// menu documentaire
		if (this.type == 0)
		{
			this.SelectItem1Menu0(indexItem1,fromCookie);
			// si un index de niveau 2 est slectionn
			if (indexItem2 != null && indexItem2 != "null")
			{
				this.SelectItem2Menu0(indexItem1,indexItem2,fromCookie);
				// si un index de niveau 3 est slectionn
				if (indexItem3 != null && indexItem3 != "null")
				{
					this.SelectItem3Menu0(indexItem1,indexItem2,indexItem3,fromCookie);
				}
			}
		}
		// menu gestion
		else if (this.type == 1 || this.type == 2)
		{
			// si un index de niveau 1 est slectionn
			if (indexItem1 != null && indexItem1 != "null")
			{
				this.SelectItem1Menu1(indexItem1,fromCookie);
				// si un index de niveau 2 est slectionn
				if (indexItem2 != null && indexItem2 != "null")
				{
					this.SelectItem2Menu1(indexItem1,indexItem2,fromCookie); 
					// si un index de niveau 3 est slectionn
					if (indexItem3 != null && indexItem3 != "null")
					{
						this.SelectItem3Menu1(indexItem1,indexItem2,indexItem3,fromCookie);
					}
				}
			}
		}
	}
	// restauration des items 2 ouverts
	if (this.type == "0")
	{
		if (this.Items2StatusMenu0.length > 0)
		{
			for (i=0; i<this.Items2StatusMenu0.length;i++)
			{
				if (this.Items2StatusMenu0[i] == 1)
				{
					this.ShowItems2Menu0(i,fromCookie);
				}
			}
		}
	}
	// restauration des items 2 non prioritaires
	if (this.type == "2")
	{
		if (this.Items2StatusMenu2.length > 0)
		{
			for (i=0; i<this.Items2StatusMenu2.length;i++)
			{
				if (this.Items2StatusMenu2[i] == 1)
				{
					this.ShowItems2Menu2(i,fromCookie);
				}
			}
		}
	}
}


// Rcupre l'info d'affichage/dsaffichage du menu depuis le cookie. Appelle de 
// la fonction d'affichage/dsaffichage en consquence. Par dfaut (si pas de cookie
// ou pas de valeur "STATUS"), affichage du menu

/**
* La mthode publique restoreDisplayFromCookie() permet de rcuprer le statut affichage/dsaffichage
* du menu depuis le cookie. L'affichage est restaur selon cette information.
* @public
* @param {} Aucun
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu_restoreDisplayFromCookie()
{
	this.cookieDisplay.importCookieXML();
	//var testerreur = this.cookie.parseErrorCookieXML();
	var testerreur = 0;
	if (testerreur == 0)
	{
		var resize = "" + parent.getDataElement(this.cookieDisplay.xmlDoc,"STATUS",0);
		if (resize == "plus")
		{
			// appelle la fonction de dsaffichage du menu
			this.HideMenu();
		}
		else
		{
			// par dfaut, appelle la fonction d'affichage du menu
			this.ShowMenu();
		}
	}
}

// Modifie le contenu de la DIV de l'entte du menu
/**
* La mthode publique setEnteteMenuInnerHtml() permet de dfinir le contenu de la DIV 
* du menu reprsentant son entte.
* @public
* @param {String_Obligatoire} codeHtml : code HTML de l'entte du menu
* @version 2.5
* @date 10/11/2006
*/
function ComposantMenu_setDebutHtml(codeHtml)
{
	var divEnteteMenu = window.frames[frameBody].frames[frameMenu].document.getElementById(this.divDebutMenu);
	if (divEnteteMenu!=null)
		divEnteteMenu.innerHTML = codeHtml;	
	window.frames[frameBody].frames[frameMenu].document.getElementById("zoneDebutMenu").style.display="";
}

// Modifie le contenu de la DIV du pied de page du menu
/**
* La mthode publique setPiedDePageMenuInnerHtml() permet de dfinir le contenu de la DIV 
* du menu reprsentant son pied de page.
* @public
* @param {String_Obligatoire} codeHtml : code HTML du pied de page du menu
* @version 2.5
* @date 10/11/2006
*/
function ComposantMenu_setFinHtml(codeHtml)
{
	var divPiedDePageMenu = window.frames[frameBody].frames[frameMenu].document.getElementById(this.divFinMenu);
	if (divPiedDePageMenu!=null)
		divPiedDePageMenu.innerHTML = codeHtml;	
	window.frames[frameBody].frames[frameMenu].document.getElementById("zoneFinMenu").style.display="";
}

// Retourne l'identifiant de la DIV de l'entte du menu
/**
* La mthode publique getIDEnteteMenu() retourne l'identifiant de la DIV 
* contenant l'entte du menu.
* @public
* @param {} Aucun
* @version 2.5
* @date 10/11/2006
*/
function ComposantMenu_getDebutId()
{
	window.frames[frameBody].frames[frameMenu].document.getElementById("zoneDebutMenu").style.display="";
	return this.divDebutMenu;	
}

// Retourne l'identifiant de la DIV du pied de page du menu
/**
* La mthode publique getIDPiedDePageMenu() retourne l'identifiant de la DIV 
* contenant le pied de page du menu.
* @public
* @param {} Aucun
* @version 2.5
* @date 10/11/2006
*/
function ComposantMenu_getFinId()
{
	window.frames[frameBody].frames[frameMenu].document.getElementById("zoneFinMenu").style.display="";
	return this.divFinMenu;	
}

// Retourne l'identifiant de la DIV de l'entte du menu
/**
* La mthode publique getDivDebut() retourne un pointeur sur la DIV 
* contenant l'entte du menu.
* @public
* @param {} Aucun
* @version 2.5
* @date 10/11/2006
*/
function ComposantMenu_getDivDebut()
{
	window.frames[frameBody].frames[frameMenu].document.getElementById("zoneDebutMenu").style.display="";
	return window.frames[frameBody].frames[frameMenu].document.getElementById(this.divDebutMenu);
}

// Retourne l'identifiant de la DIV du pied de page du menu
/**
* La mthode publique getDivFin() retourne un pointeur sur la DIV 
* contenant le pied de page du menu.
* @public
* @param {} Aucun
* @version 2.5
* @date 10/11/2006
*/
function ComposantMenu_getDivFin()
{
	window.frames[frameBody].frames[frameMenu].document.getElementById("zoneFinMenu").style.display="";
	return window.frames[frameBody].frames[frameMenu].document.getElementById(this.divFinMenu);
}

// Dfinition du composant menu
// id = id du composant menu
// type = 0 pour menu documentaire, 1 pour pour menu gestion avec ouverture/fermeture automatique 
// 		  des items 2, 2 pour menu gestion avec gestion avec ouverture/fermeture manuelle
// 		  des items 2
// XMLMenu = le DOM contenant la configuration du menu
// tabMenu = en paramtre optionnelle la configuration du menu sous forme tableau

/**
* Cre une instance de la classe ComposantMenu.
* <br><b>Voir Exemple d'instanciation de ce composant</b> pour un composant menu : <a href='exemples_A3.html#ComposantMenu_constr'>Exemples d'appels aux constructeurs</a>.
* @class La classe <b>ComposantMenu</b> est la classe permettant de grer le composant Menu.
* <br>Ses proprits publiques dcrivent les attributs du composant et peuvent tre manipules ou interroges
* en dehors de la bibliothque du framework ergonomique. Ses proprits prives sont utilises au sein mme
* du framework ergonomique.<br>
* <br>Ce composant utilise les classes utilitaires suivantes :<br>
* &gt; <b>{@link ObjectItem ObjectItem}</b> pour dcrire les items du menu.<br>
* &gt; <b>{@link ObjectAction ObjectAction}</b> pour dcrire les actions de type "icne" du menu.<br>
* &gt; <b>{@link XMLObject XMLObject}</b> pour stocker le paramtrage XML du menu.<br>
* &gt; <b>{@link XMLObjectCookie XMLObjectCookie}</b> pour sauvegarder la slection courante dans le menu,
* ainsi que le type d'affichage (menu affich ou cach).
* <br><br><br><img src="Image.ComposantMenuUML.png"/><br><br>
* <a href="javascript:ouvrirPopupExemple('./exemples/menu1.html','Exemple')">Exemple d'utilisation du composant Menu.</a><br>
* <br><br><br>RENDU IHM<br><br>ComposantMenu de type documentaire :<br><br>
* <img alt="exComposantMenuDocumentaire" src="image.ComposantMenuDocumentaire.jpg" style="width: 190px; height: 425px;"><br><br><br>
* <br>ComposantMenu de type gestion :<br><br>
* <img alt="exComposantMenuGestion" src="Image.ComposantMenuGestion.jpg" style="width: 190px; height: 336px;"><br><br><br>
* @includeJS ergonomique_fw_navigation.js
* @includeCSS menu.css
* @public
* @constructor
* @param {String_Obligatoire} id : String indiquant l'{@link #id id} du composant  instancier.
* Sa valorisation doit correspondre au nom de la variable JavaScript du composant instanci.
* @param {int_Obligatoire} type : int indiquant le {@link #type type} du menu dsir. Valeurs possibles :
* <br>- 0: menu documentaire <br>- 1: menu de gestion avec ouverture/fermeture automatiques des items de niveau 1
* <br>- 2: menu de gestion avec ouverture/fermeture manuelles des items de niveau 1.
* @param {String_Obligatoire} nomAppli : String indiquant le {@link #nomAppli nom de l'application} associe au menu
* composant instanci.
* @param {XMLObject_Obligatoire} XMLMenu : Objet {@link XMLObject XMLObject} contenant le paramtrage XML du menu.
* @param {t_ObjectItem_Facultatif} tabMenu : Tableau d'objets {@link ObjectItem ObjetItem} pour paramtrer
* le contenu informatif en JavaScript si pas de flux XML pour effectuer ce paramtrage.
* @version 1.1
* @date 25/10/2005
*/
function ComposantMenu(id,type,nomAppli,XMLMenu,tabMenu)
{
	/**
	* La proprit prive id est l'ID du composant menu. Sa valorisation doit correspondre au nom de
	* la variable JavaScript du composant instanci.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/
	this.id = id;
	
	/**
	* La proprit prive id_menu est l'ID de la slection du menu que l'on souhaite restaurer au sein du menu,
	* qui met  jour le menu.<b>Valeur par dfaut :</b> <a href='default-values_A3.html#ComposantMenuProp'>
	* Valeurs par dfaut des Proprits</a>
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.id_menu = "";
	
	/**
	* La proprit prive type indique le type de menu. Valeurs possibles : 
	* <br>- 0: menu documentaire
	* <br>- 1: menu de gestion avec ouverture/fermeture automatiques des items de niveau 1
	* <br>- 2: menu de gestion avec ouverture/fermeture manuelles des items de niveau 1.
	* <br><br>
	* @private
	* @type Int
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.type = type;
	
	/**
	* La proprit prive nomAppli indique nom de l'application associe au menu.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.nomAppli = nomAppli;
	
	/**
	* La proprit prive XMLObjectMenu indique l'objet {@link #XMLObject XMLObject} contenant le
	* paramtrage XML du menu.
	* <br><br>
	* @private
	* @type XMLObject
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.XMLObjectMenu = XMLMenu;
	
	/**
	* La proprit prive divBind est la rfrence de l'lment HTML au sein duquel le menu est crit.
	* <br><br>
	* @private
	* @type DOM HTML
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.divBind = null;
	
	/**
	* L'lment argv dans la classe ComposantMenu n'est pas une proprit, il permet de rcuprer dans
	* un tableau les arguments passs en paramtres du constructeur de la classe (utile dans le cas des
	* paramtres facultatifs, pour reprer les paramtres qui ont t soumis par le dveloppeur).
	* Il est dclar 'var'.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	var argv = ComposantMenu.arguments;
	
	/**
	* L'lment argc dans la classe ComposantMenu n'est pas une proprit, il permet de rcuprer le
	* nombre d'arguments passs en paramtres du constructeur de la classe (utile dans le cas des paramtres
	* facultatifs, pour compter les paramtres soumis par le dveloppeur).
	* Il est dclar 'var'.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	var argc = ComposantMenu.arguments.length;
	
	/**
	* La proprit publique tabMenu est un tableau d'lments de type {@link ObjectItem ObjectItem}
	* pour paramtrer le contenu informatif en JavaScript si pas de flux XML pour effectuer ce paramtrage.
	* <br><br>
	* @private
	* @type Array de ObjectItem
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.tabMenu = (argc > 4) ? argv[4] : new Array();
	
	/**
	* La proprit prive urlAccueil indique L'URL de la page d'accueil (extraite depuis le paramtrage XML du menu).
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.urlAccueil = null;
	
	/**
	* La proprit prive indexSelectedItem1 indique l'index niveau 1 de la slection courante du menu
	* ou "null" si pas d'item slectionn.
	* <br><br>
	* @private
	* @type Int
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.indexSelectedItem1 = null;
	
	/**
	* La proprit prive indexSelectedItem2 indique l'index de niveau 2 de la slection courante du menu ou
	* "null" si aucun item de niveau 2 n'est slectionn.
	* <br><br>
	* @private
	* @type Int
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.indexSelectedItem2 = null;
	
	/**
	* La proprit prive indexSelectedItem3 indique l'index de niveau 3 de la slection courante du menu ou
	* "null" si aucun item de niveau 3 n'est slectionn.
	* <br><br>
	* @private
	* @type Int
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.indexSelectedItem3 = null;
	
	/**
	* La proprit prive navigation indique la valeur courante du code HTML pour la barre de navigation.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.navigation = null;
	
	/**
	* La proprit prive version indique la version courante du menu. Cette valeur est extraite depuis
	* le paramtrage XML du menu; elle est compare avec la version inscrite dans le cookie,
	* lors d'une restauration de cookie.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.version = null;
	
	/**
	* La proprit prive langue indique la langue du menu (valeur extraite depuis le paramtrage XML du menu).
	* <b>Valeur par dfaut : </b><a href='default-values_A3.html#ComposantMenuProp'>
	* Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.langue = "FR";
	
	/**
	* La proprit prive colorPiedDePage indique la couleur du fond du pied de page du menu 
	* (valeur extraite depuis le paramtrage XML du menu).<b>Valeur par dfaut : </b>
	* <a href='default-values_A3.html#ComposantMenuProp'>Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.colorPiedDePage = "black";
	
	/**
	* La proprit prive colorTextPiedDePage indique la couleur du texte du pied de page du menu 
	* (valeur extraite depuis le paramtrage XML du menu). <b>Valeur par dfaut : </b>
	* <a href='default-values_A3.html#ComposantMenuProp'>Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.colorTextPiedDePage = "white";
	
	/**
	* La proprit prive textPiedDePage indique le texte du pied de page du menu 
	* (valeur extraite depuis le paramtrage XML du menu). <b>Valeur par dfaut : </b>
	* <a href='default-values_A3.html#ComposantMenuProp'>Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.textPiedDePage = "";
	
	/**
	* La proprit prive Items2StatusMenu0 est le tableau, qui pour un menu documentaire, indique :
	* pour chaque item de niveau 1,&nbsp; le statut (affich : valeur 1, ou cach : valeur 0)
	* de ses sous-items de niveau 2.
	* <br><br>
	* @private
	* @type Array de Int
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.Items2StatusMenu0 = new Array();
	
	/**
	* La proprit prive Items2StatusMenu2 est le tableau, qui pour un menu gestion de type 1, indique :
	* pour chaque item de niveau 1,&nbsp; le statut (affich : valeur 1, ou cach : valeur 0)
	* de ses sous-items de niveau 2.
	* <br><br>
	* @private
	* @type Array de Int
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.Items2StatusMenu2 = new Array();
	
	/**
	* La proprit prive Items3OpenMenu0 est le boolen, qui pour un menu documentaire, indique :
	* le mode de visualisation courante du menu ("true": visualisation du niveau 3;
	* "false": visualisation des niveaux 1 et 2).<b>Valeur par dfaut : </b>
	* <a href='default-values_A3.html#ComposantMenuProp'>Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @private
	* @type Boolean
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.Items3OpenMenu0 = false;
	
	/**
	* La proprit prive cookie est un objet {@link #XMLObjectCookie XMLObjectCookie}
	* qui sauvegarde la slection courante du menu.
	* <a href='default-values_A3.html#ComposantMenuProp'>Valeurs par dfaut des Proprits</a>
	* <br><br>
	* @private
	* @type XMLObjectCookie
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.cookie = null;
	
	/**
	* La proprit prive cookieDisplay est un objet {@link #XMLObjectCookie XMLObjectCookie}
	* qui sauvegarde la statut d'affichage affich/dsaffich.
	* <br><br>
	* @private
	* @type XMLObjectCookie
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.cookieDisplay = null;

	/**
	* La proprit prive divEnteteMenuID dfinit l'ID de la DIV du menu contenant l'entte.
	* <br><br>
	* @private
	* @type String
	* @version 2.5
	* @date 10/11/2006
	*/	
	this.divDebutMenu = ID_DIV_DEBUT_MENU;

	/**
	* La proprit prive divEnteteMenuID dfinit l'ID de la DIV du menu contenant l'entte.
	* <br><br>
	* @private
	* @type String
	* @version 2.5
	* @date 10/11/2006
	*/	
	this.divFinMenu = ID_DIV_FIN_MENU;
			
	// Dfinition des mthodes	
	this.testMenu = ComposantMenu_testMenu;
	this.getImageOverURL = ComposantMenu_getImageOverURL;
	this.getImageURL = ComposantMenu_getImageURL;
	this.changeImage = ComposantMenu_changeImage;
	this.changeImageOver = ComposantMenu_changeImageOver;
	this.SelectAccueil = ComposantMenu_SelectAccueil;
	this.SelectItem1Menu1 = ComposantMenu_SelectItem1Menu1;
	this.SelectItem2Menu1 = ComposantMenu_SelectItem2Menu1;
	this.SelectItem3Menu1 = ComposantMenu_SelectItem3Menu1;
	this.OpenItems2Menu1 = ComposantMenu_OpenItems2Menu1;
	this.CloseItems2Menu1 = ComposantMenu_CloseItems2Menu1;
	this.OpenItems3Menu1 = ComposantMenu_OpenItems3Menu1;
	this.CloseItems3Menu1 = ComposantMenu_CloseItems3Menu1;
	this.SelectAction = ComposantMenu_SelectAction;
	this.HideItems2Menu2 = ComposantMenu_HideItems2Menu2;
	this.ShowItems2Menu2 = ComposantMenu_ShowItems2Menu2;
	this.SelectItem1Menu0 = ComposantMenu_SelectItem1Menu0;
	this.SelectItem2Menu0 = ComposantMenu_SelectItem2Menu0;
	this.SelectItem3Menu0 = ComposantMenu_SelectItem3Menu0;
	this.goToURL = ComposantMenu_goToURL;
	this.OpenItems3Menu0 = ComposantMenu_OpenItems3Menu0;
	this.CloseItems3Menu0 = ComposantMenu_CloseItems3Menu0;
	this.HideItems2Menu0 = ComposantMenu_HideItems2Menu0;
	this.ShowItems2Menu0 = ComposantMenu_ShowItems2Menu0;
	this.HideMenu = ComposantMenu_HideMenu;
	this.ShowMenu = ComposantMenu_ShowMenu;
	this.setDivBind = ComposantMenu_setDivBind;
	this.initDivBind = ComposantMenu_initDivBind;
	this.initTabByXML = ComposantMenu_initTabByXML;
	this.ecrireHTML_type0 = ComposantMenu_ecrireHTML_type0;
	this.ecrireHTML_type1 = ComposantMenu_ecrireHTML_type1;
	this.ecrireHTML_type0_items3 = ComposantMenu_ecrireHTML_type0_items3;
	this.ecrireBind = ComposantMenu_ecrireBind;
	this.writeToCookie = ComposantMenu_writeToCookie; 
	this.restoreFromCookie = ComposantMenu_restoreFromCookie;
	this.restoreFromBody = ComposantMenu_restoreFromBody;
	this.restore = ComposantMenu_restore;
	this.restoreDisplayFromCookie = ComposantMenu_restoreDisplayFromCookie;
	this.constructor = ComposantMenu_constructor;
	
	this.Item1SetSelectedClass = ComposantMenu_Item1SetSelectedClass;
	this.Item2SetSelectedClass = ComposantMenu_Item2SetSelectedClass;
	this.Item3SetSelectedClass = ComposantMenu_Item3SetSelectedClass;
	this.Item1SetUnSelectedClass = ComposantMenu_Item1SetUnSelectedClass;
	this.Item2SetUnSelectedClass = ComposantMenu_Item2SetUnSelectedClass;
	this.Item3SetUnSelectedClass = ComposantMenu_Item3SetUnSelectedClass;
	this.Item1OnMouseOut = ComposantMenu_Item1OnMouseOut;
	this.Item2OnMouseOut = ComposantMenu_Item2OnMouseOut;
	this.Item3OnMouseOut = ComposantMenu_Item3OnMouseOut;
	this.Item1SetUnSelectedOverClass = ComposantMenu_Item1SetUnSelectedOverClass;
	this.Item2SetUnSelectedOverClass = ComposantMenu_Item2SetUnSelectedOverClass;
	this.Item3SetUnSelectedOverClass = ComposantMenu_Item3SetUnSelectedOverClass;
	this.setNavigation = ComposantMenu_setNavigation;
	this.getNavigation = ComposantMenu_getNavigation;
	this.setDebutHtml = ComposantMenu_setDebutHtml;
	this.setFinHtml = ComposantMenu_setFinHtml;
	this.getDebutId = ComposantMenu_getDebutId;
	this.getFinId = ComposantMenu_getFinId;	
	this.getDivDebut = ComposantMenu_getDivDebut;
	this.getDivFin = ComposantMenu_getDivFin;
	
	this.constructor();
}


// Restaure l'affichage de l'entete en fonction de l'info du cookie. Par dfaut (pas de 
// cookie disponible, par exemple), entete large (correspond  l'tat menu visible).

/**
* La mthode prive restoreFromCookie() lit le cookie comportant le statut menu affich ou dsaffich.
* Si ce cookie existe et son contenu est valide, cette fonction invoque la mthode "resizeMoins" ou "resizePlus"
* correspondant au statut inscrit dans ce cookie.
* @private
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantEntete_restoreFromCookie()
{
	this.cookie.importCookieXML();
	var testerreur = this.cookie.parseErrorCookieXML("noerror");
	if (testerreur == 0)
	{
		var status = "" + parent.getDataElement(this.cookie.xmlDoc,"STATUS",0);
		if (status != "false")
		{
			this.resize = parent.getDataElement(this.cookie.xmlDoc,"STATUS",0);
			if (this.resize == "moins")
			{
				this.resizeMoins();
			}
			if (this.resize == "plus")
			{
				this.resizePlus();
			}
		}
	}
}


// Fonction appele suite  un clic sur le bouton "+" ou "-" pour sauvegarder le statut dans un cookie

/**
* La mthode prive writeToCookie() permet d'enregistrer dans un cookie le statut menu affich
* ou dsaffich, suite  un clic sur les boutons "-" ou "+" respectivement.
* @private
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantEntete_writeToCookie()
{
	// initialisation du cookie
	this.cookie = new parent.XMLObjectCookie(null,null,'resizeStatus_'+this.nomAppli+'',false);
	// enregistrement du statut dans un lment "STATUS"
	var nodeStatus = this.cookie.xmlDoc.createElement("STATUS");
	var textStatus = this.cookie.xmlDoc.createTextNode(this.resize);
	parent.ajoutElement(nodeStatus,textStatus);
	parent.ajoutElement(this.cookie.xmlDoc,nodeStatus);
	// en fonction de la valeur de useCookie, sauvegarde d'un fichier sur  disque ou en session
	if (useCookies) 
	{
		this.cookie.saveCookieXML();
	} 
	else 
	{
		this.cookie.saveCookieSessionXML();
	}
}


// fonction appele sur clic du bouton "+"

/**
* La mthode prive resizePlus() ralise l'opration de redimensionnement de l'entte lors du dsaffichage
* du menu (clic sur bouton "+"). Concrtement, elle rtrcit certains lments de l'entte.
* @private
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantEntete_resizePlus()
{
	this.resize="plus";
	// Si le composant menu est dj cr, on lui demande de cacher le menu
	if (parent.ComposantMenuFrameset) parent.ComposantMenuFrameset.HideMenu();
	// On rtrcit les diffrents lments de l'entete
	this.divResizePlus.style.display = "none";
	this.divResizeMoins.style.display = "";
	this.cellLogo.width = "72";
	this.cellLogo.className = "bandeaulogomini";
	this.cellHaut.className = "bandeauhautmini";
	this.divLogoPlus.style.display = "none";
	this.divLogoMoins.style.display = "";
	this.cellTitre.height = "22";
	this.cellTitre.className = "bandeautitremini";
	this.cellResize.width = "106";
	this.writeToCookie();
}


// Fonction appele lors d'un clic sur le bouton "-"

/**
* La mthode prive resizeMoins() ralise l'opration de redimensionnement de l'entte lors du
* dsaffichage du menu (clic sur bouton "-"). Concrtement, elle largit certains lments de l'entte.
* @private
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantEntete_resizeMoins()
{
	this.resize="moins";
	// Si le composant menu est dj cr, on lui demande de rendre le menu visible
	if (parent.ComposantMenuFrameset) parent.ComposantMenuFrameset.ShowMenu();
	// On agrandit les diffrents lments de l'entete
	this.divResizePlus.style.display = "";
	this.divResizeMoins.style.display = "none";
	this.cellLogo.width = "100";
	this.cellLogo.className = "bandeaulogo";
	this.cellHaut.className = "bandeauhaut";
	this.divLogoPlus.style.display = "";
	this.divLogoMoins.style.display = "none";
	this.cellTitre.height = "50";
	this.cellTitre.className = "bandeautitre";
	this.cellResize.width = "254";
	this.writeToCookie();
}

// Initialise les diffrents lments d'informations de l'entete  partir de l'objet DOM
// pass en paramtre de l'objet Entete

/**
* La mthode prive initByXML() initialise certaines proprits prives  partir de l'objet
* {@link XMLObject XMLObject} "{@link #XMLObjectEntete XMLObjectEntete}", qui contient les informations
* de configuration de l'entte.
* @private
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantEntete_initByXML()
{
	var enteteXML = parent.getElements(this.XMLObjectEntete.xmlDoc,"ENTETE");
	
	// initialisation pour le champ informations. On concatne les diffrents lments "GRAS" ou
	// "NORMAL" contenus sous "INFOS", pour obtenir l'info affiche.
	var infoXML = parent.getElements(enteteXML[0],"INFO");
	var infoElements = parent.getChildElements(infoXML[0],null);
	this.info = "";
	if (infoElements != null && infoElements.length > 0)
	{
		var i=0;
		for (i=0; i < infoElements.length; i++)
		{
			if (infoElements[i].tagName == "NORMAL")
			{
				this.info += parent.getData(infoElements[i]);
			}
			else if (infoElements[i].tagName == "GRAS")
			{
				this.info += '<b>'+parent.getData(infoElements[i])+'</b>';
			}
		}
	}
	
	// initialisation pour le champ titre
	this.titre = "" + parent.getDataElement(enteteXML[0],"TITLE");
	if (this.titre == "false") this.titre = "";
	
	// initialisation pour le champ accueil
	this.accueil = parent.getDataElement(enteteXML[0],"ACCUEIL");
	if ((!this.accueil) || (this.accueil == ""))
	  this.accueil = "Accueil";
	
	// initialisation pour le champ liens
	var liensElements = parent.getChildElements(enteteXML[0],"LIEN");
	if (liensElements != null && liensElements.length > 0)
	{
		var i=0;
		var j=0;
		for (i=0; i < liensElements.length; i++)
		{
			var libelle = "" + parent.getDataElement(liensElements[i],"LIBELLE");
			var url = "" + parent.getDataElement(liensElements[i],"URL");
			var alt = "" + parent.getDataElement(liensElements[i],"ALT");
			if (alt == "false") alt = "";
			if (url != "" && url != "false" && libelle != "" && libelle != "false")
			{
				this.liens[j] = new ObjectLien(libelle,url,alt);
				j++;
			}
		}
	}
	
	// initialisation pour le lien de dconnexion
	this.deconnecte = parent.getDataElement(enteteXML[0],"DECONNECTE");
	if ((!this.deconnecte) || (this.deconnecte == ""))
	  this.deconnecte = "se d&eacute;connecter";
	  
	// initialisation pour le lien de dconnexion
	this.urlDeconnexion = parent.getDataElement(enteteXML[0],"DECONNEXION");
}


// constructeur

/**
* La mthode prive constructor() initialise les lments suivants:<br>
* <br>&middot;&nbsp; le {@link #resize statut menu affich/dsaffich}  "affich"
* <br>&middot;&nbsp; le {@link ComposantEntete#cookie cookie de sauvegarde} du statut menu affich/dsaffich
* <br>&middot;&nbsp; les informations de configuration obtenues par appel  "{@link #initByXML initByXML}"
* @private
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantEntete_constructor()
{
	// par dfaut, entete large (correspond  l'tat menu affich)
	this.resize="moins";
	// initialisation du cookie de sauvegarde du statut de dimensionnement 
	// (et donc du statut cach/affich du menu)
	this.cookie = new parent.XMLObjectCookie(null,null,'resizeStatus_'+this.nomAppli+'',false);
	// appel de l'initalisation de la configuration de l'entete
	if (this.XMLObjectEntete != null) this.initByXML();
}


// Gnration du html pour le lien dconnexion

/**
* La mthode prive ecrireHTMLDeconnexion() retourne le code HTML pour l'lment contenant le lien de dconnexion.
* @private
* @param {} Aucun
* @return {string} Code HTML pour l'lment contenant le lien de dconnexion
* @version 1.1
* @date 25/10/2005
*/
function ComposantEntete_ecrireHTMLDeconnexion()
{
	var html="";
	if (this.urlDeconnexion !=  null && this.urlDeconnexion != "false")
	{
		html += '<a href="'+this.urlDeconnexion+'">' + this.deconnecte + '</a>';
	}
	return html;
}


// Gnration du html pour les liens

/**
* La mthode prive ecrireHTMLLiens() retourne le code HTML pour les liens.
* @private
* @param {} Aucun
* @return {string} Code HTML pour les liens.
* @version 1.1
* @date 25/10/2005
*/ 
function ComposantEntete_ecrireHTMLLiens()
{
	var html = "";
	if (this.liens.length > 0)
	{
		var i=0;
		for (i=0; i<this.liens.length; i++)
		{
			html += '<a href="'+this.liens[i].url+'" alt="'+this.liens[i].alt+'" title="'+this.liens[i].alt+'" >';
			html += this.liens[i].libelle;
			html += '</a>\n';
			if (i < (this.liens.length - 1))
			{
				html += '<img src="'+IcoSeparateur+'" alt="" width="2" height="7" hspace="8" border="0"/>';
			}
		}
	}
	return html;
}


// Lance l'initialisation de l'entete

/**
* La mthode publique ecrireBind() permet l'criture de l'entte. Pour ce faire, elle ralise
* les actions suivantes:<br>
* &middot;&nbsp; Remplissage de l'information utilisateur dans l'lment rfrenc par 
* "{@link #divInfo divInfo}"<br>
* &middot;&nbsp; Remplissage du titre dans l'lment rfrenc par "{@link "cellTitre cellTitre}"<br>
* &middot;&nbsp; Remplissage des diffrents liens dans l'lment rfrenc par "{@link #divLiens divLiens}"<br>
* &middot;&nbsp; Remplissage du lien dconnexion dans l'lment rfrenc par
* "{@link #divDeconnexion divDeconnexion}"<br>
* &middot;&nbsp; Appel de "{@link #ecrireBindNavigationBar ecrireBindNavigationBar}" pour le remplissage
* de la barre de navigation<br>
* &middot;&nbsp; Appel de "{@link ComposantEntete#restoreFromCookie restoreFromCookie}" pour la restauration
* de l'affichage tel que dfini dans le cookie (s'il existe).
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantEntete_ecrireBind()
{
	// criture de l'information d'entete
	this.divInfo.style.display = "none";
	this.divInfo.innerHTML = this.info;
	this.divInfo.style.display = "";
	// crirure du titre
	this.cellTitre.style.display = "none";
	this.cellTitre.innerHTML = this.titre;
	this.cellTitre.style.display = "";
	// criture des liens
	this.divLiens.style.display = "none";
	this.divLiens.innerHTML = this.ecrireHTMLLiens();
	this.divLiens.style.display = "";
	// criture du lien dconnexion
	this.divDeconnexion.style.display = "none";
	this.divDeconnexion.innerHTML = this.ecrireHTMLDeconnexion();
	this.divDeconnexion.style.display = "";
	// initialisation de libell d'accueil
	this.divAccueilBar.style.display = "none";
	this.divAccueilBar.innerHTML = this.accueil;
	this.divAccueilBar.style.display = "";
	// demande l'criture de la barre de navigation
	this.ecrireBindNavigationBar(null);
	// restaure le dimensionnement en fonction du cookie
	this.restoreFromCookie();
}


// Met  jour la barre de navigation avec le html pass en argument

/**
* La mthode publique ecrireBindNavigationBar(html) met  jour la barre de navigation. Le code HTML actualis
* ( insrer dans cette barre), est fourni par le {@link ComposantMenu composant Menu}. Cette fonction peut tre
* appele  l'initiative du menu (la slection du menu a chang, etc...) ou par l'entte elle-mme
* (lors d'un rechargement de l'entte par exemple). Dans le premier cas, le composant menu fournit le html  insrer
* en paramtre. Dans le deuxime cas, cette fonction doit invoquer la fonction
* "{@link #getNavigation getNavigation}" du menu, afin d'obtenir le code HTML actualis.
* @public
* @param {String_Obligatoire} html : code HTML  insrer dans la barre de navigation,
* si la fonction est appele depuis le menu. "null", si la fonction est appele en interne.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantEntete_ecrireBindNavigationBar(html)
{
	var htmlToWrite = null;
	// si pas de html pass en argument (mthode appele en interne et non par le menu), on fait appel
	// au menu pour rcuprer la dernire info de navigation
	if (html == null)
	{
		if (parent.ComposantMenuFrameset) htmlToWrite = parent.ComposantMenuFrameset.getNavigation();
	}
	// si un html est prsent en argument (mthode appele par le menu), on se sert de ce html
	else{
		htmlToWrite = html;
	}
	// criture dans la barre de navigation
	if (htmlToWrite != null)
	{
		this.divNavigationBar.style.display="none";
		this.divNavigationBar.innerHTML = htmlToWrite;
		this.divNavigationBar.style.display="";
	}
}


// Configure les divers lments div de l'entete (cf initDivBind).

/**
* La mthode publique setDivBind(cellLogo,divLogoPlus,divLogoMoins,cellTitre,divInfo,cellResize,divResizePlus,
* divResizeMoins,divLiens,divDeconnexion,divNavigationBar)
* permet de configurer des rfrences d'lments HTML au sein de l'entte. Ces rfrences d'lments seront
* utilises pour deux types d'usage: le redimensionnement dynamique d'lments de l'entte
* (lors d'une action d'affichage/dsaffichage du menu) et le remplissage d'informations.
* @param {String_Obligatoire} cellLogo : Rfrence pour le {@link #cellLogo logo}  gauche
* de l'entte(pour redimensionnement).
* @param {String_Obligatoire} cellHaut : Rfrence pour le {@link #cellHaut bandeau}  droite
* du logo.
* @param {String_Obligatoire} divLogoPlus : Rfrence pour le {@link #divLogoPlus bandeau de titre large}
* (pour redimensionnement).
* @param {String_Obligatoire} divLogoMoins : Rfrence pour le {@link #divLogoMoins bandeau de titre troit}
* (pour redimensionnement).
* @param {String_Obligatoire} cellTitre : Rfrence de l'lment contenant le
* {@link #cellTitre titre de l'application} (pour remplissage d'info).
* @param {String_Obligatoire} divInfo : Rfrence de l'lment contenant les
* {@link #divInfo informations utilisateur} en bas  droite(pour remplissage d'infos).
* @param {String_Obligatoire} cellResize : Rfrence pour la
* {@link #cellResize cellule contenant les boutons "+"  et "-"} (pour redimensionnement).
* @param {String_Obligatoire} divResizePlus : Rfrence pour le
* {@link #divResizePlus bouton "+"} (pour redimensionnement).
* @param {String_Obligatoire} divResizeMoins : Rfrence pour le
* {@link #divResizeMoins bouton "-"} (pour redimensionnement).
* @param {String_Obligatoire} divLiens : Rfrence pour le
* '{@link #divLiens champ contenant les diffrents liens} (pour remplissage d'infos).
* @param {String_Obligatoire} divDeconnexion : Rfrence pour l'lment contenant le 
* {@link #divDeconnexion lien de dconnexion} (pour remplissage d'infos).
* @param {String_Obligatoire} divNavigationBar : Rfrence pour l'lment contenant la
* {@link #divNavisationBar barre de navigatio}n (pour remplissage d'infos).
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantEntete_setDivBind(cellLogo,cellHaut,divLogoPlus,divLogoMoins,
	cellTitre,divInfo,cellResize,divResizePlus,divResizeMoins,divLiens,divDeconnexion,divNavigationBar)
{
	this.cellLogo = cellLogo;
	this.cellHaut=cellHaut;
	this.divLogoPlus = divLogoPlus;
	this.divLogoMoins = divLogoMoins;
	this.cellTitre = cellTitre;
	this.divInfo = divInfo;
	this.cellResize = cellResize;
	this.divResizePlus = divResizePlus;
	this.divResizeMoins = divResizeMoins;
	this.divLiens = divLiens;
	this.divDeconnexion = divDeconnexion;
	this.divNavigationBar = divNavigationBar;
}


// initialise les divers lments div de l'entete

/**
* La mthode prive initDivBind() permet d'initialiser des rfrences d'lments HTML au sein de l'entte.
* Ces rfrences d'lments seront utilises pour deux types d'usage: le redimensionnement dynamique d'lments
* de l'entte (lors d'une action d'affichage/dsaffichage du menu) ou le remplissage d'informations.
* @see ComposantEntete#setDivBind Cf. fonction setDivBind pour la liste de ces rfrences.
* @private
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantEntete_initDivBind()
{
	// div pour l'icone  gauche de l'entete (utilis pour le redimensionnement)
	this.cellLogo = window.frames[frameEntete].document.getElementById("logo_cell");
	// div pour pour bandeau  droite du logo (utilis pour le redimensionnement)
	this.cellHaut = window.frames[frameEntete].document.getElementById("haut_cell");
	// div pour pour bandeau de titre large (utilis pour le redimensionnement)
	this.divLogoPlus = window.frames[frameEntete].document.getElementById("logo_plus_div");
	// div pour pour bandeau de titre troit (utilis pour le redimensionnement)
	this.divLogoMoins = window.frames[frameEntete].document.getElementById("logo_moins_div");
	// div pour le champ contenant le titre de l'application (utilis pour le positionnement d'info)
	this.cellTitre = window.frames[frameEntete].document.getElementById("titre_cell");
	// div pour le champ contenant les infos en bas  droite (utilis pour le positionnement d'info)
	this.divInfo = window.frames[frameEntete].document.getElementById("info_div");
	// div pour la cellule contenant les boutons "+" et "-" (utilis pour le redimensionnement)
	this.cellResize = window.frames[frameEntete].document.getElementById("resize_cell");
	// div pour le bouton "+" pour agrandir le contenu et cacher le menu (utilis pour le redimensionnement)
	this.divResizePlus = window.frames[frameEntete].document.getElementById("resize_plus_div");
	// div pour le bouton "-" pour rduire le contenu et afficher le menu(utilis pour le redimensionnement)
	this.divResizeMoins = window.frames[frameEntete].document.getElementById("resize_moins_div");
	// div pour le champ contenant les diffrents liens (utilis pour le positionnement d'info)
	this.divLiens = window.frames[frameEntete].document.getElementById("liens");
	// div pour le champ contenant le lien de dconnexion (utilis pour le positionnement d'info)
	this.divDeconnexion = window.frames[frameEntete].document.getElementById("deconnexion");
	// div pour le champ contenant l'entte de la barre de navigation
	this.divAccueilBar = window.frames[frameEntete].document.getElementById("accueilBar");
	// div pour le champ contenant la barre de navigation (utilis pour le positionnement d'info)
	this.divNavigationBar = window.frames[frameEntete].document.getElementById("navigationBar");
}


// Dfinition du composant entete
// id = id du composant entete
// nomAppli = nom de l'application
// XMLEntete = DOM contenant les infos de configuration de l'entete

/**
* Cre une instance de la classe ComposantEntete.
* <br><b>Voir Exemple d'instanciation de ce composant</b> pour un composant En tete :
* <a href='exemples_A3.html#ComposantEntete_constr'>Exemples d'appels aux constructeurs</a>.
* @class La classe <b>ComposantEntete</b> est la classe permettant de grer le composant Entete.
* <br>Ses proprits publiques dcrivent les attributs du composant et peuvent tre manipules ou interroges
* en dehors de la bibliothque du framework ergonomique. Ses proprits prives sont utilises au sein
* mme du framework ergonomique.
* <br>Ce composant utilise les classes utilitaires suivantes :<br>
* &gt; <b>{@link ObjectLien ObjectLien}</b> pour dcrire les liens  afficher dans l'entte.<br>
* &gt; <b>{@link XMLObject XMLObject}</b> pour stocker le paramtrage XML de l'entte.<br>
* &gt; <b>{@link XMLObjectCookie XMLObjectCookie}</b> pour sauvegarder le type d'affichage
* (entte affiche ou cache).
* <br><br><br><img alt="model" src="Image.ComposantEnteteUML.png"/><br>
* <br><br><br>RENDU IHM<br><br><img alt="exComposantEntete" src="Image.ComposantEntete.jpg" style="width: 642px; height: 88px;"><br>
* <br>
* @public
* @constructor
* @param {String_Obligatoire} id : String indiquant l'{@link #id id} du composant  instancier.
* Sa valorisation doit correspondre au nom de la variable JavaScript du composant instanci.
* @param {String_Obligatoire} nomAppli : String indiquant le {@link #nomAppli nom de l'application}
* associe au menu.
* @param {XMLObject_Obligatoire} XMLEntete : Objet {@link #XMLObject XMLObject} contenant le paramtrage XML du menu.
* @param {t_ObjectItem_Facultatif} tabMenu : Tableau d'objets {@link ObjectItem ObjetItem} 
* pour paramtrer le contenu informatif en JavaScript si pas de flux XML pour effectuer ce paramtrage.
* @version 1.1
* @date 25/10/2005
*/
function ComposantEntete(id,nomAppli,XMLEntete)
{
	/**
	* La proprit prive id est l'ID du composant entte. Sa valorisation doit correspondre au nom de
	* la variable JavaScript du composant instanci.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/
	this.id = id;
	
	/**
	* La proprit prive nomAppli indique le nom de l'application associe  l'entte.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.nomAppli = nomAppli;
	
	/**
	* La proprit prive resize indique le statut d'affichage affich (valeur "moins") ou (valeur "plus").
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.resize=null;
	
	/**
	* La proprit prive cellLogo indique la rfrence pour le logo  gauche de l'entte (pour redimensionnement).
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.cellLogo = null;
	
	/**
	* La proprit prive cellHaut indique la rfrence pour le bandeau  droite du logo de l'entte
	* (pour redimensionnement).
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.cellHaut = null;
	
	/**
	* La proprit prive divLogoPlus indique la rfrence pour le bandeau de titre large (pour redimensionnement).
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.divLogoPlus = null;
	
	/**
	* La proprit prive divLogoMoins indique la rfrence pour le bandeau de titre troit (pour redimensionnement).
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.divLogoMoins = null;
	
	/**
	* La proprit prive cellTitre indique la rfrence de l'lment contenant le titre de l'application (pour remplissage d'info).
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.cellTitre = null;
	
	/**
	* La proprit prive divInfo indique la rfrence des lments contenant les informations utilisateur
	* en bas  droite (pour remplissage d'infos).
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.divInfo = null;
	
	/**
	* La proprit prive cellResize indique la rfrence pour la cellule contenant les boutons "+" et "-"
	* (pour redimensionnement).
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.cellResize = null;
	
	/**
	* La proprit prive divResizePlus indique la rfrence pourle bouton "+" (pour redimensionnement).
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.divResizePlus = null;
	
	/**
	* La proprit prive divResizeMoins indique la rfrence pourle bouton "-" (pour redimensionnement).
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.divResizeMoins = null;
	
	/**
	* La proprit prive divLiens indique la rfrence pour le champ contenant les diffrents liens
	* (pour remplissage d'infos).
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.divLiens = null;

	/**
	* La proprit prive divDeconnexion indique la rfrence pour l'lment contenant le lien de dconnexion
	* (pour remplissage d'infos).
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.divDeconnexion = null;
	
	/**
	* La proprit prive divAccueilBar indique la rfrence pour l'lment contenant la barre d'accueil
	* lien de dconnexion (pour remplissage d'infos).
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.divAccueilBar = null;
	
	/**
	* La proprit prive divNavigationBar indique la rfrence pour l'lment contenant la barre de
	* navigation lien de dconnexion (pour remplissage d'infos).
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.divNavigationBar = null;
	
	/**
	* La proprit prive cookie indique un objet {@link XMLObjectCookie XMLObjectCookie}
	* pour sauvegarder le statut d'affichage menu affich/dsaffich.
	* <br><br>
	* @private
	* @type XMLObjectCookie
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.cookie = null;
	
	/**
	* La proprit prive XMLObjectEntete indique l'Objet {@link #XMLObject XMLObject} contenant le
	* paramtrage XML de l'entte.
	* <br><br>
	* @private
	* @type XMLObject
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.XMLObjectEntete = XMLEntete;
	
	/**
	* L'lment  argv  dans la classe ComposantEntete n'est pas une proprit, il permet de rcuprer
	* dans un tableau les arguments passs en paramtres du constructeur de la classe
	* (utile dans le cas des paramtres facultatifs, pour reprer les paramtres qui ont t soumis
	* par le dveloppeur). Il est dclar 'var'.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	var argv = ComposantEntete.arguments;
	
	/**
	* L'lment  argc  dans la classe ComposantEntete n'est pas une proprit, il permet de rcuprer
	* le nombre d'arguments passs en paramtres du constructeur de la classe (utile dans le cas des
	* paramtres facultatifs, pour compter les paramtres  soumis par le dveloppeur).
	* Il est dclar 'var'.
	* <br><br>
	* @private
	* @type Int
	* @version 1.1
	* @date 25/10/2005
	*/	
	var argc = ComposantEntete.arguments.length;
	
	/**
	* La proprit prive info indique l'information utilisateur  afficher en bas  droite de l'entte
	* (valeur extraite depuis le paramtrage XML de l'entte).
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.info = null;
	
	/**
	* La proprit prive titre indique le titre de l'application  afficher dans l'entte
	* (valeur extraite depuis le paramtrage XML de l'entte).
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.titre = null;
	
	/**
	* La proprit prive accueil indique l'URL de la page d'accueil.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.accueil = null;
	
	/**
	* La proprit prive deconnecte indique le lien de dconnexion.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.deconnecte = null;
	
	/**
	* La proprit prive liens indique un tableau d'objets {@link ObjectLien ObjectLien}
	* contenant les liens  afficher dans l'entte (valeurs extraites depuis le paramtrage XML de l'entte).
	* <br><br>
	* @private
	* @type Array de ObjectLien
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.liens = new Array();
	
	/**
	* La proprit prive urlDeconnexion indique l'URL de dconnexion
	* (valeur extraite depuis le paramtrage XML de l'entte).
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.urlDeconnexion = null;
	
	// Dfinition des mthodes 	
	this.setDivBind = ComposantEntete_setDivBind;
	this.initDivBind = ComposantEntete_initDivBind;
	this.initByXML = ComposantEntete_initByXML;
	this.ecrireBind = ComposantEntete_ecrireBind;
	this.ecrireBindNavigationBar = ComposantEntete_ecrireBindNavigationBar;
	this.resizePlus = ComposantEntete_resizePlus;
	this.resizeMoins = ComposantEntete_resizeMoins;
	this.restoreFromCookie = ComposantEntete_restoreFromCookie;
	this.writeToCookie = ComposantEntete_writeToCookie;
	this.ecrireHTMLLiens = ComposantEntete_ecrireHTMLLiens;
	this.ecrireHTMLDeconnexion = ComposantEntete_ecrireHTMLDeconnexion;
	this.constructor = ComposantEntete_constructor;
	this.constructor();
}


// Dfinition d'un objet Lien (pour les liens de l'entete comme aide, contact, etc)

/**
* Cre une nouvelle instance ObjectLien.
* @class La classe <b>ObjectLien</b> est la classe permettant de dcrire les liens  afficher dans l'entte.
* <br>Il n'existe pas de proprit prive pour cette classe. Il n'existe pas de mthode pour cette classe. <br>
* <br>Ses proprits publiques dcrivent les attributs d'un lment du composant Entete et peuvent tre manipules
* ou interroges en dehors de la bibliothque du framework ergonomique.
* <br><br><br><img alt="model" src="Image.ObjectLienUML.png"/><br>
* @public
* @constructor
* @param {String_Obligatoire} libelle {@link #libelle Chane de caractres}  indiquant le libell du lien.
* @param {String_Obligatoire} url {@link #url Chane de caractres} indiquant l'URL associe au lien.
* @param {String_Obligatoire} alt {@link #alt Chane de caractres} indiquant le texte alternatif du lien pour le roll-over.
* @version 1.1
* @date 25/10/2005
*/
function ObjectLien(libelle,url,alt)
{
	/**
	* La proprit publique libelle reprsente le libell du lien.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/
	this.libelle = libelle;
	
	/**
	* La proprit publique url reprsente l'URL associe au lien.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.url = url;
	
	/**
	* La proprit publique alt reprsente le texte alternatif du lien pour le roll-over.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.alt = alt;
}