/** 
* @fileoverview Ce fichier Javascript correspond au framework de gestion du texte long. Cette description consiste   prsenter les prototypes des fonctions, des 
* exemples d'appel et les prcisions techniques ncessaires  la mise en oeuvre de ce framework.<br>
*Le framework Texte long utilise les classes utilitaires suivantes :<br>&gt; <b>{@link ComposantTexteLong ComposantTexteLong}</b> pour grer le composant Texte long.<br>&gt; <b>{@link ObjectTexteLong ObjectTexteLong}</b>
* pour dcrire l'objet associ  un item du texte long (titre ou sous titre). <br><br><img alt="classesFwTexteLong"
* src="Image.ComposantTexteLongUML.png"><br><br>
* Ainsi, conformment aux principes du framework ergonomique, l'ensemble du contenu informatif peut tre paramtr sous forme de flux XML ou par
* l'intermdiaire d'un tableau JavaScript.<br>Le paramtrage du contenu informatif consiste  indiquer pour chaque titre (ou sous-titre)  son libell,
* c'est--dire son contenu textuel ainsi que le titre lui-mme  afficher puis une liste de sous-titres. La liste de sous-titres contient les mmes
* informations que le titre parent  savoir, libell, titre et liste des sous titres.<br><br>L'arborescence XML associ  ce paramtrage doit
* avoir la forme suivante :<br>
*<div style="border: 0.5pt solid windowtext; padding: 1pt 4pt; background: rgb(255, 255, 204) none repeat scroll 0% 50%; -moz-background-clip: initial; -moz-background-origin:
* initial; -moz-background-inline-policy: initial;"><code>&lt;COMPOSANT&gt;<br>&nbsp;&nbsp;&nbsp; &lt;PARTIE&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; 
*&lt;TITRE&gt;&lt;/TITRE&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;LIBELLE&gt;&lt;/LIBELLE&gt;<br>&nbsp;&nbsp;&nbsp;
* &nbsp;&nbsp;&nbsp;&lt;LISTE_PARTIE&gt;&lt;/LISTE_PARTIE&gt;<br>&nbsp;&nbsp;&nbsp; &lt;/PARTIE&gt;<br>&lt;/COMPOSANT&gt;<br></code></div>
* <br>L'lment racine de nom COMPOSANT ici peut prendre n'importe quel nom. Ce nom d'lment est utile que lors de la construction
* de la page pour passer le bon paramtrage lors de la construction du composant.<br>La dtermination de ce nom est dtermin soit par un
* modle de page ou par le dveloppeur de la page.  Il faut bien remarquer la structure rcursive du format XML pour le texte long. La balise
* &lt;LISTE_PARTIE&gt; peut contenir  nouveau la mme information que la balise &lt;PARTIE&gt; en une ou plusieurs instances.
*<b>Voir Exemple de structure XML du contenu informatif de ce composant pour l'exemple de texte long fourni dans les spcifiactions de maquettage : </b>
* <a href='exemples_A3.html#structXml'>Exemples de structure XML</a>.
*<br><br>RENDU IHM<br><br><span style="text-decoration: underline;">Composant Texte Long Arborescent :</span><br><br>Voici l'affichage d?un composant de texte long
* arborescent. La slection d'un titre ou sous-titre entrane l'affichage sous le titre lui-mme de son contenu ainsi que l'arborescence de ses sous-titres.
* Lorsqu'un titre ou sous-titre est slectionn tous les autres titres et sous-titres sont dsaffichs. Par ailleurs, l'arborescence qui mne au
* sous-titre consult apparat en gras. Cette slection en gras subit le mme comportement que l'affichage ou dsaffichage du texte lors de la 
*slection. <br><br><img alt="exTexteLongArborescent" src="Image.ComposantTexteLongArborescent.jpg"/>
*<br><br><span style="text-decoration: underline;">Composant Texte long Par Ancre :</span><br><br>Voici l'affichage du composant Texte Long  navigation par ancres. Cette
* reprsentation affiche le texte dans son intgralit ainsi qu'un sommaire en en-tte qui permet par simple clic de se rendre sur la partie
* concerne. Au niveau de chaque titre ou sous-titre il y a une icne de retour au sommaire.<br><br><img alt="exTexteLongParAncre"
* src="Image.ComposantTexteLongParAncre.jpg"/>
*<br><br><span style="text-decoration: underline;">Composant Texte Long Titre :</span><br><br>Voici l'affichage du texte long avec une navigation par titre. L'en-tte est
* toujours le sommaire arborescent avec visibilit sur toutes les parties et sous-parties du texte long. Ensuite, la navigation s'effectue par page lors du clic sur une partie,
* cette page incluant une navigation de type ancrage. Chaque page contient donc <br> une navigation par ancre ainsi qu'une icne en haut  gauche permettant le
* retour  la partie directement parente.<br> <br> Nous allons dtaills maintenant la navigation de la partie I de la maquette.<br> Ci-dessous, nous avons
* donc comme point d'entre le sommaire gnral du texte long  navigation par titre :<br><br><img alt="exTexteLongParTitreSommaire"
* src="Image.ComposantTexteLongParTitreSommaire.jpg"/>
*<br>Le clic sur la premire partie gnre l'affichage ci-dessous avec un sommaire  navigation par ancre puis un retour  ce sommaire par
* icne de retour. L'icne prsente en haut  droite permet le retour au sommaire gnral.
*<br><img alt="exTexteLongParTitreDernierSousTitre" src="Image.ComposantTexteLongParTitreSousTitre.jpg"/>
*<br>Ensuite, le clic sur la premire sous partie gnre l'affichage ci-dessous. Il n'y a plus de sommaire car il n'y a plus de sous partie. L'icne en
* haut  droite permet toujours le retour  la partie parente du texte long.
*<br><br><img alt="exTexteLongParTitreDernierSousTitre" src="Image.ComposantTexteLongParTitreDernierSousTitre.jpg"/>
*<br>
* @author Ministre des Affaires Etrangres, Aubay SA, Steve Pguet
* @version 1.1
* @date 25/10/2005
*/

/*
Copyright ou  ou Copr. 
Ministre des Affaires Etrangres,
Aubay SA,
Steve Pguet, (10/05/2004)

steve.peguet@diplomatie.gouv.fr

Ce logiciel est un programme informatique servant de framework JavaScript 
bas sur les normes W3C (XHTML/CSS/DOM/XML). Il offre la possibilit de 
mettre en uvre facilement les principes ergonomiques et techniques propres 
 un client riche (cumul des avantages du client lger et du client lourd).
Ce logiciel est rgi par la licence CeCILL soumise au droit franais et
respectant les principes de diffusion des logiciels libres. Vous pouvez
utiliser, modifier et/ou redistribuer ce programme sous les conditions
de la licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA 
sur le site "http://www.cecill.info".

En contrepartie de l'accessibilit au code source et des droits de copie,
de modification et de redistribution accords par cette licence, il n'est
offert aux utilisateurs qu'une garantie limite.  Pour les mmes raisons,
seule une responsabilit restreinte pse sur l'auteur du programme,  le
titulaire des droits patrimoniaux et les concdants successifs.

A cet gard  l'attention de l'utilisateur est attire sur les risques
associs au chargement,   l'utilisation,   la modification et/ou au
dveloppement et  la reproduction du logiciel par l'utilisateur tant 
donn sa spcificit de logiciel libre, qui peut le rendre complexe  
manipuler et qui le rserve donc  des dveloppeurs et des professionnels
avertis possdant  des  connaissances  informatiques approfondies.  Les
utilisateurs sont donc invits  charger  et  tester  l'adquation  du
logiciel  leurs besoins dans des conditions permettant d'assurer la
scurit de leurs systmes et ou de leurs donnes et, plus gnralement, 
 l'utiliser et l'exploiter dans les mmes conditions de scurit. 

Le fait que vous puissiez accder  cet en-tte signifie que vous avez 
pris connaissance de la licence CeCILL, et que vous en avez accept les
termes.*/

var icone_niv_neutre_over = '/proto/FrameworkERGO/images/bouton/arbo/IcoNivNeutreover.gif';
var icone_niv_neutre = '/proto/FrameworkERGO/images/bouton/arbo/IcoNivNeutre.gif';
var icone_niv_ouvert = '/proto/FrameworkERGO/images/bouton/arbo/IcoNivOuvert.gif';
var icone_niv_ouvert_over = '/proto/FrameworkERGO/images/bouton/arbo/IcoNivOuvertover.gif';
var icone_sommaire = '/proto/FrameworkERGO/images/bouton/page/IcoSommaire.gif';
var icone_sommaire_over = '/proto/FrameworkERGO/images/bouton/page/IcoSommaireover.gif';
var icone_imprimer = '/proto/FrameworkERGO/images/bouton/gestion/IcoImprimer.gif';
var icone_imprimer_over = '/proto/FrameworkERGO/images/bouton/gestion/IcoImprimerover.gif';
var icone_export_pdf = '/proto/FrameworkERGO/images/bouton/gestion/IcoExportPdf.gif';
var icone_export_pdf_over = '/proto/FrameworkERGO/images/bouton/gestion/IcoExportPdfover.gif';
var icone_niv_fermer = '/proto/FrameworkERGO/images/bouton/arbo/IcoNivFermeA.gif';
var icone_niv_fermer_over = '/proto/FrameworkERGO/images/bouton/arbo/IcoNivFermeAover.gif';

/**
* La mthode prive iconeOver(widget, Id) implmente le traitement  excuter sur l'vnement
* "onMouseOver" du composant Texte Long.
* @private
* @param {ObjectDOMHTML_Obligatoire} widget : Elment DOM HTML du composant Texte Long.
* @param {ObjectDOMHTML_Facultatif} Id : Rfrence de l'lment icne  positionner.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantTexteLong_changeIconeOnMouseOver(widget, Id)
{
  if (widget.childNodes[0].src.search(icone_niv_neutre) != -1)
    widget.childNodes[0].src = icone_niv_neutre_over;
  if (widget.childNodes[0].src.search(icone_sommaire) != -1)
    widget.childNodes[0].src = icone_sommaire_over;
  if (widget.childNodes[0].src.search(icone_imprimer) != -1)
    widget.childNodes[0].src = icone_imprimer_over;
  if (widget.childNodes[0].src.search(icone_export_pdf) != -1)
    widget.childNodes[0].src = icone_export_pdf_over;
  if (widget.childNodes[0].src.search(icone_niv_fermer) != -1)
    widget.childNodes[0].src = icone_niv_fermer_over;
    if (widget.childNodes[0].src.search(icone_niv_ouvert) != -1)
    widget.childNodes[0].src = icone_niv_ouvert_over;  
}

/**
* La mthode prive iconeOut(widget, Id) implmente le traitement  excuter sur l'vnement
* "onMouseOut" du composant Texte Long.
* @private
* @param {ObjectDOMHTML_Obligatoire} widget : Elment DOM HTML du composant Texte Long.
* @param {ObjectDOMHTML_Facultatif} Id : Rfrence de l'lment icne  positionner.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantTexteLong_changeIconeOnMouseOut(widget, Id)
{
  if (widget.childNodes[0].src.search(icone_niv_neutre_over) != -1)
    widget.childNodes[0].src = icone_niv_neutre;
  if (widget.childNodes[0].src.search(icone_sommaire_over) != -1)
    widget.childNodes[0].src = icone_sommaire;
  if (widget.childNodes[0].src.search(icone_imprimer_over) != -1)
    widget.childNodes[0].src = icone_imprimer;
  if (widget.childNodes[0].src.search(icone_export_pdf_over) != -1)
    widget.childNodes[0].src = icone_export_pdf;
  if (widget.childNodes[0].src.search(icone_niv_fermer_over) != -1)
    widget.childNodes[0].src = icone_niv_fermer;
  if (widget.childNodes[0].src.search(icone_niv_ouvert_over) != -1)
    widget.childNodes[0].src = icone_niv_ouvert; 
}

// Mthode pour grer l'affichage du texte du titre cliquer. Passage de policce gras  normal et
// affichage/dsaffichage du bloc de texte correspondant

/**
* La fonction globale gestion_block_recursif(Tableau, block, IdNiveau, Appel) permet de grer l'affichage
* du texte du titre cliqu : passage de police gras  normal et affichage/dsaffichage du bloc
* de texte correspondant.
* @public
* @param {Array_ObjectTexteLong_Obligatoire} Tableau : le Tableau d'objets rfrenant l'ensemble des titres
* prsents dans le texte long.
* @param {String_Obligatoire} block : Id de l'lment dom html (bloc de texte) associ au titre cliqu,
*  afficher/dsafficher.
* @param {int_Obligatoire} IdNiveau : N reprsentant le niveau du titre dans le texte long.
* @param {int_Obligatoire} Appel : Compteur d'appel du titre pour l'affichage/dsaffichage
* du bloc de texte associ.
* @return {void}
* @version 1.1
* @date :  25/10/2005
*/
function gestion_block_recursif(Tableau, block, IdNiveau, Appel)
{
  var i=0;
  for (i=0;i<Tableau.length;i++)
  {
    if (i==eval(block.substring(Appel, Appel + 1)))
	  {
        document.getElementById('block.' + IdNiveau + i).style.display='';
        document.getElementById('titre.' + IdNiveau + i).style.fontWeight="bold";
        document.getElementById('ico' + IdNiveau + i).src=icone_niv_ouvert;
      } else {
       document.getElementById('block.' + IdNiveau + i).style.display='none';
	   document.getElementById('titre.' + IdNiveau + i).style.fontWeight="";
	   document.getElementById('ico' + IdNiveau + i).src=icone_niv_fermer;
      }
    if (Tableau[i].tabSousNiveau !=null)
      gestion_block_recursif(Tableau[i].tabSousNiveau, block, IdNiveau + i, Appel + 1);
  }
}

// Mthode pour grer rcursivement l'affichage et le dsaffichage des blocs de texte dans le cas du texte long
// par arborescence. Tous les blocs de texte doivent tre ferm  l'exeption de celui qui a t cliqu.
/**
* @public
* @param {String_Obligatoire} block : Id de l'lment dom html (bloc de texte) associ au titre cliqu,
*  afficher/dsafficher.
* @return {void}
* @version 1.1
* @date :  25/10/2005
*/
function affiche(block)
{
  var NiveauBlock=block.split('.');
  if (document.getElementById(block).style.display=='')
    {
      document.getElementById(block).style.display='none';
      document.getElementById('ico' + NiveauBlock[1]).src=icone_niv_fermer;
      var titreblock='titre.'+ NiveauBlock[1];
      document.getElementById(titreblock).style.fontWeight="";
    } else {
      document.getElementById('ico' + NiveauBlock[1]).src=icone_niv_ouvert;
      gestion_block_recursif(ComposantTexteLongTest.tabTitres, NiveauBlock[1], '', 0);
    }
}


// Mthode pour gnrer rcursivement le code HTML du sommaire associ au composant Texte Long par Ancre

/**
* Mthode prive ecrireSommaireAncreRecursif() - Cette fonction va gnrer rcursivement le code HTML
* du sommaire contenant les liens vers les ancres dans la page.
* @private
* @param {Array_ObjectTexteLong_Obligatoire} Tableau : Tableau d'objets rfrenant l'ensemble
* des titres et sous-titres  prsents dans le texte long.
* @param {int_Obligatoire} IdNiveau : N reprsentant le niveau du titre dans le texte long.
* @return {string} code HTML
* @version 1.1
* @date 25/10/2005
*/
function ComposantTexteLong_ecrireHTML_Sommaire_Recursif(Tableau, IdNiveau)
{
  var c=0;
  var CodeHTML='';
  for (c=0;c<Tableau.length;c++)
  {
    CodeHTML += '<div class="arboniveau">\n';
    CodeHTML += '<a href="#c' + IdNiveau + c + '" onMouseOver="' + this.id + '.iconeOver(this)" onMouseOut="' + this.id + '.iconeOut(this)" title="' + Tableau[c].titre + '"><img src="' + icone_niv_neutre + '" alt="_" width="11" height="11" border="0">';
    CodeHTML += Tableau[c].titre;
    CodeHTML += '</a><br>\n';
    if (Tableau[c].tabSousNiveau != null)
      {
        CodeHTML += this.ecrireSommaireAncreRecursif(Tableau[c].tabSousNiveau, IdNiveau+c);
      }
    CodeHTML += '</div>\n';
  }
  return CodeHTML;
}


// Mthode pour gnrer rcursivement le code HTML de la partie corps de texte sous le sommaire
// associ au composant Texte Long par Ancre

/**
* Mthode prive ecrireTexteAncreRecursif() - Cette fonction va gnrer rcursivement
* le code HTML du corps de la page avec les liens de retour par icnes.
* @private
* @param {Array_ObjectTexteLong_Obligatoire} Tableau : Tableau d'objets rfrenant l'ensemble des titres et sous-titres  prsents dans le texte
* long.
* @param {int_Obligatoire} IdNiveau : N reprsentant le niveau du titre dans le corps de la page.
* @return {string} code HTML
* @version 1.1
* @date 25/10/2005
*/
function ComposantTexteLong_ecrireHTML_Corps_Recursif(Tableau, IdNiveau)
{
  var c=0;
  var CodeHTML='';
  for (c=0;c<Tableau.length;c++)
  {
    CodeHTML += '<div class="arboniveau">\n';
    CodeHTML += '<a name="c' + IdNiveau + c + '" id="c' + IdNiveau + c + '"></a>';
    CodeHTML += '<table width="100%" border="0" cellspacing="0" cellpadding="0">\n';
    CodeHTML += '<tr>\n';
    if (IdNiveau.length<2)
    {
      CodeHTML += '<td><h1>' + Tableau[c].titre + '</h1></td>';
    } else {
      CodeHTML += '<td><h2>' + Tableau[c].titre + '</h2></td>';
    }
    CodeHTML += '<td align="right"><a href="#haut"	onMouseOver="' + this.id + '.iconeOver(this)" onMouseOut="' + this.id + '.iconeOut(this)"><img border="0" src="' + icone_sommaire + '" width="16" height="16" alt="retour au sommaire" title="Retour au sommaire" title="Retour au sommaire"></a></td>\n';
    CodeHTML += '</tr>\n';
    CodeHTML += '</table>\n';
    CodeHTML += Tableau[c].texte + '\n';
    CodeHTML += '<br />\n';
    if (Tableau[c].tabSousNiveau != null)
    {
      CodeHTML += this.ecrireTexteAncreRecursif(Tableau[c].tabSousNiveau, IdNiveau+c);
    }
    CodeHTML += '</div>\n';
  }
  return CodeHTML;
}


// Mthode pour gnrer le code HTML associ au composant Texte Long par Ancre

/**
* Mthode prive ecrireComposantDomHTML() - Fonction interne renvoyant le code HTML associ au texte
* long avec navigation par ancre. Le code est renvoy sous la forme d'une chane de caractres
* prenant en compte l'ensemble du paramtrage effectusur la classe. Cette fonction, de la
* mme manire que la fonction qui gnre la structure rcursive du tableau d'objets va gnrer l'affichage
* par des fonctions rcursives de gnration du code HTML.
* @see #ecrireSommaireAncreRecursif
* @see  #ecrireTexteAncreRecursif
* @private
* @param {} Aucun
* @return {string} Code HTML associ au texte long avec navigation par ancre.
* @version 1.1
* @date 25/10/2005
*/
function ComposantTexteLong_ecrireHTML()
{
  if (this.tabTitres.length == 0)
    return "Texte Long vide";
  var CodeHTML = '<a name="haut"></a>\n';
  CodeHTML += '<table width="90%" border="0" cellspacing="0" cellpadding="0">\n';
  CodeHTML += '<tr>\n';
  CodeHTML += '<td>\n';
  CodeHTML += this.ecrireSommaireAncreRecursif(this.tabTitres, '');
  CodeHTML += '</td>\n';
  CodeHTML += '<td align="right" valign="top">\n';
  if (this.PdfUrl != null)
  {
    CodeHTML += '<a href="javascript:parent.OpenWindow(\'' + this.PdfUrl + '\',\'test\',\'height=800, width=850, scrollbars=yes, screenX=10, screenY=10\')" onMouseOver="' + this.id + '.iconeOver(this)" onMouseOut="' + this.id + '.iconeOut(this)"><img src="' + icone_imprimer + '" alt="Version HTML imprimable" title="Version HTML imprimable" width="16" height="16" border="0"></a><br>&nbsp;<br>';
  }
  if (this.VersionImprimable != null)
  {
    CodeHTML += '<a href="javascript:parent.OpenWindow(\'' + this.VersionImprimable + '\',\'test\',\'height=800, width=850, scrollbars=yes, screenX=10, screenY=10\')" onMouseOver="' + this.id + '.iconeOver(this)" onMouseOut="' + this.id + '.iconeOut(this)"><img src="' + icone_export_pdf + '" alt="Version PDF" title="Version PDF" width="19" height="16" border="0"></a><br>&nbsp;<br>';
  }
  CodeHTML += '</td>\n';
  CodeHTML += '</tr>\n';
  CodeHTML += '</table>\n';
  CodeHTML += '</br>&nbsp;</br>\n';
  CodeHTML += '<div style="margin: 0 0 0 16px;">\n';
  CodeHTML += '<table width="90%" border=0" cellspacing="0" cellpadding="4">\n';
  CodeHTML += '<tr>\n';
  CodeHTML += '<td>\n';
  CodeHTML += this.ecrireTexteAncreRecursif(this.tabTitres, '');
  CodeHTML += '</td>\n';
  CodeHTML += '</tr>\n';
  CodeHTML += '</table>\n';
  return CodeHTML;
}


// Mthode pour gnrer la partie recursive du code HTML associ au composant Texte Long Arborescent

/**
* La mthode publique ecrireArboRecursif(TabSousTitresArbo, IdNiveau) dclenche la gnration de la partie
* rcursive du code HTML associ au composant Texte Long Arborescent.
* <br>Fonctionnement :<br>
* 1. Dsaffichage de la zone dynamique (lment DOM HTML identifi par IdNiveau).<br>
* 2. Rcupration du code HTML associ au composant Arborescence.<br>
* 3. Bind le code HTML  la zone dynamique associe au composant Arborescence.<br>
* 4. Affichage de la zone dynamique<br>
* @public
* @param {Array_ObjectDOMHTML_Obligatoire} Tableau des sous-titres du composant Texte Long  afficher en niveau.
* @param {int_Optionnel} IdNiveau : Id de l'lment DOM HTML  afficher dans un niveau du composant Texte Long Arborescent.
* @return {string} Code HTML
* @version 1.1
* @date 25/10/2005
*/
function ComposantTexteLong_ecrireHTML_Arbo_recursif(TabSousTitresArbo, IdNiveau)
{
  var CodeHTML_Recursif = '';
  var LongueurTableau = TabSousTitresArbo.length;
  var p=0;
  for (p=0;p<LongueurTableau;p++)
  {
    CodeHTML_Recursif += '<div id="titre.' + IdNiveau + p +'" name="titre.' + IdNiveau + p + '"><a id="a.' + IdNiveau + p + '" name="a.' + IdNiveau + p + '" href="javascript:affiche(\'block.' + IdNiveau + p + '\')" onMouseOver="' + this.id + '.iconeOver(this)" onMouseOut="' + this.id + '.iconeOut(this)"><img id="ico' + IdNiveau + p + '" name="ico' + IdNiveau + p + '" src="' + icone_niv_fermer + '" alt="_" width="11" height="11" border="0">\n';
    CodeHTML_Recursif += '&nbsp;' + TabSousTitresArbo[p].titre;
    CodeHTML_Recursif += '</a><br></div>\n';
    if (TabSousTitresArbo[p].tabSousNiveau == null)
    {
      CodeHTML_Recursif += '<div id="block.' + IdNiveau + p + '" name="block.' + IdNiveau + p +'" style="display:none">\n';
      CodeHTML_Recursif += TabSousTitresArbo[p].texte + '<br>\n';
      CodeHTML_Recursif += '</div>\n';
    } else {
      CodeHTML_Recursif += '<div class="arboniveau" id="block.' + IdNiveau + p + '" name="block.' + IdNiveau + p + '" style="display:none">\n';
      CodeHTML_Recursif += TabSousTitresArbo[p].texte + '<br>\n';
      CodeHTML_Recursif += this.ecrireArboRecursif(TabSousTitresArbo[p].tabSousNiveau, IdNiveau + p);
      CodeHTML_Recursif += '</div>\n';
    }
  }
  return CodeHTML_Recursif;
}


// Mthode pour gnrer le code HTML associ au composant Texte Long Arborescent

/**
* Mthode prive ecrireComposantDomHTML_Arbo() - Fonction interne renvoyant le code HTML associ
* au texte long avec navigation par arborescence. Le code est renvoy sous la forme d'une chane de
* caractres prenant en compte l'ensemble du paramtrage effectu sur la classe.
* Cette fonction est galement dote de la rcursivit pour la gnration du code HTML de la page.
* @see #ecrireArboRecursif
*	@private
* @param {} Aucun
*	@return {string} Code HTML associ au texte long avec navigation par arborescence
* @version 1.1
* @date 25/10/2005
*/
function ComposantTexteLong_ecrireHTML_Arbo()
{
  if (this.tabTitres.length == 0)
    return "Texte Long vide";
  var CodeHTML = '<table width="90%" border="0" cellspacing="0" cellpadding="0">\n';
  CodeHTML += '<tr>\n';
  CodeHTML += '<td>\n';
  CodeHTML += this.ecrireArboRecursif(this.tabTitres, '');
  CodeHTML += '</td>\n';
  CodeHTML += '</tr>\n';
  CodeHTML += '</table>\n';
  CodeHTML += '</br>&nbsp;</br>\n';
  return CodeHTML;
}


// Mthode pour gnrer rcursivement le code HTML associ au composant Texte Long Arborescent

/**
* Mthode prive ecrireTitreDernierSousTitreRecursif(tabEcrireEval, Appel) - Cette fonction gnre le dernier
* type de page dans la navigation par titre du texte long. Ce sont les pages qui n'ont plus de pages filles
* (dernier sous-titre).
*	@private
* @param {Array_ObjectTexteLong_Obligatoire} tabEcrireEval : Tableau d'objets rfrenant l'ensemble des
* titres et sous-titres prsents dans le texte long.
* @param {ComposantTexteLong_Obligatoire} Appel : Objet ComposantTexteLong
* @return {string} code HTML 
* @version 1.1
* @date 25/10/2005
*/
function ComposantTexteLong_ecrire_Titre_Dernier_SousTitre(tabEcrireEval, Appel)
{
  var tabEcrire=eval(tabEcrireEval);
  var CodeHTML_Titre ='';
  var TitreAlt = eval(Appel).titre;
  CodeHTML_Titre += '<div style="margin: 0 0 0px 16px;">\n';
  CodeHTML_Titre += '<table width="90%" border="0" cellspacing="0" cellpadding="4">\n';
  CodeHTML_Titre += '<tr>\n';
  CodeHTML_Titre += '<td>\n';
  CodeHTML_Titre += '<div>\n';
  CodeHTML_Titre += '<table width="100%" border="0" cellspacing="0" cellpadding="0">\n';
  CodeHTML_Titre += '<tr>\n';
  CodeHTML_Titre += '<td><h2 class="decal">' + tabEcrire.titre + '</h2></td>\n';
  CodeHTML_Titre += '<td align="right">\n';
  if (this.PdfUrl != null)
  {
    CodeHTML_Titre += '<a href="javascript:parent.OpenWindow(\'' + this.PdfUrl + '\',\'test\',\'height=800, width=850, scrollbars=yes, screenX=10, screenY=10\')" onMouseOver="' + this.id + '.iconeOver(this)" onMouseOut="' + this.id + '.iconeOut(this)"><img src="' + icone_export_pdf + '" alt="Version HTML imprimable" title="Version HTML imprimable" width="16" height="16" border="0"></a>&nbsp;';
  }
  if (this.VersionImprimable != null)
  {
    CodeHTML_Titre += '<a href="javascript:parent.OpenWindow(\'' + this.VersionImprimable + '\',\'test\',\'height=800, width=850, scrollbars=yes, screenX=10, screenY=10\')" onMouseOver="' + this.id + '.iconeOver(this)" onMouseOut="' + this.id + '.iconeOut(this)"><img src="' + icone_imprimer + '" alt="Version PDF" title="Version PDF" width="19" height="16" border="0"></a>&nbsp;';
  }
  if (Appel == "ComposantTexteLongTest")
  {
    CodeHTML_Titre += '<a href="javascript:ComposantTexteLongTest.ecrireBind()"	onMouseOver="' + this.id + '.iconeOver(this)" onMouseOut="' + this.id + '.iconeOut(this)"><img border="0" src="' + icone_sommaire + '" width="16" height="16" alt="Retour au sommaire" title="Retour au sommaire"></a><br>&nbsp;<br>';
  } else {
    CodeHTML_Titre += '<a href="javascript:ComposantTexteLongTest.ecrireBindSousTitre(\'' + Appel + '\')"	onMouseOver="' + this.id + '.iconeOver(this)" onMouseOut="' + this.id + '.iconeOut(this)"><img border="0" src="' + icone_sommaire + '" width="16" height="16" alt="Aller au titre ' + TitreAlt + '" title="Aller au titre ' + TitreAlt + '"></a><br>&nbsp;<br>';
  }
  CodeHTML_Titre += '</td>\n';
  CodeHTML_Titre += '</tr>\n';
  CodeHTML_Titre += '</table>\n';
  CodeHTML_Titre += '<div class="decal">\n' + tabEcrire.texte + '\n';
  CodeHTML_Titre += '</div>\n';
  CodeHTML_Titre += '<br>\n';
  CodeHTML_Titre += '</div>\n';
  CodeHTML_Titre += '</td>\n';
  CodeHTML_Titre += '</tr>\n';
  CodeHTML_Titre += '</table>\n';
  CodeHTML_Titre += '</div>\n';
  return CodeHTML_Titre;
}

// Mthode pour gnrer rcursivement le code HTML du sommaire associ au composant Texte Long par Titre
// dans le cas des pages  navigation par ancre.

/**
* Mthode prive ecrireSousTitreRecursif(tabEcrireEval, IdNiveau) - Cette fonction s'occupe
* de la gnration de l'en-tte (ou sommaire) des pages qui ont une page parente (titre ou sous-titre)
* et galement des pages filles (dtail des sous-titres). Les liens de se sommaire vont
* amens  voir le dtail d'un sous-titre.
* @private
* @param {Array_ObjectTexteLong_Obligatoire} tabEcrireEval : le Tableau d'objets rfrenant l'ensemble
* des titres et sous-titres prsents dans le texte long.
* @param {int_Obligatoire} IdNiveau : N reprsentant le niveau du titre dans le sommaire.
* @return {string} code HTML 
* @version 1.1
* @date 25/10/2005
*/
function ComposantTexteLong_ecrire_Titre_Sommaire_SousTitres_Recursif(tabEcrireEval, IdNiveau)
{
  var CodeHTML = '';
  var p=0;
  var tabEcrire=eval(tabEcrireEval);
  var j = 0;
  for (j=0;j<tabEcrire.length;j++)
  {
    CodeHTML += '<a href="javascript:ComposantTexteLongTest.ecrireBindSousTitre(\'' + tabEcrireEval + '[' + j + ']\')" onMouseOver="' + this.id + '.iconeOver(this)" onMouseOut="' + this.id + '.iconeOut(this)"><img name="ico' + 1 + IdNiveau + j + '" src="' + icone_niv_neutre + '" alt="_" width="11" height="11" border="0">';
    CodeHTML += tabEcrire[j].titre;
    CodeHTML += '</a><br>\n';
    if (tabEcrire[j].tabSousNiveau != null)
    {
      CodeHTML += '<div class="arboniveau">\n';
      CodeHTML += this.ecrireTitreSousTitreRecursif(tabEcrireEval + '[' + j + '].tabSousNiveau', IdNiveau + j);
    }
  }
  CodeHTML += '</div>\n';
  return CodeHTML;
}

// Mthode pour gnrer rcursivement le code HTML de la partie corps de texte sous le sommaire
// associ au composant Texte Long par Titre dans le cas des pages  navigation par ancre

/**
* Mthode prive ecrireCorpsSousTitreRecursif(tabEcrireEval, IdNiveau) - Cette fonction gnre la partie 
* corps de page et est appele juste aprs la fonction
* {@link #ecrireTitreSousTitreRecursif ecrireTitreSousTitreRecursif}.
* @private
* @param {t_ObjectTexteLong_Obligatoire} tabEcrireEval : Tableau d'objets rfrenant l'ensemble des titres et sous-titres  prsents dans le
* texte long.
* @param {int_Obligatoire} IdNiveau : N reprsentant le niveau du titre dans le corps de page.
* @return {string} code HTML 
* @version 1.1
* @date 25/10/2005
*/
function ComposantTexteLong_ecrire_Titre_Corps_SousTitres_Recursif(tabEcrireEval, IdNiveau)
{
  var CodeHTML_Titre = '';
  var p=0;
  var tabEcrire=eval(tabEcrireEval);
  var j = 0;
  for (j=0;j<tabEcrire.length;j++)
  {
    CodeHTML_Titre += '<a name="c' + 1 + IdNiveau + j + '" id="c' + 1 + IdNiveau + j + '"></a>\n';
    CodeHTML_Titre += '<table width="100%" border=0" cellspacing="0" cellpadding="0">\n';
    CodeHTML_Titre += '<tr>\n';
    CodeHTML_Titre += '<td><h2 class="decal">' + tabEcrire[j].titre + '</h2></td>\n';
    CodeHTML_Titre += '<td align="right"><a href="#haut"	onMouseOver="' + this.id + '.iconeOver(this)" onMouseOut="' + this.id + '.iconeOut(this)"><img border="0" src="' + icone_sommaire + '" width="16" height="16" alt="Retour au sommaire de la page" title="Retour au sommaire de la page"></a></td>\n';
    CodeHTML_Titre += '</tr>\n';
    CodeHTML_Titre += '</table>\n';
    CodeHTML_Titre += '<div class="decal">\n';
    CodeHTML_Titre += tabEcrire[j].texte;
    CodeHTML_Titre += '<br />\n';
    if (tabEcrire[j].tabSousNiveau != null)
    {
      CodeHTML_Titre += this.ecrireTitreCorpsSousTitreRecursif(tabEcrireEval + '[' + j + '].tabSousNiveau', IdNiveau + j);
    } else {
      CodeHTML_Titre += '</div>\n';
    }
  }
  CodeHTML_Titre += '</div>\n';
  return CodeHTML_Titre;
}


// Mthode pour gnrer le code HTML associ au composant Texte Long par Titre

/**
* La mthode publique ecrireTitre(tabEcrireEval) dclenche la gnration du code HTML associ
* au composantTexte Long par Titre.
* @public
* @param {Array_ObjectTexteLong} tabEcrireEval : tableau d'objets {@link ObjectTexteLong ObjectTexteLong}
* refltant l'ensemble des titres prsents dans le composant du texte long.
* @return {string} Code HTML
* @version 1.1
* @date 25/10/2005
*/
function ComposantTexteLong_ecrire(tabEcrireEval)
{
  var LesTitres=tabEcrireEval.split('.');
  var Appel=LesTitres[0];
  for (z=1;z<(LesTitres.length-1);z++)
    Appel += '.'+ LesTitres[z];
  var TitreAlt = eval(Appel).titre;
  var tabEcrire=eval(tabEcrireEval);
  if (tabEcrire == null)
    return "Texte Long vide";
  var CodeHTML_Titre = '<a name="haut"></a>\n';
  CodeHTML_Titre += '<table width="90%" border="0" cellspacing="0" cellpadding="0">\n';
  CodeHTML_Titre += '<tr>\n';
  CodeHTML_Titre += '<td>\n';
  CodeHTML_Titre += '<div class="arboniveau">\n';
  if (tabEcrire.tabSousNiveau != null)
  {
    CodeHTML_Titre += '<h1>' + tabEcrire.titre + '</h1><br>\n';
    CodeHTML_Titre += '<div class="arboniveau">\n';
    CodeHTML_Titre += this.ecrireTitreSousTitreRecursif(tabEcrireEval + '.tabSousNiveau', '');
    CodeHTML_Titre += '</div>\n';
    CodeHTML_Titre += '</td>\n';
    CodeHTML_Titre += '<td align="right" valign="top">\n';
    if (Appel == "ComposantTexteLongTest")
    {
      CodeHTML_Titre += '<a href="javascript:ComposantTexteLongTest.ecrireBind()" onMouseOver="' + this.id + '.iconeOver(this)" onMouseOut="' + this.id + '.iconeOut(this)"><img border="0" src="' + icone_sommaire + '" width="16" height="16" alt="Retour au sommaire gnral" title="Retour au sommaire gnral"></a><br>&nbsp;<br>';
    } else {
      CodeHTML_Titre += '<a href="javascript:ComposantTexteLongTest.ecrireBindSousTitre(\'' + Appel + '\')"	onMouseOver="' + this.id + '.iconeOver(this)" onMouseOut="' + this.id + '.iconeOut(this)"><img border="0" src="' + icone_sommaire + '" width="16" height="16" alt="Retour au titre ' + TitreAlt + '" title="Retour au titre ' +TitreAlt + '"></a><br>&nbsp;<br>';
    }
    if (this.PdfUrl != null)
    {
      CodeHTML_Titre += '<a href="javascript:parent.OpenWindow(\'' + this.PdfUrl + '\',\'test\',\'height=800, width=850, scrollbars=yes, screenX=10, screenY=10\')" onMouseOver="' + this.id + '.iconeOver(this)" onMouseOut="' + this.id + '.iconeOut(this)"><img src="' + icone_export_pdf + '" alt="Version HTML imprimable" title="Version HTML imprimable" width="16" height="16" border="0"></a><br>&nbsp;<br>';
    }
    if (this.VersionImprimable != null)
    {
      CodeHTML_Titre += '<a href="javascript:parent.OpenWindow(\'' + this.VersionImprimable + '\',\'test\',\'height=800, width=850, scrollbars=yes, screenX=10, screenY=10\')" onMouseOver="' + this.id + '.iconeOver(this)" onMouseOut="' + this.id + '.iconeOut(this)"><img src="' + icone_imprimer + '" alt="Version PDF" title="Version PDF" width="19" height="16" border="0"></a>';
    }
    CodeHTML_Titre += '</td>\n';
    CodeHTML_Titre += '</tr>\n';
    CodeHTML_Titre += '</table>\n';
    CodeHTML_Titre += '</br>&nbsp;</br>\n';
    CodeHTML_Titre += '</br>&nbsp;</br>\n';
    CodeHTML_Titre += '</br>&nbsp;</br>\n';
    CodeHTML_Titre += '</br>&nbsp;</br>\n';	
  } else {
    CodeHTML_Titre += this.ecrireTitreDernierSousTitre(tabEcrireEval, Appel);
  }
  if (tabEcrire.tabSousNiveau != null)
  {
    CodeHTML_Titre += '<div style="margin: 0 0 0 16px;">\n';
    CodeHTML_Titre += '<table width="90%" border=0" cellspacing="0" cellpadding="4">\n';
    CodeHTML_Titre += '<tr>\n';
    CodeHTML_Titre += '<td>\n';
    CodeHTML_Titre += '<div>\n';
    CodeHTML_Titre += '<table width="100%" border="0" cellspacing="0" cellpadding="0">\n';
    CodeHTML_Titre += '<tr>\n';
    CodeHTML_Titre += '<td><h1>' + tabEcrire.titre + '</h1></td>';
    CodeHTML_Titre += '<td align="right"><a href="#haut" onMouseOver="' + this.id + '.iconeOver(this)" onMouseOut="' + this.id + '.iconeOut(this)"><img border="0" src="' + icone_sommaire + '" width="16" height="16" alt="Retour au sommaire de la page" title="Retour au sommaire de la page"></a></td>\n';
    CodeHTML_Titre += '</tr>\n';
    CodeHTML_Titre += '</table>\n';
    CodeHTML_Titre += tabEcrire.texte + '\n';
    CodeHTML_Titre += '<br />\n';
    if (tabEcrire.tabSousNiveau != null)
    {
      CodeHTML_Titre += this.ecrireTitreCorpsSousTitreRecursif(tabEcrireEval + '.tabSousNiveau', '');
    }
    CodeHTML_Titre += '</td>\n';
    CodeHTML_Titre += '</tr>\n';
    CodeHTML_Titre += '</table>\n';
    CodeHTML_Titre += '</div>\n';
  }
  return CodeHTML_Titre;
}

// Mthode pour gnrer rcursivement le code HTML de la page sommaire gnral associ au composant 
// Texte Long par Titre

/**
* Mthode prive ecrireTitreRecursif(Tableau, IdNiveau, IdFonction) - Cette fonction gnre la premire
* page de sommaire pour le texte long  navigation par titre et ce de manire rcursive toujours.
* @private
* @param {Array_ObjectTexteLong_Obligatoire} Tableau : Tableau d'objets rfrenant l'ensemble des titres
* et sous-titres  prsents dans le texte long.
* @param {int_Obligatoire} IdNiveau : N reprsentant le niveau du titre dans le sommaire.
* @param {int_Obligatoire} IdFonction : N reprsentant le niveau du sous-titre dans le sommaire.
* @return {string} code HTML 
* @version 1.1
* @date 25/10/2005
*/
function ComposantTexteLong_ecrireHTML_Titre_Recursif(Tableau, IdNiveau, IdFonction)
{
  var c=0;
  var CodeHTML='';
  for (c=0;c<Tableau.length;c++)
  {
    CodeHTML += '<div class="arboniveau">\n';
    if (IdNiveau.length<2)
    {
      CodeHTML += '<a href="javascript:ComposantTexteLongTest.ecrireBindSousTitre(\'ComposantTexteLongTest.tabTitres[' + c + ']\')" onMouseOver="' + this.id + '.iconeOver(this)" onMouseOut="' + this.id + '.iconeOut(this)"><img src="' + icone_niv_neutre + '" alt="_" width="11" height="11" border="0">';
    } else {
      CodeHTML += '<a href="javascript:ComposantTexteLongTest.ecrireBindSousTitre(\'' + IdFonction + '.tabSousNiveau[' + c + ']\')" onMouseOver="' + this.id + '.iconeOver(this)" onMouseOut="' + this.id + '.iconeOut(this)"><img src="' + icone_niv_neutre + '" alt="_" width="11" height="11" border="0">';
    }
    CodeHTML += Tableau[c].titre;
    CodeHTML += '</a><br>\n';
    if (Tableau[c].tabSousNiveau != null)
    {
      if (IdNiveau.length<2)
      {
        CodeHTML += this.ecrireTitreRecursif(Tableau[c].tabSousNiveau, c, 'ComposantTexteLongTest.tabTitres[' + c + ']');
      } else {
        CodeHTML += this.ecrireTitreRecursif(Tableau[c].tabSousNiveau, c, IdFonction + '.tabSousNiveau[' + c + ']');
      }
    }
    CodeHTML += '</div>\n';
  }
  return CodeHTML;
}

// Mthode pour gnrer le code HTML de la page sommaire gnral associ au composant Texte Long par Titre
/**
* Mthode prive ecrireComposantDOMHTML_Titre() - Fonction interne renvoyant le code HTML associ au texte
* long avec navigation par titre. Le code est renvoy sous la forme d'une chane de caractres prenant en compte
* l'ensemble du paramtrage effectu sur la classe. Dans cette fonction les mmes principes de rcursivit sont
* utiliss.
* @see #ecrireTitreRecursif
* @private
* @param {} Aucun
* @return {string} code HTML associ au texte long avec navigation par titre.
* @version 1.1
* @date 25/10/2005
*/
function ComposantTexteLong_ecrireHTML_Titre()
{
  if (this.tabTitres.length == 0)
    return "Texte Long vide";
  var CodeHTML = '<table width="90%" border="0" cellspacing="0" cellpadding="0">\n';
  CodeHTML += '<tr>\n';
  CodeHTML += '<td>\n';
  CodeHTML += '<div class="arboniveau">\n';
  CodeHTML += this.ecrireTitreRecursif(this.tabTitres, '');
  CodeHTML += '</div>\n';
  CodeHTML += '</td>\n';
  CodeHTML += '</tr>\n';
  CodeHTML += '</table>\n';
  CodeHTML += '</br>&nbsp;</br>\n';
  return CodeHTML;
}


// Mthode rcursive de cration du tableau javascript reprsentant le composant Texte Long.

/**
* La fonction globale CreerSousTitre(XMLDoc) permet de crer le tableau javascript qui reprsente le composant
* Texte Long.
* @param {XMLObjectSauvegarde_Obligatoire} XMLDoc : Elment XML (Objet de type Node) prsent dans un objet DOM.
* @return {Array_ObjectTexteLong} Tableau javascript reprsentant le composant Texte Long.
* @version 1.1
* @date 25/10/2005
*/
function CreerSousTitre(XMLDoc)
{
  var tableauSousTitres=new Array();
  var NombreSousTitres=XMLDoc.childNodes.length;
  var enfantsSousTitres=false;
  var compteurSousTitres=0;
  
  for (compteurSousTitres=0;compteurSousTitres<NombreSousTitres;compteurSousTitres++)
  {
    enfantsSousTitres=parent.estVide(XMLDoc.childNodes[compteurSousTitres].childNodes[2]);
    if (!enfantsSousTitres)
    {
      tableauSousTitres[compteurSousTitres] = new ObjectTexteLong(parent.getData(XMLDoc.childNodes[compteurSousTitres].childNodes[0]), parent.getData(XMLDoc.childNodes[compteurSousTitres].childNodes[1]), CreerSousTitre(XMLDoc.childNodes[compteurSousTitres].childNodes[2]));
    } else {
      tableauSousTitres[compteurSousTitres] = new ObjectTexteLong(parent.getData(XMLDoc.childNodes[compteurSousTitres].childNodes[0]), parent.getData(XMLDoc.childNodes[compteurSousTitres].childNodes[1]));
    }
  }
  return tableauSousTitres;
}


// Fonction pour initialiser le contenu du tableau refltant l'ensemble des items prsents  partir 
// d'un flux XML pour le composant Texte Long

/**
* La  mthode prive initTabByXML() permet de construire le tableau d'objets rfrenant l'ensemble des titres
* et sous-titres prsents dans le texte long   partir d'un paramtrage effectu par un flux XML.
* Elle est appele par le {@link ComposantTexteLong constructeur} de la classe lorsqu'un flux XML lui est
* passe en argument.
* @private
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantTexteLong_initTabByXML()
{
  var nodeslength=this.XMLObjectTexteLong.xmlDoc.documentElement.childNodes.length;
  var compteur=0;
  var tableau=new Array();
  for (compteur=0;compteur<nodeslength;compteur++)
  {
    if (this.popup)
    {
      if (!estVide(this.XMLObjectTexteLong.xmlDoc.documentElement.childNodes[compteur].childNodes[2]))
      {
        this.tabTitres[compteur] = new ObjectTexteLong(getData(this.XMLObjectTexteLong.xmlDoc.documentElement.childNodes[compteur].childNodes[0]), getData(this.XMLObjectTexteLong.xmlDoc.documentElement.childNodes[compteur].childNodes[1]), CreerSousTitre(this.XMLObjectTexteLong.xmlDoc.documentElement.childNodes[compteur].childNodes[2]));
      } else {
        this.tabTitres[compteur] = new ObjectTexteLong(getData(this.XMLObjectTexteLong.xmlDoc.documentElement.childNodes[compteur].childNodes[0]), getData(this.XMLObjectTexteLong.xmlDoc.documentElement.childNodes[compteur].childNodes[1]));
      }
    } else {
      if (!parent.estVide(this.XMLObjectTexteLong.xmlDoc.documentElement.childNodes[compteur].childNodes[2]))
      {
        this.tabTitres[compteur] = new ObjectTexteLong(parent.getData(this.XMLObjectTexteLong.xmlDoc.documentElement.childNodes[compteur].childNodes[0]),parent.getData(this.XMLObjectTexteLong.xmlDoc.documentElement.childNodes[compteur].childNodes[1]), CreerSousTitre(this.XMLObjectTexteLong.xmlDoc.documentElement.childNodes[compteur].childNodes[2]));
      } else {
        this.tabTitres[compteur] = new ObjectTexteLong(parent.getData(this.XMLObjectTexteLong.xmlDoc.documentElement.childNodes[compteur].childNodes[0]),parent.getData(this.XMLObjectTexteLong.xmlDoc.documentElement.childNodes[compteur].childNodes[1]));
      }
    }
  }
}

// JavaScript propre au FW Ergonomique

// CLASSE dfinissant un Texte Long

/**
* Cre une nouvelle instance ObjectTexteLong. 
* @class La classe <b>ObjectTexteLong</b>  est la classe permettant de grer  le composant Texte Long.
* <br> Il n'existe pas de proprit prive pour cette classe. Il n'existe pas de mthode pour cette classe. <br>
* <br> Ses proprits publiques dcrivent les attributs d'un composant Texte Long et peuvent tre manipules
* ou interroges en dehors de la bibliothque du framework ergonomique.
* <br><br><br><img src="Image.ObjectTexteLongUML.png"/><br><br><br>
* @constructor
* @param {String_Obligatoire} {@link #titre titre} Chane de caractres reprsentant le titre d'une partie.
* @param {String_Obligatoire} {@link #texte texte} Chane de caractres reprsentant le contenu de la partie.
* @param {Array_ObjectTexteLong_Optionnel} {@link #tabSousNiveau tabSousNiveau} Tableau javascript contenant
* de nouveau une liste d'ObjectTexteLong. Dans ce tableau on retrouve les principes de
* rcursivit vue dans le fichier XML. La fonction de cration de ce tableau effectue un balayage complet de
* l'arbre XML de manire rcursive et recre la structure rcursive par imbrication de tableau.
* @version 1.1
* @date 25/10/2005
*/
function ObjectTexteLong(titre, texte)
{
	/**
	* L'lment argvtextelong dans la classe ObjectTexteLong n'est pas une proprit,
	* il permet de rcuprer dans un tableau les arguments passs en paramtres 
	* du constructeur de la classe (utile dans le cas des paramtres facultatifs,
	* pour reprer les paramtres qui ont t soumis par le dveloppeur).
	* Il est dclar 'var'.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/
  var argvtextelong = ObjectTexteLong.arguments;
  
	/**
	* L'lment  argctextelong  dans la classe ObjectTexteLong n'est pas une proprit, il permet de
	* rcuprer le nombre d'arguments passs en paramtres  du constructeur de la classe (utile dans le cas des
	* paramtres facultatifs, pour compter les paramtres  soumis par le dveloppeur).
	* Il est dclar 'var'.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  var argctextelong = ObjectTexteLong.arguments.length;
  
	/**
	* La proprit publique titre dcrit l'attribut d'un composant Texte Long et peut tre manipule
	* ou interroge en dehors de la bibliothque du framework ergonomique -  C'est une chane de caractres
	* reprsentant le titre d'une partie.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.titre = titre;
  
	/**
	* La proprit publique texte dcrit l'attribut d'un composant Texte Long et peut tre manipule ou interroge
	* en dehors de la bibliothque du framework ergonomique - C'est une chane de caractres avec le contenu
	* de la partie.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.texte = texte;
  
	/**
	* La proprit publique tabSousNiveau dcrit l'attribut d'un composant Texte Long et peut tre manipule
	* ou interroge en dehors de la bibliothque du framework ergonomique. Dans ce tableau on retrouve les
	* principes de rcursivit vue dans le fichier XML. La fonction de cration de ce tableau effectue
	* un balayage complet de l'arbre XML de manire rcursive et recre la structure rcursive par imbrication
	* de tableau.
	* <br><br>
	* @public
	* @type ObjectTextLong
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.tabSousNiveau = (argctextelong > 2) ? argvtextelong[2] : null;
}


// Constructeur pour le composant Texte Long

/**
* La fonction ComposantTexteLong_constructor(); permet la configuration des lments de l'objet de gestion
* d'un DOM  {@link ComposantTexteLong ComposantTexteLong} lors de son instanciation.
* @see ComposantTexteLong
* @public
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantTexteLong_constructor()
{
  if (this.divBind == null)
    this.initDivBind();
  if ((this.tabTitres.length == 0) && (this.XMLObjectTexteLong != null))
    this.initTabByXML();
}


// Fonction pour valoriser la zone dynamique associe  la gnration du composant Texte Long

/**
* La mthode publique setDivBind(divBind) permet d'associer une zone dynamique prsente dans la page au composant.
* Elle est utile lors de l'utilisation d'un id sur cette zone diffrent de celui par dfaut
* ("Position_" + Id du composant).<br><br> <b>Voir Exemple d'affectation d'une zone dynamique au composant
* diffrente de celle par dfaut : </b><a href='exemples_A3.html#ComposantTexteLong_meth'>Exemples
* d'appels aux mthodes publiques</a>.
* @public
* @param {objetDOMHtml_Obligatoire} divBind Objet DOM HTML rfrenant la zone dynamique associe au composant.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantTexteLong_setDivBind(divBind)
{
  this.divBind = divBind;
}


// Fonction pour initier la zone dynamique associe  la gnration du composant Texte Long

/**
* La mthode prive initDivBind() permet de spcifier un pointeur vers le DOM HTML de la zone dynamique
* grant la prsentation du contenu dynamique correspondant au texte long. Elle est ainsi initialise 
* l'lment DOM HTML prsent dans la page dont l'id est valoris par "Position_" + Id du composant.
* Ce pointeur vers le DOM HTML est stock dans la proprit divBind de l'instance de la classe ComposantTexteLong.
* @private
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantTexteLong_initDivBind()
{
  if (document.getElementById("Position_" + this.id))
    this.setDivBind(document.getElementById("Position_" + this.id));
}

/**
* La mthode publique ecrireBindSousTitre() dclenche la gnration du code HTML des zoneq dynamique
* associe aux sous-titre du composant texte long. Par dfaut, une zone dynamique est l'lment DOM HTML
* dont l'id est valoris par "Position_" + Id.<br>Fonctionnement :<br>
* 1. Dsaffichage de la zone dynamique.<br>
* 2. Rcupration du code HTML associ.<br>
* 3. Bind le code HTML  la zone dynamique.<br>
* 4. Affichage de la zone dynamique<br>
* @public
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantTexteLong_ecrireBindSousTitre(tableau)
{
  this.divBind.innerHTML = this.ecrireSousTitre(tableau);
}


// Fonction pour binder le code HTML gnr dans la zone dynamique associe

/**
* La mthode publique ecrireBind() dclenche la gnration du code HTML de la zone dynamique associe au composant.
* Par dfaut, la zone dynamique est l'lment DOM HTML dont l'id est valoris par "Position_" + Id du composant.<br>
* Fonctionnement :<br>1. Dsaffichage de la zone dynamique.<br>
* 2. Rcupration du code HTML associ au composant Texte long.<br>
* 3. Bind le code HTML  la zone dynamique associe au Texte long.<br>
* 4. Affichage de la zone dynamique<br>
* <br><br><b>Voir Exemple de gnration du code HTML associ au composant pour affichage : </b>
* <a href='exemples_A3.html#ComposantTexteLong_meth'>Exemples d'appels aux mthodes publiques</a>.
* @public
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/ 
function ComposantTexteLong_ecrireBind()
{
  switch (this.type)
  {
    case 'titre':
      this.divBind.innerHTML = this.ecrireComposantDomHTML_Titre();
    break;
    case 'arbo':
      this.divBind.innerHTML = this.ecrireComposantDomHTML_Arbo();
    break;
    default:
      this.divBind.innerHTML = this.ecrireComposantDomHTML();
    break;
  }
}

// CLASSE pour la gestion du Texte Long

/**
* Cre une nouvelle instance de la classe ComposantTexteLong <bVoir Exemple d'instanciation de
* ce composant</b> pour le type texte long arborescent dans le cas de la maquette sns version PDF et version Imprimable  : <a href='exemples_A3.html#ComposantTexteLong_constr'>Exemples d'appels
* aux constructeurs</a>.
* @class La classe <b>ComposantTexteLong</b>  est la classe permettant de dcrire l'objet associ  un Texte Long.
* <br> Sa proprit  publique dcrit l' attribut du composant et peut tre manipul eou interroge en dehors de la
* bibliothque du framework ergonomique. Ses proprits prives sont utilises au sein mme du framework ergonomique.
* <br><br><br><img src="Image.ComposantTexteLongUML.png"/><br><br><br>
*<br><br>RENDU IHM<br><br><span style="text-decoration: underline;">Composant Texte Long Arborescent :</span><br><br>Voici l'affichage d?un composant de texte long
* arborescent. La slection d'un titre ou sous-titre entrane l'affichage sous le titre lui-mme de son contenu ainsi que l'arborescence de ses sous-titres.
* Lorsqu'un titre ou sous-titre est slectionn tous les autres titres et sous-titres sont dsaffichs. Par ailleurs, l'arborescence qui mne au
* sous-titre consult apparat en gras. Cette slection en gras subit le mme comportement que l'affichage ou dsaffichage du texte lors de la 
*slection. <br><br><img alt="exTexteLongArborescent" src="Image.ComposantTexteLongArborescent.jpg"/>
*<br><br><span style="text-decoration: underline;">Composant Texte long Par Ancre :</span><br><br>Voici l'affichage du composant Texte Long  navigation par ancres. Cette
* reprsentation affiche le texte dans son intgralit ainsi qu'un sommaire en en-tte qui permet par simple clic de se rendre sur la partie
* concerne. Au niveau de chaque titre ou sous-titre il y a une icne de retour au sommaire.<br><br><img alt="exTexteLongParAncre"
* src="Image.ComposantTexteLongParAncre.jpg"/>
*<br><br><span style="text-decoration: underline;">Composant Texte Long Titre :</span><br><br>Voici l'affichage du texte long avec une navigation par titre. L'en-tte est
* toujours le sommaire arborescent avec visibilit sur toutes les parties et sous-parties du texte long. Ensuite, la navigation s'effectue par page lors du clic sur une partie,
* cette page incluant une navigation de type ancrage. Chaque page contient donc <br> une navigation par ancre ainsi qu'une icne en haut  gauche permettant le
* retour  la partie directement parente.<br> <br> Nous allons dtaills maintenant la navigation de la partie I de la maquette.<br> Ci-dessous, nous avons
* donc comme point d'entre le sommaire gnral du texte long  navigation par titre :<br><br><img alt="exTexteLongParTitreSommaire"
* src="Image.ComposantTexteLongParTitreSommaire.jpg"/>
*<br>Le clic sur la premire partie gnre l'affichage ci-dessous avec un sommaire  navigation par ancre puis un retour  ce sommaire par
* icne de retour. L'icne prsente en haut  droite permet le retour au sommaire gnral.
*<br><img alt="exTexteLongParTitreDernierSousTitre" src="Image.ComposantTexteLongParTitreSousTitre.jpg"/>
*<br>Ensuite, le clic sur la premire sous partie gnre l'affichage ci-dessous. Il n'y a plus de sommaire car il n'y a plus de sous partie. L'icne en
* haut  droite permet toujours le retour  la partie parente du texte long.
*<br><br><img alt="exTexteLongParTitreDernierSousTitre" src="Image.ComposantTexteLongParTitreDernierSousTitre.jpg"/>
*<br><br>
* @constructor
* @param {String_Obligatoire} id : String indiquant l'{@link #id id} du composant  instancier.
* Sa valorisation doit correspondre au nom de la variable JavaScript du composant instanci.
* @param {String_Obligatoire} type : String indiquant les {@link #type types} de Texte Long souhaits.
* Valeurs possibles : "titre", "arbo", "autre chane de caractre" (type ancre).
* @param {String_Facultatif} PdfUrl : String indiquant l' {@link #PdfUrl URL du fichier PDF}.
* Dans le cas d'une chane vide, le visuel Version Imprimable n'apparat pas  l'utilisateur.
* @param {String_Obligatoire} VersionImprimable : {@link #VersionImprimable String} indiquant l'URL du fichier HTML.
* Dans le cas d'une chane vide, le visuel Version Imprimable n'apparat pas  l'utilisateur.
* @param {boolean_Optionnel} popup : {@link #popup boolen} permettant de proposer le visuel PDF  l'utilisateur
* dans une fentre.
* @param {XMLObjectSauvegarde_Optionnel} XMLObjectCont {@link #XMLObjectTexteLong XMLObject} de type
* {@link XMLObjectSauvegarde XMLObjectSauvegarde} : pour paramtrer le contenu informatif.
* @param {t_ObjectTexteLong_Facultatif} tabTitres  {@link #tabTitres tabTitresTableau} d'objets
* {@link ObjectTexteLong ObjectTexteLong} : pour paramtrer le contenu informatif en JavaScript si pas de flux XML pour effectuer ce paramtrage.
* @version 1.1
* @date 25/10/2005
*/
function ComposantTexteLong(id, type, PdfUrl, VersionImprimable, popup, XMLObjectCont)
{
  // Attributs de l'objet
  // Etat de l'objet  initialiser

	/**
	* Proprit prive id - ID du composant dfinit sous forme de chane de caractres.
	* Il doit obligatoirement tre valoris au nom de la variable JavaScript rfrenant
	* l'instanciation du composant.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/   
  this.id = id;
  
	/**
	* Proprit prive type -  Chane de caractres prcisant le type de texte long dsir. Trois types
	* sont possibles : titres, arborescent ou ancre. Le type est positionn par dfaut  ancre. Le type est une
  * chane de caractre. Si le type est une chane diffrente d'une des chanes "titre" ou "arbo" alors le type
  * ancre par dfaut est appliqu. <b>Valeur par dfaut : </b>
	* <a href='default-values_A3.html#ComposantTexteLongProp'>Valeurs par dfaut des Proprits</a>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.type = type;
  
	/**
	* Proprit prive XMLObjectTexteLong - Objet de type {@link XMLObjectSauvegarde XMLObjectSauvegarde}
	* rfrenant le flux XML intgrant le paramtrage du contenu informatif du composant. Si ce paramtrage est
	* effectu directement par passage de tableau JavaScript sans flux XML alors cette proprit est valorise
	*  null.
	* @private
	* @type XMLObjectSauvegarde
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.XMLObjectTexteLong = XMLObjectCont;
  
	/**
	* Proprit prive divBind - Zone dynamique (objet DOM HTML) associe au composant. Cette zone dynamique
	* permet de binder le code HTML refltant le rendu et le dynamisme du composant. Par dfaut, cette zone
	* dynamique est l'lment DOM HTML dont l'id est valoris par "Position_" + Id du composant.
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/   
  this.divBind = null;
  
	/**
	* L'lment  argv  dans la classe ComposantTexteLong n'est pas une proprit, il permet de rcuprer dans
	* un tableau les arguments passs en paramtres du constructeur de la classe (utile dans le cas des paramtres
	* facultatifs, pour reprer les paramtres qui ont t soumis par le dveloppeur). Il est dclar 'var'.
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  var argv = ComposantTexteLong.arguments;
  
	/**
	* L'lment  argc  dans la classe ComposantTexteLong n'est pas une proprit, il permet de rcuprer
	* le nombre d'arguments passs en paramtres du constructeur de la classe (utile dans le cas des paramtres
	* facultatifs, pour compter les paramtres  soumis par le dveloppeur). Il est dclar 'var'.
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/   
  var argc = ComposantTexteLong.arguments.length;
  
	/**
	* Proprit prive PdfUrl -  Chane de caractre prcisant l'URL du fichier de rendu PDF pour le texte long.
	* Si l'url est une chane vide, alors le composant ne proposera pas de visuel PDF  l'utilisateur qui ne
	* disposera pas de l'URL du pdf. Le PDF s'affiche dans une fentre spare.
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.PdfUrl = PdfUrl;
  
	/**
	* Proprit prive popup -  boolen permettant de proposer le visuel PDF  l'utilisateur dans une fentre.
	* @private
	* @type boolean
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.popup = popup;
  
	/**
	* Proprit prive VersionImprimable -  Chane de caractre prcisant l'URL de la page HTML pour le rendu
	* imprimable et pour le texte long. Si l'url est une chane vide, alors le composant ne proposera pas de visuel
	* pour cette version imprimable  l'utilisateur. La page HTML de rendu s'affiche dans une fentre spare.
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.VersionImprimable = VersionImprimable;
  
	/**
	* La proprit publique tabTitres est un tableau d'objets {@link ObjectTexteLong ObjectTexteLong}
	* refltant l'ensemble des titres et/ou sous-titres prsents dans le composant du texte long.
	* Ce tableau est soit pass en paramtre du constructeur, soit auto-aliment  partir d'un flux XML
	* pass en paramtre lors de la construction du composant.
	* @public
	* @type Array_ObjectTexteLong
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.tabTitres = (argc > 6) ? argv[6] : new Array();

	 /**
	* La proprit publique tabTitresSuperieur est un tableau d'objets {@link ObjectTexteLong ObjectTexteLong}
	* refltant les titres suprieurs prsents dans le composant du texte long - <b>Valeur par dfaut :
	* </b><a href='default-values_A3.html#ComposantTexteLongProp'>Valeurs par dfaut des Proprits</a>.
	* @public
	* @type Array_ObjectTexteLong
	* @version 1.1
	* @date 25/10/2005
	*/ 
  this.tabTitreSuperieur = new Array();
  this.tabTitreSuperieur = null;
  
  // Mthodes de l'objet
  
  // Initialisation lie  la prsence d'un objet XML
  this.initTabByXML = ComposantTexteLong_initTabByXML;  
  this.ecrireTitre = ComposantTexteLong_ecrire;
  
  // TexteLong Ancres
  this.ecrireComposantDomHTML = ComposantTexteLong_ecrireHTML;
  this.ecrireSommaireAncreRecursif = ComposantTexteLong_ecrireHTML_Sommaire_Recursif;
  this.ecrireTexteAncreRecursif = ComposantTexteLong_ecrireHTML_Corps_Recursif;
  
  //TexteLong Titre
  this.ecrireComposantDomHTML_Titre = ComposantTexteLong_ecrireHTML_Titre;
  this.ecrireTitreRecursif = ComposantTexteLong_ecrireHTML_Titre_Recursif;
  this.ecrireTitreSousTitreRecursif = ComposantTexteLong_ecrire_Titre_Sommaire_SousTitres_Recursif;
  this.ecrireTitreDernierSousTitre = ComposantTexteLong_ecrire_Titre_Dernier_SousTitre;
  this.ecrireTitreCorpsSousTitreRecursif = ComposantTexteLong_ecrire_Titre_Corps_SousTitres_Recursif;
  
  //TexteLong Arbo
  this.ecrireComposantDomHTML_Arbo = ComposantTexteLong_ecrireHTML_Arbo;
  this.ecrireArboRecursif = ComposantTexteLong_ecrireHTML_Arbo_recursif;

  this.ecrireSousTitre = ComposantTexteLong_ecrire;
  this.ecrireBindSousTitre = ComposantTexteLong_ecrireBindSousTitre;
  this.ecrireBind = ComposantTexteLong_ecrireBind;
  this.initDivBind = ComposantTexteLong_initDivBind;
  this.setDivBind = ComposantTexteLong_setDivBind;
  
  this.iconeOver = ComposantTexteLong_changeIconeOnMouseOver;
  this.iconeOut = ComposantTexteLong_changeIconeOnMouseOut;
  
  // Constructeur
  this.constructor = ComposantTexteLong_constructor;
  this.constructor();
}