/** 
* @fileoverview Ce fichier Javascript correspond au framework de gestion des cookies.
* Cette description consiste  prsenter les prototypes des fonctions, des exemples d'appel et les prcisions
* techniques ncessaires  la mise en oeuvre de ce framework.<br>
* <br>Les cookies offrent un moyen de stocker des informations ct client et de les fournir au serveur par le browser en mme temps que la requte de la page.
* Ces cookies sont stocks dans les <span style="font-weight: bold; color: rgb(153, 0, 0);">en-ttes HTTP</span> l'aide d'un <span style="font-weight: bold; color: rgb(153, 0, 0);">champ Set-Cookie</span>
* sous la forme :<br><br><span style="font-weight: bold; color: rgb(153, 0, 0);">Set-Cookie : name=VALEUR ; expires=DATE ; path=CHEMIN ; domain=DOMAINE ; secure</span>
* <br style="font-weight: bold; color: rgb(51, 204, 0);"><br>&gt; L'information <span style="font-weight: bold; color: rgb(51, 204, 0);">name=VALEUR</span>
* est la seule information qui <span style="text-decoration: underline;">doit imprativement figurer dans le champ Set-Cookie</span>. Il s'agit simplement d'une chane de caractres
* dfinissant les informations  stocker dans le cookie. <span style="font-weight: bold; color: rgb(51, 204, 0);">Cette chane ne peut contenir ni point-virgules, ni virgules, ni espaces.</span>
* <br>&gt; Description des <span style="text-decoration: underline;">attributs optionnels du champ Set-Cookie :<br></span>
* <table style="width: 100%; text-align: left;" border="1" cellpadding="2" cellspacing="2"><tbody><tr><td style="vertical-align: top;">Attribut<br></td>
* <td style="vertical-align: top;">Description<br></td></tr><tr>
* <td style="vertical-align: top;"><span style="font-weight: bold; color: rgb(51, 204, 0);">expires=Date</span><br></td>
* <td style="vertical-align: top;">Indique la date d'expiration du cookie. Au del de cette date, le cookie ne sera plus mmoris par le client ni envoy au serveur
* DATE est stock sous la forme Sun, JJ-MM-AA HH :MM :SS GMT) La <span style="color: rgb(51, 204, 0);">valeur de expires</span> est paramtre par dfaut
* sur la fin de la session Navigator en cours.<br></td></tr>
* <tr><td style="vertical-align: top;"><span style="font-weight: bold; color: rgb(51, 204, 0);">path=CHEMIN</span><br></td>
* <td style="vertical-align: top;">Indique la partie de l'URL pour laquelle le cookie est valable. Si l'URL co&iuml;ncide avec path et domain, le cookie est envoy au serveur
* dans l'en-tte de la requte. <span style="color: rgb(51, 204, 0);">Si path n'est pas paramtr, sa valeur est identique  celle du document qui 
* dfinit le cookie</span>.<br></td></tr>
* <tr><td style="vertical-align: top;"><span style="font-weight: bold; color: rgb(51, 204, 0);">domain=DOMAINE</span><br></td>
* <td style="vertical-align: top;">Indique la partie correspondant au domaine des URL pour lesquelles le cookie est valable. La <span style="color: rgb(51, 204, 0);">
* valeur par dfau</span>t de l'attribut est le <span style="color: rgb(51, 204, 0);">domaine du document en cours qui dfinit le cookie</span>.<br></td></tr>
* <tr><td style="vertical-align: top;"><span style="font-weight: bold; color: rgb(51, 204, 0);">secure</span><br></td><td style="vertical-align: top;">Indique que le
* <span style="color: rgb(51, 204, 0);">cookie</span> ne doit tre <span style="color: rgb(51, 204, 0);">transmis que par le biais d'un canal protg</span>
* (Ex : utilisant le <span style="color: rgb(51, 204, 0);">protocole SSL</span>)<br></td></tr></tbody></table>
* <span style="text-decoration: underline;"><br></span>- De plus, tant donn que le <span style="color: rgb(51, 204, 0);">nombre de cookies accepts
* n'excde pas 300</span>, que <span style="color: rgb(51, 204, 0);">la taille de chaque cookie ne peut dpasser 4000 caractre</span>s et que l
* <span style="color: rgb(51, 204, 0);">es navigateurs n'acceptent pour la plupart que 20 cookies par domaine</span>, il est <span style="color: rgb(255, 0, 0); font-weight: bold;">
* ncessaire de justifier son utilisation pour un besoin non contournable par un autre moyen</span> (contexte du serveur, champs pass dans une URL').<br>
* - La <span style="font-weight: bold; color: rgb(153, 0, 0);">manipulation et l'interrogation en JavaScript de ces cookies</span> s'effectuent par la commande 
* <span style="color: rgb(153, 0, 0); font-weight: bold;">document.cookie</span>pour renvoyer la chane de l'en-tte HTTP et la raffecter.<br>
* - <span style="color: rgb(255, 0, 0); font-weight: bold;">Pour une bonne implmentation de ce framework, il est ncessaire de dtruire tout cookie  la fin de son utilisation et</span>
* de <span style="color: rgb(255, 0, 0); font-weight: bold;">prciser l'attribut secure  true</span> pour viter toute confusion lors de la mme utilisation en HTTP et renforcer les
* aspects scuritaires en HTTPS.
*<br>
* @author Ministre des Affaires Etrangres, Aubay SA, Steve Pguet
* @version 1.1
* @date 25/10/2005
*/
/*
Copyright ou  ou Copr. 
Ministre des Affaires Etrangres,
Aubay SA,
Steve Pguet, (07/07/2003)

steve.peguet@diplomatie.gouv.fr

Ce logiciel est un programme informatique servant de framework JavaScript 
bas sur les normes W3C (XHTML/CSS/DOM/XML). Il offre la possibilit de 
mettre en uvre facilement les principes ergonomiques et techniques propres 
 un client riche (cumul des avantages du client lger et du client lourd).
Ce logiciel est rgi par la licence CeCILL soumise au droit franais et
respectant les principes de diffusion des logiciels libres. Vous pouvez
utiliser, modifier et/ou redistribuer ce programme sous les conditions
de la licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA 
sur le site "http://www.cecill.info".

En contrepartie de l'accessibilit au code source et des droits de copie,
de modification et de redistribution accords par cette licence, il n'est
offert aux utilisateurs qu'une garantie limite.  Pour les mmes raisons,
seule une responsabilit restreinte pse sur l'auteur du programme,  le
titulaire des droits patrimoniaux et les concdants successifs.

A cet gard  l'attention de l'utilisateur est attire sur les risques
associs au chargement,   l'utilisation,   la modification et/ou au
dveloppement et  la reproduction du logiciel par l'utilisateur tant 
donn sa spcificit de logiciel libre, qui peut le rendre complexe  
manipuler et qui le rserve donc  des dveloppeurs et des professionnels
avertis possdant  des  connaissances  informatiques approfondies.  Les
utilisateurs sont donc invits  charger  et  tester  l'adquation  du
logiciel  leurs besoins dans des conditions permettant d'assurer la
scurit de leurs systmes et ou de leurs donnes et, plus gnralement, 
 l'utiliser et l'exploiter dans les mmes conditions de scurit. 

Le fait que vous puissiez accder  cet en-tte signifie que vous avez 
pris connaissance de la licence CeCILL, et que vous en avez accept les
termes.*/

//Fonction technique pour rcuprer la valeur d'un cookie
/**
* Le framework technique <a href='overview-summary-technique_fw_cookies.js.html'>fw_cookies.js</a>  propose la fonction getCookieVal(txt,name,sep);
*  c'est la fonction interne appele par {@link #getCookie getCookie()}. Lorsque le premier caractre de la valeur couple nom-valeur d'un cookie lui est attribu,
* elle renvoie cette valeur sous forme de chane non code.
* <br><br><b>Voir Exemple  : </b> <a href='exemples_A3.html#getCookieVal_fctGlob'>Exemples d'appel aux fonctions globales</a>.
* @public
* @param {String_Obligatoire} txt String contenant l'ensemble des cookies  tester.
* @param {String_Obligatoire} name String contenant le nom du cookie.
* @param {String_Obligatoire} sep String contenant le sparateur dlimitant les cookies.
* @return {String} : Valeur du cookie sous forme de chane non code.
* @version 1.1
* @date 25/10/2005
*/
function getCookieVal(txt,name,sep)
{
  var rg = new RegExp(name+"=([^"+sep+"]*)");
  var r = rg.exec(txt);
  return (r?unescape(r[1]): null);
}

//Fonction avance pour rcuprer la valeur d'un cookie
/**
* Le framework technique <a href='overview-summary-technique_fw_cookies.js.html'>fw_cookies.js</a>  propose la fonction GetCookie(name);
*  elle sert  accder  la valeur d'un cookie donn (information name=VALEUR du champ Set-Cookie). Elle admet comme argument le nom de ce cookie et en renvoie la valeur.
* Si le cookie n'existe pas, elle renvoie la valeur null.
* <br><br><b>Voir Exemple  : </b> <a href='exemples_A3.html#GetCookie_fctGlob'>Exemples d'appel aux fonctions globales</a>.
* @public
* @param {String_Obligatoire} name String contenant le nom du cookie.
* @return {String} contenant la valeur d'un cookie donn, valeur null si le cookie n'existe pas.
* @version 1.1
* @date 25/10/2005
*/
function GetCookie(name)
{
  return getCookieVal(document.cookie,name,";");
}

//Fonction pour attribuer une valeur  un cookie
/**
* Le framework technique <a href='overview-summary-technique_fw_cookies.js.html'>fw_cookies.js</a>  propose la fonction SetCookie(name,value);
* elle permet de crer un cookie ou de mettre  jour un cookie existant. Elle ncessite deux arguments et peut en admettre d'autres. <br>
* Elle s'utilise suivant la syntaxe : setCookie(name, value, expires, path, domain, secure) o <span style="color: rgb(51, 204, 0);">expires</span>,
* <span style="color: rgb(51, 204, 0);">path</span>, <span style="color: rgb(51, 204, 0);">domain</span> et <span style="color: rgb(51, 204, 0);">
* secure</span> sont des <span style="color: rgb(51, 204, 0);">paramtres optionnels</span>et <span style="color: rgb(51, 204, 0);">name</span>
* et <span style="color: rgb(51, 204, 0);">value</span> sont des <span style="color: rgb(51, 204, 0);">paramtres obligatoires</span>.
* name, value, path et domain doivent tre des objets String. expires doit tre communiqu sous forme d'objet Date et secure
* doit tre une valeur boolenne.<br>&gt;<span style="color: rgb(255, 0, 0);"> L'ordre des arguments est trs important</span>. <span style="color: rgb(255, 0, 0);">
* Si vous souhaitez omettre un argument plac au milieu de la srie, vous devrez donc lui attribuer la valeur de substitution null pour que les valeurs par dfaut soient
* celles exprimes dans le <a href="overview-summary-technique_fw_cookies.js.html">tableau</a></span>.<br>&gt; Lors de la prcision de l'insertion de l'attribut secure  true, un test de vrification est
* effectu pour dterminer si le protocole SSL est utilis par le document en cours dfinissant le cookie. Cette vrification permet d'viter tout problme
* de confusion et de capitaliser le code entre un accs en HTTP et la connexion scurise du client en HTTPS.
* <br><br><b>Voir Exemple  : </b> <a href='exemples_A3.html#SetCookie_fctGlob'>Exemples d'appel aux fonctions globales</a>.
* @public
* @param {String_Obligatoire} name String contenant le nom du cookie.
* @param {String_Obligatoire} value String contenant la valeur  attribuer au cookie.
* @param {Date_Optionnel} Optionnel_expires Objet Date contenant la valeur de l'expires  attribuer au cookie.
* @param {String_Optionnel} Optionnel_path String contenant la valeur du path  attribuer au cookie.
* @param {String_Optionnel} Optionnel_domain String contenant la valeur du domain  attribuer au cookie.
* @param {Boolean_Optionnel} Optionnel_secure Boolen pour indiquer le caractre protg ou non du cookie.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function SetCookie(name,value)
{
  var argv = SetCookie.arguments;
  var argc = SetCookie.arguments.length;
  var expires = (argc > 2) ? argv[2] : null;
  var path = (argc > 3) ? argv[3] : null;
  var domain = (argc > 4) ? argv[4] : null;
  var secure = (argc > 5) ? argv[5] : false;
  document.cookie = (name + "=" + escape(value) + ((expires == null) ? "" : ("; expires=" + expires.toGMTString())) + ((path == null) ? "" : ("; path=" + path)) + ((domain == null) ? "" : ("; domain=" + domain)) + (((document.location.protocol == "https:") && (secure == true)) ? "; secure" : ""));
}

//Fonction pour dtruire un cookie prsent
/**
* Le framework technique <a href='overview-summary-technique_fw_cookies.js.html'>fw_cookies.js</a>  propose la fonction DeleteCookie(name);
*  elle sert  supprimer le cookie dsign par l'argument name. La procdure de suppression du cookie consiste
*  le mettre  jour avec une date d'expiration quivalente  la date et  l'heure en cours moins 1 seconde. De mme que pour {@link #SetCookie SetCookie},
* les paramtres path, domain et secure sont optionnels avec importance de l'ordre des arguments pour leurs prises en compte lors de l'identification du cookie  supprimer.
* <br><br><b>Voir Exemple  : </b> <a href='exemples_A3.html#DeleteCookie_fctGlob'>Exemples d'appel aux fonctions globales</a>.
* @public
* @param {String_Obligatoire} name String contenant le nom du cookie.
* @param {String_Optionnel} Optionnel_path String contenant la valeur du path du cookie  supprimer.
* @param {String_Optionnel} Optionnel_domain String contenant la valeur du domain du cookie  supprimer.
* @param {Boolean_Optionnel} Optionnel_secure Boolen pour indiquer le caractre protg ou non du cookie  supprimer.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function DeleteCookie(name)
{
  var argv = DeleteCookie.arguments;
  var argc = DeleteCookie.arguments.length;
  var exp = new Date();
  var path = (argc > 1) ? argv[1] : null;
  var domain = (argc > 2) ? argv[2] : null;
  var secure = (argc > 3) ? argv[3] : false;
  exp.setTime(exp.getTime() - 1);
  var cval = GetCookie(name);
  if (cval != null)
    SetCookie(name,cval,exp,path,domain,secure);
}