package acube.projet.business.products;

import java.util.List;

import org.springframework.transaction.annotation.Transactional;

import acube.projet.integration.products.ProductDAO;
import acube.projet.vo.products.ProductVO;

/**
 * Service mtier de gestion des produits.
 * Projet proto.
 * Implmentation de la couche service
 * @date 11 janv. 08
 * @author EDS - gzqd4d
 *
 */
@Transactional //excution de chaque mthode dans une transaction
public class ProductServiceImpl implements ProductService {

    private ProductDAO productDAO;
    
    public ProductServiceImpl(ProductDAO productDAO) {
        this.productDAO = productDAO;
    }

    @Transactional(readOnly=true)//optimisation : transaction en lecture seule
    public List<ProductVO> list() throws Exception {
        return productDAO.list();
    }

    public void update(ProductVO vo) throws Exception {
        productDAO.update(vo);
    }

    public void add(ProductVO vo) throws Exception {
        productDAO.insert(vo);
    }
    
    public void remove(ProductVO vo) throws Exception {
        productDAO.remove(vo);
    }
}
