package acube.projet.db;

import java.io.BufferedReader;
import java.io.InputStreamReader;

import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;
import javax.sql.DataSource;

import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.web.context.support.WebApplicationContextUtils;

/**
 * Chargement de la base de donne
 * Projet proto.
 * @date 14 janv. 08
 * @author EDS - gzqd4d
 *
 */
public class InitDatabase implements ServletContextListener {

    public void contextDestroyed(ServletContextEvent arg0) {
    }
    
    public void contextInitialized(ServletContextEvent arg0) {
        DataSource ds = (DataSource) WebApplicationContextUtils.getWebApplicationContext(
                arg0.getServletContext()).getBean("dataSource");
        
        BufferedReader r = new BufferedReader(new InputStreamReader(getClass().getResourceAsStream("init.sql")));
        String ligne;
        JdbcTemplate j = new JdbcTemplate(ds);
        try {
            while((ligne=r.readLine())!=null) {
                j.execute(ligne);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

}
