package acube.projet.integration.products;

import java.util.List;

import org.springframework.dao.DataAccessException;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;

import acube.projet.vo.products.ProductVO;

/**
 * Dfinit les ordres SQL associs aux oprations list, update, insert et remove d'un product.
 * Dans notre exemple, correspond une requte par opration.
 * 
 * Projet proto.
 * Version IBATIS du DAO
 * @date 11 janv. 08
 * @author EDS - gzqd4d
 *
 */
public class ProductDAOIbatis extends SqlMapClientDaoSupport implements ProductDAO {

    @SuppressWarnings("unchecked")
    public List<ProductVO> list() throws DataAccessException {
        return getSqlMapClientTemplate().queryForList("list");
    }
    
    public void update(ProductVO vo) throws Exception {
        getSqlMapClientTemplate().update("update", vo);
    }

    public void insert(ProductVO vo) throws Exception {
        getSqlMapClientTemplate().insert("insert", vo);
    }
    
    public void remove(ProductVO vo) throws Exception {
        getSqlMapClientTemplate().delete("delete", vo);
    }
}
