var URL_STAT="/proto/xml/products/product.xml";
var URL_DYN_LISTE= "/proto/flux/protected/products/list.xml";
var URL_DYN_EDIT= "/proto/flux/protected/products/edit.xml";
var URL_DYN_ADD= "/proto/flux/protected/products/add.xml";
var URL_DYN_DEL= "/proto/flux/protected/products/del.xml";

var xmlAction = null;

var ComposantTableauTest = null;
var XMLPage = null;
var XMLInfosTableau = null;
var msgWindowVisuXML = null;

function preparePage()
{

    if (XMLPage == null)
    {
        XMLPage = new parent.XMLObject("CONTENU_WIN", null, "window.frames['CONTENU_WIN'].construirePage", URL_STAT, true);
        XMLPage.setDivBindMessage("Position_ComposantTableauTest");
        XMLPage.initAsynchrone(true);
        XMLPage.importXML();
    }
    else 
    {
        construirePage();
    }
}
function construirePage()
{
  var testErreur = XMLPage.parseErrorXML();
  if (testErreur == 0)
  {
    if (XMLInfosTableau == null)
    {
      XMLInfosTableau = new parent.XMLObjectSauvegarde();
      XMLInfosTableau.sauvegardeDOM(parent.getElements(XMLPage.xmlDoc,"TABLEAU")[0]);
    }
    ComposantTableauTest = new ComposantTableau("ComposantTableauTest", XMLInfosTableau, URL_DYN_LISTE, true, false);
    ComposantTableauTest.setCookieName("theMagicRecupParametrage");
    ComposantTableauTest.importData();
  }
}


//================================================================================
// Gnration des balises TD ouvrantes lors de l'dition des cellules d'un tableau
//================================================================================
/**
 * Fonction appele lors de l'dition des tableaux pour les oprations de modification ou d'ajout.
 * Elle permet de gnrer les balises TD ouvrantes des cellules du tableau dit.
 * @return {String} codeHTML
 */
function genererBalisesTDouvrantes(composantTableauEdite, ligne) {	 
	var alignement = '';
    var largeur = '';
    var styleEdite = ' style="';
    
    var codeHTML = '';
        
    if (composantTableauEdite.tabColonnes[ligne].largeur) {
		largeur = composantTableauEdite.tabColonnes[ligne].largeur;
    }
    if (composantTableauEdite.tabColonnes[ligne].alignement) {
    	alignement = composantTableauEdite.tabColonnes[ligne].alignement;
    }
    if (largeur != '' && (largeur != '*')) {
    	styleEdite += 'width:' + largeur + 'px;';
    }
    if (alignement != '') {
    	styleEdite += 'text-align:' + alignement + ';';
    }
    styleEdite += '"';
                       
    codeHTML += '<td';
    codeHTML += ' id="saisie_'+composantTableauEdite.id+'_td' + composantTableauEdite.tabColonnes[ligne].id+'"';
    codeHTML += styleEdite;    
    codeHTML += '>';
    return codeHTML;
}

function appelerActionMajTableau(instance, urlAction ,params)
{	
	// lancement de l'action
	xmlAction = new parent.XMLObject(null, null, "window.frames['CONTENU_WIN'].gererRetourActionMajTableau", urlAction, false);
    xmlAction.initRequestParams("POST", params);
	// !!!  la ligne suivante permet d'effectuer l'import du flux XML en mode SYNCHRONE ...
	// => la fonction importXML se termine lorsque la fonction "gererRetourAction" est termine
	// permet de savoir si l'action s'est correctement droule (variable retourAction)
	xmlAction.initAsynchrone(false);
	xmlAction.importXML();
		
    // Rechargement du tableau
    instance.importData();

    // Compatibilit FW_CR_1.4 : ajout pour permettre la validation de la supression d'une ligne
    instance.annuleAction();	
}

/**
 * Fonction appele au retour du flux xml de l'action de mise  jour sur le serveur, sans redirection.
 */
function gererRetourActionMajTableau() {

	// inspection du flux XML:
	//  - vrification que le flux ne contient pas d'erreur
	//  - on effectue une redirection si le message de retour de l'action est "TRUE"	
	xmlAction.parseErrorXML("popup");
}

function products_editionEcrireHtml() {
  var itemLignes = parent.getElements(ComposantTableauTest.XMLData.xmlDoc,ComposantTableauTest.donneeLigne);
  var codeHTML = "";
  var focus = 1000;
  var edit = ComposantTableauTest.itemLigneEditEnCours >=0;
  for (var j=0;j<ComposantTableauTest.tabColonnes.length;j++)
  {
    //Gnration de chaque cellule prsente dans la ligne
    if (ComposantTableauTest.tabColonnes[j].cache != "OUI")
    {
    	var valeur;
    	
    	if(edit)
	    	valeur = parent.getDataElement(
	      					itemLignes[ComposantTableauTest.itemLigneEditEnCours],ComposantTableauTest.tabColonnes[j].donnee);

    // L'identifiant du champ texte afin de rcuprer la valeur saisie
	  var nomChamp = "saisie_ComposantTableauTest_colonne" + ComposantTableauTest.tabColonnes[j].id;
      
      codeHTML+="<td/>";
      // Gnration des balises ouvrantes des cellules du tableu : TD
      codeHTML+= genererBalisesTDouvrantes(ComposantTableauTest, j);     
     
		if (ComposantTableauTest.tabColonnes[j].donnee == "LABEL"){
			  var formtext  = new ElementFormText(nomChamp, null, valeur, "40", "255","", false, STATUT_ENABLED, focus+j);		  	   		  		  	  	  	  		  	  		  	 
			  codeHTML += formtext.ecrireBoiteHtml();
		}
		else if (ComposantTableauTest.tabColonnes[j].donnee == "PRICE"){
			  var formtext  = new ElementFormText(nomChamp, null, valeur, "13", "13","", false, STATUT_ENABLED, focus+j);		  	   		  		  	  	  	  		  	  		  	 
			  codeHTML += formtext.ecrireBoiteHtml();
		}		
		else if (ComposantTableauTest.tabColonnes[j].donnee == "DATE"){
			  var formtext  = new ElementFormText(nomChamp, null, valeur, "10", "10","", false, STATUT_ENABLED, focus+j);		  	   		  		  	  	  	  		  	  		  	 
			  codeHTML += formtext.ecrireBoiteHtml();
		}
      codeHTML += '</td>';
    }
  }
  return codeHTML;
}

function products_editionValider(){
	var tab = ComposantTableauTest;
	var ret = true;                 // Flag de controle

    var id =null;
    var label = null;
    var price =  null;
    var date = null;
    
    var edit = tab.itemLigneEditEnCours >=0;
    var url;
    
    var itemLignes = parent.getElements(tab.XMLData.xmlDoc,tab.donneeLigne);     
    
   	if(edit) {
   		url = URL_DYN_EDIT;
    	id = parent.getDataElement(itemLignes[tab.itemLigneEditEnCours],"ID");
    } else {
   		url = URL_DYN_ADD;
   		id = -1;
    }               
    
    // Rcupration des donnes saisies :
    for (var j=0;j<tab.tabColonnes.length;j++)
    {
        // L'identifiant du champ texte afin de rcuprer la valeur saisie
        nomChamp = "saisie_ComposantTableauTest_colonne" + tab.tabColonnes[j].id; 
                     
        if (nomChamp != null) {
        	switch (tab.tabColonnes[j].donnee)
            {
            case "LABEL":
                label = document.getElementById(nomChamp);
                break;
            case "PRICE":
                price = document.getElementById(nomChamp);
                break;
            case "DATE":
                date = document.getElementById(nomChamp);
                break;
            }                            
        }
    }
    
    if (ret) {
       	ret = ctrlSaisie(label, "Le libell est obligatoire", "Format incorrect du libell ! Saisir des caractres numriques ou alphanumriques, merci !", "", false, estTexteString);
    }        
    if (ret) {
        ret = ctrlSaisie(price, "La valeur du prix est obligatoire !", "Format incorrect du montant ! Saisir un nombre dcimal strictement positif de 10 chiffres maxi et 2 chiffres aprs la virgule, merci !", "", true, estMontantString, "0", 100000000000, 2, ".");
    }
    if (ret) {
        ret = ctrlSaisie(date, "La date est obligatoire !", "Format incorrect de la date ! Saisir une date au format jj/mm/aaaa, merci !", "", true, estDateString);        
    }
    
    // construction de la chaine des paramtres de l'URL et envoi au serveur
    if (ret) { 
        var params = [];
        params["id"] = id;
        params["label"] = label.value;
        params["price"] = price.value;
        params["date"] = date.value;
       appelerActionMajTableau(tab, url, params);       
    }
}
    
function products_suppressionValider() {
	var tab = ComposantTableauTest;

    var edit = tab.itemLigneEditEnCours >=0;
    
   	if(edit) {
	    var itemLignes = parent.getElements(tab.XMLData.xmlDoc,tab.donneeLigne);     
    	var id = parent.getDataElement(itemLignes[tab.itemLigneEditEnCours],"ID");
        var params = [];
        params["id"] = id;
       appelerActionMajTableau(tab, URL_DYN_DEL, params);       
    }               
}


