/**
* @fileoverview Ce fichier Javascript correspond aux lments de formulaires plus labors,
* appels composant car gnralement composs de plusieurs lments de formulaires.
* <br>
* Il implmente les <b>lments complexes de formulaire</b> suivants : 
* <ul>
* <li>Le composant <b>{@link ComposantRattachement ComposantRattachement}</b> implmente le composant
* de rattachement d'items d'une liste dans une autre liste.</li>
* <li>Le composant <b>{@link ComposantCalendrier ComposantCalendrier}</b> implmente un champ de
* saisie de date, accompagn d'un bouton pour afficher le calendrier.</li>
* <li>Le composant <b>{@link ComposantFile ComposantFile}</b> implmente une personnalisation du
* bouton Parcourir (tag HTML &lt;input&gt; de type file).</li>
* </ul>
* Il implmente aussi les <b>composants</b> suivants <b>lis  des modles de page</b>  :
* <ul>
* <li>Le composant <b>{@link ComposantForm ComposantForm}</b> : reprsentant un formulaire
* (balise HTML &lt;form&gt;) et le <b>modle de page Formulaire/Fiche</b>
* :  utiliser pour afficher un formulaire ou une fiche.</li>
* <li>Le composant <b>{@link ComposantAssistant ComposantAssistant}</b> implmentant de nouvelles
* fonctionnalits spcifiques  l'assistant et le <b>modle de page Assistant</b>
* : prsentant un cadre similaire  celui de la fiche.</li>
* <li>Le composant <b>{@link ComposantConnexion ComposantConnexion}</b> fournissant les lments de
* formulaires (champs et bouton) au canevas de la Connexion et le <b>modle de page Connexion</b>
* : servant  mettre en oeuvre un formulaire de connexion avec un champ login, pass, ventuellement
* une checkbox invit et un bouton de connexion.</li>
* <li>Le composant <b>{@link ComposantRecherche ComposantRecherche}</b>  fournissant les lments
* de formulaires (boutons initialiser, rechercher, lien recherche simple/avance) au canevas de Recherche
* et le <b>modle de page Recherche</b> servant  mettre en oeuvre un formulaire de recherche.</li>
* </ul>
* <br>
* @author Ministre des Affaires Etrangres, Aubay SA, Steve Pguet
* @version 1.1
* Date : 25/10/2005
*/

/*
Copyright ou  ou Copr. 
Ministre des Affaires Etrangres,
Aubay SA,
Steve Pguet, (09/04/2004)

steve.peguet@diplomatie.gouv.fr

Ce logiciel est un programme informatique servant de framework JavaScript 
bas sur les normes W3C (XHTML/CSS/DOM/XML). Il offre la possibilit de 
mettre en oeuvre facilement les principes ergonomiques et techniques propres 
 un client riche (cumul des avantages du client lger et du client lourd).
Ce logiciel est rgi par la licence CeCILL soumise au droit franais et
respectant les principes de diffusion des logiciels libres. Vous pouvez
utiliser, modifier et/ou redistribuer ce programme sous les conditions
de la licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA 
sur le site "http://www.cecill.info".

En contrepartie de l'accessibilit au code source et des droits de copie,
de modification et de redistribution accords par cette licence, il n'est
offert aux utilisateurs qu'une garantie limite.  Pour les mmes raisons,
seule une responsabilit restreinte pse sur l'auteur du programme,  le
titulaire des droits patrimoniaux et les concdants successifs.

A cet gard  l'attention de l'utilisateur est attire sur les risques
associs au chargement,   l'utilisation,   la modification et/ou au
dveloppement et  la reproduction du logiciel par l'utilisateur tant 
donn sa spcificit de logiciel libre, qui peut le rendre complexe  
manipuler et qui le rserve donc  des dveloppeurs et des professionnels
avertis possdant  des  connaissances  informatiques approfondies.  Les
utilisateurs sont donc invits  charger  et  tester  l'adquation  du
logiciel  leurs besoins dans des conditions permettant d'assurer la
scurit de leurs systmes et ou de leurs donnes et, plus gnralement, 
 l'utiliser et l'exploiter dans les mmes conditions de scurit. 

Le fait que vous puissiez accder  cet en-tte signifie que vous avez 
pris connaissance de la licence CeCILL, et que vous en avez accept les
termes.*/

// alias url (images  preloader avant utilisation)
// bouton parcourir
var bouton_parcourir_src="/proto/FrameworkERGO/images/bouton/navig/BoutParcourir.gif";
var bouton_parcourirover_src="/proto/FrameworkERGO/images/bouton/navig/BoutParcourirover.gif";
var bouton_parcourirdisabled_src="/proto/FrameworkERGO/images/bouton/navig/BoutParcourir_F.gif";

// bouton rattacher/detacher
var bouton_rattacher_src="/proto/FrameworkERGO/images/bouton/navig/BoutRattacher.gif";
var bouton_rattacherover_src="/proto/FrameworkERGO/images/bouton/navig/BoutRattacherover.gif";
var bouton_rattacherdisabled_src="/proto/FrameworkERGO/images/bouton/navig/BoutRattacher_F.gif";
var bouton_detacher_src="/proto/FrameworkERGO/images/bouton/navig/BoutDetacher.gif";
var bouton_detacherover_src="/proto/FrameworkERGO/images/bouton/navig/BoutDetacherover.gif";
var bouton_detacherdisabled_src="/proto/FrameworkERGO/images/bouton/navig/BoutDetacher_F.gif";

// bouton monter/descendre
var bouton_monter_src="/proto/FrameworkERGO/images/bouton/navig/BoutFlecheHaut.png";
var bouton_monterover_src="/proto/FrameworkERGO/images/bouton/navig/BoutFlecheHautover.png";
var bouton_monterdisabled_src="/proto/FrameworkERGO/images/bouton/navig/BoutFlecheHaut_F.png";
var bouton_descendre_src="/proto/FrameworkERGO/images/bouton/navig/BoutFlecheBas.png";
var bouton_descendreover_src="/proto/FrameworkERGO/images/bouton/navig/BoutFlecheBas.png";
var bouton_descendredisabled_src="/proto/FrameworkERGO/images/bouton/navig/BoutFlecheBas_F.png";

//page et bouton calendrier
var page_calendrier="/proto/FrameworkERGO/html/calendrier/calendrier.html";
var bouton_calendrier_src="/proto/FrameworkERGO/images/bouton/divers/IcoCalendrier.gif";
var bouton_calendrierover_src="/proto/FrameworkERGO/images/bouton/divers/IcoCalendrierover.gif";

// bouton precedent
var bouton_precedent_src="/proto/FrameworkERGO/images/bouton/navig/BoutPrecedent.gif";
var bouton_precedentover_src="/proto/FrameworkERGO/images/bouton/navig/BoutPrecedentover.gif";
var bouton_precedentdisabled_src="/proto/FrameworkERGO/images/bouton/navig/BoutPrecedent_F.gif";

// bouton suivant
var bouton_suivant_src="/proto/FrameworkERGO/images/bouton/navig/BoutSuivant.gif";
var bouton_suivantover_src="/proto/FrameworkERGO/images/bouton/navig/BoutSuivantover.gif";
var bouton_suivantdisabled_src="/proto/FrameworkERGO/images/bouton/navig/BoutSuivant_F.gif";

// bouton initialiser
var bouton_init_src="/proto/FrameworkERGO/images/bouton/navig/BoutInitialiser.gif";
var bouton_initover_src="/proto/FrameworkERGO/images/bouton/navig/BoutInitialiserover.gif";
var bouton_initdisabled_src="/proto/FrameworkERGO/images/bouton/navig/BoutInitialiser_F.gif";

// bouton rechercher
var bouton_rechercher_src="/proto/FrameworkERGO/images/bouton/navig/BoutRechercher.gif";
var bouton_rechercherover_src="/proto/FrameworkERGO/images/bouton/navig/BoutRechercherover.gif";
var bouton_rechercherdisabled_src="/proto/FrameworkERGO/images/bouton/navig/BoutRechercher_F.gif";

// bouton connexion
var bouton_connect_src="/proto/FrameworkERGO/images/bouton/navig/BoutSeConnect.gif";
var bouton_connectover_src="/proto/FrameworkERGO/images/bouton/navig/BoutSeConnectover.gif";
var bouton_connectdisabled_src="/proto/FrameworkERGO/images/bouton/navig/BoutSeConnect_F.gif";

// variables globales
// rfrence sur le composant calendrier courant dont on vient d'ouvrir la popup
var currentCalendar=null;
// rfrence sur l'objet ComposantAide courant dont on vient d'ouvrir la popup
var currentAide=null;
// rfrence sur l'objet ComposantAide (pour assistant) courant dont on vient d'ouvrir la popup
var currentElementAssistant=null;
// rfrence sur l'objet ComposantForm  gnrer de faon automatique
var currentComposantForm=null;
// Ces variables globales vont permettre de rcuprer le flux xml ncessaire pour la cration
// automatique d'un ElementFormSelectMaster.
var currentXmlPageElementFormSelect=null;
var currentXmlElementFormSelect=null;

// Fonction gnrique pour grer les retours de flux rapatris par un composant formulaire
/**
* La fonction globale Generique_retourXML(id) gre les retours de flux rapatris par un composant formulaire
* @public
* @param {String_id} Obligatoire id de l'element de formulaire 
* @version 2.6
* @date 04/09/2007
*/
function Generique_retourXML(id)
{
  eval(id + '.retourImportData();');
}

// Fonction gnrique pour grer les retours de flux rapatris par un composant filtre
/**
* La fonction globale Generique_retourXMLFiltre() gre les retours de flux rapatris par un composant filtre
* @public
* @param {} Aucun
* @version 2.6
* @date 04/09/2007
*/
function Generique_retourXMLFiltre()
{
 return;
}


/**
* La fonction globale Generique_retourInstancierDataElt(xmlOptions) gre la retour du flux
* lors de la creation automatique d'un lment complexe de formulaire (ElementFormSelect ou 
* ElementFormRadio).
* <br> Cette fonction va mettre  jour l'attribut tabOptionElement du formulaire courant currentComposantForm
* @public
* @param {ObjectOption_xmlOptions} Obligatoire c'est l'import de cet objet qui provoque l'appel  la fonction globale
* <br> L'objet est utilis pour rcuprer les options du flux XML. 
* @version 2.6
* @date 04/09/2007
*/
function Generique_retourInstancierDataElt(xmlOptions){
		var itemsElementOptions = parent.getElements(xmlOptions.xmlDoc,"OPTIONS");

		//Remplissage du tabOption
		currentComposantForm.creerOption(itemsElementOptions[0]); 
}

/**
* La fonction globale Generique_retourInstancierDataElt(xmlOptions) gre la retour du flux
* lors de la creation automatique d'un lment complexe de formulaire dpendant (ElementFormSelectMaster).
* <br> Cette fonction va mettre  jour currentXmlElementFormSelect : XmlObjectSauvegarde ncessaire
* pour la construction de selectBox dpendantes.
* @public
* @param {} Aucun 
* @version 2.6
* @date 04/09/2007
*/
function Generique_retourInstancierXmlData(){

	var testErreur = currentXmlPageElementFormSelect.parseErrorXML();
	if (testErreur == 0)
	{
		currentXmlElementFormSelect = new parent.XMLObjectSauvegarde();
    	currentXmlElementFormSelect.sauvegardeDOM(parent.getElements(currentXmlPageElementFormSelect.xmlDoc,"ELEMENT")[0]);
	}
}

// Fonction pour rediriger l'evenement de la touche entre vers la fonction de validation du formulaire
// dans lequel se trouve le curseur

/**
* La fonction globale enterEgalValider() s'applique  un document HTML et trouve son utilit dans le contexte
* d'une page de type formulaire. Elle redfinit la mthode du DOM HTML 'document.onkeydown' pour faire en sorte
* que la touche 'ENTER' presse depuis un champ de formulaire (autre que textarea) dclenche la validation
* du formulaire (mthode '{@link ComposantForm#valider valider()}' du composant 'ComposantForm').
* <br><br><b>Voir Exemple d'appel aux fonctions globales : </b>
* <a href='exemples_A3.html#enterEgalValider_fctGlob'>Exemples d'appel aux fonctions globales</a>.
* @public
* @param {String_Facultatif} Facultatif_e Champ de formulaire depuis lequel est presse la touche 'ENTER' 
* @param {ObjectDOMHTML_Obligatoire} value Valeur de l'option recherche.
* @return {boolean} Vrai si la touche ENTER sera bien intercept, FAUX sinon.
* @version 1.1
* @date 25/10/2005
*/
function enterEgalValider() {
  document.onkeydown = function (e) {
    var key = e ? (e.which ? e.which : e.keyCode) : event.keyCode;
    var elm = e ? e.target : event.srcElement;
    if (key==13 && elm.form!=null) { // si touche ENTER et si element de formulaire
      if (elm.type!="button" && elm.type!="textarea" && elm.type!="file") { // sauf bouton et textarea et button file
        composantFormulaire=getDefaultElementById(elm.form.id);
        if (composantFormulaire!=null) composantFormulaire.valider();
        return false;
      }
    }  
    return true;  
  };
}  



/**
* Cre une instance de la classe FilterComponent
* <br><b>Voir Exemple d'instanciation de la classe FilterComponent :</b>
* <a href='exemples_A3.html#FilterComponent_constr'>Exemples d'appels aux constructeurs</a>.
* @class La classe <b>FilterComponent</b> est la classe, base sur un
* {@link ElementFormText ElementFormText}, permettant de modliser le composant qui affiche un champ de
* saisie de texte, accompagn d'un bouton de recherche d'lments et d'une SelectBox d'affichage.
* <br>Ce composant hrite de &laquo;&nbsp;{@link ElementFormText ElementFormText}, est compos d'un bouton
* de type {@link ElementFormButton ElementFormButton}, de deux listes de choix de type 
* {@link ElementFormSelect ElementFormSelect} pour le choix du type de filtrage et le rsultat, et enfin
* il a la possibilit d'afficher une image d'attente au cours du chargement de flux.
* <br><br><br><img alt="model" src="Image.FilterComponentUML.png"/><br>
* <br>Il s'agit d'un <a href="exemples_A3.html#structXml">lment mono-value</a> :<br>
* <div style="border: 0.5pt solid windowtext; padding: 1pt 4pt; background: rgb(255, 255, 204) none repeat
* scroll 0% 50%; -moz-background-clip: initial; -moz-background-origin:
* initial; -moz-background-inline-policy: initial;"><code>&lt;ELEMENT&gt;<br> &lt;LIBELLE&gt;libelle de champ
* de recherche :&lt;/LIBELLE&gt;<br> &lt;VALUE&gt;Valeur&lt;/VALUE&gt;<br> &lt;/ELEMENT&gt;
* <br></code></div>
* <br><br>RENDU IHM<br>Ce composant affiche le champ de saisie et le rsultat<br><img alt="renduIHMFilterComponent"
* src="Image.FilterComponentBeforeSearch.jpg"/><br><br>
* <img alt="renduIHMpopup" src="Image.FilterComponentAfterSearch.jpg"/><br>
* Cette classe reprend toutes les proprits prives et publiques hrites.<br>
* Cette classe reprend toutes les mthodes prives et publiques hrites.<br>
* <a href="javascript:ouvrirPopupExemple('./exemples/filtre.html','Exemple')">Exemple d'utilisation du composant filtre.</a><br>
* @extends ElementFormText
* @constructor
 * @param {String_Obligatoire} id l'id de l'lment HTML associ.
 * @param {XMLObjectSauvegarde_Facultatif} XMLObjectInfos : Objet {@link XMLObjectSauvegarde XMLObjectSauvegarde}
 * pour paramtrer le composant.
 * @param {String_Facultatif} urlXMLData l'url  appeler pour la recherche des donnes correspondant aux critres de recherche.
 * @param {String_Facultatif} value la valeur initiale du composant.
 * @param {int_Facultatif} size : Attribut html &laquo;size du tag &lt;input&gt;.
 * @param {int_Facultatif} maxlength : Attribut html maxlength du tag &lt;input&gt;.
 * @param {String_Facultatif} libelle le libell  afficher.
 * @param {String_Facultatif} statut le statut du composant (STATUT_ENABLED,STATUT_DISABLED).
 * @param {int_Facultatif} tabindex Attribut html tabindex.
 * @param {String_Obligatoire} title : Attribut HTML title et alt, pour afficher un texte au passage de la souris sur le bouton.
 
 * @version 2.6
 * @date 04/09/2007
 */
function FilterComponent(id, XMLObjectInfos, urlXMLData, value, size, maxlength, libelle, obligatoire, statut, tabindex, title)
{
       
    /**
	* La proprit prive id est l'identifiant du composant.<br>
	* @private
	* @type String
	* @version 2.6
  * @date 04/09/2007
	*/ 
    this.id = id;

	/**
	* La proprit prive statut correspond au statut du composant.<br>
	* @private
	* @type String
	* @version 2.6
	* @date 01/05/2007
	*/ 
	this.statut=(statut!=null)?statut:STATUT_ENABLED;

    /**
	* La proprit prive urlXMLData est l'url du fichier xml de donnes du composant.<br>
	* @private
	* @type String
	* @version 2.6
  * @date 04/09/2007
	*/ 
    this.urlXMLData = urlXMLData;

	/**
	* La proprit prive XMLObjectInfos est un objet de type {@link XMLObjectSauvegarde XMLObjectSauvegarde}
	* qui contient le flux XML des paramtres du filtrage. Si ce paramtre est null, le composant prendra 
	* les valeurs par dfaut.
	* <br><br>
	* @private
	* @type XMLObjectSauvegarde
	* @version 2.6
  * @date 04/09/2007
	*/  
  	this.XMLObjectInfos = XMLObjectInfos;
  
	/**
	* La proprit publique XMLData reprsente les donnes XML associes au composant Filtre.
	* <br><br>
	* @public
	* @type XMLObject
	* @version 2.6
  * @date 04/09/2007
	*/  
  	this.XMLData = null;

    /**
	* La proprit prive libelle est le libelle du composant texte.<br>
	* @private
	* @type String
	* @version 2.6
  * @date 04/09/2007
	*/ 
    this.libelle = (libelle != null)?libelle : null;

     // herite de la class DefaultElementForm
	this.extend_ElementFormText=ElementFormText;
	this.extend_ElementFormText(id, null, value, size, maxlength, this.libelle, obligatoire, this.statut, tabindex);
    
    /**
	* Bouton pour lancer la recherche.<br>
	* @private
	* @type ElementFormButton
	* @version 2.6
  * @date 04/09/2007
	*/
    this.searchButton = new ElementFormButton("button_" + id,"javascript:" + this.reference + ".search()", null, null, bouton_rechercher_src, bouton_rechercherover_src, bouton_rechercherdisabled_src, this.statut, null, title);

    /**
	* Liste droulante des rsultats de la recherche.<br>
	* @private
  * @type ElementFormSelect
	* @version 2.6
  * @date 04/09/2007
	*/
    this.resultSearch = null;

	/**
	* Liste droulante des types de filtre.<br>
	* @private
	* @type ElementFormSelect
	* @version 2.6
  * @date 04/09/2007
	*/
	this.selectChoiceFilter = null;
	
	/**
	* Boolen indiquant si on fonctionne en flux complet ou partiel.<br>
	* @private
	* @type Boolean
	* @version 2.6
  * @date 04/09/2007
	*/
	this.boolFlowFull = false;
	
	/**
	* Url de l'image d'attente du composant.<br>
	* @private
  * @type String
	* @version 2.6
  * @date 04/09/2007
	*/
	this.urlWaitingImg = null;
	
	/**
	* xml de donnes pour le choix de type de filtre.<br>
	* @private
  * @type XMLObject
	* @version 2.6
  * @date 04/09/2007
	*/
	this.xmlTypeFilter = null;

	/**
	* La mthode publique prepareConstructor() Charge le xml de type de filtre si l'utilisateur
	* est autoris  le slectionner (paramtrage xml).
	* @public
	* @param {} Aucun
	* @return {void}
	* @version 2.6
  * @date 04/09/2007
	*/
	this.prepareConstructor = function(){
		//Cas ou l'on a un xml de paramtrage
		if(this.XMLObjectInfos != null){
			//Rcupration de balise xml
			//L'utilisateur va avoir ou non le choix du type de filtre. Selon le cas, on initialise la
			//selectBox listant les choix possibles. 
			var myChoice = parent.getElements(this.XMLObjectInfos.xmlDoc,"FILTER_CHOICE");
	    	
	    	if((myChoice != null) && (myChoice.length != 0)){
				//Recupration du contenu de la balise : diffrent selon les navigateurs
				var tmpChoice = parent.getTextElement(myChoice[0]);
				
			//L'utilisateur peut choisir le type de filtre, on charge le xml associ
			if(tmpChoice=="OUI" || tmpChoice=="YES" || tmpChoice=="true" || tmpChoice==true)
			{
				if (this.xmlTypeFilter == null)
		 		{
		   		this.xmlTypeFilter = new parent.XMLObject(null, null, "window.frames['CONTENU_WIN'].Generique_retourXMLFiltre()", "/proto/FrameworkERGO/xml/FilterComponent/filterType.xml", false);
		   		this.xmlTypeFilter.initAsynchrone(false);
		   		this.xmlTypeFilter.importXML();
	 	}}}}
	};
	
	/**
	* La mthode publique constructor() est le constructeur du composant
	* @public
	* @param {} Aucun
	* @return {void}
	* @version 2.6
  * @date 04/09/2007
	*/
   this.constructor = function(){
    	//Initialisation de la div de la zone de texte qui sert de base pour l'ecriture du composant
    	//this.inputSearch.setDivBind("Position_"+this.id);
    	
    	//Possibilit de choix de type de filtrage
    	if(this.xmlTypeFilter != null)
			this.selectChoiceFilter = new  ElementFormSelect("selectChoice_" + this.id, this.xmlTypeFilter, null, null, null, " ", false, false, STATUT_ENABLED);
		
		//Cas ou l'on a un xml de paramtrage
		if(this.XMLObjectInfos != null){
			//Rcupration de balise xml
			//Initialisation du boolen sur le type de flux de donnes		
	    	var myFlowType = parent.getElements(this.XMLObjectInfos.xmlDoc,"FLOW_TYPE");
	    	
	    	if((myFlowType != null) && (myFlowType.length != 0)){
				//Recupration du contenu de la balise : diffrent selon les navigateurs
				var tmpFlowType = parent.getTextElement(myFlowType[0]);
				
				if(tmpFlowType=="FULL")
					this.boolFlowFull = true;
			}
	    	
	    	//Rcupration de balise xml
	    	//Initialisation de l'url de l'image d'attente
	    	var myImg = parent.getElements(this.XMLObjectInfos.xmlDoc,"WAITING_IMG");
	    	
	    	if((myImg != null) && (myImg.length != 0)){
				//Recupration du contenu de la balise : diffrent selon les navigateurs
				this.urlWaitingImg = parent.getTextElement(myImg[0]);
		}}
    };
    
    //Appels au constructeur
    this.prepareConstructor();
    this.constructor();
    
    /**
	* La proprit prive ecrireBoiteHtml_parent() enrichit la mthode ecrireBoiteHtml() de la
	* classe parent "{@link ElementFormText ElementFormText}" avec la gnration HTML du composant filtre.
	* @see #ecrireBoiteHtml
	* @private
	* @param {} Aucun
	* @return {string} Code HTML de la partie non automatique de la boite.
	* @version 2.6
  * @date 04/09/2007
	*/  
	this.ecrireBoiteHtml_parent=this.ecrireBoiteHtml;
    	
	/**
	* La mthode prive ecrireBoiteHtml() de la classe parent "{@link ElementFormText ElementFormText}"
	* est enrichie pour intgrer aussi la gnration HTML du bouton et des ElementFormSelect.
	* @private
	* @param {} Aucun
	* @return {string} Code HTML correspondant  la zone de texte de saisie du composant. 
	* Les autres gnrations de code sont automatiques. 
	* @version 2.6
  * @date 04/09/2007
	*/
  this.ecrireBoiteHtml = 
    function() {
      var codeHTML="";
      codeHTML+=this.ecrireBoiteHtml_parent();
     
       //On rcupre la div d'intgration du composant
        var theDiv = document.getElementById(this.getDivBind());
 	
 		//Cration des lments html
	 	var theColSelect = document.createElement('td');
	 	var theDivSelect = document.createElement('div');
	 	var theColButton = document.createElement('td');
	 	var theDivButton = document.createElement('div');
	 	if(this.selectChoiceFilter != null){
	 		var theColSelectChoice = document.createElement('td');
	 		var theDivSelectChoice = document.createElement('div');
	 	}
	 	if(this.urlWaitingImg != null){
	 		var theColImg = document.createElement('td');
	 		var theDivImg = document.createElement('div');
	 	}
 	
 		//Cration des attributs
 		var attDivSelect = document.createAttribute("id");
		attDivSelect.nodeValue = "Position_select_"+this.id;
		var attDivButton = document.createAttribute("id");
		attDivButton.nodeValue = "Position_button_"+this.id;
		if(this.selectChoiceFilter != null){
			var attDivSelectChoice = document.createAttribute("id");
			attDivSelectChoice.nodeValue = "Position_selectChoice_"+this.id;
		}
		if(this.urlWaitingImg != null){
			var attImg = document.createAttribute("id");
			attImg.nodeValue = "Position_img_"+this.id;
		}
		if(this.XMLObjectInfos != null){
			var myCssResult = parent.getElements(this.XMLObjectInfos.xmlDoc,"CSS_RESULT_ZONE");
			var myCssFilter = parent.getElements(this.XMLObjectInfos.xmlDoc,"CSS_FILTER_ZONE");
			if((myCssResult != null) && (myCssResult.length != 0)){
				var attCssResult = document.createAttribute("class");
				var attCssChoice = document.createAttribute("class");
				//Recupration du contenu de la balise : diffrent selon les navigateurs
				attCssResult.nodeValue = parent.getTextElement(myCssResult[0]);
				attCssChoice.nodeValue = parent.getTextElement(myCssResult[0]);
				
				theDivSelect.setAttributeNode(attCssResult);
				if(this.selectChoiceFilter != null){
					theDivSelectChoice.setAttributeNode(attCssChoice);
				}
			}
			if((myCssFilter != null) && (myCssFilter.length != 0)){
				var attCssFilter = document.createAttribute("class");
				//Recupration du contenu de la balise : diffrent selon les navigateurs
				attCssFilter.nodeValue = parent.getTextElement(myCssFilter[0]);
				
				theDiv.setAttributeNode(attCssFilter);
			}
			
		}
		
		//Ajout des lments et des attributs
		if(this.selectChoiceFilter != null){
			theDiv.parentNode.parentNode.appendChild(theColSelectChoice);
			theColSelectChoice.appendChild(theDivSelectChoice);
			theDivSelectChoice.setAttributeNode(attDivSelectChoice);
		}
		
		theDiv.parentNode.parentNode.appendChild(theColSelect);
		theColSelect.appendChild(theDivSelect);
		theDivSelect.setAttributeNode(attDivSelect);
		
		theDiv.parentNode.parentNode.appendChild(theColButton);
		theColButton.appendChild(theDivButton);
		theDivButton.setAttributeNode(attDivButton);
		
		if(this.urlWaitingImg != null){
			theDiv.parentNode.parentNode.appendChild(theColImg);
			theColImg.appendChild(theDivImg);
			theDivImg.setAttributeNode(attImg);
		}	
        
        this.setDivBind("Position_"+this.id);
        this.setDivLibelleBind("Position_libelle_"+this.id);
        //this.ecrireBind();
        if(this.selectChoiceFilter != null)
        	this.selectChoiceFilter.ecrireBind();
        this.searchButton.ecrireBind();
        
        if(this.urlWaitingImg != null){
	        theDivImg.innerHTML += "<img width='45px' height='20px' src='"+this.urlWaitingImg+"'/>";
	        theDivImg.style.display="none";
	    }
      return codeHTML;
    };
    
   

    /**
	* La mthode prive search() est appele lors d'un clic sur le bouton de recherche.<br/>
	* Elle charge le flux XMLData des donnes de l'ElementFormSelect.<br/>
	* Dans le cas d'un mode de flux complet, le xml est charg seulement la premire fois et on 
	* appelle la mthode searchReturn directement les fois suivantes.<br/><br/>
	* Voici les paramtres du fichier xml envoy au serveur : <br>
	* <t>-filtre : valeur String de la zone de texte.<br>
	* <t>-type : valeur 1 pour '=', 2 pour '<', 3 pour '< =', 4 pour '>', 5 pour '> =', 6 pour '! ='.<br>
	* <t>-tupleName : "NomTuple" (Nom du tuple dans le flux de retour)
	* <t>-cols : "NomColonne1"+"NomColonne2"+<br>
	* <t>-idCol : "NomColonne1"<br>
	* <t>-colsFilter : "NomColonne1"+"NomColonne2"+<br><br>
	* Exemple : ?filtre=valeur&type=2&tupleName=NOM_TUPLE&cols=NomCol1+NomCol2+&idCol=NomCol1&colsFilter=NomCol1+
	* @private
	* @param {} Aucun
	* @return {void}
	* @version 2.6
  * @date 04/09/2007
	*/
    this.search = function () {

        // Contrle de surface
        var val = this.getValue();
        var urlXMLData = this.urlXMLData;

		 //Le critre de filtre doit tre rensign
		 //if (ctrlSaisie(this.inputSearch, "Veuillez rentrer un critre de filtre")) {
		
		//Cas ou le XML de donnes est null ou cas ou le flux est en mode partiel (on le charge 
		// chaque clic sur le bouton de recherche
		if((this.XMLData == null) || (this.boolFlowFull == false)){

			//Affichage de l'image d'attente indiquant que le flux est en cours de chargement
			if (this.urlWaitingImg != null){
				document.getElementById("Position_img_"+this.id).style.display="";
			}

            // Si l'url de recherche contient dja des paramtres        
            if (urlXMLData.search(/\?/) != -1) {
                urlXMLData = urlXMLData + "&";
            } else {
                urlXMLData = urlXMLData + "?";
            }
            if(this.boolFlowFull == false){
	            urlXMLData = urlXMLData + "filtre=" + escape(val);
	
				//Passage du type de filtrage en paramtre : on rcupre le numro de l'option
				if(this.selectChoiceFilter != null){
					urlXMLData += "&type=" + this.selectChoiceFilter.getValue();
			}}
			
			
			//Rcupration du nom du tuple dans le flux de DATA
			var myTupleName = parent.getElements(this.XMLObjectInfos.xmlDoc,"TUPLE_NAME");
	  	 		urlXMLData += "&tupleName=";
	  	 		//Rcupration du contenu de la balise XML : diffrent selon le navigateur
	  			var theTupleName = parent.getTextElement(myTupleName[0]);
	  			
	  			if(theTupleName != null)
	  				urlXMLData += theTupleName;
	  				
			
			//Rcupration des diffrentes colonnes
			var myCols = parent.getElements(this.XMLObjectInfos.xmlDoc,"COLUMNS");
			if((myCols != null) && (myCols.length != 0)){
				urlXMLData += "&cols=";
				for(var iCol=0 ; iCol<myCols.length ; iCol++){
				for(var jCol=0 ; jCol<myCols[iCol].childNodes.length ; jCol++){
		  	 		//Rcupration du contenu de la balise XML : diffrent selon le navigateur
		  			var tmp = parent.getTextElement(myCols[iCol].childNodes[jCol]);
		  					  			
		  			//Compltion des paramtres
		  			if(myCols[iCol].childNodes[jCol].nodeName == "COLUMN")
		  			  	urlXMLData += tmp+"+";
	 	 		}}
	 	 	}
	 	 	
	 	 	//Id de la colonne
	 	 	var myColId = parent.getElements(this.XMLObjectInfos.xmlDoc,"COLUMN_ID");
	 	 	if((myColId != null) && (myColId.length != 0)){
	 	 		//Rcupration du contenu de la balise XML : diffrent selon le navigateur
	  			var tmpId = parent.getTextElement(myColId[0]);
	  				  				
	  			urlXMLData += "&idCol="+tmpId;
	 	 	}
	 	 	
	 	 	//Rcupration des colonnes  filtrer
	 	 	var myColsFilter = parent.getElements(this.XMLObjectInfos.xmlDoc,"COLUMNS_FILTER");
			if((myColsFilter != null) && (myColsFilter.length != 0)){
				urlXMLData += "&colsFilter=";
				for(var iColF=0 ; iColF<myColsFilter.length ; iColF++){
				for(var jColF=0 ; jColF<myColsFilter[iColF].childNodes.length ; jColF++){
		  	 		//Rcupration du contenu de la balise XML : diffrent selon le navigateur
		  			var tmpF = parent.getTextElement(myColsFilter[iColF].childNodes[jColF]);
		  					  			
		  			//Compltion des paramtres
		  			if(myColsFilter[iColF].childNodes[jColF].nodeName == "COLUMN")
		  			  	urlXMLData += tmpF+"+";
	 	 		}}
	 	 	}

            // Appel de l'url de recherche
            this.XMLData = new parent.XMLObject(null, null, "window.frames['CONTENU_WIN']." + this.reference + ".searchReturn()", urlXMLData, false);
            this.XMLData.initAsynchrone(false);
            this.XMLData.importXML();
        }
        //Fin du critre de filtre devant etre renseign
        //}
        //Cas ou on a un XMLData en flux complet
        else{
        	this.searchReturn();
        }
    };

    /**
	* La mthode prive searchReturn() est appele lors de la rception du flux de recherche.<br/>
	* Elle cre et initialise l'ElementFormSelect d'affichage des donnes.
	* @private
	* @param {} Aucun
	* @return {void}
	* @version 2.6
  * @date 04/09/2007
	*/
    this.searchReturn = function () {
      var testErreur = this.XMLData.parseErrorXML("popup");
      if (testErreur == 0) {
        //Tableau d'ObjectOption pour la cration de la selectBox dans le cas d'un flux complet
        var myTabOptions = new Array();
        //Cas d'un flux de donnes complet : on trie les donnes pour obtenir celles dsires
        if(this.boolFlowFull == true){
        	//Valeur entre par l'utilisateur
        	var val = this.getValue();
        	//Type de filtrage (par dfaut ==)
        	var tmpFilterType = "0";
        	//Si on a le choix du type de filtrage, on rcupre la valeur
        	if(this.selectChoiceFilter != null){
				tmpFilterType = this.selectChoiceFilter.getValue();
			}

			//Tableau contenant les noms des colonnes  afficher
			var myArrayEdit = new Array();
			var myColsEdit = parent.getElements(this.XMLObjectInfos.xmlDoc,"COLUMNS_EDIT");
			if((myColsEdit != null) && (myColsEdit.length != 0)){
				for(var iColEdit=0 ; iColEdit<myColsEdit.length ; iColEdit++){
				for(var jColEdit=0 ; jColEdit<myColsEdit[iColEdit].childNodes.length ; jColEdit++){
		  	 		//Rcupration du contenu de la balise XML : diffrent selon le navigateur
		  			var tmpEdit = parent.getTextElement(myColsEdit[iColEdit].childNodes[jColEdit]);
			
					//Remplissage du tableau
		  			if(myColsEdit[iColEdit].childNodes[jColEdit].nodeName == "COLUMN")
		  			  	myArrayEdit.push(tmpEdit);
		  		}}
		  	}  

			
			//Rcupration du nom du tuple dans le flux de DATA
			var myTupleName = parent.getElements(this.XMLObjectInfos.xmlDoc,"TUPLE_NAME");
	  	 	
	  	 	//Rcupration du contenu de la balise XML : diffrent selon le navigateur
	  		var theTupleName = parent.getTextElement(myTupleName[0]);
	  					
			//Tableau contenant les noms des colonnes  filtrer
			var myArrayFilter = new Array();
	 	 	var myColsFilter = parent.getElements(this.XMLObjectInfos.xmlDoc,"COLUMNS_FILTER");
			if((myColsFilter != null) && (myColsFilter.length != 0)){
				for(var iColF=0 ; iColF<myColsFilter.length ; iColF++){
				for(var jColF=0 ; jColF<myColsFilter[iColF].childNodes.length ; jColF++){
		  	 		//Rcupration du contenu de la balise XML : diffrent selon le navigateur
		  			var tmpF = parent.getTextElement(myColsFilter[iColF].childNodes[jColF]);
		  					  			
		  			//Compltion des paramtres
		  			if(myColsFilter[iColF].childNodes[jColF].nodeName == "COLUMN")
		  			  	myArrayFilter.push(tmpF);
	 	 		}}
	 	 	}
			
			//Rcupration des donnes  afficher et cration des ObjectOptions
			if(theTupleName != null){
			var myTuples = parent.getElements(this.XMLData.xmlDoc,theTupleName);
			if((myTuples != null) && (myTuples.length != 0)){
				for(var iTuples=0 ; iTuples<myTuples.length ; iTuples++){
				//Boolen indiquant si le libell correspond au filtrage souhait
		  		var boolGoodLibelle = false;
		  		var myStrEdit = "";
				for(var jTuples=0 ; jTuples<myTuples[iTuples].childNodes.length ; jTuples++){
		  	 		//Rcupration du contenu de la balise XML : diffrent selon le navigateur
		  			var tmpTuple = parent.getTextElement(myTuples[iTuples].childNodes[jTuples]);
		  								
					//Filtrage et comparaisons
					for(var iArrFilter=0 ; iArrFilter<myArrayFilter.length ; iArrFilter++){
						if(myTuples[iTuples].childNodes[jTuples].nodeName == myArrayFilter[iArrFilter]){
							//Commparaison du libell selon le type de filtrage
		 	 				if(boolGoodLibelle == false){
		 	 				switch(tmpFilterType){
					  		case "0":
					  			if(val == tmpTuple)
					  				boolGoodLibelle = true;
					  			break;
					  		case "1":
					  			if(val == tmpTuple.substr(0,val.length))
					  				boolGoodLibelle = true;
					  			break;
					  		case "2":
					  			if(val > tmpTuple.substr(0,val.length))
					  				boolGoodLibelle = true;
					  			break;
					  		case "3":
					  			if(!(val < tmpTuple.substr(0,val.length)))
					  				boolGoodLibelle = true;
					  			break;
					  		case "4":
					  			if(val < tmpTuple.substr(0,val.length))
					  				boolGoodLibelle = true;
					  			break;
					  		case "5":
					  			if(!(val > tmpTuple.substr(0,val.length)))
					  				boolGoodLibelle = true;
					  			break;
					  		case "6":
					  			if(val != tmpTuple.substr(0,val.length))
					  				boolGoodLibelle = true;
					  			break;
					  		default:
					  			break;
						}}
						}
					}
					
					//Variable d'affichage
					for(var iArrEdit=0 ; iArrEdit<myArrayEdit.length ; iArrEdit++){
		  				if(myTuples[iTuples].childNodes[jTuples].nodeName == myArrayEdit[iArrEdit])
		  			  		myStrEdit += tmpTuple+"\t";
		  			}
		  		}
		  		if(boolGoodLibelle){
  					//Cration de l'objectOption
  					myTabOptions.push(new ObjectOption(myStrEdit, iTuples, false));
		  		}
		  		}
		  	}}  
			
			//Cration de la liste de choix
			this.resultSearch = new  ElementFormSelect("select_" + this.id, null, myTabOptions, null, null, " ", false, false, STATUT_ENABLED);
        }else{
        	//Cas d'un flux partiel : tout le XMLData va apparaitre dans la liste de choix
        	var optionsNode = parent.getElements(this.XMLData.xmlDoc,"OPTIONS");
			//On vrifie qu'on a bien un ensemble d'options dans le XML
			if((optionsNode!=null) && (optionsNode.length!=0) && (optionsNode[0].nodeName=='OPTIONS')){          
	            // On rinitialise la liste droulante
	            this.resultSearch = new  ElementFormSelect("select_" + this.id, this.XMLData, null, null, null, " ", false, false, STATUT_ENABLED);
            }else{
        		//Initialisation d'une liste vide
        		this.resultSearch = new  ElementFormSelect("select_" + this.id, null, null, null, null, " ", false, false, STATUT_ENABLED);
        	}
            
        }
        this.resultSearch.setElementFormToChange(this);
        //Mthode onChange de la liste droulante
        this.resultSearch.onChange = function(){
            	var myInputSearch = this.getElementFormToChange();
            	myInputSearch.setValue(this.getValueLibelle());
        };
        
        //Ecriture de la liste droulante de rsultat
        this.resultSearch.ecrireBind();
        //Fin d'affichage de l'image d'attente
        if (this.urlWaitingImg != null){
			document.getElementById("Position_img_"+this.id).style.display="none";
		}}
    };

    /**
	* La mthode publique setStatut_parent() est appele pour mettre  jour le statut du composant.<br/>
	* @public
	* @param {String_Obligatoire} statut statut du composant (STATUT_ENABLED, STATUT_DISABLED)
	* @return {void}
	* @version 2.6
  * @date 04/09/2007
	*/
    this.setStatut_parent = function (statut) {
        // On met  jour le statut des 3 composants
        this.statut=(statut!=null)?statut:STATUT_ENABLED;
        this.setStatut(statut);
        this.searchButton.setStatut(statut);
        if (this.resultSearch != null) {
            // On efface la liste droulante de rsultat
            this.resultSearch.getDomHtmlElement().parentNode.innerHTML = "";
        }
    };
    
    /**
	* La mthode publique setUrlXMLData() sert  mettre  jour l'attribut urlXMLData.<br/>
	* @public
	* @param {String_Obligatoire} urlXMLData nouvelle url
	* @return {void}
	* @version 2.6
  * @date 04/09/2007
	*/
    this.setUrlXMLData = function (urlXMLData) {

        this.urlXMLData = urlXMLData;
    };
    
}


// ComposantFile 
// bouton spcial charte graphique 
// utilisation conjointe d'un champ input file invisible
// et d'un champ text visible avec bouton image

/**
* Cre une instance de la classe ComposantFile.
* <br><b>Voir Exemple d'instanciation de la classe ComposantFile :</b><a href='exemples_A3.html#ComposantFile_constr'>Exemples d'appels aux constructeurs</a>.
* @class La classe <b>ComposantFile</b> rpond au besoin de personnalisation du bouton Parcourir
* (tag HTML &lt;input&gt; de type file). Il est utilis dans le cas  le bouton gnrique html n'est pas adapt
* et qu'on lui prfre un bouton image plus en harmonie avec la charte graphique (il est aussi recommand de
* prfrer son utilisation  &laquo;{@link ElementFormFile ElementFormFile} pour bnficier de davantage
* de fonctionnalits).<br>
* <span style="font-weight: bold; color: rgb(255, 0, 0);">Attention, sous Mozilla, il est ncessaire de modifier la gestion de la scurit pour faire fonctionner ce composant</span>.
* <span style="color: rgb(51, 204, 0);">Ajouter</span> la ligne suivante <span style="color: rgb(51, 204, 0);">au</span> <span style="color: rgb(51, 204, 0);">fichier de prfrence
* mozilla</span> <span style="color: rgb(51, 204, 0); font-weight: bold;">prefs.js</span>
* <br><div style="border: 0.5pt solid windowtext; padding: 1pt 4pt; background: rgb(255, 255, 204) none repeat scroll 0% 50%; -moz-background-clip: initial; -moz-background-origin:
* initial; -moz-background-inline-policy: initial;"><code>user_pref("signed.applets.codebase_principal_support", true);<br></code></div>
* <br>Ce composant hrite de {@link ElementFormFile ElementFormFile} et se compose d'un champ {@link ElementFormText ElementFormText}
* et d'un bouton {@link ElementFormButton ElementFormButton}
* <br><br><br><img alt="model" src="Image.ComposantFileUML.png"/><br>
* <br>Il s'agit d'un <a href="exemples_A3.html#structXml">lment mono-value</a> :<br>
* <div style="border: 0.5pt solid windowtext; padding: 1pt 4pt; background: rgb(255, 255, 204) none repeat scroll 0% 50%; -moz-background-clip: initial; -moz-background-origin:
* initial; -moz-background-inline-policy: initial;"><code>&lt;ELEMENT&gt;<br>&nbsp;&nbsp;&nbsp; &lt;LIBELLE&gt;libelle de champ pass :&lt;/LIBELLE&gt;<br>&nbsp;&nbsp;&nbsp; &lt;VALUE&gt;c:\documents\fichier.doc&lt;/VALUE&gt;<br>&lt;/ELEMENT&gt;
* <br></code></div>
* <br><br>RENDU IHM<br><img alt="renduIHM" src="Image.ComposantFile.jpg"/><br>
* Cette classe reprend toutes les proprits prives et publiques hrites.<br>
* Cette classe reprend toutes les mthodes prives et publiques hrites.<br>
* @extends ElementFormFile
* @constructor
* @param {String_Obligatoire} id : Id du composant.
* @param {XMLObjectSauvegarde_Facultatif} xmlData : Donnes XML de type
* {@link XMLObjectSauvegarde XMLObjectSauvegarde}, que l'on souhaite associer 
* l'lment de formulaire pour valoriser les attributs {@link #libelle libelle} et {@link #value value}.
* @param {String_Facultatif} value : Valeur du champ, dans le cas d'un lment
* mono-value si on n'utilise pas xmlData comme source.
* @param {int_Facultatif} size : Attribut HTML size du tag &lt;input&gt;.
* @param {String_Facultatif} libelle : Libell du composant de formulaire.
* @param {boolean_Facultatif} obligatoire : Boolen  true si le champ est obligatoire.
* @param {Boolean_Facultatif} statut : Statut de l'lment, enable par dfaut.
* @param {int_Facultatif} tabindex : Attribut html tabindex.
* @version 1.1
* @date 25/10/2005
*/
function ComposantFile(id, xmlData, value, size, libelle, obligatoire, statut, tabindex)
{
  // hrite de ElementFormFile
  this.extend_ElementFormFile = ElementFormFile;
  this.extend_ElementFormFile(id, xmlData, value, size+5, libelle, obligatoire, STATUT_READONLY, null);

  // champs pour identifier le type de composant
  this.nomClasse = "ComposantFile";
  
  // constitu d'un champs texte

	/**
	* La proprit prive elementTexte est l'lment de type {@link ElementFormText ElementFormText}
	* associ au champ texte du bouton Parcourir.
	* <br><br>
	* @private
	* @type ElementFormText
	* @version 1.1
	* @date 25/10/2005
	*/
  this.elementText = new ElementFormText(this.id+"Text", xmlData, value, size, null, libelle, obligatoire, STATUT_READONLY, tabindex);

  
  // constitu d'un bouton image parcourir

	/**
	* La proprit prive elementBouton est l'lment de type {@link ElementFormButton ElementFormButton}
	* associ au bouton Parcourir. Il sert  ouvrir la popup d'exploration de fichiers.
	* <br><br>
	* @private
	* @type ElementFormButton
	* @version 1.1
	* @date 25/10/2005
	*/
  //this.elementBouton=new ElementFormButton(this.id+"Bouton", "javascript:"+this.reference+".parcourir()", "80px", "18px", bouton_parcourir_src, bouton_parcourirover_src, bouton_parcourirdisabled_src, statut, null, "Parcourir");
  this.elementBouton=new ElementFormButton(this.id+"Bouton", null, "80px", "18px", bouton_parcourir_src, bouton_parcourirover_src, bouton_parcourirdisabled_src, STATUT_READONLY, null, "Parcourir");  
	
	/**
	* <b>La mthode prive onChange() est dclenche sur l'vnement html "onchange" du composant File.
	* @private
	* @param {} Aucun
	* @return {void}
	* @version 1.1
	* @date 25/10/2005
	*/
  this.onChange = function() {
    //this.elementText.getDomHtmlElement().value=this.getDomHtmlElement().value;  };
    this.elementText.setValue(this.getValue()); //input text recoit la valeur de l'input file
  };
  
  // On enrichi la methode ecrireBoiteHTML
  
	/**
	* La mthode prive ecrireBoiteHtml_parent() enrichie la mthode ecrireBoiteHtml() de la classe
	* parent "{@link ElementFormFile ElementFormFile}" par la gnration HTML de l'lment file invisible.
	* @see #ecrireBoiteHtml
	* @private
	* @param {} Aucun
	* @return {string}
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.ecrireBoiteHtml_parent = this.ecrireBoiteHtml;
  
	/**
	* La mthode prive ecrireBoiteHtml() est enrichie par rapport  la classe parent 
	* "{@link ElementFormFile ElementFormFile}". Le champs html &lt;input type='file' '&gt; est rendu invisible.
	* Conjointement sont gnrs le code html de &laquo;{@link #elementText elementText} et de
	* {@link #elementBouton elementBouton}.<br>
	* @private
	* @param {} Aucun
	* @return {string} Code HTML correspondant au bouton Parcourir, sous forme d'une chane de caractres.
	* @version 1.1
	* @date 25/10/2005
	*/
  this.ecrireBoiteHtml =
    function() {
      var codeHTML = "";

      // Creation de la DIV principale
      codeHTML+= "<div style='position: relative'>";
			// this.setStyle("position:relative;z-index:2;-moz-opacity:0;filter:alpha(opacity:0);opacity:0;");
      this.setStyle("position:relative;z-index:2;-moz-opacity:0;filter:alpha(opacity:0);filter:alpha(opacity=0);filter:progid:DXImageTransform.Microsoft.Alpha(opacity=0);opacity:0;");
      codeHTML+= this.ecrireBoiteHtml_parent();
      codeHTML+= "<div id='divFauxInputFile_" + this.id + "' style='position:absolute; z-index:1; top:0px; left:0px;'>";
      codeHTML+= "<table><tr><td>";
      codeHTML+= this.elementText.ecrireBoiteHtml();
      codeHTML+= "</td><td>";
      codeHTML+= this.elementBouton.ecrireBoiteHtml();
//      codeHTML+="<input style='position:relative;z-index:2;-moz-opacity:0;filter:alpha(opacity:0);opacity:0;' type='file' id='" + this.id + "' size=" + this.size + " value='" + this.value + "'/>";
//      codeHTML+="<input type='text' id='" + this.id +"Text' size=" + this.size + " value='" + this.value + "'/>";
//      codeHTML+="<img src='" + bouton_parcourir_src + "' id='" + this.id +"Bouton'/>";      
      codeHTML+="</td></tr></table></div>";
      codeHTML+="</div>";
      return codeHTML;
    };
   
  // redfinition de setStatut
  
	/**
	* La proprit prive setStatut_parent() enrichit la mthode setStatut() de la classe parent
	* "{@link ElementFormFile ElementFormFile}" pour les attributs {@link #elementText elementText} et
	* {@link #elementBouton elementBouton} du composant File.
	* @see #setStatut
	* @private
	* @param {} Aucun
	* @return {void}
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.setStatut_parent=this.setStatut;
  
	/**
	* La mthode publique setStatut(newStatut) rdfinit la mthode publique de la classe parent
	* "{@link ElementFormFile ElementFormFile}" pour initialiser le statut des attributs 
	* {@link #elementText elementText} et {@link #elementBouton elementBouton} avec de nouvelles valeurs.
	* @private
	* @param { int_Obligatoire} newStatut Nouveau statut  appliquer.
	* @return {void}
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.setStatut = function(newStatut) {
    this.elementText.setStatut(newStatut);
    this.elementBouton.setStatut(newStatut);
    this.setStatut_parent(newStatut);
  };
    
}


// CLASSE ComposantRattachement

/**
* Cre une instance de la classe ComposantRattachement.
* <br><b>Voir Exemple d'instanciation de la classe ComposantRattachement :</b>
* <a href='exemples_A3.html#ComposantRattachement_constr'>Exemples d'appels aux constructeurs</a>.
* @class La classe <b>ComposantRattachement</b> est la classe permettant de modliser le composant qui
* permet de choisir des items dans une liste et de les "rattacher" pour les faire apparatre dans une
* seconde liste.<br>Ce composant hrite de &laquo;&nbsp;{@link DefaultElementForm DefaultElementForm}&nbsp;
* et &laquo;&nbsp;{@link DefaultXml DefaultXml}&nbsp;.
* Il est aussi compos de 2 listes &laquo;&nbsp;{@link ElementFormSelect ElementFormSelect}&nbsp;
* (lments dtachs et lments rattachs) et 2 boutons &laquo;&nbsp;{@link ElementFormButton ElementFormButton}
* &nbsp; (rattacher et dtacher).
* <br><br><br><img src="Image.ComposantRattachementUML.png"/><br><br><br>
* <br>Il s'agit d'un <a href="exemples_A3.html#structXml">lment multi-values</a> :<br>
* <div style="border: 0.5pt solid windowtext; padding: 1pt 4pt; background: rgb(255, 255, 204) none repeat scroll 0% 50%; -moz-background-clip: initial; -moz-background-origin:
* initial; -moz-background-inline-policy: initial;"><code>&lt;ELEMENT&gt;<br> &nbsp;&nbsp;&nbsp; &lt;LIBELLE&gt;libelle de Rattachement :&lt;/LIBELLE&gt;<br> &nbsp;&nbsp;&nbsp; &lt;LIBELLE1&gt;libelle 1 :&lt;/LIBELLE1&gt;<br> &nbsp;&nbsp;&nbsp; &lt;LIBELLE2&gt;libelle 2 :&lt;/LIBELLE2&gt;<br> &nbsp;&nbsp;&nbsp; &lt;OPTIONS&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;OPTION&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;LIBELLE&gt;optionRattachement1&lt;/LIBELLE&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;VALUE&gt;1&lt;/VALUE&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;SELECTED&gt;FALSE&lt;/SELECTED&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;/OPTION&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;OPTION&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;LIBELLE&gt;optionRattachement2&lt;/LIBELLE&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp; &lt;VALUE&gt;2&lt;/VALUE&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;SELECTED&gt;FALSE&lt;/SELECTED&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;/OPTION&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;OPTION&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;LIBELLE&gt;optionRattachement3(true)&lt;/LIBELLE&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;VALUE&gt;3&lt;/VALUE&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;SELECTED&gt;TRUE&lt;/SELECTED&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;/OPTION&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;OPTION&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;LIBELLE&gt;optionRattachement4&lt;/LIBELLE&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;VALUE&gt;4&lt;/VALUE&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;SELECTED&gt;FALSE&lt;/SELECTED&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;/OPTION&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;OPTION&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;LIBELLE&gt;optionRattachement5&lt;/LIBELLE&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;VALUE&gt;5&lt;/VALUE&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;SELECTED&gt;FALSE&lt;/SELECTED&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;/OPTION&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;OPTION&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp; &lt;LIBELLE&gt;optionRattachement6&lt;/LIBELLE&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;VALUE&gt;6&lt;/VALUE&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;SELECTED&gt;FALSE&lt;/SELECTED&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;/OPTION&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;OPTION&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;LIBELLE&gt;optionRattachement7&lt;/LIBELLE&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;VALUE&gt;7&lt;/VALUE&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;SELECTED&gt;FALSE&lt;/SELECTED&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;/OPTION&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;OPTION&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;LIBELLE&gt;optionRattachement8&lt;/LIBELLE&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;VALUE&gt;8&lt;/VALUE&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;SELECTED&gt;FALSE&lt;/SELECTED&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;/OPTION&gt;<br>
* &nbsp;&nbsp;&nbsp; &lt;/OPTIONS&gt;<br>&lt;/ELEMENT&gt;<br></code></div>
* <br><br>RENDU IHM<br><img alt="renduIHM" src="Image.ComposantRattachement.jpg"/><br>
* Cette classe reprend toutes les proprits prives et publiques hrites.<br>
* Cette classe reprend toutes les mthodes prives et publiques hrites.<br>
* <br><br>
* <a href="javascript:ouvrirPopupExemple('./exemples/rattach1.html','Exemple')">Exemple d'utilisation du composant Rattachement.</a><br>
* <a href="javascript:ouvrirPopupExemple('./exemples/rattach2.html','Exemple')">Exemple d'utilisation du composant Rattachement indpendemment d'un flux XML.</a><br>
* @includeJS ergonomique_fw_formulaire_default.js
* @includeJS ergonomique_fw_formulaire_element.js
* @includeJS ergonomique_fw_formulaire_composant.js
* @extends DefaultElementForm
* @extends DefaultXML
* @constructor
* @param {String_Obligatoire} id : Id du composant.
* @param {XMLObjectSauvegarde_Facultatif} xmlData : Donnes XML de type 
* {@link XMLObjectSauvegarde XMLObjectSauvegarde}, que l'on souhaite associer 
* l'lment de formulaire pour renseigner les 2 listes d'options.
* @param {t_ObjectOption_Facultatif} tabOption : Tableau contenant les options 
* ({@link ObjectOption ObjectOption})  faire figurer dans les listes,
* si xmlData n'est pas utilis comme source.
* @param {String_Facultatif} libelle : Libell global du composant.
* @param {String_Facultatif} libelle1 : Libell de la liste des options non rattaches.
* @param {String_Facultatif} libelle2 : Libell de la liste des options rattaches.
* @param {int_Facultatif} size : Hauteur en nombre de ligne des listes, par dfaut vaut le nombre max d'options.
* @param {String_Facultatif} width : Largeur en pixels de chaque liste, par dfaut vaut 300px.
* @param {String_Facultatif} multiple : Indique si les listes sont  slection multiple, par dfaut la slection multiple est possible. Une valeur diffrente de la chane de caractre multiple interdit la slection multiple.
* @param {Boolean_Facultatif} statut : Statut de l'lment, enable par dfaut.
* @param {int_Facultatif} tabindex : Attribut html tabindex.
* @param {Boolean_Facultatif} activetri : Indique si l'on dsire activer le tri sur les lments de droites.
* @version 1.1
* @date 25/10/2005
*/
function ComposantRattachement(id, xmlData, tabOption, libelle, libelle1, libelle2, size, width, multiple, statut, tabindex, activetri)
{
  // herite de la class DefaultElementForm
  this.extend_DefaultElementForm = DefaultElementForm;
  this.extend_DefaultElementForm(id, null, tabOption, statut);
  
  // herite de DefaultXml
  this.extend_DefaultXml=DefaultXml;
  this.extend_DefaultXml(xmlData, MULTI);

  // gestion spcifique des libells (sans utiliser la classe DefaultLibelle)
	/**
	* La proprit prive libelle est le libell global du composant.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/
  this.libelle=null;
  if (libelle!=null) this.libelle=libelle; // libelle global
  
	/**
	* La proprit prive libelle1 est le libell relatif  la liste des items non rattachs (liste de gauche).
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/
  this.libelle1=null;
  if (libelle1!=null) this.libelle1=libelle1; // libelle gauche
  
	/**
	* La proprit prive libelle2 est le libell relatif  la liste des items rattachs (liste de droite).
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/
  this.libelle2=null;
  if (libelle2!=null) this.libelle2=libelle2; // libelle droit
  
	/**
	* La proprit prive multiple indique si les listes sont  slection multiple, par dfaut la slection
	* multiple est possible. Une valeur diffrente de la chane de caractre multiple interdit
	* la slection multiple.-<b>Valeur par dfaut : </b> <a href='default-values_A3.html#ComposantRattachementProp'>
	* Valeurs par dfaut des Proprits</a>
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/
  this.multiple="multiple";
  if (multiple!=null) this.multiple=multiple;
  
	/**
	* La proprit prive size indique la hauteur en nombre de ligne des listes, par dfaut vaut le
	* nombre max d'options.-<b>Valeur par dfaut : </b> <a href='default-values_A3.html#ComposantRattachementProp'>
	* Valeurs par dfaut des Proprits</a>
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/
	if(this.tabOption!=null)
  this.size=this.tabOption.length; 
  if (size!=null) this.size=size;
  
	/**
	* La proprit prive width est la largeur en pixels de chaque liste, par dfaut vaut 300px.
	*-<b>Valeur par dfaut : </b> <a href='default-values_A3.html#ComposantRattachementProp'>
	*Valeurs par dfaut des Proprits</a>
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/
  this.width="300px"; 
  if (width!=null) this.width=width;
  
	/**
	* La proprit prive activetri indique si le tri des lments de la liste de droite est ou non activ.
	*-<b>Valeur par dfaut : </b> <a href='default-values_A3.html#ComposantRattachementProp'>
	*Valeurs par dfaut des Proprits</a>
	* <br><br>
	* @private
	* @type String
	* @version 2.4
	* @date 14/11/2006
	*/
  this.activetri=false; 
  if (activetri!=null) this.activetri=activetri;
  
	/**
	* La proprit prive tabOptionSelected est le tableau ne contenant que les options rattaches.
	* <br><br>
	* @private
	* @type Array_ObjectOption
	* @version 1.1
	* @date 25/10/2005
	*/  
	this.tabOptionSelected=null;
	
	/**
	* La proprit prive tabOptionNoSelected est le tableau ne contenant que les options non rattaches.
	* <br><br>
	* @private
	* @type Array_ObjectOption
	* @version 1.1
	* @date 25/10/2005
	*/	
	this.tabOptionNoSelected=null;
	
	/**
	* L'lment opt dans la classe ComposantRattachement n'est pas une proprit, il s'agit des options de
	* type {@link #ObjectOption ObjectOption} parcourues une  une dans le tableau des options.
	* Il est dclar 'var'.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/	
	var opt=null;
	
	
  // composistion des lments :

	/**
	* La proprit publique select1 est l'lment de type {@link ElementFormSelect ElementFormSelect}
	* qui liste les items non rattachs.
	* <br><br>
	* @private
	* @type ElementFormSelect
	* @version 1.1
	* @date 25/10/2005
	*/
  this.select1 = new ElementFormSelect(id+"_select1", null, this.tabOptionNoSelected, this.size, this.width, null, null, this.multiple, this.statut, this.tabindex);
  
	/**
	* La proprit publique select2 est l'lment de type {@link ElementFormSelect ElementFormSelect}
	* qui liste les items rattachs.
	* <br><br>
	* @private
	* @type ElementFormSelect
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.select2 = new ElementFormSelect(id+"_select2", null, this.tabOptionSelected, this.size, this.width, null, null, this.multiple, this.statut, null);
  
	/**
	* La proprit publique bouton1 est le bouton rattacher de type {@link ElementFormButton ElementFormButton}.
	* <br><br>
	* @private
	* @type ElementFormButton
	* @version 1.1
	* @date 25/10/2005
	*/
  this.bouton1 = new ElementFormButton(this.id+"Bouton1", "javascript:"+this.reference+".rattacher()", "80px", "20px", bouton_rattacher_src, bouton_rattacherover_src, bouton_rattacherdisabled_src, this.statut, null, "Rattacher");
  
	/**
	* La proprit publique bouton2 est le bouton dtacher de type {@link ElementFormButton ElementFormButton}.
	* <br><br>
	* @private
	* @type ElementFormButton
	* @version 1.1
	* @date 25/10/2005
	*/
  this.bouton2 = new ElementFormButton(this.id+"Bouton2", "javascript:"+this.reference+".detacher()", "80px", "20px", bouton_detacher_src, bouton_detacherover_src, bouton_detacherdisabled_src, this.statut, null, "Dtacher");

	/**
	* La proprit publique bouton3 est le bouton monter de type {@link ElementFormButton ElementFormButton}.
	* <br><br>
	* @private
	* @type ElementFormButton
	* @version 2.4
	* @date 14/11/2006
	*/
	this.bouton3 = new ElementFormButton(this.id+"Bouton3", "javascript:"+this.reference+".monter()", "20px", "20px", bouton_monter_src, bouton_monterover_src, bouton_monterdisabled_src, this.statut, null, "Monter");
		
	/**
	* La proprit publique bouton4 est le bouton descendre de type {@link ElementFormButton ElementFormButton}.
	* <br><br>
	* @private
	* @type ElementFormButton
	* @version 2.4
	* @date 14/11/2006
	*/
  this.bouton4 = new ElementFormButton(this.id+"Bouton4", "javascript:"+this.reference+".descendre()", "20px", "20px", bouton_descendre_src, bouton_descendreover_src, bouton_descendredisabled_src, this.statut, null, "Descendre");
  
  
  // retourne this.tabOption mis  jour
  
  /**
	* <b>Spcifique  la classe ComposantRattachement</b>- La mthode publique setLargeurColonneGauche
	* attribue la valeur passe en paramtre  l'attribut width de la liste de slection situe
	*  gauche du composant rattachement.
	* @public
	* @param {String_Obligatoire} largeur : largeur de la liste de gauche. 
	* @return {void}
	* @version 2.5
	* @date 14/02/2007
	*/
  this.setLargeurListeGauche = function(largeur){
  	this.select1.setLargeur(largeur);
  };

  /**
	* <b>Spcifique  la classe ComposantRattachement</b>- La mthode publique setLargeurColonneDroite
	* attribue la valeur passe en paramtre  l'attribut width de la liste de slection situe
	*  droite du composant rattachement.
	* @public
	* @param {String_Obligatoire} largeur : largeur de la liste de droite. 
	* @return {void}
	* @version 2.5
	* @date 14/02/2007
	*/
  this.setLargeurListeDroite = function(largeur){
  	this.select2.setLargeur(largeur);
  };  
  
	/**
	* La mthode publique setValues attribue de nouvelles options  l'lment puis regnre l'lment. 
	* Cette option doit pralablement exister dans 'this.tabOption'. Enfin, l'lment HTML est mis  jour.
	* @public
	* @param {t_ObjectOption_Obligatoire} newTabOpt : les nouvelles options et slections de l'lment.
	* @return {void}
	* @version 2.3
	* @date 28/09/2006
	*/  
  this.setValues = function(newTabOption) {
    this.tabOption=newTabOption;
    this.tabOptionSelected=new Array();
    this.tabOptionNoSelected=new Array();
    var opt=null;
    // construction de la table tabOptionSelected et tabOptionNoSelected
    // on positionne selected  false afin que les options ne soit pas surlignes dans les select
    for (var i=0;i<this.tabOption.length;i++) {
      opt=new ObjectOption(this.tabOption[i].libelle, this.tabOption[i].value, false);
      if (this.tabOption[i].selected==true) {
        this.tabOptionSelected.push(opt);
      } else {
        this.tabOptionNoSelected.push(opt);
      }
    }
    // mise  jour des proprits select1 et select2
    this.select1.size=this.size;
    this.select1.setValues(this.tabOptionNoSelected);
    this.select2.size=this.size;
    this.select2.setValues(this.tabOptionSelected);
  };
  
	/**
	* La proprit prive setXmlDataMulti_Parent enrichit la mthode setXmlDataMulti() de la classe
	* parent "{@link DefaultXml DefaultXml}"
	* @see #setXmlDataMulti
	* @private
	* @param {} Aucun
	* @return {void}
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.setXmlDataMulti_Parent=this.setXmlDataMulti; //on conserve la methode de la classe parent afin de l'enrichir
	
	
	// Redefinition de la mthode setXmlDataMulti

	/**
	* La mthode publique setXmlData(xmlData) associe de nouvelles donnes xml au composant Rattachement.
	* Elle renseigne l'attribut {@link #xmlData xmlData} de la classe DefaultXml, puis valorise les
	* attributs {@link #libelle1 libelle1}, {@link #libelle2 libelle2},
	* {@link #tabOptionSelected tabOptionSelected}, {@link #tabOptionNoSelected tabOptionNoSelected},
	* {@link #select1 select1}, {@link #select2 select2}, {@link #size size}.
	* @private
	* @param  {XMLObjectSauvegarde_Obligatoire} newXmlData L'attribut xmlData  renseigner
	* pour ComposantRattachement.
	* @return {void}
	* @version 2.3
	* @date 28/09/2006
	*/  
  this.setXmlDataMulti=function(xmlData) {
    this.setXmlDataMulti_Parent(xmlData); //appel de la mthode parent
    // rcupration des 2 libells
    var lib1=parent.getDataElement(this.xmlData.xmlDoc,"LIBELLE1");
    var lib2=parent.getDataElement(this.xmlData.xmlDoc,"LIBELLE2");
    if (lib1!=false && lib1!=null) this.libelle1=lib1;
    if (lib2!=false && lib2!=null) this.libelle2=lib2;
    this.size=this.tabOption.length;
    if (size != null) this.size=size;
    this.setValues(this.tabOption);
  };
  
  if (this.xmlData!=null) 
  	this.setXmlData();
  else if (this.tabOption!=null) {
    this.size=this.tabOption.length;
    if (size != null) this.size=size;
    this.setValues(this.tabOption);
  }


	// racourci vers les listes droulantes gauche et droite
	
	/**
	* La mthode publique gauche() retourne l'lment HTML associ  l'attribut {@link #select1 select1}
	* : liste droulante gauche des items non rattachs.
	* @public
	* @param {t_ObjectOption_Obligatoire} newTabOpt : Les nouvelles options et slections de l'lment.
	* @return {DomHtmlElement} Pointeur vers l'lment DOM HTML de l'lment "liste de gauche"
	* @version 1.1
	* @date 25/10/2005
	*/    
  this.gauche=function() {return this.select1.getDomHtmlElement();};

	/**
	* La mthode publique  droite() retourne l'lment HTML associ  l'attribut {@link #select2 select2}
	* : liste droulante droite des items non rattachs.
	* @public
	* @param {t_ObjectOption_Obligatoire} newTabOpt : Les nouvelles options et slections de l'lment.
	* @return {DomHtmlElement} Pointeur vers l'lment DOM HTML de l'lment "liste de gauche"
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.droite=function() {return this.select2.getDomHtmlElement();};
  
  
  // redfinition de getDomHtmlElement(), tant donn qu'il n'y a aucun lment HTML identifi par this.id
  this.getDomHtmlElement=function() {return this.select2.getDomHtmlElement();}
  
  
  // methodes spcifiques

	/**
	* La mthode publique setTri permet d'activer le tri des lments de la liste de droite.
	* @public
	* @param {Boolean_Facultatif} tri : Indique si l'on dsire activer le tri sur les lments de droites.
	* @return {void}
	* @version 2.3
	* @date 28/09/2006
	*/  
  this.setTri = function(tri) {
  	this.activetri=tri

		var elm=this.getDomHtmlElement();
    // si l'element html est dja gnr alors on le met  jour
    if ( (elm!=null) && (elm.options!=null) ){
      this.ecrireBind(); 
    }
  };

	/**
	* La mthode publique getValues renvoie le tableau (ObjectOption) des options slectionnes.
	* @public
	* @param {} Aucun
	* @return {Array_ObjectOption}
	* @version 2.3
	* @date 28/09/2006
	*/  
  this.getValues = function() {
    return this.tabOption;
  };


  // retourne this.tabOption mis  jour

	/**
	* La mthode publique getTabOption() retourne le tableau d'options {@link DefaultElementForm#tabOption tabOption}
	* mis  jour avec les options rattaches.
	* @public
	* @param {} Aucun
	* @return {Array_ObjectOption} This.tabOption	
	* @version 2.3
	* @date 28/09/2006
	*/
  this.getTabOption = function () {
    return this.tabOption;
  };
  
	/**
	* La mthode publique setTabOption(newTabOption) met  jour le tableau d'option tabOption
	* et actualise l'affichage.
	* @public
	* @param {t_ObjectOption_Obligatoire} newTabOption Nouveau tableau d'option
	* @return {void}
	* @version 2.4
	* @date 14/11/2006
	*/
  this.setTabOption = function (newTabOption)
  {
		if(newTabOption!=null)
		{
			this.tabOption=newTabOption;
			this.tabOptionSelected=new Array();
			this.tabOptionNoSelected=new Array();
			var opt=null;
			for(var i=0;i<this.tabOption.length;i++)
			{
				opt=new ObjectOption(this.tabOption[i].libelle,this.tabOption[i].value,false);
				if(this.tabOption[i].selected==true){
					this.tabOptionSelected.push(opt);
				}else{
					this.tabOptionNoSelected.push(opt);
				}
			}
			this.select1.tabOption=this.tabOptionNoSelected;
			this.select2.tabOption=this.tabOptionSelected;
		}
	}; 
  
 
  // ecrit le code HTML

	/**
	* La mthode publique ecrireHtml() gnre l'ensemble du code HTML relatif au composant rattachement.
	* @public
	* @param {} Aucun
	* @return {string} Code HTML associ au composant rattachement sous forme de chane de caractres.
	* @version 2.3
	* @date 28/09/2006
	*/
  this.ecrireHtml = 
    function() {
      var codeHTML="";
      codeHTML+="<table>\n<tr>\n";
      // libelle global
      if (this.libelle!=null && this.libelle!="") codeHTML+="<td colspan='"+(this.activetri?"4":"3")+"' class='CGcodemoyen' style='text-align:center; font-weight:bold;' >"+this.libelle+"</td>\n";
      codeHTML+="</tr><tr>\n";
      // libelle gauche
      if (this.libelle1!=null && this.libelle1!="") {
        codeHTML+="<td class='CGcodetresclair'>"+this.libelle1+"</td>"; 
      } else { 
        codeHTML+="<td></td>";
      }
      codeHTML+="<td></td>";
      // libelle droit
      if (this.libelle2!=null && this.libelle2!="") { 
        codeHTML+="<td class='CGcodetresclair'>"+this.libelle2+"</td>"; 
      } else {
        codeHTML+="<td></td>";
      }
      codeHTML+="</tr><tr>\n";
      codeHTML+="<td><div id='Position_"+this.id+"_select1'>"+this.select1.ecrireHtml()+"</div></td>\n";
      codeHTML+="<td style='vertical-align:middle'>\n";
      codeHTML+=this.bouton1.ecrireHtml();
      codeHTML+="<br/>\n";
      codeHTML+=this.bouton2.ecrireHtml();
      codeHTML+="</td>\n";
      codeHTML+="<td><div id='Position_"+this.id+"_select2'>"+this.select2.ecrireHtml()+"</div></td>\n";
			if (this.activetri) {
	      codeHTML+="<td style='vertical-align:middle'>\n";
	      codeHTML+=this.bouton3.ecrireHtml();
	      codeHTML+="<br/>&nbsp;<br/>\n";
	      codeHTML+=this.bouton4.ecrireHtml();
	      codeHTML+="</td>\n";
			}
      codeHTML+="</tr>\n</table>\n";
      return codeHTML;
    };


  // gestion de l'vnement clic sur le bouton rattacher

	/**
	* La mthode publique rattacher() fait passer l'lment slectionn de la liste de gauche vers
	* la liste de droite.
	* @public
	* @param {} Aucun
	* @return {void}
	* @version 1.1
	* @date 25/10/2005
	*/
  this.rattacher =
    function() {
      var r=null;
      var test = this.gauche().options.selectedIndex;
      if (test == -1) {
        alert("Veuillez slectionner un lment  attacher");
      } else {
        var options=this.gauche().options;      
        for (var i=0;i<options.length;i++) {
          // Pour toutes les options slectionnes  gauche
          if (options[i].selected) {
            r=getRangOption(this.tabOption, options[i].value);
            if (r!=-1) {
              this.tabOption[r].selected=true; 
            }
          } 
        }
        this.ecrireListe();
      }
    };
  
  // gestion de l'vnement clic sur le bouton dtacher
	/**
	* La mthode publique detacher() fait passer l'lment slectionn de la liste de droite vers
	* la liste de gauche.
	* @public
	* @param {} Aucun
	* @return {void}
	* @version 1.1
	* @date 25/10/2005
	*/
  this.detacher =
    function() {
      var test = this.droite().options.selectedIndex;
      if (test == -1) {
        alert("Veuillez slectionner un lment  dtacher");
      } else {
        var options=this.droite().options;      
        for (var i=0;i<options.length;i++) {
          // Pour toutes les options slectionnes  droite
          if (options[i].selected) {
            var r=getRangOption(this.tabOption, options[i].value);
            if (r!=-1) {
              this.tabOption[r].selected=false; 
            }
          } 
        }
        this.ecrireListe();
      }
    };

  // gestion de l'vnement clic sur le bouton monter
	/**
	* La mthode publique monter() fait monter d'un cran l'lment slectionn dans la liste de droite.
	* @public
	* @param {} Aucun
	* @return {void}
	* @version 2.4
	* @date 14/11/2006
	*/
  this.monter =
    function() {
      var test = this.droite().options.selectedIndex;
      if (test == -1) {
        alert("Veuillez slectionner un lment  faire monter");
      } else {
      	// cas du down
      	var options=this.droite().options;  
        if ((test)>0) {
      		this.changeOption(options[test].value,options[test-1].value);
	        this.ecrireListe();
	        this.droite().options[test-1].selected=true;
        } else
      		alert("Impossible de monter plus haut");
      }
    };

  // gestion de l'vnement clic sur le bouton descendre
	/**
	* La mthode publique descendre() fait descendre d'un cran l'lment slectionn dans la liste de droite.
	* @public
	* @param {} Aucun
	* @return {void}
	* @version 2.4
	* @date 14/11/2006
	*/
  this.descendre =
    function() {
      var test = this.droite().options.selectedIndex;
      if (test == -1) {
        alert("Veuillez slectionner un lment  fair descendre");
      } else {
      	// cas du down
      	var options=this.droite().options;  
        if ((test+1)<options.length) {
      		this.changeOption(options[test].value,options[test+1].value);
	        this.ecrireListe();
	        this.droite().options[test+1].selected=true;
        } else
      		alert("Impossible de descendre plus bas");
      }
    };

  // actualise les listes droulantes en fonction de tabOption 
	/**
	* La mthode publique ecrireListe() rgnre les 2 listes d'options  partir de tabOption.
	* @public
	* @param {} Aucun
	* @return {void}
	* @version 2.3
	* @date 28/09/2006
	*/
  this.ecrireListe =
    function () {
    	this.setValues(this.tabOption);
    };
  
  
  // Gnre les champs cachs associs au composant
	
	/**
	* La mthode publique ecrireHiddenHtml() gnre les champs cachs associs au composant rattachement.
	* <span style="font-weight: bold; color: rgb(51, 204, 0);">Elle doit tre appele juste avant la soumission
	* du formulaire</span>, gnralement par le formulaire parent, <span style="color: rgb(51, 204, 0);">
	* qui positionnera les champs cachs dans un tag &lt;div&gt; appropri</span>.<br> Une liste classique
	* d'options exploite l'attribut HTML selected pour dfinir quelle valeur de la liste est  renvoyer
	* au serveur lors de la soumission. Dans le cas du composant rattachement, ce principe ne doit pas tre
	* utilis, puisque les valeurs  renvoyer au serveur sont toutes celles prsentes dans la liste de droite,
	* les options rattaches, et celles-ci n'ont pas lieux d'tre selected. Pour obtenir le comportement souhait,
	* on peut utiliser des champs cachs gnrs dynamiquement. Le principe retenu est d'avoir autant de champs
	* cachs (nomms this.id+"_hidden_"+i) que d'options rattaches. On ajoute un champ cach supplmentaire
	* qui indique le nombre d'options slectionnes (nomm this.id+"_hidden_length").
	* @public
	* @param {} Aucun
	* @return {string} Code HTML associ aux champs cachs contenant les valeurs des options rattaches.
	* @version 1.1
	* @date 25/10/2005
	*/
  this.ecrireHiddenHtml = 
    function() {
      var cpt=0;
      var codeHTML="";
      var id="";
      var name="";
      for (var i=0;(this.tabOption != null) && (i < this.tabOption.length);i++) {
        if (this.tabOption[i].selected) {
          id=this.id+"_hidden_"+i;
          name=id;
          // champ cach indiquant la valeur de chaque option
          codeHTML+="<input type='hidden' id='"+id+"' name='"+name+"' value='"+this.tabOption[i].value+"' />";
          cpt++;
        }
      }
      codeHTML+="\n";
      // champ cach pour indiqu le nombre d'options slectionnes
      id=this.id+"_hidden_length";
      name=id;
      if (this.tabOption != null)
      	codeHTML+="<input type='hidden' id='"+id+"' name='"+name+"' value='"+this.tabOption.length+"' />";
      codeHTML+="\n";
      return codeHTML;
    };

	  // redfinition de setStatut
	  this.setStatut_parent=this.setStatut;
	  this.setStatut = function(newStatut) {
    this.select1.setStatut(newStatut, false);
    this.select2.setStatut(newStatut, false);
    this.bouton1.setStatut(newStatut, false);
    this.bouton2.setStatut(newStatut, false);
    if (this.activetri) {
	    this.bouton3.setStatut(newStatut, false);
	    this.bouton4.setStatut(newStatut, false);
    }
    this.setStatut_parent(newStatut);
  };
}


// CLASSE ComposantCalendrier

/**
* Cre une instance de la classe ComposantCalendrier
* <br><b>Voir Exemple d'instanciation de la classe ComposantCalendrier :</b>
* <a href='exemples_A3.html#ComposantCalendrier_constr'>Exemples d'appels aux constructeurs</a>.
* @class La classe <b>ComposantCalendrier</b> est la classe, base sur un
* {@link ElementFormText ElementFormText}, permettant de modliser le composant qui affiche un champ de
* saisie de date, accompagn d'un bouton pour afficher le calendrier.
* <br>Ce composant hrite de &laquo;&nbsp;{@link ElementFormText ElementFormText} et est compos d'un bouton
* de type {@link ElementFormButton ElementFormButton}.
* <br><br><br><img alt="model" src="Image.ComposantCalendrierUML.png"/><br>
* <br>Il s'agit d'un <a href="exemples_A3.html#structXml">lment mono-value</a> :<br>
* <div style="border: 0.5pt solid windowtext; padding: 1pt 4pt; background: rgb(255, 255, 204) none repeat
* scroll 0% 50%; -moz-background-clip: initial; -moz-background-origin:
* initial; -moz-background-inline-policy: initial;"><code>&lt;ELEMENT&gt;<br> &lt;LIBELLE&gt;libelle de champ
* calendrier :&lt;/LIBELLE&gt;<br> &lt;VALUE&gt;14/07/1789&lt;/VALUE&gt;<br> &lt;/ELEMENT&gt;
* <br></code></div>
* <br><br>RENDU IHM<br>Ce composant affiche le champ de saisie de la date<br><img alt="renduIHMDate"
* src="Image.ComposantCalendrier.jpg"/><br>
* et le bouton qui lance la popup d'affichage du calendrier<br><img alt="renduIHMpopup"
* src="Image.ComposantCalendrierPopup.jpg"/><br>
* Cette classe reprend toutes les proprits prives et publiques hrites.<br>
* Cette classe reprend toutes les mthodes prives et publiques hrites.<br>
* @extends ElementFormText
* @constructor
* @param {String_Obligatoire} id Id du composant.
* @param {XMLObjectSauvegarde_Facultatif} xmlData Donnes XML de type {@link XMLObjectSauvegarde XMLObjectSauvegarde}, que l'on souhaite associer 
* l'lment de formulaire pour valoriser les attributs libelle et value.
* @param {String_Facultatif} value Valeur du champ date, si on n'utilise pas xmlData comme source.
* @param {String_Facultatif} libelle Libell de l'lment de formulaire.
* @param {boolean_Facultatif} obligatoire Boolen  true si le champ est obligatoire.
* @param {Boolean_Facultatif} statut Statut de l'lment, enable par dfaut.
* @param {int_Facultatif} tabindex Attribut html tabindex.
* @param {int_Optionnel} nbAnnees Nombre d'anne propos dans la bote de slection du calendrier.
* @param {int_Optionnel} pasAnnees Pas (en nombre d'annes)  utiliser entre deux annes dans la bote
* de slection du calendrier.
* @version 2.3
* @date 28/09/2006
*/
function ComposantCalendrier(id, xmlData, value, libelle, obligatoire, statut, tabindex)
{
  // hrite de ElementFormText
  this.extend_ElementFormText=ElementFormText;
  this.extend_ElementFormText(id, xmlData, value, "10", "10", libelle, obligatoire, statut, tabindex);

	var argTab=ComposantCalendrier.arguments;

	// proprit spcifiqure au composant calendrier
	
	/**
	* La proprit prive nbAnnees est un entier permettant de spcifier le nombre d'annes
	* dans la bote de slection de l'anne dans la fentre pop-up du calendrier.<br>
	* Par dfaut, cette proprit est renseigne  12.
	* @private
	* @type int
	* @version 2.4
	* @date 14/11/2006
	*/  
	this.nbAnnees=12;
	if(argTab.length>7)
		this.nbAnnees=argTab[7];

	
	// proprit spcifiqure au composant calendrier

	/**
	*	La proprit prive pasAnnee est un entier permettant de spcifier le pas de construction de
	* la liste des annes dans la bote de slection de l'anne dans la fentre pop-up du calendrier.<br>
	*	Par dfaut, cette proprit est renseigne  2.
	*	@private
	* @type int
	* @version 2.4
	* @date 14/11/2006
	*/ 
	this.pasAnnee=2;
	if(argTab.length>8)
		this.pasAnnee=argTab[8];
	
	/**
	* Setter de la proprit nbAnnees
	* @public
	* @param {int_Obligatoire} nbAnnees : Nombre d'annes propos dans la bote de slection du calendrier.
	* @return {void}
	* @version 2.4
	* @date 14/11/2006
	*/ 
	this.setNbAnnees=function(entier)
	{
		this.nbAnnees=entier;
	}
	
	/**
	* Getter de la proprit nbAnnees
	* @public
	* @param {void}
	* @return {int} Nombre d'annes propos dans la bote de slection du calendrier.
	* @version 2.4
	* @date 14/11/2006
	*/ 
	this.getNbAnnees=function()
	{
		return this.nbAnnees;
	}
	
	/**
	* Getter de la proprit pasAnnee
	* @public
	* @param {void}
	* @return {int} Pas (en nombre d'annes)  utiliser entre deux annes dans la bote
  * de slection du calendrier.
	* @version 2.4
	* @date 14/11/2006
	*/ 
	this.getPasAnnee=function()
	{
		return this.pasAnnee;
	}
	
	/**
	* Setter de la proprit pasAnnee
	* @public
	* @param {int_Obligatoire} pasAnnees : Pas (en nombre d'annes)  utiliser entre deux annes dans la bote
  * de slection du calendrier.
	* @return {void}
	* @version 2.4
	* @date 14/11/2006
	*/
	this.setPasAnnee=function(entier)
	{
		this.pasAnnee=entier;
	}
	
	
	// proprit spcifique au composant calendrier
	
	/**
	* La proprit prive format permet de spcifier le format par dfaut de restitution de la date.
	* <b>Valeur par dfaut :</b> <a href='default-values_A3.html#ComposantCalendrierProp'>
	* Valeurs par dfaut des Proprits</a>.
	* @private
	* @type ObjectFormat
	* @version 2.3
	* @date 28/09/2006
	*/  
	this.format="DD/MM/YYYY";
	

	// on enrichi ecrireBoiteHtml

	/**
	* La proprit prive ecrireBoiteHtml_parent() enrichit la mthode ecrireBoiteHtml() de la
	* classe parent "{@link ElementFormText ElementFormText}" avec la gnration HTML de l'lment calendrier
	* invisible.
	* @see #ecrireBoiteHtml
	* @private
	* @param {} Aucun
	* @return {string} Code HTML de la bote.
	* @version 1.1
	* @date 25/10/2005
	*/  
	this.ecrireBoiteHtml_parent=this.ecrireBoiteHtml;
	
	/**
	* La mthode prive ecrireBoiteHtml() de la classe parent "{@link ElementFormText ElementFormText}"
	* est enrichie pour intgrer aussi la gnration HTML du bouton.
	* @private
	* @param {} Aucun
	* @return {string} Code HTML correspondant  la zone de texte + bouton calendrier qui lance la popup 
	* d'affichage du calendrier, sous forme d'une chane de caractres.
	* @version 1.1
	* @date 25/10/2005
	*/
  this.ecrireBoiteHtml = 
    function() {
      var codeHTML="";
      codeHTML+=this.ecrireBoiteHtml_parent();
      codeHTML+=this.bouton.ecrireHtml();
      return codeHTML;
    };
	
	/**
	* La mthode prive showCalendar() est la mthode qui ouvre la popup calendrier. Elle est lance sur
	* le clic du bouton.<i><br><br>La variable globale nomme currentCalendar &nbsp;sert  identifier
	* de quel champ date il s'agit, lorsque plusieurs ComposantCalendrier sont implments sur la mme page,
	* et que l'on ouvre la popup<br>calendrier. (currentCalendar est une rfrence sur le composant calendrier
	* courant dont on vient d'ouvrir la popup).</i>
	* <br><br><b>Version</b> 1.1 Date : 25/10/2005
	* @private
	* @param {} Aucun
	* @return {void}
	* @version 1.1
	* @date 25/10/2005
	*/
  this.showCalendar = 
    function() {
      currentCalendar = this;
      OpenWindowFocus(page_calendrier, "calendrier", "alwaysRaised, dependent, height=205, width=230, menubar=no, resizable=no, scrollbars=no, status=no, titlebar=no, toolbar=no ");
    };
	
	
	// construction de elementFormButton
	
	/**
	* La proprit prive bouton est l'lment de type {@link ElementFormButton ElementFormButton} associ
	* au champ date. Il sert  ouvrir un popup affichant le calendrier.
	* <br><br>
	* @private
	* @type ElementFormButton
	* @version 1.1
	* @date 25/10/2005	
	*/
	this.bouton = new ElementFormButton(this.id+"Bouton", "javascript:"+this.reference+".showCalendar()", "16px", "16px", bouton_calendrier_src, bouton_calendrierover_src, null, this.statut, null, "Calendrier");

	
  // redfinition de setStatut

	/**
	* La proprit prive setStatut_parent() enrichit la mthode setStatut() de la classe parent
	* "{@link ElementFormText ElementFormText}" pour l'attribut {@link #bouton bouton} du composant
	* Calendrier associ au champ date.
	* @see #ecrireBoiteHtml
	* @private
	* @param {int_Obligatoire} Nouveau statut  appliquer  l'lment.
	* @return {void}
	* @version 1.1
	* @date 25/10/2005
	*/   
	this.setStatut_parent=this.setStatut;
	  
	/**
	* La mthode publique setStatut(newStatut) rdfinit la mthode publique de la classe parent
	* "{@link ElementFormText ElementFormText}" pour initialiser le statut de l'attribut
	* {@link #bouton bouton} avec une nouvelle valeur.
	* @public
	* @param { int_Obligatoire} newStatut : Nouveau statut  appliquer  l'lment.
	* @return {void}
	* @version 1.1
	* @date 25/10/2005
	*/  
	  this.setStatut = function(newStatut) {
	    this.bouton.setStatut(newStatut);
	    this.setStatut_parent(newStatut);
	  };
	
	/**
	* La mthode publique setFormat(newFormat) initialise la proprit {@link #format format}
	* avec une nouvelle valeur.
	* @public
	* @param {ObjectFormat} newFormat : format de restitution de la date.
	* @return {void}
	* @version 2.3
	* @date 28/09/2006
	*/  
	  this.setFormat = function(newFormat) {
	    this.format=newFormat;
	    this.size=newFormat.length+1;
	    this.maxlength=newFormat.length+1;
	  };
	      
	/**
	* La mthode publique getFormat() permet de lire la proprit {@link #format format}.
	* @public
	* @param {} Aucun
	* @return {ObjectFormat} Format d'affichage actuel du calendrier.
	* @version 2.3
	* @date 28/09/2006
	*/  
	  this.getFormat = function() {
	    return this.format;
	  };    
}


// OBJET ComposantForm

/**
* Cre une nouvelle instance du composant ComposantForm.
* <br><b>Voir Exemple d'instanciation de ce composant</b> : <a href='exemples_A3.html#ComposantForm_constr'>Exemples d'appels aux constructeurs</a>.
* @class La classe <b>ComposantForm</b> et le <b>modle de page Formulaire/Fiche</b> :<br><br>
* &gt; Le composant composantForm est associ au modle de page Formulaire/Fiche. Ce composant reprsente
* un formulaire (balise HTML &lt;form&gt;). Il gre les proprits du formulaire et il sert de conteneur pour
* tous les lments deformulaires, rangs dans sa table this.tabElement. 
* <br><span style="font-weight: bold; color: rgb(51, 204, 0);">Il revient au dveloppeur d'agencer le formulaire
*  sa guise (tableau, groupement, etc...) et de disposer les balises &lt;div&gt; ou &lt;span&gt;
* prtes  accueillir les lments de formulaires. Paralllement, les lments de formulaire
* que l'on souhaite utiliser, devront tre instancis et ajouts au ComposantForm.
* <br></span>&gt; Le modle de page formulaire.html est  utiliser pour afficher un
* formulaire ou une fiche. Il reprsente le cadre d'affichage des champs de formulaires.
* C'est aussi ce modle de page qui met en oeuvre le regroupement d'informations dans une zone colore (les groupes).
* <br><br>Cette classe reprend toutes les proprits publiques et mthodes&nbsp; publiques et prives hrites.
* <br> Ses proprits publiques dcrivent les attributs du composant et peuvent tre manipules ou interroges 
* en dehors de la bibliothque du framework ergonomique. Ses proprits prives sont utilises au sein mme
* du framework ergonomique.<br>
* <br>ComposantForm hrite de {@link DefaultHtmlForm DefaultHtmlForm} et 
* {@link DefaultElementForm DefaultElementForm}. Il rassemble les diffrents lments de type
* {@link DefaultElementForm DefaultElementForm} (champs, boutons ' ) ajouts par le dveloppeur.
* <br><br><br><br><img src="Image.ComposantFormUML.png"/><br>
* <br><br>Pas de paramtrage XML pour ce composant. Le paramtrage s'effectue au niveau infrieur puisque tous les lments contenus par ce composant peuvent tre
* lis  un flux XML.
* <br><br>RENDU IHM<br><br><img alt="exComposantForm" src="Image.ComposantForm.jpg"/>
* <br><br><b> Fonctions globales utilisables :</b>
* Lors de l'utilisation de la classe ComposantForm, le dveloppeur peut tre amener  utiliser la
* fonction globale <b>enterEgalValider()</b> dcrite dans la page {@link Fonctions_Globales#enterEgalValider }.<br>
* @extends DefaultHtmlForm
* @extends DefaultElementForm
* @constructor
* @param {String_Obligatoire} id Attribut html id et name du tag &lt;form&gt;.
* @param {String_Facultatif} action Attribut html action du tag &lt;form&gt;, url de soumission du formulaire.
* @param {String_Facultatif} method Attribut html method du tag &lt;form&gt;, peut prendre la valeur GET ou POST.
* @param {String_Facultatif} enctype Attribut html enctype.
* @param {String_Optionnel} boolDisableAllAction booleen indiquant l'activation ou non des boutons et liens.
* @version 1.1
* @date 25/10/2005
*/
function ComposantForm(id, action, method, enctype)
{
	/**
	* L'lment argv dans la classe ComposantForm n'est pas une proprit, il permet de rcuprer dans un tableau
	* les arguments passs en paramtres du constructeur de la classe (utile dans le cas des paramtres facultatifs,
	* pour reprer les paramtres qui ont t soumis par le dveloppeur).
	* Il est dclar 'var'.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/
  var argv = ComposantForm.arguments;
  
	/**
	* L'lment argc dans la classe ComposantForm n'est pas une proprit, il permet de rcuprer le nombre
	* d'arguments passs en paramtres du constructeur de la classe (utile dans le cas des paramtres facultatifs,
	* pour compter les paramtres  soumis par le dveloppeur).
	* Il est dclar 'var'.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  var argc = ComposantForm.arguments.length;
  
  // herite de la class DefaultHtmlForm
  this.extend_DefaultHtmlForm = DefaultHtmlForm;
  this.extend_DefaultHtmlForm(id, method, action, enctype);
  
  // herite de la class DefaultElementForm
  this.extend_DefaultElementForm = DefaultElementForm;
  this.extend_DefaultElementForm(id);
  
  
  // champs spcifiques

	/**
	* La proprit prive divHiddenBind est l'id HTML du tag &lt;div&gt; susceptible d'accueillir des champs
	* cachs gnrs par les lments du formulaire. Par dfaut cette proprit vaut this.id+"_hidden".
	* (Effectivement certains lments de formulaire, comme le {@link ComposantRattachement composantRattachement}
	* sont gnrateurs de champs cachs) - <b>Valeur par dfaut :
	* </b> <a href='default-values_A3.html#ComposantFormProp'>Valeurs par dfaut des Proprits</a>
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.divHiddenBind=this.id+"_hidden";
  
	/**
	* La proprit publique validationEnCours est un boolen qui indique si la validation du formulaire
	* est en cours. Utilis pour empcher la double validation.- <b>Valeur par dfaut : </b>
	* <a href='default-values_A3.html#ComposantFormProp'>Valeurs par dfaut des Proprits</a> 
	* <br><br>
	* @public
	* @type boolean
	* @version 1.1
	* @date 25/10/2005
	*/
  this.validationEnCours=false;

	/**
	* La proprit prive boolDisableAllAction est le boolen qui indique la dsactivation ou non des actions
	* : boutons et liens.
	* <br><br>
	* @private
	* @type boolean
	* @version 1.1
	* @date 25/10/2005
	*/ 
  this.boolDisableAllAction= (argc > 4) ? argv[4] : false;
  
  
  // tableau d'lement
  
	/**
	* La proprit publique tabElement est un tableau d'lments de type {@link DefaultElementForm
	* DefaultElementForm} qui contient tous les lments du formulaire ajouts par le dveloppeur.
	* <br><br>
	* @public
	* @type Array_DefaultElementForm
	* @version 1.1
	* @date 25/10/2005
	*/
  this.tabElement = new Array();
  
  /**
	* La proprit publique tabOptionElement est un tableau d'ObjectOption de type {@link ObjectOption
	* ObjectOption} qui contient les options ncessaires  la cration d'un nouvel lment de formulaire.
	* <br><br>
	* @public
	* @type Array_ObjectOption
	* @version 2.6
  * @date 04/09/2007
	*/
  this.tabOptionElement = new Array();
  
  /**
	* La proprit prive donneeElement indique le nom XML associ  un enregistrement
	* (tag extrait depuis le paramtrage XML, et dcrit dans le contenu informatif).
	* <br><br>
	* @public
	* @type Array_String
	* @version 2.6
  * @date 04/09/2007
	*/  
  this.donneeElement = new Array();
  
  /**
	* La proprit prive donneeListe indique le nom XML associ  la liste des enregistrements 
	* (tag extrait depuis le paramtrage XML, et dcrit dans le contenu informatif).
	* <br><br>
	* @private
	* @type string
	* @version 2.6
  * @date 04/09/2007
	*/  
  this.donneeListe = null;
  
  /**
	* La proprit prive XMLObjectInfos est un objet de type {@link XMLObjectSauvegarde XMLObjectSauvegarde}
	* qui contient le flux XML des paramtres du formulaire. Elle peut tre initialise grce aux accesseurs get set.
	* <br><br>
	* @private
	* @type XMLObjectSauvegarde
	* @version 2.6
  * @date 04/09/2007
	*/  
  this.XMLObjectInfos = null;
  
	/**
	* La proprit publique XMLData reprsente les donnes XML associes au composant Formulaire.
	* Elle peut tre initialise grce aux accesseurs get set.
	* <br><br>
	* @public
	* @type XMLObject
	* @version 2.6
  * @date 04/09/2007
	*/  
  this.XMLData = null;
  
  /**
	* La proprit prive XMLExport reprsente les donnes XML associes au composant Formulaire tel qu'affich.
	* <br><br>
	* @private
	* @type XMLObjectSauvegarde
	* @version 2.6
  * @date 04/09/2007
	*/  
  this.XMLExport = null;
  
  // Methodes specifiques
  
  /**
	* La mthode publique getXMLObjectInfos() retourne la proprit {@link #XMLObjectInfos XMLObjectInfos}
	* qui contient les paramtres du formulaire.
	* @public
	* @param {} Aucun
	* @return {XMLObjectInfos} XMLObjectSauvegarde des paramtres du formulaire.
	* @version 2.6
  * @date 04/09/2007
	*/ 
   this.getXMLObjectInfos = function() {return this.XMLObjectInfos;};
  
  /**
	* La mthode publique setXMLObjectInfos() modifie la proprit {@link #XMLObjectInfos XMLObjectInfos}
	* qui contient les paramtres du formulaire.
	* @public
	* @param {XMLObjectInfos} XMLObjectSauvegarde des paramtres du formulaire.
	* @return {void} 
	* @version 2.6
  * @date 04/09/2007
	*/ 
  this.setXMLObjectInfos = function(XMLObjectInfos) {this.XMLObjectInfos=XMLObjectInfos;};
   
  /**
	* La mthode publique getXMLData() retourne la proprit {@link #XMLData XMLData}
	* qui contient les donnes de formulaire.
	* @public
	* @param {} Aucun
	* @return {XMLData} XMLObject de donnes.
	* @version 2.6
  * @date 04/09/2007
	*/ 
   this.getXMLData = function() {return this.XMLData;};
  
  /**
	* La mthode publique setXMLData() modifie la proprit {@link #XMLData XMLData}
	* qui contient les donnes de formulaire.
	* @public
	* @param {XMLData} XMLObject de donnes.
	* @return {void} 
	* @version 2.6
  * @date 04/09/2007
	*/ 
  this.setXMLData = function(XMLData) {this.XMLData=XMLData;};
  
  /**
	* La mthode publique initXMLData() initialise la proprit {@link #XMLData XMLData}
	* qui contient les donnes de formulaire.
	* @public
	* @param {URLData} URL du fichier XML de donnes.
	* @return {void} 
	* @version 2.6
  * @date 04/09/2007
	*/ 
  this.initXMLData = function(URLData) {
   if (this.XMLData == null) {
		if (URLData != null) {
    	this.XMLData = new parent.XMLObject(null, null, "window.frames['CONTENU_WIN'].Generique_retourXML('"+this.id+"')", URLData, false);
    	this.XMLData.initAsynchrone(false);
  	}
   }
	};  
    
	/**
	* La mthode publique getAction() retourne la proprit {@link #action action}
	* (attribut html du tag &lt;form&gt indiquant l'url de soumission du formulaire).
	* @public
	* @param {} Aucun
	* @return {string} Valeur de l'attribut action.
	* @version 1.1
	* @date 25/10/2005
	*/ 
  this.getAction = function() { return this.getDomHtmlElement.action; };
  
	/**
	* La mthode publique setAction(act) permet de valoriser la proprit {@link #action action}.
	* @public
	* @param {String_Obligatoire} act : Attribut html action du tag &lt;form&gt; (url de soumission du formulaire).
	* @return {void}
	* @version 2.5
	* @date 15/11/2006
	*/
  this.setAction = function(act) {
  	 var eltDomHtml = this.getDomHtmlElement();
  	 eltDomHtml.action=act; 
  	 this.action=act;
  };
  
	/**
	* La mthode publique setDivHiddenBind(newDivHiddenBind) permet de valoriser la proprit
	* {@link #divHiddenBind divHiddenBind}.
	* @public
	* @param {String_Obligatoire} newDivHiddenBind : Attribut html id du tag &lt;div&gt;
	* qui va accueillir les champs cachs.
	* @return {void}
	* @version 1.1
	* @date 25/10/2005
	*/
  this.setDivHiddenBind = function(newDivHiddenBind) { this.divHiddenBind=newDivHiddenBind; };
  
	/**
	* La mthode publique setMethod(newMethod) permet de valoriser la proprit {@link #method method}.
	* @public
	* @param {String_Obligatoire} newMethod : Attribut html method du tag &lt;form&gt;,
	* peut prendre la valeur GET ou POST.
	* @return {void}
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.setMethod = function(newMethod) { this.method=newMethod; };
  
	/**
	* La mthode publique ecrireBind() est la mthode globale de gnration HTML du formulaire et de
	* tous ses lments. Elle met  jour la balise HTML &lt;FORM&gt; puis se charge de lancer en cascade,
	* pour chacun de ses lments, les mthodes ecrireBind correspondantes.
	* <br><br><b>Voir Exemple : </b><a href='exemples_A3.html#ComposantForm_meth'>
	* Exemples d'appels aux mthodes publiques</a>.
	* @public
	* @param {} Aucun
	* @return {void}
	* @version 1.1
	* @date 25/10/2005
	*/
  this.ecrireBind = 
    function() {
      // mise  jour du tag <form>
      f=this.getDomHtmlElement();
      if (f!=null) {
        if (this.action!=null) f.action=this.action;
        if (this.method!=null) f.method=this.method;
        if (this.enctype!=null) f.enctype=this.enctype;
      }      
      // ecriture des elements
      var contientUploadFichier = false;
      for (var i=0;i<this.tabElement.length;i++) {
        this.tabElement[i].ecrireBind();
        // Forcage du enctype dans le cas d'un envoi de fichier
        if (this.tabElement[i].nomClasse != null && (this.tabElement[i].nomClasse == "ComposantFile" || this.tabElement[i].nomClasse == "ElementFormFile"))
        	f.enctype = "multipart/form-data";
      }
    };
    
	/**
	* La mthode publique ecrireHtml() est la mthode globale de gnration de code HTML pour le formulaire
	* et tous ses lments. Cette mthode qui renvoie un seul bloc de code HTML, n'est pas rellement adapte pour
	* s'intgrer dans un modle de page. Elle ne gre pas le positionnement particulier des lments,
	* <span style="color: rgb(51, 204, 0); font-weight: bold;">on lui prfre la mthode
	* {@link #ecrireBind ecrireBind()}</span>.
 	* @public
	* @param {} Aucun
	* @return {string} Code HTML du formulaire et tous ses lments.
	* @version 1.1
	* @date 25/10/2005
	*/
  this.ecrireHtml = 
    function() {
      var codeHTML="";
      // ouverture tag <form>
      codeHTML+="<form id='"+this.id+"' name='"+this.name+"' ";
      if (this.action!=null) codeHTML+="action='"+this.action+"' ";
      if (this.method!=null) codeHTML+="method='"+this.method+"' ";
      if (this.enctype!=null) codeHTML+="enctype='"+this.enctype+"' ";
      if (this.target!=null) codeHTML+="target='"+this.target+"' ";
      if (this.accept!=null) codeHTML+="accept='"+this.accept+"' ";
      if (this.acceptcharset!=null) codeHTML+="accept-charset='"+this.acceptcharset+"' ";
      codeHTML+=+"'>\n";
      // ecriture des elements
      for (var i=0;i<this.tabElement.length;i++) {
        codeHTML+=this.tabElement[i].ecrireHtml();
        codeHTML+="<br />\n";
      }
      // fermeture tag </form>
      codeHTML+="\n";
      codeHTML+="</form>";
      return codeHTML;
    };
    
	/**
	* La mthode publique addElement(newElement) est utilise  chaque fois que l'on souhaite ajouter un nouvel
	* lment au formulaire.<br><br> <b>Voir Exemple  : </b><a href='exemples_A3.html#ComposantForm_meth'>
	* Exemples d'appels aux mthodes publiques</a>.
	* @public
	* @param {String_Obligatoire} newElement : Elment de formulaire drivant de la classe
	* {@link DefaultElementForm DefaultElementForm}.
	* @return {void}
	* @version 1.1
	* @date 25/10/2005
	*/
  this.addElement = 
    function(newElement) {
      this.tabElement.push(newElement);
      newElement.formParent=this;
    };
    
    
  // fonction de gnration des champs cachs lis au formulaire
  
	/**
	* La mthode publique ecrireHiddenHtml(), dans le cas d'un 'composantForm', est&nbsp; la mthode
	* qui se charge d'appeler 'ecrireHiddenHtml' pour chacun de ses lments qui l'implmente
	* (lments tels le '{@link ComposantRattachement composantRattachement}' susceptibles de gnrer
	* des champs cachs dynamiquement en vue de la soumission du formulaire ),&nbsp; 
	* puis de renvoyer le code HTML regroupant tous les champs cachs gnrs.
	* @public
	* @param {} Aucun
	* @return {string} CodeHTML regroupant tous les champs cachs gnrs.
	* @version 1.1
	* @date 25/10/2005
	*/
  this.ecrireHiddenHtml =
    function() {
      var codeHTML="";
      for (var k=0;k<this.tabElement.length;k++) {
        if (this.tabElement[k].ecrireHiddenHtml!=null) {
          codeHTML+=this.tabElement[k].ecrireHiddenHtml();
          codeHTML+="\n";
        }
      }
      return codeHTML;      
    };  


  // ecriture des champs cach gnrs dynamiquement
  
	/**
	* La mthode publique ecrireHiddenBind(), ne fait que positionner les ventuels champs cachs gnrs
	* dans un emplacement &lt;div&gt; prvu  cet effet, identifi par l'attribut laquo;
	* {@link #divHiddenBind divHiddenBind}.
	* @public
	* @param {} Aucun
	* @return {void}
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.ecrireHiddenBind = 
    function() {
      if (document.getElementById(this.divHiddenBind)!=null) {
        var element = document.getElementById(this.divHiddenBind);
        element.innerHTML = "\n"+this.ecrireHiddenHtml();
      }
    };


  // fonction de validation du formulaire appele par le bouton valider
  
	/**
	* La mthode publique valider() est la mthode globale de validation du formulaire.<br>
	* Elle se charge de lancer successivement : <br>&middot;&nbsp; {@link #controlerSurface controlerSurface()}
	* <br>&middot;&nbsp; {@link #disableAllAction disableAllAction}()<br>&middot;&nbsp;
	* {@link #soumettre soumettre()}<br>
	* C'est cette mthode qui est associe  l'lment {@link ElementFormButtonValider ElementFormButtonValider}
	* @public
	* @param {} Aucun
	* @return {void}
	* @version 2.3
	* @date 28/09/2005
	*/
  this.valider=function() {
    // empcher la double validation
    // alert("Validation du formulaire");
    if (this.validationEnCours) {
      alert("Validation en cours");   
      return false;
    }
    this.validationEnCours=true;
    // contrle de surface
    if (this.controlerSurface()) {
      // desactive les actions
      if (this.boolDisableAllAction)
        this.disableAllAction();
      // gnration des champs cachs
      this.ecrireHiddenBind();
      // Soumission, requte
      this.soumettre();
      this.validationEnCours=false;
			if (window.ActiveXObject) {
			 eval("window.external.AutoCompleteSaveForm("+this.reference+".getDomHtmlElement())");
			}
    }
    else { 
      this.validationEnCours=false;
    }  
  };  


  // methode qui ralise le controle de surface
  //  redfinir par l'utilisateur
  
	/**
	* La mthode publique controlerSurface() est <span style="font-weight: bold; color: rgb(51, 204, 0);">
	*  implmenter par l'utilisateur du framework</span>; renvoie true ou false suivant que le contrle 
	* a russi ou chou.
	* @public
	* @param {String_Obligatoire} newElement Elment de formulaire drivant de la classe {@link DefaultElementForm DefaultElementForm}.
	* @return {boolean} TRUE si le contrle a russi ou chou, FALSE sinon.
	* @version 1.1
	* @date 25/10/2005
	*/
  this.controlerSurface=function() {
    return true;  
  };


  // methode de soumission du formulaire par dfaut
  // peut-tre redfinie par l'utilisateur
  
	/**
	* La mthode publique soumettre() ralise la soumission du formulaire. Par dfaut,
	* c'est la mthode submit() du formulaire HTML qui est lance.
	* <span style="font-weight: bold; color: rgb(51, 204, 0);">Charge  l'utilisateur du framework, de redfinir
	* cette mthode, pour un comportement particulier</span> (criture d'URL par exemple).
	*- <b>Valeur par dfaut : </b> <a href='default-values_A3.html#ComposantFormMeth'>
	* Valeurs par dfaut des Mthodes</a> 
	* @public
	* @param {} Aucun
	* @return {void}
	* @version 1.1
	* @date 25/10/2005
	*/
  this.soumettre=function() {
    // this.getDomHtmlElement().submit();
    // tempo pour les tests
    window.setTimeout(this.reference+".getDomHtmlElement().submit()",  500);
  };

	/**
	* La mthode publique agir() ralise l'action d'un ElementFormButtonLibre.
	* <span style="font-weight: bold; color: rgb(51, 204, 0);">Charge  l'utilisateur du framework, de redfinir
	* cette mthode</span> (criture d'URL, etc...).
	* @public
	* @param {} Aucun
	* @return {void}
	* @version 2.5
	* @date 10/11/2006
	*/
  this.agir=function() {};


  // methode pour desactiver toutes les actions
  
	/**
	* La mthode publique disableAllAction() permet de dsactiver les boutons et les liens.
	* Cette fonctionnalit est utilise lorsque le navigateur est dans
	* l'attente d'une rponse http, pour empcher l'envoi d'une requte concurrente.
	* @public
	* @param {} Aucun
	* @return {void}
	* @version 1.1
	* @date 25/10/2005
	*/
  this.disableAllAction=function() {
    // dsactivation des liens
    for (var i=0; i<document.links.length;i++) {
      document.links[i].onclick=function() {
        alert("lien dsactiv");
        return false;
      };
    }
  };


  // cherche un lment dans la liste des lments du formulaire
  
	/**
	* La mthode publique getDefaultElementById(id) cherche l'lment id dans la liste des lments du formulaire
	* et le renvoie.
	* @public
	* @param { String_Obligatoire} id Identifiant de l'lment HTML
	* @return {DefaultElementForm} lment id recherch dans la liste des lments du formulaire si trouv,
	* sinon renvoie null.
	* @version 1.1
	* @date 25/10/2005
	*/   
  this.getDefaultElementById=function (id) {
    for (var i=0; i<this.tabElement.length; i++) {
      if (this.tabElement[i].id==id) return this.tabElement[i];
    }
    return null;
  };
  
  
  // fonction d'annulation du formulaire
  
	/**
	* La mthode publique annuler() est la mthode d'annulation du formulaire, associe  l'lment
	* {@link ElementFormButtonAnnuler ElementFormButtonAnnuler}. Par dfaut elle ralise un reset du
	* formulaire, mais <span style="font-weight: bold; color: rgb(51, 204, 0);">libre  l'utilisateur du
	* framework de redfinir cette mthode</span>
	* - <b>Valeur par dfaut : </b> <a href='default-values_A3.html#ComposantFormMeth'>
	* Valeurs par dfaut des Mthodes</a> 
	* @public
	* @param {} Aucun
	* @return {void}
	* @version 1.1
	* @date 25/10/2005
	*/
  this.annuler=function() {
    //alert("Fonction annuler du formulaire  implmenter ...");
    this.getDomHtmlElement().reset();
  };
  
  //Pour le rapatriement des donnes XML
  this.importData=ComposantForm_importXML;
  //Fonction d'initialisation d'un formulaire gnr automatiquement
  this.retourImportData = ComposantForm_retourImportData;
  
  //Dfinition des fonctions de gnration automatique de formulaire
  this.creerElementFormText = ComposantForm_creerElementFormText;
  this.creerElementFormSelect = ComposantForm_creerElementFormSelect;
  this.creerElementFormSelectMaster = ComposantForm_creerElementFormSelectMaster;
  this.creerComposantCalendrier = ComposantForm_creerComposantCalendrier;
  this.creerElementFormRadio = ComposantForm_creerElementFormRadio;
  this.creerElementFormTextarea = ComposantForm_creerElementFormTextarea;
  this.creerElementFormCheckbox = ComposantForm_creerElementFormCheckbox;
  this.creerElementFormButtonValider = ComposantForm_creerElementFormButtonValider;
  this.creerElementFormButtonAnnuler = ComposantForm_creerElementFormButtonAnnuler;
  this.creerElementFormButtonLibre = ComposantForm_creerElementFormButtonLibre;
  this.creerElementFormHidden = ComposantForm_creerElementFormHidden;
  this.creerElementFormPass = ComposantForm_creerElementFormPass;
  this.creerElementFormFile = ComposantForm_creerElementFormFile;
  this.creerFilterComponent = ComposantForm_creerFilterComponent;
  
  this.instancierDataElt = ComposantForm_instancierDataElt;
  this.instancierXmlData = ComposantForm_instancierXmlData;
  this.creerOption = ComposantForm_creerOption;
  this.exportXML = ComposantForm_exportXML;
}  

//Fonction globale pour cration d'un formulaire  partir d'un flux XML de description.
	/**
	* La mthode publique creerFormulaire(XMLFormulaireInfo) est la mthode de cration automatique
	* d'un formulaire, depuis un fichier XML rpondant  la DTD DTD.formulaire.dtd.<br> 
	* Cette mthode parcourt le fichier XML, cre le {@link ComposantForm ComposantForm},
	* repre les diffrents lments renseigns et appelle les fonctions associe  
	* chacun de ces lments. Ce sont les diffrentes fonctions qui vont alors crer les 
	* ElementForm et les ajouter au formulaire.<br>
	* @public
	* @param {XMLObjectSauvegarde_Obligatoire} XMLFormulaireInfo : XMLObjectSauvegarde issu du chargement du fichier XML de paramtres de formulaire.
	* @return {void}
	* @version 2.6
  * @date 04/09/2007
	*/
function creerFormulaire(XMLFormulaireInfo) {
		var formId = null;
		var formDivbind = null;
		var formAction = null;
		var formMethod = null;
		var formEnctype = null;

  	for(var i=0; i<XMLFormulaireInfo.xmlDoc.lastChild.childNodes.length; i++){
	  	//Rcupration du contenu de la balise XML : diffrent selon le navigateur
	  	var tmp = parent.getTextElement(XMLFormulaireInfo.xmlDoc.lastChild.childNodes[i]);
	  	  		
	  	//Tests et manipulation des lments rcuprs
	  	switch(XMLFormulaireInfo.xmlDoc.lastChild.childNodes[i].nodeName){
	  		case 'ID':  			
	  			formId=tmp;
	  			break;
	  		case 'DIVBIND':  
	  			formDivbind=tmp;			
	  			break;
	  		case 'ACTION':  
	  			formAction=tmp;			
	  			break;
	  		case 'METHOD':  
	  			formMethod=tmp;			
	  			break;
	  		case 'ENCTYPE':  			
	  			formEnctype=tmp;
	  			break;
	  		default:
	  			break;
	  	}}
	  	//Cration du ComposantForm
	  	eval("var "+formId+"=new ComposantForm('"+formId+"',formAction,formMethod,formEnctype);");
	  	//Initialisation de la proprit XMLObjectInfos du ComposantForm
	  	eval(formId+".setXMLObjectInfos(XMLFormulaireInfo);");
	  	return eval(formId+";");
}

/**
* La mthode publique importXML() dclenche l'appel de demande de rapatriement du flux XML li au contenu
* informatif du formulaire afin de l'afficher.
* @public
* @param {}  Aucun
* @return {void}
* @version 2.6
* @date 04/09/2007
*/
function ComposantForm_importXML()
{
  this.XMLData.importXML();
}

	/**
	* La mthode publique retourImportData() est la mthode de cration des lments du
	* formulaire automatique, depuis un fichier XML rpondant  la DTD DTD.formulaireDonnees.dtd.<br> 
	* Cette mthode parcourt les fichiers XML de paramtres et de donnes, 
	* repre les diffrents lments renseigns et appelle les fonctions associes  
	* chacun de ces lments. Ce sont les diffrentes fonctions qui vont alors crer les 
	* ElementForm et les ajouter au formulaire.<br>
	* @public
	* @param {} aucun
	* @return {ComposantForm} retourne le composant formulaire renseign
	* @version 2.6
  * @date 04/09/2007
	*/
function ComposantForm_retourImportData() {  	  	
 	//Parcours des lments du fichier XML de paramtrage
 	for(var i=0; i<this.XMLObjectInfos.xmlDoc.lastChild.childNodes.length; i++){
  	//Noeud XML courant
  	var elementXML=this.XMLObjectInfos.xmlDoc.lastChild.childNodes[i];
 		//Rcupration du contenu de la balise XML : diffrent selon le navigateur
 		var tmp = parent.getTextElement(elementXML);
 		  	
	  	switch(elementXML.nodeName){
	  		case 'DATA_LISTE':
	  			this.donneeListe=tmp;
	  		break;
	  		case 'ELEMENTFORM_TEXT': 
	  			this.creerElementFormText(elementXML);
	  			break;
	  		case 'ELEMENTFORM_SELECT':  	
	  			this.creerElementFormSelect(elementXML);
	  			break;
	  		case 'ELEMENTFORM_SELECT_MASTER':
	  			this.creerElementFormSelectMaster(elementXML);
	  			break;
	  		case 'COMPOSANT_CALENDRIER':  	
	  			this.creerComposantCalendrier(elementXML);	
	  			break;
	  		case 'ELEMENTFORM_RADIO': 
	  			this.creerElementFormRadio(elementXML); 			
	  			break;
	  		case 'ELEMENTFORM_TEXTAREA':
	  			this.creerElementFormTextarea(elementXML);  			
	  			break;
	  		case 'ELEMENTFORM_CHECKBOX':  	
	  			this.creerElementFormCheckbox(elementXML);		
	  			break;
	  		case 'ELEMENTFORM_BUTTON_VALIDER':  	
	  			this.creerElementFormButtonValider(elementXML);		
	  			break;
	  		case 'ELEMENTFORM_BUTTON_ANNULER':  	
	  			this.creerElementFormButtonAnnuler(elementXML);		
	  			break;
	  		case 'ELEMENTFORM_BUTTON_LIBRE':  	
	  			this.creerElementFormButtonLibre(elementXML);		
	  			break;
	  		case 'ELEMENTFORM_HIDDEN':  	
	  			this.creerElementFormHidden(elementXML);		
	  			break;
	  		case 'ELEMENTFORM_PASS': 
	  			this.creerElementFormPass(elementXML); 			
	  			break;
	  		case 'ELEMENTFORM_FILE': 
	  			this.creerElementFormFile(elementXML); 			
	  			break;
	  		case 'FILTER_COMPONENT': 
	  			this.creerFilterComponent(elementXML); 			
	  			break;
	  		case 'ONSUBMIT': 
	  			eval("this.soumettre=function(){"+tmp+"};");
	  			break;
	  		case 'ONRESET': 
	  			eval("this.annuler=function(){"+tmp+"};");		
	  			break;
	  		default:
	  			break;
	  	}
	  }
	  return this;
}

	/**
	* La mthode prive creerElementFormText(XMLFormulaireElt) est la mthode de cration automatique
	* d'un ElementFormText de formulaire.<br> 
	* Cette mthode parcourt la partie du fichier XML de formulaire correspondant  la zone de texte et
	* cre l' {@link ElementFormText ElementFormText}  partir des donnes rcupres.
  	* Elle ajoute ensuite cet lment au ComposantForm dj cr.<br>
	* @private
	* @param {Element_Obligatoire} XMLFormulaireElt : partie du XMLObjectSauvegarde issu du chargement du fichier XML de formulaire.
	* @return {void}
	* @version 2.6
  * @date 04/09/2007
	*/  	
function ComposantForm_creerElementFormText(XMLFormulaireElt){
	//Cration des donnes qui seront les paramtres du constructeur
	var tmpId = null;
	var tmpXmlData = null;
	var tmpValue = null;
	var tmpSize = null;
	var tmpMaxlength = null;
	var tmpLibelle = null;
	var tmpObligatoire = null;
	var tmpStatut = null;
	var tmpTabindex = null;
	var tmpAutocomplete = null;
	
	for(var i=0; i<XMLFormulaireElt.childNodes.length; i++){
		//Rcupration du contenu de la balise XML : diffrent selon le navigateur
  		var tmp = parent.getTextElement(XMLFormulaireElt.childNodes[i]);
  	  
	  //Rcupration des paramtres pour l'instanciation de l'objet	
		switch(XMLFormulaireElt.childNodes[i].nodeName){
	  		case 'ID':
	  			tmpId=tmp;
	  			break;
	  		case 'VALUE':
	  			tmpValue=tmp;
	  			break;	
	  		case 'LIBELLE':
	  			tmpLibelle=tmp;
	  			break;	
	  		case 'SIZE':
	  			tmpSize=tmp;
	  			break;	
	  		case 'MAXLENGTH':
	  			tmpMaxlength=tmp;
	  			break;	
	  		case 'AUTOCOMPLETE':
	  			tmpAutocomplete=tmp;
	  			break;	
	  		case 'TABINDEX':
	  			tmpTabindex=tmp;
	  			break;
	  		case 'STATUT':
	  			tmpStatut=eval(tmp);
	  			break;	
	  		case 'OBLIGATOIRE':
	  			tmpObligatoire=tmp;
	  			break;		
	  		default:
	  			break;
	  }}
	//Cration et instanciation de l'objet. Sa dsignation est celle de la balise ID du fichier XML.
	eval("var "+tmpId+" = new ElementFormText('"+tmpId+"',tmpXmlData,tmpValue,tmpSize,tmpMaxlength,tmpLibelle,tmpObligatoire,tmpStatut,tmpTabindex,tmpAutocomplete);");
	eval("this.addElement("+tmpId+");");
	
	for(var i=0; i<XMLFormulaireElt.childNodes.length; i++){
		//Rcupration du contenu de la balise XML : diffrent selon le navigateur
  		var tmp = parent.getTextElement(XMLFormulaireElt.childNodes[i]);
  	  		
		// Utilisation des donnes : modifications associes dans l'lment
		switch(XMLFormulaireElt.childNodes[i].nodeName){
	  		case 'DIVBIND':
	  			tabElementForm[tabElementForm.length-1].setDivBind(tmp);
	  			break;
	  		case 'DIVLIBBIND':
	  			tabElementForm[tabElementForm.length-1].setDivLibelleBind(tmp);
	  			break;
	  		case 'ONCHANGE':
	  			tabElementForm[tabElementForm.length-1].setOnChange(eval(tmp));
	  			break;
	  		case 'ONBLUR':
	  			tabElementForm[tabElementForm.length-1].setOnblur(eval(tmp),false);
	  			break;
	  		case 'ALT':
	  			tabElementForm[tabElementForm.length-1].setTitle(tmp);
	  			break;
	  		case 'ALTAIDE':
	  			tabElementForm[tabElementForm.length-1].setAltAide(tmp);
	  			break;
	  		case 'URLAIDE':
	  			tabElementForm[tabElementForm.length-1].seturlAide(tmp);
	  			break;
	  		case 'ALTASSIST':
	  			tabElementForm[tabElementForm.length-1].setAltAssist(tmp);
	  			break;
	  		case 'URLASSIST':
	  			tabElementForm[tabElementForm.length-1].seturlAssist(tmp);
	  			break;
	  		// Rcupration dans le fichier de paramtres du nom de balise associ dans le fichier de donnes
	  		case 'ZONEDATA':
	  			if(tmp != null && tmp != ""){
	  				// On initialise l'attribut zoneData de l'lment de formulaire
	  				tabElementForm[tabElementForm.length-1].setZoneData(tmp);
	  				// On ajoute le nom de balise dans le tableau donneElement attribut du formulaire
	  				this.donneeElement.push(tmp);
	  			}
	  			// Accs aux informations dans le flux des donnes
	  			var itemsElement = parent.getElements(this.XMLData.xmlDoc,tmp);
	  			// Valeur dans le flux de donnes et mise  jour
	  			var maValue=parent.getDataElement(itemsElement[0],"VALUE");
	  			if(maValue != false && maValue != "")
	  				tabElementForm[tabElementForm.length-1].setValue(maValue);  			
	  			break;
			default:
	  			break;
	  }}	
}

	/**
	* La mthode prive creerElementFormSelect(XMLFormulaireElt) est la mthode de cration automatique
	* d'un ElementFormSelect de formulaire.<br> 
	* Cette mthode parcourt la partie du fichier XML de formulaire correspondant  la boite de selection et
	* cre l' {@link ElementFormSelect ElementFormSelect}  partir des donnes rcupres.
  	* Elle ajoute ensuite cet lment au ComposantForm dj cr.<br>
	* @private
	* @param {Element_Obligatoire} XMLFormulaireElt : partie du XMLObjectSauvegarde issu du chargement du fichier XML de formulaire.
	* @return {void}
	* @version 2.6
  * @date 04/09/2007
	*/
function ComposantForm_creerElementFormSelect(XMLFormulaireElt){
	//Cration des donnes qui seront les paramtres du constructeur
	var tmpId = null;
	var tmpXmlData = null;
	var tmpSize = null;
	var tmpWidth = null;
	var tmpLibelle = null;
	var tmpObligatoire = null;
	var tmpMultiple = null;
	var tmpStatut = null;
	var tmpTabindex = null;
	this.tabOptionElement = new Array();
	
	for(var i=0; i<XMLFormulaireElt.childNodes.length; i++){
		//Rcupration du contenu de la balise XML : diffrent selon le navigateur
  	var tmp = parent.getTextElement(XMLFormulaireElt.childNodes[i]);
  	  
  	//Rcupration des paramtres pour l'instanciation de l'objet		
	switch(XMLFormulaireElt.childNodes[i].nodeName){
  		case 'ID':
  			tmpId=tmp;
  			break;	
  		case 'DATA':
  			//Fonction pour rcuprer les donnes XML pour les ObjectOption
  			this.instancierDataElt(XMLFormulaireElt.childNodes[i]);
  			//Mise a jour du tableau d'options
  			this.tabOptionElement = currentComposantForm.tabOptionElement;
  			break;
  		case 'LIBELLE':
  			tmpLibelle=tmp;
  			break;	
  		case 'SIZE':
  			tmpSize=tmp;
  			break;	
  		case 'MAXLENGTH':
  			tmpMaxlength=tmp;
  			break;	
  		case 'AUTOCOMPLETE':
  			tmpAutocomplete=tmp;
  			break;	
  		case 'TABINDEX':
  			tmpTabindex=tmp;
  			break;
  		case 'STATUT':
  			tmpStatut=eval(tmp);
  			break;	
  		case 'OBLIGATOIRE':
  			tmpObligatoire=tmp;
  			break;		
  		default:
  			break;
  }}
	//Cration et instanciation de l'objet. Sa dsignation est celle de la balise ID du fichier XML.
	eval("var "+tmpId+" =new ElementFormSelect('"+tmpId+"',tmpXmlData,this.tabOptionElement,tmpSize,tmpWidth,tmpLibelle,tmpObligatoire,tmpMultiple,tmpStatut,tmpTabindex);");
	eval("this.addElement("+tmpId+");");
	
	for(var i=0; i<XMLFormulaireElt.childNodes.length; i++){
		//Rcupration du contenu de la balise XML : diffrent selon le navigateur
  		var tmp = parent.getTextElement(XMLFormulaireElt.childNodes[i]);
  	  		
		// Utilisation des donnes : modifications associes dans l'lment
		switch(XMLFormulaireElt.childNodes[i].nodeName){
	  		case 'DIVBIND':
	  			tabElementForm[tabElementForm.length-1].setDivBind(tmp);
	  			break;
	  		case 'DIVLIBBIND':
	  			tabElementForm[tabElementForm.length-1].setDivLibelleBind(tmp);
	  			break;
	  		case 'ONCHANGE':
	  			tabElementForm[tabElementForm.length-1].setOnChange(eval(tmp));
	  			break;
	  		case 'ONBLUR':
	  			tabElementForm[tabElementForm.length-1].setOnblur(eval(tmp),false);
	  			break;
	  		case 'ALT':
	  			tabElementForm[tabElementForm.length-1].setTitle(tmp);
	  			break;
	  		case 'ALTAIDE':
	  			tabElementForm[tabElementForm.length-1].setAltAide(tmp);
	  			break;
	  		case 'URLAIDE':
	  			tabElementForm[tabElementForm.length-1].seturlAide(tmp);
	  			break;
	  		case 'ALTASSIST':
	  			tabElementForm[tabElementForm.length-1].setAltAssist(tmp);
	  			break;
	  		case 'URLASSIST':
	  			tabElementForm[tabElementForm.length-1].seturlAssist(tmp);
	  			break;
	  		// Rcupration dans le fichier de paramtres du nom de balise associ dans le fichier de donnes
	  		case 'ZONEDATA':
	  			if(tmp != null && tmp != ""){
	  				// On initialise l'attribut zoneData de l'lment de formulaire
	  				tabElementForm[tabElementForm.length-1].setZoneData(tmp);
	  				// On ajoute le nom de balise dans le tableau donneElement attribut du formulaire
	  				this.donneeElement.push(tmp);
	  			}
	  			// Accs aux informations dans le flux des donnes
	  			var itemsElement = parent.getElements(this.XMLData.xmlDoc,tmp);
	  			// Valeurs dans le flux de donnes et mise  jour
	  			if(itemsElement.length != 0){
		  			var itemsElementData = parent.getElements(itemsElement[0],"DATA");
		  			//Fonction pour rcuprer les donnes XML pour les ObjectOption
		  			this.instancierDataElt(itemsElementData[0]);
		  			//Mise a jour du tableau d'options
		  			this.tabOptionElement = currentComposantForm.tabOptionElement;
		  			tabElementForm[tabElementForm.length-1].setTabOption(this.tabOptionElement);
		  		}
	  			break;
			default:
	  			break;
	  }}	
}

	/**
	* La mthode prive creerElementFormSelectMaster(XMLFormulaireElt) est la mthode de cration automatique
	* d'un ElementFormSelectMaster de formulaire.<br> 
	* Cette mthode parcourt la partie du fichier XML de formulaire correspondant  la boite de selection et
	* cre l' {@link ElementFormSelectMaster ElementFormSelectMaster}  partir des donnes rcupres.
    * Elle ajoute ensuite cet lment au ComposantForm dj cr.<br>
	* @private
	* @param {Element_Obligatoire} XMLFormulaireElt : partie du XMLObjectSauvegarde issu du chargement du fichier XML de formulaire.
	* @return {void}
	* @version 2.6
  * @date 04/09/2007
	*/
function ComposantForm_creerElementFormSelectMaster(XMLFormulaireElt){
	//Cration des donnes qui seront les paramtres du constructeur
	var tmpId = null;
	var tmpXmlData = null;
	var tmpSize = null;
	var tmpWidth = null;
	var tmpLibelle = null;
	var tmpObligatoire = null;
	var tmpIndEsclave = null;
	var tmpMultiple = null;
	var tmpStatut = null;
	var tmpTabindex = null;
	this.tabOptionElement = new Array();
	
	for(var i=0; i<XMLFormulaireElt.childNodes.length; i++){
		//Rcupration du contenu de la balise XML : diffrent selon le navigateur
  		var tmp = parent.getTextElement(XMLFormulaireElt.childNodes[i]);
  	  
	  	//Rcupration des paramtres pour l'instanciation de l'objet		
		switch(XMLFormulaireElt.childNodes[i].nodeName){
	  		case 'ID':
	  			tmpId=tmp;
	  			break;	
	  		case 'DATA':
	  			//Fonction pour rcuprer les donnes XML dans la variable globale currentXmlElementFormSelect
	  			this.instancierXmlData(XMLFormulaireElt.childNodes[i]);
	  			tmpXmlData = currentXmlElementFormSelect;
	  			break;
	  		case 'LIBELLE':
	  			tmpLibelle=tmp;
	  			break;	
	  		case 'SIZE':
	  			tmpSize=tmp;
	  			break;	
	  		case 'MAXLENGTH':
	  			tmpMaxlength=tmp;
	  			break;	
	  		case 'AUTOCOMPLETE':
	  			tmpAutocomplete=tmp;
	  			break;	
	  		case 'TABINDEX':
	  			tmpTabindex=tmp;
	  			break;
	  		case 'STATUT':
	  			tmpStatut=eval(tmp);
	  			break;	
	  		case 'OBLIGATOIRE':
	  			tmpObligatoire=tmp;
	  			break;	
	  		case 'INDEX_ESCLAVE':
	  			tmpIndEsclave=tmp;
	  			break;
	  		case 'ZONEDATA':
	  			// Accs aux informations dans le flux des donnes
	  			var itemsElement = parent.getElements(this.XMLData.xmlDoc,tmp);
	  			// Valeurs dans le flux de donnes et mise  jour
	  			if(itemsElement.length != 0){
		  			var itemsElementData = parent.getElements(itemsElement[0],"ELEMENT");
		  			//Fonction pour rcuprer les donnes XML dans currentXmlElementFormSelect
		  			this.instancierXmlData(itemsElementData[0]);
		  			tmpXmlData = currentXmlElementFormSelect;
		  		}
		  		break;	
	  		default:
	  			break;
	  }}
	//Cration et instanciation de l'objet. Sa dsignation est celle de la balise ID du fichier XML.
	eval("var "+tmpId+" =new ElementFormSelectMaster('"+tmpId+"',tmpXmlData,this.tabOptionElement,tmpSize,tmpWidth,tmpLibelle,tmpObligatoire,tmpMultiple,tmpStatut,tmpTabindex);");
	eval("this.addElement("+tmpId+");");
	eval(tmpId+".addEsclave(tabElementForm["+tmpIndEsclave+"]);");
	
	for(var i=0; i<XMLFormulaireElt.childNodes.length; i++){
		//Rcupration du contenu de la balise XML : diffrent selon le navigateur
  		var tmp = parent.getTextElement(XMLFormulaireElt.childNodes[i]);
  	  		
		// Utilisation des donnes : modifications associes dans l'lment
		switch(XMLFormulaireElt.childNodes[i].nodeName){
	  		case 'DIVBIND':
	  			tabElementForm[tabElementForm.length-1].setDivBind(tmp);
	  			break;
	  		case 'DIVLIBBIND':
	  			tabElementForm[tabElementForm.length-1].setDivLibelleBind(tmp);
	  			break;
	  		case 'ONCHANGE':
	  			tabElementForm[tabElementForm.length-1].setOnChange(eval(tmp));
	  			break;
	  		case 'ONBLUR':
	  			tabElementForm[tabElementForm.length-1].setOnblur(eval(tmp),false);
	  			break;
	  		case 'ALT':
	  			tabElementForm[tabElementForm.length-1].setTitle(tmp);
	  			break;
	  		case 'ALTAIDE':
	  			tabElementForm[tabElementForm.length-1].setAltAide(tmp);
	  			break;
	  		case 'URLAIDE':
	  			tabElementForm[tabElementForm.length-1].seturlAide(tmp);
	  			break;
	  		case 'ALTASSIST':
	  			tabElementForm[tabElementForm.length-1].setAltAssist(tmp);
	  			break;
	  		case 'URLASSIST':
	  			tabElementForm[tabElementForm.length-1].seturlAssist(tmp);
	  			break;
	  		// Rcupration dans le fichier de paramtres du nom de balise associ dans le fichier de donnes
	  		case 'ZONEDATA':
	  			if(tmp != null && tmp != ""){
	  				// On initialise l'attribut zoneData de l'lment de formulaire
	  				tabElementForm[tabElementForm.length-1].setZoneData(tmp);
	  				// On ajoute le nom de balise dans le tableau donneElement attribut du formulaire
	  				this.donneeElement.push(tmp);
	  			}
	  			break;
			default:
	  			break;
	  }}	
}

	/**
	* La mthode prive creerComposantCalendrier(XMLFormulaireElt) est la mthode de cration automatique
	* d'un ComposantCalendrier dans un formulaire.<br> 
	* Cette mthode parcourt la partie du fichier XML de formulaire correspondant au calendrier et
	* cre le {@link ComposantCalendrier ComposantCalendrier}  partir des donnes rcupres. 
	* Remarque : retenons que la cration d'un ComposantCalendrier entraine la cration d'un ElementFormButton
	* cette partie correspondra donc  2 lments du TabElementForm du formulaire.
  	* Elle ajoute ensuite cet lment au ComposantForm dj cr.<br>
	* @private
	* @param {Element_Obligatoire} XMLFormulaireElt : partie du XMLObjectSauvegarde issu du chargement du fichier XML de formulaire.
	* @return {void}
	* @version 2.6
  * @date 04/09/2007
	*/
function ComposantForm_creerComposantCalendrier(XMLFormulaireElt){
	//Cration des donnes qui seront les paramtres du constructeur
	var tmpId = null;
	var tmpXmlData = null;
	var tmpValue = null;
	var tmpLibelle = null;
	var tmpObligatoire = null;
	var tmpStatut = null;
	var tmpTabindex = null;
	var tmpNbAnnee = 10;
	var tmpPasAnnee = 1;
	
	//Calendrier - chargement des images
  preloadImages(bouton_calendrier_src,bouton_calendrierover_src);
  
	for(var i=0; i<XMLFormulaireElt.childNodes.length; i++){
		//Rcupration du contenu de la balise XML : diffrent selon le navigateur
  		var tmp = parent.getTextElement(XMLFormulaireElt.childNodes[i]);
  	  		
		//Rcupration des paramtres pour l'instanciation de l'objet
		switch(XMLFormulaireElt.childNodes[i].nodeName){
	  		case 'ID':
	  			tmpId=tmp;
	  			break;
	  		case 'VALUE':
	  			tmpValue=tmp;
	  			break;	
	  		case 'LIBELLE':
	  			tmpLibelle=tmp;
	  			break;	
	  		case 'NBANNEES':
					tmpNbAnnee=parseInt(tmp);
	  			break;
	  		case 'PASANNEES':
	  			tmpPasAnnee=parseInt(tmp);
	  			break;	
	  		case 'TABINDEX':
	  			tmpTabindex=tmp;
	  			break;
	  		case 'STATUT':
	  			tmpStatut=eval(tmp);
	  			break;	
	  		case 'OBLIGATOIRE':
	  			tmpObligatoire=tmp;
	  			break;	
	  		default:
	  			break;
	  }}
	//Cration et instanciation de l'objet. Sa dsignation est celle de la balise ID du fichier XML.
	eval("var "+tmpId+" = new ComposantCalendrier('"+tmpId+"',tmpXmlData,tmpValue,tmpLibelle,tmpObligatoire,tmpStatut,tmpTabindex,tmpNbAnnee,tmpPasAnnee);");
	eval("this.addElement("+tmpId+");");
	
	for(var i=0; i<XMLFormulaireElt.childNodes.length; i++){
		//Rcupration du contenu de la balise XML : diffrent selon le navigateur
  		var tmp = parent.getTextElement(XMLFormulaireElt.childNodes[i]);
  	  		
		// Utilisation des donnes : modifications associes dans l'lment
		switch(XMLFormulaireElt.childNodes[i].nodeName){
	  		case 'DIVBIND':
	  			tabElementForm[tabElementForm.length-2].setDivBind(tmp);
	  			break;
	  		case 'DIVLIBBIND':
	  			tabElementForm[tabElementForm.length-2].setDivLibelleBind(tmp);
	  			break; 
	  		case 'ONCHANGE':
	  			tabElementForm[tabElementForm.length-2].setOnChange(eval(tmp));
	  			break; 	
	  		case 'ONBLUR':
	  			tabElementForm[tabElementForm.length-2].setOnblur(eval(tmp),false);
	  			break;		
	  		case 'FORMATDATE':
	  			tabElementForm[tabElementForm.length-2]. setFormat(tmp);
	  			break;
	  		case 'ALT':
	  			tabElementForm[tabElementForm.length-2].setTitle(tmp);
	  			break;
	  		case 'ALTAIDE':
	  			tabElementForm[tabElementForm.length-2].setAltAide(tmp);
	  			break;
	  		case 'URLAIDE':
	  			tabElementForm[tabElementForm.length-2].seturlAide(tmp);
	  			break;
	  		case 'ALTASSIST':
	  			tabElementForm[tabElementForm.length-2].setAltAssist(tmp);
	  			break;
	  		case 'URLASSIST':
	  			tabElementForm[tabElementForm.length-2].seturlAssist(tmp);
	  			break;
	  		// Rcupration dans le fichier de paramtres du nom de balise associ dans le fichier de donnes
	  		case 'ZONEDATA':
	  			if(tmp != null && tmp != ""){
	  				// On initialise l'attribut zoneData de l'lment de formulaire
	  				this.donneeElement.push(tmp);
	  			}
	  			// Accs aux informations dans le flux des donnes
	  			var itemsElement = parent.getElements(this.XMLData.xmlDoc,tmp);
	  			// Valeur dans le flux de donnes et mise  jour
	  			var maValue=parent.getDataElement(itemsElement[0],"VALUE");
	  			tabElementForm[tabElementForm.length-2].setValue(maValue);
	  			break;
			default:
	  			break;
	  }}	
}

	/**
	* La mthode prive creerElementFormRadio(XMLFormulaireElt) est la mthode de cration automatique
	* d'un ElementFormRadio de formulaire.<br> 
	* Cette mthode parcourt la partie du fichier XML de formulaire correspondant aux boutons radio et
	* cre l' {@link ElementFormRadio ElementFormRadio}  partir des donnes rcupres.
  	* Elle ajoute ensuite cet lment au ComposantForm dj cr.<br>
	* @private
	* @param {Element_Obligatoire} XMLFormulaireElt : partie du XMLObjectSauvegarde issu du chargement du fichier XML de formulaire.
	* @return {void}
	* @version 2.6
  * @date 04/09/2007
	*/
function ComposantForm_creerElementFormRadio(XMLFormulaireElt){
	//Cration des donnes qui seront les paramtres du constructeur
	var tmpId=null;
	var tmpXmlData=null;
	var tmpLibelle=null;
	var tmpObligatoire=null;
	var tmpStatut=null;
	var tmpTabindex=null;
	var tmpSize=null;
	var tmpPositionLibelleOptions=null;
	this.tabOptionElement=new Array();
	
	for(var i=0; i<XMLFormulaireElt.childNodes.length; i++){
		//Rcupration du contenu de la balise XML : diffrent selon le navigateur
	  	var tmp = parent.getTextElement(XMLFormulaireElt.childNodes[i]);
	  	  		
		//Rcupration des paramtres pour l'instanciation de l'objet
		switch(XMLFormulaireElt.childNodes[i].nodeName){
	  		case 'ID':
	  			tmpId=tmp;
	  			break;
	  		case 'DATA': 
	  			//Fonction pour rcuprer les donnes XML pour les ObjectOption
	  			this.instancierDataElt(XMLFormulaireElt.childNodes[i]);
	  			//Mise a jour du tableau d'options
	  			this.tabOptionElement = currentComposantForm.tabOptionElement;
	  			break;	
	  		case 'LIBELLE':
	  			tmpLibelle=tmp;
	  			break;	
	  		case 'TABINDEX':
	  			tmpTabindex=tmp;
	  			break;
	  		case 'STATUT':
	  			tmpStatut=eval(tmp);
	  			break;	
	  		case 'OBLIGATOIRE':
	  			tmpObligatoire=tmp;
	  			break;		
	  		case 'NBCOLONNES':
				tmpSize=eval(tmp);
	  			break;
	  		case 'POSITIONLIBELLE':
	  			tmpPositionLibelleOptions=eval(tmp);
	  			break;
	  		default:
	  			break;
	  }}
	//Cration et instanciation de l'objet. Sa dsignation est celle de la balise ID du fichier XML.
	eval("var "+tmpId+" = new ElementFormRadio('"+tmpId+"',tmpXmlData,this.tabOptionElement,tmpLibelle,tmpObligatoire,tmpStatut,tmpTabindex,tmpSize,"+tmpPositionLibelleOptions+");");
	eval("this.addElement("+tmpId+");");
	
	for(var i=0; i<XMLFormulaireElt.childNodes.length; i++){
		//Rcupration du contenu de la balise XML : diffrent selon le navigateur
	  	var tmp = parent.getTextElement(XMLFormulaireElt.childNodes[i]);
	  	  		
		// Utilisation des donnes : modifications associes dans l'lment
		switch(XMLFormulaireElt.childNodes[i].nodeName){
	  		case 'DIVBIND':
	  			tabElementForm[tabElementForm.length-1].setDivBind(tmp);
	  			break;
	  		case 'DIVLIBBIND':
	  			tabElementForm[tabElementForm.length-1].setDivLibelleBind(tmp);
	  			break;
	  		case 'ONCHANGE':
	  			tabElementForm[tabElementForm.length-1].setOnChange(eval(tmp));
	  			break;
	  		case 'ONBLUR':
	  			tabElementForm[tabElementForm.length-1].setOnblur(eval(tmp),false);
	  			break;
	  		case 'ALT':
	  			tabElementForm[tabElementForm.length-1].setTitle(tmp);
	  			break;
	  		case 'ALTAIDE':
	  			tabElementForm[tabElementForm.length-1].setAltAide(tmp);
	  			break;
	  		case 'URLAIDE':
	  			tabElementForm[tabElementForm.length-1].seturlAide(tmp);
	  			break;
	  		case 'ALTASSIST':
	  			tabElementForm[tabElementForm.length-1].setAltAssist(tmp);
	  			break;
	  		case 'URLASSIST':
	  			tabElementForm[tabElementForm.length-1].seturlAssist(tmp);
	  			break;
	  		// Rcupration dans le fichier de paramtres du nom de balise associ dans le fichier de donnes
	  		case 'ZONEDATA':
	  			if(tmp != null && tmp != ""){
						// On initialise l'attribut zoneData de l'lment de formulaire
	  				tabElementForm[tabElementForm.length-1].setZoneData(tmp);
	  				// On ajoute le nom de balise dans le tableau donneElement attribut du formulaire
	  				this.donneeElement.push(tmp);
	  			}
	  			// Accs aux informations dans le flux des donnes
	  			var itemsElement = parent.getElements(this.XMLData.xmlDoc,tmp);
	  			// Valeurs dans le flux de donnes et mise  jour
	  			if(itemsElement.length != 0){
		  			var itemsElementData = parent.getElements(itemsElement[0],"DATA");
		  			//Fonction pour rcuprer les donnes XML pour les ObjectOption
		  			this.instancierDataElt(itemsElementData[0]);
		  			//Mise a jour du tableau d'options
		  			this.tabOptionElement = currentComposantForm.tabOptionElement;
		  			tabElementForm[tabElementForm.length-1].setTabOption(this.tabOptionElement);
		  		}
	  			break;
			default:
	  			break;
	  }}	
}

	/**
	* La mthode prive creerElementFormTextarea(XMLFormulaireElt) est la mthode de cration automatique
	* d'un ElementFormTextarea de formulaire.<br> 
	* Cette mthode parcourt la partie du fichier XML de formulaire correspondant  la zone de texte et
	* cre l' {@link ElementFormTextarea ElementFormTextarea}  partir des donnes rcupres.
  	* Elle ajoute ensuite cet lment au ComposantForm dj cr.<br>
	* @private
	* @param {Element_Obligatoire} XMLFormulaireElt : partie du XMLObjectSauvegarde issu du chargement du fichier XML de formulaire.
	* @return {void}
	* @version 2.6
  * @date 04/09/2007
	*/
function ComposantForm_creerElementFormTextarea(XMLFormulaireElt){
	//Cration des donnes qui seront les paramtres du constructeur
	var tmpId=null;
	var tmpXmlData=null;
	var tmpCols=null;
	var tmpRows=null;
	var tmpValue=null;	
	var tmpLibelle=null;
	var tmpObligatoire=null;
	var tmpStatut=null;
	var tmpTabindex=null;
	var tmpNbcar=null;
	
	for(var i=0; i<XMLFormulaireElt.childNodes.length; i++){
		//Rcupration du contenu de la balise XML : diffrent selon le navigateur
	  	var tmp = parent.getTextElement(XMLFormulaireElt.childNodes[i]);
	  	  		
		//Rcupration des paramtres pour l'instanciation de l'objet
		switch(XMLFormulaireElt.childNodes[i].nodeName){
	  		case 'ID':
	  			tmpId=tmp;
	  			break;
	  		case 'VALUE':
	  			tmpValue=tmp;
	  			break;
	  		case 'LIBELLE':
	  			tmpLibelle=tmp;
	  			break;	
	  		case 'COLS':
	  			tmpCols=tmp;
	  			break;
	  		case 'ROWS':
	  			tmpRows=tmp;
	  			break;  			
	  		case 'TABINDEX':
	  			tmpTabindex=tmp;
	  			break;
	  		case 'STATUT':
	  			tmpStatut=eval(tmp);
	  			break;	
	  		case 'OBLIGATOIRE':
	  			tmpObligatoire=tmp;
	  			break;
	  		case 'SIZE':
	  			tmpNbcar=tmp;
	  			break;
	  		default:
	  			break;
	  }}
	//Cration et instanciation de l'objet. Sa dsignation est celle de la balise ID du fichier XML.
	eval("var "+tmpId+" = new ElementFormTextarea('"+tmpId+"',tmpXmlData,tmpCols,tmpRows,tmpValue,tmpLibelle,tmpObligatoire,tmpStatut,tmpTabindex,tmpNbcar);");
	eval("this.addElement("+tmpId+");");
	
	for(var i=0; i<XMLFormulaireElt.childNodes.length; i++){
		//Rcupration du contenu de la balise XML : diffrent selon le navigateur
  		var tmp = parent.getTextElement(XMLFormulaireElt.childNodes[i]);
  	  		
		// Utilisation des donnes : modifications associes dans l'lment
		switch(XMLFormulaireElt.childNodes[i].nodeName){
	  		case 'DIVBIND':
	  			tabElementForm[tabElementForm.length-1].setDivBind(tmp);
	  			break;
	  		case 'DIVLIBBIND':
	  			tabElementForm[tabElementForm.length-1].setDivLibelleBind(tmp);
	  			break;
	  		case 'ONCHANGE':
	  			tabElementForm[tabElementForm.length-1].setOnChange(eval(tmp));
	  			break;
	  		case 'ONBLUR':
	  			tabElementForm[tabElementForm.length-1].setOnblur(eval(tmp),false);
	  			break;
	  		case 'ALT':
	  			tabElementForm[tabElementForm.length-1].setTitle(tmp);
	  			break;
	  		case 'ALTAIDE':
	  			tabElementForm[tabElementForm.length-1].setAltAide(tmp);
	  			break;
	  		case 'URLAIDE':
	  			tabElementForm[tabElementForm.length-1].seturlAide(tmp);
	  			break;
	  		case 'ALTASSIST':
	  			tabElementForm[tabElementForm.length-1].setAltAssist(tmp);
	  			break;
	  		case 'URLASSIST':
	  			tabElementForm[tabElementForm.length-1].seturlAssist(tmp);
	  			break;
	  		case 'TITLE':
	  			tabElementForm[tabElementForm.length-1].setTitle(tmp);
	  			break;
	  		// Rcupration dans le fichier de paramtres du nom de balise associ dans le fichier de donnes
	  		case 'ZONEDATA':
	  			if(tmp != null && tmp != ""){
						// On initialise l'attribut zoneData de l'lment de formulaire
	  				tabElementForm[tabElementForm.length-1].setZoneData(tmp);
	  				// On ajoute le nom de balise dans le tableau donneElement attribut du formulaire
	  				this.donneeElement.push(tmp);
	  			}
	  			// Accs aux informations dans le flux des donnes
	  			var itemsElement = parent.getElements(this.XMLData.xmlDoc,tmp);
	  			// Valeur dans le flux de donnes et mise  jour
	  			var maValue=parent.getDataElement(itemsElement[0],"VALUE");
	  			if(maValue != false && maValue != "")
	  				tabElementForm[tabElementForm.length-1].setValue(maValue);
	  			break;
			default:
	  			break;
	  }}	
}

	/**
	* La mthode prive creerElementFormCheckbox(XMLFormulaireElt) est la mthode de cration automatique
	* d'un ElementFormCheckbox de formulaire.<br> 
	* Cette mthode parcourt la partie du fichier XML de formulaire correspondant  la case  cocher et
	* cre l' {@link ElementFormCheckbox ElementFormCheckbox}  partir des donnes rcupres.
  * Elle ajoute ensuite cet lment au ComposantForm dj cr.<br>
	* @private
	* @param {Element_Obligatoire} XMLFormulaireElt : partie du XMLObjectSauvegarde issu du chargement du fichier XML de formulaire.
	* @return {void}
	* @version 2.6
  * @date 04/09/2007
	*/
function ComposantForm_creerElementFormCheckbox(XMLFormulaireElt){  
	//Cration des donnes qui seront les paramtres du constructeur
	var tmpId=null;
	var tmpXmlData=null;
	var tmpValue=null;
	var tmpLibelle=null;
	var tmpObligatoire=null;
	var tmpStatut=null;
	var tmpTabindex=null;
	
	for(var i=0; i<XMLFormulaireElt.childNodes.length; i++){
		//Rcupration du contenu de la balise XML : diffrent selon le navigateur
	  	var tmp = parent.getTextElement(XMLFormulaireElt.childNodes[i]);
	  	  		
		//Rcupration des paramtres pour l'instanciation de l'objet
		switch(XMLFormulaireElt.childNodes[i].nodeName){
	  		case 'ID':
	  			tmpId=tmp;
	  			break;
	  		case 'VALUE':
	  			tmpValue=tmp;
	  			break;	
	  		case 'LIBELLE':
	  			tmpLibelle=tmp;
	  			break;	
	  		case 'TABINDEX':
	  			tmpTabindex=tmp;
	  			break;
	  		case 'STATUT':
	  			tmpStatut=eval(tmp);
	  			break;	
	  		case 'OBLIGATOIRE':
	  			tmpObligatoire=tmp;
	  			break;		
	  		default:
	  			break;
	  }}
	//Cration et instanciation de l'objet. Sa dsignation est celle de la balise ID du fichier XML.
	eval("var "+tmpId+" = new ElementFormCheckbox('"+tmpId+"',tmpXmlData,tmpValue,tmpLibelle,tmpObligatoire,tmpStatut,tmpTabindex);");
	eval("this.addElement("+tmpId+");");
	
	for(var i=0; i<XMLFormulaireElt.childNodes.length; i++){
		//Rcupration du contenu de la balise XML : diffrent selon le navigateur
	  	var tmp = parent.getTextElement(XMLFormulaireElt.childNodes[i]);
	  	  		
		// Utilisation des donnes : modifications associes dans l'lment
		switch(XMLFormulaireElt.childNodes[i].nodeName){
	  		case 'DIVBIND':
	  			tabElementForm[tabElementForm.length-1].setDivBind(tmp);
	  			break;
	  		case 'DIVLIBBIND':
	  			tabElementForm[tabElementForm.length-1].setDivLibelleBind(tmp);
	  			break;
	  		case 'ONCHANGE':
	  			tabElementForm[tabElementForm.length-1].setOnChange(eval(tmp));
	  			break;
	  		case 'ALT':
	  			tabElementForm[tabElementForm.length-1].setTitle(tmp);
	  			break;
	  		case 'ALTAIDE':
	  			tabElementForm[tabElementForm.length-1].setAltAide(tmp);
	  			break;
	  		case 'URLAIDE':
	  			tabElementForm[tabElementForm.length-1].seturlAide(tmp);
	  			break;
	  		case 'ALTASSIST':
	  			tabElementForm[tabElementForm.length-1].setAltAssist(tmp);
	  			break;
	  		case 'URLASSIST':
	  			tabElementForm[tabElementForm.length-1].seturlAssist(tmp);
	  			break;
	  		// Rcupration dans le fichier de paramtres du nom de balise associ dans le fichier de donnes
	  		case 'ZONEDATA':
	  			if(tmp != null && tmp != ""){
						// On initialise l'attribut zoneData de l'lment de formulaire
	  				tabElementForm[tabElementForm.length-1].setZoneData(tmp);
	  				// On ajoute le nom de balise dans le tableau donneElement attribut du formulaire
	  				this.donneeElement.push(tmp);
	  			}
	  			// Accs aux informations dans le flux des donnes
	  			var itemsElement = parent.getElements(this.XMLData.xmlDoc,tmp);
	  			// Valeur dans le flux de donnes et mise  jour
	  			var maValue=parent.getDataElement(itemsElement[0],"VALUE");
	  			if(maValue=="true" || maValue==true || maValue=="false" || maValue==false)
	  				tabElementForm[tabElementForm.length-1].setValue(maValue);
	  			break;
			default:
	  			break;
	  }}	
}

	/**
	* La mthode prive creerElementFormButtonValider(XMLFormulaireElt) est la mthode de cration automatique
	* d'un ElementFormButtonValider de formulaire.<br> 
	* Cette mthode parcourt la partie du fichier XML de formulaire correspondant au bouton de validation et
	* cre l' {@link ElementFormButtonValider ElementFormButtonValider}  partir des donnes rcupres.
  	* Elle ajoute ensuite cet lment au ComposantForm dj cr.<br>
	* @private
	* @param {Element_Obligatoire} XMLFormulaireElt : partie du XMLObjectSauvegarde issu du chargement du fichier XML de formulaire.
	* @return {void}
	* @version 2.6
  * @date 04/09/2007
	*/
function ComposantForm_creerElementFormButtonValider(XMLFormulaireElt){ 
	//Cration des donnes qui seront les paramtres du constructeur
	var tmpId=null;
	var tmpStatut=null;
	var tmpTabindex=null;
	
	for(var i=0; i<XMLFormulaireElt.childNodes.length; i++){
		//Rcupration du contenu de la balise XML : diffrent selon le navigateur
	  	var tmp = parent.getTextElement(XMLFormulaireElt.childNodes[i]);
	  	  		
		//Rcupration des paramtres pour l'instanciation de l'objet
		switch(XMLFormulaireElt.childNodes[i].nodeName){
	  		case 'ID':
	  			tmpId=tmp;
	  			break;
	  		case 'TABINDEX':
	  			tmpTabindex=tmp;
	  			break;
	  		case 'STATUT':
	  			tmpStatut=eval(tmp);
	  			break;			
	  		default:
	  			break;
	  }}
	//Cration et instanciation de l'objet. Sa dsignation est celle de la balise ID du fichier XML.
	eval("var "+tmpId+" = new ElementFormButtonValider('"+tmpId+"',tmpStatut,tmpTabindex);");
	eval("this.addElement("+tmpId+");");
	
	for(var i=0; i<XMLFormulaireElt.childNodes.length; i++){
		//Rcupration du contenu de la balise XML : diffrent selon le navigateur
	  	var tmp = parent.getTextElement(XMLFormulaireElt.childNodes[i]);
	  	  		
		// Utilisation des donnes : modifications associes dans l'lment
		switch(XMLFormulaireElt.childNodes[i].nodeName){
	  		case 'DIVBIND':
	  			tabElementForm[tabElementForm.length-1].setDivBind(tmp);
	  			break;
	  		case 'ALT':
	  			tabElementForm[tabElementForm.length-1].setTitle(tmp);
	  			break;
	  		case 'ALTAIDE':
	  			tabElementForm[tabElementForm.length-1].setAltAide(tmp);
	  			break;
	  		case 'URLAIDE':
	  			tabElementForm[tabElementForm.length-1].seturlAide(tmp);
	  			break;
	  		case 'ALTASSIST':
	  			tabElementForm[tabElementForm.length-1].setAltAssist(tmp);
	  			break;
	  		case 'URLASSIST':
	  			tabElementForm[tabElementForm.length-1].seturlAssist(tmp);
	  			break;
	  		// Rcupration dans le fichier de paramtres du nom de balise associ dans le fichier de donnes
	  		case 'ZONEDATA':
	  			if(tmp != null && tmp != ""){
						// On initialise l'attribut zoneData de l'lment de formulaire
	  				tabElementForm[tabElementForm.length-1].setZoneData(tmp);
	  				// On ajoute le nom de balise dans le tableau donneElement attribut du formulaire
	  				this.donneeElement.push(tmp);
	  			}
	  			break;
			default:
	  			break;
 	 }}	
}

	/**
	* La mthode prive creerElementFormButtonAnnuler(XMLFormulaireElt) est la mthode de cration automatique
	* d'un ElementFormButtonAnnuler de formulaire.<br> 
	* Cette mthode parcourt la partie du fichier XML de formulaire correspondant au bouton d'annulation et
	* cre l' {@link ElementFormButtonAnnuler ElementFormButtonAnnuler}  partir des donnes rcupres.
    * Elle ajoute ensuite cet lment au ComposantForm dj cr.<br>
	* @private
	* @param {Element_Obligatoire} XMLFormulaireElt : partie du XMLObjectSauvegarde issu du chargement du fichier XML de formulaire.
	* @return {void}
	* @version 2.6
  * @date 04/09/2007
	*/
function ComposantForm_creerElementFormButtonAnnuler(XMLFormulaireElt){ 
	//Cration des donnes qui seront les paramtres du constructeur
	var tmpId=null;
	var tmpStatut=null;
	var tmpTabindex=null;
	
	for(var i=0; i<XMLFormulaireElt.childNodes.length; i++){
		//Rcupration du contenu de la balise XML : diffrent selon le navigateur
	  	var tmp = parent.getTextElement(XMLFormulaireElt.childNodes[i]);
	  	  		
		//Rcupration des paramtres pour l'instanciation de l'objet
		switch(XMLFormulaireElt.childNodes[i].nodeName){
	  		case 'ID':
	  			tmpId=tmp;
	  			break;
	  		case 'TABINDEX':
	  			tmpTabindex=tmp;
	  			break;
	  		case 'STATUT':
	  			tmpStatut=eval(tmp);
	  			break;			
	  		default:
	  			break;
	  }}
	//Cration et instanciation de l'objet. Sa dsignation est celle de la balise ID du fichier XML.
	eval("var "+tmpId+" = new ElementFormButtonAnnuler('"+tmpId+"',tmpStatut,tmpTabindex);");
	eval("this.addElement("+tmpId+");");
	
	for(var i=0; i<XMLFormulaireElt.childNodes.length; i++){
		//Rcupration du contenu de la balise XML : diffrent selon le navigateur
	  	var tmp = parent.getTextElement(XMLFormulaireElt.childNodes[i]);
	  	  		
		// Utilisation des donnes : modifications associes dans l'lment
		switch(XMLFormulaireElt.childNodes[i].nodeName){
	  		case 'DIVBIND':
	  			tabElementForm[tabElementForm.length-1].setDivBind(tmp);
	  			break;
	  		case 'ALT':
	  			tabElementForm[tabElementForm.length-1].setTitle(tmp);
	  			break;
	  		case 'ALTAIDE':
	  			tabElementForm[tabElementForm.length-1].setAltAide(tmp);
	  			break;
	  		case 'URLAIDE':
	  			tabElementForm[tabElementForm.length-1].seturlAide(tmp);
	  			break;
	  		case 'ALTASSIST':
	  			tabElementForm[tabElementForm.length-1].setAltAssist(tmp);
	  			break;
	  		case 'URLASSIST':
	  			tabElementForm[tabElementForm.length-1].seturlAssist(tmp);
	  			break;
	  		// Rcupration dans le fichier de paramtres du nom de balise associ dans le fichier de donnes
	  		case 'ZONEDATA':
	  			if(tmp != null && tmp != ""){
						// On initialise l'attribut zoneData de l'lment de formulaire
	  				tabElementForm[tabElementForm.length-1].setZoneData(tmp);
	  				// On ajoute le nom de balise dans le tableau donneElement attribut du formulaire
	  				this.donneeElement.push(tmp);
	  			}
	  			break;
			default:
	  			break;
	  }}	
}

	/**
	* La mthode prive creerElementFormButtonLibre(XMLFormulaireElt) est la mthode de cration automatique
	* d'un ElementFormButtonLibre de formulaire.<br> 
	* Cette mthode parcourt la partie du fichier XML de formulaire correspondant au bouton libre et
	* cre l' {@link ElementFormButtonLibre ElementFormButtonLibre}  partir des donnes rcupres.
  	* Elle ajoute ensuite cet lment au ComposantForm dj cr.<br>
	* @private
	* @param {Element_Obligatoire} XMLFormulaireElt : partie du XMLObjectSauvegarde issu du chargement du fichier XML de formulaire.
	* @return {void}
	* @version 2.6
  * @date 04/09/2007
	*/
function ComposantForm_creerElementFormButtonLibre(XMLFormulaireElt){ 
	//Cration des donnes qui seront les paramtres du constructeur
	var tmpId=null;
	var tmpHref=null;
	var tmpLibelleLibre=null;
	var tmpStatut=null;
	var tmpTabindex=null;
	
	for(var i=0; i<XMLFormulaireElt.childNodes.length; i++){
		//Rcupration du contenu de la balise XML : diffrent selon le navigateur
	  	var tmp = parent.getTextElement(XMLFormulaireElt.childNodes[i]);
	  	  		
		//Rcupration des paramtres pour l'instanciation de l'objet
		switch(XMLFormulaireElt.childNodes[i].nodeName){
	  		case 'ID':
	  			tmpId=tmp;
	  			break;
	  		case 'HREF':
	  			tmpHref=tmp;
	  			break;
	  		case 'LIBELLE':
	  			tmpLibelleLibre=tmp;
	  			break;
	  		case 'TABINDEX':
	  			tmpTabindex=tmp;
	  			break;
	  		case 'STATUT':
	  			tmpStatut=eval(tmp);
	  			break;			
	  		default:
	  			break;
	  }}
	//Cration et instanciation de l'objet. Sa dsignation est celle de la balise ID du fichier XML.
	eval("var "+tmpId+" = new ElementFormButtonLibre('"+tmpId+"',tmpHref,tmpLibelleLibre,tmpStatut,tmpTabindex);");
	eval("this.addElement("+tmpId+");");
	
	for(var i=0; i<XMLFormulaireElt.childNodes.length; i++){
		//Rcupration du contenu de la balise XML : diffrent selon le navigateur
	  	var tmp = parent.getTextElement(XMLFormulaireElt.childNodes[i]);
	  	  		
		// Utilisation des donnes : modifications associes dans l'lment
		switch(XMLFormulaireElt.childNodes[i].nodeName){
	  		case 'DIVBIND':
	  			tabElementForm[tabElementForm.length-1].setDivBind(tmp);
	  			break;
	  		case 'ALT':
	  			tabElementForm[tabElementForm.length-1].setTitle(tmp);
	  			break;
	  		case 'ALTAIDE':
	  			tabElementForm[tabElementForm.length-1].setAltAide(tmp);
	  			break;
	  		case 'URLAIDE':
	  			tabElementForm[tabElementForm.length-1].seturlAide(tmp);
	  			break;
	  		case 'ALTASSIST':
	  			tabElementForm[tabElementForm.length-1].setAltAssist(tmp);
	  			break;
	  		case 'URLASSIST':
	  			tabElementForm[tabElementForm.length-1].seturlAssist(tmp);
	  			break;
				// Rcupration dans le fichier de paramtres du nom de balise associ dans le fichier de donnes  	
	  		case 'ZONEDATA':
	  			if(tmp != null && tmp != ""){
						// On initialise l'attribut zoneData de l'lment de formulaire
	  				tabElementForm[tabElementForm.length-1].setZoneData(tmp);
	  				// On ajoute le nom de balise dans le tableau donneElement attribut du formulaire
	  				this.donneeElement.push(tmp);
	  			}
	  			break;
			default:
	  			break;
	  }}	
}

	/**
	* La mthode prive creerElementFormHidden(XMLFormulaireElt) est la mthode de cration automatique
	* d'un ElementFormHidden de formulaire.<br> 
	* Cette mthode parcourt la partie du fichier XML de formulaire correspondant au champ cach et
	* cre l' {@link ElementFormHidden ElementFormHidden}  partir des donnes rcupres.
 	* Elle ajoute ensuite cet lment au ComposantForm dj cr.<br>
	* @private
	* @param {Element_Obligatoire} XMLFormulaireElt : partie du XMLObjectSauvegarde issu du chargement du fichier XML de formulaire.
	* @return {void}
	* @version 2.6
  * @date 04/09/2007
	*/
function ComposantForm_creerElementFormHidden(XMLFormulaireElt){ 
	//Cration des donnes qui seront les paramtres du constructeur
	var tmpId=null;
	var tmpXmlData=null;
	var tmpValue=null;
	
	for(var i=0; i<XMLFormulaireElt.childNodes.length; i++){
		//Rcupration du contenu de la balise XML : diffrent selon le navigateur
	  	var tmp = parent.getTextElement(XMLFormulaireElt.childNodes[i]);
	  	  		
		//Rcupration des paramtres pour l'instanciation de l'objet
		switch(XMLFormulaireElt.childNodes[i].nodeName){
	  		case 'ID':
	  			tmpId=tmp;
	  			break;
	  		case 'VALUE':
	  			tmpValue=tmp;
	  			break;		
	  		default:
	  			break;
	  }}
	//Cration et instanciation de l'objet. Sa dsignation est celle de la balise ID du fichier XML.
	eval("var "+tmpId+" = new ElementFormHidden('"+tmpId+"',tmpXmlData,tmpValue);");
	eval("this.addElement("+tmpId+");");
	
	for(var i=0; i<XMLFormulaireElt.childNodes.length; i++){
		//Rcupration du contenu de la balise XML : diffrent selon le navigateur
	  	var tmp = parent.getTextElement(XMLFormulaireElt.childNodes[i]);
	  	  		
		// Utilisation des donnes : modifications associes dans l'lment
		switch(XMLFormulaireElt.childNodes[i].nodeName){
	  		case 'DIVBIND':
	  			tabElementForm[tabElementForm.length-1].setDivBind(tmp);
	  			break;
	  		// Rcupration dans le fichier de paramtres du nom de balise associ dans le fichier de donnes
	  		case 'ZONEDATA':
	  			if(tmp != null && tmp != ""){
						// On initialise l'attribut zoneData de l'lment de formulaire
	  				tabElementForm[tabElementForm.length-1].setZoneData(tmp);
	  				// On ajoute le nom de balise dans le tableau donneElement attribut du formulaire
	  				this.donneeElement.push(tmp);
	  			}
	  			// Accs aux informations dans le flux des donnes
	  			var itemsElement = parent.getElements(this.XMLData.xmlDoc,tmp);
	  			// Valeur dans le flux de donnes et mise  jour
	  			var maValue=parent.getDataElement(itemsElement[0],"VALUE");
	  			if(maValue != false && maValue != "")
	  				tabElementForm[tabElementForm.length-1].setValue(maValue);
	  			break;
			default:
	  			break;
	  }}	
}

	/**
	* La mthode prive creerElementFormPass(XMLFormulaireElt) est la mthode de cration automatique
	* d'un ElementFormPass de formulaire.<br> 
	* Cette mthode parcourt la partie du fichier XML de formulaire correspondant  la zone de saisie de 
	* mot de passe et cre l' {@link ElementFormPass ElementFormPass}  partir des donnes rcupres.
  	* Elle ajoute ensuite cet lment au ComposantForm dj cr.<br>
	* @private
	* @param {Element_Obligatoire} XMLFormulaireElt : partie du XMLObjectSauvegarde issu du chargement du fichier XML de formulaire.
	* @return {void}
	* @version 2.6
  * @date 04/09/2007
	*/
function ComposantForm_creerElementFormPass(XMLFormulaireElt){
 	//Cration des donnes qui seront les paramtres du constructeur
 	var tmpId=null;
	var tmpXmlData=null;
	var tmpValue=null;
	var tmpSize=null;
	var tmpMaxlength=null;
	var tmpLibelle=null;
	var tmpObligatoire=null;
	var tmpStatut=null;
	var tmpTabindex=null;
	
	for(var i=0; i<XMLFormulaireElt.childNodes.length; i++){
		//Rcupration du contenu de la balise XML : diffrent selon le navigateur
	  	var tmp = parent.getTextElement(XMLFormulaireElt.childNodes[i]);
	  	  		
		//Rcupration des paramtres pour l'instanciation de l'objet
		switch(XMLFormulaireElt.childNodes[i].nodeName){
	  		case 'ID':
	  			tmpId=tmp;
	  			break;
	  		case 'VALUE':
	  			tmpValue=tmp;
	  			break;	
	  		case 'LIBELLE':
	  			tmpLibelle=tmp;
	  			break;	
	  		case 'SIZE':
	  			tmpSize=tmp;
	  			break;	
	  		case 'MAXLENGTH':
	  			tmpMaxlength=tmp;
	  			break;
	  		case 'TABINDEX':
	  			tmpTabindex=tmp;
	  			break;
	  		case 'STATUT':
	  			tmpStatut=eval(tmp);
	  			break;	
	  		case 'OBLIGATOIRE':
	  			tmpObligatoire=tmp;
	  			break;		
	  		default:
	  			break;
	  }}
	//Cration et instanciation de l'objet. Sa dsignation est celle de la balise ID du fichier XML.
	eval("var "+tmpId+" = new ElementFormPass('"+tmpId+"',tmpXmlData,tmpValue,tmpSize,tmpMaxlength,tmpLibelle,tmpObligatoire,tmpStatut,tmpTabindex);");
	eval("this.addElement("+tmpId+");");
	
	for(var i=0; i<XMLFormulaireElt.childNodes.length; i++){
		//Rcupration du contenu de la balise XML : diffrent selon le navigateur
	  	var tmp = parent.getTextElement(XMLFormulaireElt.childNodes[i]);
	  	  		
		// Utilisation des donnes : modifications associes dans l'lment
		switch(XMLFormulaireElt.childNodes[i].nodeName){
	  		case 'DIVBIND':
	  			tabElementForm[tabElementForm.length-1].setDivBind(tmp);
	  			break;
	  		case 'DIVLIBBIND':
	  			tabElementForm[tabElementForm.length-1].setDivLibelleBind(tmp);
	  			break;
	  		case 'ONCHANGE':
	  			tabElementForm[tabElementForm.length-1].setOnChange(eval(tmp));
	  			break;
	  		case 'ONBLUR':
	  			tabElementForm[tabElementForm.length-1].setOnblur(eval(tmp),false);
	  			break;
	  		case 'ALT':
	  			tabElementForm[tabElementForm.length-1].setTitle(tmp);
	  			break;
	  		case 'ALTAIDE':
	  			tabElementForm[tabElementForm.length-1].setAltAide(tmp);
	  			break;
	  		case 'URLAIDE':
	  			tabElementForm[tabElementForm.length-1].seturlAide(tmp);
	  			break;
	  		case 'ALTASSIST':
	  			tabElementForm[tabElementForm.length-1].setAltAssist(tmp);
	  			break;
	  		case 'URLASSIST':
	  			tabElementForm[tabElementForm.length-1].seturlAssist(tmp);
	  			break;
	  		// Rcupration dans le fichier de paramtres du nom de balise associ dans le fichier de donnes
	  		case 'ZONEDATA':
	  			if(tmp != null && tmp != ""){
						// On initialise l'attribut zoneData de l'lment de formulaire
	  				tabElementForm[tabElementForm.length-1].setZoneData(tmp);
	  				// On ajoute le nom de balise dans le tableau donneElement attribut du formulaire
	  				this.donneeElement.push(tmp);
	  			}
	  			// Accs aux informations dans le flux des donnes
	  			var itemsElement = parent.getElements(this.XMLData.xmlDoc,tmp);
	  			// Valeur dans le flux de donnes et mise  jour
	  			var maValue=parent.getDataElement(itemsElement[0],"VALUE");
	  			if(maValue != false && maValue != "")
	  				tabElementForm[tabElementForm.length-1].setValue(maValue);
	  			break;
			default:
	  			break;
	  }}	
}

	/**
	* La mthode prive creerElementFormFile(XMLFormulaireElt) est la mthode de cration automatique
	* d'un ElementFormFile de formulaire.<br> 
	* Cette mthode parcourt la partie du fichier XML de formulaire correspondant  la slection de fichier et
	* cre l' {@link ElementFormFile ElementFormFile}  partir des donnes rcupres.
  	* Elle ajoute ensuite cet lment au ComposantForm dj cr.<br>
	* @private
	* @param {Element_Obligatoire} XMLFormulaireElt : partie du XMLObjectSauvegarde issu du chargement du fichier XML de formulaire.
	* @return {void}
	* @version 2.6
  * @date 04/09/2007
	*/
function ComposantForm_creerElementFormFile(XMLFormulaireElt){
	//Cration des donnes qui seront les paramtres du constructeur
	var tmpId=null;
	var tmpXmlData=null;
	var tmpValue=null;
	var tmpSize=null;
	var tmpMaxlength=null;
	var tmpLibelle=null;
	var tmpObligatoire=null;
	var tmpStatut=null;
	var tmpTabindex=null;
	
	for(var i=0; i<XMLFormulaireElt.childNodes.length; i++){
		//Rcupration du contenu de la balise XML : diffrent selon le navigateur
	  	var tmp = parent.getTextElement(XMLFormulaireElt.childNodes[i]);
	  	  		
		//Rcupration des paramtres pour l'instanciation de l'objet	
		switch(XMLFormulaireElt.childNodes[i].nodeName){
	  		case 'ID':
	  			tmpId=tmp;
	  			break;
	  		case 'VALUE':
	  			tmpValue=tmp;
	  			break;	
	  		case 'LIBELLE':
	  			tmpLibelle=tmp;
	  			break;	
	  		case 'SIZE':
	  			tmpSize=tmp;
	  			break;	
	  		case 'MAXLENGTH':
	  			tmpMaxlength=tmp;
	  			break;	
	  		case 'AUTOCOMPLETE':
	  			break;	
	  		case 'TABINDEX':
	  			tmpTabindex=tmp;
	  			break;
	  		case 'STATUT':
	  			tmpStatut=eval(tmp);
	  			break;	
	  		case 'OBLIGATOIRE':
	  			tmpObligatoire=tmp;
	  			break;		
	  		default:
	  			break;
	  }}
	//Cration et instanciation de l'objet. Sa dsignation est celle de la balise ID du fichier XML.
	eval("var "+tmpId+" = new ElementFormFile('"+tmpId+"',tmpXmlData,tmpValue,tmpSize,tmpMaxlength,tmpLibelle,tmpObligatoire,tmpStatut,tmpTabindex);");
	eval("this.addElement("+tmpId+");");
	
	for(var i=0; i<XMLFormulaireElt.childNodes.length; i++){
		//Rcupration du contenu de la balise XML : diffrent selon le navigateur
	  	var tmp = parent.getTextElement(XMLFormulaireElt.childNodes[i]);
	  	  		
		// Utilisation des donnes : modifications associes dans l'lment
		switch(XMLFormulaireElt.childNodes[i].nodeName){
	  		case 'DIVBIND':
	  			tabElementForm[tabElementForm.length-1].setDivBind(tmp);
	  			break;
	  		case 'DIVLIBBIND':
	  			tabElementForm[tabElementForm.length-1].setDivLibelleBind(tmp);
	  			break;
	  		case 'ONCHANGE':
	  			tabElementForm[tabElementForm.length-1].setOnChange(eval(tmp));
	  			break;
	  		case 'ONBLUR':
	  			tabElementForm[tabElementForm.length-1].setOnblur(eval(tmp),false);
	  			break;
	  		case 'ALT':
	  			tabElementForm[tabElementForm.length-1].setTitle(tmp);
	  			break;
	  		case 'ALTAIDE':
	  			tabElementForm[tabElementForm.length-1].setAltAide(tmp);
	  			break;
	  		case 'URLAIDE':
	  			tabElementForm[tabElementForm.length-1].seturlAide(tmp);
	  			break;
	  		case 'ALTASSIST':
	  			tabElementForm[tabElementForm.length-1].setAltAssist(tmp);
	  			break;
	  		case 'URLASSIST':
	  			tabElementForm[tabElementForm.length-1].seturlAssist(tmp);
	  			break;
	  		// Rcupration dans le fichier de paramtres du nom de balise associ dans le fichier de donnes
	  		case 'ZONEDATA':
	  			if(tmp != null && tmp != ""){
						// On initialise l'attribut zoneData de l'lment de formulaire
	  				tabElementForm[tabElementForm.length-1].setZoneData(tmp);
	  				// On ajoute le nom de balise dans le tableau donneElement attribut du formulaire
	  				this.donneeElement.push(tmp);
	  			}
	  			// Accs aux informations dans le flux des donnes
	  			var itemsElement = parent.getElements(this.XMLData.xmlDoc,tmp);
	  			// Valeur dans le flux de donnes et mise  jour
	  			var maValue=parent.getDataElement(itemsElement[0],"VALUE");
	  			if(maValue != false && maValue != "")
	  				tabElementForm[tabElementForm.length-1].setValue(maValue);
	  			break;
				default:
	  			break;
	  }}	
}
 	
/**
	* La mthode prive creerFilterComponent(XMLFormulaireElt) est la mthode de cration automatique
	* d'un FilterComponent de formulaire.<br> 
	* Cette mthode parcourt la partie du fichier XML de formulaire correspondant au composant filtre et
	* cre le {@link FilterComponent FilterComponent}  partir des donnes rcupres.
  	* Elle ajoute ensuite cet lment au ComposantForm dj cr.<br>
	* @private
	* @param {Element_Obligatoire} XMLFormulaireElt : partie du XMLObjectSauvegarde issu du chargement du fichier XML de formulaire.
	* @return {void}
	* @version 2.6
  * @date 04/09/2007
	*/  	
function ComposantForm_creerFilterComponent(XMLFormulaireElt){
	//Cration des donnes qui seront les paramtres du constructeur
	var tmpId = null;
	var XMLSauvegardeElement = new parent.XMLObjectSauvegarde();
	var tmpUrlXmlData = null;
	var tmpValue = null;
	var tmpSize = null;
	var tmpMaxlength = null;
	var tmpLibelle = null;
	var tmpObligatoire = null;
	var tmpStatut = null;
	var tmpTabindex = null;
	var tmpTitle = null;
	
	for(var i=0; i<XMLFormulaireElt.childNodes.length; i++){
		//Rcupration du contenu de la balise XML : diffrent selon le navigateur
	  	var tmp = parent.getTextElement(XMLFormulaireElt.childNodes[i]);
	  	  
	  	//Rcupration des paramtres pour l'instanciation de l'objet	
		switch(XMLFormulaireElt.childNodes[i].nodeName){
	  		case 'ID':
	  			tmpId=tmp;
	  			break;
	  		case 'URL_XMLDATA':
	  			tmpUrlXmlData=tmp;
	  			break;	
	  		case 'VALUE':
	  			tmpValue=tmp;
	  			break;	
	  		case 'LIBELLE':
	  			tmpLibelle=tmp;
	  			break;	
	  		case 'SIZE':
	  			tmpSize=tmp;
	  			break;	
	  		case 'MAXLENGTH':
	  			tmpMaxlength=tmp;
	  			break;	
	  		case 'TABINDEX':
	  			tmpTabindex=tmp;
	  			break;
	  		case 'STATUT':
	  			tmpStatut=eval(tmp);
	  			break;	
	  		case 'OBLIGATOIRE':
	  			tmpObligatoire=tmp;
	  			break;		
	  		case 'TITLE':
	  			tmpTitle=tmp;
	  			break;		
	  		default:
	  			break;
	  }}
  	XMLSauvegardeElement.sauvegardeDOM(XMLFormulaireElt);
	//Cration et instanciation de l'objet. Sa dsignation est celle de la balise ID du fichier XML.
	eval("var "+tmpId+" = new FilterComponent('"+tmpId+"',XMLSauvegardeElement,tmpUrlXmlData,tmpValue,tmpSize,tmpMaxlength,tmpLibelle,tmpObligatoire,tmpStatut,tmpTabindex,tmpTitle);");
	eval("this.addElement("+tmpId+");");
	
	for(var i=0; i<XMLFormulaireElt.childNodes.length; i++){
		//Rcupration du contenu de la balise XML : diffrent selon le navigateur
	  	var tmp = parent.getTextElement(XMLFormulaireElt.childNodes[i]);
	  
		// Utilisation des donnes : modifications associes dans l'lment
		switch(XMLFormulaireElt.childNodes[i].nodeName){
	  		case 'DIVBIND':
	  			eval(tmpId).setDivBind(tmp);
	  			break;
	  		case 'DIVLIBBIND':
	  			eval(tmpId).setDivLibelleBind(tmp);
	  			break;
	  		case 'ONCHANGE':
	  			eval(tmpId).setOnChange(eval(tmp));
	  			break;
	  		case 'ONBLUR':
	  			eval(tmpId).setOnblur(eval(tmp),false);
	  			break;
	  		case 'ALT':
	  			eval(tmpId).setTitle(tmp);
	  			break;
	  		case 'ALTAIDE':
	  			eval(tmpId).setAltAide(tmp);
	  			break;
	  		case 'URLAIDE':
	  			eval(tmpId).seturlAide(tmp);
	  			break;
	  		case 'ALTASSIST':
	  			eval(tmpId).setAltAssist(tmp);
	  			break;
	  		case 'URLASSIST':
	  			eval(tmpId).seturlAssist(tmp);
	  			break;
	  		// Rcupration dans le fichier de paramtres du nom de balise associ dans le fichier de donnes
	  		case 'ZONEDATA':
	  			if(tmp != null && tmp != ""){
	  				// On initialise l'attribut zoneData de l'lment de formulaire
	  				eval(tmpId).setZoneData(tmp);
	  				// On ajoute le nom de balise dans le tableau donneElement attribut du formulaire
	  				this.donneeElement.push(tmp);
	  			}
	  			// Accs aux informations dans le flux des donnes
	  			var itemsElement = parent.getElements(this.XMLData.xmlDoc,tmp);
	  			// Valeur dans le flux de donnes et mise  jour
	  			var maValue=parent.getDataElement(itemsElement[0],"VALUE");
	  			if(maValue != false && maValue != "")
	  				eval(tmpId).setValue(maValue);  			
	  			break;
			default:
	  			break;
	  }}	
}
	/**
	* La mthode prive instancierDataElt(XMLFormulaireEltChild) est la mthode de gestion du contenu de
	* la balise DATA dans les formulaires de paramtres et de donnes lors de la gnration automatique de
	* formulaires.<br> 
	* Elle repre le noeud  grer, et excute les fonctions ncessaires selon son contenu :<br>
	* <t> - Si l'element contient des options, elle appelle directement la fonction creerOption qui met 
	*  jour l'attribut tabOptionElement de l'ElementForm.
	* <t> - Si l'element contient une URL, elle cre le XMLObject associ puis rcupre les options
	* et appelle la fonction  creerOption qui met  jour l'attribut tabOptionElement de l'ElementForm.
	* @private
	* @includeJS fw_xml.js
	* @param {Element_Obligatoire} XMLFormulaireEltChild : noeud DATA du XML de gnration automatique de formulaire
	* @return {void}
	* @version 2.6
  * @date 04/09/2007
	*/
function ComposantForm_instancierDataElt(XMLFormulaireEltChild){
	/////////////////////////////////////////////////////////////
	// Rcupration du noeud XML DATA contenant les informations
	/////////////////////////////////////////////////////////////
	var noeudData = null;
	//Gestion diffrente selon les navigateurs : des childNodes vides peuvent se trouver en firstChild et lastChild
  //Cas non ie
	if(XMLFormulaireEltChild.childNodes[1] && 
		XMLFormulaireEltChild.childNodes[0].nodeName == "#text")
		noeudData = XMLFormulaireEltChild.childNodes[1];
	//Cas ie
	else
		noeudData = XMLFormulaireEltChild.firstChild;
		
	///////////////////////////////////////////////
	//        Traitement des donnes
	//////////////////////////////////////////////
	//Sauvegarde du formulaire dans la variable globale prvue  cet effet
	currentComposantForm = this;
	//Cas ou l'on a des options dans la balise DATA
	if((noeudData!=null) && (noeudData.nodeName=='OPTIONS'))
		//Remplissage du tabOption et retour
		return this.creerOption(noeudData);
	//Cas ou l'on a une URL dans la balise DATA
	else{
		//Cas ou l'on a une url dans le XML gnral
		if((noeudData!=null) && (noeudData.nodeName=='URL')){
			//Dclaration des variables
			//Recupration de l'url : diffrent selon les navigateurs
			var tmpUrl = parent.getTextElement(noeudData);
			var xmlOptions = null;
					
			//Cration de l'objet XML associ  l'URL
			xmlOptions = new parent.XMLObject(null, null, "window.frames['CONTENU_WIN'].Generique_retourInstancierDataElt(this)", tmpUrl, false);
			xmlOptions.initAsynchrone(false);
			xmlOptions.importXML();
		}
	}
}

/**
	* La mthode prive instancierXmlData(XMLFormulaireEltChild) est la mthode de gestion du contenu de
	* la balise DATA dans les formulaires de paramtres et de donnes lors de la gnration automatique de
	* formulaires. Elle est appele depuis l'ElementFormSelectMaster pour crer l'XML de 
	* sauvegarde ncessaire  l'implmentation des selectBox dpendantes.<br> 
	* Elle repre le noeud  grer, et excute les fonctions ncessaires selon son contenu :<br>
	* <t> - Si l'element contient des options, elle cre directement le XML.
	* <t> - Si l'element contient une URL, elle cre le XML  partir du fichier.
	* @private
	* @includeJS fw_xml.js
	* @param {Element_Obligatoire} XMLFormulaireEltChild : noeud DATA du XML de gnration automatique de formulaire
	* @return {void}
	* @version 2.6
  * @date 04/09/2007
	*/
function ComposantForm_instancierXmlData(XMLFormulaireEltChild){
	/////////////////////////////////////////////////////////////
	// Rcupration du noeud XML DATA contenant les informations
	/////////////////////////////////////////////////////////////
	var noeudData = null;
	currentXmlElementFormSelect = new parent.XMLObjectSauvegarde();

	noeudData = parent.getElements(XMLFormulaireEltChild,"OPTIONS");
		
	///////////////////////////////////////////////
	//        Traitement des donnes
	//////////////////////////////////////////////
	//Sauvegarde du formulaire dans la variable globale prvue  cet effet
	currentComposantForm = this;
	//Cas ou l'on a des options dans la balise DATA
	if((noeudData!=null) && (noeudData.length!=0) && (noeudData[0].nodeName=='OPTIONS'))
		currentXmlElementFormSelect.sauvegardeDOM(XMLFormulaireEltChild);
	//Cas ou l'on a une URL dans la balise DATA
	else{
		//Cas ou l'on a une url dans le XML gnral
		noeudData = parent.getElements(XMLFormulaireEltChild,"URL");
		if((noeudData!=null) && (noeudData.length!=0)){
			//Dclaration des variables
			//Recupration de l'url : diffrent selon les navigateurs
			var tmpUrl = parent.getTextElement(noeudData[0]);
					
			//Cration de l'objet XML associ  l'URL
			currentXmlPageElementFormSelect = new parent.XMLObject(null, null, "window.frames['CONTENU_WIN'].Generique_retourInstancierXmlData()", tmpUrl, false);
			currentXmlPageElementFormSelect.initAsynchrone(false);
			currentXmlPageElementFormSelect.importXML();
		}
	}
}


//Necessite le chargement d'ObjectOption
	/**
	* La mthode prive creerOption(XMLOptions) est la mthode de cration automatique
	* d'une ObjectOption pour un lment de formulaire complexe (selectbox ou radiobutton).<br> 
	* Elle cre les {@link ObjectOption ObjectOption}  partir des donnes rcupres, les ajoute dans
	* la tableau tabOptionElement du formulaire.
  * Elle ajoute ensuite cet lment au ComposantForm dj cr.<br>
	* @private
	* @includeJS fw_formulaire_default.js
	* @param {Element_Obligatoire} XMLOptions : partie du XMLObjectSauvegarde issu du chargement du fichier XML de formulaire.
	* @return {Array} tableau d'ObjectOption
	* @version 2.6
  * @date 04/09/2007
	*/
function ComposantForm_creerOption(XMLOptions){
	this.tabOptionElement = new Array();
	for(var i=0; i<XMLOptions.childNodes.length; i++){
		if((XMLOptions.childNodes[i].nodeName=='OPTION')){
  		var tmpOptionLibelle=null;
  		var tmpOptionValue=null;
  		var tmpOptionSelected=null;
  		var tmpOptionPosition=null;
  	 	for(var j=0; j<XMLOptions.childNodes[i].childNodes.length; j++){
  	 		//Rcupration du contenu de la balise XML : diffrent selon le navigateur
  			var tmp = parent.getTextElement(XMLOptions.childNodes[i].childNodes[j]);
  			  			
  			//Recpration des paramtres ncessaires pour la cration d'option
  	 		if(XMLOptions.childNodes[i].childNodes[j].nodeName=='LIBELLE')
  	 			tmpOptionLibelle=tmp;
  	 		if(XMLOptions.childNodes[i].childNodes[j].nodeName=='VALUE')
  	 			tmpOptionValue=tmp;
  	 		if(XMLOptions.childNodes[i].childNodes[j].nodeName=='SELECTED')
  	 			if(tmp==true || tmp=="true" || tmp==1)
  	 				tmpOptionSelected=true;
  	 			else
  	 				tmpOptionSelected=false;
  	 		if(XMLOptions.childNodes[i].childNodes[j].nodeName=='POSITIONLIBELLE')
  	 			tmpOptionPosition=eval(tmp);
  	 	}
  	 	//Ajout des option au tableau de retour
  	 	this.tabOptionElement.push(new ObjectOption(tmpOptionLibelle,tmpOptionValue,tmpOptionSelected,tmpOptionPosition));
  	 	}}
  	 	return this.tabOptionElement;  	 	
}  	

	/**
	* La mthode publique exportXML() dclenche la gnration du flux XML correspondant au contenu
	* du formulaire tel que prsent, dans l'attribut XMLExport du composant.
	* @public
	* @param {} Aucun
	* @return {void}
	* @version 2.6
  * @date 04/09/2007
	*/
function ComposantForm_exportXML(){
	//Variables : elements XML
	var newNodeListeData = null;
	var newNodeDATA = null;
	var newNode = null;
	var newTextNode = null;
	var newNodeOptions = null;
	var newNodeOption = null;
	var newNodeOptionFils = null;
	var newTextNodeOptionFils = null;
	var valeurs = null;
	var valeur = null;
	var itemElement = null;
	
	this.XMLExport= new parent.XMLObjectSauvegarde();
	
	// Initialisation du conteneur d'lments XML
	newNodeListeData = this.XMLExport.xmlDoc.createElement(this.donneeListe);
	
	//Parcours des lments de formulaire
	for(var cptEltForm=0; cptEltForm<this.tabElement.length; cptEltForm++){
		if(this.tabElement[cptEltForm].zoneData != null){
			// Parcours du tableau des noms des balises des lments
			for(var cptEltXML=0; cptEltXML<this.donneeElement.length; cptEltXML++){
				// Cas ou le nom de balise est le meme dans l'lment de formulaire et dans le tableau des noms balises
				if(this.tabElement[cptEltForm].zoneData == this.donneeElement[cptEltXML]){
			 		// On rcupre l'lment XML
			 		itemElement = parent.getElements(this.XMLData.xmlDoc,this.donneeElement[cptEltXML]);
					
					// Gnration de la balise XML de l'lment dans le XMLExport
					newNodeDATA = this.XMLExport.xmlDoc.createElement(this.donneeElement[cptEltXML]);
					// Cas ou l'lment de formulaire est un ElementFormSelect ou un ElementFormRadio 
			  	if(this.tabElement[cptEltForm].tabOption && this.tabElement[cptEltForm].tabOption!=null){
			  		// Noeud DATA dans le XML
			  		newNode = this.XMLExport.xmlDoc.createElement("DATA");	
			  		newNodeOptions = this.XMLExport.xmlDoc.createElement("OPTIONS");
				  	// Rcupration du tabOptions de l'lment de formulaire
				  	valeurs = this.tabElement[cptEltForm].getValues();
				  	
				  	// Parcours des ObjectOptions
				  	for(var cptVals=0; cptVals<valeurs.length; cptVals++){
				  		newNodeOption = this.XMLExport.xmlDoc.createElement("OPTION");
				  		// Libelle
				  		if(valeurs[cptVals].libelle != null){
				  			newNodeOptionFils = this.XMLExport.xmlDoc.createElement("LIBELLE");
				  			newTextNodeOptionFils = this.XMLExport.xmlDoc.createTextNode(valeurs[cptVals].libelle);
				  			// Ajout des donnes dans le XML
				  			parent.ajoutElement(newNodeOptionFils,newTextNodeOptionFils);
				  			parent.ajoutElement(newNodeOption,newNodeOptionFils);
				  		}
				  		// Value
				  		if(valeurs[cptVals].value != null){
				  			newNodeOptionFils = this.XMLExport.xmlDoc.createElement("VALUE");
				  			newTextNodeOptionFils = this.XMLExport.xmlDoc.createTextNode(valeurs[cptVals].value);
				  			// Ajout des donnes dans le XML
				  			parent.ajoutElement(newNodeOptionFils,newTextNodeOptionFils);
				  			parent.ajoutElement(newNodeOption,newNodeOptionFils);
				  		}
				  		// Selected
				  		if(valeurs[cptVals].selected != null){
				  			newNodeOptionFils = this.XMLExport.xmlDoc.createElement("SELECTED");
				  			newTextNodeOptionFils = this.XMLExport.xmlDoc.createTextNode(valeurs[cptVals].selected);
				  			// Ajout des donnes dans le XML
				  			parent.ajoutElement(newNodeOptionFils,newTextNodeOptionFils);
				  			parent.ajoutElement(newNodeOption,newNodeOptionFils);
				  		}
				  		parent.ajoutElement(newNodeOptions,newNodeOption);
				  	}
				  	// Ajout du noeud cr au noeud gnral du XMLExport
				  	parent.ajoutElement(newNode,newNodeOptions);
				  	parent.ajoutElement(newNodeDATA,newNode);
			  	}
			  	// Cas ou l'lment de formulaire est un lment simple
			  	else{
				  	// Cration de la balise XML <VALUE>
				  	newNode = this.XMLExport.xmlDoc.createElement("VALUE");	
				  	// Rcupration de la valeur de l'lment de formulaire
				  	valeur = this.tabElement[cptEltForm].getValue();
				  	// Creation du textNode XML associ  la valeur 
				  	newTextNode = this.XMLExport.xmlDoc.createTextNode(valeur);
			  		
			  		// Ajout des lments
			  		parent.ajoutElement(newNode,newTextNode);
						parent.ajoutElement(newNodeDATA,newNode);
			  	}
			  	// Ajout du noeud d'un lment de formulaire au noeud racine du XMLExport
			  	parent.ajoutElement(newNodeListeData,newNodeDATA);
		  }}
		}
  }
  // Valorisation du flux XML d'export
	parent.ajoutElement(this.XMLExport.xmlDoc,newNodeListeData);   					
}

// ComposantAssistant (associ au modele de page assistant)

/**
* Cre une instance de la classe ComposantAssistant.
*<br><b>Voir Exemple d'instanciation de ce composant</b> : <a href='exemples_A3.html#ComposantAssistant_constr'>Exemples d'appels aux constructeurs</a>.
* @class La classe <b>ComposantAssistant</b> et le <b>modle de page Assistant</b> :<br><br>
&gt; ComposantAssistant sert  mettre en oeuvre des formulaires qui s'talent sur plusieurs pages.
* L'enchanement des pages se fait au moyen des boutons prcdent et suivant. Un bouton valider permet
* de valider globalement l'ensemble des pages.<br>
*&gt; Le modle de page html assistant.html prsente un cadre similaire  celui de la fiche. Des balises &lt;tbody&gt; encadrent chacune des pages et c'est en jouant
* sur leur visibilit que les boutons prcdent/suivant permettent la navigation.
*<br><br>Cette classe reprend toutes les proprits publiques et mthodes&nbsp; publiques et prives hrites.<br> Ses proprits publiques dcrivent les attributs du composant et peuvent tre manipules ou interroges en dehors de la
* bibliothque du framework ergonomique. Ses proprits prives sont utilises au sein mme du framework ergonomique.<br>
*<br>ComposantAssistant hrite de {@link ComposantForm ComposantForm}. Il est constitu de 3 boutons.
*<br><br><br><img src="Image.ComposantAssistantUML.png"/><br>
*<br><br>Cet lment n'est pas associ  un paramtrage XML.
*<br><br>RENDU IHM<br><br><span style="text-decoration: underline;">Premire page :</span>
*<br><br><img alt="exComposantAssistantPremPage" src="Image.ComposantAssistantPremPage.jpg"/>
*<br><br><span style="text-decoration: underline;">Dernire page :</span>
*<br><br><img alt="exComposantAssistantDernPage" src="Image.ComposantAssistantDernPage.jpg"/>
*<br><br><span style="text-decoration: underline;">Page de l'assistant, avec le bouton valider toujours accessible quelque soit la page :</span>
*<br><br><img alt="exComposantAssistantValiderPage" src="Image.ComposantAssistantValiderPage.jpg"/>
*<br>
* @extends ComposantForm
* @constructor
* @param {String_Obligatoire} id : Attribut html id et name du tag &lt;form&gt;.
* @param {String_Facultatif} action : Attribut html action du tag &lt;form&gt;, url de soumission du formulaire.
* @param {String_Facultatif} method : Attribut html method du tag &lt;form&gt;,
* peut prendre la valeur GET ou POST.
* @param {int_bligatoire} nbPage ! Nombre total de page que compte l'assistant.
* @param {Boolean_Facultatif} validerToujours : Boolen renseign  True si l'on souhaite que le bouton
* valider soit accessible ds la
* premire page. Sinon, il est gris tant qu'on n'a pas atteint la dernire page.
* @param {Boolean_Facultatif} validerActif : Boolen renseign  True si l'on souhaite que le bouton valider
* soit prsent.
* @param {Boolean_Facultatif} annulerActif : Boolen renseign  True si l'on souhaite que le bouton
* annuler soit prsent.
* @version 1.1
* @date 25/10/2005
*/
function ComposantAssistant(id, action, method, nbPage, validerToujours, validerActif, annulerActif)
{
  // herite de la class ComposantForm
  this.extend_ComposantForm = ComposantForm;
  this.extend_ComposantForm(id, action, method);


  // paramtrage du nombre de page
  
	/**
	* La proprit prive nbPage dfinit le nombre total de page que compte l'assistant. <b>Valeur par dfaut :
	* </b> <a href='default-values_A3.html#ComposantAssistantProp'>Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @private
	* @type int
	* @version 1.1
	* @date 25/10/2005
	*/
  this.nbPage=1;
  if (nbPage!=null) this.nbPage=nbPage;
  
  
  // paramtrage si l'on veut que le bouton valider soit toujours actif ou bien seulement sur la dernire page

	/**
	* La proprit prive validerToujours est un boolen renseign  True si l'on souhaite que le bouton
	* valider soit accessible ds la premire page. Sinon, il est gris tant qu'on n'a pas atteint
	* la dernire page. - <b>Valeur par dfaut :</b>
	* <a href='default-values_A3.html#ComposantAssistantProp'>Valeurs par dfaut des Proprits</a>
	* <br><br>
	* @private
	* @type boolean
	* @version 1.1
	* @date 25/10/2005
	*/
  this.validerToujours=false;
  if (validerToujours!=null) this.validerToujours=validerToujours;
  
  
  // page courante
  
	/**
	* La proprit prive validerActif est un boolen renseign  True si l'on souhaite que le bouton 
	* valider soit prsent. <br><b>Valeur par dfaut :</b><a href='default-values_A3.html#ComposantAssistantProp'>
	* Valeurs par dfaut des Proprits</a>
	* <br><br>
	* @private
	* @type boolean
	* @version 2.3
	* @date 28/09/2006
	*/
  this.validerActif=true;
  if (validerActif!=null) this.validerActif=validerActif;
  
	/**
	* La proprit prive annulerActif est boolen renseign  True si l'on souhaite que le bouton annuler
	* soit prsent.<br><b>Valeur par dfaut :</b><a href='default-values_A3.html#ComposantAssistantProp'>
	* Valeurs par dfaut des Proprits</a>
	* <br><br>
	* @private
	* @type boolean
	* @version 2.3
	* @date 28/09/2006
	*/
  this.annulerActif=false;
  if (annulerActif!=null) this.annulerActif=annulerActif;
  
	/**
	* La proprit prive currentPage mmorise le numro de la page courante - <b>Valeur par dfaut :
	* <br></b> <a href='default-values_A3.html#ComposantAssistantProp'>Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @private
	* @type int
	* @version 1.1
	* @date 25/10/2005
	*/
  this.currentPage=1;
  
	/**
	* L'lment defaultStatutValider dans la classe ComposantAssistant n'est pas une proprit,
	* il permet de dfinir un statut par dfaut (type d'affichage) pour le composant. 
	* Il est dclar 'var'.
	* <br><b>Voir aussi <a href='constant-values_A3.html#Globales'>Valeurs des Constantes - Globales</a> :
	* STATUT_ENABLED, STATUT_DISABLED, STATUT_READONLY, STATUT_AFFICHAGE</b>,
	* dfinissant le statut d'un l'lment de formulaire.
	* <br><br>
	* @public
	* @type string
	* @version 1.1
	* @date 25/10/2005
	*/  
  var defaultStatutValider=STATUT_ENABLED;
  if (this.validerToujours==false) defaultStatutValider=STATUT_DISABLED;


  // instanciation des boutons
  
	/**
	* La proprit publique boutonPrecedent reprsente le bouton prcdent de type
	* {@link ElementFormButton ElementFormButton}.
	* <br><br>
	* @public
	* @type ElementFormButton
	* @version 1.1
	* @date 25/10/2005
	*/
  this.boutonPrecedent=new ElementFormButton("boutonPrecedent", "javascript: "+this.reference+".precedent()", "72px", "18px", bouton_precedent_src, bouton_precedentover_src, bouton_precedentdisabled_src, STATUT_DISABLED, "97", "Prcdent" );

	/**
	* La proprit publique boutonSuivant reprsente le bouton suivant de type
	* {@link ElementFormButton ElementFormButton}.
	* <br><br>
	* @public
	* @type ElementFormButton
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.boutonSuivant=new ElementFormButton("boutonSuivant", "javascript: "+this.reference+".suivant()", "72px", "18px", bouton_suivant_src, bouton_suivantover_src, bouton_suivantdisabled_src, STATUT_ENABLED, "98", "Suivant");

	/**
	* La proprit publique boutonValider reprsente le bouton valider de type
	* {@link ElementFormButton ElementFormButton}. Elle n'est valorise qui si la proprit
	* {@link #validerActif validerActif} est  true. Il dclenche la validation de formulaire. 
	* <br><br>
	* @public
	* @type ElementFormButton
	* @version 2.3
	* @date 28/09/2005
	*/
	this.boutonValider=null;
	if (this.validerActif)   
 		this.boutonValider=new ElementFormButtonValider("boutonValider", defaultStatutValider, "99");
  
	/**
	* La proprit publique boutonAnnuler reprsente le bouton Annuler de type
	* {@link ElementFormButton ElementFormButton}. Elle n'est valorise que si la proprit
	* {@link #annulerActif annulerActif} est  true.
	* <br><br>
	* @public
	* @type ElementFormButton
	* @version 2.3
	* @date 28/09/2005
	*/   
	this.boutonAnnuler=null;
	if (this.annulerActif)   
  	this.boutonAnnuler=new ElementFormButton("boutonAnnuler", "javascript: "+this.reference+".annulerSaisie()", "72px", "18px", bouton_annuler_src, bouton_annulerover_src, bouton_annulerdisabled_src, STATUT_ENABLED, "96", "Annuler");
 
  this.addElement(this.boutonPrecedent);  
  this.addElement(this.boutonSuivant);  
	if (this.validerActif)   
	  this.addElement(this.boutonValider);  
	if (this.annulerActif)   
  	this.addElement(this.boutonAnnuler); 

	/**
	* La proprit publique actionAnnuler, reprsente le pointeur sur la fonction dclenche lors d'un click
	* sur la bouton annuler du composant assistant. Elle est par dfaut non valoris, valoris cette fonction
	* permet de complter la fonction par dfaut qui elle ramne  la premire page de l'assistant.
	* <br><br>
	* @public
	* @type Function
	* @version 2.3
	* @date 28/09/2005
	*/  
  this.actionAnnuler=null;

	/**
	* La proprit publique actionSuivant, reprsente le pointeur sur la fonction dclenche lors d'un click
	* sur la bouton suivant du composant assistant. Elle est par dfaut non valoris, valoris cette fonction
	* permet de complter la fonction par dfaut qui elle fait passer  la page suivante de l'assistant.
	* <br><br>
	* @public
	* @type Function
	* @version 2.3
	* @date 28/09/2005
	*/  
  this.actionSuivant=null;


  // dclaration de la fonction porte par l'attribut actionAnnuler
  
	/**
	* La mthode publique setActionAnnuler(newFonction,update); initialise la proprit
	* {@link #actionAnnuler actionAnnuler} avec une nouvelle valeur et regnre l'lment HTML associ si
	* le paramtre update est vrai. 
	* @public
	* @param {function_Obligatoire} newFonction : Fonction  appliquer sur un click sur
	* le bouton Annuler du composant assistant.
	* @param {boolean_Optionnel} update : Boolen qui indique si le champ est  mettre  jour ou non.
	* @return {void}
	* @version 2.3
	* @date 28/09/2006
	*/
  this.setActionAnnuler = function (newFonction,update) {
  	// valorisation de l'attribut
  	this.actionAnnuler=newFonction;
  	// demande de regnration de l'lment HTML
    if (update==true)
      this.ecrireBind();
	};  
  
	
	// dclaration de la fonction porte par l'attribut actionAnnuler
	
	/**
	* La mthode publique setActionSuivant(newFonction,update);
	* initialise la proprit {@link #actionSuivant actionSuivantr} avec une nouvelle valeur,
	* et regnre l'lment HTML associ si le paramtre update est vrai. 
	* @public
	* @param {fonction_Obligatoire} newFonction : Fonction  appliquer sur un click sur le bouton
	* Suivant du composant assistant.
	* @param {boolean_Optionnel} update : Boolen qui indique si le champ est  mettre  jour ou non.
	* @return {void}
	* @version 2.3
	* @date 28/09/2006
	*/   
  this.setActionSuivant = function (newFonction,update) {
  	// valorisation de l'attribut
  	this.actionSuivant=newFonction;
  	// demande de regnration de l'lment HTML
    if (update==true)
      this.ecrireBind();
	};  

  
  // fonction associe au bouton Annuler
  
	/**
	* La mthode prive annulerSaisie() est associe au {@link #boutonAnnuler bouton Annuler},
	* pour annuler les oprations en cours sur le composant assistant.
	* @private
	* @param {} Aucun
	* @return {void}
	* @version 2.3
	* @date 28/09/2006
	*/
  this.annulerSaisie = function() {
  	if (this.actionAnnuler != null)
  		if (!this.actionAnnuler())
  			return;
		if (this.currentPage!=1) { 
	      document.getElementById("page"+this.currentPage).style.display="none";
	      this.currentPage=1;
	      document.getElementById("page"+this.currentPage).style.display="";
	    }
		this.boutonPrecedent.setStatut(STATUT_DISABLED); 
		this.boutonSuivant.setStatut(STATUT_ENABLED); 
		this.changeStatutValider();
  };
  
  
  // fonction associe au bouton suivant
  
	/**
	* La mthode prive suivant() est associe au {@link #boutonSuivant bouton suivant},
	* pour passer  la page suivante.
	* @private
	* @param {} Aucun
	* @return {void}
	* @version 1.1
	* @date 25/10/2005
	*/
  this.suivant= function() {
  	if (this.actionSuivant != null)
  		if (!this.actionSuivant())
  			return;
  	
    if (this.currentPage!=this.nbPage) { // si on est pas  la dernire page
      document.getElementById("page"+this.currentPage).style.display="none";
      this.currentPage+=1;
      document.getElementById("page"+this.currentPage).style.display="";
    }
    
    // ractivation des boutons prcdent / suivant
    if (this.currentPage==2) { // si on est pas  la premire page
      this.boutonPrecedent.setStatut(STATUT_ENABLED); // on reactive le bouton prcdent
    }
    if (this.currentPage==this.nbPage) { // si on se trouve  la dernire page
      this.boutonSuivant.setStatut(STATUT_DISABLED); // on dsactive le bouton suivant
    }
    this.changeStatutValider();
  };


  // fonction associe au bouton prcdent
  
	/**
	* La mthode prive precedent() est associe au {@link #boutonPrecedent bouton prcdent},
	* pour revenir  la page prcdente.
	* @private
	* @param {} Aucun
	* @return {void}
	* @version 1.1
	* @date 25/10/2005
	*/
  this.precedent= function() {
    if (this.currentPage!=1) { // si on est pas  la premire page
      document.getElementById("page"+this.currentPage).style.display="none";
      this.currentPage-=1;
      document.getElementById("page"+this.currentPage).style.display="";
    }
    
    // ractivation des boutons prcdent / suivant
    if (this.currentPage==this.nbPage-1) { // si on est pas  la derniere page
      this.boutonSuivant.setStatut(STATUT_ENABLED); // on reactive le bouton suivant
    }
    if (this.currentPage==1) { // si on se trouve  la premiere page
      this.boutonPrecedent.setStatut(STATUT_DISABLED); // on dsactive le bouton precedent
    }
    this.changeStatutValider();
  };


  // Methode pour changer, si il y a lieu, le statut du bouton valider en fonction de la page
  
	/**
	* La mthode prive changeStatutValider() est la mthode utilise pour mettre  jour le statut
	* du {@link #boutonValider bouton valider}.
	* @private
	* @param {} Aucun
	* @return {void}
	* @version 1.1
	* @date 25/10/2005
	*/
  this.changeStatutValider= function() {
    if (!this.validerToujours) {
      if (this.currentPage==this.nbPage) {
        this.boutonValider.setStatut(STATUT_ENABLED);
      } else {
        this.boutonValider.setStatut(STATUT_DISABLED);
      }
    }
  };   
}


// ComposantRecherche (associ au modele de page recherche)

/**
* Cre une instance de la classe ComposantRecherche.
* <br><b>Voir Exemple d'instanciation de ce composant</b> : <a href='exemples_A3.html#ComposantRecherche_constr'>Exemples d'appels aux constructeurs</a>.
* @class La classe <b>ComposantRecherche</b> et le <b>modle de page Recherche</b> :<br><br>
* &gt; ComposantRecherche sert  mettre en oeuvre un formulaire de recherche.
* Les boutons initialiser, rechercher ainsi que le lien recherche simple/avance
* seront automatiquement fournis par le ComposantRecherche.
* <span style="font-weight: bold; color: rgb(0, 153, 0);">Les
* critres de recherche seront ajouts par le dveloppeur.</span><br>
* &gt; Le modle de page html recherche.html prsente le canevas (agencement, images de fond et bordures)
* prt  accueillir les lment de formulaires.
* <br><br>Cette classe reprend toutes les proprits et mthodes&nbsp; publiques et prives hrites.
* <br> Ses proprits publiques dcrivent les attributs du composant et peuvent tre manipules
* ou interroges en dehors de la bibliothque du framework ergonomique. Ses proprits prives
* sont utilises au sein mme du framework ergonomique.<br>
* <br>ComposantRecherche hrite de {@link ComposantForm ComposantForm} et est
* constitu de 2 boutons de types {@link ElementFormButton ElementFormButton}.
* <br><br><br><img src="Image.ComposantRechercheUML.png"/><br><br><br>
* <br><br>Cet lment n'est pas associ  un paramtrage XML.
* <br><br>RENDU IHM<br><br><span style="text-decoration: underline;">Recherche simple :</span>
* <br><br><img alt="exComposantRechercheSimple" src="Image.ComposantRechercheSimple.jpg"/>
* <br><br><span style="text-decoration: underline;">Recherche avance :</span>
* <br><br><img alt="exComposantRechercheAvancee" src="Image.ComposantRechercheAvancee.jpg"/>
* <br>
* @public
* @extends ComposantForm
* @constructor
* @param {String_Obligatoire} id : Attribut html id et name du tag &lt;form&gt;.
* @param {String_Facultatif} action : Attribut html action du tag &lt;form&gt;, url de soumission du formulaire.
* @param {String_Facultatif} method : Attribut html method du tag &lt;form&gt;, peut prendre la valeur GET ou POST.
* @param {Boolean_Facultatif} invitAccept : Boolen qui vaut true par dfaut et false si l'on ne souhaite pas de connexion &laquo;
* invit (la checkbox n'apparat pas)..
* @version 1.1
* @date 25/10/2005
*/
function ComposantRecherche(id, action, method)
{
	/**
	* L'lment argv dans la classe ComposantRecherche n'est pas une proprit, il permet de
	* rcuprer dans un tableau les arguments passs en paramtres 
	* du constructeur de la classe (utile dans le cas des paramtres facultatifs, pour reprer
	* les paramtres qui ont t soumis par le dveloppeur).
	* Il est dclar 'var'.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/
  var argv = ComposantRecherche.arguments;
  
	/**
	* L'lment  argc  dans la classe ComposantRecherche n'est pas une proprit, il permet
	* de rcuprer le nombre d'arguments passs en paramtres 
	* du constructeur de la classe (utile dans le cas des paramtres facultatifs, pour compter
	* les paramtres  soumis par le dveloppeur).
	* Il est dclar 'var'.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005g
	*/  
  var argc = ComposantRecherche.arguments.length;
  // herite de la class ComposantForm
  this.extend_ComposantForm = ComposantForm;
  this.extend_ComposantForm(id, action, method, null, (argc > 3) ? argv[3] : false);


  // construction des boutons
  
	/**
	*La proprit publique boutonInit reprsente l'lment de type {@link ElementFormButton ElementFormButton}
	* associ  la mthode annuler du formulaire.
	* <br><br>
	* @private
	* @type ElementFormButton
	* @version 1.1
	* @date 25/10/2005
	*/ 
  this.boutonInit = new ElementFormButton("boutonInit", "javascript: "+this.reference+".annuler();", "72px", "18px", bouton_init_src, bouton_initover_src, bouton_initdisabled_src, STATUT_ENABLED, "98", "Initialiser");
  
	/**
	* La proprit publique boutonRechercher reprsente l'lment de type {@link ElementFormButton
	* ElementFormButton} associ au bouton rechercher, il dclenche la validation du formulaire de recherche.
	* <br><br>
	* @private
	* @type ElementFormButton
	* @version 1.1
	* @date 25/10/2005
	*/
  this.boutonRechercher = new ElementFormButton("boutonRechercher", "javascript: "+this.reference+".valider();", "80px", "18px", bouton_rechercher_src, bouton_rechercherover_src, bouton_rechercherdisabled_src, STATUT_ENABLED, "99", "Lancer la recherche");
  this.addElement(this.boutonInit);
  this.addElement(this.boutonRechercher);
  
  
  // fonction associe au lien recherche simple/recherche avance

	/**
	* La mthode prive simpleOrAdvanced() est la mthode associe au lien recherche simple/avanc,
	* permettant d'afficher ou cacher les critres de recherche avancs.
	* @private
	* @param {} Aucun
	* @return {void}
	* @version 1.1
	* @date 25/10/2005
	*/
  this.simpleOrAdvanced=function() {
    var elm=document.getElementById("advanced");
    if (elm.style.display=="none") {
      elm.style.display="";
      document.getElementById("lien_simple").style.display="";
      document.getElementById("lien_advanced").style.display="none";
    } else { 
      elm.style.display="none";
      document.getElementById("lien_simple").style.display="none";
      document.getElementById("lien_advanced").style.display="";
    }  
  };
}



// CLASSE ComposantConnexion (associ au modele de page connexion)

/**
* Cre une instance de la classe ComposantConnexion.
*<br><b>Voir Exemple d'instanciation de ce composant</b> : <a href='exemples_A3.html#ComposantConnexion_constr'>
* Exemples d'appels aux constructeurs</a>.
* @class La classe <b>ComposantConnexion</b> et le <b>modle de page Connexion</b> :<br><br>
* &gt; ComposantConnexion sert  mettre en oeuvre un formulaire de connexion avec un champ login, pass,
* ventuellement une checkbox invit et enfin un bouton de connexion.<br>
* &gt; Le modle de page html connexion.html prsente le canevas (images de fond, bordures, logos)
* prt  accueillir les lments de formulaires (champs et bouton) que ComposantConnexion va lui fournir.
* <br><br>Cette classe reprend toutes les proprits et mthodes&nbsp; publiques et prives hrites.
* <br> Ses proprits publiques dcrivent les attributs du composant et peuvent tre manipules ou
* interroges en dehors de la bibliothque du framework ergonomique. 
* Ses proprits prives sont utilises au sein mme du framework ergonomique.<br>
* <br>ComposantConnexion hrite de {@link ComposantForm ComposantForm} et
* est constitu d'un {@link ElementFormText ElementFormText},
* un {@link ElementFormPass ElementFormPass}, un {@link ElementFormCheckbox ElementFormCheckbox}
* et un {@link ElementFormButton ElementFormButton}.
* <br><br><br><img alt="model" src="Image.ComposantConnexionUML.png"/><br>
* <br><br>Cet lment n'est pas associ  un paramtrage XML.
* <br><br>RENDU IHM<br><br><span style="text-decoration: underline;">Connexion accessible aux invits :</span>
* <br><br><img alt="exComposantConnexionAccessible" src="Image.ComposantConnexionAccessible.jpg"/>
* <br><br><span style="text-decoration: underline;">Connexion interdite aux invits :</span>
* <br><br><img alt="exComposantConnexionInterdite" src="Image.ComposantConnexionInterdite.jpg"/>
* <br>
* @extends ComposantForm
* @constructor
* @param {String_Obligatoire} id : Attribut html id et name du tag &lt;form&gt;.
* @param {String_Facultatif} action : Attribut html action du tag &lt;form&gt;,
* url de soumission du formulaire.
* @param {String_Facultatif} method : Attribut html method du tag &lt;form&gt;,
* peut prendre la valeur GET ou POST.
* @param {Boolean_Facultatif} invitAccept : Boolen qui vaut true par dfaut et false
* si l'on ne souhaite pas de connexion &laquo;invit (la checkbox n'apparat pas).
* @version 1.1
* @date 25/10/2005
*/
function ComposantConnexion(id, action, method, invitAccept)
{
  // herite de la class ComposantForm
  this.extend_ComposantForm = ComposantForm;
  this.extend_ComposantForm(id, action, method,null,true);


  // paramtre pour dfinir si on propose la checkbox invit
  
	/**
	* La proprit prive invitAccept est un boolen qui vaut true si une connexion en tant
	* qu'invit est autorise (checkbox invit apparente). - <b>Valeur par dfaut :</b>
	* <a href='default-values_A3.html#ComposantAssistantProp'>Valeurs par dfaut des Proprits</a>
	* <br><br>
	* @private
	* @type boolean
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.invitAccept=true;
  if (invitAccept!=null) this.invitAccept=invitAccept;


  //  Construction des 2 champs et la checkbox
  
	/**
	* La proprit publique login reprsente l' lment de type {@link ElementFormText ElementFormText}
	* correspondant au champ login utilisateur. 
	* <br><br>
	* @public
	* @type ElementFormText
	* @version 1.1
	* @date 25/10/2005
	*/
  this.login=new ElementFormText("login", null, "", "15", "15");
  
	/**
	* La proprit publique pass reprsente l' lment de type {@link ElementFormPass ElementFormPass}
	* correspondant au champ mot de passe.
	* <br><br>
	* @public
	* @type ElementFormPass
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.pass=new ElementFormPass("pass", null, "", "15", "15");
  
	/**
	* La proprit publique invit reprsente l' lment de type {@link ElementFormCheckbox ElementFormCheckbox}
	* correspondant au champ invit.
	* <br><br>
	* @public
	* @type ElementFormCheckBox
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.invit=new ElementFormCheckbox("invit", null, "false", "Invit");

	
  // association au composant
  this.addElement(this.login);
  this.addElement(this.pass);
  if (invitAccept) 
    this.addElement(this.invit);
  
  
  // Construction du bouton
  
	/**
	* La proprit publique boutonConnect reprsente l'lment de type
	* {@link ElementFormButton ElementFormButton} correspondant au bouton connexion.
	* Il dclenche la validation du formulaire de connexion
	* <br><br>
	* @public
	* @type ElementFormButton
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.boutonConnect = new ElementFormButton("boutonConnect", "javascript: "+this.reference+".valider();", "104px", "18px", bouton_connect_src, bouton_connectover_src, bouton_connectdisabled_src, null, null, "Se connecter");
  this.addElement(this.boutonConnect);
}
