/** 
* @fileoverview Ce fichier Javascript correspond au framework de gestion des tableaux.
* Cette description consiste  prsenter les prototypes des fonctions, des exemples d'appel et les prcisions
* techniques ncessaires  la mise en oeuvre de ce framework.<br>
* Le framework tableau utilise les classes utilitaires suivantes :<br>&gt; <b>
* {@link ComposantTableau ComposantTableau}</b> pour grer le composant de bandeau d'onglets.<br>&gt;
* <b>{@link ObjectColonne ObjectColonne}</b> pour dcrire l'objet associ  une colonne du tableau onglet.<br><br>
* <img alt="classesFwTableau" src="Image.ComposantTableauUML.png"><br><br>
* Comme vu ci-dessus, le composant tableau peut tre amen  utiliser deux flux XML :<br>&middot;&nbsp;
* Un {@link XMLObject XMLObject} dcrivant le contenu informatif du tableau<br>&middot;&nbsp; Un
* {@link XMLObjectSauvegarde XMLObjectSauvegarde} dterminant le paramtrage du tableau. Ce paramtrage n'est pas
* obligatoirement sous forme de flux XML et peut tre aussi dcrit sous la forme d'un tableau JavaScript.
* <br><br><div style="border: 0.5pt solid windowtext; padding: 1pt 4pt;">L'arborescence XML associe au <span style
* ="font-weight: bold;"><span style="color: rgb(255, 0, 0);">contenu informatif</span> </span>doit obligatoirement
* avoir la forme suivante : </div> <br> <div style="border: 0.5pt solid windowtext; padding: 1pt 4pt; background:
* rgb(255, 255, 204) none repeat scroll 0% 50%; -moz-background-clip: initial; -moz-background-origin: initial;
* -moz-background-inline-policy: initial;"><code><span style="font-weight: bold; color: rgb(102, 51, 255);">&lt;
* LISTE_ELEMENTS&gt;</span><br style="font-weight: bold; color: rgb(102, 51, 255);"> <span style="font-weight: bold;
* color: rgb(102, 51, 255);">&nbsp;&nbsp;&nbsp; &lt;ELEMENT&gt;</span><br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* <span style="font-weight: bold; color: rgb(51, 204, 255);">&lt;INFO_1&gt;&lt;/INFO_1&gt;</span><br> &nbsp;&nbsp;&nbsp;
* &nbsp;&nbsp;&nbsp; &lt;INFO_2&gt;&lt;/INFO_2&gt;<br> &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; ...<br>
* &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;INFO_N&gt;&lt;/INFO_N&gt;<br> &nbsp;&nbsp;&nbsp; &lt;ELEMENT&gt;<br>
* &lt;/LISTE_ELEMENTS&gt;</code></div><br><b>Voir Exemple de fichier XML du contenu informatif de ce composant pour
* une liste d'articles :</b><a href="exemples_A3.html#structXml">Exemples de structure XML</a>.<br> <br> - L'lment racine
* de nom <span style="color: rgb(102, 51, 255); font-weight: bold;">LISTE_ELEMENTS</span> ici peut prendre n'importe quel
* nom, il reprsente le nom que l'on donne  l'ensemble des enregistrements  afficher dans le tableau.<br> - De mme
* l'lment <spanstyle ="color: rgb(51, 51, 153);"><span style="color: rgb(102, 51, 255); font-weight:
* bold;">ELEMENT</span> indique le nom que l'on donne  un enregistrement  afficher dans le tableau.<br> -
* Le sous-lment<span style="color: rgb(51, 204, 255); font-weight: bold;"> INFO_N</span> reprsente le nom
* de l'lment XML  afficher dans une colonne. Sa valorisation pour chaque lment XML ELEMENT permet d'indiquer
* la valorisation de chaque cellule prsente dans le tableau.<br> &nbsp;<br> <br> </spanstyle>
* <div style="border: 0.5pt solid windowtext; padding: 1pt 4pt;">L'arborescence XML associe au
* <span style="font-weight: bold; color: rgb(255, 0, 0);">paramtrage du composant</span> doit obligatoirement
* avoir la forme suivante : </div> <br> <div style="border: 0.5pt solid windowtext; padding:
* 1pt 4pt; background: rgb(255, 255, 204) none repeat scroll 0% 50%; -moz-background-clip: initial;
* -moz-background-origin: initial; -moz-background-inline-policy: initial;"><code>&lt;COMPOSANT&gt;<br>
* &nbsp;&nbsp;&nbsp; &lt;TITRE&gt;&lt;/TITRE&gt;<br> &nbsp;&nbsp;&nbsp; &lt;PIED&gt;&lt;/PIED&gt;<br>
* &nbsp;&nbsp;&nbsp;&lt;LARGEUR_TAB&gt;&lt;/LARGEUR_TAB&gt;<br> &nbsp;&nbsp;&nbsp; &lt;LARGEUR_ALT&gt;&lt;
* /LARGEUR_ALT&gt;<br> &nbsp;&nbsp;&nbsp; &lt;LARGEUR_LST&gt;&lt;/LARGEUR_LST&gt;<br>&nbsp;&nbsp;&nbsp;
* <span style="color: rgb(102, 51, 255); font-weight: bold;">&lt;DATA_LISTE&gt;LISTE_ELEMENTS&lt;/DATA_LISTE&gt;
* </span><br style="color: rgb(102, 51, 255); font-weight: bold;"> <span style="color: rgb(102, 51, 255);
* font-weight: bold;">&nbsp;&nbsp;&nbsp; &lt;DATA_LIGNE&gt;ELEMENT&lt;/DATA_LIGNE&gt;</span><br> &nbsp;&nbsp;&nbsp;
* <span style="color: rgb(0, 153, 0); font-weight: bold;">&lt;COLONNES&gt;&lt;/COLONNES&gt;<br> &nbsp;&nbsp;&nbsp;
* &lt;ACTIONS&gt;&lt;/ACTIONS&gt;<br> &nbsp;&nbsp;&nbsp; &lt;OUTILS&gt;&lt;/OUTILS&gt;<br> &nbsp;&nbsp;&nbsp;
* &lt;PAGER&gt;&lt;/PAGER&gt;</span><br> &lt;/COMPOSANT&gt; </code></div><br><b>Voir Exemple de paramtrage XML
* de ce composant pour un tableau :</b> <a href="exemples_A3.html#paramXMLtableau">Exemples de structure XML</a>.
* <br><br>- L'lment racine de nom <span style="color: rgb(51, 51, 153);">COMPOSANT</span> ici peut prendre
* n'importe quel nom. Ce nom d'lment est utile que lors de la construction de la page pour passer le
* bon paramtrage lors de la construction du composant.<span style="color: rgb(51, 204, 0);">La dtermination de
* ce nom est donn soit par un modle de page soit par le dveloppeur de la page.</span><br>- Les lments
* XML <span style="color: rgb(51, 51, 153);">TITRE et PIED</span> indiquent le titre du composant tableau et
* le pied du tableau, et ne sont pas obligatoires. Leur non prsence permet de paramtrer un tableau sans titre ni
* pied.<br>- Les lments XML <span style="color: rgb(51, 51, 153);">LARGEUR_TAB, LARGEUR_LST et LARGEUR_ALT
* </span>permettent de paramtrer les notions de taille en largeur du tableau, de la liste si ncessaire
* (le tableau est dans ce cas intgr dans une zone dynamique dont on doit dfinir la taille ici) et du tableau
* lors d'un affichage en version tendue. La valorisation de ces paramtres doit tre sous forme d'entier exprim
* par dfaut en <span style="font-weight: bold;">pixels</span> mais pouvant tre exprim en <span style="color:
* rgb(51, 51, 255);"></span>pourcentage vis  vis de la largeur de la page ou de la liste en ajoutant le symbole
* <span style="font-weight: bold;">%</span> derrire l'entier.<br> - Les lments XML <span style="font-weight:
* bold; color: rgb(102, 51, 255);">DATA_LISTE et DATA_LIGNE</span> rfrencent les donnes du flux XML associ
* au <span style="font-weight: bold; color: rgb(255, 0, 0);">contenu informatif</span> du tableau. L'lment XML
* DATA_LISTE rfrence le nom XML associ  la liste des enregistrements  afficher et DATA_LIGNE rfrence le
* nom XML associ  un enregistrement dans l'autre flux XML du composant tableau.<br><br>La liste d'lment
* <span style="font-weight: bold; color: rgb(0, 153,0);">COLONNES</span> permet de paramtrer l'ensemble des
* colonnes prsentes dans le composant tableau.<br><br>L'arborescence XML associ au paramtrage des colonnes
* du composant est :<br><div style="border: 0.5pt solid windowtext; padding: 1pt 4pt; background: rgb(255, 255, 204)
* none repeat scroll 0% 50%; -moz-background-clip: initial; -moz-background-origin: initial;
* -moz-background-inline-policy: initial;"><code><span style="color: rgb(0, 153, 0);
* font-weight: bold;">&lt;COLONNES&gt;</span><br>&nbsp;&nbsp;&nbsp; &lt;COLONNE&gt;<br>&nbsp;&nbsp;&nbsp;
* &nbsp;&nbsp;&nbsp; &lt;LIBELLE&gt;&lt;/LIBELLE&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;TYPE&gt;&lt;/TYPE&gt;
* <br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; <span style="font-weight: bold; color: rgb(51, 204, 255);">&lt;DATA&gt;
* INFO_1&lt;/DATA&gt;</span><br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;LARGEUR&gt;&lt;/LARGEUR&gt;<br>&nbsp;
* &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;LARGEURCOL_ALT&gt;&lt;/LARGEURCOL_ALT&gt;<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
* &nbsp; &lt;ALIGNEMENT&gt;&lt;/ALIGNEMENT&gt;<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;TRI&gt;&lt;/TRI&gt;
* <br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;CACHE&gt;&lt;/CACHE&gt;<br>&nbsp;&nbsp;&nbsp;&lt;/COLONNE&gt;<br>
* <span style="color: rgb(0, 153, 0); font-weight: bold;">&lt;/COLONNES&gt;</span></code></div><br>- Le
* sous-lment XML <span style="color: rgb(51, 51, 153);">LIBELLE</span> indique le titre d'une colonne affiche
* en en-tte du tableau.<br>- Le sous-lment XML <span style="color: rgb(51, 51, 153);">TYPE</span> rfrence
* la typologie des donnes prsentes dans la colonne et peut tre valoris par :<br>&middot; &nbsp; <span
* style="color: rgb(153, 51, 153);">STRING</span> pour une chane de caractres.<br> &middot;&nbsp; <span
* style="color: rgb(153, 51, 153);">DATE</span> pour une date.<br>&middot;&nbsp; <span style="color: rgb(153, 51,
* 153);">NUMBER</span> pour tout nombre  virgule ou entier.<br>&middot;&nbsp; <span style="color: rgb(153, 51,
* 153);"> REFERENCE</span>pour toute chane comprenant au dbut une suite de nombres, un espace et ensuite des
* caractres alpha.<br> - Le sous-lment XML <span style="font-weight: bold; color: rgb(51, 204, 255);">
* DATA</span> rfrence le nom XML de la donne associe au <span style="font-weight: bold; color: 
* rgb(255, 0, 0);">contenu informatif</span><span style="color: rgb(51, 51, 153); font-weight: bold;"></span>
* du tableau. Il permet d'indiquer le nom XML du composant tableau.<br> - Les sous-lments XML
* <span style="color: rgb(102, 0, 204);"><span style="color: rgb(51, 51, 153);">LARGEUR</span>
* <span style="color: rgb(51, 51, 153);">et LARGEURCOL_ALT</span></span> permettent de paramtrer les notions
* de taille en largeur d'une colonne dans un tableau ou une liste d'une part et d'une colonne affiche en version tendue
* d'autre part. La valorisation de ces paramtres doit tre sous forme d'entier exprim par dfaut en <span
* style="font-weight: bold;">pixels</span> mais pouvant tre exprim en pourcentage vis  vis la largeur du
* tableau en ajoutant le symbole <span style="font-weight: bold;">%</span> derrire l'entier.<br> - Le
* sous-lment XML<span style="color: rgb(102, 0, 204);"> <span style="color: rgb(51, 51, 153);">ALIGNEMENT</span>
*</span> indique le type d'alignement souhait dans l'affichage des donnes prsentes dans la colonne.
* Sa valorisation peut tre:<br> &middot;&nbsp; <span style="color: rgb(153, 51, 153);">left</span>
* (valeur par dfaut si pas renseign) pour un alignement  gauche gnralement appliqu sur des donnes de type STRING.
*<br> &middot;&nbsp; <span style="color: rgb(153, 51, 153);">center</span> pour un alignement centr gnralement
* appliqu sur des donnes de type DATE.<br>&middot;&nbsp; <span style="color: rgb(153, 51, 153);">right</span>
* pour un alignement  droite gnralement appliqu sur des donnes de type NUMBER.<br>- Le sous-lment XML
* <span style="color: rgb(51, 51, 153);">TRI</span> indique le type de tri dsir ou accessible par l'utilisateur
* sur la colonne. Il peut tre valoris de la manire suivante :<br> &middot;&nbsp; <span style="color: rgb(153, 51,
* 153);">CROISSANT</span> quand la colonne doit tre trie par ordre croissant lors de son premier affichage. L'utilisateur peut ainsi trier cette colonne par
* ordre dcroissant ensuite.<br> &middot;&nbsp; <span style="color: rgb(153, 51, 153);">DECROISSANT</span> quand la colonne doit tre trie par ordre
* dcroissant lors de son premier affichage. L'utilisateur peut ainsi trier cette colonne par ordre croissant ensuite.<br> &middot;&nbsp; <span style="color: rgb(153, 51,
* 153);">NEANT</span> quand la colonne est non triable par l'utilisateur.<br>&middot;&nbsp; <span style="color: rgb(153, 51, 153);">NON</span> quand la colonne n'est pas
* trie lors de son premier affichage mais peut tre trie par l'utilisateur par ordre croissant aprs l'affichage du tableau.<br> - Le
* sous-lment <span style="color: rgb(51, 51, 153);">CACHE</span> permet de paramtrer le fait que la colonne ne puisse tre
* affiche que lors d'un affichage du tableau en version tendue, lorsque sa valorisation est indique  <span style="color: rgb(153, 51,
* 153);">OUI</span>.<br><br>La liste d'lment <span style="font-weight: bold; color: rgb(0, 153, 0);">ACTIONS</span> permet de paramtrer
* l'ensemble des actions prsentes au niveau de chaque ligne du tableau. <br><br> L'arborescence XML associ au paramtrage de ces actions est :<br>
*<div style="border: 0.5pt solid windowtext; padding: 1pt 4pt; background: rgb(255, 255, 204) none repeat scroll 0% 50%; -moz-background-clip: initial; -moz-background-origin:
* initial; -moz-background-inline-policy: initial;"><code><span style="font-weight: bold; color: rgb(0, 153, 0);">&lt;ACTIONS&gt;</span><br>&nbsp;&nbsp;&nbsp;
* &lt;ACTION_EDITION&gt;&lt;/ACTION_EDITION&gt;<br> &nbsp;&nbsp;&nbsp; &lt;FONCTION_EDITION_HTML&gt;&lt;/FONCTION_EDITION_HTML&gt;<br>
* &nbsp;&nbsp;&nbsp; &lt;ACTION_SUPPRESSION&gt;&lt;/ACTION_SUPPRESSION&gt;<br> &nbsp;&nbsp;&nbsp; &lt;ACTION_DETAIL&gt;&lt;/ACTION_DETAIL&gt;<br>
*&nbsp;&nbsp;&nbsp; &lt;ACTION_DETAILPDF&gt;&lt;/ACTION_DETAILPDF&gt;<br><span style="font-weight: bold; color: rgb(0, 153, 0);">&lt;/ACTIONS&gt;</span><br>
*</code></div><br> - Le sous-lment <span style="color: rgb(51, 51, 153);">ACTION_EDITION</span> permet de paramtrer la fonction
* JavaScript prsente dans le fichier JS spcifique  la page associe  l'action accessible via l'icne <img alt="iconeEditer"
* src="IcoEditer.gif" style="width: 16px; height: 16px;">. Sa valorisation ou non dterminent la
* prsence de cette icne dans chaque ligne affiche dans le tableau.<br> - Le sous-lment <span style="color: rgb(51, 51, 153);">
* FONCTION_EDITION_HTML</span> permet de paramtrer la fonction JavaScript prsente dans le fichier JS spcifique  la page
* servant  gnrer le formulaire de saisie li  la modification d'un enregistrement du tableau. Sa valorisation dtermine
* l'vnement dclencheur de l'appel de la fonction paramtre par le sous-lment ACTION_EDITION :<br>
* &middot;&nbsp; non valoris l'appel  la fonction ACTION_EDITION est dclenche sur le click de l'icne
* <img alt="iconeEditer" src="IcoEditer.gif" style="width: 16px; height: 16px;">.<br> &middot;&nbsp;
* valoris la fonction ACTION_EDITION est dclenche sur le click de l'icne <img alt="iconeValider"
* src="IcoValider.gif" style="width: 16px; height: 16px;"> lors de la validation du formulaire de saisie
* prsent dans la ligne en cours de modification du tableau.<br> Le traitement associ  la fonction paramtre dans 
*FONCTION_EDITION_HTML est de gnrer le formulaire de saisie prsent derrire les icnes de validation (
*<img alt="iconeValider" src="IcoValider.gif" style="width: 16px; height: 16px;">) et d'annulation (<img
* alt="iconeAnnuler" src="IcoAnnuler.gif" style="width: 16px; height: 16px;">) de la ligne en cours de
* modification du tableau. Cette fonction doit renvoyer donc une chane de caractres contenant le code HTML refltant ce formulaire.<br> - Le
* sous-lment <span style="color: rgb(51, 51, 153);">ACTION_SUPPRESSION</span> permet de paramtrer l'appel  une fonction
* JavaScript prsente dans le fichier JS spcifique  la page associ  l'action accessible via l'icne <img alt="iconeSupprimer"
* src="IcoSupprimer.gif" style="width: 16px; height: 16px;">. Sa valorisation ou non dterminent la
* prsence de cette icne dans chaque ligne du tableau. Le dclenchement de l'appel  la fonction paramtre est effectu sur
* un click de l'icne <img alt="iconeValider" src="IcoValider.gif" style="width: 16px; height: 16px;">
* prsent dans la ligne en cours de suppression du tableau.<br> - Le sous-lment <span style="color: rgb(51, 51, 153);">ACTION_DETAIL
*</span> permet de paramtrer l'appel  une fonction JavaScript prsente dans le fichier JS spcifique  la page associ
*  l'action accessible via l'icne <img alt="iconeExportExcel" src="IcoExportExcel.gif"
* style="width: 19px; height: 16px;">. Le dclenchement de cet appel est effectu sur un click de cette icne. Sa valorisation ou non dterminent la
* prsence de cette icne dans chaque ligne du tableau.<br> - Le sous-lment <span style="color: rgb(51, 51, 153);">ACTION_DETAILPDF
*</span> permet de paramtrer l'appel  une fonction JavaScript prsente dans le fichier JS spcifique  la page associ
*  l'action accessible via l'icne <img alt="iconeExportPdf" src="IcoExportPdf.gif"* style="width: 19px; height: 16px;">. Le dclenchement de cet appel est effectu sur un click de cette icne. Sa valorisation ou non dterminent la
* prsence de cette icne dans chaque ligne du tableau.<br> <br> La liste d'lment <span style="font-weight: bold; color: rgb(0, 153, 0);">OUTILS
*</span> permet de paramtrer l'ensemble des actions prsentes au niveau de la barre d'outils du tableau. <br> <br> L'arborescence XML associ au
* paramtrage des outils est :<br><div style="border: 0.5pt solid windowtext; padding: 1pt 4pt; background: rgb(255, 255, 204) none repeat scroll 0% 50%;
* -moz-background-clip: initial; -moz-background-origin: initial; -moz-background-inline-policy: initial;"><code><span style="font-weight: bold; color: rgb(0, 153,
* 0);">&lt;OUTILS&gt;</span><br> &nbsp;&nbsp;&nbsp; &lt;ACTION_AJOUT&gt;&lt;/ACTION_AJOUT&gt;<br> &nbsp;&nbsp;&nbsp;
* &lt;FONCTION_AJOUT_HTML&gt;&lt;/FONCTION_AJOUT_HTML&gt;<br> &nbsp;&nbsp;&nbsp; &lt;FONCTION_FILTRE_HTML&gt;&lt;/FONCTION_FILTRE_HTML&gt;<br>
*&nbsp;&nbsp;&nbsp; &lt;ACTION_EXPORT_XLS&gt;&lt;/ACTION_EXPORT_XLS&gt;<br> &nbsp;&nbsp;&nbsp;
* &lt;ACTION_ETENDUE_PRESENT&gt;&lt;/ACTION_ETENDUE_PRESENT&gt;<br> <span style="font-weight: bold; color: rgb(0, 153, 0);">&lt;/</span></code><code><span
* style="font-weight: bold; color: rgb(0, 153, 0);">OUTILS</span></code><code><span style="font-weight: bold; color: rgb(0, 153, 0);">&gt;</span><br> </code></div><br>- Le
* sous-lment <span style="color: rgb(51, 51, 153);">ACTION_AJOUT</span> permet de paramtrer la fonction JavaScript
* prsente dans le fichier JS spcifique  la page associe  l'action accessible via l'icne <img alt="iconeAjout"
* src="IcoAjout.gif" style="width: 16px; height: 16px;">. Sa valorisation ou non dterminent la
* prsence de cette icne dans la barre d'outils.<br> - Le sous-lment <span style="color: rgb(51, 51, 153);">FONCTION_AJOUT_HTML
*</span> permet de paramtrer la fonction JavaScript prsente dans le fichier JS spcifique  la page servant 
* gnrer le formulaire de saisie d'un nouvel enregistrement dans le tableau. Sa valorisation dtermine l'vnement dclencheur de
* l'appel de la fonction paramtre par le sous-lment ACTION_AJOUT :<br> &middot;&nbsp; non valoris l'appel 
* la fonction ACTION_AJOUT est dclenche sur le click de l'icne <img alt="iconeAjout"
* src="IcoAjout.gif" style="width: 16px; height: 16px;">.<br> &middot;&nbsp; valoris la fonction
* ACTION_AJOUT est dclenche sur le click de l'icne<img alt="iconeValider"
* src="IcoValider.gif" style="width: 16px; height: 16px;"> lors de la validation du formulaire de saisie
* prsent dans la nouvelle ligne ajoute au tableau.<br> Le traitement associ  la fonction paramtre dans 
* FONCTION_AJOUT_HTML est de gnrer le<br> formulaire de saisie prsent derrire les icnes de validation (
* <img alt="iconeValider" src="IcoValider.gif" style="width: 16px; height: 16px;">) et d'annulation (
*<img alt="iconeAnnuler" src="IcoAnnuler.gif" style="width: 16px; height: 16px;">) de la ligne
* ajoute<br>dans le tableau. Cette fonction doit renvoyer donc une chane de caractres contenant le code HTML<br>refltant ce formulaire.<br>
* - Le sous-lment <span style="color: rgb(51, 51, 153);">FONCTION_FILTRE_HTML</span> permet de paramtrer l'appel  une
* fonction JavaScript prsente dans le fichier JS spcifique  la page associ  l'action accessible via l'icne <img alt="iconeFiltrer"
* src="IcoFiltrer.gif" style="width: 16px; height: 16px;">. Sa valorisation ou non dterminent la
*  prsence de cette icne dans la barre d'outils. Le traitement effectu par cette fonction JavaScript doit permettre de gnrer le code
* HTML du formulaire de saisie des critres du filtre prsent derrire les icnes de validation (<img alt="iconeValider" src="IcoValider.gif"
* style="width: 16px; height: 16px;"> ), annulation (<img alt="iconeAnnuler" src="IcoAnnuler.gif" style="width: 16px; height: 16px;">) et remise  zro du filtre
* (<img alt="iconeAnnulerFiltre" src="IcoAnnulerFiltre.gif" style="width: 16px; height: 16px;"> ) de la barre d'outils lors de la saisie d'un filtrage. Cette fonction renvoie donc une
* chane de caractres contenant le code HTML refltant ce formulaire.<br> - Le sous-lment <span style="color: rgb(51, 51, 153);">
* ACTION_EXPORT_XLS</span> permet de paramtrer l'appel  une fonction JavaScript prsente dans le fichier JS spcifique 
* la page associ  l'action accessible via l'icne <img alt="iconeExportExcel" src="IcoExportExcel.gif" style="width: 19px; height: 16px;">. Le
* dclenchement de cet appel est effectu sur un click de cette icne. Sa valorisation ou non dterminent la prsence de cette icne
* dans la barre d'outils.<br> - Le sous-lment <span style="color: rgb(51, 51, 153);">ACTION_ETENDUE_PRESENT</span> permet de
* paramtrer la prsence ou non de l'icne <img alt="iconePleinePage" src="IcoPleinePage.gif" style="width: 16px; height: 16px;">dans la barre d'outils avec
* une valorisation ou non  <span style="color: rgb(153, 51, 153);">OUI</span>.<br> <br> La liste d'lment <span style="font-weight: bold; color: rgb(0, 153,
* 0);">PAGER</span> permet de paramtrer la prsence ou non d'une navigation par pagination sur le contenu informatif du tableau. <br><br>
* L'arborescence XML associ au paramtrage du pager est :<br> <div style="border: 0.5pt solid windowtext; padding: 1pt 4pt; background: rgb(255, 255, 204) none
* repeat scroll 0% 50%; -moz-background-clip: initial; -moz-background-origin: initial; -moz-background-inline-policy: initial;"><code><span style="font-weight: bold; color: rgb(0,
* 153, 0);">&lt;PAGER&gt;</span><br> &nbsp;&nbsp;&nbsp; &lt;MAX_LIGNES&gt;&lt;/</code><code>MAX_LIGNES</code><code>&gt;<br> <span style="font-weight: bold; color: rgb(0,
* 153, 0);">&lt;/</span></code><code><span style="font-weight: bold; color: rgb(0, 153, 0);">PAGER</span></code><code><span style="font-weight: bold; color: rgb(0, 153, 
* 0);">&gt;</span><br> </code></div> <br> - Le sous-lment <span style="color: rgb(51, 51, 153);">MAX_LIGNES</span> permet de paramtrer
* le nombre de lignes maximum affiches dans chaque page du contenu informatif du tableau.
*<br><br>RENDU IHM<br><br>Tableau<br>[Instanciation de la classe ComposantTableau correspondante : voir <a href="exemples_A3.html#ComposantTableau_constr">Exemples</a>]
*<br><img alt="exTableau" src="Image.Tableau.jpg"/><br>Liste<br>[Instanciation de la classe ComposantTableau correspondante : voir <a href="exemples_A3.html#ComposantTableau_constr">Exemples</a>]
*<br><img alt="exTableauListe" src="Image.TableauListe.jpg"/><br>Tableau Matre<br>[Instanciation de la classe ComposantTableau correspondante : voir <a href="exemples_A3.html#ComposantTableau_constr">Exemples</a>]
*<br><img alt="exTableauMaitre" src="Image.TableauMaitre.jpg"/>
*<br>Tableau affich en version tendue<br>[Instanciation de la classe XMLObject sur le paramtrage XML de ce composant affichable en version tendue : voir <a href="exemples_A3.html#ComposantTableauEtendu_constr">Exemples</a>]
*<br><img alt="exTableauEtendu" src="Image.TableauEtendu.jpg"/><br>
* @author Ministre des Affaires Etrangres, Aubay SA, Steve Pguet
* @version 1.1
* Date :  25/10/2005
*/
/*
Copyright ou  ou Copr. 
Ministre des Affaires Etrangres,
Aubay SA,
Steve Pguet, (25/05/2004)

steve.peguet@diplomatie.gouv.fr

Ce logiciel est un programme informatique servant de framework JavaScript 
bas sur les normes W3C (XHTML/CSS/DOM/XML). Il offre la possibilit de 
mettre en oeuvre facilement les principes ergonomiques et techniques propres 
 un client riche (cumul des avantages du client lger et du client lourd).
Ce logiciel est rgi par la licence CeCILL soumise au droit franais et
respectant les principes de diffusion des logiciels libres. Vous pouvez
utiliser, modifier et/ou redistribuer ce programme sous les conditions
de la licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA 
sur le site "http://www.cecill.info".

En contrepartie de l'accessibilit au code source et des droits de copie,
de modification et de redistribution accords par cette licence, il n'est
offert aux utilisateurs qu'une garantie limite.  Pour les mmes raisons,
seule une responsabilit restreinte pse sur l'auteur du programme,  le
titulaire des droits patrimoniaux et les concdants successifs.

A cet gard  l'attention de l'utilisateur est attire sur les risques
associs au chargement,   l'utilisation,   la modification et/ou au
dveloppement et  la reproduction du logiciel par l'utilisateur tant 
donn sa spcificit de logiciel libre, qui peut le rendre complexe  
manipuler et qui le rserve donc  des dveloppeurs et des professionnels
avertis possdant  des  connaissances  informatiques approfondies.  Les
utilisateurs sont donc invits  charger  et  tester  l'adquation  du
logiciel  leurs besoins dans des conditions permettant d'assurer la
scurit de leurs systmes et ou de leurs donnes et, plus gnralement, 
 l'utiliser et l'exploiter dans les mmes conditions de scurit. 

Le fait que vous puissiez accder  cet en-tte signifie que vous avez 
pris connaissance de la licence CeCILL, et que vous en avez accept les
termes.*/

// Images ncessaires pour un bon fonctionnement du composant
// Images over  preloader dans preparePage
// Images associes au bandeau d'action
var icone_parameterSave_src = "/proto/FrameworkERGO/images/bouton/gestion/IcoEnregistrer.gif";
var icone_parameterSaveover_src = "/proto/FrameworkERGO/images/bouton/gestion/IcoEnregistrerover.gif";
var icone_refresh_src = "/proto/FrameworkERGO/images/bouton/table/IcoActualiser.gif";
var icone_refreshover_src = "/proto/FrameworkERGO/images/bouton/table/IcoActualiserover.gif";
var icone_ajouter_src = "/proto/FrameworkERGO/images/bouton/table/IcoAjout.gif";
var icone_ajouterover_src = "/proto/FrameworkERGO/images/bouton/table/IcoAjoutover.gif";
var icone_filtrer_src = "/proto/FrameworkERGO/images/bouton/table/IcoFiltrer.gif";
var icone_filtrerover_src = "/proto/FrameworkERGO/images/bouton/table/IcoFiltrerover.gif";
var icone_annulerfiltrer_src = "/proto/FrameworkERGO/images/bouton/table/IcoAnnulerFiltre.gif";
var icone_annulerfiltrerover_src = "/proto/FrameworkERGO/images/bouton/table/IcoAnnulerFiltreover.gif";
var icone_exporterexcel_src = "/proto/FrameworkERGO/images/bouton/table/IcoExportExcel.gif";
var icone_exporterexcelover_src = "/proto/FrameworkERGO/images/bouton/table/IcoExportExcelover.gif";
var icone_exportercsv_src = "/proto/FrameworkERGO/images/bouton/table/IcoExportCsv.png";
var icone_exportercsvover_src = "/proto/FrameworkERGO/images/bouton/table/IcoExportCsvover.png";
var icone_agrandir_src = "/proto/FrameworkERGO/images/bouton/table/IcoPleinePage.gif";
var icone_agrandirover_src = "/proto/FrameworkERGO/images/bouton/table/IcoPleinePageover.gif";
var icone_colonneover_src = "/proto/FrameworkERGO/images/bouton/table/IcoColonneover.png";
var icone_colonne_src = "/proto/FrameworkERGO/images/bouton/table/IcoColonne.png";
var icone_exporterxmlover_src = "/proto/FrameworkERGO/images/bouton/divers/IcoEnvoiDonneesover.gif";
var icone_exporterxml_src = "/proto/FrameworkERGO/images/bouton/divers/IcoEnvoiDonnees.gif";
var icone_inverseSelectionover_src = "/proto/FrameworkERGO/images/bouton/divers/IcoInverseSelectionover.gif";
var icone_inverseSelection_src = "/proto/FrameworkERGO/images/bouton/divers/IcoInverseSelection.gif";

// --  dfinir ... avec les vrais valeurs
var icone_reduire_src = "/proto/FrameworkERGO/images/bouton/table/IcoReduire.gif";
var icone_reduireover_src = "/proto/FrameworkERGO/images/bouton/table/IcoReduireover.gif";
var icone_normal_src = "/proto/FrameworkERGO/images/bouton/table/IcoAnnulationReduction.gif";
var icone_normalover_src = "/proto/FrameworkERGO/images/bouton/table/IcoAnnulationReductionover.gif";

// Images associes  la pagination
var icone_precedentover_src = "/proto/FrameworkERGO/images/bouton/table/IcoPrecedentover.gif";
var icone_precedent_src = "/proto/FrameworkERGO/images/bouton/table/IcoPrecedent.gif";
var icone_suivantover_src = "/proto/FrameworkERGO/images/bouton/table/IcoSuivantover.gif";
var icone_suivant_src = "/proto/FrameworkERGO/images/bouton/table/IcoSuivant.gif";
var icone_premier_src = "/proto/FrameworkERGO/images/bouton/table/IcoPremier.gif";
var icone_premierover_src = "/proto/FrameworkERGO/images/bouton/table/IcoPremierover.gif";
var icone_dernier_src = "/proto/FrameworkERGO/images/bouton/table/IcoDernier.gif";
var icone_dernierover_src = "/proto/FrameworkERGO/images/bouton/table/IcoDernierover.gif";

// Images associes aux tris
var icone_tricroissant_src = "/proto/FrameworkERGO/images/bouton/table/IcoTriCroissant.gif";
var icone_tricroissantover_src = "/proto/FrameworkERGO/images/bouton/table/IcoTriCroissantover.gif";
var icone_tridecroissant_src = "/proto/FrameworkERGO/images/bouton/table/IcoTriDecroissant.gif";
var icone_tridecroissantover_src = "/proto/FrameworkERGO/images/bouton/table/IcoTriDecroissantover.gif";
var icone_trinul_src = "/proto/FrameworkERGO/images/bouton/table/IcoTriNul.gif";
var icone_trinulover_src = "/proto/FrameworkERGO/images/bouton/table/IcoTriNulover.gif";

// Images associes aux actions
var icone_supprimer_src = "/proto/FrameworkERGO/images/bouton/gestion/IcoSupprimer.gif";
var icone_supprimerover_src = "/proto/FrameworkERGO/images/bouton/gestion/IcoSupprimerover.gif";
var icone_editer_src = "/proto/FrameworkERGO/images/bouton/table/IcoEditer.gif";
var icone_editerover_src = "/proto/FrameworkERGO/images/bouton/table/IcoEditerover.gif";
var icone_detail_src = "/proto/FrameworkERGO/images/bouton/table/IcoLoupe.gif";
var icone_detailover_src = "/proto/FrameworkERGO/images/bouton/table/IcoLoupeover.gif";
var icone_detailpdf_src = "/proto/FrameworkERGO/images/bouton/arbo/IcoFichierPdf.gif";
var icone_detailpdfover_src = "/proto/FrameworkERGO/images/bouton/arbo/IcoFichierPdfover.gif";
var icone_save_src = "/proto/FrameworkERGO/images/bouton/gestion/IcoEnregistrer.gif";
var icone_saveover_src = "/proto/FrameworkERGO/images/bouton/gestion/IcoEnregistrerover.gif";
var icone_valider_src = "/proto/FrameworkERGO/images/bouton/table/IcoValider.gif";
var icone_validerover_src = "/proto/FrameworkERGO/images/bouton/table/IcoValiderover.gif";
var icone_annuler_src = "/proto/FrameworkERGO/images/bouton/table/IcoAnnuler.gif";
var icone_annulerover_src = "/proto/FrameworkERGO/images/bouton/table/IcoAnnulerover.gif";

// Images associes  la construction de la page
var image_spacer_src = "/proto/FrameworkERGO/images/bouton/divers/spacer.gif";

// Images pour le message d'attente
var image_attente_src = "/proto/FrameworkERGO/images/graphe/anim_attente.gif";

// Emplacement de la page pour la version tendue du tableau
var page_versionEtendue_url = "/proto/FrameworkERGO/html/tableau/versionEtendue.html";

// Emplacement de la page pour la gestion des colonnes du tableau
var page_gestionColonne_url = "/proto/FrameworkERGO/html/tableau/gestionColonne.html";

// URL to export the table into Excel format
var excelExport_url = "/proto/FrameworkERGO/../flux/protected/framework/excelExport.xls";

// URL to export the table into CSV format
var csvExport_url = "/proto/FrameworkERGO/../flux/protected/framework/csvExport.csv";


// constantes pour la gestion des textes alterns
// - version francaise
ALT_TAB_TRIDECROISSANT_FR = "Tri dcroissant";
ALT_TAB_TRICROISSANT_FR = "Tri croissant";
ALT_TAB_TRINUL_FR = "Ordre original";
ALT_TAB_PARAMETERSAVE_FR = "Sauvegarder le paramtrage du tableau";
ALT_TAB_REFRESH_FR = "Recharger les donnes du tableau";
ALT_TAB_AJOUT_FR = "Ajouter un lment";
ALT_TAB_EXPORTEXCELL_FR = "Exporter au format Excel";
ALT_TAB_EXPORTCSV_FR = "Exporter au format CSV";
ALT_TAB_FILTRE_FR = "Filtrer";
ALT_TAB_FILTRE_TITRES_FR = "Filtrer par les titres";
ALT_TAB_GESTION_COL_FR = "Gestion des colonnes";
ALT_TAB_EXPORT_XML_FR = "Export XML";
ALT_TAB_VERSIONETENDUE_FR = "Version pleine page";
ALT_TAB_VERSIONNORMALE_FR = "Version normale";
ALT_TAB_VERSIONREDUITE_FR = "Version rduite";
ALT_TAB_VALIDERFILTRE_FR = "Valider filtrage";
ALT_TAB_ANNULERFILTRE_FR = "Annuler";
ALT_TAB_ANNULERFILTRETOUT_FR = "Annuler filtrage";
ALT_TAB_VALIDERAJOUT_FR = "Valider ajout";
ALT_TAB_ANNULERAJOUT_FR = "Annuler ajout";
ALT_TAB_EDIT_FR = "Editer";
ALT_TAB_SUPPR_FR = "Supprimer";
ALT_TAB_DETAIL_FR = "Dtailler";
ALT_TAB_DETAILPDF_FR = "Version Pdf";
ALT_TAB_SAVE_FR = "Sauvegarder";
ALT_TAB_VALIDERSUPPR_FR = "Valider suppression";
ALT_TAB_ANNULERSUPPR_FR = "Annuler suppression";
ALT_TAB_VALIDEREDIT_FR = "Valider dition";
ALT_TAB_ANNULEREDIT_FR = "Annuler dition";
ALT_TAB_FIRSTPAGE_FR = "Premire page";
ALT_TAB_PREVIOUSPAGE_FR = "Page prcdente";
ALT_TAB_NEXTPAGE_FR = "Page suivante";
ALT_TAB_LASTPAGE_FR = "Dernire page";
ALT_TAB_INVERSE_SELECTION_FR = "Inverser la slection";

// - version anglaise
ALT_TAB_TRIDECROISSANT_EN = "Tri dcroissant";
ALT_TAB_TRICROISSANT_EN = "Tri croissant";
ALT_TAB_TRINUL_EN = "Original order";
ALT_TAB_PARAMETERSAVE_EN = "Save table paramter setting";
ALT_TAB_REFRESH_EN = "Refresh table datas";
ALT_TAB_AJOUT_EN = "Ajouter un lment";
ALT_TAB_EXPORTEXCELL_EN = "Exporter au format Excel";
ALT_TAB_EXPORTCSV_EN = "CSV export";
ALT_TAB_FILTRE_EN = "Filtrer";
ALT_TAB_FILTRE_TITRES_EN = "Filter by titles";
ALT_TAB_GESTION_COL_EN = "Gestion des colonnes";
ALT_TAB_EXPORT_XML_EN = "XML Export";
ALT_TAB_VERSIONETENDUE_EN = "Version pleine page";
ALT_TAB_VERSIONNORMALE_EN = "Version normale";
ALT_TAB_VERSIONREDUITE_EN = "Version rduite";
ALT_TAB_VALIDERFILTRE_EN = "Valider filtrage";
ALT_TAB_ANNULERFILTRE_EN = "Annuler";
ALT_TAB_ANNULERFILTRETOUT_EN = "Annuler filtrage";
ALT_TAB_VALIDERAJOUT_EN = "Valider ajout";
ALT_TAB_ANNULERAJOUT_EN = "Annuler ajout";
ALT_TAB_EDIT_EN = "Editer";
ALT_TAB_SUPPR_EN = "Supprimer";
ALT_TAB_DETAIL_EN = "Dtailler";
ALT_TAB_DETAILPDF_EN = "Version Pdf";
ALT_TAB_SAVE_EN = "Sauvegarder";
ALT_TAB_VALIDERSUPPR_EN = "Valider suppression";
ALT_TAB_ANNULERSUPPR_EN = "Annuler suppression";
ALT_TAB_VALIDEREDIT_EN = "Valider dition";
ALT_TAB_ANNULEREDIT_EN = "Annuler dition";
ALT_TAB_FIRSTPAGE_EN = "Premire page";
ALT_TAB_PREVIOUSPAGE_EN = "Page prcdente";
ALT_TAB_NEXTPAGE_EN = "Page suivante";
ALT_TAB_LASTPAGE_EN = "Dernire page";
ALT_TAB_INVERSE_SELECTION_EN = "Inverse selection";

//Message pour afficher le nombre d'enregistrements d'un tableau  l'emplacement du pager
MESSAGE_PAGER='enregistrements';

//Message pour la sauvegarde ou le rtablissement du paramtrage du tableau
MESSAGE_PARAMETER_SETTING_FR='Pour sauvegarder le paramtrage cliquez sur OK, \n pour rtablir le paramtrage initial au prochain chargement faites annuler.';
MESSAGE_PARAMETER_SETTING_EN='Pour sauvegarder le paramtrage cliquez sur OK, \n pour rtablir le paramtrage initial au prochain chargement faites annuler.';

// constantes pour la gestion de la prsentation
// -- types de prsentation possible
FLAG_PRESENTATION_NORMALE=0;
FLAG_PRESENTATION_REDUITE=1;

// -- mode de prsentation d'un lment
FLAG_JAMAIS=0;
FLAG_ALTERNE=1;
FLAG_TOUJOURS=2;
FLAG_PAGINE=3;

// -- mode de prsentation de la police
FLAG_POLICE_STANDARD=0;
FLAG_POLICE_ALTERNE=1;
FLAG_POLICE_REDUITE=2;

// -- taille des icnes en fonction du mode de prsentation de la police
FLAG_SIZEICONE_STANDARD=16;
FLAG_SIZEICONE_REDUITE=12;

// -- complment du nom de la classe en fonction du mode de prsentation de la police
FLAG_FONT_STANDARD="";
FLAG_FONT_REDUITE="_reduit";

// -- type de style par dfaut pouvant tre utilis 
FLAG_STYLELIGNE_CONTINU="continue";
FLAG_STYLELIGNE_ALTERNE="alterne";

// constantes pour la gestion des outils
// -- types 
FLAG_OUTIL_SIMPLE=0;
FLAG_OUTIL_VALIDER=1;
FLAG_OUTIL_VALIDER_ET_RETARRIERE=2;
FLAG_OUTIL_CHECKBOX=3;

// -- position de la zone si type FLAG_OUTIL_VALIDER ou FLAG_OUTIL_VALIDER_ET_RETARRIERE
FLAG_POSITION_OUTIL=0;
FLAG_POSITION_BODY=1;

// constantes pour la gestion des actions
// -- types 
FLAG_ACTION_SIMPLE=0;
FLAG_ACTION_VALIDER=1;

// constantes pour la gestion des actions sur une action ou un outil
ACTION_VALIDE=0;
ACTION_ANNULE=1;
ACTION_ARRIERE=2;

// constantes pour la gestion du type de tri
TRI_AUCUN=0;
TRI_SIMPLE=1;
TRI_MULTIPLE=2;

/**
* Variable globale dfinissant la valeur de la marge d'une liste en pixel ou %.
* <br><br>
* @public
* @final
* @type String
* @version 2.5
* @date 10/11/2006
*/
var MARGE_LISTE = "21px";

/**
* Variable globale dfinissant la valeur de la marge d'un tableau en pixel ou %.
* <br><br>
* @public
* @final
* @type String
* @version 2.5
* @date 10/11/2006
*/
var MARGE_TABLEAU = "0px";

var tailleAction = "20";

// Variable globale pour stocker l'id du composant appelant un flux XML
var objectGeneriqueId = "";

// Pointer sur la fentre de la version tendue du tableau
var msgWindowEtendue = null;

// Pointer sur la fentre de la gestion des colonnes du tableau
var msgWindowGestionColonne = null;

// Fonction gnrique pour grer les retours de flux rapatris par un composant
function Generique_retourXML(id)
{
  eval(id + '.retourImportData();');
}

/**
* La fonction prive Generique_ecrireBindDelay() permet grer le refraichissement des zonez relative pour les scrollbers sous IE
* @private
* @param {int_Obligatoire} id identifiant du tableau concern.
* @version 2.5.3
* @date 05/10/2007
*/
function Generique_ecrireBindDelay(id) {
	document.getElementById(id+"_Entete").style.visibility="visible";
}


// Dfinition de la classe ObjectColonne

/**
* Cre une instance de la classe ObjectColonne. 
* @class La classe <b>ObjectColonne</b> est la classe permettant de grer les colonnes du composant tableau.
* <br> Il n'existe pas de proprit prive pour cette classe. Il n'existe pas de mthode pour cette classe. <br>
* <br> Ses proprits publiques dcrivent les attributs d'une colonne et peuvent tre manipules ou interroges 
* en dehors de la bibliothque du framework ergonomique.
* <br><br><br><img src="Image.ObjectColonneUML.png"/><br><br><br>
* @public
* @constructor
* @param {String_Obligatoire} {@link #id id} id : Identifiant de l'lment colonne.
* @param {String_Obligatoire} {@link #titre titre} Chane de caractres indiquant le titre d'une colonne
* affiche en en-tte du tableau.
* @param {String_Obligatoire} {@link #type type} Chane de caractres rfrenant la typologie des donnes 
* prsentes dans la colonne.
* @param {String_Facultatif} {@link #affichage affichage} Chane de caractres rfrenant le format d'affichage des 
* donnes prsentes dans la colonne.
* @param {String_Obligatoire} {@link #donnee donnee} Chane de caractres rfrenant le nom XML de la donne 
* associe au contenu informatif du tableau.
* @param {int_Facultatif} {@link #largeur largeur} Entier permettant de paramtrer la taille en largeur d'une
* colonne, dans un tableau ou une liste.
* @param {int_Facultatif} {@link #largeurEtendue largeurEtendue} Entier permettant de paramtrer la taille 
* en largeur d'une colonne affiche en version tendue dans un tableau ou une liste.
* @param {String_Facultatif} {@link #alignement alignement} Chane de caractres indiquant le type d'alignement
* souhait dans l'affichage des donnes prsentes dans la colonne.
* @param {String_Facultatif} {@link #tri tri} Chane de caractres indiquant le type de tri dsir ou accessible
* par l'utilisateur sur la colonne.
* @param {String_Facultatif} {@link #cache cache} Chane de caractres permettant de paramtrer le fait que la
* colonne ne puisse tre affiche qu'en version tendue (valeurs possibles : OUI/NON/JAMAIS).
* @version 2.2
* Date :  23/08/2006
*/
function ObjectColonne(id, titre, type, affichage, donnee, largeur, largeurEtendue, alignement, tri, cache)
{
	/**
	* C'est une chane de caractres indiquant l'identifiant de l'lment colonne.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/
  this.id = id;
  
	/**
	* C'est une chane de caractres indiquant le titre d'une colonne affiche en en-tte du tableau.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.titre = titre;
  
	/**
	* C'est une chane de caractres rfrenant la typologie des donnes prsentes dans la colonne.
	* Il peut tre valoris par : <br>STRING pour une chane de caractres, DATE pour une date,
	* NUMBER pour tout nombre  virgule ou entier, REFERENCE pour toute chane comprenant au dbut une suite
	* de nombres, un espace et ensuite des caractres alphabtique.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.type = type;
  
	/**
	* C'est une chane de caractres rfrenant le format d'affichage des donnes prsentes dans la colonne.
	* Il est valoris par dfaut  la valeur du champ type s'il n'est pas prcis.
	* <br><br>
	* @public
	* @type String
	* @version 2.2
	* @date 23/08/2006
	*/  
  this.affichage = (affichage == null)?type:affichage;
  
	/**
	* C'est une chane de caractres rfrenant le nom XML de la donne associe au contenu informatif du tableau.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.donnee = donnee;
  
	/**
	* C'est un entier permettant de paramtrer la taille en largeur d'une colonne, dans un tableau ou une liste.
	* Il doit tre valorise par : un entier, exprim par dfaut en pixels ou en pourcentage vis  vis la largeur
	* du tableau en ajoutant le symbole %.
	* <br><br>
	* @public
	* @type Int
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.largeur = largeur;
  
	/**
	* C'est un entier permettant de paramtrer la taille en largeur d'une colonne affiche en version tendue dans
	* un tableau ou une liste. Il doit tre valorise par : un entier, exprim par dfaut en pixels ou en pourcentage
	* vis  vis la largeur du tableau en ajoutant le symbole %.
	* <br><br>
	* @public
	* @type Int
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.largeurEtendue = largeurEtendue;
  
	/**
	* C'est une chane de caractres indiquant le type d'alignement souhait dans l'affichage des donnes prsentes
	* dans la colonne.<br>Il peut tre valoris par : left (valeur par dfaut si pas renseign) pour un alignement
	* <br> gauche gnralement appliqu sur des donnes de type STRING,
	* <br>center pour un alignement centr gnralement appliqu sur des donnes de type DATE,
	* <br>right pour un alignement  droite gnralement appliqu sur des donnes de type NUMBER.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.alignement = alignement;
  
	/**
	* C'est une chane de caractres indiquant le type de tri dsir ou accessible par l'utilisateur sur la colonne. 
	* Il peut tre valoris de la manire suivante :<br>CROISSANT quand la colonne doit tre trie par ordre croissant
	* lors de son premier affichage.&nbsp;L'utilisateur peut ainsi trier cette colonne par ordre dcroissant ensuite.<br>
	* DECROISSANT quand la colonne doit tre trie par ordre dcroissant lors de son premier affichage. L'utilisateur 
	* peut ainsi trier cette colonne par ordre croissant ensuite.<br>
	* NEANT quand la colonne est non triable par l'utilisateur.<br>
	* NON quand la colonne n'est pas trie lors de son premier affichage mais peut tre trie par l'utilisateur par 
	* ordre croissant aprs l'affichage du tableau.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.tri = tri;
  
	/**
	* C'est une chane de caractres permettant de paramtrer la mode d'affichage de la colonne.
	* - affichage dans tout les cas lorsque sa valorisation est indique  NON,
	* - affichage en version tendue lorsque sa valorisation est indique  OUI,
	* - jamais affiche lorsque sa valorisation est indique  JAMAIS,
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.cache = cache;
  
	/**
	* La proprit publique filtre_signe reprsente le signe du filtre sur la colonne
	* - <b><a href='constant-values_A3.html#filtre_signe'>Voir Valeurs des Constantes - Propits </a></b>.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.filtre_signe = null;
  
	/**
	* La proprit publique filtre_critere reprsente le critre du filtre sur le tableau
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.filtre_critere = null;
  
	/**
	* La proprit publique filtre_joker reprsente le critre du filtre sur le tableau
	* - <b><a href='constant-values_A3.html#filtre_joker'>Voir Valeurs des Constantes - Propits</a></b>.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.filtre_joker = null;
  
   /**
	* La proprit prive currentLevelSorting est un nombre indiquant le niveau de tri atteint
	* dans le cadre du tri multiple. Cela permet de conserver le paramtrage du tableau.
	* <br><br>
	* @private
	* @type Number
	* @version 2.6
  * @date 04/09/2007
	*/  
  this.currentLevelSorting = 0;
}


// Fonction d'appel et de gestion des styles de lignes

/**
* La mthode prive appelStyleLigne() permet de grer l'appel  la mthode surchargeable
* {@link #calculStyleLigne calculStyleLigne()}
* @private
* @param {object_Obligatoire} pointeur sur le composant tableau.
* @param {int_Obligatoire} ligne Entier : indice de la ligne pour laquelle on doit calculer le style.
* @param {boolean_Optionnel} boolVersionEtendue Boolen : prcise si la gnration du code est dclenche
* en pleine page ou non (par dfaut, non).
* @param {boolean_Optionnel} boolRolloverLigne Boolen : prcise si l'on gre le surlignage de ligne (par dfaut, oui).
* @return {string} Code HTML de la ligne stylise.
* @version 2.1
* @date 03/07/2006
*/
function ObjectPresentation_appelStyleLigne(ptTableau,ligne)
{
  var argv = ObjectPresentation_appelStyleLigne.arguments;
  var argc = ObjectPresentation_appelStyleLigne.arguments.length;
  var boolVersionEtendue = (argc > 2) ? argv[2] : false;
  var boolRolloverLigne = (argc > 3) ? argv[3] : true;

	style=eval(this.calculStyleLigne+"(ptTableau,ligne)");

	// Gestion de l'alternance et du style continu
	if (style == FLAG_STYLELIGNE_CONTINU) { 
  	this.dernierTypeStyle=FLAG_STYLELIGNE_CONTINU;
  	style=(this.dernierStyle == "")?"tableau_corps_pair":this.dernierStyle;
  } else if (style == FLAG_STYLELIGNE_ALTERNE) {
  	this.dernierTypeStyle=FLAG_STYLELIGNE_ALTERNE;
  	style=(this.dernierStyle == "tableau_corps_pair")?"tableau_corps_impair":"tableau_corps_pair";
  	this.dernierStyle=style;
  } else if (this.dernierTypeStyle == FLAG_STYLELIGNE_ALTERNE) 
  	this.dernierStyle=(this.dernierStyle == "tableau_corps_pair")?"tableau_corps_impair":"tableau_corps_pair";

	
  // Gnration du style pour la ligne
  if (((ptTableau.boolActionActif) && (((ptTableau.actionEnCours != -1) && (ligne == ptTableau.itemLigneAction)) || (ligne == ptTableau.itemLigneSelected)))) {
    codeHTML += '<tr class="CGcodetresclair tableau_corps_select'+this.classFont+'" >\n';
  } else if ((!boolVersionEtendue) && (boolRolloverLigne))
    codeHTML = '<tr onmouseover="'+ptTableau.id+'.rollOverLigne(this,\'tableau_corps\')" onmouseout="'+ptTableau.id+'.rollOverLigne(this,\''+style+'\')" class="'+style+this.classFont+'">\n';
  else
    codeHTML = '<tr class="'+style+this.classFont+'">\n';

	return codeHTML;
}


// Fonction par defaut pour grer les styles des lignes

/**
* La mthode prive calculStyleLigne() implmente le mode par dfaut de calcul de style de ligne 
* @private
* @param {object_Obligatoire} pointeur sur le composant tableau
* @param {boolean_Obligatoire} ligne Entier indice de la ligne pour laquelle on doit calculer le style
* @return {FLAG_STYLELIGNE_ALTERNE}
* @version 2.1
* @date 03/07/2006
*/
function ObjectPresentation_calculStyleLigne(ptTableau,ligne)
{
	return FLAG_STYLELIGNE_ALTERNE;
}


// Dfinition de la classe ObjectPresentation reprsentant la prsentation d'un tableau

/**
* Cre une nouvelle instance de la classe ObjectPresentation. 
* @class La classe <b>ObjectPresentation</b> est la classe permettant de grer la prsentation du 
* composant Tableau.<br>Ses proprits publiques dcrivent les attributs permettant de grer la prsentation 
* du composant tableau et peuvent tre manipules ou interroges en dehors de la bibliothque du framework 
* ergonomique.
* <br><br><br><img src="Image.ObjectPresentationUML.png"/><br><br><br>
* @public
* @constructor
* @param {String_Obligatoire} {@link #titre titre} Libell du titre du tableau.
* @param {int_Obligatoire} {@link #flagTitre flagTitre} Mode d'affichage du titre du tableau.
* @param {int_Obligatoire} {@link #flagEntete flagEntete} Mode d'affichage de l'entte du tableau.
* @param {int_Obligatoire} {@link #flagOutil flagOutil} Mode d'affichage de la barre d'outil du tableau.
* @param {String_Obligatoire} {@link #pied pied} Libell du pied du tableau.
* @param {int_Obligatoire} {@link #flagPied flagPied} Mode d'affichage du pied du tableau.
* @param {int_Obligatoire} {@link #nbLigne nbLigne} Nombre de ligne par page du tableau.
* @param {int_Obligatoire} {@link #sidePager sidePager} ct d'affichage du pager du tableau.
* @param {int_Obligatoire} {@link #postNumberRecXML postNumberRecXML} booleen pour affichage ou non du nombre d'enregistrements.
* @param {int_Obligatoire} {@link #flagPager flagPager} Mode d'affichage du pager du tableau.
* @param {int_Obligatoire} {@link #flagDeco flagDeco} Mode d'affichage des deco du tableau.
* @param {int_Obligatoire} {@link #flagSize flagSize} Mode d'affichage des textes du tableau (taille de la police).
* @param {int_Obligatoire} {@link #sizeSpace sizeSpace} Nombre de pixel a employer pour sparer les colonnes.
* @param {boolean_Optionnel} {@link #blScrollbarVerticale blScrollbarVerticale} Boolen indiquant si l'on veut
* activer la scrollbar verticale.
* @param {int_Optionnel} {@link #sizeScrollbarVerticale sizeScrollbarVerticale} Taille de la zone de corps du
* tableau (zone sur laquelle s'applique la scrollbar).
* @param {String_Optionnel} {@link #largeur largeur} Largeur du tableau.
* @param {String_Optionnel} {@link #largeurListe largeurListe} Largeur de la zone liste du tableau.
* @param {String_Optionnel} {@link #largeurEtendue largeurEtendue} Largeur du tableau en version tendue.
* @param {Function_Optionnel} {@link #calculStyleLigne calculStyleLigne} Fonction permettant de calculer le style
* d'une ligne.
* @version 2.6
* @date 04/09/2007
*/
function ObjectPresentation(titre,flagTitre,flagEntete,flagOutil,pied,flagPied,nbLigne,sidePager,postNumberRecXML,flagPager,flagDeco,flagSize,sizeSpace)
{
	/**
	* L'lment argv  dans la classe ComposantTableau n'est pas une proprit, il permet de rcuprer dans 
	* un tableau les arguments passs en paramtres du constructeur de la classe (utile dans le cas des
	* paramtres facultatifs, pour reprer les paramtres qui ont t soumis par le dveloppeur).
	* Il est dclar 'var'.
	* <br><br>
	* @private
	* @type String
	* @version 2.1
	* @date 03/07/2006
	*/
  var argv = ObjectPresentation.arguments;
  
	/**
	* L'lment argc  dans la classe ComposantTableau n'est pas une proprit, il permet de rcuprer
	* le nombre d'arguments passs en paramtres du constructeur de la classe (utile dans le cas des paramtres
	* facultatifs, pour compter les paramtres  soumis par le dveloppeur).
	* Il est dclar 'var'.
	* <br><br>
	* @private
	* @type String
	* @version 2.1
	* @date 03/07/2006
	*/  
  var argc = ObjectPresentation.arguments.length;

	/**
	* C'est un boolean indiquant si l'icne d'alternance doit tre gr dans la barre d'outil.
	* <br>Il prend la valeur true, si elle doit tre active. Cette valeur est dduite des 
	* paramtres de prsentation dfinit par l'utilisateur (cf. autres attributs).
	* <br><br>
	* @private
	* @type Boolean
	* @version 2.1
	* @date 03/07/2006
	*/
  this.blActivate = false;
  
	/**
	* C'est un entier indiquant le mode de visualisation actuel, pour grer le mode altern.
	* <br>Il prend la valeur : (FLAG_PRESENTATION_NORMALE) pour une prsentation normal,
	* <br>(FLAG_PRESENTATION_REDUITE) pour le mode rduit
	* <br>-<b>Voir aussi </b> <a href='constant-values_A3.html#Globales'>Valeurs des Constantes - Globales</a>:
	* FLAG_PRESENTATION_NORMALE et FLAG_PRESENTATION_REDUITE.
	* <br><br>
	* @private
	* @type Int
	* @version 2.1
	* @date 03/07/2006
	*/
  this.flagMode = FLAG_PRESENTATION_NORMALE;
  
	/**
	* C'est un entier indiquant le nombre de pixel  employer pour sparer les colonnes.
	* <br><b>Valeur par dfaut :</b> <a href='default-values_A3.html#ObjectPresentationProp'>
	* Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @private
	* @type Int
	* @version 2.3
	* @date 28/09/2006
	*/
  this.sizeSpace = (sizeSpace==null)?0:sizeSpace;
  
	/**
	* C'est un entier indiquant la taille  appliquer sur les icnes en fonction du mode normal ou reduit. 
	* Cette valeur est dduite directement en fonction du mode actuel (cf. @link #flagMode flagMode), les 
	* valeurs sont dfinis dans les constantes FLAG_SIZEICONE_STANDARD et FLAG_SIZEICONE_REDUITE.
	* <br>-<b>Voir aussi </b> <a href='constant-values_A3.html#Globales'>Valeurs des Constantes - Globales</a>:
	* FLAG_SIZEICONE_STANDARD et FLAG_SIZEICONE_REDUITE 
	* <br><br>
	* @private
	* @type Int
	* @version 2.1
	* @date 03/07/2006
	*/
  this.sizeIcone = FLAG_SIZEICONE_STANDARD;
  
	/**
	* C'est une chane de caractres indiquant le dernier style par dfaut appliqu.
	* <br><br>
	* @private
	* @type Int
	* @version 2.1
	* @date 03/07/2006
	*/
  this.dernierStyle = "";
  
	/**
	* C'est une chane de caractres indiquant le type de succession de style par dfaut appliqu.
	* <br>Elle prend les valeurs : (continu) ou (altern) 
	* <br><br>
	* @private
	* @type Int
	* @version 2.1
	* @date 03/07/2006
	*/
  this.dernierTypeStyle = FLAG_STYLELIGNE_ALTERNE;
  
	/**
	* C'est une chane de caractres indiquant la classe actuelle  appliquer pour dfinir les polices
	* des textes.
	* <br><br>
	* @private
	* @type String
	* @version 2.1
	* @date 03/07/2006
	*/
  this.classFont = FLAG_FONT_STANDARD;
  
	/**
	* La proprit prive largeur permet de paramtrer la taille en largeur d'une colonne,
	* dans un tableau ou une liste. 
	* <br><br>
	* @private
	* @type String
	* @version 2.1
	* @date 13/07/2006
	*/
  this.largeur = (argc > 15) ? argv[15]:null;
  
	/**
	* La proprit prive largeurListe permet de paramtrer la  taille en largeur de liste si ncessaire
	* (le tableau est dans ce cas intgr dans une zone dynamique dont on doit dfinir la taille). 
	* Tag extrait depuis le paramtrage XML.<b>Voir Exemple de paramtrage XML : </b>
	* <a href='exemples_A3.html#paramXMLtableau'>Exemples du paramtrage XML d'un tableau</a>.
	* <br><br>
	* @private
	* @type String
	* @version 2.1
	* @date 13/07/2006
	*/  
  this.largeurListe = (argc > 16) ? argv[16]:null;
  
	/**
	* La proprit prive largeurEtendue permet de paramtrer la taille en largeur du tableau lors d'un
	* affichage en version tendue (tag extrait depuis le paramtrage XML).<b>Voir Exemple de paramtrage XML :
	* </b><a href='exemples_A3.html#paramXMLtableau'>Exemples du paramtrage XML d'un tableau</a>.
	* <br><br>
	* @private
	* @type String
	* @version 2.1
	* @date 13/07/2006
	*/  
  this.largeurEtendue = (argc > 17) ? argv[17]:null;
  
	/**
	* C'est une chane de caractres indiquant le libell du titre du tableau.
	* <br><br>
	* @private
	* @type String
	* @version 2.3
	* @date 28/09/2006
	*/
  this.titre = titre;
  
	/**
	* C'est un entier indiquant le mode d'affichage du titre du tableau.
	* <br>Il prend les valeurs : (FLAG_JAMAIS) pour Jamais, (FLAG_ALTERNE) pour Altern, (FLAG_TOUJOURS) pour Toujours
	* <br>-<b>Voir aussi </b> <a href='constant-values_A3.html#Globales'>Valeurs des Constantes - Globales</a>:
	* FLAG_JAMAIS, FLAG_ALTERNE et FLAG_TOUJOURS.
	* <br><br>
	* @private
	* @type Int
	* @version 2.3
	* @date 28/09/2006
	*/
  this.flagTitre = flagTitre;
  if (flagTitre == FLAG_ALTERNE) this.blActivate=true;
  
	/**
	* C'est un entier indiquant le mode d'affichage de l'entte du tableau.
	* <br>Il prend les valeurs : (FLAG_JAMAIS) pour Jamais, (FLAG_ALTERNE) pour Altern, (FLAG_TOUJOURS) pour Toujours
	* <br>-<b>Voir aussi </b> <a href='constant-values_A3.html#Globales'>Valeurs des Constantes - Globales</a>:
	* FLAG_JAMAIS, FLAG_ALTERNE et FLAG_TOUJOURS 
	* <br><br>
	* @private
	* @type Int
	* @version 2.3
	* @date 28/09/2006
	*/
  this.flagEntete = flagEntete;
  if (flagEntete == FLAG_ALTERNE) this.blActivate=true;
  
	/**
	* C'est un entier indiquant le mode d'affichage de la barre d'outil du tableau.
	* <br>Il prend les valeurs : (FLAG_JAMAIS) pour Jamais, (FLAG_ALTERNE) pour Altern, (FLAG_TOUJOURS) pour Toujours
	* <br>La valeur dfinit lors du paramtrage du tableau peut tre revu dans les cas suivants :
	* <br>- Si aucun outils n'est dfinit dans la dfinition du tableau, alors l'affichage n'est pas fait
	* quelquesoit la valeur de ce flag. 
	* <br>- Si au moins un des autres lments est dfinit comme Altern alors le mode est automatiquement
	* bascul  Toujours pour la barre d'outil.
	* <br>- <b>Voir aussi </b> <a href='constant-values_A3.html#Globales'>Valeurs des Constantes - Globales</a>:
	* FLAG_JAMAIS, FLAG_ALTERNE et FLAG_TOUJOURS.
	* <br><br>
	* @private
	* @type Int
	* @version 2.3
	* @date 28/09/2006
	*/
  this.flagOutil = flagOutil;
  if (flagOutil == FLAG_ALTERNE) this.blActivate=true;
  
	/**
	* C'est une chane de caractres indiquant le libell du pied du tableau.
	* <br><br>
	* @private
	* @type String
	* @version 2.1
	* @date 28/09/2006
	*/
  this.pied = pied;
  
	/**
	* C'est un entier indiquant le mode d'affichage du pied du tableau.
	* <br>Il prend les valeurs : (FLAG_JAMAIS) pour Jamais, (FLAG_ALTERNE) pour Altern,
	* (FLAG_TOUJOURS) pour Toujours<br>- <b>Voir aussi </b> <a href='constant-values_A3.html#Globales'>
	* Valeurs des Constantes - Globales</a> :  FLAG_JAMAIS, FLAG_ALTERNE et FLAG_TOUJOURS. 
	* <br><br>
	* @private
	* @type Int
	* @version 2.1
	* @date 28/09/2006
	*/
  this.flagPied = flagPied;
  if (flagPied == FLAG_ALTERNE) this.blActivate=true;
  
	/**
	* C'est un entier indiquant le nombre de lignes par page du tableau.
	* <br>La pagination ne sera active que si le {@link #flagPager flagPager} est valoris  (FLAG_PAGINE)
	* pour Paginer.
	* <br><br>
	* @private
	* @type Int
	* @version 2.1
	* @date 28/09/2006
	*/
  this.nbLigne = nbLigne;
  
  /**
	* C'est une chaine de caractres contenant la position du pager en bas du tableau (left ou right).
	* <br>La pagination ne sera active que si le {@link #flagPager flagPager} est valoris  (FLAG_PAGINE)
	* pour Paginer.
	* <br><br>
	* @private
	* @type String
	* @version 2.6
  * @date 04/09/2007
	*/
  this.sidePager = sidePager;
  
  /**
	* C'est un boolen dsignant si le nombre d'enregistrements de la page doit tre affich ou non.
	* @private
	* @type Boolean
	* @version 2.6
  * @date 04/09/2007
	*/
  this.postNumberRecXML = postNumberRecXML;
  
	/**
	* C'est un entier indiquant le mode d'affichage du pager du tableau.
	* <br>Il prend les valeurs : (FLAG_JAMAIS) pour Jamais, (FLAG_ALTERNE) pour Altern,
	* (FLAG_TOUJOURS) pour Toujours, (FLAG_PAGINE) pour Paginer.
	* <br>Remarque : La valeur pagine ne sera prise en compte que si la nombre de lignes par page
	* (cf .{@link #nbLigne nbLigne}) est suprieure  0.
	* <br>-<b>Voir aussi </b> <a href='constant-values_A3.html#Globales'>Valeurs des Constantes - Globales</a>:
	* FLAG_JAMAIS, FLAG_ALTERNE, FLAG_PAGINE et FLAG_TOUJOURS.
	* <br><br>
	* @private
	* @type Int
	* @version 2.1
	* @date 28/09/2006
	*/
  this.flagPager = flagPager;
  if (flagPager == FLAG_ALTERNE) this.blActivate=true;
  
	/**
	* C'est un entier indiquant le mode d'affichage des dcorations du tableau.
	* <br>Il prend les valeurs: (FLAG_JAMAIS) pour Jamais, (FLAG_ALTERNE) pour Altern, (FLAG_TOUJOURS) pour Toujours
	* <br>-<b>Voir aussi</b><a href='constant-values_A3.html#Globales'>Valeurs des Constantes - Globales</a>:
	* FLAG_JAMAIS, FLAG_ALTERNE et FLAG_TOUJOURS.
	* <br><br>
	* @private
	* @type Int
	* @version 2.1
	* @date 28/09/2006
	*/
  this.flagDeco = flagDeco;
  if (flagDeco == FLAG_ALTERNE) this.blActivate=true;
  
	/**
	* C'est un boolen indiquant si la barre verticale doit tre active pour le composant tableau.
	* <br><br>
	* @private
	* @type Boolean
	* @version 2.1
	* @date 03/07/2006
	*/
  this.blScrollbarVerticale = (argc > 13) ? argv[13]:false;
  
	/**
	* C'est un entier indiquant la taille de la zone de corps du tableau sur laquelle appliquer la 
	* scrollbar verticale.  
	* <br>Cette attribut ne sert que la si scrollbar verticale est active (cf. @link #blScrollbarVerticale blScrollbarVerticale).
	* <br><br>
	* @private
	* @type Int
	* @version 2.1
	* @date 03/07/2006
	*/
  this.sizeScrollbarVerticale = (argc > 14) ? argv[14]:0;
  
	/**
	* C'est un entier indiquant le mode d'affichage des textes et des icnes.
	* <br>Il prend les valeurs : (FLAG_POLICE_STANDARD) pour Standard, (FLAG_POLICE_ALTERNE) pour Altern,
	* (FLAG_POLICE_REDUITE) pour Rduite.
	* <br>-<b>Voir aussi </b> <a href='constant-values_A3.html#Globales'>Valeurs des Constantes - Globales</a> :
	* FLAG_POLICE_STANDARD, FLAG_POLICE_ALTERNE et FLAG_POLICE_REDUITE.
	* <br><br>
	* @private
	* @type Int
	* @version 2.1
	* @date 28/09/2006
	*/
  this.flagSize = flagSize;
  if (flagSize == FLAG_POLICE_ALTERNE) this.blActivate=true;
  if (flagSize == FLAG_POLICE_REDUITE) {
	  this.sizeIcone = FLAG_SIZEICONE_REDUITE;
	  this.classFont = FLAG_FONT_REDUITE;
 	}  

  // Mthodes de l'objet
 
  // Fonction de gestion des styles pour les lignes
  this.appelStyleLigne = ObjectPresentation_appelStyleLigne;
  this.calculStyleLigne = "ObjectPresentation_calculStyleLigne";
  
  if ((argc > 18) && (argv[18] != null)) this.calculStyleLigne=argv[18];
}

// Dfinition de la classe ObjectOutilTab reprsentant les outils du tableau

/**
* Cre une nouvelle instance ObjectOutilTab. 
* @class La classe <b>ObjectOutilTab</b> est la classe permettant de grer les outils du composant Tableau.
* <br>Ses proprits publiques dcrivent les attributs permettant de grer les outils du composant tableau et 
* peuvent tre manipules ou interroges en dehors de la bibliothque du framework ergonomique.
* <br><br><br><img src="Image.ObjectOutilTabUML.png"/><br><br><br>
* @public
* @constructor
* @param {String_Obligatoire} {@link #id id} identifant de l'outil.
* @param {int_Obligatoire} {@link #type type} type de l'outil.
* @param {Function_Obligatoire} {@link #condition condition} fonction dfinissant la condition d'affichage de l'outil.
* @param {String_Obligatoire} {@link #alternate alternate} texte alternatif de l'outil.
* @param {String_Obligatoire} {@link #iconeOver iconeOver} icne "Over" de l'outil.
* @param {String_Obligatoire} {@link #iconeOut iconeOut} icne "Out" de l'outil.
* @param {Function_Obligatoire} {@link #fonction fonction} fonction principal de l'outil.
* @param {int_Optionnel} {@link #type type} position de la zone de validation de l'outil.
* @param {String_Optionnel} {@link #alternateValide alternateValide} texte alternatif de l'icne de validation.
* @param {String_Optionnel} {@link #iconeOverValide iconeOverValide} icne "Over" de validation.
* @param {String_Optionnel} {@link #iconeOutValide iconeOutValide} icne "Out" de validation.
* @param {Function_Optionnel} {@link #fonctionValide fonctionAnnule} fonction dclenche avant validation.
* @param {String_Optionnel} {@link #alternateAnnule alternateAnnule} texte alternatif de l'icne d'annulation.
* @param {String_Optionnel} {@link #iconeOverAnnule iconeOverAnnule} icne "Over" d'annulation.
* @param {String_Optionnel} {@link #iconeOutAnnule iconeOutAnnule} icne "Out" d'annulation.
* @param {Function_Optionnel} {@link #fonctionAnnule fonctionAnnule} fonction dclenche lors de l'annulation.
* @param {String_Optionnel} {@link #alternateArriere alternateArriere} texte alternatif de l'icne de retour arrire.
* @param {String_Optionnel} {@link #iconeOverArriere iconeOverArriere} icne "Over" de retour arrire.
* @param {String_Optionnel} {@link #iconeOutArriere iconeOutArriere} icne "Out" de retour arrire.
* @param {Function_Optionnel} {@link #fonctionArriere fonctionArriere} fonction dclenche lors du retour arrire.
* @version 2.2
* @date 23/08/2006
*/
function ObjectOutilTab(id, type, condition, alternate, iconeOver, iconeOut, fonction)
{
	/**
	* L'lment argv dans la classe ObjectOutilTab n'est pas une proprit, il permet de rcuprer dans un tableau
	* les arguments passs en paramtres du constructeur de la classe (utile dans le cas des paramtres facultatifs,
	* pour reprer les paramtres qui ont t soumis par le dveloppeur).
	* Il est dclar 'var'.
	* <br><br>
	* @private
	* @type String
	* @version 2.2
	* @date 23/08/2006
	*/
  var argv = ObjectOutilTab.arguments;
  
	/**
	* L'lment argc  dans la classe ObjectOutilTab n'est pas une proprit, il permet de rcuprer le nombre
	* d'arguments passs en paramtres du constructeur de la classe (utile dans le cas des paramtres facultatifs,
	* pour compter les paramtres  soumis par le dveloppeur).
	* Il est dclar 'var'.
	* <br><br>
	* @private
	* @type String
	* @version 2.2
	* @date 23/08/2006
	*/  
  var argc = ObjectOutilTab.arguments.length;

	/**
	* C'est une chane de caractres dfinissant l'identifiant de l'outil dclar.
	* <br><br>
	* @private
	* @type String
	* @version 2.2
	* @date 23/08/2006
	*/
  this.id = id;

	/**
	* C'est un boolean indiquant si l'outil est activ ou non.
	* <br>Il prend la valeur true, s'il doit tre active
	* <br><b>Valeur par dfaut :</b> <a href='default-values_A3.html#ObjectOutilProp'>
	* Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @private
	* @type Boolean
	* @version 2.2
	* @date 23/08/2006
	*/
  this.blActivate = true;

	/**
	* C'est un entier dfinissant le type d'outil mise en place. On distingue comme type d'outil :
	* <br>- (FLAG_OUTIL_SIMPLE) pour un outil dont l'action est dclench directement (exemple : mode tendu), 
	* <br>- (FLAG_OUTIL_VALIDER) pour un outil dont l'action dclenche une premire tape devant tre valid ou
	* annul avant de dclencher l'action dfinitive (exemple : ajout),
	* <br>- (FLAG_OUTIL_VALIDER_ET_RETARRIERE) pour un outil agissant comme un outil de type FLAG_OUTIL_SIMPLE
	* en permettant en plus d'annuler la dernire activation de l'action de cette outil (exemple : filtre). 
	* <br><b>Voir aussi </b> <a href='constant-values_A3.html#Globales'>Valeurs des Constantes - Globales</a>:
	* FLAG_OUTIL_SIMPLE, FLAG_OUTIL_VALIDER et FLAG_OUTIL_VALIDER_ET_RETARRIERE 
	* <br><br>
	* @private
	* @type Int
	* @version 2.2
	* @date 23/08/2006
	*/
  this.type = type;

	/**
	* C'est un pointeur sur la fonction permettant de dterminer la condition d'affichage de l'outil.
	* <br><br>
	* @private
	* @type Function
	* @version 2.2
	* @date 23/08/2006
	*/
  this.condition = condition;

	/**
	* C'est une chane de caractres dfinissant le texte alternatif associ  l'outil.
	* <br><br>
	* @private
	* @type String
	* @version 2.2
	* @date 23/08/2006
	*/
  this.alternate = alternate;
  
	/**
	* C'est une chane de caractres dfinissant l'icne principale Over de l'outil.
	* <br><br>
	* @private
	* @type String
	* @version 2.2
	* @date 23/08/2006
	*/
  this.iconeOver = iconeOver;
  
	/**
	* C'est une chane de caractres dfinissant l'icne principale Out de l'outil.
	* <br><br>
	* @private
	* @type String
	* @version 2.2
	* @date 23/08/2006
	*/
  this.iconeOut = iconeOut;
  
	/**
	* C'est un pointeur sur la fonction  excuter. Cette action est excute ds que l'on :
	* <br>- clic sur l'icne si l'outil est de type FLAG_OUTIL_SIMPLE,
	* <br>- valide l'action si l'outil est de type FLAG_OUTIL_VALIDE ou FLAG_OUTIL_VALIDER_ET_RETARRIERE,
	* <br><br>
	* @private
	* @type Function
	* @version 2.2
	* @date 23/08/2006
	*/
  this.fonction = fonction;

	/**
	* C'est un entier dfinissant le position de la zone de validation de l'outil.
	* <br>Il prend les valeurs : 
	* <br>-(FLAG_POSITION_OUTIL) pour un outil dont la zone de validation est dans la barre d'outil (exemple : filtre), 
	* <br>-(FLAG_POSITION_BODY) pour un outil dont la zone de validation est en 1 position des lignes du tableau 
	* (exemple : ajout), 
	* <br><b>Voir aussi </b> <a href='constant-values_A3.html#Globales'>Valeurs des Constantes - Globales</a>:
	* FLAG_POSITION_OUTIL et FLAG_POSITION_BODY 
	* <br><br>
	* @private
	* @type Int
	* @version 2.2
	* @date 23/08/2006
	*/
  this.typePosition = (argc > 7)?argv[7]:null;
  
	/**
	* C'est une chane de caractres dfinissant le texte alternatif associ  l'icne de validaton de l'outil.
	* <br><br>
	* @private
	* @type String
	* @version 2.2
	* @date 23/08/2006
	*/
  this.alternateValide = (argc > 8)?argv[8]:null;
  
	/**
	* C'est une chane de caractres dfinissant l'icne Over de validation pour l'outil.
	* <br><br>
	* @private
	* @type String
	* @version 2.2
	* @date 23/08/2006
	*/
  this.iconeOverValide = (argc > 9)?argv[9]:null;
  
	/**
	* C'est une chane de caractres dfinissant l'icne Out de validation pour l'outil.
	* <br><br>
	* @private
	* @type String
	* @version 2.2
	* @date 23/08/2006
	*/
  this.iconeOutValide = (argc > 10)?argv[10]:null;
  
	/**
	* C'est un pointeur sur la fonction  excuter pour l'action pralable associ  l'outil. 
	* Cette action est excute ds que l'on clic sur l'icne, elle n'est utile que pour les 
	* outils de type FLAG_OUTIL_VALIDE ou FLAG_OUTIL_VALIDER_ET_RETARRIERE,
	* <br><br>
	* @private
	* @type Function
	* @version 2.2
	* @date 23/08/2006
	*/
  this.fonctionValide = (argc > 11)?argv[11]:null;

	/**
	* C'est une chane de caractres dfinissant le texte alternatif associ  l'icne d'annulation de l'outil.
	* <br><br>
	* @private
	* @type String
	* @version 2.2
	* @date 23/08/2006
	*/
  this.alternateAnnule = (argc > 12)?argv[12]:null;
  
	/**
	* C'est une chane de caractres dfinissant l'icne Over d'annulation pour l'outil.
	* <br><br>
	* @private
	* @type String
	* @version 2.2
	* @date 23/08/2006
	*/
  this.iconeOverAnnule = (argc > 13)?argv[13]:null;
  
	/**
	* C'est une chane de caractres dfinissant l'icne Out d'annulation pour l'outil.
	* <br><br>
	* @private
	* @type String
	* @version 2.2
	* @date 23/08/2006
	*/
  this.iconeOutAnnule = (argc > 14)?argv[14]:null;
  
	/**
	* C'est un pointeur sur la fonction  excuter en cas d'annulation de l'action associe  l'outil. 
	* Cette action est excute ds que l'on clic sur l'icne d'annulation, elle n'est utile que pour les 
	* outils de type FLAG_OUTIL_VALIDE ou FLAG_OUTIL_VALIDER_ET_RETARRIERE,
	* <br><br>
	* @private
	* @type Function
	* @version 2.2
	* @date 23/08/2006
	*/
  this.fonctionAnnule = (argc > 15)?argv[15]:null;
  
	/**
	* C'est une chane de caractres dfinissant le texte alternatif associ  l'icne de retour arrire de l'outil.
	* <br><br>
	* @private
	* @type String
	* @version 2.2
	* @date 23/08/2006
	*/
  this.alternateArriere = (argc > 16)?argv[16]:null;
  
	/**
	* C'est une chane de caractres dfinissant l'icne Over de retour arrire pour l'outil.
	* <br><br>
	* @private
	* @type String
	* @version 2.2
	* @date 23/08/2006
	*/
  this.iconeOverArriere = (argc > 17)?argv[17]:null;
  
	/**
	* C'est une chane de caractres dfinissant l'icne Out de retour arrire pour l'outil.
	* <br><br>
	* @private
	* @type String
	* @version 2.2
	* @date 23/08/2006
	*/
  this.iconeOutArriere = (argc > 18)?argv[18]:null;
  
	/**
	* C'est un pointeur sur la fonction  excuter en cas de retour arrire sur l'action associe  l'outil. 
	* Cette action est excute ds que l'on clic sur l'icne de retour arrire, elle n'est utile que pour les
	* outils de type FLAG_OUTIL_VALIDER_ET_RETARRIERE,
	* <br><br>
	* @private
	* @type Function
	* @version 2.2
	* @date 23/08/2006
	*/
  this.fonctionArriere = (argc > 19)?argv[19]:null;

  // Mthodes de l'objet
}


// Dfinition de la classe ObjectActionTab

/**
* Cre une nouvelle instance ObjectActionTab. 
* @class La classe <b>ObjectActionTab</b> est la classe permettant de grer les actions du composant Tableau.
* <br> Ses proprits publiques dcrivent les attributs permettant de grer les actions du composant tableau et 
* peuvent tre manipules ou interroges en dehors de la bibliothque du framework ergonomique.
* <br><br><br><img src="Image.ObjectActionTabUML.png"/><br><br><br>
* @public
* @constructor
* @param {String_Obligatoire} id : {@link #id id} identifant de l'action.
* @param {int_Obligatoire} type : {@link #type type} type de l'action.
* @param {Function_Obligatoire} condition : {@link #condition condition} fonction dfinissant la condition
* d'affichage de l'action.
* @param {String_Obligatoire} alternate : {@link #alternate alternate} texte alternatif de l'outil.
* @param {String_Obligatoire} iconeOver : {@link #iconeOver iconeOver} icne "Over" de l'outil.
* @param {String_Obligatoire} iconeOut : {@link #iconeOut iconeOut} icne "Out" de l'outil.
* @param {Function_Obligatoire} fonction : {@link #fonction fonction} fonction principale de l'outil.
* @param {String_Optionnel} {@link #alternateValide alternateValide} texte alternatif de l'icne de validation.
* @param {String_Optionnel} {@link #iconeOverValide iconeOverValide} icne "Over" de validation.
* @param {String_Optionnel} {@link #iconeOutValide iconeOutValide} icne "Out" de validation.
* @param {Function_Optionnel} {@link #fonctionValide fonctionAnnule} fonction dclenche avant validation.
* @param {String_Optionnel} {@link #alternateAnnule alternateAnnule} texte alternatif de l'icne d'annulation.
* @param {String_Optionnel} {@link #iconeOverAnnule iconeOverAnnule} icne "Over" d'annulation.
* @param {String_Optionnel} {@link #iconeOutAnnule iconeOutAnnule} icne "Out" d'annulation.
* @param {Function_Optionnel} {@link #fonctionAnnule fonctionAnnule} fonction dclenche lors de l'annulation.
* @version 2.2
* @date 23/08/2006
*/
function ObjectActionTab(id, type, condition, alternate, iconeOver, iconeOut, fonction)
{
	/**
	* L'lment argv dans la classe ObjectActionTab n'est pas une proprit, il permet de rcuprer dans
	* un tableau les arguments passs en paramtres du constructeur de la classe (utile dans le cas des
	* paramtres facultatifs, pour reprer les paramtres qui ont t soumis par le dveloppeur).
	* Il est dclar 'var'.
	* <br><br>
	* @private
	* @type String
	* @version 2.2
	* @date 23/08/2006
	*/
  var argv = ObjectActionTab.arguments;
  
	/**
	* L'lment argc  dans la classe ObjectActionTab n'est pas une proprit, il permet de rcuprer le
	* nombre d'arguments passs en paramtres du constructeur de la classe (utile dans le cas des paramtres
	* facultatifs, pour compter les paramtres  soumis par le dveloppeur).
	* Il est dclar 'var'.
	* <br><br>
	* @private
	* @type String
	* @version 2.2
	* @date 23/08/2006
	*/  
  var argc = ObjectActionTab.arguments.length;

	/**
	* C'est une chane de caractres dfinissant l'identifiant de l'action.
	* <br><br>
	* @private
	* @type String
	* @version 2.2
	* @date 23/08/2006
	*/
  this.id = id;
  
	/**
	* C'est un boolean indiquant si l'action est activ ou non.
	* <br>Il prend la valeur true, si elle doit tre active.
	* <br><b>Valeur par dfaut :</b> <a href='default-values_A3.html#ObjectOutilProp'>
	* Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @private
	* @type Boolean
	* @version 2.2
	* @date 23/08/2006
	*/
  this.blActivate = true;

	/**
	* C'est un entier dfinissant le type d'outil mise en place. On distingue comme type d'outil :
	* <br>- (FLAG_ACTION_SIMPLE) pour une action dont l'action est dclench directement (exemple : mode tendu), 
	* <br>- (FLAG_ACTION_VALIDER) pour une action dont l'action dclenche un premire tape devant tre valid ou
	* annul avant de dclencher l'action dfinitive (exemple : modofication, ou suppression),
	* <br>-<b>Voir aussi </b> <a href='constant-values_A3.html#Globales'>Valeurs des Constantes - Globales</a>:
	* FLAG_ACTION_SIMPLE, FLAG_ACTION_VALIDER 
	* <br><br>
	* @private
	* @type Int
	* @version 2.2
	* @date 23/08/2006
	*/
  this.type = type;

	/**
	* C'est un pointeur sur la fonction permettant de dterminer les conditions d'affichage de l'action.
	* <br><br>
	* @private
	* @type Function
	* @version 2.2
	* @date 23/08/2006
	*/
  this.condition = condition;

	/**
	* C'est une chane de caractres dfinissant le texte alternatif associ  l'action.
	* <br><br>
	* @private
	* @type String
	* @version 2.2
	* @date 23/08/2006
	*/
  this.alternate = alternate;
  
	/**
	* C'est une chane de caractres dfinissant l'icne principale Over de l'action.
	* <br><br>
	* @private
	* @type String
	* @version 2.2
	* @date 23/08/2006
	*/
  this.iconeOver = iconeOver;
  
	/**
	* C'est une chane de caractres dfinissant l'icne principale Out de l'action.
	* <br><br>
	* @private
	* @type String
	* @version 2.2
	* @date 23/08/2006
	*/
  this.iconeOut = iconeOut;
  
	/**
	* C'est un pointeur sur la fonction  excuter. Cette action est excute ds que l'on :
	* <br>- clic sur l'icne si l'action est de type FLAG_ACTION_SIMPLE,
	* <br>- valide l'action si l'action est de type FLAG_ACTION_VALIDE,
	* <br><br>
	* @private
	* @type Function
	* @version 2.2
	* @date 23/08/2006
	*/
  this.fonction = fonction;
  
	/**
	* C'est une chane de caractres dfinissant le texte alternatif associ  l'icne de validaton de l'action.
	* <br><br>
	* @private
	* @type String
	* @version 2.2
	* @date 23/08/2006
	*/
  this.alternateValide = (argc > 7)?argv[7]:null;
  
	/**
	* C'est une chane de caractres dfinissant l'icne Over de validation pour l'action.
	* <br><br>
	* @private
	* @type String
	* @version 2.2
	* @date 23/08/2006
	*/
  this.iconeOverValide = (argc > 8)?argv[8]:null;
  
	/**
	* C'est une chane de caractres dfinissant l'icne Out de validation pour l'action.
	* <br><br>
	* @private
	* @type String
	* @version 2.2
	* @date 23/08/2006
	*/
  this.iconeOutValide = (argc > 9)?argv[9]:null;
  
	/**
	* C'est un pointeur sur la fonction  excuter avant le lancement de l'outil. 
	* Cette action est excute ds que l'on clic sur l'icne, elle n'est utile que pour les 
	* outils de type FLAG_ACTION_VALIDE,
	* <br><br>
	* @private
	* @type String
	* @version 2.2
	* @date 23/08/2006
	*/
  this.fonctionValide = (argc > 10)?argv[10]:null;

	/**
	* C'est une chane de caractres dfinissant le texte alternatif associ  l'icne d'annulation de l'action.
	* <br><br>
	* @private
	* @type String
	* @version 2.2
	* @date 23/08/2006
	*/
  this.alternateAnnule = (argc > 11)?argv[11]:null;
  
	/**
	* C'est une chane de caractres dfinissant l'icne Over d'annulation pour l'action.
	* <br><br>
	* @private
	* @type String
	* @version 2.2
	* @date 23/08/2006
	*/
  this.iconeOverAnnule = (argc > 12)?argv[12]:null;
  
	/**
	* C'est une chane de caractres dfinissant l'icne Out d'annulation pour l'action.
	* <br><br>
	* @private
	* @type String
	* @version 2.2
	* @date 23/08/2006
	*/
  this.iconeOutAnnule = (argc > 13)?argv[13]:null;
  
	/**
	* C'est un pointeur sur la fonction  excuter en cas d'annulation de l'action associe  l'outil. 
	* Cette action est excute ds que l'on clic sur l'icne d'annulation, elle n'est utile que pour les 
	* outils de type FLAG_ACTION_VALIDE.
	* <br><br>
	* @private
	* @type Function
	* @version 2.2
	* @date 23/08/2006
	*/
  this.fonctionAnnule = (argc > 14)?argv[14]:null;

  // Mthodes de l'objet
}


// Constructeur pour le composant tableau

/**
* La fonction ComposantTableau_constructor() permet l'instanciation d'un l'objet
* {@link ComposantTableau ComposantTableau}.
* @see ComposantTableau
* @public
* @param {} Aucun
* @return {void}
* @version 2.4
* @date 14/11/2006
*/
function ComposantTableau_constructor()
{
  if (this.divBind == null)
    this.initDivBind();
  if (this.XMLObjectInfos != null)
    this.initInfosByXML();

  if (this.XMLData == null) {
		if (this.urlXMLData != null) {
    	this.XMLData = new parent.XMLObject(null, null, "window.frames['CONTENU_WIN'].Generique_retourXML('"+this.id+"')", this.urlXMLData, false);
  	} else {
    	// Cas d'initialisation d'un tableau vide
  		this.XMLData = new parent.XMLObject(null, null, "window.frames['CONTENU_WIN'].Generique_retourXML('"+this.id+"')", null, false);
  	}
  }
}


// Fonction pour initialiser  partir d'un flux XML les attributs paramtrables du composant tableau.

/**
* La mthode prive initInfosGeneraleByXML() initialise les attributs gnraux paramtrables du composant tableau 
*  partir d'un flux XML.
* @private
* @param {} Aucun
* @return {void}
* @version 2.3
* @date 28/09/2006
*/
function ComposantTableau_initInfosGeneraleByXML()
{
  var titreXML = parent.getDataElement(this.XMLObjectInfos.xmlDoc,"TITRE");
  var piedXML = parent.getDataElement(this.XMLObjectInfos.xmlDoc,"PIED");

  var get = parent.getDataElement(this.XMLObjectInfos.xmlDoc,"TITRE_PRESENT");
  flagTitreXML = (get)?eval(get):FLAG_TOUJOURS;
  var get = parent.getDataElement(this.XMLObjectInfos.xmlDoc,"ENTETE_PRESENT");
  flagEnteteXML = (get)?eval(get):FLAG_TOUJOURS;
  var get = parent.getDataElement(this.XMLObjectInfos.xmlDoc,"OUTIL_PRESENT");
  flagOutilXML = (get)?eval(get):FLAG_TOUJOURS;
  var get = parent.getDataElement(this.XMLObjectInfos.xmlDoc,"PIED_PRESENT");
  flagPiedXML = (get)?eval(get):FLAG_TOUJOURS;
  var get = parent.getDataElement(this.XMLObjectInfos.xmlDoc,"DECO_PRESENT");
  flagDecoXML = (get)?eval(get):FLAG_TOUJOURS;
  var get = parent.getDataElement(this.XMLObjectInfos.xmlDoc,"PAGER_PRESENT");
  flagPagerXML = (get)?eval(get):FLAG_TOUJOURS;
  var get = parent.getDataElement(this.XMLObjectInfos.xmlDoc,"TYPE_POLICE");
  flagPoliceXML = (get)?eval(get):FLAG_POLICE_STANDARD;

  var fctStyleXML = parent.getDataElement(this.XMLObjectInfos.xmlDoc,"STYLE_LIGNE");
  if ((!fctStyleXML) || (fctStyleXML == "")) fctStyleXML=null;

  var largeurXML = parent.getDataElement(this.XMLObjectInfos.xmlDoc,"LARGEUR_TAB");
  var hauteurXML = parent.getDataElement(this.XMLObjectInfos.xmlDoc,"HAUTEUR_TAB");
  var ecartXML = parent.getDataElement(this.XMLObjectInfos.xmlDoc,"ECART_TAB");
  if (ecartXML == false) ecartXML=null;
  var donneeListeXML = parent.getDataElement(this.XMLObjectInfos.xmlDoc,"DATA_LISTE");
  var donneeLigneXML = parent.getDataElement(this.XMLObjectInfos.xmlDoc,"DATA_LIGNE");
  var largeurListeXML = null;
  if (this.boolListe)
    largeurListeXML = parent.getDataElement(this.XMLObjectInfos.xmlDoc,"LARGEUR_LST");
  var largeurEtendueXML = parent.getDataElement(this.XMLObjectInfos.xmlDoc,"LARGEUR_ALT");
  var messageVideXML = parent.getDataElement(this.XMLObjectInfos.xmlDoc,"MESSAGE_VIDE");
  var messageFiltreVideXML = parent.getDataElement(this.XMLObjectInfos.xmlDoc,"MESSAGE_FILTRE_VIDE");
  var messageErreurPopupXML = parent.getDataElement(this.XMLObjectInfos.xmlDoc,"MESSAGE_ERREUR_POPUP");
  var fonctionOnloadXML = parent.getDataElement(this.XMLObjectInfos.xmlDoc,"ONLOAD");
  var typeTriXML = parent.getDataElement(this.XMLObjectInfos.xmlDoc,"TYPE_TRI");
  this.initEtat(donneeListeXML, donneeLigneXML, messageVideXML, messageFiltreVideXML, messageErreurPopupXML, fonctionOnloadXML, typeTriXML);  

  var itemPager = parent.getElements(this.XMLObjectInfos.xmlDoc,"PAGER");
  var nbMaxLignes=0;
  var sidePager='left';
  var postNumberRecXML = false;
  var flagPager=flagPagerXML;
  if (itemPager.length != 0)
  {
    var boolPager = false;
    nbMaxLignes = false;
    nbMaxLignes = parent.getDataElement(itemPager[0],"MAX_LIGNES");
    sidePager = parent.getDataElement(itemPager[0],"SIDE");
    postNumberRecXML = parent.getDataElement(itemPager[0],"POST_NUMBER_REC");
    
    if ((!nbMaxLignes) || (nbMaxLignes == ""))
      nbMaxLignes = false;
    if (nbMaxLignes) {
      boolPager = true;
      flagPager = FLAG_PAGINE;
    }
    if ((!sidePager) || (sidePager == ""))
      sidePager = 'left';
  	}
		if(postNumberRecXML!="" && postNumberRecXML!=null &&  postNumberRecXML!=false && postNumberRecXML!="false")
			postNumberRecXML = true;

	if (hauteurXML == false) {
		blScrollbar=false;
		hauteurXML=0;
	} else
		blScrollbar=true;
		
  this.objPresentation=new ObjectPresentation(titreXML,flagTitreXML,flagEnteteXML,flagOutilXML,piedXML,flagPiedXML,nbMaxLignes,sidePager,postNumberRecXML,flagPager,flagDecoXML,flagPoliceXML,ecartXML,blScrollbar,hauteurXML,largeurXML,largeurListeXML,largeurEtendueXML,fctStyleXML);
  	
	if ((this.objPresentation.blScrollbarVerticale) && (window.ActiveXObject))
		this.boolRolloverLigne=false;
	
	  
  // Initialisation de la valeur de la marge
  this.marge = parent.getDataElement(this.XMLObjectInfos.xmlDoc,"LARGEUR_MARGE");
}


// Fonction pour initialiser  partir d'un flux XML les attributs paramtrables du composant tableau

/**
* La mthode prive initInfosAlternateByXML() initialise les attributs de texte altern paramtrables du composant
* tableau  partir d'un flux XML.
* @private
* @param {} Aucun
* @return {void}
* @version 2.3
* @date 28/09/2006
*/
function ComposantTableau_initInfosAlternateByXML()
{
  var itemAlts = parent.getElements(this.XMLObjectInfos.xmlDoc,"ALTS");
  var testAlts = (itemAlts.length != 0);

  var get = (testAlts)?parent.getDataElement(itemAlts[0],"ALT_TRI_DECROISSANT"):false;
  var alt_triDecroissantXML = (get == false)?getLibelle("ALT_TAB_TRIDECROISSANT"):get;
  var get = (testAlts)?parent.getDataElement(itemAlts[0],"ALT_TRI_CROISSANT"):false;
  var alt_triCroissantXML = (get == false)?getLibelle("ALT_TAB_TRICROISSANT"):get;
  var get = (testAlts)?parent.getDataElement(itemAlts[0],"ALT_VERSION_NORNALE"):false;
  var alt_versionNormaleXML = (get == false)?getLibelle("ALT_TAB_VERSIONNORMALE"):get;
  var get = (testAlts)?parent.getDataElement(itemAlts[0],"ALT_VERSION_REDUITE"):false;
  var alt_versionReduiteXML = (get == false)?getLibelle("ALT_TAB_VERSIONREDUITE"):get;
  var get = (testAlts)?parent.getDataElement(itemAlts[0],"ALT_FIRST_PAGE"):false;
  var alt_firstPageXML = (get == false)?getLibelle("ALT_TAB_FIRSTPAGE"):get;
  var get = (testAlts)?parent.getDataElement(itemAlts[0],"ALT_PREVIOUS_PAGE"):false;
  var alt_previousPageXML = (get == false)?getLibelle("ALT_TAB_PREVIOUSPAGE"):get;
  var get = (testAlts)?parent.getDataElement(itemAlts[0],"ALT_NEXT_PAGE"):false;
  var alt_nextPageXML = (get == false)?getLibelle("ALT_TAB_NEXTPAGE"):get;
  var get = (testAlts)?parent.getDataElement(itemAlts[0],"ALT_LAST_PAGE"):false;
  var alt_lastPageXML = (get == false)?getLibelle("ALT_TAB_LASTPAGE"):get;
  this.initAlts(alt_triDecroissantXML, alt_triCroissantXML, alt_versionNormaleXML, alt_versionReduiteXML, alt_firstPageXML, alt_previousPageXML, alt_nextPageXML, alt_lastPageXML);	
}


// Fonction pour initialiser  partir d'un flux XML les attributs paramtrables du composant tableau

/**
* La mthode prive initInfosActionsByXML() initialise les attributs de dfinition des actions paramtrables
* du composant tableau.
*  partir d'un flux XML.
* @private
* @param {} Aucun
* @return {void}
* @version 2.3
* @date 28/09/2006
*/
function ComposantTableau_initInfosActionsByXML()
{
  var itemAlts = parent.getElements(this.XMLObjectInfos.xmlDoc,"ALTS");
  var testAlts = (itemAlts.length != 0);

  var get = (testAlts)?parent.getDataElement(itemAlts[0],"ALT_EDIT"):false;
  var alt_editXML = (get == false)?getLibelle("ALT_TAB_EDIT"):get;
  var get = (testAlts)?parent.getDataElement(itemAlts[0],"ALT_SUPPRESSION"):false;
  var alt_supprXML = (get == false)?getLibelle("ALT_TAB_SUPPR"):get;
  var get = (testAlts)?parent.getDataElement(itemAlts[0],"ALT_DETAIL"):false;
  var alt_detailXML = (get == false)?getLibelle("ALT_TAB_DETAIL"):get;
  var get = (testAlts)?parent.getDataElement(itemAlts[0],"ALT_DETAIL_PDF"):false;
  var alt_detailPdfXML = (get == false)?getLibelle("ALT_TAB_DETAILPDF"):get;
  var get = (testAlts)?parent.getDataElement(itemAlts[0],"ALT_SAVE"):false;
  var alt_saveXML = (get == false)?getLibelle("ALT_TAB_SAVE"):get;
  var get = (testAlts)?parent.getDataElement(itemAlts[0],"ALT_VALIDER_SUPPRESSION"):false;
  var alt_validerSupprXML = (get == false)?getLibelle("ALT_TAB_VALIDERSUPPR"):get;
  var get = (testAlts)?parent.getDataElement(itemAlts[0],"ALT_ANNULER_SUPPRESSION"):false;
  var alt_annulerSupprXML = (get == false)?getLibelle("ALT_TAB_ANNULERSUPPR"):get;
  var get = (testAlts)?parent.getDataElement(itemAlts[0],"ALT_VALIDER_EDITION"):false;
  var alt_validerEditXML = (get == false)?getLibelle("ALT_TAB_VALIDEREDIT"):get;
  var get = (testAlts)?parent.getDataElement(itemAlts[0],"ALT_ANNULER_EDITION"):false;
  var alt_annulerEditXML = (get == false)?getLibelle("ALT_TAB_ANNULEREDIT"):get;

  var itemActions = parent.getElements(this.XMLObjectInfos.xmlDoc,"ACTIONS");
  if (itemActions.length != 0) {
  	var i = 0;
    var boolActions = false;
    
    var boolEdit = true;
    var boolSuppr = true;
    var boolDetail = true;
    var boolDetailPdf = true;
    var boolSave = true;

    var fonctionEdit = parent.getDataElement(itemActions[0],"ACTION_EDITION");
    var fonctionEditEcrireHTML = parent.getDataElement(itemActions[0],"FONCTION_EDITION_HTML");
    var fonctionSuppr = parent.getDataElement(itemActions[0],"ACTION_SUPPRESSION");
    var fonctionDetail = parent.getDataElement(itemActions[0],"ACTION_DETAIL");
    var fonctionDetailPdf = parent.getDataElement(itemActions[0],"ACTION_DETAILPDF");
    var fonctionSave = parent.getDataElement(itemActions[0],"ACTION_SAVE");
    
    if ((!fonctionEdit) || (fonctionEdit == ""))
      boolEdit = false;
    else if ((!fonctionEditEcrireHTML) || (fonctionEditEcrireHTML == ""))
    	this.tabActions[i++] = new ObjectActionTab("action_edit",FLAG_ACTION_SIMPLE,null
																					 ,alt_editXML,icone_editerover_src,icone_editer_src,fonctionEdit);
    else
    	this.tabActions[i++] = new ObjectActionTab("action_edit",FLAG_ACTION_VALIDER,null
																					 ,alt_editXML,icone_editerover_src,icone_editer_src,fonctionEdit
																					 ,alt_validerEditXML,icone_validerover_src,icone_valider_src,fonctionEditEcrireHTML
																					 ,alt_annulerEditXML,icone_annulerover_src,icone_annuler_src,null);
    
    if ((!fonctionSuppr) || (fonctionSuppr == ""))
      boolSuppr = false;
		else
    	this.tabActions[i++] = new ObjectActionTab("action_suppr",FLAG_ACTION_VALIDER,null
																					 ,alt_supprXML,icone_supprimerover_src,icone_supprimer_src,fonctionSuppr
																					 ,alt_validerSupprXML,icone_validerover_src,icone_valider_src,this.id+'.ecrireHTMLSuppr()'
																					 ,alt_annulerSupprXML,icone_annulerover_src,icone_annuler_src,null);

    if ((!fonctionDetail) || (fonctionDetail == ""))
      boolDetail = false;
    else
    	this.tabActions[i++] = new ObjectActionTab("action_detail",FLAG_ACTION_SIMPLE,null
																					 ,alt_detailXML,icone_detailover_src,icone_detail_src,fonctionDetail);
        
    if ((!fonctionDetailPdf) || (fonctionDetailPdf == ""))
      boolDetailPdf = false;
    else
    	this.tabActions[i++] = new ObjectActionTab("action_detailpdf",FLAG_ACTION_SIMPLE,null
																					 ,alt_detailPdfXML,icone_detailpdfover_src,icone_detailpdf_src,fonctionDetailPdf);
       
    if ((!fonctionSave) || (fonctionSave == ""))
      boolSave = false;
    else
    	this.tabActions[i++] = new ObjectActionTab("action_save",FLAG_ACTION_SIMPLE,null
																					 ,alt_saveXML,icone_save_src,icone_save_src,fonctionSave);

    if ((boolEdit) || (boolSuppr) || (boolDetail) || (boolDetailPdf) || (boolSave))
      boolActions = true;

  	this.boolActions = boolActions;
  	this.boolActionActif = true;
		this.actionEnCours = -1;
  }

  var itemActionsPerso = parent.getElements(this.XMLObjectInfos.xmlDoc,"ACTIONS_PERSO");
  if (itemActionsPerso.length != 0) {
  	var itemActionPerso = parent.getElements(this.XMLObjectInfos.xmlDoc,"ACTION_PERSO");
		for (j=0 ; j<itemActionPerso.length ; j++) {
		  var get = parent.getDataElement(itemActionPerso[j],"ALT");
		  var alt = ((get == false) || (get == ""))?null:get;
		  var get = parent.getDataElement(itemActionPerso[j],"ICONEOVER");
		  var iconeoversrc = ((get == false) || (get == ""))?null:get;
		  var get = parent.getDataElement(itemActionPerso[j],"ICONEOUT");
		  var iconesrc = ((get == false) || (get == ""))?null:get;
		  var get = parent.getDataElement(itemActionPerso[j],"FONCTION");
		  var fonction = ((get == false) || (get == ""))?null:get;
	
		  var get = parent.getDataElement(itemActionPerso[j],"ALT_VALIDER");
		  var alt_valider = ((get == false) || (get == ""))?null:get;
		  var get = parent.getDataElement(itemActionPerso[j],"ICONEOVER_VALIDER");
		  var iconeoversrc_valider = ((get == false) || (get == ""))?null:get;
		  var get = parent.getDataElement(itemActionPerso[j],"ICONEOUT_VALIDER");
		  var iconesrc_valider = ((get == false) || (get == ""))?null:get;
		  var get = parent.getDataElement(itemActionPerso[j],"FONCTION_VALIDER");
		  var fonction_valider = ((get == false) || (get == ""))?null:get;

		  var get = parent.getDataElement(itemActionPerso[j],"ALT_ANNULER");
		  var alt_annuler = ((get == false) || (get == ""))?null:get;
		  var get = parent.getDataElement(itemActionPerso[j],"ICONEOVER_ANNULER");
		  var iconeoversrc_annuler = ((get == false) || (get == ""))?null:get;
		  var get = parent.getDataElement(itemActionPerso[j],"ICONEOUT_ANNULER");
		  var iconesrc_annuler = ((get == false) || (get == ""))?null:get;
		  var get = parent.getDataElement(itemActionPerso[j],"FONCTION_ANNULER");
		  var fonction_annuler = ((get == false) || (get == ""))?null:get;

    	this.tabActions[i++] = new ObjectActionTab(parent.getDataElement(itemActionPerso[j],"IDENTIFIANT")
    																			 ,eval(parent.getDataElement(itemActionPerso[j],"TYPE")),parent.getDataElement(itemActionPerso[j],"CONDITION")
																					 ,alt,iconeoversrc,iconesrc,fonction
																					 ,alt_valider,iconeoversrc_valider,iconesrc_valider,fonction_valider
																					 ,alt_annuler,iconeoversrc_annuler,iconesrc_annuler,fonction_annuler);
			this.boolActions = true;
			this.boolActionActif = true;																			
		}
  }
}


// Fonction pour initialiser  partir d'un flux XML les attributs paramtrables du composant tableau

/**
* La mthode prive initInfosOutilsByXML() initialise les attributs de dfintion des outils paramtrables
* du composant tableau  partir d'un flux XML.
* @private
* @param {} Aucun
* @return {void}
* @version 2.5
* @date 10/11/2006
*/
function ComposantTableau_initInfosOutilsByXML()
{
  var itemAlts = parent.getElements(this.XMLObjectInfos.xmlDoc,"ALTS");
  var testAlts = (itemAlts.length != 0);

  var get = (testAlts)?parent.getDataElement(itemAlts[0],"ALT_PARAMETERSAVE"):false;
  var alt_parameterSave = (get == false)?getLibelle("ALT_TAB_PARAMETERSAVE"):get;
  var get = (testAlts)?parent.getDataElement(itemAlts[0],"ALT_REFRESH"):false;
  var alt_refreshXML = (get == false)?getLibelle("ALT_TAB_REFRESH"):get;
  var get = (testAlts)?parent.getDataElement(itemAlts[0],"ALT_TRI_CROISSANT"):false;
  var alt_triCroissantXML = (get == false)?getLibelle("ALT_TAB_TRICROISSANT"):get;
  var get = (testAlts)?parent.getDataElement(itemAlts[0],"ALT_TRI_DECROISSANT"):false;
  var alt_triDecroissantXML = (get == false)?getLibelle("ALT_TAB_TRIDECROISSANT"):get;
  var get = (testAlts)?parent.getDataElement(itemAlts[0],"ALT_AJOUT"):false;
  var alt_ajoutXML = (get == false)?getLibelle("ALT_TAB_AJOUT"):get;
  var get = (testAlts)?parent.getDataElement(itemAlts[0],"ALT_EXPORT_EXCELL"):false;
  var alt_exportExcellXML = (get == false)?getLibelle("ALT_TAB_EXPORTEXCELL"):get;
  var get = (testAlts)?parent.getDataElement(itemAlts[0],"ALT_EXPORT_CSV"):false;
  var alt_exportCsvXML = (get == false)?getLibelle("ALT_TAB_EXPORTCSV"):get;
  var get = (testAlts)?parent.getDataElement(itemAlts[0],"ALT_FILTRE"):false;
  var alt_filtreXML = (get == false)?getLibelle("ALT_TAB_FILTRE"):get;
  var get = (testAlts)?parent.getDataElement(itemAlts[0],"ALT_FILTRE_TITRES"):false;
  var alt_filtreTitresXML = (get == false)?getLibelle("ALT_TAB_FILTRE_TITRES"):get;
  var get = (testAlts)?parent.getDataElement(itemAlts[0],"ALT_VERSION_ETENDUE"):false;
  var alt_versionEtendueXML = (get == false)?getLibelle("ALT_TAB_VERSIONETENDUE"):get;
  var get = (testAlts)?parent.getDataElement(itemAlts[0],"ALT_GESTION_COL"):false;
  var alt_GestionColonnesXML = (get == false)?getLibelle("ALT_TAB_GESTION_COL"):get;
  var get = (testAlts)?parent.getDataElement(itemAlts[0],"ALT_EXPORT_XML"):false;
  var alt_ExportXmlXML = (get == false)?getLibelle("ALT_TAB_EXPORT_XML"):get;
  var get = (testAlts)?parent.getDataElement(itemAlts[0],"ALT_VALIDER_FILTRE"):false;
  var alt_validerFiltreXML = (get == false)?getLibelle("ALT_TAB_VALIDERFILTRE"):get;
  var get = (testAlts)?parent.getDataElement(itemAlts[0],"ALT_ANNULER_FILTRE"):false;
  var alt_annulerFiltreXML = (get == false)?getLibelle("ALT_TAB_ANNULERFILTRE"):get;
  var get = (testAlts)?parent.getDataElement(itemAlts[0],"ALT_ANNULER_FILTRE_TOUT"):false;
  var alt_annulerFiltreToutXML = (get == false)?getLibelle("ALT_TAB_ANNULERFILTRETOUT"):get;
  var get = (testAlts)?parent.getDataElement(itemAlts[0],"ALT_VALIDER_AJOUT"):false;
  var alt_validerAjoutXML = (get == false)?getLibelle("ALT_TAB_VALIDERAJOUT"):get;
  var get = (testAlts)?parent.getDataElement(itemAlts[0],"ALT_ANNULER_AJOUT"):false;
  var alt_annulerAjoutXML = (get == false)?getLibelle("ALT_TAB_ANNULERAJOUT"):get;
  var get = (testAlts)?parent.getDataElement(itemAlts[0],"ALT_TRI_NUL"):false;
  var alt_triNulXML = (get == false)?getLibelle("ALT_TAB_TRINUL"):get;    
  

  var itemOutils = parent.getElements(this.XMLObjectInfos.xmlDoc,"OUTILS");
  if (itemOutils.length != 0) {
  	var i = 0;
    var boolOutils = false;
    
    var boolAjout = true;
    var boolFiltre = true;
    var boolVersionEtendue = true;
    var boolExportXML = true;
    var boolParametterSave = parent.getDataElement(itemOutils[0],"ACTION_PARAMETER_SAVE_PRESENT");
    var boolRefresh = parent.getDataElement(itemOutils[0],"ACTION_REFRESH_PRESENT");
    var fonctionAjout = parent.getDataElement(itemOutils[0],"ACTION_AJOUT");
    var fonctionAjoutEcrireHTML = parent.getDataElement(itemOutils[0],"FONCTION_AJOUT_HTML");
    var fonctionFiltreEcrireHTML = parent.getDataElement(itemOutils[0],"FONCTION_FILTRE_HTML");
    var boolExportExcell = parent.getDataElement(itemOutils[0],"ACTION_EXPORT_XLS");
    var boolExportCsv = parent.getDataElement(itemOutils[0],"ACTION_EXPORT_CSV");
    var boolVersionEtendue = parent.getDataElement(itemOutils[0],"ACTION_ETENDUE_PRESENT");
    var boolTri = parent.getDataElement(itemOutils[0],"ACTION_TRI_PRESENT");
    var boolFiltreTitres = parent.getDataElement(itemOutils[0],"ACTION_FILTRE_TITRES_PRESENT");
    var boolGestionCol = parent.getDataElement(itemOutils[0],"ACTION_GESTION_COLONNES_PRESENT");
    var fonctionExportXML = parent.getDataElement(itemOutils[0],"FONCTION_EXPORT_XML");
        
    //gestion de l'outil par dfaut "ParametterSave"
    if ((boolParametterSave) || (boolParametterSave == "true") || (boolParametterSave == "OUI")) {
     	this.setCookieName(this.id);
     	this.tabOutils[i++] = new ObjectOutilTab("outil_parameterSave",FLAG_OUTIL_SIMPLE,null
																					 ,alt_parameterSave,icone_parameterSaveover_src,icone_parameterSave_src,this.id+'.manageParameterSetting()');
    }
    
    // gestion de l'outil par dfaut "Refresh"
    if ((boolRefresh) || (boolRefresh == "true") || (boolRefresh == "OUI"))
     	this.tabOutils[i++] = new ObjectOutilTab("outil_refresh",FLAG_OUTIL_SIMPLE,null
																					 ,alt_refreshXML,icone_refreshover_src,icone_refresh_src,this.id+'.refresh()');
       
    // gestion de l'outil par dfaut "Ajout"
    if ((!fonctionAjout) || (fonctionAjout == ""))
      boolAjout = false;
    else if ((!fonctionAjoutEcrireHTML) || (fonctionAjoutEcrireHTML == ""))
			this.tabOutils[i++] = new ObjectOutilTab("outil_ajout",FLAG_OUTIL_SIMPLE,null
																					 ,alt_ajoutXML,icone_ajouterover_src,icone_ajouter_src,fonctionAjout);
    else
			this.tabOutils[i++] = new ObjectOutilTab("outil_ajout",FLAG_OUTIL_VALIDER,null
																					 ,alt_ajoutXML,icone_ajouterover_src,icone_ajouter_src,fonctionAjout
																					 ,FLAG_POSITION_BODY
																					 ,alt_validerAjoutXML,icone_validerover_src,icone_valider_src,fonctionAjoutEcrireHTML
																					 ,alt_annulerAjoutXML,icone_annulerover_src,icone_annuler_src,null);
			          
    if ((!fonctionFiltreEcrireHTML) || (fonctionFiltreEcrireHTML == ""))
      boolFiltre = false;
		else 
			this.tabOutils[i++] = new ObjectOutilTab("outil_filtre",FLAG_OUTIL_VALIDER_ET_RETARRIERE,null
																					 ,alt_filtreXML,icone_filtrerover_src,icone_filtrer_src,this.id+'.filtrer()'
																					 ,FLAG_POSITION_OUTIL
																					 ,alt_validerFiltreXML,icone_validerover_src,icone_valider_src,fonctionFiltreEcrireHTML
																					 ,alt_annulerFiltreXML,icone_annulerover_src,icone_annuler_src,null
																					 ,alt_annulerFiltreToutXML,icone_annulerfiltrerover_src,icone_annulerfiltrer_src,this.id+'.annuleFiltre()');
     
    if ((boolExportExcell == "true") || (boolExportExcell == "OUI")) {
      this.tabOutils[i++] = new ObjectOutilTab("outil_exportexcel",FLAG_OUTIL_SIMPLE,null,alt_exportExcellXML,icone_exporterexcelover_src,icone_exporterexcel_src,this.id + '.excelExport(\'' + excelExport_url + '\')');  
    }
    
    if ((boolExportCsv == "true") || (boolExportCsv == "OUI")) {
      this.tabOutils[i++] = new ObjectOutilTab("outil_exportcsv",FLAG_OUTIL_SIMPLE,null,alt_exportCsvXML,icone_exportercsvover_src,icone_exportercsv_src,this.id + '.excelExport(\'' + csvExport_url + '\')');  
    }

    if ((!boolVersionEtendue) || ((boolVersionEtendue != "true") && (boolVersionEtendue != "OUI")))
    {
      boolVersionEtendue = false;
    }else 
      this.tabOutils[i++] = new ObjectOutilTab("outil_etendue",FLAG_OUTIL_SIMPLE,null,alt_versionEtendueXML,icone_agrandirover_src,icone_agrandir_src,this.id+'.versionEtendue()');


		if ((!boolGestionCol) || ((boolGestionCol != "true") && (boolGestionCol != "OUI")))
    {
      boolGestionCol = false;
    }else 
      this.tabOutils[i++] = new ObjectOutilTab("outil_gestioncol",FLAG_OUTIL_SIMPLE,null,alt_GestionColonnesXML,icone_colonneover_src,icone_colonne_src,this.id+'.gestionColonne()');

		if ((!fonctionExportXML) || (fonctionExportXML == ""))
    {
      boolExportXML = false;
    }else 
      this.tabOutils[i++] = new ObjectOutilTab("outil_exportxml",FLAG_OUTIL_SIMPLE,null,alt_ExportXmlXML,icone_exporterxmlover_src,icone_exporterxml_src,fonctionExportXML);



		if ((!boolTri) || (boolTri == ""))
    {
      boolTri = false;
    }else{
			//Gestion de l'icone de tri dans la barre d'outil du tableur
			if(this.tabObjectOutilTri){
				//On stocke les diffrentes formes possibles pour l'image de tri
				this.tabObjectOutilTri.push(i);
				this.tabObjectOutilTri.push(new ObjectOutilTab("outil_triCroissant",FLAG_OUTIL_SIMPLE,null,alt_triCroissantXML,icone_tricroissantover_src,icone_tricroissant_src,this.id+'.triTableur(\'CROISSANT\')'));
				this.tabObjectOutilTri.push(new ObjectOutilTab("outil_triDecroissant",FLAG_OUTIL_SIMPLE,null,alt_triDecroissantXML,icone_tridecroissantover_src,icone_tridecroissant_src,this.id+'.triTableur(\'DECROISSANT\')'));
				this.tabObjectOutilTri.push(new ObjectOutilTab("outil_triNon",FLAG_OUTIL_SIMPLE,null,alt_triNulXML,icone_trinulover_src,icone_trinul_src,this.id+'.triTableur(\'NON\')'));
				//Insertion de l'image dans la barre d'outils
				this.tabOutils[i++] = this.tabObjectOutilTri[1];			
			}			
		}
		
		if ((!boolFiltreTitres) || (boolFiltreTitres == ""))
      boolFiltreTitres = false;
		else 
			this.tabOutils[i++] = new ObjectOutilTab("outil_filtreTitres",FLAG_OUTIL_SIMPLE,null,alt_filtreTitresXML,icone_filtrerover_src,icone_filtrer_src,this.id+'.ouvrirFiltreTitres()');
																					

    if ((boolRefresh) || (boolAjout) || (boolFiltre) || (boolExportExcell) || (boolVersionEtendue) || (boolGestionCol) || (boolTri) || (boolFiltreTitres))
      boolOutils = true;

  	this.boolOutils = boolOutils;
  	this.boolOutilActif = true;
		this.outilEnCours = -1;
  }   

  var itemOutilsPerso = parent.getElements(this.XMLObjectInfos.xmlDoc,"OUTILS_PERSO");
  if (itemOutilsPerso.length != 0) {
  	var itemOutilPerso = parent.getElements(this.XMLObjectInfos.xmlDoc,"OUTIL_PERSO");
		for (j=0 ; j<itemOutilPerso.length ; j++) {
		  var get = parent.getDataElement(itemOutilPerso[j],"ALT");
		  var alt = ((get == false) || (get == ""))?null:get;
		  var get = parent.getDataElement(itemOutilPerso[j],"ICONEOVER");
		  var iconeoversrc = ((get == false) || (get == ""))?null:get;
		  var get = parent.getDataElement(itemOutilPerso[j],"ICONEOUT");
		  var iconesrc = ((get == false) || (get == ""))?null:get;
		  var get = parent.getDataElement(itemOutilPerso[j],"FONCTION");
		  var fonction = ((get == false) || (get == ""))?null:get;
	
		  var get = parent.getDataElement(itemOutilPerso[j],"ALT_VALIDER");
		  var alt_valider = ((get == false) || (get == ""))?null:get;
		  var get = parent.getDataElement(itemOutilPerso[j],"ICONEOVER_VALIDER");
		  var iconeoversrc_valider = ((get == false) || (get == ""))?null:get;
		  var get = parent.getDataElement(itemOutilPerso[j],"ICONEOUT_VALIDER");
		  var iconesrc_valider = ((get == false) || (get == ""))?null:get;
		  var get = parent.getDataElement(itemOutilPerso[j],"FONCTION_VALIDER");
		  var fonction_valider = ((get == false) || (get == ""))?null:get;

		  var get = parent.getDataElement(itemOutilPerso[j],"ALT_ANNULER");
		  var alt_annuler = ((get == false) || (get == ""))?null:get;
		  var get = parent.getDataElement(itemOutilPerso[j],"ICONEOVER_ANNULER");
		  var iconeoversrc_annuler = ((get == false) || (get == ""))?null:get;
		  var get = parent.getDataElement(itemOutilPerso[j],"ICONEOUT_ANNULER");
		  var iconesrc_annuler = ((get == false) || (get == ""))?null:get;
		  var get = parent.getDataElement(itemOutilPerso[j],"FONCTION_ANNULER");
		  var fonction_annuler = ((get == false) || (get == ""))?null:get;

		  var get = parent.getDataElement(itemOutilPerso[j],"ALT_ARRIERE");
		  var alt_arriere = ((get == false) || (get == ""))?null:get;
		  var get = parent.getDataElement(itemOutilPerso[j],"ICONEOVER_ARRIERE");
		  var iconeoversrc_arriere = ((get == false) || (get == ""))?null:get;
		  var get = parent.getDataElement(itemOutilPerso[j],"ICONEOUT_ARRIERE");
		  var iconesrc_arriere = ((get == false) || (get == ""))?null:get;
		  var get = parent.getDataElement(itemOutilPerso[j],"FONCTION_ARRIERE");
		  var fonction_arriere = ((get == false) || (get == ""))?null:get;

    	this.tabOutils[i++] = new ObjectOutilTab(parent.getDataElement(itemOutilPerso[j],"IDENTIFIANT")
    																			 ,eval(parent.getDataElement(itemOutilPerso[j],"TYPE")),parent.getDataElement(itemOutilPerso[j],"CONDITION")
																					 ,alt,iconeoversrc,iconesrc,fonction
																					 ,eval(parent.getDataElement(itemOutilPerso[j],"POSITION"))
																					 ,alt_valider,iconeoversrc_valider,iconesrc_valider,fonction_valider
																					 ,alt_annuler,iconeoversrc_annuler,iconesrc_annuler,fonction_annuler
																					 ,alt_arriere,iconeoversrc_arriere,iconesrc_annuler,fonction_arriere);																					 
			this.boolOutils = true;
			this.boolOutilActif = true;																			
		}
  }
}


// Fonction pour initialiser  partir d'un flux XML les attributs paramtrables du composant tableau

/**
* La mthode prive initInfosByXML() initialise les attributs paramtrables du composant tableau 
*  partir d'un flux XML.
* @private
* @param {} Aucun
* @return {void}
* @version 2.3
* @date 28/09/2006
*/
function ComposantTableau_initInfosByXML()
{
	
  this.initInfosGeneraleByXML();
  this.initInfosAlternateByXML();
	this.initInfosOutilsByXML();
	this.initInfosActionsByXML();
	
  if (this.tabColonnes.length == 0)
	this.initTabByXML();
}


// Fonction pour initialiser  partir d'un flux XML le contenu du tableau refltant l'ensemble des
// colonnes prsentes dans le composant tableau

/**
* La mthode prive initTabByXML() initialise  partir d'un flux XML le contenu du tableau,
* refltant l'ensemble des colonnes prsentes.
* @private
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantTableau_initTabByXML()
{
	// Initialisation des colonnes
	var itemsColonne = parent.getElements(this.XMLObjectInfos.xmlDoc,"COLONNE");
	var i=0;
	for (i=0;i<itemsColonne.length;i++) {
		var type = parent.getDataElement(itemsColonne[i],"TYPE");
		var cache = parent.getDataElement(itemsColonne[i],"CACHE");
		if (type == "CHECKBOX") {
			if (this.checkboxesTab == null) {
			 
			    // We get the label of Inverse Selection Tool
			    var itemAlts = parent.getElements(this.XMLObjectInfos.xmlDoc,"ALTS");
                var testAlts = (itemAlts.length != 0);
                var get = (testAlts)?parent.getDataElement(itemAlts[0],"ALT_INVERSE_SELECTION"):false;
                var alt_inverseSelection = (get == false)?getLibelle("ALT_TAB_INVERSE_SELECTION"):get;
				var tool = new ObjectOutilTab("tool_checkbox_" + i,FLAG_OUTIL_CHECKBOX,null,alt_inverseSelection,icone_inverseSelectionover_src,icone_inverseSelection_src,null);
				if (cache == "NON") {
                    this.boolOutils = true;
				} else {
                    tool.blActivate = false;
				}
				// A tool is add for each checkbox column
				this.tabOutils.push(tool);
			} else {
			     
			     for(j=0; j < this.tabOutils.length; j++) {
			         
			         if (this.tabOutils[j].id == "tool_checkbox_" + i) {
			             if (cache == "NON") {
                             this.tabOutils[j].blActivate = true;
			             } else {
                             this.tabOutils[j].blActivate = false;
			             }
			         }
			     }
			}
		}
		var affichage=parent.getDataElement(itemsColonne[i],"AFFICHAGE");
		if ((!affichage) || (affichage == "")) affichage=null;
		this.tabColonnes[i] = new ObjectColonne(i,parent.getDataElement(itemsColonne[i],"LIBELLE"),type,affichage,parent.getDataElement(itemsColonne[i],"DATA"),parent.getDataElement(itemsColonne[i],"LARGEUR"),parent.getDataElement(itemsColonne[i],"LARGEURCOL_ALT"),parent.getDataElement(itemsColonne[i],"ALIGNEMENT"),parent.getDataElement(itemsColonne[i],"TRI"),cache);
	}
}


// Fonction pour valoriser l'tat du composant tableau

/**
* La mthode prive initEtat(titre, pied, largeur, donneeListe, donneeLigne, largeurListe, largeurEtendue,
* messageVide, messageFiltreVide, messageErreurPopup, fonctionOnload) valorise l'tat du composant tableau.
* @private
* @param {String_Obligatoire} donneeListe : Nom XML associ  la liste des enregistrements, dans le paramtrage XML.
* @param {String_Obligatoire} donneeLigne : Nom XML associ  un enregistrement, dans le paramtrage XML.
* @param {String_Facultatif} messageVide : Message  afficher en cas de contenu vide dans le tableau.
* @param {String_Facultatif} messageFiltreVide : Message  afficher en cas de contenu vide en rsultat d'un filtrage.
* @param {String_Facultatif} messageErreurPopup : Message  afficher en cas d'erreur sur l'affichage du contenu du tableau.
* @param {String_Facultatif} fonctionOnload : Nom de la fonction  excuter au chargement du tableau, dans le paramtrage XML. 
* @param {String_Facultatif} typeTri : Indicateur du type de tri  activer. 
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantTableau_initEtat(donneeListe, donneeLigne, messageVide, messageFiltreVide, messageErreurPopup, fonctionOnload, typeTri)
{
  this.donneeListe = donneeListe;
  this.donneeLigne = donneeLigne;
  if (messageVide)
    this.messageVide = messageVide;
  if (messageFiltreVide)
    this.messageFiltreVide = messageFiltreVide;
  if (messageErreurPopup)
    this.messageErreurPopup = messageErreurPopup;
  if (fonctionOnload)
    this.fonctionOnload = fonctionOnload;
  if (typeTri)
  	this.typeTri = eval(typeTri);
}


// Fonction pour valoriser les tooltips lis aux icones prsentes dans le tableau

/**
* La mthode prive initAlts(alt_triDecroissant, alt_triCroissant, alt_versionNormale, alt_versionReduite,
* alt_firstPage, alt_previousPage, alt_nextPage, alt_lastPage) valorise les textes alternatifs lis aux 
* icnes prsents dans le tableau.
* @private
* @param {String_Obligatoire} alt_triDecroissant : Texte alternatif associ  la flche de tri dans le sens dcroissant.
* @param {String_Obligatoire} alt_triCroissant : Texte alternatif associ  la flche de tri dans le sens croissant.
* @param {String_Obligatoire} alt_versionNormale : Texte alternatif associ  l'icne de rduction dans la barre d'outil.
* @param {String_Obligatoire} alt_versionReduite : Texte alternatif associ  l'icne de passage en taille normale dans la barre d'outil.
* @param {String_Obligatoire} alt_firstPage : Texte alternatif associ  l'accs  la premire page du tableau par la bote de slection.
* @param {String_Obligatoire} alt_previousPage : Texte alternatif associ au bouton d'accs  la page prcdente du tableau.
* @param {String_Obligatoire} alt_nextPage : Texte alternatif associ au bouton d'accs  la page suivante du tableau.
* @param {String_Obligatoire} alt_lastPage : Texte alternatif associ au bouton d'accs  la dernire page du tableau.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantTableau_initAlts(alt_triDecroissant, alt_triCroissant, alt_versionNormale, alt_versionReduite, alt_firstPage, alt_previousPage, alt_nextPage, alt_lastPage)
{
  this.alt_triDecroissant = alt_triDecroissant;
  this.alt_triCroissant = alt_triCroissant;
  this.alt_versionNormale = alt_versionNormale;
  this.alt_versionReduite = alt_versionReduite;
  this.alt_firstPage = alt_firstPage;
  this.alt_previousPage = alt_previousPage;
  this.alt_nextPage = alt_nextPage;
  this.alt_lastPage = alt_lastPage;
}


// Fonction pour valoriser le message  afficher lorsque le flux de donnes est vide

/**
* La mthode prive initMessageVide(messageVide) valorise le message  afficher lorsque le flux de donnes
* est vide, en renseignant l'attribut {@link #messageVide messageVide}.
* @private
* @param {String_Obligatoire} messageVide : Message  afficher en cas de contenu vide dans le tableau.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantTableau_initMessageVide(messageVide)
{
  this.messageVide = messageVide;
}


// Fonction pour valoriser le message  afficher lorsque les critres de filtre correspondent  aucune donne.

/**
* La mthode prive initMessageFiltreVide(messageFiltreVide) valorise le message  afficher lorsque les critres
* de filtre ne correspondent  aucune donne (renseigne l'attribut {@link #messageFiltreVide messageFiltreVide}).
* @private
* @param {String_Obligatoire} messageFiltreVide : message  afficher en cas de contenu vide en rsultat d'un filtrage.
* @return {void} 
* @version 1.1
* @date 25/10/2005
*/
function ComposantTableau_initMessageFiltreVide(messageFiltreVide)
{
  this.messageFiltreVide = messageFiltreVide;
}


// Fonction pour rapatrier le flux XML refltant les donnes prsentes dans le tableau

/**
* La mthode publique importData() dclenche l'appel de demande de rapatriement du flux XML li au contenu
* informatif du tableau afin de l'afficher.
* <br><br><b>Voir Exemple de gnration du code HTML associ au composant pour affichage : </b>
* <a href='exemples_A3.html#ComposantTableau_meth'>Exemples d'appels aux mthodes publiques</a>.
* @public
* @param {}  Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantTableau_importXML()
{
  // Vrification et rcupration de la sauvegarde  ventuelle des paramtrages
	this.getParameterSetting();

  // Appel du flux de data
  this.XMLData.importXML();
}


// Fonction appele aprs le retour du flux XML refltant les donnes prsentes dans le tableau

/**
* La mthode prive retourImportXML() est appele aprs le retour du flux XML, refltant les donnes
* prsentes dans le tableau.
* @private
* @param {} Aucun.
* @return {void}
* @version 2.4
* @date 14/11/2006
*/ 
function ComposantTableau_retourImportXML()
{
  var testErreur = this.XMLData.parseErrorXML(this.erreurXML);
  if (testErreur == 0)
  {
    this.triTout();
    if (this.fonctionOnload != null)
      eval(this.fonctionOnload);
  } else {
    if (this.erreurXML == "popup")
      this.ecrireBind(true,false,true);
  }
}

// Fonction pour gnrer le flux XML refltant les donnes telles que prsentes dans le tableau.
 
/**
* La mthode publique exportData() dclenche la gnration du flux XML correspondant au contenu
* du tableau tel que prsent, dans l'attribut XMLExport du composant.
* @public
* @param {} Aucun
* @return {void}
* @version 2.3
* @date 28/09/2006
*/
function ComposantTableau_exportXML()
{
	this.XMLExport= new parent.XMLObjectSauvegarde();

	// Initialisation du conteneur de ligne
	var newNodeListeData = this.XMLExport.xmlDoc.createElement(this.donneeListe);

	// Parcours du contenu du tableau
  var itemLignes = parent.getElements(this.XMLData.xmlDoc,this.donneeLigne);
  compteur_lignes = itemLignes.length;
	for (i=0 ; i<compteur_lignes ; i++) {
		// Gestion du filtrage
	  var test = true;
	  if (this.boolFiltrageEnCours)
	    test = this.testFiltre(i);
	  if (!test)
	  	continue;

	  // Gnration du XML d'une Ligne
		var newNodeDATA = this.XMLExport.xmlDoc.createElement(this.donneeLigne);
    for (j=0;j<this.tabColonnes.length;j++) {
      //Gnration de chaque cellule prsente dans la ligne
      if ((this.tabColonnes[j].cache != "OUI") && (this.tabColonnes[j].cache != "JAMAIS")) {
      	var col = this.tabColonnes[j].donnee;
				var newNodeCOL = this.XMLExport.xmlDoc.createElement(col);
      	var valeur = parent.getDataElement(itemLignes[i],col);
				var newTextNodeCOL = this.XMLExport.xmlDoc.createTextNode(valeur);
				parent.ajoutElement(newNodeCOL,newTextNodeCOL);
				parent.ajoutElement(newNodeDATA,newNodeCOL);
      }
    }
		parent.ajoutElement(newNodeListeData,newNodeDATA);
	}

	// Valorisation du flux XML d'export	
	parent.ajoutElement(this.XMLExport.xmlDoc,newNodeListeData); 
}
 
/**
* This method export this table to the Excel or CSV format
* @public
* @param {String_Obligatoire} url : Url to call for the export
* @return {void}
* @version 2.8.1
* @date 22/11/2007
*/
function ComposantTableau_excelExport(url)
{
    var htmlElement = document.getElementById("Position_" + this.id);
    
    var form = document.createElement("form");
    form.action = url;
    form.method = "POST";
    form.id = "ExcelExport";
    form.name = "ExcelExport";
    form.target = "blank";
    
    // The table's title
    this.excelExportAddColonne("title", this.objPresentation.titre, form);   
    
    var nbLines =  parent.getElements(this.XMLData.xmlDoc,this.donneeLigne).length;
    
    var nb_visible_colonnes = 0;
    for (i=0;i<this.tabColonnes.length;i++) {
        if ((this.tabColonnes[i].cache != "OUI") && (this.tabColonnes[i].cache != "JAMAIS")) {
    
            // The colonne's title
            this.excelExportAddColonne("column_title_" + nb_visible_colonnes, this.tabColonnes[i].titre, form);
            this.excelExportAddColonne("column_format_" + nb_visible_colonnes, this.tabColonnes[i].type, form);
                
            nb_visible_colonnes++;
        }
    }
    
    // The number of visible colonnes
    this.excelExportAddColonne("nbColumns", nb_visible_colonnes, form);
    // The number of lines
    this.excelExportAddColonne("nbLines", nbLines, form);
    
    // We export lines
    this.excelExportBoucle(form, nbLines);
    
    // Append form to page 
    htmlElement.appendChild(form);
    // Submition of form    
    form.submit();
    // Removing form from page
    htmlElement.removeChild(form);
}

/**
* This method is use by the Excel/CSV export.
* It write a all lines of table in the form. 
* @public
* @param {String_Obligatoire} form : the HTML form
* @param {int_Obligatoire} nbLines : the number of lines in the table
* @return {void}
* @version 2.8.1
* @date 22/11/2007
*/
function ComposantTableau_excelExport_boucle(form, nbLines)
{
  
    for (var i = 0; i < nbLines; i++) {
      
      this.excelExportLine(i,form);
    }
}

/**
* This method is use by the Excel/CSV export.
* It write a line of the table in the form.
* @public
* @param {int_Obligatoire} line : the line to export
* @param {String_Obligatoire} form : the HTML form
* @return {void}
* @version 2.8.1
* @date 22/11/2007
*/
function ComposantTableau_excelExport_line(line, form)
{
    var linesItem = parent.getElements(this.XMLData.xmlDoc,this.donneeLigne);  
    var codeHTML = "";

    var nb_visible_colonnes = 0;
    for (var i = 0; i < this.tabColonnes.length; i++) {
        //Gnration de chaque cellule prsente dans la line
        if ((this.tabColonnes[i].cache != "OUI") && (this.tabColonnes[i].cache != "JAMAIS")) {
            var valeur = parent.getDataElement(linesItem[line],this.tabColonnes[i].donnee);
            var test = '';
            if ((this.tabColonnes[i].type == "DATE") && (this.tabColonnes[i].affichage != "DATE")) {
                test=dateFormat(valeur,this.tabColonnes[i].affichage);
                if (test == null) {
                    test="wrong format";
                }
            } else if ((this.tabColonnes[i].type == "NUMBER") && (this.tabColonnes[i].affichage != "NUMBER")) {
                test=numberFormat(valeur,this.tabColonnes[i].affichage);
                if (test == null) {
                    test="wrong format";
                }
            } else {
                test=valeur;
            }
            
            this.excelExportAddColonne("line_" + line + "_" + nb_visible_colonnes, test, form);
            
            nb_visible_colonnes++;
        }
    }
}

/**
* This method is use by the Excel/CSV export.
* It write a text input element in the form.
* @public
* @param {String_Obligatoire} id : id of the element (This will be use for the name of parameter in the request)
* @param {String_Obligatoire} value : value of the element
* @param {String_Obligatoire} form : the HTML form
* @return {void}
* @version 2.8.1
* @date 22/11/2007
*/
function ComposantTableau_excelExport_addColonne(id, value, form)
{
    var colonne = document.createElement("input");
    colonne.type="hidden";
    colonne.name=id;
    colonne.value=value;
    form.appendChild(colonne);
}


// Fonction pour transformer en chaine de caractre, le flux XML refltant les donnes telles que prsentes
// dans le tableau 

/**
* La mthode publique toStringData() transforme en chaine de caractre le flux XML refltant les donnes
* tel que prsentes dans le tableau .
* @public
* @param {} Aucun
* @return {string}
* @version 2.3
* @date 01/09/2006
*/
function ComposantTableau_toStringExportXML()
{
	return parent.convertDOMtoString(this.XMLExport.xmlDoc);
}

// Fonction pour transformer en chaine de caractre visualisable dans un div, le flux XML refltant les donnes telles que prsentes
// dans le tableau 

/**
* La mthode prive toVisuRecurse() fonction rcursive parmettent de gnrer la chaine de caractre reprsentant le flux XML refltant les donnes
* tel que prsentes dans le tableau .
* @private
* @param {} Aucun
* @return {string}
* @version 2.4
* @date 14/11/2006
*/
function ComposantTableau_toVisuExportXML_recurse (node,max,niv) {
	var base='&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
	var chaine="";
	var tab="";
	for (var i=0 ; i<niv ; i++, tab+=base );

	var childreen = node.childNodes;
  for (var i=0; i<childreen.length ; i++) {
    if ((childreen[i].nodeType==1) && (childreen[i].firstChild.nodeType != 3)) { 
      chaine+='<BR/>'+tab;
			chaine+='<span><font color="darkblue"><b>&lt;'+childreen[i].tagName+'&gt;</b></font></span>';
      chaine+=this.toVisuRecurse(childreen[i],max,(niv+1));
      chaine+='<BR/>'+tab;
			chaine+='<span><font color="darkblue"><b>&lt;/'+childreen[i].tagName+'&gt;</b></font></span>';
    } else if (childreen[i].nodeType==1) {
      chaine+='<BR/>'+tab+'&nbsp;&nbsp;';
			chaine+='<span><font color="darkblue"><b>&lt;'+childreen[i].tagName+'&gt;</b></font></span>';
      chaine+=childreen[i].firstChild.nodeValue.substring(0,max)+((childreen[i].firstChild.nodeValue.length > max)?' ...':'');
			chaine+='<span><font color="darkblue"><b>&lt;/'+childreen[i].tagName+'&gt;</b></font></span>';
    }
  }
	return chaine;	
}

/**
* La mthode publique toVisuData() transforme en chaine de caractre visualisable dans un div le flux XML refltant les donnes
* tel que prsentes dans le tableau .
* @public
* @param {} Aucun
* @return {string}
* @version 2.4
* @date 14/11/2006
*/
function ComposantTableau_toVisuExportXML(max)
{
	return this.toVisuRecurse(this.XMLExport.xmlDoc,max,0);
}

// Fonction pour gnrer le code HTML associ  la barre de titre

/**
* La mthode prive ecrireComposantDomHTMLZoneTitre() gnre la zone de titre.
* @private
* @param {boolean_Optionnel} boolPremierAppel : Boolen prcisant si la gnration du code est dclenche.
* @param {boolean_Optionnel} boolVersionEtendue : Boolen prcisant si la gnration du code est dclenche
* en pleine page ou non.
* @param {boolean_Optionnel} boolErreurAppel : Boolen prcisant si la gnration du code est dclenche
* en cas d'erreur sur l'affichage du contenu du tableau.
* @return {string} : code HTML de la zone titre.
* @version 2.1
* @date 28/06/2006
*/ 
function ComposantTableau_ecrireHTML_Titre()
{
  var argv = ComposantTableau_ecrireHTML_Titre.arguments;
  var argc = ComposantTableau_ecrireHTML_Titre.arguments.length;
  var boolPremierAppel = (argc > 0) ? argv[0] : true;
  var boolVersionEtendue = (argc > 1) ? argv[1] : false;
  var boolErreurAppel = (argc > 2) ? argv[2] : false;

	var codeHTML = "";
	codeHTML += '<table id="'+this.id+'_Titre" style="display:none" width="100%" border="0" cellspacing="0" cellpadding="0">\n';
	if ((this.boolListe) && (!boolVersionEtendue)) {
	  codeHTML += '<tr class="zone_titre_mini'+this.objPresentation.classFont+'">\n';
	  codeHTML += '<td>';
	  if (this.objPresentation.titre) {
	    codeHTML += '&nbsp;';
	    if (this.objPresentation.titre != "")
	      codeHTML += this.objPresentation.titre;
	  } 
	  codeHTML += '</td>\n';
		codeHTML += '</tr>\n';
	} else {
    if ((this.objPresentation.titre) && (!this.versionReduite)) {
      codeHTML += '<tr class="zone_titre'+this.objPresentation.classFont+'">\n';
      codeHTML += '<td width="50%" class="zone_titre_p1'+this.objPresentation.classFont+'">&nbsp;' + this.objPresentation.titre + '</td>\n';
	  	codeHTML += '<td width="50%" class="zone_titre_p2'+this.objPresentation.classFont+'">&nbsp;</td>\n';
	  	codeHTML += '</tr>\n';
    }
    codeHTML+='<tr style="background-color: #212E50; height: 6px;">\n';
    codeHTML += '<td colspan="2"></td>\n';
    codeHTML += '</tr>\n';
	}
	codeHTML += '</table>\n';
	return codeHTML;
}


// Fonction pour gnrer le code HTML associ  l'entte du tableau

/**
* La mthode prive ecrireComposantDomHTMLZoneEntete() gnre la barre d'entte.
* @private
* @param {boolean_Facultatif} boolPremierAppel : Boolen prcisant si la gnration du code est dclenche
* @param {boolean_Facultatif} boolVersionEtendue : Boolen prcisant si la gnration du code est dclenche
* en pleine page ou non.
* @param {boolean_Facultatif} boolErreurAppel : Boolen prcisant si la gnration du code est dclenche
* en cas d'erreur sur l'affichage du contenu du tableau.
* @param {integer_Facultatif} compteur_actions : Entier prcisant le nombre d'action maximale du tableau.
* @param {integer_Facultatif} compteur_colonnes_visibles : Entier prcisant le nombre de colonnes visibles
* du tableau.
* @param {integer_Facultatif} compteur_lignes : Entier prcisant le nombre de lignes du tableau.
* @return {string} : code HTML de l'entete
* @version 2.5.3
* @date 05/10/2007
*/ 
function ComposantTableau_ecrireHTML_Entete()
{
  var argv = ComposantTableau_ecrireHTML_Entete.arguments;
  var argc = ComposantTableau_ecrireHTML_Entete.arguments.length;
  var boolPremierAppel = (argc > 0) ? argv[0] : true;
  var boolVersionEtendue = (argc > 1) ? argv[1] : false;
  var boolErreurAppel = (argc > 2) ? argv[2] : false;
	var compteur_actions = (argc > 3) ? argv[3] : 0;
	var compteur_colonnes_visibles = (argc > 4) ? argv[4] : 0;
	var compteur_lignes = (argc > 5) ? argv[5] : 0;
		
	var codeHTML = "";
  codeHTML += '<tr id="'+this.id+'_Entete" style="display:none" class="CGcodefonce tableau_libellescolonnes'+this.objPresentation.classFont+'">\n';
  if ((compteur_actions != 0) && (!boolPremierAppel))
  {
    codeHTML += '<td width="' + (compteur_actions*tailleAction) + '">&nbsp;</td>\n';
  }
  for (i=0;i<this.tabColonnes.length;i++)
  {
    if (((this.tabColonnes[i].cache != "OUI") && (this.tabColonnes[i].cache != "JAMAIS")) || ((this.tabColonnes[i].cache == "OUI") && (boolVersionEtendue)))
    {
	    if (this.objPresentation.sizeSpace != 0)
	    	codeHTML += '<td><img src="' + image_spacer_src + '" width="'+this.objPresentation.sizeSpace+'" height="'+this.objPresentation.sizeSpace+'" border="0"/></td>';
    	
      codeHTML += '<td';
      if ( ((this.tabColonnes[i].largeur) && (this.tabColonnes[i].largeur != "") && (!boolVersionEtendue)) || ((this.tabColonnes[i].largeurEtendue) && (this.tabColonnes[i].largeurEtendue != "") && (boolVersionEtendue)) )
      {
        if (!boolVersionEtendue)
        {
          if ((this.tabColonnes[i].largeur) && (this.tabColonnes[i].largeur != ""))
            codeHTML += ' width ="' + this.tabColonnes[i].largeur + '"';
        } else {
          if ((this.tabColonnes[i].largeurEtendue) && (this.tabColonnes[i].largeurEtendue != ""))
            codeHTML += ' width ="' + this.tabColonnes[i].largeurEtendue + '"';
        }
      }
      if ( (this.tabColonnes[i].alignement) && (this.tabColonnes[i].alignement != "") )
      {
        codeHTML += ' style="';
        if ((this.tabColonnes[i].alignement) && (this.tabColonnes[i].alignement != ""))
          codeHTML += 'text-align :' + this.tabColonnes[i].alignement;
        codeHTML += '"';
      }
      codeHTML += '>' + this.tabColonnes[i].titre;
      // Gestion du tri
      if ((!boolPremierAppel) && (compteur_lignes != 0) && (compteur_lignes != 1) && (this.typeTri != TRI_AUCUN) && (this.boolTriActif) && (this.boolTriAutorise) && (!boolVersionEtendue))
      {
        if (this.tabColonnes[i].tri == "CROISSANT")
          codeHTML += '&nbsp;&nbsp;<a href="javascript:' + this.id + '.selectTri(' + i + ',\'DECROISSANT\')" onMouseOver="' + this.id + '.gestionIcone(this,\'' + icone_tricroissantover_src + '\')" onMouseOut="' + this.id + '.gestionIcone(this,\'' + icone_tricroissant_src + '\')"><img src="' + icone_tricroissant_src + '" width="'+this.objPresentation.sizeIcone+'" height="'+this.objPresentation.sizeIcone+'" border="0" alt="' + this.alt_triDecroissant + '" title="' + this.alt_triDecroissant + '" /></a>';
        else if (this.tabColonnes[i].tri == "DECROISSANT") {
        	var ordre=(this.typeTri == TRI_SIMPLE)?"CROISSANT":"NON";
          codeHTML += '&nbsp;&nbsp;<a href="javascript:' + this.id + '.selectTri(' + i + ',\'' + ordre + '\')" onMouseOver="' + this.id + '.gestionIcone(this,\'' + icone_tridecroissantover_src + '\')" onMouseOut="' + this.id + '.gestionIcone(this,\'' + icone_tridecroissant_src + '\')"><img src="' + icone_tridecroissant_src + '" width="'+this.objPresentation.sizeIcone+'" height="'+this.objPresentation.sizeIcone+'" border="0" alt="' + this.alt_triCroissant + '" title="' + this.alt_triCroissant + '" /></a>';
        } else if (this.tabColonnes[i].tri == "NON")
          codeHTML += '&nbsp;&nbsp;<a href="javascript:' + this.id + '.selectTri(' + i + ',\'CROISSANT\')" onMouseOver="' + this.id + '.gestionIcone(this,\'' + icone_trinulover_src + '\')" onMouseOut="' + this.id + '.gestionIcone(this,\'' + icone_trinul_src + '\')"><img src="' + icone_trinul_src + '" width="'+this.objPresentation.sizeIcone+'" height="'+this.objPresentation.sizeIcone+'" border="0" alt="' + this.alt_triCroissant + '" title="' + this.alt_triCroissant + '" /></a>';
      }
      codeHTML += '</td>\n';
    }
  }
  if ((this.boolScrollbarVerticale) && (!window.ActiveXObject))
  	codeHTML += '<td style="table-layout: fixed" width="16px" nowrap="nowrap"><img src="' + image_spacer_src + '" width="16px" height="1px" vspace="4" alt="" /></td>\n';
  codeHTML += '</tr>\n';

	return codeHTML;
}


// Fonction pour gnrer le code HTML associ  la barre d'outil du tableau

/**
* La mthode prive ecrireComposantDomHTMLZoneOutil() gnre le code HTML associ  la barre d'outil.
* @private
* @param {boolean_Optionnel} boolPremierAppel : Boolen prcisant si la gnration du code est dclenche
* @param {boolean_Optionnel} boolVersionEtendue : Boolen prcisant si la gnration du code est dclenche
* en pleine page ou non.
* @param {boolean_Optionnel} boolErreurAppel : Boolen prcisant si la gnration du code est dclenche
* en cas d'erreur sur l'affichage du contenu du tableau.
* @param {integer_Optionnel} compteur_actions : Entier prcisant le nombre d'action maximale du tableau.
* @param {integer_Optionnel} compteur_colonnes_visibles : Entier prcisant le nombre de colonnes visibles
* du tableau.
* @return {string} : code HTML de la zone outil
* @version 2.5.3
* @date 05/10/2007
*/ 
function ComposantTableau_ecrireHTML_Outil()
{
  var argv = ComposantTableau_ecrireHTML_Outil.arguments;
  var argc = ComposantTableau_ecrireHTML_Outil.arguments.length;
  var boolPremierAppel = (argc > 0) ? argv[0] : true;
  var boolVersionEtendue = (argc > 1) ? argv[1] : false;
  var boolErreurAppel = (argc > 2) ? argv[2] : false;
	var compteur_actions = (argc > 3) ? argv[3] : 0;
	var compteur_colonnes_visibles = (argc > 4) ? argv[4] : 0;
	var split_tools_tab = (argc > 5) ? argv[5] : null;
	
	var codeHTML = '<tr id="'+this.id+'_Outil" style="display:none" class="tableau_outils">\n';
  if (((this.boolOutils) || (this.objPresentation.blActivate)) && (!this.versionReduite) && (!boolVersionEtendue) && (!boolErreurAppel)) {
    if (   (this.outilEnCours != -1) 
    	  && ((this.tabOutils[this.outilEnCours].type == FLAG_OUTIL_VALIDER) || (this.tabOutils[this.outilEnCours].type == FLAG_OUTIL_VALIDER_ET_RETARRIERE))
        && (this.tabOutils[this.outilEnCours].typePosition == FLAG_POSITION_OUTIL)) {
      codeHTML += '<td nowrap="nowrap" width="' + ((compteur_actions)*tailleAction) + '">';
      codeHTML += '&nbsp;<a href="javascript:' + this.id+'.gereOutil(' + this.outilEnCours + ',' + ACTION_VALIDE + ')" onMouseOver="' + this.id + '.gestionIcone(this,\'' + this.tabOutils[this.outilEnCours].iconeOverValide + '\')" onMouseOut="' + this.id + '.gestionIcone(this,\'' + this.tabOutils[this.outilEnCours].iconeOutValide + '\')"><img src="' + this.tabOutils[this.outilEnCours].iconeOutValide + '" width="'+this.objPresentation.sizeIcone+'" height="'+this.objPresentation.sizeIcone+'" border="0" alt="' + this.tabOutils[this.outilEnCours].alternateValide + '" title="' + this.tabOutils[this.outilEnCours].alternateValide + '"/></a>';
      codeHTML += '&nbsp;<a href="javascript:' + this.id+'.gereOutil(' + this.outilEnCours + ',' + ACTION_ANNULE + ')" onMouseOver="' + this.id + '.gestionIcone(this,\'' + this.tabOutils[this.outilEnCours].iconeOverAnnule + '\')" onMouseOut="' + this.id + '.gestionIcone(this,\'' + this.tabOutils[this.outilEnCours].iconeOutAnnule + '\')"><img src="' + this.tabOutils[this.outilEnCours].iconeOutAnnule + '" width="'+this.objPresentation.sizeIcone+'" height="'+this.objPresentation.sizeIcone+'" border="0" alt="' + this.tabOutils[this.outilEnCours].alternateAnnule + '" title="' + this.tabOutils[this.outilEnCours].alternateAnnule + '"/></a>';
      if (this.tabOutils[this.outilEnCours].type == FLAG_OUTIL_VALIDER_ET_RETARRIERE)
      	codeHTML += '&nbsp;<a href="javascript:' + this.id+'.gereOutil(' + this.outilEnCours + ',' + ACTION_ARRIERE + ')" onMouseOver="' + this.id + '.gestionIcone(this,\'' + this.tabOutils[this.outilEnCours].iconeOverArriere + '\')" onMouseOut="' + this.id + '.gestionIcone(this,\'' + this.tabOutils[this.outilEnCours].iconeOutArriere + '\')"><img src="' + this.tabOutils[this.outilEnCours].iconeOutArriere + '" width="'+this.objPresentation.sizeIcone+'" height="'+this.objPresentation.sizeIcone+'" border="0" alt="' + this.tabOutils[this.outilEnCours].alternateArriere + '" title="' + this.tabOutils[this.outilEnCours].alternateArriere + '"/></a>';
      codeHTML += eval(this.tabOutils[this.outilEnCours].fonctionValide);
      codeHTML += '</td>\n';
    } else {
      codeHTML += '<td nowrap="nowrap" colspan="' + (((this.boolScrollbarVerticale) && (!window.ActiveXObject))?split_tools_tab[0]-1:split_tools_tab[0]) + '">';
      codeHTML += '<img src="' + image_spacer_src + '" width="1" height="'+this.objPresentation.sizeIcone+'" vspace="4" alt="" />';
      if (this.boolOutilActif) {
				for (i=0 ; i<this.tabOutils.length ; i++) {
					if (!this.tabOutils[i].blActivate)
						continue;
					if ((this.tabOutils[i].condition != null) && (!eval(this.tabOutils[i].condition)))
						continue;
					
					// The checkbox's columns aren't write here but upon her column
					if (this.tabOutils[i].type != FLAG_OUTIL_CHECKBOX) {
						if (this.tabOutils[i].type == FLAG_OUTIL_SIMPLE)
							fct=this.tabOutils[i].fonction;
						else
							fct=this.id+'.declencheOutil('+i+')'; 
						codeHTML += '&nbsp;<a href="javascript:' + fct + '" onMouseOver="' + this.id + '.gestionIcone(this,\'' + this.tabOutils[i].iconeOver + '\')" onMouseOut="' + this.id + '.gestionIcone(this,\'' + this.tabOutils[i].iconeOut + '\')"><img src="' + this.tabOutils[i].iconeOut + '" alt="' + this.tabOutils[i].alternate + '" title="' + this.tabOutils[i].alternate + '" width="'+this.objPresentation.sizeIcone+'" height="'+this.objPresentation.sizeIcone+'" vspace="4" border="0" /></a>';
					}
				}
			
		if (this.objPresentation.blActivate) 
			if (this.objPresentation.flagMode == FLAG_PRESENTATION_NORMALE) 
			  codeHTML += '&nbsp;<span id="'+this.id+'_ICONEMODE"><a href="javascript:' + this.id + '.visibiliteComposantDomHTML()" onMouseOver="' + this.id + '.gestionIcone(this,\'' + icone_reduireover_src + '\')" onMouseOut="' + this.id + '.gestionIcone(this,\'' + icone_reduire_src + '\')"><img src="' + icone_reduire_src + '" alt="' + this.alt_versionReduite + '" title="' + this.alt_versionReduite + '" width="'+this.objPresentation.sizeIcone+'" height="'+this.objPresentation.sizeIcone+'" vspace="4" border="0" /></a></span>';
		  else
			  codeHTML += '&nbsp;<span id="'+this.id+'_ICONEMODE"><a href="javascript:' + this.id + '.visibiliteComposantDomHTML()" onMouseOver="' + this.id + '.gestionIcone(this,\'' + icone_normalover_src + '\')" onMouseOut="' + this.id + '.gestionIcone(this,\'' + icone_normal_src + '\')"><img src="' + icone_normal_src + '" alt="' + this.alt_versionNormale + '" title="' + this.alt_versionNormale + '" width="'+this.objPresentation.sizeIcone+'" height="'+this.objPresentation.sizeIcone+'" vspace="4" border="0" /></a></span>';
	  }   
	  codeHTML += '</td>\n';
	  
	  
				
		// Now we started to write the checkbox's columns
		var j = 1;
		for (i=0 ; i<this.tabOutils.length ; i++) {
			if (!this.tabOutils[i].blActivate)
				continue;
			if ((this.tabOutils[i].condition != null) && (!eval(this.tabOutils[i].condition)))
				continue;
			
			// The checkbox's columns aren't write here but behind her column
			if (this.tabOutils[i].type == FLAG_OUTIL_CHECKBOX) {
			    if (this.objPresentation.sizeSpace != 0) {
				    codeHTML += '<td>&nbsp;</td>';
				}
				codeHTML += '<td style="text-align:center" >&nbsp;<input id="'+ this.tabOutils[i].id + '" type="checkbox" onclick="' + this.id + '.changeGlobalCheckedSelection(\'' + this.tabOutils[i].id + '\')" alt="Slectionner toute la page" />';
				codeHTML += '<a href="javascript:' + this.id + '.inverseCheckedSelection(\'' + this.tabOutils[i].id + '\')" onMouseOver="' + this.id + '.gestionIcone(this,\'' + this.tabOutils[i].iconeOver + '\')" onMouseOut="' + this.id + '.gestionIcone(this,\'' + this.tabOutils[i].iconeOut + '\')"><img src="' + this.tabOutils[i].iconeOut + '" alt="' + this.tabOutils[i].alternate + '" title="' + this.tabOutils[i].alternate + '" width="'+this.objPresentation.sizeIcone+'" height="'+this.objPresentation.sizeIcone+'" vspace="4" border="0" /></a>';
				codeHTML += '</td>';
				if (split_tools_tab[j] != null && split_tools_tab[j] > 0) {
					codeHTML += '<td colspan="' + split_tools_tab[j] + '">&nbsp;</td>';
				}
				j++;
			}
		}
	} 
		
	  if ((this.boolScrollbarVerticale) && (!window.ActiveXObject))
	  	codeHTML += '<td style="table-layout: fixed" width="16px" nowrap="nowrap"><img src="' + image_spacer_src + '" width="16px" height="1px" vspace="4" alt="" /></td>\n';
  }
  codeHTML += '</tr>\n';
	return codeHTML;
}


// Fonction pour gnrer le code HTML associ  la zone de dcoration de l'entte du tableau

/**
* La mthode prive ecrireComposantDomHTMLZoneDeco1() gnre la zone de deco de l'entte.
* @private
* @param {integer_Optionnel} compteur_colonnes_visibles : Entier prcisant le nombre de colonnes visibles 
* du tableau.
* @return {string} : code HTML de la zone deco 1
* @version 2.5.3
* @date 05/10/2007
*/ 
function ComposantTableau_ecrireHTML_Deco1()
{
  var argv = ComposantTableau_ecrireHTML_Deco1.arguments;
  var argc = ComposantTableau_ecrireHTML_Deco1.arguments.length;
	var compteur_colonnes_visibles = (argc > 0) ? argv[0] : 0;
	
	var codeHTML = "";
  //Gnration de la dco
  codeHTML += '<tr id="'+this.id+'_Deco1_1" style="display:none" class="tableau_deco">\n';
  codeHTML += '<td colspan="' + compteur_colonnes_visibles + '"><img src="' + image_spacer_src + '" width="1" height="4" alt="" /></td>\n';
  codeHTML += '</tr>\n';
  //Gnration d'un espace
  codeHTML += '<tr id="'+this.id+'_Deco1_2" style="display:none" class="CGblanc" >\n';
  codeHTML += '<td colspan="' + compteur_colonnes_visibles + '"><img src="' + image_spacer_src + '" width="1" height="4" alt="" /></td>\n';
  codeHTML += '</tr>\n';
	return codeHTML;
}


// Fonction pour gnrer le code HTML associ  la zone de dcoration 3 du tableau

/**
* La mthode prive ecrireComposantDomHTMLZoneDeco3() gnre la zone de deco 3.
* @private
* @param {integer_Optionnel} compteur_colonnes_visibles : Entier prcisant le nombre de colonnes visibles du tableau.
* @return {string} : code HTML de la zone dco 3
* @version 2.5.3
* @date 05/10/2007
*/
function ComposantTableau_ecrireHTML_Deco3()
{
  var argv = ComposantTableau_ecrireHTML_Deco3.arguments;
  var argc = ComposantTableau_ecrireHTML_Deco3.arguments.length;
	var compteur_colonnes_visibles = (argc > 0) ? argv[0] : 0;
	
	var codeHTML = "";
  //Gnration d'un espace
  codeHTML += '<tr id="'+this.id+'_Deco3_1" style="display:none" class="CGblanc" >\n';
  codeHTML += '<td colspan="' + compteur_colonnes_visibles + '"><img src="' + image_spacer_src + '" width="1" height="4" alt="" /></td>\n';
  codeHTML += '</tr>\n';
  //Gnration de la dco
  codeHTML += '<tr id="'+this.id+'_Deco3_2" style="display:none" class="tableau_deco">\n';
  codeHTML += '<td colspan="' + compteur_colonnes_visibles + '"><img src="' + image_spacer_src + '" width="1" height="4" alt="" /></td>\n';
  codeHTML += '</tr>\n';
  //Gnration d'un espace
  codeHTML += '<tr id="'+this.id+'_Deco3_3" style="display:none" class="CGblanc" >\n';
  codeHTML += '<td colspan="' + compteur_colonnes_visibles + '"><img src="' + image_spacer_src + '" width="1" height="4" alt="" /></td>\n';
  codeHTML += '</tr>\n';
	return codeHTML;
}


// Fonction pour gnrer le code HTML associ  la zone de dcoration du pied du tableau

/**
* La mthode prive ecrireComposantDomHTMLZoneDeco2() gnre la zone de deco du pied du tableau.
* @private
* @param {integer_Facultatif} compteur_colonnes_visibles Entier prcisant le nombre de colonnes visibles du tableau.
* @return {string} : code HTML de la dco du pied du tableau
* @version 2.1
* @date 28/06/2006
*/ 
function ComposantTableau_ecrireHTML_Deco2()
{
  var argv = ComposantTableau_ecrireHTML_Deco2.arguments;
  var argc = ComposantTableau_ecrireHTML_Deco2.arguments.length;
	var compteur_colonnes_visibles = (argc > 0) ? argv[0] : 0;
	
	var codeHTML = "";
  //Gnration d'un espace
  codeHTML += '<tr id="'+this.id+'_Deco2_1" style="display:none" class="CGblanc" >\n';
  codeHTML += '<td><img src="' + image_spacer_src + '" width="1" height="4" alt="" /></td>\n';
  codeHTML += '</tr>\n';
  //Gnration de la dco
  codeHTML += '<tr id="'+this.id+'_Deco2_2" style="display:none" class="tableau_deco">\n';
  codeHTML += '<td><img src="' + image_spacer_src + '" width="1" height="4" alt="" /></td>\n';
  codeHTML += '</tr>\n';
	return codeHTML;
}


// Fonction pour gnrer le code HTML associ  la zone de pied du tableau

/**
* La mthode prive ecrireComposantDomHTMLZonePied() gnre la zone de pied.
* @private
* @param {integer_Facultatif}  compteur_colonnes_visibles Entier prcisant le nombre de colonnes visibles du tableau.
* @return {string} Code HTML de la zone de pied
* @version 2.1
* @date 28/06/2006
*/ 
function ComposantTableau_ecrireHTML_Pied()
{
  var argv = ComposantTableau_ecrireHTML_Pied.arguments;
  var argc = ComposantTableau_ecrireHTML_Pied.arguments.length;
	var compteur_colonnes_visibles = (argc > 0) ? argv[0] : 0;
	var codeHTML = "";
	
  codeHTML += '<tr id="'+this.id+'_Pied" style="display: none" class="CGcodefonce tableau_fin'+this.objPresentation.classFont+'">\n';
  codeHTML += '<td>';
  if ((this.objPresentation.pied) && (!this.versionReduite))
    codeHTML += '&nbsp;' + this.objPresentation.pied;
  else
	  codeHTML += '<img src="' + image_spacer_src + '" width="1" height="14" alt="" />';
    codeHTML += '</td></tr>';
    
	return codeHTML;
}


// Fonction pour gnrer le code HTML associ  la zone de pager du tableau

/**
* La mthode prive ecrireComposantDomHTMLZonePager() gnre la zone de pager.
* @private
* @param {boolean_Facultatif} boolPremierAppel
* @param {boolean_Facultatif} boolVersionEtendue
* @param {boolean_Facultatif} boolErreurAppel
* @param {integer_Facultatif} compteur_colonnes_visibles Entier prcisant le nombre de colonnes visibles du tableau.
* @param {integer_Facultatif} compteur_lignes Nombre total d'enregistrements du tableau
* @param {integer_Facultatif} minLignes Numro de la premire ligne affiche sur la page
* @param {integer_Facultatif} maxLignes Numro de la deuxime ligne affiche sur la page
* @return {string} Code HTML de la zone pager.
* @version 2.6
* @date 04/09/2007
*/
function ComposantTableau_ecrireHTML_Pager()
{
  var argv = ComposantTableau_ecrireHTML_Pager.arguments;
  var argc = ComposantTableau_ecrireHTML_Pager.arguments.length;
  var boolPremierAppel = (argc > 0) ? argv[0] : true;
  var boolVersionEtendue = (argc > 1) ? argv[1] : false;
  var boolErreurAppel = (argc > 2) ? argv[2] : false;
	var compteur_colonnes_visibles = (argc > 3) ? argv[3] : 0;
	var compteur_lignes = (argc > 4) ? argv[4] : 0;
	var minLignes = (argc > 5) ? argv[5] : 0;
	var maxLignes = (argc > 6) ? argv[6] : 0;
	
	var codeHTML = "";
  codeHTML += '<tr id="'+this.id+'_Pager" style="display:none" >\n';
  codeHTML += '<td>\n';
  
  //Cration du tableau contenant le pager et la prsentation autour
  codeHTML += '<table width="100%" align="left" border="0" cellspacing="0" cellpadding="0">\n';
  codeHTML += '<tr class="tableau_navig">\n';

	//Cas ou seul l'affichage du nombre d'enregistrements est demand
	if((this.objPresentation.flagPager == FLAG_PAGINE) && (!boolPremierAppel) && (this.nbPages == 1) && (!this.boolFiltrageEnCours) && (!boolVersionEtendue) && !(this.estTableur && this.boolFiltrageTitreEnCours)
	   && (this.objPresentation.postNumberRecXML))
	{
		codeHTML += '<td colspan="2"><img src="' + image_spacer_src + '" width="1" height="6" alt="" /></td>\n';
		codeHTML +=	'</tr>\n<tr>\n';
		//Colonne avec angle arrondi
		codeHTML +=	'<td align="center" width="270px" class="navigdecoAngle_p1">\n';
		codeHTML += '&nbsp;'+compteur_lignes+' '+MESSAGE_PAGER+'&nbsp;&nbsp;</td>\n';
		codeHTML +=	'<td height="16" class="navigdeco_p2"><img src="' + image_spacer_src + '" width="1" height="16" alt="" />\n';		
	}

	if ( ((this.boolMaitre) && (this.objPresentation.flagPager != FLAG_PAGINE)) || ((this.objPresentation.flagPager == FLAG_PAGINE) && (this.boolMaitre) && (boolPremierAppel) && (this.nbPages != 1) && (!this.boolFiltrageEnCours) && (!boolVersionEtendue)  && !(this.estTableur && this.boolFiltrageTitreEnCours)) )
    codeHTML += '<td class="finzonenavig" height="16" colspan="2"><img src="' + image_spacer_src + '" width="1" height="16" alt="" /></td>\n';

  if ((this.objPresentation.flagPager == FLAG_PAGINE) && (!boolPremierAppel) && (this.nbPages != 1) && (!this.boolFiltrageEnCours) && (!boolVersionEtendue) && !(this.estTableur && this.boolFiltrageTitreEnCours)) {   
	  if(!this.boolMaitre){
	  	//Affichage de la ligne grise fine au dessus du pager
	  	codeHTML += '<td colspan="2"><img src="' + image_spacer_src + '" width="1" height="6" alt="" /></td>\n';
	    //Changement de ligne
	    codeHTML +=	'</tr>\n<tr>\n';
	    //On attend le pager  droite
	    if(this.objPresentation.sidePager == "right"){
	    	//Image d'arrondi
	    	codeHTML +=	'<td height="16" class="navigdeco_p1"><img src="' + image_spacer_src + '" width="1" height="16" alt="" /></td>\n';
	    	//Colonne contenant le pager : la class CSS affichera en gris et mettra l'arrondi en fin de colonne
	  		codeHTML +=	'<td align="center" width="270px" class="navigdecoAngle_p2">\n';
	    }
	    //On attend le pager  gauche, premire colonne avec image d'angle arrondi
	    else{
	    	//Colonne contenant le pager : la class CSS affichera en gris et mettra l'arrondi en fin de colonne
	  		codeHTML +=	'<td align="center" width="270px" class="navigdecoAngle_p1">\n';
	    }
	    
	  }
	  else{
	  	codeHTML += '<td class="finzonenavig" height="16" colspan="2"><img src="' + image_spacer_src + '" width="1" height="16" alt="" /></td>\n';
	  	codeHTML +=	'<td align="center" width="270px">\n';
		}
	  	
  	//Tableau contenant les flches de navigation et les numros de pages
    codeHTML += '<table align="left" border="0" cellspacing="0" cellpadding="0">\n';
		codeHTML += '<tr>\n<td valign="middle">&nbsp;&nbsp;';
		if (this.pageEnCours == 1)
		  codeHTML += '<a href="#"';
    else
      codeHTML += '<a href="javascript:' + this.id + '.goToPage(1)"';
    codeHTML += ' onMouseOver="' + this.id + '.gestionIcone(this,\'' + icone_premierover_src + '\')" onMouseOut="' + this.id + '.gestionIcone(this,\'' + icone_premier_src + '\')"><img src="' + icone_premier_src + '" width="16" height="16" border="0" alt="' + this.alt_firstPage + '" title="' + this.alt_firstPage + '" /></a>';
    if (this.pageEnCours == 1)
      codeHTML += '<a href="#"';
    else
      codeHTML += '<a href="javascript:' + this.id + '.goToPage(' + (this.pageEnCours-1) + ')"';
		codeHTML += ' onMouseOver="' + this.id + '.gestionIcone(this,\'' + icone_precedentover_src + '\')" onMouseOut="' + this.id + '.gestionIcone(this,\'' + icone_precedent_src + '\')"><img src="' + icone_precedent_src + '" width="16" height="16" border="0" alt="' + this.alt_previousPage + '" title="' + this.alt_previousPage + '" /></a>';
		codeHTML +=	'&nbsp;&nbsp;</td>\n';
		
		//Affichage du nombre d'enregistrements et du numro de ceux affichs sur la page.
	  if ((compteur_lignes != 0) && (this.objPresentation.postNumberRecXML)) {
		  codeHTML += '<td valign="middle">';
		  codeHTML += '&nbsp;'+(minLignes+1)+' - '+maxLignes+' / '+compteur_lignes+'</td>\n';
		  codeHTML += '<td width="10px"><img src="' + image_spacer_src + '" width="10px" height="6px" alt="" /></td>';
	   }
		
		codeHTML +=	'<td valign="middle">&nbsp;';
    codeHTML += '<select name="page_' + this.id + '" id="page_' + this.id + '" class="navigselect" onchange="' + this.id + '.goToPage(parseInt(this.value))">';
    for (i=1;i<(this.nbPages+1);i++) {
      codeHTML += '<option value="' + i + '"';
      if (i==this.pageEnCours)
        codeHTML += ' selected="selected"';
      codeHTML += 'class="navigoption">&nbsp;&nbsp;' + i + '</option>';
		}
		codeHTML +=	'</td><td valign="middle">';
		codeHTML += '&nbsp;/ ' + this.nbPages;
		codeHTML +=	'</td>';
   
		codeHTML +=	'\n<td valign="middle">&nbsp;&nbsp;';
		if (this.pageEnCours == this.nbPages)
		  codeHTML += '<a href="#"';
	  else
	    codeHTML += '<a href="javascript:' + this.id + '.goToPage(' + (this.pageEnCours+1) + ')"';
	  codeHTML += ' onMouseOver="' + this.id + '.gestionIcone(this,\'' + icone_suivantover_src + '\')" onMouseOut="' + this.id + '.gestionIcone(this,\'' + icone_suivant_src + '\')"><img src="' + icone_suivant_src + '" width="16" height="16" border="0" alt="' + this.alt_nextPage + '" title="' + this.alt_nextPage + '" /></a>';
	  if (this.pageEnCours == this.nbPages)
	    codeHTML += '<a href="#"';
	  else
	    codeHTML += '<a href="javascript:' + this.id + '.goToPage(' + this.nbPages + ')"';
	  codeHTML += ' onMouseOver="' + this.id + '.gestionIcone(this,\'' + icone_dernierover_src + '\')" onMouseOut="' + this.id + '.gestionIcone(this,\'' + icone_dernier_src + '\')"><img src="' + icone_dernier_src + '" width="16" height="16" border="0" alt="' + this.alt_lastPage + '" title="' + this.alt_lastPage + '" /></a>';
		codeHTML +=	'&nbsp;&nbsp;</td>\n</tr>\n</table>\n</td>\n';
  }

  //On attend le pager  gauche, elements de dcoration
  if((this.objPresentation.flagPager == FLAG_PAGINE) && (!boolPremierAppel) && (this.nbPages != 1) && (!this.boolFiltrageEnCours) && (!boolVersionEtendue) && !(this.estTableur && this.boolFiltrageTitreEnCours)
     && (this.objPresentation.sidePager != "right")) {
  	//Image d'arrondi
 		codeHTML +=	'</td><td height="16" class="navigdeco_p2"><img src="' + image_spacer_src + '" width="1" height="16" alt="" />\n';
 	}
    
	//Fermeture des lments html ouverts
  codeHTML += '</td>\n';
  codeHTML += '</tr>\n';
  codeHTML += '</table>\n';
  codeHTML += '</tr>\n';
	return codeHTML;
}


// Fonction pour gnrer le code HTML associ  une ligne du tableau

/**
* La mthode prive ecrireComposantDomHTMLZoneLigne()) gnre le code HTML d'une ligne du tableau.
* @private
* @param {integer_Obligatoire} ligne Entier indice de la ligne  gnre
* @param {boolean_Optionnel} boolPremierAppel : Boolen prcisant si la gnration du code est dclenche
* @param {boolean_Optionnel} boolVersionEtendue : Boolen prcisant si la gnration du code est dclenche
* en pleine page ou non.
* @param {boolean_Optionnel} boolErreurAppel : Boolen prcisant si la gnration du code est dclenche
* en cas d'erreur sur l'affichage du contenu du tableau.
* @param {integer_Optionnel} compteur_actions :  Entier prcisant le nombre d'action maximale du tableau.
* @param {integer_Optionnel} compteur_colonnes_visibles : Entier prcisant le nombre de colonnes
* visibles du tableau.
* @return {string} Code HML de la ligne
* @version 2.3
* @date 28/09/2006
*/ 
function ComposantTableau_ecrireHTML_Ligne(ligne)
{
  var argv = ComposantTableau_ecrireHTML_Ligne.arguments;
  var argc = ComposantTableau_ecrireHTML_Ligne.arguments.length;
  var boolPremierAppel = (argc > 1) ? argv[1] : true;
  var boolVersionEtendue = (argc > 2) ? argv[2] : false;
  var boolErreurAppel = (argc > 3) ? argv[3] : false;
	var compteur_actions = (argc > 4) ? argv[4] : 0;
	var compteur_colonnes_visibles = (argc > 5) ? argv[5] : 0;

	var itemLignes = parent.getElements(this.XMLData.xmlDoc,this.donneeLigne);	
	var codeHTML = "";

	this.itemLigne = ligne;
		
  // Gnration du contenu pour une ligne slectionne
  codeHTML += this.objPresentation.appelStyleLigne(this,ligne,boolVersionEtendue,this.boolRolloverLigne); 
	
  if ((compteur_actions != 0) && (this.boolActionActif) && (this.actionEnCours == -1))
  {
    codeHTML += '<td nowrap="nowrap" width="' + (compteur_actions*tailleAction) + '">';
    for (i=0 ; i<this.tabActions.length ; i++) {
			if (!this.tabActions[i].blActivate)
				continue;
			if ((this.tabActions[i].condition != null) && (!eval(this.tabActions[i].condition)))
				continue;

     	if (this.tabActions[i].type == FLAG_ACTION_SIMPLE)
    		fct=this.id + '.appelAction(' + i + ',' + ligne + ')';
    	else
    		fct=this.id + '.declencheAction(' + i + ',' + ligne + ')';
    	codeHTML += '&nbsp;<a href="javascript:' + fct + '" onMouseOver="' + this.id + '.gestionIcone(this,\'' + this.tabActions[i].iconeOver + '\')" onMouseOut="' + this.id + '.gestionIcone(this,\'' + this.tabActions[i].iconeOut + '\')"><img src="' + this.tabActions[i].iconeOut + '" width="'+this.objPresentation.sizeIcone+'" height="'+this.objPresentation.sizeIcone+'" border="0" alt="' + this.tabActions[i].alternate + '" title="' + this.tabActions[i].alternate + '" /></a>';
    }
  }

  if ((compteur_actions != 0) && (this.boolActionActif) && (this.actionEnCours != -1)) {
    codeHTML += '<td nowrap="nowrap" width="' + (compteur_actions*tailleAction) + '">';
    if (this.itemLigneAction == ligne) {
    	i=this.actionEnCours;
      codeHTML += '&nbsp;<a href="javascript:' + this.id + '.gereAction( ' + i + ',' + ligne + ',' + ACTION_VALIDE + ')" onMouseOver="' + this.id + '.gestionIcone(this,\'' + this.tabActions[i].iconeOverValide + '\')" onMouseOut="' + this.id + '.gestionIcone(this,\'' + this.tabActions[i].iconeOutValide + '\')"><img src="' + icone_valider_src + '" width="'+this.objPresentation.sizeIcone+'" height="'+this.objPresentation.sizeIcone+'" border="0" alt="' + this.tabActions[i].alternateValide + '" title="' + this.tabActions[i].alternateValide + '" /></a>';
      codeHTML += '&nbsp;<a href="javascript:' + this.id + '.gereAction( ' + i + ',' + ligne + ',' + ACTION_ANNULE + ')" onMouseOver="' + this.id + '.gestionIcone(this,\'' + this.tabActions[i].iconeOverAnnule + '\')" onMouseOut="' + this.id + '.gestionIcone(this,\'' + this.tabActions[i].iconeOutAnnule + '\')"><img src="' + icone_annuler_src + '" width="'+this.objPresentation.sizeIcone+'" height="'+this.objPresentation.sizeIcone+'" border="0" alt="' + this.tabActions[i].alternateAnnule + '" title="' + this.tabActions[i].alternateAnnule + '" /></a>';
    } else
      codeHTML += '&nbsp;<img src="' + image_spacer_src + '" width="'+this.objPresentation.sizeIcone+'" height="'+this.objPresentation.sizeIcone+'" border="0"/>';
    codeHTML += '</td>\n';
  }
  
  if ((compteur_actions != 0) && (!this.boolActionActif)) {
    codeHTML += '<td nowrap="nowrap" width="' + (compteur_actions*tailleAction) + '">';
    codeHTML += '&nbsp;<img src="' + image_spacer_src + '" width="'+this.objPresentation.sizeIcone+'" height="'+this.objPresentation.sizeIcone+'" border="0"/>';
    codeHTML += '</td>\n';  	
  } 
    
  if ((compteur_actions != 0) && (this.boolActionActif) && (this.actionEnCours != -1) && (this.itemLigneAction == ligne))
    codeHTML += eval(this.tabActions[this.actionEnCours].fonctionValide);
  else {
    for (var j=0 ; j<this.tabColonnes.length ; j++) {
      //Gnration de chaque cellule prsente dans la ligne
      if (((this.tabColonnes[j].cache != "OUI") && (this.tabColonnes[j].cache != "JAMAIS")) || ((this.tabColonnes[j].cache == "OUI") && (boolVersionEtendue))) {
        var valeur = parent.getDataElement(itemLignes[ligne],this.tabColonnes[j].donnee);
        var test = '';
      	if ((this.tabColonnes[j].type == "DATE") && (this.tabColonnes[j].affichage != "DATE")) {
      		test=dateFormat(valeur,this.tabColonnes[j].affichage);
      		if (test == null) test="<b><i>wrong format</i></b>"
      	} else if ((this.tabColonnes[j].type == "NUMBER") && (this.tabColonnes[j].affichage != "NUMBER")) {
      		test=numberFormat(valeur,this.tabColonnes[j].affichage);
      		if (test == null) test="<b><i>wrong format</i></b>"
      	} else
      		test=valeur;
        
        if (this.objPresentation.sizeSpace != 0)
        	codeHTML += '<td><img src="' + image_spacer_src + '" width="'+this.objPresentation.sizeSpace+'" height="'+this.objPresentation.sizeSpace+'" border="0"/></td>';

        codeHTML += '<td';
        
        if ( ((this.tabColonnes[j].largeur) && (this.tabColonnes[j].largeur != "") && (!boolVersionEtendue)) || ((this.tabColonnes[j].alignement) && (this.tabColonnes[j].alignement != "")) || ((this.tabColonnes[j].largeurEtendue) && (this.tabColonnes[j].largeurEtendue != "") && (boolVersionEtendue)) ) {
          codeHTML += ' width="';
          if (!boolVersionEtendue) {
            if ((this.tabColonnes[j].largeur) && (this.tabColonnes[j].largeur != ""))
               codeHTML += this.tabColonnes[j].largeur + '"';
          } else {
            if ((this.tabColonnes[j].largeurEtendue) && (this.tabColonnes[j].largeurEtendue != ""))
              codeHTML += this.tabColonnes[j].largeurEtendue + '"';
          }
        }

		if (this.tabColonnes[j].alignement)
		  codeHTML += ' style="text-align :' + this.tabColonnes[j].alignement + '"';
		
		if (this.tabColonnes[j].type == "CHECKBOX") {
		
			codeHTML += '><input type="checkbox" id="checkbox_' + this.tabColonnes[j].id + '_' + ligne + '" onclick="' + this.id + '.changeCheckedSelection('+ this.tabColonnes[j].id + ',' + ligne + ')"';
			// The value of the checkbox is search in the tab
			if (this.checkboxesTab != null && this.checkboxesTab[ligne] != null) {
				
				// If the value is find
				test = this.checkboxesTab[ligne];
			} else {
			
			    if(this.checkboxesTab == null) {
			        this.checkboxesTab = new Array();
			    }
				// We put the value in the tab
				this.checkboxesTab[ligne] = new Boolean(test == true || test == "true" || test == "TRUE");
			}
			if (this.checkboxesTab[ligne] == true) {
				codeHTML += 'checked';
			}
			codeHTML += '/';
			
		} else if ((test) && (test != "")) {
			// Slection du style si colonne trie
			if (this.tabColonnes[j].tri == "CROISSANT")
			  codeHTML += '><span class="tableau_tri_croissant"';
			else if (this.tabColonnes[j].tri == "DECROISSANT")
			  codeHTML += '><span class="tableau_tri_decroissant"';

          codeHTML += '>' + test;
          
          if ((this.tabColonnes[j].tri == "CROISSANT") || (this.tabColonnes[j].tri == "DECROISSANT"))
          	codeHTML += '</span>';
        } else
          codeHTML += '>&nbsp;';
        
        codeHTML += '</td>\n';
      }
    }
  }
  codeHTML += '</tr>\n';
	return codeHTML;
}


// Fonction pour gnrer le code HTML des lignes d'une page associ au composant tableau

/**
* La mthode publique ecrireComposantDomHTMLBoucle() dclenche la gnration du code HTML d'une page
* associe au composant Tableau.
* @public
* @param {integer_Obligatoire} minLignes Entier : indice de la 1 ligne  gnre
* @param {integer_Obligatoire} maxLignes Entier : indice de la dernire ligne  gnre
* @param {boolean_Optionnel}  boolPremierAppel : Boolen prcisant si la gnration du code est dclenche
* @param {boolean_Optionnel}  boolVersionEtendue : Boolen prcisant si la gnration du code est dclenche
* en pleine page ou non.
* @param {boolean_Optionnel}  boolErreurAppel : Boolen prcisant si la gnration du code est dclenche en
* cas d'erreur sur l'affichage du contenu du tableau.
* @param {integer_Optionnel}  compteur_actions : Entier prcisant le nombre d'action maximale du tableau.
* @param {integer_Optionnel}  compteur_colonnes_visibles : Entier prcisant le nombre de colonnes visibles
* du tableau.
* @return {string} CodeHTML des lignes de la page
* @version 2.5.3
* @date 05/10/2007
*/ 
function ComposantTableau_ecrireHTML_Boucle(minLignes, maxLignes)
{
  var argv = ComposantTableau_ecrireHTML_Boucle.arguments;
  var argc = ComposantTableau_ecrireHTML_Boucle.arguments.length;
  var boolPremierAppel = (argc > 2) ? argv[2] : true;
  var boolVersionEtendue = (argc > 3) ? argv[3] : false;
  var boolErreurAppel = (argc > 4) ? argv[4] : false;
	var compteur_actions = (argc > 5) ? argv[5] : 0;
	var compteur_colonnes_visibles = (argc > 6) ? argv[6] : 0;

	var codeHTML="";
	
	// Affichage des lignes faisant partie de la pagination 
	for (var i=minLignes;i<maxLignes;i++) {
		// Gestion du filtrage
	  var test = true;
	  if (this.boolFiltrageEnCours)
	    test = this.testFiltre(i);
	  if (!test)
	  	continue;
	  
	  // Affichage d'une ligne
		codeHTML += this.ecrireComposantDomHTMLZoneLigne(i,boolPremierAppel,boolVersionEtendue,boolErreurAppel,compteur_actions,compteur_colonnes_visibles);
	}
	return codeHTML;
}


// Fonction pour gnrer le code HTML associ au composant tableau

/**
* La mthode publique ecrireComposantDomHTML() dclenche la gnration du code HTML de la zone dynamique
* associe au composant Tableau. 
* @public
* @param {boolean_Optionnel}  boolPremierAppel Boolen prcisant si la gnration du code est dclenche
* lors du chargement de la page ou pas. Une valorisation  false permet de gnrer le contenu informatif du tableau.
* @param {boolean_Optionnel}  boolVersionEtendue Boolen prcisant si la gnration du code est dclenche
* en pleine page ou non.
* @param {boolean_Optionnel}  boolErreurAppel Boolen prcisant si la gnration du code est dclenche
* en cas d'erreur sur l'affichage du contenu du tableau.
* @return {string} Code HTML du tableau
* @version 2.5.3
* @date 05/10/2007
*/ 
function ComposantTableau_ecrireHTML()
{
  var argv = ComposantTableau_ecrireHTML.arguments;
  var argc = ComposantTableau_ecrireHTML.arguments.length;
  var boolPremierAppel = (argc > 0) ? argv[0] : true;
  var boolVersionEtendue = (argc > 1) ? argv[1] : false;
  var boolErreurAppel = (argc > 2) ? argv[2] : false;
  var boolTableauVide = (this.urlXMLData==null) ? true : false;
  if ((this.tabColonnes.length == 0) || (!this.donneeLigne) || (this.donneeLigne == ""))
    return "";
    
  // Compteurs de boucle
  var i,j = 0;
  // Compteurs fonctionnels
  var compteur_colonnes_visibles = 0;
  var tools_span_counter = 0;
  var split_tools_tab = new Array();
  var compteur_actions = 0;
  var compteur_lignes = 0;
  var codeHTML = "";

	// rinitialisation de l'alternance
  this.objPresentation.dernierStyle = "tableau_corps_pair";  
  this.objPresentation.dernierTypeStyle = FLAG_STYLELIGNE_ALTERNE;
    
  if ((this.boolActions) && (this.actionEnCours == -1)) 
		compteur_actions=this.tabActions.length;
  
  if ((this.boolActions) && (this.actionEnCours != -1)) {
		if ((this.tabActions[this.actionEnCours].type == FLAG_ACTION_VALIDER)) 
			compteur_actions = 2;
  }
  
	if ((this.boolOutils) && (this.outilEnCours != -1)) {
		if ((this.tabOutils[this.outilEnCours].type == FLAG_OUTIL_VALIDER))
			compteur_actions = 2;
		if ((this.tabOutils[this.outilEnCours].type == FLAG_OUTIL_VALIDER_ET_RETARRIERE)) 
			compteur_actions = 3;    		
	}	      

  if (boolVersionEtendue)
    compteur_actions = 0;
    
  if (!boolPremierAppel) {
  	if (!parent.getElements(this.XMLData.xmlDoc,this.donneeLigne))
    	compteur_lignes = 0;
    else {
	    var itemLignes = parent.getElements(this.XMLData.xmlDoc,this.donneeLigne);
	    compteur_lignes = itemLignes.length;
    }
    if (compteur_lignes == 0)
    	this.nbPages = 1;
    else if ((this.objPresentation.flagPager == FLAG_PAGINE) && (this.objPresentation.nbLigne != null) && (this.objPresentation.nbLigne != 0))
      this.nbPages = Math.ceil(compteur_lignes/this.objPresentation.nbLigne);
  }

  // calcul du nombre de ligne qui vont tre affiche
  if (!boolPremierAppel) {
		//  - calcul et gestion de la pagination
		var maxLignes = compteur_lignes;
		var minLignes = 0;
		if ((this.objPresentation.flagPager == FLAG_PAGINE) && (this.nbPages != 1) && (!this.boolFiltrageEnCours) && !(this.estTableur && this.boolFiltrageTitreEnCours))
		{
		  minLignes = (this.pageEnCours -1)* this.objPresentation.nbLigne;
		  maxLignes = Math.min((this.pageEnCours* this.objPresentation.nbLigne),compteur_lignes);
		}
		//  - calcul du filtrage
		var compteur_lignesFiltre = 0;
		for (i=minLignes;i<maxLignes;i++) {
			test=true;
		  if (this.boolFiltrageEnCours)
		    test = this.testFiltre(i);
		  if (!test)
		  	continue;

			if (this.estTableur) {
				test=true;
			  if (this.boolFiltrageTitreEnCours)
			    test = this.testFiltreTitre(i);
			  if (!test)
			  	continue;
			}
		  compteur_lignesFiltre++;
		}
	}		  

	// controle si scrollbar  afficher
	this.boolScrollbarVerticale = false;
	if ((this.objPresentation.blScrollbarVerticale) && (!boolVersionEtendue))
		if ((compteur_lignesFiltre*(this.objPresentation.sizeIcone+4)) > this.objPresentation.sizeScrollbarVerticale)
			this.boolScrollbarVerticale=true;
	
  // calcul du nombre de colonnes qui vont tre affiche
  if ((compteur_actions != 0) && (!boolPremierAppel)) {
    compteur_colonnes_visibles++;
    tools_span_counter++;
  }
  for (i=0;i<this.tabColonnes.length;i++) {
	if (((this.tabColonnes[i].cache != "OUI") && (this.tabColonnes[i].cache != "JAMAIS")) || ((this.tabColonnes[i].cache == "OUI") && (boolVersionEtendue))) {

		  compteur_colonnes_visibles+=(this.objPresentation.sizeSpace == 0)?1:2;
		  
		  // If it's a checkbox column we have to split the tools bar to put the checkbox tool above this own column
		  if (this.tabColonnes[i].type == "CHECKBOX") {
			  split_tools_tab.push(tools_span_counter);
			  tools_span_counter = 0;
		  } else {
			  tools_span_counter+=(this.objPresentation.sizeSpace == 0)?1:2;
		  }
	}
  }
  split_tools_tab.push(tools_span_counter);
  if ((this.boolScrollbarVerticale) && (!window.ActiveXObject)) {
	compteur_colonnes_visibles++;
	if (split_tools_tab[0] != null) {
		split_tools_tab[0]++;
	}
  }

  // Calcul de la largeur du tableau (100% par dfaut)
  var width = '100%';
	if (this.boolListe)
  {
    if ((this.objPresentation.largeurListe) && (this.objPresentation.largeurListe != ""))
      width = this.objPresentation.largeurListe;
	}
  else if (boolVersionEtendue)
  {
    if ((this.objPresentation.largeurEtendue) && (this.objPresentation.largeurEtendue != ""))
      width = this.objPresentation.largeurEtendue;
	}
  else
  {
    if ((this.objPresentation.largeur) && (this.objPresentation.largeur != ""))
      width = this.objPresentation.largeur;
	}
  
  if (width == "AUTO")
  {
    // Calcul automatique de la largeur du tableau
    // en fonction des tailles fixes indiques dans les colonnes
    var autoWidth = 0;
    var autoWidthError = false;
    for (i=0;i<this.tabColonnes.length;i++)
  	{
      // Vrifie que la colonne est affiche
      if (this.tabColonnes[i].cache == "NON" || boolVersionEtendue)
      {
        if (!isNaN(this.tabColonnes[i].largeur))
          autoWidth += eval(this.tabColonnes[i].largeur);
        else
        {
          autoWidthError = true;
          break;
        }
      }
    }
    
    if (!autoWidthError)
    {
      // En mode normal (pas tendu), on comptabilise la largeur des boutons d'action
      if (!boolVersionEtendue)
      {
        for (i=0;i<this.tabActions.length;i++)
        {
          var img = new Image();
          img.src = this.tabActions[i].iconeOut;
          if (img.width > 0)
            autoWidth += img.width;
          else
            autoWidth += 16;
        }
      }
      
      width = autoWidth;
    }
    else
    {
      // Erreur pendant le calcul automatique de la largeur :
      // retour  la valeur par dfaut
      width = '100%'; 
    }
  }
	
  // Ouverture de la marge ventuelle et de la zone de titre
  codeHTML += '<table width="' + width + '" border="0" cellspacing="0" cellpadding="0">\n';
  codeHTML += '<tr>\n';
  var ecrireMarge = (((this.marge!="0") && (this.marge!="0px") && (this.marge!="0%") && (!boolVersionEtendue))?true:false); 
  if (ecrireMarge)
    codeHTML += '<td style="width: ' + this.marge + '"></td>\n';
  codeHTML += '<td>\n';
  codeHTML += this.ecrireComposantDomHTMLZoneTitre(boolPremierAppel,boolVersionEtendue,boolErreurAppel);
  codeHTML += '</td>\n';
  codeHTML += '</tr>\n';
  codeHTML += '<tr>\n';
  if (ecrireMarge)
		codeHTML += '<td style="width:' + this.marge + '"></td>\n';
  codeHTML += '<td>\n';
  

	// Ouverture du tableau 
	codeHTML += '<div id="'+this.id+'_table" ';
  if ((this.boolScrollbarVerticale) && (window.ActiveXObject))
  	codeHTML += ' style="height: '+this.objPresentation.sizeScrollbarVerticale+'px; overflow: auto; margin-right: 16px; "';
  codeHTML += '>\n';
  codeHTML += '<table width="100%" border="0" cellspacing="0" cellpadding="0">\n';
  
  // Gnration de la zone d'entte
  codeHTML += '<thead id="'+this.id+'_thead" >\n';
  codeHTML += this.ecrireComposantDomHTMLZoneEntete(boolPremierAppel,boolVersionEtendue,boolErreurAppel,compteur_actions,compteur_colonnes_visibles,compteur_lignes);
  codeHTML += this.ecrireComposantDomHTMLZoneOutil(boolPremierAppel,boolVersionEtendue,boolErreurAppel,compteur_actions,compteur_colonnes_visibles,split_tools_tab);
  codeHTML += this.ecrireComposantDomHTMLZoneDeco1(compteur_colonnes_visibles);
  
  // Affichage de la zone du total global seulement s'il n'existe aucune ligne  afficher
  if (this.ecrireComposantDomHTMLZoneInfo != null &&
      ( (compteur_lignesFiltre != 0 && (this.boolFiltrageEnCours || (this.estTableur && this.boolFiltrageTitreEnCours)))
        || (compteur_lignes != 0 && !(this.boolFiltrageEnCours || (this.estTableur && this.boolFiltrageTitreEnCours)))))  {
  	codeHTML += this.ecrireComposantDomHTMLZoneInfo(boolPremierAppel,boolVersionEtendue,boolErreurAppel,compteur_actions,compteur_colonnes_visibles);
  	codeHTML += this.ecrireComposantDomHTMLZoneDeco3(compteur_colonnes_visibles);
  }
  
  codeHTML += '</thead>\n';
  
  // Ouverture du corps du tableau
  codeHTML += '<tbody id="'+this.id+'_tbody" '
  if ((this.boolScrollbarVerticale) && (!window.ActiveXObject))
  	codeHTML += 'style="height: '+this.objPresentation.sizeScrollbarVerticale+'px; overflow: auto; border: 1px; padding: 8px;"';
  codeHTML += '>\n';

  // cas 1 : Gnration d'un message d'attente lors de la premire gnration sans flux rapatri
  if ((this.boolMessageAttente) && (boolPremierAppel) && (!boolErreurAppel) && (!boolTableauVide))
  {
    codeHTML += '<tr>\n';
    codeHTML += '<td colspan="' + compteur_colonnes_visibles + '">';
    codeHTML += '<img src="' + image_attente_src + '" width="100" height="40" alt="" />';
    codeHTML += '</td>\n</tr>\n';
  }
  
  // cas 2 : Gnration d'un message si erreur survenue en popup lors du rapatriement du flux XML
  if ((boolPremierAppel) && (boolErreurAppel))
  {
    codeHTML += '<tr>\n';
    codeHTML += '<td colspan="' + compteur_colonnes_visibles + '" style="text-align :center" class="CGtxcodefonce"><strong>' + this.messageErreurPopup + '</strong></td>\n';
    codeHTML += '</tr>\n';
  }

  // cas 3 : Gnration du contenu refltant le flux XML rapatri
  if (!boolPremierAppel)
  {
  	// Gnration de la ligne associe  une action (exemple : ajout)
		if (   (this.boolOutils)
				&& (this.outilEnCours != -1) 
    	  && ((this.tabOutils[this.outilEnCours].type == FLAG_OUTIL_VALIDER) || (this.tabOutils[this.outilEnCours].type == FLAG_OUTIL_VALIDER_ET_RETARRIERE))
		    && (this.tabOutils[this.outilEnCours].typePosition == FLAG_POSITION_BODY)) {
      codeHTML += '<tr class="tableau_corps_select CGcodetresclair">\n';
      codeHTML += '<td nowrap="nowrap" width="' + (compteur_actions*tailleAction) + '">';
      codeHTML += '&nbsp;<a href="javascript:' + this.id+'.gereOutil(' + this.outilEnCours + ',' + ACTION_VALIDE + ')" onMouseOver="' + this.id + '.gestionIcone(this,\'' + this.tabOutils[this.outilEnCours].iconeOverValide + '\')" onMouseOut="' + this.id + '.gestionIcone(this,\'' + this.tabOutils[this.outilEnCours].iconeOutValide + '\')"><img src="' + this.tabOutils[this.outilEnCours].iconeOutValide + '" width="'+this.objPresentation.sizeIcone+'" height="'+this.objPresentation.sizeIcone+'" border="0" alt="' + this.tabOutils[this.outilEnCours].alternateValide + '" title="' + this.tabOutils[this.outilEnCours].alternateValide + '"/></a>';
      codeHTML += '&nbsp;<a href="javascript:' + this.id+'.gereOutil(' + this.outilEnCours + ',' + ACTION_ANNULE + ')" onMouseOver="' + this.id + '.gestionIcone(this,\'' + this.tabOutils[this.outilEnCours].iconeOverAnnule + '\')" onMouseOut="' + this.id + '.gestionIcone(this,\'' + this.tabOutils[this.outilEnCours].iconeOutAnnule + '\')"><img src="' + this.tabOutils[this.outilEnCours].iconeOutAnnule + '" width="'+this.objPresentation.sizeIcone+'" height="'+this.objPresentation.sizeIcone+'" border="0" alt="' + this.tabOutils[this.outilEnCours].alternateAnnule + '" title="' + this.tabOutils[this.outilEnCours].alternateAnnule + '"/></a>';
      if (this.tabOutils[this.outilEnCours].type == FLAG_OUTIL_VALIDER_ET_RETARRIERE)
      	codeHTML += '&nbsp;<a href="javascript:' + this.id+'.gereOutil(' + this.outilEnCours + ',' + ACTION_ARRIERE + ')" onMouseOver="' + this.id + '.gestionIcone(this,\'' + this.tabOutils[this.outilEnCours].iconeOverArriere + '\')" onMouseOut="' + this.id + '.gestionIcone(this,\'' + this.tabOutils[this.outilEnCours].iconeOutArriere + '\')"><img src="' + this.tabOutils[this.outilEnCours].iconeOutArriere + '" width="'+this.objPresentation.sizeIcone+'" height="'+this.objPresentation.sizeIcone+'" border="0" alt="' + this.tabOutils[this.outilEnCours].alternateArriere + '" title="' + this.tabOutils[this.outilEnCours].alternateArriere + '"/></a>';
      codeHTML += eval(this.tabOutils[this.outilEnCours].fonctionValide);
      codeHTML += '</td>\n';
      codeHTML += '</tr>\n';
		}	                 
  	
		// Affichage des lignes faisant partie de la pagination 
		codeHTML += this.ecrireComposantDomHTMLBoucle(minLignes,maxLignes,boolPremierAppel,boolVersionEtendue,boolErreurAppel,compteur_actions,compteur_colonnes_visibles);
    
    if (compteur_lignes == 0) {
	      codeHTML += '<tr>\n';
	      codeHTML += '<td colspan="' + compteur_colonnes_visibles + '" style="text-align :center" class="CGtxcodefonce"><strong>' + this.messageVide + '</strong></td>\n';
	      codeHTML += '</tr>\n';
    } else if ((compteur_lignesFiltre == 0) && (this.boolFiltrageEnCours || (this.estTableur && this.boolFiltrageTitreEnCours))) {
       codeHTML += '<tr>\n';
       codeHTML += '<td colspan="' + compteur_colonnes_visibles + '" style="text-align :center" class="CGtxcodefonce"><strong>' + this.messageFiltreVide + '</strong></td>\n';
       codeHTML += '</tr>\n';
    } 

  }
  
  // Fermeture du corps du tableau
  codeHTML += '</tbody>\n';

  // Ouverture de la zone de bas de tableau
  codeHTML += '<tfoot id="'+this.id+'_tfoot">\n';
  
  // Fermeture de la zone de bas de tableau
  codeHTML += '</tfoot>\n';
      	    	
	// Fermeture du tableau 
  codeHTML += '</table>\n';
  codeHTML += '</div>\n';

  // Gnration de la zone de pied
  codeHTML += '</td>\n';
  codeHTML += '</tr>\n';
  codeHTML += '<tr id="'+this.id+'_tend">\n';
  if (ecrireMarge)
		codeHTML += '<td style="width:' + this.marge + '"></td>\n';
  codeHTML += '<td><table table width="100%" border="0" cellspacing="0" cellpadding="0">\n';
  codeHTML += this.ecrireComposantDomHTMLZoneDeco2(compteur_colonnes_visibles);
  codeHTML += this.ecrireComposantDomHTMLZonePied(compteur_colonnes_visibles);
  codeHTML += this.ecrireComposantDomHTMLZonePager(boolPremierAppel,boolVersionEtendue,boolErreurAppel,compteur_colonnes_visibles,compteur_lignes,minLignes,maxLignes);  
  codeHTML += '</tfoot>\n';
  codeHTML += '</table></td>\n';
  codeHTML += '</tr>\n';
  
	// Fermeture de la marge ventuelle et de la zone de tableau
  codeHTML += '</table>\n';
  
  return codeHTML;
}


// Fonction pour grer la visibilite des lments du tableau

/**
* La mthode prive visibiliteComposantDomHTML() gre la visibilit des lments du composant Tableau. 
* @private
* @param {} Aucun
* @return {void}
* @version 2.5.3
* @date 05/10/2007
*/ 
function ComposantTableau_visibiliteHTML()
{
  var argv = ComposantTableau_visibiliteHTML.arguments;
  var argc = ComposantTableau_visibiliteHTML.arguments.length;
  var boolBloqueAlternance = (argc > 0) ? argv[0] : false;
  var boolPremierAppel = (argc > 1) ? argv[1] : true;
  var boolVersionEtendue = (argc > 2) ? argv[2] : false;
  var boolErreurAppel = (argc > 3) ? argv[3] : false;

	if (boolVersionEtendue)
		doc=msgWindowEtendue.document;
	else
		doc=document;

	if ((this.boolScrollbarVerticale) && (window.ActiveXObject)) {
		doc.getElementById(this.id+"_Entete").style.position="relative";
		if ((this.boolOutils) && (!boolVersionEtendue))
			doc.getElementById(this.id+"_Outil").style.position="relative";
		doc.getElementById(this.id+"_Deco1_1").style.position="relative";
		doc.getElementById(this.id+"_Deco1_2").style.position="relative";
		if (this.ecrireComposantDomHTMLZoneInfo != null) {
			doc.getElementById(this.id+"_Deco3_1").style.position="relative";
			doc.getElementById(this.id+"_Deco3_2").style.position="relative";
			doc.getElementById(this.id+"_Deco3_3").style.position="relative";
		}
	}

	// mise  jour du mode actuel, si mode altern activ
	if ((this.objPresentation.blActivate) && (!boolBloqueAlternance)) {
		this.objPresentation.flagMode=(this.objPresentation.flagMode == FLAG_PRESENTATION_NORMALE)?FLAG_PRESENTATION_REDUITE:FLAG_PRESENTATION_NORMALE;
		if (this.objPresentation.flagMode == FLAG_PRESENTATION_NORMALE) 
	  	doc.getElementById(this.id+"_ICONEMODE").innerHTML = '<a href="javascript:' + this.id + '.visibiliteComposantDomHTML()" onMouseOver="' + this.id + '.gestionIcone(this,\'' + icone_reduireover_src + '\')" onMouseOut="' + this.id + '.gestionIcone(this,\'' + icone_reduire_src + '\')"><img src="' + icone_reduire_src + '" alt="' + this.alt_versionReduite + '" title="' + this.alt_versionReduite + '" width="'+this.objPresentation.sizeIcone+'" height="'+this.objPresentation.sizeIcone+'" vspace="4" border="0" /></a>';
	  else
	  	doc.getElementById(this.id+"_ICONEMODE").innerHTML = '<a href="javascript:' + this.id + '.visibiliteComposantDomHTML()" onMouseOver="' + this.id + '.gestionIcone(this,\'' + icone_normalover_src + '\')" onMouseOut="' + this.id + '.gestionIcone(this,\'' + icone_normal_src + '\')"><img src="' + icone_normal_src + '" alt="' + this.alt_versionNormale + '" title="' + this.alt_versionNormale + '" width="'+this.objPresentation.sizeIcone+'" height="'+this.objPresentation.sizeIcone+'" vspace="4" border="0" /></a>';

		// cas particulier de l'alternance sur la taille
	  if (this.objPresentation.flagSize == FLAG_POLICE_ALTERNE) {
		  this.objPresentation.sizeIcone = (this.objPresentation.sizeIcone == FLAG_SIZEICONE_REDUITE)?FLAG_SIZEICONE_STANDARD:FLAG_SIZEICONE_REDUITE;
		  this.objPresentation.classFont = (this.objPresentation.classFont == FLAG_FONT_REDUITE)?FLAG_FONT_STANDARD:FLAG_FONT_REDUITE;
			this.divBind.innerHTML = this.ecrireComposantDomHTML(false,false,false);
 		}  
	}

	// gestion zone de titre
	if ((this.objPresentation.flagTitre == FLAG_TOUJOURS) || (boolVersionEtendue))	
		doc.getElementById(this.id+"_Titre").style.display="";
	else if (this.objPresentation.flagTitre == FLAG_JAMAIS)
		doc.getElementById(this.id+"_Titre").style.display="none";
	else
		doc.getElementById(this.id+"_Titre").style.display=(this.objPresentation.flagMode == FLAG_PRESENTATION_NORMALE)?"":"none";

	// gestion zone d'entete		
	if ((this.objPresentation.flagEntete == FLAG_TOUJOURS) || (boolVersionEtendue))		
		doc.getElementById(this.id+"_Entete").style.display="";
	else if (this.objPresentation.flagEntete == FLAG_JAMAIS)
		doc.getElementById(this.id+"_Entete").style.display="none";
	else
		doc.getElementById(this.id+"_Entete").style.display=(this.objPresentation.flagMode == FLAG_PRESENTATION_NORMALE)?"":"none";	

	if ((this.boolOutils) && (!boolVersionEtendue)) {
		if ((this.objPresentation.flagOutil == FLAG_TOUJOURS) || (this.objPresentation.blActivate))		
			doc.getElementById(this.id+"_Outil").style.display="";
		else if (this.objPresentation.flagEntete == FLAG_JAMAIS)
			doc.getElementById(this.id+"_Outil").style.display="none";
		else 
			doc.getElementById(this.id+"_Outil").style.display=(this.objPresentation.flagMode == FLAG_PRESENTATION_NORMALE)?"":"none";
	}
		
	if ((this.objPresentation.flagDeco == FLAG_TOUJOURS) || (boolVersionEtendue)) {		
		doc.getElementById(this.id+"_Deco1_1").style.display="";
		doc.getElementById(this.id+"_Deco1_2").style.display="";
		if (this.ecrireComposantDomHTMLZoneInfo != null) {
			doc.getElementById(this.id+"_Deco3_1").style.display="";
			doc.getElementById(this.id+"_Deco3_2").style.display="";
			doc.getElementById(this.id+"_Deco3_3").style.display="";
		}
	} else if (this.objPresentation.flagDeco == FLAG_JAMAIS) {
		doc.getElementById(this.id+"_Deco1_1").style.display="none";
		doc.getElementById(this.id+"_Deco1_2").style.display="none";
		if (this.ecrireComposantDomHTMLZoneInfo != null) {
			doc.getElementById(this.id+"_Deco3_1").style.display="none";
			doc.getElementById(this.id+"_Deco3_2").style.display="none";
			doc.getElementById(this.id+"_Deco3_3").style.display="none";
		}
	} else {
		doc.getElementById(this.id+"_Deco1_1").style.display=(this.objPresentation.flagMode == FLAG_PRESENTATION_NORMALE)?"":"none";
		doc.getElementById(this.id+"_Deco1_2").style.display=(this.objPresentation.flagMode == FLAG_PRESENTATION_NORMALE)?"":"none";
		if (this.ecrireComposantDomHTMLZoneInfo != null) {
			doc.getElementById(this.id+"_Deco3_1").style.display=(this.objPresentation.flagMode == FLAG_PRESENTATION_NORMALE)?"":"none";;
			doc.getElementById(this.id+"_Deco3_2").style.display=(this.objPresentation.flagMode == FLAG_PRESENTATION_NORMALE)?"":"none";;
			doc.getElementById(this.id+"_Deco3_3").style.display=(this.objPresentation.flagMode == FLAG_PRESENTATION_NORMALE)?"":"none";;
		}
	}

	// gestion zone de pied		
	if ((this.objPresentation.flagDeco == FLAG_TOUJOURS) || (boolVersionEtendue)) {		
		doc.getElementById(this.id+"_Deco2_1").style.display="";
		doc.getElementById(this.id+"_Deco2_2").style.display="";
	} else if (this.objPresentation.flagDeco == FLAG_JAMAIS) {
		doc.getElementById(this.id+"_Deco2_1").style.display="none";
		doc.getElementById(this.id+"_Deco2_2").style.display="none";
	} else {
		doc.getElementById(this.id+"_Deco2_1").style.display=(this.objPresentation.flagMode == FLAG_PRESENTATION_NORMALE)?"":"none";
		doc.getElementById(this.id+"_Deco2_2").style.display=(this.objPresentation.flagMode == FLAG_PRESENTATION_NORMALE)?"":"none";
	}
	
	if ((this.objPresentation.flagPied == FLAG_TOUJOURS) || (boolVersionEtendue))		
		doc.getElementById(this.id+"_Pied").style.display="";
	else if (this.objPresentation.flagPied == FLAG_JAMAIS)
		doc.getElementById(this.id+"_Pied").style.display="none";
	else
		doc.getElementById(this.id+"_Pied").style.display=(this.objPresentation.flagMode == FLAG_PRESENTATION_NORMALE)?"":"none";
		
	if (!boolVersionEtendue) {
		if ((this.objPresentation.flagPager == FLAG_TOUJOURS) || (this.objPresentation.flagPager == FLAG_PAGINE) || (boolVersionEtendue))		
			doc.getElementById(this.id+"_Pager").style.display="";
		else if (this.objPresentation.flagPager == FLAG_JAMAIS)
			doc.getElementById(this.id+"_Pager").style.display="none";
		else
			doc.getElementById(this.id+"_Pager").style.display=(this.objPresentation.flagMode == FLAG_PRESENTATION_NORMALE)?"":"none";
	}
}


// Fonction pour binder le code HTML gnr dans la zone dynamique associe

/**
* La mthode publique ecrireBind() dclenche la gnration du code HTML de la zone dynamique associe au composant.
* Par dfaut, la zone dynamique est l'lment DOM HTML dont l'id est valoris par "Position_" + Id du composant.
* Fonctionnement:<br>&nbsp;&nbsp;&nbsp;1-Dsaffichage de la zone dynamique.
* <br>&nbsp;&nbsp;&nbsp;2-Rcupration du code HTML associ au composant de bandeau d'onglets.
* <br>&nbsp;&nbsp;&nbsp;3-Bind le code HTML  la zone dynamique associe au bandeau.
* <br>&nbsp;&nbsp;&nbsp;4-Affichage de la zone dynamique
* <br><br><b>Voir Exemple de gnration du code HTML associ au composant pour affichage: </b>
* <a href='exemples_A3.html#ComposantTableau_meth'>Exemples d'appels aux mthodes publiques</a>.
* @public
* @param {boolean_Optionnel} boolPremierAppel : Boolen prcisant si la gnration du code est dclenche
* lors du chargement de la page ou pas. Une valorisation  false permet de gnrer le contenu informatif du tableau.
* @return {void}
* @version 2.5.3
* @date 05/10/2007
*/
function ComposantTableau_ecrireBind()
{
  var argv = ComposantTableau_ecrireBind.arguments;
  var argc = ComposantTableau_ecrireBind.arguments.length;
  
  var boolPremierAppel = (argc > 0) ? argv[0] : true;
  var boolErreurAppel = (argc > 2) ? argv[2] : false;

  // Creation de la DIV en position absolue
  this.divBind.style.display = "none";
  this.divBind.style.position = "relative";
  var codeHTML = this.ecrireComposantDomHTML(boolPremierAppel,false,boolErreurAppel);
  this.divBind.innerHTML = codeHTML;
  this.divBind.style.display = "";
	this.visibiliteComposantDomHTML(true,boolPremierAppel,false,boolErreurAppel); 
	if ((this.boolScrollbarVerticale) && (window.ActiveXObject)) {
		setTimeout("Generique_ecrireBindDelay('"+this.id+"')",5);
	}
}

// Fonction pour positionner la zone dynamique associe  la gnration du composant tableau (valeur par dfaut)

/**
* La mthode prive initDivBind() permet de positionner la zone dynamique associe  la gnration 
* du composant tableau (valeur par dfaut). Elle est ainsi initialise  l'lment DOM HTML prsent dans la page
* dont l'id est  valoris par "Position_" + Id du composant.<br>Ce pointeur vers le DOM HTML est stock dans la
* proprit divBind de l'instance de la classe ComposantTableau.
* @private
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantTableau_initDivBind()
{
  if (document.getElementById("Position_" + this.id))
    this.setDivBind(document.getElementById("Position_" + this.id));
}


// Fonction pour valoriser la zone dynamique associe  la gnration du composant tableau

/**
* La mthode publique setDivBind(divBind) permet d'associer au composant une zone dynamique.
* Elle est utile lorsque l'id de cette zone est diffrent de celui par dfaut ("Position_" + Id du composant).
* <br><br><b>Voir Exemple de gnration du code HTML associ au composant pour affichage: </b>
* <a href='exemples_A3.html#ComposantTableau_meth'>Exemples d'appels aux mthodes publiques</a>.
* @public
* @param {objetDOMHtml_Obligatoire} divBind : Objet DOM HTML rfrenant la zone dynamique associe au composant.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantTableau_setDivBind(divBind)
{
  this.divBind = divBind;
}


// Fonction pour grer le rollOver sur une ligne du tableau

/**
* La mthode prive rollOverLigne(ligne, type) gre le rollOver sur une ligne du tableau.
* @private
* @param {String_Obligatoire} ligne : id de la ligne du tableau sur laquelle appliquer le style
* pass en paramtre - <b>Valeurs par dfaut : </b>
* <a href='default-values_A3.html#ComposantTableauMeth'>Valeurs par dfaut des Mthodes</a>.
* @param {String_Obligatoire} type : Indique le type de rollOver ralis sur la ligne -
* <b><a href='constant-values_A3.html#type_param'>Voir Valeurs des Constantes - Paramtres </a></b>.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantTableau_rollOverLigne(ligne, style)
{
	ligne.className = 'CGcodetresclair '+style+this.objPresentation.classFont;
}


// Fonction pour grer le rollOver sur les icnes

/**
* La mthode prive gestionIcone(widget, url) gre le rollOver sur les icnes.
* @private
* @param {ObjectDOMHTML _Obligatoire} widget : Elment DOM HTML du composant Tableau.
* @param {String _Obligatoire} url : String indiquant l'url associ  l'icne en rollOver.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantTableau_gestionIcone(widget, url)
{
  widget.firstChild.src = url;
}


// Fonction pour grer le tri du tableau

/**
* La mthode publique triTout() lance le tri d'un tableau.
* @public
* @param {} Aucun
* @return {void}
* @version 2.4
* @date 14/11/2006
*/
function ComposantTableau_triTout()
{
  var i = 0;
  
  if (!this.boolTriAutorise || !this.boolTriActif) {
	  this.pageEnCours = 1;
	  this.ecrireBind(false);
  	return;
	}
	
	var listeCol=new Array();
	var listeOrdre=new Array();
  
  for (i=0;i<this.tabColonnes.length;i++) {
    if (this.tabColonnes[i].tri == "CROISSANT") {
      listeCol.push(i);
      listeOrdre.push("CROISSANT");
			if (this.typeTri == TRI_SIMPLE) break;
    } else if (this.tabColonnes[i].tri == "DECROISSANT") {
      listeCol.push(i);
      listeOrdre.push("DECROISSANT");
			if (this.typeTri == TRI_SIMPLE) break;
    }
  }
  
	if (listeCol.length != 0) { 
	  this.tri(listeCol,listeOrdre);  	  	
	
		if (this.typeTri == TRI_SIMPLE) {
		  for (i=0;i<this.tabColonnes.length;i++) {
		    if ((this.tabColonnes[i].tri == "CROISSANT") || (this.tabColonnes[i].tri == "DECROISSANT"))
		      this.tabColonnes[i].tri = "NON";
		  }
		  	this.tabColonnes[listeCol[0]].tri = listeOrdre[0];
		}
	}
	
	for(var cptSort=0; cptSort<this.tabSortHistory.length; cptSort++){
		if(this.tabSortHistory[cptSort] != null && this.tabSortHistory[cptSort] != ""){
			var tmpTab = this.tabSortHistory[cptSort].split("/");
			if(tmpTab.length>1){
				this.selectTri(parseInt(tmpTab[0]),tmpTab[1]);	
			}
		}
	}
	
  this.pageEnCours = 1;
  this.ecrireBind(false);
}

// Fonction pour grer la slection d'une colonne  trier

/**
* La mthode prive selectTri(itemColonne, ordre) slectionne une colonne de tri du tableau.
* @private
* @param {int_Facultatif} itemColonne : Indice des colonnes  trier.
* @param {String_Obligatoire} ordre : Ordre des tri ("DECROISSANT", "CROISSANT" ou "NON")-
* <b><a href='constant-values_A3.html#odre_param'>Voir Valeurs des Constantes - Paramtres </a></b>.
* @return {void}
* @version 2.4
* @date 14/11/2006
*/
function ComposantTableau_selectTri(itemColonne, ordre)
{
	var listeCol=new Array();
	var listeOrdre=new Array();
  
  if (this.typeTri == TRI_SIMPLE) {
	  for (i=0;i<this.tabColonnes.length;i++) {
	    if ((this.tabColonnes[i].tri == "CROISSANT") || (this.tabColonnes[i].tri == "DECROISSANT"))
	      this.tabColonnes[i].tri = "NON";
	  }
	  this.tabColonnes[itemColonne].tri = ordre;
	  this.tabColonnes[itemColonne].currentLevelSorting = this.currentLevelSorting;

    listeCol.push(itemColonne);
    listeOrdre.push(ordre);    		
	}	else {
	  this.tabColonnes[itemColonne].tri = ordre;
	  this.tabColonnes[itemColonne].currentLevelSorting = this.currentLevelSorting;
	  for (i=0;i<this.tabColonnes.length;i++)
	    if ((this.tabColonnes[i].tri == "CROISSANT") || (this.tabColonnes[i].tri == "DECROISSANT")) {
		    listeCol.push(i);
		    listeOrdre.push(this.tabColonnes[i].tri);
	  	}
	}	

  this.tri(listeCol,listeOrdre); 	  	
  this.pageEnCours = 1;
  this.ecrireBind(false);
}

// Fonction pour grer le tri d'une colonne

/**
* La mthode publique tri(itemColonne, ordre) effectue le tri du tableau.
* @public
* @param {int_Facultatif} itemColonne : Indice des colonne  trier.
* @param {String_Obligatoire} ordre : Ordre des tri ("DECROISSANT", "CROISSANT" ou "NON")-
* <b><a href='constant-values_A3.html#odre_param'>Voir Valeurs des Constantes - Paramtres </a></b>.
* @return {void}
* @version 2.5
* @date 14/02/2007
*/
function ComposantTableau_tri(itemColonne, ordre)
{
  if(ordre=="NON")return;
  
  var i = 0;
  
  if (!parent.getElements(this.XMLData.xmlDoc, this.donneeListe))
  	return;
  	
  var XMLAtrier = parent.getElements(this.XMLData.xmlDoc, this.donneeListe);
  if ((XMLAtrier.length != 0) && (XMLAtrier[0].childNodes.length != 0) && (XMLAtrier[0].childNodes.length != 1))
  {
    if (this.itemLigneSelected != -1)
    {
      var XMLTest = parent.getElements(XMLAtrier[0], this.donneeLigne);
      var test = parent.convertDOMtoString(XMLTest[this.itemLigneSelected]);
    }

		if (this.typeTri == TRI_SIMPLE) {
		  var boolTriCroissant = true;
		  if (ordre[0] == "DECROISSANT")
		    boolTriCroissant = false;	    
	    parent.QuickSort(XMLAtrier[0], this.tabColonnes[itemColonne[0]].donnee, 0, XMLAtrier[0].childNodes.length-1, boolTriCroissant, this.tabColonnes[itemColonne[0]].type, this.itemLigneSelected);
	    
		} else {
			var listeNomDonnee=new Array();
			var listeTypeDonnee=new Array();
			var listeBoolTriCroissant=new Array();
			
			//Si l'objet est un tableur, on cherche a savoir ou en est l'image de la barre d'outil a propos du tri
			if(this.estTableur){
				var ordreTableur="";
		  	//Cas ou les titres sont tris en ordre croissant
		  	if(this.tabOutils[this.tabObjectOutilTri[0]] == this.tabObjectOutilTri[2])
		  		ordreTableur="CROISSANT";				
		  	//Cas ou les titres sont tris en ordre dcroissant
		  	if(this.tabOutils[this.tabObjectOutilTri[0]] == this.tabObjectOutilTri[3])
		  		ordreTableur="DECROISSANT";		
			}
			//Mise a jour des tableaux de donnes pour le tri multiple
			for (var i=0 ; i<itemColonne.length ; i++) {
				var donnee=this.tabColonnes[itemColonne[i]].donnee;
				listeNomDonnee.push(donnee);	
				listeTypeDonnee.push(this.tabColonnes[itemColonne[i]].type);
				//Si le composant est un tableur, on rcupre l'ordre des titres, et on trie les lignes dans l'ordre demand qui peut etre diffrent 
				if(this.estTableur){
					if(donnee==this.groupe1 || donnee==this.groupe2 || donnee==this.groupe3){
								listeBoolTriCroissant.push((ordreTableur == "DECROISSANT")?false:true);
					}else{
					listeBoolTriCroissant.push((ordre[i] == "DECROISSANT")?false:true);
					}
				}else{
					listeBoolTriCroissant.push((ordre[i] == "DECROISSANT")?false:true);
				}
				}
			parent.QuickSortMulti(XMLAtrier[0], listeNomDonnee, listeTypeDonnee, listeBoolTriCroissant, 0, XMLAtrier[0].childNodes.length-1);			
		}
    if (this.itemLigneSelected != -1)
    {
      var test2 = "";
      for (i=0;i<XMLTest.length;i++)
      {
        test2 = parent.convertDOMtoString(XMLTest[i]);
        if (test2 == test)
          this.itemLigneSelected = i;
      }
    }
    
    // We have to empty the checkbox table because we loosed the index of column
    this.checkboxesTab = new Array();
  }
}

// Fonction pour activer le tri sur les colonnes

/**
* La mthode publique activeTri() active le tri sur les colonnes en renseignant l'attribut
* {@link #boolTriActif boolTriActif}  true.
* @public
* @param {}  Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantTableau_activeTri()
{
  this.boolTriActif = true;
}


// Fonction pour desactiver le tri sur les colonnes

/**
* La mthode publique desactiveTri() dsactive le tri sur les colonnes en renseignant l'attribut
* {@link #boolTriActif boolTriActif}  false.
* @public
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantTableau_desactiveTri()
{
  this.boolTriActif = false;
}


// Fonction pour activer les actions sur les lignes

/**
* La mthode prive activeAction() active les actions sur les lignes, en renseignant 
* {@link #boolActionActif boolActionActif}  true.
* @private
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantTableau_activeAction()
{
  this.boolActionActif = true;
}


// Fonction pour dsactiver les actions sur les lignes

/**
* La mthode prive desactiveAction() dsactive les actions sur les lignes,
* en renseignant {@link #boolActionActif boolActionActif}  false.
* @private
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantTableau_desactiveAction()
{
  this.boolActionActif = false;
}


// Fonction pour activer les outils du tableau

/**
* La mthode prive activeOutil() active les outils du tableau,
* en renseignant {@link #boolOutilActif boolOutilActif}  true.
* @private
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/ 
function ComposantTableau_activeOutil()
{
  this.boolOutilActif = true;
}


// Fonction pour desactiver les outils du tableau

/**
* La mthode prive desactiveOutil() dsactive les outils du tableau,
* en renseignant {@link #boolOutilActif boolOutilActif}  false.
* @private
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantTableau_desactiveOutil()
{
  this.boolOutilActif = false;
}


// Fonction pour slectionner un Item

/**
* La mthode prive selectItem(item) slectionne un Item du flux de donnes et met en valeur la ligne slectionne
* en renseignant {@link #itemLigneSelected itemLigneSelected} avec item en paramtre.
* @private
* @param {int_Obligatoire} item Indice de la ligne  slectionner.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantTableau_selectItem(item)
{
  this.itemLigneSelected = item;
}


// Fonction pour deslectionner un Item

/**
* La mthode prive deselectItem() dslectionne un Item du flux de donnes
* en renseignant {@link #itemLigneSelected itemLigneSelected}  -1.
* @see #selectItem
* @private
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantTableau_deselectItem()
{
  this.itemLigneSelected = -1;
}


// Fonction pour enregistrer l'Item du flux de donnes sur laquelle une action est lance

/**
* La mthode prive selectAction(item) enregistre (mmorise) l'item du flux de donnes sur lequelle 
* une action est lance (renseigne {@link #itemLigneAction itemLigneAction}, ...).
* @private
* @param {int_Obligatoire} item : indice de la ligne sur laquelle l'action  lieu.
* @return {void}
* @version 2.2
* @date 23/08/2006
*/
function ComposantTableau_selectAction(item)
{
  this.itemLigneAction = item;
  this.itemLigneEditEnCours = item;
  this.itemLigneSupprEnCours = item;
  this.itemDetailEnCours = item;
  this.itemDetailPdfEnCours = item;
  this.itemSaveEnCours = item;	
}


// Fonction pour effacer ("d-mmorise") l'item du flux de donnes sur laquelle une action est lance

/**
* La mthode prive deselectAction(item) efface ("d-mmorise") l'item du flux de donnes sur laquelle 
* une action est lance en renseignant {@link #itemLigneAction itemLigneAction}  -1.
* @private
* @param {} Aucun
* @return {void}
* @version 2.2
* @date 23/08/2006
*/
function ComposantTableau_deselectAction()
{
  this.itemLigneAction = -1;
  this.itemLigneEditEnCours = -1;
  this.itemLigneSupprEnCours = -1;
  this.itemDetailEnCours = -1;
  this.itemDetailPdfEnCours = -1;
  this.itemSaveEnCours = -1;	
}


// Fonction appele lors du dclenchement d'une action simple

/**
* La mthode prive appelAction(item) est appele lors du dclenchement d'une action simple.
* @private
* @param {int_Obligatoire} indice de l'action dans le tableau des actions.
* @param {int_Obligatoire} indice de la ligne sur laquelle on dclenche l'action.
* @return {void}
* @version 2.2
* @date 23/08/2006
*/
function ComposantTableau_appelAction(i,ligne)
{
	this.selectAction(ligne);
  if (this.tabActions[i].fonction != null)
  	eval(this.tabActions[i].fonction);
	this.deselectAction();
}


// Fonction appele lors du dclenchement d'une action avec validation

/**
* La mthode prive declencheAction(i,ligne) est appele lors du dclenchement d'une action avec validation.
* Elle dsactive les commandes d'action et de tri sur le tableau.
* @private
* @param {int_Obligatoire} i : indice de l'action dans le tableau des actions.
* @param {int_Obligatoire} ligne : indice de la ligne sur laquelle on dclenche l'action.
* @return {void}
* @version 2.2
* @date 23/08/2006
*/
function ComposantTableau_declencheAction(i,ligne)
{
  this.desactiveOutil();
  this.desactiveTri();

	this.selectAction(ligne);
  this.actionEnCours = i;
  this.ecrireBind(false);
}


// Fonction appele pour activer une action (suite  son dclenchement)

/**
* La mthode prive gereAction() est appele pour activer une action (suite  son dclenchement). Elle ractive
* les commandes d'action et de tri sur le tableau, puis dslectionne la ligne courante.
* @private
* @param {int_Obligatoire} i : indice de l'action dans le tableau des actions.
* @param {int_Obligatoire} ligne : indice de la ligne sur laquelle on dclenche l'action.
* @param {int_Obligatoire} type : type de l'action.
* @return {void}
* @version 2.4
* @date 14/11/2006
*/
function ComposantTableau_gereAction(i,ligne,type)
{
	var res=null;
	
	if (i != null) {
		if (type == ACTION_VALIDE) {
		  if (this.tabActions[i].fonction != null)
		  	res=eval(this.tabActions[i].fonction);
		} else if (type == ACTION_ANNULE) {
		  if (this.tabActions[i].fonctionAnnule != null)
		  	res=eval(this.tabActions[i].fonctionAnnule);
	  	if (res == null)
			res=true;
		}
	}
	
  if ((res != null) && (res))
  	this.annuleAction();
}

// Fonction appele pour finaliser une action suite au dclenchement de son traitement

/**
* La mthode prive annuleAction() est appele pour finaliser une action (suite  son dclenchement). Elle ractive
* les commandes d'action et de tri sur le tableau, puis dslectionne la ligne courante.
* @private
* @return {void}
* @version 2.4
* @date 14/11/2006
*/
function ComposantTableau_annuleAction()
{
  this.activeOutil();
  this.activeAction();
  this.activeTri();

	this.deselectAction();
  this.actionEnCours = -1;
  this.outilEnCours = -1;

  this.ecrireBind(false);
}

// Fonction pour gnrer le code HTML associ  une ligne  supprimer du tableau

/**
* La mthode prive  ecrireHTMLSuppr() gnre le code HTML associ  une ligne du tableau  supprimer.
* @private
* @param {} Aucun
* @return {string} Code HTML de la ligne  supprimer
* @version 2.2
* @date 23/08/2006
*/ 
function ComposantTableau_ecrireHTMLSuppr() {
	var itemLignes = parent.getElements(this.XMLData.xmlDoc,this.donneeLigne);	
	var ligne = this.itemLigneAction;
	
  var codeHTML = '';
  for (j=0;j<this.tabColonnes.length;j++) {

	//Gnration de chaque cellule prsente dans la ligne
	if ((this.tabColonnes[j].cache != "OUI") && (this.tabColonnes[j].cache != "JAMAIS")) {
		if (this.objPresentation.sizeSpace != 0)
			codeHTML += '<td><img src="' + image_spacer_src + '" width="'+this.objPresentation.sizeSpace+'" height="'+this.objPresentation.sizeSpace+'" border="0"/></td>';
													
	  var test = parent.getDataElement(itemLignes[ligne],this.tabColonnes[j].donnee);
	  codeHTML += '<td';
	  if ( ((this.tabColonnes[j].largeur) && (this.tabColonnes[j].largeur != "")) || ((this.tabColonnes[j].alignement) && (this.tabColonnes[j].alignement != ""))) {
		codeHTML += ' width="';
		if ((this.tabColonnes[j].largeur) && (this.tabColonnes[j].largeur != ""))
		   codeHTML += this.tabColonnes[j].largeur + '"';
		if (this.tabColonnes[j].alignement)
		  codeHTML += ' style="text-align :' + this.tabColonnes[j].alignement + '"';
	  }
	  codeHTML += ' class="rature"';
	  if ((test) && (test != "")) {

		if (this.tabColonnes[j].type == "CHECKBOX") {
			codeHTML += '><input type="checkbox" disabled="true" ';
			
			// The value of the checkbox is search in the tab
			if (this.checkboxesTab[ligne] != null) {
				
				// If the value is find
				test = this.checkboxesTab[ligne];
			}
			if (test == true || test == "true" || test == "TRUE") {
				codeHTML += 'checked';
			}
			codeHTML += ' />';
		} else {
			codeHTML += '>' + test;
		}
	  } else {
		codeHTML += '>&nbsp;';
	  }
	  codeHTML += '</td>\n';
	}
  }
  return codeHTML;
}


// Fonction appele lors du dclenchement d'un outil

/**
* La mthode prive declencheOutil(item) est appele lors du dclenchement d'un outil. Elle dsactive les commandes
* d'action et de tri sur le tableau.
* @private
* @param {int_Obligatoire} indice de l'outil dans le tableau des outils.
* @return {void}
* @version 2.2
* @date 23/08/2006
*/
function ComposantTableau_declencheOutil(i)
{
  this.desactiveOutil();
  this.desactiveAction();
  this.desactiveTri();

  this.outilEnCours = i;
  this.ecrireBind(false);
}


// Fonction appele lors du lancement d'un outil (suite  son dclenchement)

/**
* La mthode prive gereOutil() est appele lors du lancement d'un outil. Elle ractive les commandes
* d'action et de tri sur le tableau.
* @private
* @param {int_Obligatoire} indice de l'outil dans le tableau des outils.
* @param {int_Obligatoire} type de l'action.
* @version 2.2
* Date :  23/08/2006
*/
function ComposantTableau_gereOutil(i,type)
{
	var res=null;
	
	if (i != null) {
		if (type == ACTION_VALIDE) {
		  if (this.tabOutils[i].fonction != null)
		  	res=eval(this.tabOutils[i].fonction);
		} else if (type == ACTION_ANNULE) {
		  if (this.tabOutils[i].fonctionAnnule != null)
		  	res=eval(this.tabOutils[i].fonctionAnnule);
			if (res == null)
				res=true;
		} else if (type == ACTION_ARRIERE) {
		  if (this.tabOutils[i].fonctionArriere != null)
		  	res=eval(this.tabOutils[i].fonctionArriere);
			if (res == null)
				res=true;
		}
	}

  if ((res != null) && (res))
  	this.annuleAction();
}


// Fonction appele lors de la demande de validation d'un filtrage sur le tableau

/**
* La mthode prive filtrer() est appele lors de la demande de validation d'un filtrage sur le tableau.
* @private
* @param {} Aucun
* @return {boolean}
* @version 2.4
* @date 14/11/2006
*/
function ComposantTableau_filtrer()
{
  var i = 0;
  var test = "";
  this.boolFiltrageEnCours = false;
  for (i=0;i<this.tabColonnes.length;i++)
  {
    if ((this.tabColonnes[i].cache != "OUI") && (this.tabColonnes[i].cache != "JAMAIS"))
      test = document.getElementById("filtre_" + this.id + "_colonne" + this.tabColonnes[i].id).value;
    else
      test = "";
    if (test != "")
    {
      if (test.charAt(0) == '=')
      {
        this.tabColonnes[i].filtre_signe = "==";
        this.tabColonnes[i].filtre_critere = test.substr(1,test.length);
      }
      else if ( ((test.charAt(0) == '<') && (test.charAt(1) == '>')) || ((test.charAt(0) == '!') && (test.charAt(1) == '=')) )
      {
        this.tabColonnes[i].filtre_signe = "!=";
        this.tabColonnes[i].filtre_critere = test.substr(2,test.length);
        this.tabColonnes[i].filtre_joker = null;
      } 
      else if ((test.charAt(0) == '<') && (test.charAt(1) == '='))
      {
        this.tabColonnes[i].filtre_signe = "<=";
        this.tabColonnes[i].filtre_critere = test.substr(2,test.length);
        this.tabColonnes[i].filtre_joker = null;
      }
      else if ((test.charAt(0) == '>') && (test.charAt(1) == '='))
      {
        this.tabColonnes[i].filtre_signe = ">=";
        this.tabColonnes[i].filtre_critere = test.substr(2,test.length);
        this.tabColonnes[i].filtre_joker = null;
      }
      else if (test.charAt(0) == '>')
      {
        this.tabColonnes[i].filtre_signe = ">";
        this.tabColonnes[i].filtre_critere = test.substr(1,test.length);
        this.tabColonnes[i].filtre_joker = null;
      }
      else if (test.charAt(0) == '<')
      {
        this.tabColonnes[i].filtre_signe = "<";
        this.tabColonnes[i].filtre_critere = test.substr(1,test.length);
        this.tabColonnes[i].filtre_joker = null;
      }
      else
      {
        this.tabColonnes[i].filtre_signe = "==";
        this.tabColonnes[i].filtre_critere = test;
      }
      this.boolFiltrageEnCours = true;
      if (this.tabColonnes[i].filtre_signe == "==")
      {
        if ((this.tabColonnes[i].filtre_critere.charAt(0) == '*') && (this.tabColonnes[i].filtre_critere.charAt(this.tabColonnes[i].filtre_critere.length-1) == '*'))
          this.tabColonnes[i].filtre_joker = "P";
        else if (this.tabColonnes[i].filtre_critere.charAt(0) == '*')
          this.tabColonnes[i].filtre_joker = "T";
        else if (this.tabColonnes[i].filtre_critere.charAt(this.tabColonnes[i].filtre_critere.length-1) == '*')
          this.tabColonnes[i].filtre_joker = "C";
        else
          this.tabColonnes[i].filtre_joker = null;
      }
    } else {
      this.tabColonnes[i].filtre_signe = null;
      this.tabColonnes[i].filtre_critere = null;
      this.tabColonnes[i].filtre_joker = null;
    }
  }
	return true; 
}


// Fonction appele lors de la demande de la gnration du code associe  la fentre fille lie
//  la version tendue du tableau

/**
* La mthode publique ecrireBindVersionEtendue() est appele lors de la gnration du code HTML
* associ  la fentre fille de la version tendue du tableau.
* @public
* @param {}  Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantTableau_ecrireBindVersionEtendue()
{
  var i = 0;
  var test = false;
  do
  {
    i++;
    if ((msgWindowEtendue) && (msgWindowEtendue.document) && (msgWindowEtendue.document.getElementById("Texte")))
      test = true;
  } while ((i <300000) && (!test));
  if (test) {
    msgWindowEtendue.document.getElementById("Texte").innerHTML = this.ecrireComposantDomHTML(false,true);
    this.visibiliteComposantDomHTML(true,false,true);
  } 
  if (msgWindowEtendue)
    msgWindowEtendue.focus();
}

// Fonction appele lors de l'affichage de la version tendue du tableau

/**
* La mthode publique versionEtendue()  est appele lors de l'affichage de la version tendue du tableau.
* @public
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantTableau_versionEtendue()
{
  var estMac = (navigator.userAgent.toLowerCase().indexOf("mac")) != -1 ? 1 : 0;
  if ((msgWindowEtendue) && (!estMac))
  {
    msgWindowEtendue.close();
  }
  msgWindowEtendue = window.open(page_versionEtendue_url, "Version_etendue_" + this.id, "");
  setTimeout(this.id + ".ecrireBindVersionEtendue()",1000);
}

// Fonction appele lors de la demande de la gnration du code associe  la fentre fille lie
//  la gestion des colonnes du tableau

/**
* La mthode publique ecrireBindGestionColonne() est appele lors de la gnration du code HTML
* associ  la fentre fille de gestion des colonnes du tableau.
* @public
* @param {}  Aucun
* @return {void}
* @version 2.4
* @date 14/11/2006
*/
function ComposantTableau_ecrireBindGestionColonne()
{
  var i = 0;
  var test = false;
  do {
    i++;
    if ((msgWindowGestionColonne) && (msgWindowGestionColonne.document) && (msgWindowGestionColonne.document.getElementById("Position_GestionColonne")))
      test = true;
  } while ((i <300000) && (!test));
  if (test) {
  	msgWindowGestionColonne.composantTableau=this;
  	var gestionColonne=msgWindowGestionColonne.getDefaultElementById("GestionColonne");
  	
	  var tabOption = new Array();
  	for (i=0 ; i<this.tabColonnes.length ; i++) {
      if (this.tabColonnes[i].cache != "JAMAIS") {
      	select=(this.tabColonnes[i].cache == "OUI")?false:true;
      	option=new ObjectOption(this.tabColonnes[i].titre , i, select);
  			tabOption.push(option);
      }
		}  
  	gestionColonne.setValues(tabOption);
  } 
  if (msgWindowGestionColonne)
    msgWindowGestionColonne.focus();
}

// Fonction appele lors de la validation de la gestion des colonnes du tableau

/**
* La mthode publique validerGestionColonne() est appele lors de la validation de la gestion des colonnes du tableau.
* @public
* @param {}  Aucun
* @return {void}
* @version 2.4
* @date 14/11/2006
*/
function ComposantTableau_validerGestionColonne()
{
	var gestionColonne=msgWindowGestionColonne.getDefaultElementById("GestionColonne");
  var tabOption = gestionColonne.getValues();
  var tabColonne = new Array();
  for (var i=0 ; i<this.tabColonnes.length ; i++)
  	tabColonne[i]=this.tabColonnes[i];
  for (var i=0 ; i<tabOption.length ; i++) {
		this.tabColonnes[i]=tabColonne[tabOption[i].value];
		
		if (tabOption[i].selected) {
		
			this.tabColonnes[i].cache="NON";
			
			// If it's a checkbox column the tools associate must be hiden
			if (this.tabColonnes[i].type == "CHECKBOX") {
				for (var j=0 ; j<this.tabOutils.length ; j++) {
					if (this.tabOutils[j].id == "tool_checkbox_" + this.tabColonnes[i].id) {
						this.tabOutils[j].blActivate = true;
					}
				}
			}
		} else {
		
			this.tabColonnes[i].cache="OUI";
		
			// If it's a checkbox column the tools associate must be hiden
			if (this.tabColonnes[i].type == "CHECKBOX") {
				for (var j=0 ; j<this.tabOutils.length ; j++) {
					if (this.tabOutils[j].id == "tool_checkbox_" + this.tabColonnes[i].id) {
						this.tabOutils[j].blActivate = false;
					}
				}
			}
		}
  }
  msgWindowGestionColonne.close();
  this.triTout(false);
}


// Fonction appele lors de l'affichage de la version tendue du tableau

/**
* La mthode publique gestionColonne()  est appele lors de l'affichage de la gestion des colonnes du tableau.
* @public
* @param {} Aucun
* @return {void}
* @version 2.4
* @date 14/11/2006
*/
function ComposantTableau_gestionColonne()
{
  var estMac = (navigator.userAgent.toLowerCase().indexOf("mac")) != -1 ? 1 : 0;
  if ((msgWindowGestionColonne) && (!estMac))
  {
    msgWindowGestionColonne.close();
  }
  msgWindowGestionColonne = window.open(page_gestionColonne_url, "Gestion_colonne_" + this.id, "alwaysRaised, dependent, height=280, width=750, menubar=no, resizable=no, scrollbars=no, status=no, titlebar=no, toolbar=no ");
  setTimeout(this.id + ".ecrireBindGestionColonne()",1000);
}

// Fonction appele lors de l'annulation d'un filtrage sur un tableau

/**
* La mthode publique annuleFiltre() est appele lors de l'annulation d'un filtrage sur un tableau.
* @public
* @param {}  Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantTableau_annuleFiltre()
{
  var i = 0;
	this.boolFiltrageEnCours = false;
	for (i=0;i<this.tabColonnes.length;i++)
  {
    this.tabColonnes[i].filtre_signe = null;
    this.tabColonnes[i].filtre_critere = null;
    this.tabColonnes[i].filtre_joker = null;
  }
}


// Fonction appele pour tester si une ligne respecte le filtre saisie

/**
* La mthode publique testFiltre(item) est appele pour tester si une ligne respecte le filtre saisi.
* @public
* @param {int_Obligatoire} item : index de la ligne  tester.
* @return {boolean} Vrai si la ligne respecte le filtre, faux sinon.
* @version 1.1
* @date 25/10/2005
*/
function ComposantTableau_testFiltre(item)
{
  var i = 0;
  var elementTest = parent.getElements(this.XMLData.xmlDoc,this.donneeLigne)[item];
  var test = "";
  var type = "";
  var signe = "";
  var critere = "";
  var joker = null;
  var commande = "";
  for (i=0;i<this.tabColonnes.length;i++)
  {
    if ((this.tabColonnes[i].filtre_signe != null) && (this.tabColonnes[i].filtre_critere != null))
    {
      test = parent.getDataElement(elementTest,this.tabColonnes[i].donnee);
      if ((test) && (test != ""))
      {
        type = this.tabColonnes[i].type;
        signe = this.tabColonnes[i].filtre_signe;
        critere = this.tabColonnes[i].filtre_critere;
        joker = this.tabColonnes[i].filtre_joker;
        test = test.toLowerCase();
        critere = critere.toLowerCase();
        if ((joker != null) && (signe == "=="))
        {
          if (joker == "C")
            commande = 'test.search("' + critere.substr(0,critere.length-1) + '") == 0';
          else if (joker == "T")
            commande = 'test.search("' + critere.substr(1) + '") == ' + (test.length - 1);
          else if (joker == "P")
            commande = 'test.search("' + critere.substr(1,critere.length-2) + '") != -1';
          else
            return false;
        }
        else if (type == "NUMBER")
          commande = 'Number("' + test.replace(",",".") + '") ' + signe + ' Number("' + critere.replace(",",".") + '")';
        else if (type == "DATE"){
          if(signe != "==")
              commande = "parent.stringToDate(test) " + signe + " parent.stringToDate(critere)";
          else{
              //L'egalit pour les dates ne fonctionne pas, on teste donc si elles ne sont pas diffrentes*
              commande = "!(parent.stringToDate(test) < parent.stringToDate(critere)) && !(parent.stringToDate(test) > parent.stringToDate(critere))";
          }
        }
        else if (type == "REFERENCE")
          commande = "( (test.substring(4,test.length) " + signe + " critere.substring(4,test.length)) || ((test.substring(4,test.length) == critere.substring(4,critere.length)) && (test.substring(0,5) " + signe + " critere.substring(0,5)) ) )";
        else
          commande = "test " + signe + " critere";
        if (!eval(commande))
          return false;
      }
      else
        return false;
    }  
  }
  return true;
}


// Fonction appele pour afficher une page donne du tableau

/**
* La mthode publique goToPage(newPage) est appele pour afficher une page donne du tableau.
* @public
* @param {int_Obligatoire} newPage : N de la page du tableau  afficher.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantTableau_goToPage(newPage)
{
  this.pageEnCours = newPage;
  this.ecrireBind(false);
}

/**
* La mthode publique refresh() est appele pour recharger le flux de donnes XML dans le tableau.
* Elle est accessible depuis les outils en haut du tableau.
* @private
* @param {} Aucun
* @return {void}
* @version 2.5
* @date 10/11/2006
*/
function ComposantTableau_refresh()
{
   this.XMLData.initAsynchrone(false);
   this.importData();
}

// Fonction appele pour rcuprer la valeur d'une cellule du tableau

/**
* La mthode publique lireValeurColonne(item, codeColonne) est appele pour rcuprer la valeur
* d'une cellule du tableau.
* @public
* @param {int_Obligatoire} index de la ligne dont on veut la valeur.
* @param {String_Obligatoire} code de la colonne dont on veut la valeur.
* @return {string} Valeur de l'lment
* @version 2.1
* @date :  03/07/2006
*/
function ComposantTableau_lireValeurColonne(ligne, codeColonne) {
	var i = 0;
  var element = parent.getElements(this.XMLData.xmlDoc,this.donneeLigne)[ligne];
  for (i=0 ; i<this.tabColonnes.length ; i++)
  	if (this.tabColonnes[i].donnee == codeColonne)
  		return parent.getDataElement(element,this.tabColonnes[i].donnee);
  return null;	
}

/**
* Return the value of a checkbox for a line
* @public
* @param {int_Obligatoire} lineId : number of the line.
* @param {String_Obligatoire} columnCode : Column's code.
* @return {string} true if this line is checked
* @version 2.7.1
* @date :  12/11/2007
*/
function ComposantTableau_isColumnChecked(lineId, columnCode) {

	var retour = this.checkboxesTab[lineId];

	// If this line is not in the array checkboxesTab
	if (retour == null) {
		// We take the value present in the XML data
		var element = parent.getElements(this.XMLData.xmlDoc,this.donneeLigne)[lineId];
		if (element != null) {
			retour = parent.getDataElement(element,columnCode);
		}
	}

  return retour;	
}


// Fonction appele pour rcuprer la valeur de la colonne de la ligne prcdant une ligne donne

/**
* La mthode publique lirePrecedenteValeurColonne(item) est appele pour rcuprer la valeur de
* la cellule exactement au dessus de celle passse en paramtre.
* @public
* @param {int_Obligatoire} index de la ligne de la cellule de base.
* @param {String_Obligatoire} code de la colonne de la cellule de base.
* @return {string} Valeur de la cellule cible 
* @version 2.1
* @date 03/07/2006
*/
function ComposantTableau_lirePrecedenteValeurColonne(ligne, codeColonne) {
	if (ligne != 0) ligne--;
	return this.lireValeurColonne(ligne, codeColonne);
}

// Fonctions appeles pour grer la valeur de la marge du composant tableau

/**
* La mthode publique getMarge() est appele pour rcuprer la valeur de
* la marge du tableau.
* @public
* @param {} Aucun.
* @return {string} Valeur de la marge 
* @version 2.5
* @date 10/11/2006
*/
function ComposantTableau_getMarge() {
	return (this.marge);
}

/**
* La mthode publique setMarge(valeurMarge) est appele pour renseigner la valeur de
* la marge du tableau.
* @public
* @param {String_Obligatoire} valeurMarge : nouvelle valeur de la marge.
* @return {void} 
* @version 2.5
* @date 10/11/2006
*/
function ComposantTableau_setMarge(valeurMarge) {
	this.marge = valeurMarge;
}

/**
* La mthode prive manageParameterSetting() permet de rediriger soit vers la sauvegarde du 
* paramtrage du tableau, soit de supprimer le cookie correspondant.
* Le choix se fait via une boite de dialogue.<br>
* @private
* @param {} Aucun
* @return {void} 
* @version 2.6
* @date 04/09/2007
*/
function ComposantTableau_manageParameterSetting() {
	// Vrification d'un nom de cookie est bien dfini
	if (this.cookieName==null)
		return;
		
	if (confirm(getLibelle("MESSAGE_PARAMETER_SETTING"))) {
		this.saveParameterSetting();
	}else {
		//Cration d'un XMLObjectCookie dans lequel on rcupre les donnes de paramtrage
		//si elles ont t enregistres prcdemment.
		var myXMLCookie = new XMLObjectCookie(null, null, this.cookieName, false, this.cookiePath, null, false, true);
		//Suppression du cookie
		myXMLCookie.deleteCookieXML();
		//Reaffichage du tableau avec les paramtres par dfaut
		this.initTabByXML();
		this.annuleFiltre();
		this.triTout();
	}
}

/**
* La mthode publique saveParameterSetting() est appele depuis les outils pour 
* sauvegarder le paramtrage du tableau : elle rcupre les informations puis les
* stocke dans un objet {@link #XMLObjectCookie XMLObjectCookie}.<br>
* @public
* @param {} Aucun
* @return {void} 
* @version 2.6
* @date 04/09/2007
*/
function ComposantTableau_saveParameterSetting(){
	// Vrification d'un nom de cookie est bien dfini
	if (this.cookieName==null)
		return;
	
	// Cration du cookie pour la sauvegarde des paramtres du tableau
	var myXMLCookie = new XMLObjectCookie(null, null, this.cookieName, false, this.cookiePath, null, false, true);
	
	//Dfinition des balises XML
    var myArray = myXMLCookie.xmlDoc.createElement("T");
    var myIdTab = myXMLCookie.xmlDoc.createElement("I");
    var myColonnes = myXMLCookie.xmlDoc.createElement("CS");
    var myColonne = null;
	var myIdCol = null;
	var myTri = null;
	var myTriType = null;
	var myTriNiveau = null;
	var myHide = null;
	var myFilter = null;
	var myFilterCritere = null;
	var myFilterJoker = null;
	var myFilterSigne = null;
	
	//Dfinition du contenu des balises XML
	//Id et numero de page du tableau
	var myValueIdTab = myXMLCookie.xmlDoc.createTextNode(this.id);
	//Contenus pour les colonnes
	var myValueIdCol = null;
	var myValueTriType = null;
	var myValueTriNiveau = null;
	var myValueHide = null;
	var myValueFilterCritere = null;
	var myValueFilterJoker = null;
	var myValueFilterSigne = null;
	
	//Numro de la page si pager
	var myValueNumPage = myXMLCookie.xmlDoc.createTextNode(this.pageEnCours);

	for (var cptCol=0 ; cptCol < this.tabColonnes.length ; cptCol++){
		myColonne = myXMLCookie.xmlDoc.createElement("C");
		
		//Id de la colonne
		if(this.tabColonnes[cptCol].id != null)
			myValueIdCol = this.tabColonnes[cptCol].id;
		else
			myValueIdCol=null;
		//Type de tri de la colonne
		if(this.tabColonnes[cptCol].tri != null)
			myValueTriType = this.tabColonnes[cptCol].tri;
		else
			myValueTriType=null;
		//Niveau du tri par colonne (tri multiple)
		if(this.tabColonnes[cptCol].currentLevelSorting != null)
			myValueTriNiveau = this.tabColonnes[cptCol].currentLevelSorting;
		else
			myValueTriNiveau=null;
		//String dsignant si la colonne est affiche ou non
		if(this.tabColonnes[cptCol].cache != null)
			myValueHide = this.tabColonnes[cptCol].cache;
		else
			myValueHide=null;
		//Elements pour le filtre
		if(this.tabColonnes[cptCol].filtre_critere != null)
			myValueFilterCritere = this.tabColonnes[cptCol].filtre_critere;
		else
			myValueFilterCritere=null;
		if(this.tabColonnes[cptCol].filtre_joker != null)
			myValueFilterJoker = this.tabColonnes[cptCol].filtre_joker;
		else
			myValueFilterJoker=null;
		if(this.tabColonnes[cptCol].filtre_signe != null)
			myValueFilterSigne = this.tabColonnes[cptCol].filtre_signe;
		else
			myValueFilterSigne=null;
			
		//Ajout des contenus de balises
		myValueCol=myXMLCookie.xmlDoc.createTextNode(myValueIdCol+"--"+myValueHide+"--"+myValueTriType+"--"+myValueTriNiveau+"--"+myValueFilterCritere+"--"+myValueFilterJoker+"--"+myValueFilterSigne);
		
		//Ajout des balises au fichier XML
		parent.ajoutElement(myColonne,myValueCol);
		parent.ajoutElement(myColonnes,myColonne);
	}
	
	//Ajout des contenus des balises
    parent.ajoutElement(myIdTab,myValueIdTab);
  
    //Ajout des balises au fichier XML
    parent.ajoutElement(myArray,myIdTab);
    parent.ajoutElement(myArray,myColonnes);
    parent.ajoutElement(myXMLCookie.xmlDoc,myArray);
  
    //Sauvegarde de l'objet XMLObjectCookie
    myXMLCookie.saveCookieXML();
}

/**
* La mthode prive getParameterSetting() rcupre le paramtrage du tableau s'il a t
* sauvegard dans un objet {@link #XMLObjectCookie XMLObjectCookie}, puis le rapplique au tableau
*  afficher.<br>
* @private
* @param {} Aucun
* @return {void} 
* @version 2.6
* @date 04/09/2007
*/
function ComposantTableau_getParameterSetting() {
	// Vrification d'un nom de cookie est bien dfini
	if (this.cookieName==null) 
		return;
	
	//Cration d'un XMLObjectCookie dans lequel on rcupre les donnes de paramtrage
	//si elles ont t enregistres prcdemment.
	var myXMLCookie = new XMLObjectCookie(null, null, this.cookieName, false, this.cookiePath, null, false, true);
	myXMLCookie.importCookieXML();
	if (myXMLCookie.xmlDoc == null)
		return;
			
	//Rcupration du tableau des colonnes
  var tabColonne = new Array();
  for (var i=0 ; i<this.tabColonnes.length ; i++)
  	tabColonne[i]=this.tabColonnes[i];
	
	//Parcours du XMLObjectCookie
	var myTable = parent.getChildElements(myXMLCookie.xmlDoc,"T");
	if ((myTable!=null) && (myTable.length > 0)) {
		for (var cptTable=0 ; cptTable < myTable.length ; cptTable++) {
			var myIdTable = parent.getDataElement(myTable[cptTable],"I",false);
			if (this.id == myIdTable) {
				var myColsTable = parent.getChildElements(myTable[cptTable],"CS");
				if (myColsTable.length > 0) {
					var myColTable = parent.getChildElements(myColsTable[0],"C");
					if (myColTable.length>0) {
						for(var cptCol=0 ; cptCol < myColTable.length ; cptCol++) {
						    var myColDef = parent.getData(myColTable[cptCol]);
						    var reg=new RegExp("--", "g");
						    var tabColDef = myColDef.split(reg);
						    
							var myIdCol = tabColDef[0];
							this.tabColonnes[cptCol]=tabColonne[myIdCol];
							
							var myColCache = tabColDef[1];
							if(myColCache!="" && myColCache!="null" && myColCache!=false) {
								this.tabColonnes[cptCol].cache = myColCache;
								
								// If it's a checkbox column we have to unselect the tool associate
								if (this.tabColonnes[cptCol].type == "CHECKBOX") {
									for (var j=0 ; j<this.tabOutils.length ; j++) {
										if (this.tabOutils[j].id == "tool_checkbox_" + this.tabColonnes[cptCol].id) {
										   if (this.tabColonnes[cptCol].cache == "OUI") {
											   this.tabOutils[j].blActivate = false;
										   } else {
											   this.tabOutils[j].blActivate = true;
										   }
										}
									}
								}
							}

							var myColTriType = tabColDef[2];
							var myColTriNiv = tabColDef[3];
							if(myColTriNiv!="" && myColTriNiv!="null" && myColTriType!="" && myColTriType!="null"){
								this.tabColonnes[cptCol].tri = myColTriType;
								this.tabColonnes[cptCol].currentLevelSorting = myColTriNiv;
								this.tabSortHistory[parseInt(myColTriNiv)]=cptCol+"/"+myColTriType;
							}
							
							var myColFiltreCrit = tabColDef[4];
							if(myColFiltreCrit!="" && myColFiltreCrit!="null" && myColFiltreCrit!=false){
								this.tabColonnes[cptCol].filtre_critere = myColFiltreCrit;
								this.boolFiltrageEnCours=true;
							}
							var myColFiltreJok = tabColDef[5];
							if(myColFiltreJok!="" && myColFiltreJok!="null" && myColFiltreJok!=false)
								this.tabColonnes[cptCol].filtre_joker = myColFiltreJok;
							var myColFiltreSig = tabColDef[6];
							if(myColFiltreSig!="" && myColFiltreSig!="null" && myColFiltreSig!=false)
								this.tabColonnes[cptCol].filtre_signe = myColFiltreSig;
						}
					}
				}
			}
		}
	}	
}

/**
* This method is called by checkbox when it check or uncheck
* @private
* @param {int_Obligatoire} columnId : Id of the column to check
* @param {int_Obligatoire} lineId : Id of the line to check
* @return {void} 
* @version 2.7.1
* @date 12/11/2007
*/
function ComposantTableau_changeCheckedSelection(columnId, lineId) {
   
	this.checkboxesTab[lineId] = document.getElementById("checkbox_" + columnId + "_" + lineId).checked;
}

/**
* This method is called by checkbox tools to check or uncheck on columns
* @private
* @param {int_Obligatoire} toolId : Id of the tool that call this method
* @return {void} 
* @version 2.7.1
* @date 12/11/2007
*/
function ComposantTableau_changeGlobalCheckedSelection(toolId) {

	// We check all the checkboxes associate to tool's columns
	var pageNumber = this.pageEnCours;
	var linesNumber = this.objPresentation.nbLigne;
	var maxLine = parent.getElements(this.XMLData.xmlDoc,this.donneeLigne).length;
	
	var startLine = linesNumber * (this.pageEnCours - 1);
	var endLine = maxLine;
	// If the tab have more than one page we take only checkboxes from the page
	if (linesNumber > 0) {
		// We take the min betwenn the calculated max line and the number of line
		endLine = Math.min(linesNumber * this.pageEnCours, maxLine);
	}
	var checked = document.getElementById(toolId).checked;
	for (i = startLine; i < endLine; i++) {
		
		this.checkboxesTab[i] = checked;
		document.getElementById(toolId.replace("tool_", "") + "_" + i).checked = checked;
	}
	
	
}

/**
* This method is called by checkbox tools to inverse selection of checkboxes in a column.
* @private
* @param {int_Obligatoire} toolId : Id of the tool that call this method
* @return {void} 
* @version 2.7.1
* @date 12/11/2007
*/
function ComposantTableau_inverseCheckedSelection(toolId) {

	// We check all the checkboxes associate to tool's columns
	var pageNumber = this.pageEnCours;
	var linesNumber = this.objPresentation.nbLigne;
	var maxLine = parent.getElements(this.XMLData.xmlDoc,this.donneeLigne).length;
	
	var startLine = linesNumber * (this.pageEnCours - 1);
	var endLine = maxLine;
	// If the tab have more than one page we take only checkboxes from the page
	if (linesNumber > 0) {
		// We take the min betwenn the calculated max line and the number of line
		endLine = Math.min(linesNumber * this.pageEnCours, maxLine);
	}

	for (i = startLine; i < endLine; i++) {
	
		var checked = this.checkboxesTab[i] != true;
		
		this.checkboxesTab[i] = checked;
		document.getElementById(toolId.replace("tool_", "") + "_" + i).checked = checked;
	}
	
	
}
	 
// Objet pour la gestion d'un tableau

/**
* Cre une nouvelle instance de la classe ComposantTableau <bVoir Exemple d'instanciation de
* ce composant</b> pour un tableau : <a href='exemples_A3.html#ComposantTableau_constr'>Exemples d'appels aux constructeurs</a>.
* @class La classe <b>ComposantTableau</b> est la classe permettant de dcrire l'objet associ  un tableau.
* <br> Ses proprits publiques dcrivent les attributs du composant et peut tre manipule ou interroge en dehors
* de la bibliothque du framework ergonomique. Ses proprits prives sont utilises au sein mme du framework
* ergonomique.
* <br><br><br><img src="Image.ComposantTableauUML.png"/><br><br>
* <br><br>RENDU IHM<br><br>Tableau<br>[Instanciation de la classe ComposantTableau correspondante : voir <a href="exemples_A3.html#ComposantTableau_constr">Exemples</a>]
* <br><img alt="exTableau" src="Image.Tableau.jpg"/><br>Liste<br>[Instanciation de la classe ComposantTableau correspondante : voir <a href="exemples_A3.html#ComposantTableau_constr">Exemples</a>]
* <br><img alt="exTableauListe" src="Image.TableauListe.jpg"/><br>Tableau Matre<br>[Instanciation de la classe ComposantTableau correspondante : voir <a href="exemples_A3.html#ComposantTableau_constr">Exemples</a>]
* <br><img alt="exTableauMaitre" src="Image.TableauMaitre.jpg"/>
* <br>Tableau affich en version tendue<br>[Instanciation de la classe XMLObject sur le paramtrage XML de ce composant affichable en version tendue : voir <a href="exemples_A3.html#ComposantTableauEtendu_constr">Exemples</a>]
* <br><img alt="exTableauEtendu" src="Image.TableauEtendu.jpg"/><br><br><br>
* <a href="javascript:ouvrirPopupExemple('./exemples/tab1.html','Exemple')">Exemple d'utilisation du composant Tableau.</a><br> 
* @includeJS technique_fw_outils.js
* @includeJS technique_fw_cookies.js
* @includeJS technique_fw_format.js (dans le cas de l'utilisation de dates)
* @includeCSS tableau.css
* @public
* @constructor
* @param {String_Obligatoire} id : String indiquant l'id de l'lment  instancier. Sa valorisation doit
* correspondre au nom de la variable JavaScript du composant instanci.
* @param {XMLObjectSauvegarde_Facultatif} XMLObjectInfos : Objet {@link XMLObjectSauvegarde XMLObjectSauvegarde}
* pour paramtrer le composant.
* @param {String_Facultatif} urlXMLData : String indiquant l'url du flux XML  rapatrier pour afficher
* le contenu informatif du tableau.
* @param {boolean_Obligatoire} boolMessageAttente : Boolen indiquant la prsence ou non d'un message d'attente
* lors du rapatriement du flux XML li au contenu informatif du composant.
* @param {boolean_Obligatoire} boolListe : Boolen indiquant si le composant est une liste ou non pour grer
* un affichage diffrent.
* @param {boolean_Optionnel} boolMaitre : Boolen indiquant si le composant est un tableau matre pour grer
* un affichage diffrent.
* @param {boolean_Optionnel} boolRolloverLigne : Boolen indiquant si le roll-over (surlignement lors du
* passage de la souris) de chaque ligne est gr.
* @param {boolean_Optionnel} versionReduite : Boolen indiquant si le tableau doit tre affich en version rduite.
* @param {String_Optionnel} erreurXML : String prcisant le type d'erreur utilis lors du rapatriement
* du flux XML li au contenu informatif du tableau. (voir documentation sur le
* <a href='overview-summary-technique_fw_xml.js.html'>fw_xml.js</a> du framework technique,
* {@link  XMLObject#parseErrorXML parseErrorXML(type)},{@link  XMLObjectCookie#parseErrorCookieXML parseErrorCookieXML(type)}).
* @param {boolean_Optionnel} boolActionEditDefault : Boolen prcisant si l'action d'dition d'une ligne s'effectue
* dans le tableau (par dfaut) ou pas.
* @param {boolean_Optionnel} boolActionSupprDefault : Boolen prcisant si l'action de suppression d'une ligne
* s'effectue dans le tableau (par dfaut) ou pas.
* @param {boolean_Optionnel} boolActionAjoutDefault : Boolen prcisant si l'action d'ajout d'une ligne s'effectue
* dans le tableau (par dfaut) ou pas.
* @param {t_ObjectColonne_Optionnel} tabColonnes : Tableau d'objets {@link ObjectColonne ObjectColonne} pour
* paramtrer les colonnes en JavaScript si pas de flux XML pour effectuer ce paramtrage (XMLObjectInfos).
* @version 2.6
* @date 04/09/2007
*/
function ComposantTableau(id, XMLObjectInfos, urlXMLData, boolMessageAttente, boolListe)
{
  // Attributs de l'objet

	/**
	* L'lment argv dans la classe ComposantTableau n'est pas une proprit, il permet de rcuprer
	* dans un tableau les arguments passs en paramtres du constructeur de la classe
	* (utile pour reprer les paramtres qui ont t soumis par le dveloppeur).
	* Il est dclar 'var'.
	* <br><br>
	* @private
	* @type string
	* @version 1.1
	* @date 25/10/2005
	*/
  var argv = ComposantTableau.arguments;
  
	/**
	* L'lment argc dans la classe ComposantTableau n'est pas une proprit, il permet de rcuprer le nombre
	* d'arguments passs en paramtres du constructeur de la classe
	* (utile dans le cas des paramtres facultatifs, pour compter les paramtres soumis par le dveloppeur).
	* Il est dclar 'var'.
	* <br><br>
	* @private
	* @type string
	* @version 1.1
	* @date 25/10/2005
	*/  
  var argc = ComposantTableau.arguments.length;
  
	/**
	* La proprit prive id est l'id du composant. Il doit obligatoirement tre valoris au nom de la variable
	* JavaScript rfrenant l'instanciation du composant.
	* <br><br>
	* @private
	* @type string
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.id = id;
  
	/**
	* La proprit prive divBind est la zone dynamique (objet DOM HTML) associe au composant Tableau.
	* Cette zone dynamique permet de binder le code HTML refltant le rendu et le dynamisme du composant.
	* Par dfaut, cette zone dynamique est l'lment DOM HTML dont l'id est valoris par
	* "Position_" + Id du composant.
	* <br><br>
	* @private
	* @type string
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.divBind = null;
  
	/**
	* La proprit prive donneeLigne indique le nom XML associ  un enregistrement
	* (tag extrait depuis le paramtrage XML, et dcrit dans le contenu informatif).
	* <b>Voir Exemple de paramtrage XML : </b><a href='exemples_A3.html#paramXMLtableau'>
	* Exemples du paramtrage XML d'un tableau</a>.
	* <br><br>
	* @public
	* @type string
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.donneeLigne = null;
  
	/**
	* La proprit prive donneeListe indique le nom XML associ  la liste des enregistrements 
	* (tag extrait depuis le paramtrage XML, et dcrit dans le contenu informatif).
	*	<b>Voir Exemple de paramtrage XML : </b><a href='exemples_A3.html#paramXMLtableau'>
	* Exemples du paramtrage XML d'un tableau</a>.
	* <br><br>
	* @public
	* @type string
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.donneeListe = null;
  
	/**
	* La proprit publique versionReduite est un boolen facultatif (8me paramtre du constructeur) indiquant
	* si le tableau doit tre affich en version rduite. <b>Valeur par dfaut :</b>
	* <a href='default-values_A3.html#ComposantTableauProp'>Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @public
	* @type boolean
	* @version 1.1
	* @date 25/10/2005
	*/ 
  this.versionReduite = (argc > 7) ? argv[7] : false;
  
	/**
	* La proprit prive messageVide indique le message  afficher en cas de contenu vide dans le tableau.
	* <b>Valeur par dfaut :</b> <a href='default-values_A3.html#ComposantTableauProp'>
	* Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/
  this.messageVide = "Aucune information  prsenter";
  
	/**
	* La proprit prive messageFiltreVide indique le message  afficher en cas de contenu vide aprs la 
	* ralisation d'un filtrage.
	* <b>Valeur par dfaut :</b><a href='default-values_A3.html#ComposantTableauProp'>
	* Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.messageFiltreVide = "Aucune information  prsenter avec ce filtrage";
  
	/**
	* La proprit prive messageErreurPopup indique le message  afficher en cas d'erreur lors de l'affichage
	* du contenu du tableau.<b> Valeur par dfaut :</b> <a href='default-values_A3.html#ComposantTableauProp'>
	* Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.messageErreurPopup = "Aucune information  prsenter du fait d'une erreur survenue";
  
	/**
	* La proprit prive XMLObjectInfos est un objet de type {@link XMLObjectSauvegarde XMLObjectSauvegarde}
	* qui contient le flux XML des paramtres du tableau. Si ce paramtrage est effectu directement par passage
	* de tableau JavaScript sans flux XML, alors cette proprit est valorise  null.
	* <br><br>
	* @private
	* @type XMLObjectSauvegarde
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.XMLObjectInfos = XMLObjectInfos;
  
	/**
	* La proprit publique XMLData reprsente les donnes XML associes au composant Tableau.
	* <br><br>
	* @public
	* @type XMLObject
	* @version 2.5
	* @date 10/11/2006
	*/  
  this.XMLData = null;
  
	/**
	* La proprit prive XMLExport reprsente les donnes XML associes au composant Tableau tel qu'affich.
	* <br><br>
	* @private
	* @type XMLObjectSauvegarde
	* @version 2.3
	* @date 01/09/2006
	*/  
  this.XMLExport = null;
  
	/**
	* La proprit prive urlXMLData reprsente l'URL d'appel du flux.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.urlXMLData = urlXMLData;
  
	/**
	* La proprit prive boolMessageAttente est un boolen indiquant la prsence d'un message d'attente
	* lors du rapatriement du flux XML li au contenu informatif du composant.
	* <br><br>
	* @private
	* @type boolean
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.boolMessageAttente = boolMessageAttente;
  
	/**
	* La proprit prive boolListe est un boolen indiquant si le composant est une liste ou non pour
	* grer un affichage diffrent.
	* <br><br>
	* @private
	* @type boolean
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.boolListe = boolListe;
  
	/**
	* La proprit publique boolMaitre est un boolen optionnel (6me paramtre du constructeur) indiquant
	* si le composant est un tableau matre pour grer un affichage diffrent.
	* <br><br>
	* @public
	* @type boolean
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.boolMaitre = (argc > 5) ? argv[5] : false;

	/**
	* La proprit prive boolActions est un boolen indiquant si la liste des lments ACTIONS
	* du flux XML de paramtrage (ddie au paramtrage des actions de la barre des lignes du tableau)
	* est active.
	* <b>Valeur par dfaut :</b> <a href='default-values_A3.html#ComposantTableauProp'>
	* Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @private
	* @type boolean
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.boolActions = false;
  
	/**
	* La proprit prive actionEnCours est un entier donnant l'indice de l'action actuellement slectionne,
	* ou valant -1 si acune action n'est slectionne.
	* <br><br>
	* @private
	* @type int
	* @version 2.2
	* @date 23/08/2006
	*/  
  this.actionEnCours = true; 
  
	/**
	* La proprit prive boolActionActif est un boolen indiquant la prsence de la liste des lments
	* ACTIONS dans le flux XML de paramtrage du composant,
	* ddie au paramtrage des actions prsentes au niveau de chaque ligne du tableau.
	* <b>Valeur par dfaut :</b> <a href='default-values_A3.html#ComposantTableauProp'>Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @private
	* @type boolean
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.boolActionActif = true;

	/**
	* La proprit prive boolOutils est un boolen indiquant si la liste d'lments OUTILS
	* dans le flux XML de paramtrage du composant est active ou non.
	* <b>Valeur par dfaut :</b>
	* <a href='default-values_A3.html#ComposantTableauProp'>Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @private
	* @type boolean
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.boolOutils = false;
  
	/**
	* La proprit prive outilEnCours est un entier donnant l'indice de l'outil actuellement slectionn,
	* ou valant -1 si acun outil n'est slectionn.
	* <br><br>
	* @private
	* @type int
	* @version 2.2
	* @date 23/08/2006
	*/  
  this.outilEnCours = -1; 
  
	/**
	* La proprit prive boolOutilActif est un boolen indiquant si les outils sont activs.
	* <br><br>
	* @private
	* @type boolean
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.boolOutilActif = true;
  

	/**
	* La proprit prive boolActionSupprDefault est un boolen facultatif (11me paramtre du constructeur)
	* prcisant si l'action de suppression d'une ligne s'effectue dans le tableau (true par dfaut).
	* <b>Valeur par dfaut :</b><a href='default-values_A3.html#ComposantTableauProp'>
	* Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @private
	* @type boolean
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.boolActionSupprDefault = (argc > 10) ? argv[10] : true;
  
	/**
	* La proprit prive boolActionEditDefault est un boolen facultatif (10me paramtre du constructeur)
	* prcisant si l'action d'dition d'une ligne s'effectue dans le tableau (true par dfaut).
	* <b>Valeur par dfaut :</b> <a href='default-values_A3.html#ComposantTableauProp'>
	* Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @private
	* @type boolean
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.boolActionEditDefault = (argc > 9) ? argv[9] : true;
  
	/**
	* La proprit prive boolActionAjoutDefault est un boolen facultatif (12me paramtre du constructeur)
	* prcisant si l'action d'ajout d'une ligne s'effectue dans le tableau (true par dfaut).
	* <b>Valeur par dfaut :</b>
	* <a href='default-values_A3.html#ComposantTableauProp'>Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @private
	* @type boolean
	* @version 1.1
	* @date 25/10/2005
	*/   
  this.boolActionAjoutDefault = (argc > 11) ? argv[11] : true;
  

	/**
	* La proprit publique boolRolloverLigne est un boolen (7me paramtre du constructeur)
	* indiquant si le roll-over (surlignement lors du passage de la souris) de chaque ligne est
	* gr.
	* <br><br>
	* @public
	* @type boolean
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.boolRolloverLigne = (argc > 6) ? argv[6] : true;

	/**
	* La proprit prive boolScrollbarVerticale est un boolen indiquant si la scrollbar
	* doit tre affiche.
	* <br><br>
	* @private
	* @type boolean
	* @version 2.5.3
	* @date 05/10/2007
	*/  
  this.boolScrollbarVerticale = false;

	// Indicateur sur le type de tri
	
	/**
	* La proprit prive typeTri est un entier indiquant le type de tri activ. 
	* <b>Valeur par dfaut :</b> <a href='default-values_A3.html#ComposantTableauProp'>Valeurs par dfaut des Proprits</a>.
	* <br>-<b>Voir aussi </b> <a href='constant-values_A3.html#Globales'>Valeurs des Constantes - Globales</a>:TRI_SIMPLE, TRI_MULTIPLE 
	* <br><br>
	* <br><br>
	* @private
	* @type int
	* @version 2.4
	* @date 14/11/2006
	*/  
  this.typeTri = TRI_SIMPLE;

  /**
	* La proprit prive tabSortHistory est un tableau contenant l'historique des tris effectus sur le tableau. 
	* Ce tableau est rempli  partir de la sauvegarde XMLObjectCookie du paramtrage du tableau. Il contient en 
	* position n : "itemColonne,type de tri", la position correpondant au niveau de tri (nime tri effectu sur le tableau).
	* <br><br>
	* @private
	* @type Array_String
	* @version 2.6
	* @date 04/09/2007
	*/  
  this.tabSortHistory = new Array();
  
	// Boolen pour la gestion du tri
	
	/**
	* La proprit prive boolTriAutorise est un  boolen indiquant si le prsence de l'action de tri est permise. 
	* <b>Valeur par dfaut :</b> <a href='default-values_A3.html#ComposantTableauProp'>
	* Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @private
	* @type boolean
	* @version 2.3
	* @date 28/09/2006
	*/  
  this.boolTriAutorise = true;
  
  
	// Boolen pour la gestion du tri
	
	/**
	* La proprit prive boolTriActif est un boolen indiquant la prsence ou non de l'action de tri. 
	* <b>Valeur par dfaut :</b><a href='default-values_A3.html#ComposantTableauProp'>
	* Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @private
	* @type boolean
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.boolTriActif = true;

	// Boolen pour la gestion de l'outil filtre
	
	/**
	* La proprit prive boolActionFiltreEnCours est un boolen indiquant si une action de filtrage est en cours.
	* <b>Valeur par dfaut :</b> <a href='default-values_A3.html#ComposantTableauProp'>
	* Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @private
	* @type boolean
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.boolActionFiltreEnCours = false;
  
	/**
	* La proprit prive boolActionFiltreEnCours est un boolen prcisant si un filtrage est en cours ou pas.
	* <b>Valeur par dfaut :</b> <a href='default-values_A3.html#ComposantTableauProp'>
	* Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @private
	* @type boolean
	* @version 1.1
	* @date 25/10/2005
	*/
  this.boolFiltrageEnCours = false;

	/**
	* La proprit prive itemLigne est un entier indiquant l'index de la ligne en cours.
	* <br><br>
	* @private
	* @type int
	* @version 2.2
	* @date 23/08/2006
	*/  
  this.itemLigne = -1;
  
	/**
	* La proprit prive itemLigneSelected est un entier indiquant l'index de la ligne slectionne.
	* <br><br>
	* @private
	* @type int
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.itemLigneSelected = -1;
  
	/**
	* La proprit prive itemLigneAction est un entier indiquant l'index de la ligne sur laquelle une action  lieu.
	* <br><br>
	* @private
	* @type int
	* @version 2.2
	* @date 23/08/2006
	*/  
  this.itemLigneAction = -1;
  
	/**
	* La proprit prive itemLigneSupprEnCours est un entier indiquant l'index de la ligne en cours de suppression.
	* <br><br>
	* @private
	* @type int
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.itemLigneSupprEnCours = -1;
  
	/**
	* La proprit prive itemLigneEditEnCours est un entier indiquant l'index de la ligne en cours d'dition.
	* <br><br>
	* @private
	* @type int
	* @version 1.1
	* @date 25/10/2005
	*/    
  this.itemLigneEditEnCours = -1;
  
	/**
	* La proprit prive itemDetailEnCours est un entier indiquant l'index de la ligne dtaill (en cours).
	* <br><br>
	* @private
	* @type int
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.itemDetailEnCours = -1;
  
	/**
	* La proprit prive itemDetailPdfEnCours est un entier indiquant l'index de la ligne avec un export
	* au format Pdf en cours.
	* <br><br>
	* @private
	* @type int
	* @version 1.1
	* @date 25/10/2005
	*/
  this.itemDetailPdfEnCours = -1;
  
	/**
	* La proprit prive itemSaveEnCours est un entier indiquant l'index de la ligne de la sauvegarde en cours.
	* <br><br>
	* @private
	* @type Int
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.itemSaveEnCours = -1;

	/**
	* La proprit prive fonctionOnload indique le nom de la fonction  excuter au chargement du tableau
	* (valeur extraite depuis le tag XML "ONLOAD" du paramtrage XML du tableau).
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/
  this.fonctionOnload = null;
  
	/**
	* La proprit prive fonctionActionEdit indique le nom de la fonction  excuter lors de l'dition d'une ligne
	* du tableau (valeur extraite depuis le sous-tag XML "ACTION_EDITION" du tag "ACTIONS" dans le
	* paramtrage XML du tableau).<br> Action prsente au niveau de chaque ligne du tableau.
	* <br><b>Voir Exemple de paramtrage XML : </b><a href='exemples_A3.html#paramXMLtableau'>
	* Exemples du paramtrage XML d'un tableau</a>.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.fonctionActionEdit = null;
  
	/**
	* La proprit prive fonctionActionEditEcrireHTML indique le nom de la fonction  excuter  l'dition
	* d'une ligne en modification (valeur extraite depuis le sous-tag XML "FONCTION_EDITION_HTML" du tag "ACTIONS"
	* dans le paramtrage XML du tableau).
	* <br>Action prsente au niveau de chaque ligne du tableau.
	* <br><b>Voir Exemple de paramtrage XML : </b><a href='exemples_A3.html#paramXMLtableau'>
	* Exemples du paramtrage XML d'un tableau</a>.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.fonctionActionEditEcrireHTML = null;
  
	/**
	* La proprit prive fonctionActionSuppr indique le nom de la fonction  excuter lors de la suppression
	* d'une ligne (valeur extraite depuis le sous-tag XML "ACTION_SUPPRESSION" du tag "ACTIONS" dans le paramtrage
	* XML du tableau).
	* <br>Action prsente au niveau de chaque ligne du tableau.
	* <br><b>Voir Exemple de paramtrage XML : </b><a href='exemples_A3.html#paramXMLtableau'>
	* Exemples du paramtrage XML d'un tableau</a>.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.fonctionActionSuppr = null;
  
	/**
	* La proprit prive fonctionActionDetail indique le nom de la fonction  excuter lors de la demande du dtail
	* au format Excel d'une ligne (valeur extraite depuis le sous-tag XML "ACTION_DETAIL" du tag "ACTIONS"
	* dans le paramtrage XML du tableau).
	* <br>Action prsente au niveau de chaque ligne du tableau.
	* <br><b>Voir Exemple de paramtrage XML : </b><a href='exemples_A3.html#paramXMLtableau'>
	* Exemples du paramtrage XML d'un tableau</a>.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.fonctionActionDetail = null;  
  this.fonctionActionDetailPdf = null;
  this.fonctionActionSave = null; 
   
	/**
	* La proprit publique tabColonnes contenant un tableau d'objets de type {@link ObjectColonne ObjectColonne}
	* mmorise les informations de dfinition des colonnes du tableau fournies en 13me paramtre du constructeur. Cette
	* proprit fournira les paramtres concernant les colonnes si le flux XML de la proprit
	* {@link #XMLObjectInfos XMLObjectInfos} n'est pas renseign.
	* <b>Valeur par dfaut :</b> <a href='default-values_A3.html#ComposantTableauProp'>
	* Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @public
	* @type Array_ObjectColonne
	* @version 1.1
	* @date 25/10/2005
	*/
  this.tabColonnes = (argc > 12) ? argv[12] : new Array();
  
	/**
	* La proprit publique tabOutils contenant un tableau d'objets de type {@link ObjectOutilTab ObjectOutilTab}
	* mmorise les informations de dfinition des outils du tableau. Cette proprit est initialise  partir du flux XML
	* fourni par la proprit {@link #XMLObjectInfos XMLObjectInfos}.
	* <br><br>
	* @public
	* @type Array_ObjectOutilTab
	* @version 2.2
	* @date 23/08/2006
	*/
  this.tabOutils = new Array();
  
	/**
	* La proprit publique tabActions contenant un tableau d'objets de type {@link ObjectActionTab ObjectActionTab}
	* mmorise les informations de dfinition des actions du tableau. Cette proprit est initialise  partir du flux XML
	* fourni par la proprit {@link #XMLObjectInfos XMLObjectInfos}.
	* <br><br>
	* @public
	* @type Array_ObjectActionTab
	* @version 1.1
	* @date 25/10/2005
	*/
  this.tabActions = new Array();
  
	/**
	* La proprit publique objPresentation de type {@link ObjectPresentation ObjectPresentation} contient
	* les informations de prsentation du tableau. Cette proprit est initialise  partir du XML fourni par la
	* proprit {@link #XMLObjectInfos XMLObjectInfos}.
	* <br><br>
	* @public
	* @type ObjectPresentation
	* @version 1.1
	* @date 25/10/2005
	*/
  this.objPresentation = null;
  
	/**
	* Proprit publique erreurXML - String facultatif en 9me paramtre du constructeur prcisant le type d'erreur utilis lors du rapatriement du flux XML li au contenu informatif du tableau.
	* <b>Valeur par dfaut :</b> <a href='default-values_A3.html#ComposantTableauProp'>Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.erreurXML = (argc > 8) ? argv[8] : "";
  
	/**
	* La proprit prive pageEnCours dfinit le N de la page en cours.
	* </b> <a href='default-values_A3.html#ComposantTableauProp'>Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @private
	* @type Int
	* @version 1.1
	* @date 25/10/2005
	*/   
  this.pageEnCours = 1;
  
	/**
	* La proprit prive nbPages dfinit le nombre total de pages que compte le tableau. <b>Valeur par dfaut :
	* </b> <a href='default-values_A3.html#ComposantTableauProp'>Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @private
	* @type Int
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.nbPages = 1;
  
  
	//Tooltip (alt + title) gr dans le tableau
	
	/**
	* Attribut html alt_triDecroissant de ComposantTableau, permettant de spcifier un texte alternatif
	*  la flche de tri. <b>Valeur par dfaut :</b> <a href='default-values_A3.html#ComposantTableauProp'>
	* Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.alt_triDecroissant = "";
	  
	/**
	* Attribut html alt_triCroissant de ComposantTableau, permettant de spcifier un texte alternatif  la
	* flche de tri. <b>Valeur par dfaut :</b><a href='default-values_A3.html#ComposantTableauProp'>
	* Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.alt_triCroissant = "";
  
	/**
	* Attribut html alt_versionNormale de ComposantTableau, permettant de spcifier un texte alternatif 
	* l'icne de version normale. <b>Valeur par dfaut :</b> <a href='default-values_A3.html#ComposantTableauProp'>
	* Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.alt_versionNormale = "";
  
	/**
	* Attribut html alt_versionReduite de ComposantTableau, permettant de spcifier un texte alternatif  l'icne
	* de version rduite. <b>Valeur par dfaut :</b> <a href='default-values_A3.html#ComposantTableauProp'>
	* Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.alt_versionReduite = "";
  
	/**
	* Attribut html alt_firstPage de ComposantTableau, permettant de spcifier un texte alternatif  l'accs
	*  la premire page du tableau par la bote de slection.
	* <b>Valeur par dfaut :</b> <a href='default-values_A3.html#ComposantTableauProp'>
	* Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/
  this.alt_firstPage = "";
  
	/**
	* Attribut html alt_firstPage de ComposantTableau, permettant de spcifier un texte alternatif au bouton
	* d'accs  la page prcdente du tableau. <b>Valeur par dfaut :</b>
	* <a href='default-values_A3.html#ComposantTableauProp'>Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.alt_previousPage = "";
  
	/**
	* Attribut html alt_nextPage de ComposantTableau, permettant de spcifier un texte alternatif au bouton
	* d'accs  la page suivante du tableau. <b>Valeur par dfaut :</b>
	* <a href='default-values_A3.html#ComposantTableauProp'>Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.alt_nextPage = "";
	  
	/**
	* Attribut html alt_lastPage de ComposantTableau, permettant de spcifier un texte alternatif au bouton 
	* d'accs  la dernire page du tableau.
	* <b>Valeur par dfaut :</b> <a href='default-values_A3.html#ComposantTableauProp'>
	* Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.alt_lastPage = "";

	/**
	* La proprit prive marge est une chaine de caractre prcisant la valeur de la marge (px ou %)
	*  appliquer au tableau.
	* <b>Valeur par dfaut :</b> <a href='default-values_A3.html#ComposantTableauProp'>
	* Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @private
	* @type String
	* @version 2.5
	* @date 10/11/2006
	*/  
  this.marge = ((this.boolListe)?MARGE_LISTE:MARGE_TABLEAU);
  
  /**
	* La proprit prive currentLevelSorting est un nombre indiquant la quantit de tris effectus sur les
	* colonnes du tableau. Cette proprit va permettre de renseigner un numro de tri dans les ObjectColonne
	* pour ensuite pouvoir rcuprer le paramtrage du tableau.
	* <br><br>
	* @private
	* @type Number
	* @version 2.6
	* @date 04/09/2007
	*/  
  this.currentLevelSorting = 0;
  
  /**
	* La proprit prive cookieName est une chaine de caractres indiquant le nom du cookie de sauvegarde
	* de paramtrage du tableau. Si ce nom est null, le cookie ne sera pas cre.
	* <br><br>
	* @private
	* @type String
	* @version 2.6
	* @date 04/09/2007
	*/  
  this.cookieName = null;
    
  /**
	* La proprit prive cookiePath est une chaine de caractres indiquant la chamin du cookie de sauvegarde
	* de paramtrage du tableau. Elle est calcule automatique si un nom de cookie est attribu, sa valeur est 
	* le pathname de la page contenant le tableau sous les navigateurs de type Geko, le rpertoir contenant la 
	* page pour les navigateurs Internet Explorer (en effet IE ne sait pas lire un cookie associ au pathname 
	* complet).
	* <br><br>
	* @private
	* @type String
	* @version 2.6
	* @date 04/09/2007
	*/  
  this.cookiePath = null;
    
  // Mthodes de l'objet

	/**
	* La mthode publique getCookieName retourne l'attribut cookieName du tableau.
	* <br><br>
	* @public
	* @param {} Aucun
	* @return {String}
	* @version 2.6
	* @date 04/09/2007
	*/  
	this.getCookieName = function(){
		return this.cookieName;
	};

	/**
	* La mthode publique setCookieName(cookieName) modifie l'attribut cookieName du tableau.
	* puis appelle la fonction de mise a jour de paramtrage.
	* <br><br>
	* @public
	* @param {String_Obligatoire} cookieName nom  donner au cookie de sauvegarde du paramtrage
	* @return {String}
	* @version 2.6
	* @date 04/09/2007
	*/  
	this.setCookieName = function(cookieName){
		this.cookieName = cookieName;
		if (window.ActiveXObject) {
			// COUCOU suppression du path : this.cookiePath = null;
			this.cookiePath = document.location.pathname.substring(0,document.location.pathname.lastIndexOf("/")+1);
		} else
			this.cookiePath = document.location.pathname;
	};

  // Initialisation du composant tableau
  this.initInfosByXML = ComposantTableau_initInfosByXML;
  this.initInfosGeneraleByXML = ComposantTableau_initInfosGeneraleByXML;
  this.initInfosAlternateByXML = ComposantTableau_initInfosAlternateByXML;
  this.initInfosActionsByXML = ComposantTableau_initInfosActionsByXML;
  this.initInfosOutilsByXML = ComposantTableau_initInfosOutilsByXML;
  this.initTabByXML = ComposantTableau_initTabByXML;
  
  this.initEtat = ComposantTableau_initEtat;
  this.initAlts = ComposantTableau_initAlts;
  this.initMessageVide = ComposantTableau_initMessageVide;
  this.initMessageFiltreVide = ComposantTableau_initMessageFiltreVide;
  
  // Gestion d'un flux XML contenant le flux des donnes prsentes dans le tableau
  this.importData = ComposantTableau_importXML;
  this.retourImportData = ComposantTableau_retourImportXML;
  
  // Gestion d'un flux XML contenant le flux des donnes tel que prsentes dans le tableau
  this.exportData = ComposantTableau_exportXML;
  this.toStringData = ComposantTableau_toStringExportXML;
  this.toVisuRecurse = ComposantTableau_toVisuExportXML_recurse;
  this.toVisuData = ComposantTableau_toVisuExportXML;
  
  // Gestion de la gnration HTML du tableau
  this.ecrireComposantDomHTMLZoneTitre = ComposantTableau_ecrireHTML_Titre;
  this.ecrireComposantDomHTMLZoneEntete = ComposantTableau_ecrireHTML_Entete;
  this.ecrireComposantDomHTMLZoneOutil = ComposantTableau_ecrireHTML_Outil;
  this.ecrireComposantDomHTMLZoneInfo =  null;
  this.ecrireComposantDomHTMLZoneDeco1 = ComposantTableau_ecrireHTML_Deco1;
  this.ecrireComposantDomHTMLZoneDeco2 = ComposantTableau_ecrireHTML_Deco2;
  this.ecrireComposantDomHTMLZoneDeco3 = ComposantTableau_ecrireHTML_Deco3;
  this.ecrireComposantDomHTMLZonePied = ComposantTableau_ecrireHTML_Pied;
  this.ecrireComposantDomHTMLZonePager = ComposantTableau_ecrireHTML_Pager;
  this.ecrireComposantDomHTMLZoneLigne = ComposantTableau_ecrireHTML_Ligne;
  this.ecrireComposantDomHTMLBoucle = ComposantTableau_ecrireHTML_Boucle;  
  this.ecrireComposantDomHTML = ComposantTableau_ecrireHTML;
 	
 	this.visibiliteComposantDomHTML = ComposantTableau_visibiliteHTML;

  this.ecrireBind = ComposantTableau_ecrireBind;
  this.initDivBind = ComposantTableau_initDivBind;
  this.setDivBind = ComposantTableau_setDivBind;

  // Gestion de la lecture de la valeur d'un colonne
  this.lireValeurColonne = ComposantTableau_lireValeurColonne;
  this.lirePrecedenteValeurColonne = ComposantTableau_lirePrecedenteValeurColonne;
    
  // Gestion de la mise en valeur d'une ligne du tableau
  this.rollOverLigne = ComposantTableau_rollOverLigne;
  
  // Gestion du tri d'un tableau
  this.triTout = ComposantTableau_triTout;
  this.selectTri = ComposantTableau_selectTri;
  this.tri = ComposantTableau_tri;
  this.activeTri = ComposantTableau_activeTri;
  this.desactiveTri = ComposantTableau_desactiveTri;

  // Gestion du filtre d'un tableau
  this.filtrer = ComposantTableau_filtrer;
  this.annuleFiltre = ComposantTableau_annuleFiltre;
  this.testFiltre = ComposantTableau_testFiltre;

  // Gestion de la version tendue
  this.versionEtendue = ComposantTableau_versionEtendue;
  this.ecrireBindVersionEtendue = ComposantTableau_ecrireBindVersionEtendue;

  // Gestion de l'affichage d'une ligne en cours de suppression
  this.ecrireHTMLSuppr = ComposantTableau_ecrireHTMLSuppr;
  
  // Gestion des icnes
  this.gestionIcone = ComposantTableau_gestionIcone;

  // Gestion des actions d'une ligne d'un tableau 
  this.activeAction = ComposantTableau_activeAction;
  this.desactiveAction = ComposantTableau_desactiveAction;
  this.appelAction = ComposantTableau_appelAction;
  this.declencheAction = ComposantTableau_declencheAction;
  this.gereAction = ComposantTableau_gereAction;
  this.selectAction = ComposantTableau_selectAction;
  this.deselectAction = ComposantTableau_deselectAction;
  this.annuleAction = ComposantTableau_annuleAction;

  this.selectItem = ComposantTableau_selectItem;
  this.deselectItem = ComposantTableau_deselectItem;

  // Gestion des actions de la bote  outils d'un tableau
  this.activeOutil = ComposantTableau_activeOutil;
  this.desactiveOutil = ComposantTableau_desactiveOutil;
  this.declencheOutil = ComposantTableau_declencheOutil;
  this.gereOutil = ComposantTableau_gereOutil;

	// Gestion des colonnes
  this.gestionColonne = ComposantTableau_gestionColonne;
  this.ecrireBindGestionColonne = ComposantTableau_ecrireBindGestionColonne;
	this.validerGestionColonne = ComposantTableau_validerGestionColonne;
	
  // Gestion du pager d'un tableau
  this.goToPage = ComposantTableau_goToPage;
 
 	// Rechargement du flux xml dans le tableau
 	this.refresh = ComposantTableau_refresh; 	
 
 	//Sauvegarde et remise en place du paramtrage d'un tableau
 	this.manageParameterSetting = ComposantTableau_manageParameterSetting;
 	this.saveParameterSetting = ComposantTableau_saveParameterSetting;
 	this.getParameterSetting = ComposantTableau_getParameterSetting;
 
 	// Accesseurs
 	this.getMarge = ComposantTableau_getMarge;
 	this.setMarge = ComposantTableau_setMarge;
  
	
	/**
	* Array values of checkboxes presented in the table
	* <br><br>
	* @private
	* @type Array
	* @version 2.7.1
	* @date 12/11/2007
	*/  
  this.checkboxesTab = null;
	 
  // Global method to check columns
  this.changeCheckedSelection = ComposantTableau_changeCheckedSelection;
  this.changeGlobalCheckedSelection = ComposantTableau_changeGlobalCheckedSelection;
  this.inverseCheckedSelection = ComposantTableau_inverseCheckedSelection;
  this.isColumnChecked = ComposantTableau_isColumnChecked;
  
  // Methods for excel export
  this.excelExport = ComposantTableau_excelExport;
  this.excelExportLine = ComposantTableau_excelExport_line;
  this.excelExportBoucle = ComposantTableau_excelExport_boucle;
  this.excelExportAddColonne = ComposantTableau_excelExport_addColonne;
	 
  // Constructeur
  this.constructor = ComposantTableau_constructor;
  this.constructor();
}