/** 
* @fileoverview Ce fichier Javascript correspond au framework de gestion des calendriers.
* Cette description consiste  prsenter les prototypes des fonctions, des exemples d'appel et les prcisions
* techniques ncessaires  la mise en oeuvre de ce framework.<br><br>
* @author Ministre des Affaires Etrangres, Aubay SA, Steve Pguet
* @version 1.1
* @date 25/10/2005
*/

/*
Copyright ou  ou Copr. 
Ministre des Affaires Etrangres,
Aubay SA,
Steve Pguet, (10/05/2004)

steve.peguet@diplomatie.gouv.fr

Ce logiciel est un programme informatique servant de framework JavaScript 
bas sur les normes W3C (XHTML/CSS/DOM/XML). Il offre la possibilit de 
mettre en uvre facilement les principes ergonomiques et techniques propres 
 un client riche (cumul des avantages du client lger et du client lourd).
Ce logiciel est rgi par la licence CeCILL soumise au droit franais et
respectant les principes de diffusion des logiciels libres. Vous pouvez
utiliser, modifier et/ou redistribuer ce programme sous les conditions
de la licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA 
sur le site "http://www.cecill.info".

En contrepartie de l'accessibilit au code source et des droits de copie,
de modification et de redistribution accords par cette licence, il n'est
offert aux utilisateurs qu'une garantie limite.  Pour les mmes raisons,
seule une responsabilit restreinte pse sur l'auteur du programme,  le
titulaire des droits patrimoniaux et les concdants successifs.

A cet gard  l'attention de l'utilisateur est attire sur les risques
associs au chargement,   l'utilisation,   la modification et/ou au
dveloppement et  la reproduction du logiciel par l'utilisateur tant 
donn sa spcificit de logiciel libre, qui peut le rendre complexe  
manipuler et qui le rserve donc  des dveloppeurs et des professionnels
avertis possdant  des  connaissances  informatiques approfondies.  Les
utilisateurs sont donc invits  charger  et  tester  l'adquation  du
logiciel  leurs besoins dans des conditions permettant d'assurer la
scurit de leurs systmes et ou de leurs donnes et, plus gnralement, 
 l'utiliser et l'exploiter dans les mmes conditions de scurit. 

Le fait que vous puissiez accder  cet en-tte signifie que vous avez 
pris connaissance de la licence CeCILL, et que vous en avez accept les
termes.*/

var img_spacer_src="/proto/FrameworkERGO/images/bouton/divers/spacer.gif";
var img_cal_arrondi_gauche_src="/proto/FrameworkERGO/images/graphe/cal_arrondi_gauche.gif";
var img_cal_arrondi_droite_src="/proto/FrameworkERGO/images/graphe/cal_arrondi_droite.gif";



// gestion de l'vnement onmouseover d'une cellule
/**
* Fonction de gestion de l'vnement onmouseover sur une cellule de calendrier.
* @private
* @param {ObjetDOMHTML_Obligatoire} cellule : lment de formulaire cellule du calendrier slectionn.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function calendOn(cellule)
{
  if (cellule.innerHTML != "&nbsp;") {
    cellule.className = 'CGcodetresclair curseuron';
  }
}


// gestion de l'vnement onmouseout d'une cellule

/**
* Fonction de gestion de l'vnement onmouseout d'une cellule de calendrier.
* @private
* @param {ObjetDOMHTML_Obligatoire} cellule : lment de formulaire cellule du calendrier dslectionn.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function calendOff(cellule)
{
  if (cellule.innerHTML!="&nbsp;") {
    cellule.className = 'CGblanc';
    if ( cellule.innerHTML == currentDate.getDate() ) {
      //si il s'agit de la date courant 
      cellule.className = 'CGcodefonce';
    }
  }
}


// gestion de l'vnement clique sur une cellule

/**
* Fonction de gestion de l'vnement clic sur une cellule de calendrier.
* @private
* @param {ObjetDOMHTML_Obligatoire} cellule : lment de formulaire cellule du calendrier qui a t cliqu.
* @return {void}
* @version 1.1
* @date :  25/10/2005
*/
function selectDate(cellule) {
  if (cellule.innerHTML!="&nbsp;") {
    // on rcupre les lments de la date courrante
    var j = currentDate.getDate();
    var m = currentDate.getMonth();
    var a = currentDate.getFullYear();  
    // on actualise la date courante avec le jour selectionn
    currentDate = new Date (a,m,cellule.innerHTML);
    // on raffiche le calendrier
  afficherCalendrier(currentDate);
  }
}


// Fonction grant la navigation dans le calendrier - Changement d'anne

/**
* Fonction de gestion de navigation dans le calendrier changeYear(nextOrPrevious).
* @private
* @param {String_Obligatoire} nextOrPrevious dfinit le sens de navigation choisie.
* Prend les valeurs : "previous" si on recule  l'anne prcdente, "next"&nbsp; si on passe  l'anne suivante.
* @return {void}
* @version 2.4
* @date 14/11/2006
*/
function changeYear(nextOrPrevious) {
  // on rcupre les lments de la date courrante
  var j = currentDate.getDate();
  var m = currentDate.getMonth();
  var a = currentDate.getFullYear();  
  if (nextOrPrevious == "previous") {
      a--;
    
  }
  if (nextOrPrevious == "next") {
    // si on avance dans le temps
      a++;
  } 
  currentDate = new Date (a,m,j);
  // on actualise le calendrier
  afficherCalendrier(currentDate);
}


// Fonction grant la navigation dans le calendrier - Changement de mois

/**
* Fonction de gestion de navigation dans le calendrier changeMonth(nextOrPrevious).
* @private
* @param {String_Obligatoire} nextOrPrevious dfinit le sens de navigation choisie.
* Prend les valeurs : "previous" si on recule au mois prcdent, "next"&nbsp; si on passe au mois suivant.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function changeMonth(nextOrPrevious) {
  // on rcupre les lments de la date courrante
  var j = currentDate.getDate();
  var m = currentDate.getMonth();
  var a = currentDate.getFullYear();  
  if (nextOrPrevious == "previous") {
    // si on recule dans le temps
    if ( m == 0 ) {
      // si premier mois de l'anne alors on dcrmente l'anne
      m = 11;
      a--;
    } else {
      // sinon on dcrmente le mois
      m--;
    }
  }
  if (nextOrPrevious == "next") {
    // si on avance dans le temps
    if ( m == 11 ) {
      // si dernier mois de l'anne alors on incrmente l'anne
      m = 0;
      a++;
    } else {
      // sinon on incrmente le mois
      m++;
    }
  } 
  // on conserve le jour du mois (1..31)  sauf si celui-ci dpasse le nombre de jour dans le mois
  if ( j > getDaysInMonth(m+1,a) ) j=getDaysInMonth(m+1,a);
  // on met  jour la date courante
  currentDate = new Date (a,m,j);
  // on actualise le calendrier
  afficherCalendrier(currentDate);
}


// Fonction d'initialisation du calendrier avec le contenu de la zone de texte.

/**
* Fonction d'initialisation du calendrier avec le contenu de la zone de texte.
* @public
* @param {} Aucun
* @return {void}
* @version 2.3
* @date 28/09/2006
*/ 
function initialiserCalendrier()
{
	var maDate= null;
	
	var dateAffiche=window.opener.currentCalendar.getValue();
	if (window.opener.currentCalendar.format != "DD/MM/YYYY")
	  var datePivot=dateFormat(dateAffiche,"DD/MM/YYYY",window.opener.currentCalendar.format);
	else
	  var datePivot=dateAffiche;
	if (datePivot != null)
		maDate=stringToDate(datePivot);
	
  afficherCalendrier(maDate);
}


// Fonction de mise  jour du calendrier aprs slection du mois/de l'anne  partir d'un des combo box mois/anne.

/**
* Mise  jour du calendrier aprs slection du mois/de l'anne  partir d'un des combo box mois/anne.
* @public
* @param {} Aucun
* @return {void}
* @version 2.4
* @date 14/11/2006
*/
function mettreAJourCalendrier()
{
  if(document==null) return;
  if(currentDate==null) return;
  var mois=document.getElementById("selectMois").value;
  var annee=document.getElementById("selectAnnee").value;
  if(annee==null || mois==null)
	return;
  var newDate=new Date(annee,mois,currentDate.getDate());
  
  afficherCalendrier(newDate);
}


// Calcule le numro de semaine de la date fournie en paramtre.

/**
* Calcule le numro de semaine de la date fournie en paramtre.
* @public
* @param {Date_Obligatoire} myDate date donne pour le calcul du numro de semaine
* @return {int} Numro de la semaine.
* @version 2.5
* @date 14/02/2007
*/
function calculerNumeroSemaine(myDate)
{
	if(calculerNumeroSemaine.arguments==null)
		return 0;
	if(calculerNumeroSemaine.arguments.length==0)
		return 0;
	
	var myDate=calculerNumeroSemaine.arguments[0];
	var tabJoursParMois=new Array(31,28,31,30,31,30,31,31,30,31,30,31);
	//Numero du premier jeudi de l'anne (de 1  6)
	var firstThursday=1;
	//Anne sur 4 chiffres
	var year=myDate.getFullYear();
	while((new Date(year,0,firstThursday)).getDay()!=4)
	{
		firstThursday++;
	}	
	//Numero du jour dans le mois
	var day=myDate.getDate();
	//Numero du jour de la semaine (0 dimanche  6 samedi)
	var dayWeek=myDate.getDay();
	//Mois courant entre 0 et 11
	var month=myDate.getMonth();
	
	//Nombre de jours pour calculer le numero de semaine 
	var nbJours=day-firstThursday+1;
	for(var i=0; i<month;i++)
	{
		nbJours+=tabJoursParMois[i];
	}
	//Calcul de la semaine : si elle va du jeudi au dimanche ou du lundi au mercredi
	if(dayWeek==0 || dayWeek>3)
		return Math.ceil(nbJours/7);
	else
		return Math.ceil(nbJours/7)+1;
}


// Fonction d'affichage du calendrier.

/**
* Fonction d'affichage du calendrier afficherCalendrier(maDate).
* @see #EcrireTbodyCalendrier
* @public
* @param {Date_Facultatif} maDate : Date pour laquelle est affich le calendrier du mois.
* @return {void}
* @version 2.4
* @date 14/11/2006
*/ 
function afficherCalendrier(maDate)
{
  if (maDate == null || maDate == false) maDate=new Date();
  currentDate=maDate;
  
  // ecrire mois et anne
  var tabMois=new Array("janv", "fvr", "mars", "avr", "mai", "juin", "juil", "aot", "sept", "oct", "nov", "dc");
  
  var htmlSelectMois= "<select id='selectMois' name='selectMois' onChange='javascript:mettreAJourCalendrier()'"+">\n";
  for (var j=0;j<tabMois.length;j++) {
    if (currentDate.getMonth()==j)
			htmlSelectMois+="<option selected value="+j;
  	else
			 htmlSelectMois+="<option value="+j;
    htmlSelectMois+=">";
    htmlSelectMois+=tabMois[j];
    htmlSelectMois+="</option>";
    htmlSelectMois+="\n";
  }
  htmlSelectMois+="</select>";
  htmlSelectMois+="\n";


	var nbAnnees=window.opener.currentCalendar.getNbAnnees();
	var nbAnneeInf=parseInt(nbAnnees/2);
	var nbAnneeSup=parseInt(nbAnnees/2+0.5);
	var pasAnnee=window.opener.currentCalendar.getPasAnnee();
  var htmlSelectAnnee="<select id='selectAnnee' name='selectAnnee' onChange='javascript:mettreAJourCalendrier()'"+">\n";
  for (var j=currentDate.getFullYear()-(nbAnneeInf*pasAnnee) ; j<currentDate.getFullYear()+(nbAnneeSup*pasAnnee) ; j+=pasAnnee) {
    if (currentDate.getFullYear()==j)
			htmlSelectAnnee+="<option selected value="+j;
  	else
			htmlSelectAnnee+="<option value="+j;
    htmlSelectAnnee+=">";
    if (currentDate.getFullYear()==j)
	    htmlSelectAnnee+="&gt;"+j+"&lt;";
  	else
	    htmlSelectAnnee+=j;
    htmlSelectAnnee+="</option>";
    htmlSelectAnnee+="\n";
  }
  htmlSelectAnnee+="</select>";
  htmlSelectAnnee+="\n";

  document.getElementById("mois").innerHTML = htmlSelectMois;//tabMois[currentDate.getMonth()];
  document.getElementById("annee").innerHTML =  htmlSelectAnnee;//currentDate.getFullYear();
	
  EcrireTbodyCalendrier(currentDate);
}


// ecriture du corps du calendrier sur 6 lignes
// suppose l'existence pralable d'une portion de tableau identifie par "Tbody_Calendrier"
// constitu de 6 lignes de 7 cellules vierges
// parametre : 	"maDate" au format Date reprsentant la date slectionne (date du jour par dfaut)

/**
* Fonction EcrireTbodyCalendrier(maDate) gnrant l'affichage du corps du calendrier : sur 6 lignes
* de 7 cellules vierges. Elle suppose l'existence pralable d'une portion de tableau identifie par 
* "Tbody_Calendrier".
* @private
* @param {Date_Facultatif} maDate : Date slectionne (date du jour par dfaut).
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function EcrireTbodyCalendrier(maDate)
{
  // si paramtre null ou false alors maDate = date du jour
  if (maDate == null) maDate=new Date();
  
  // jour de la semaine, jour du mois, mois, anne
  var myDayWeek = maDate.getDay() ; // jour de la semaine (dim ... sam = 0 ... 6)
  if (myDayWeek == 0) myDay = 7; // jour de la semaine (lun ... dim = 1 ... 7) 
  var myDayMonth = maDate.getDate(); // jour du mois (1 .. 31)
  var myMonth = maDate.getMonth() +1 ; // mois de l'anne (jan ... dec = 1 ... 12)
  var myYear = maDate.getFullYear() ; // anne sur 4 digit
  
  // jour de la semaine du premier du mois (lun ... dim = 1 ... 7)
  var premierJourDuMois = (new Date (myYear, myMonth-1, 1)).getDay(); // jour de la semaine (dim ... sam = 0 ... 6)
  if (premierJourDuMois == 0) premierJourDuMois = 7; // jour de la semaine (lun ... dim = 1 ... 7) 

  // nombre de jours dans le mois
  var nbreJourDuMois = getDaysInMonth(myMonth, myYear); // compris entre 28 et 31

  // corps du calendrier  mettre  jour
  var tbody = document.getElementById("Tbody_Calendrier");

  // variables itratives
  var jour=1; //jour du mois
  var col; //index colonne tableau = jour de la semaine
  var ligne; // index ligne tableau

  // boucle sur les lignes
	var num=calculerNumeroSemaine(new Date(currentDate.getFullYear(),currentDate.getMonth(),1));
  for (ligne=0; ligne<=10; ligne=ligne+2) { // parcours des 6 lignes du calendrier de 2 en 2 (il y a une ligne vierge entre chaque)
    // boucle sur les colonnes
	tbody.rows[ligne].style.display='';
	var numSemaine=num+ligne/2
	if(numSemaine>0)
     	 tbody.rows[ligne].cells[0].innerHTML=''+numSemaine;
	else
	  tbody.rows[ligne].cells[0].innerHTML='<img src="'+img_spacer_src+'" width="16" height="16" alt="">';
      
    for (col=2;col<=8;col++) { // parcours des colonnes 1  7 (les colonnes 0 et 8 sont rserves  l'image de bordure) {
      if ( (ligne==0 && (col-1)<premierJourDuMois) || (ligne>=8 && jour>nbreJourDuMois) ){		
        // cas des cellules vides du dbut de la premire ligne et de la fin de la dernire ligne		
        tbody.rows[ligne].cells[col].className = 'CGblanc';
        tbody.rows[ligne].cells[col].innerHTML = '&nbsp;';
	  } else {
        // cellule  remplir
        tbody.rows[ligne].cells[col].innerHTML = jour;
        tbody.rows[ligne].cells[col].className = 'CGblanc';
        if (jour==myDayMonth) {
  	      // mettre en vidence si il s'agit du jour slectionn
          tbody.rows[ligne].cells[col].className = 'CGcodefonce';
	    }
	    jour++;
      }
    }
  }
  // on occulte les lignes vierges (cas des 5me et 6me ligne)
  for (ligne=8; ligne<=10; ligne=ligne+2) { // parours des 2 dernires lignes du calendrier
    if (tbody.rows[ligne].cells[2].innerHTML == "&nbsp;") {
      // si ligne vierge
      tbody.rows[ligne].cells[1].innerHTML='<img src="'+img_spacer_src+'" width="16" height="16" alt="">';
      tbody.rows[ligne].cells[9].innerHTML='<img src="'+img_spacer_src+'" width="16" height="16" alt="">';
      tbody.rows[ligne].cells[0].innerHTML='<img src="'+img_spacer_src+'" width="16" height="16" alt="">';
      for (col=2;col<=8;col++) {
        tbody.rows[ligne].cells[col].className="";
      }
      tbody.rows[ligne].style.display='none';
    } else {
      // si pas vierge on replace les images de bordure gauche et droite
      tbody.rows[ligne].cells[1].innerHTML='<img src="'+img_cal_arrondi_gauche_src+'" width="18" height="16" alt="">';
      tbody.rows[ligne].cells[9].innerHTML='<img src="'+img_cal_arrondi_droite_src+'" width="18" height="16" alt="">';
    }
  }
}


// Fonction renvoyant le nombre de jour dans le mois

/**
* Fonction getDaysInMonth(month,year) envoyant le nombre de jour dans le mois.
* @public
* @param {int_Obligatoire} month Numro du mois.
* @param {int_Obligatoire} year Nombre de l'annrte;e.
* @return {int} Nombre de jour dans le mois.
* @version 1.1
* @date 25/10/2005
*/
function getDaysInMonth(month,year)  {
    var days;
    if (month==1 || month==3 || month==5 || month==7 || month==8 ||
        month==10 || month==12)  days=31;
    else if (month==4 || month==6 || month==9 || month==11) days=30;
    else if (month==2)  {
        if (isLeapYear(year)) {
            days=29;
        } else {
            days=28;
        }
    }
    return (days);
}


// Fonction renvoyant true si l'anne est bissextile

/**
* Fonction de contrle d'anne bissextile isLeapYear (Year). Cette fonction permet de vrifier si Year
* est bissextile.
* @public
* @param {int_Obligatoire} Year : numro de l'anne.
* @return {boolean} True si Year est bissextile et false sinon.
* @version 1.1
* @date 25/10/2005
*/
function isLeapYear (Year) {
  if (((Year % 4)==0) && ((Year % 100)!=0) || ((Year % 400)==0)) {
    return (true);
  } else {
    return (false);
  }
}


// Fonction grant l'vnement du bouton valider du calendrier

/**
* Fonction de gestion de l'vnement du bouton valider du calendrier. Elle se charge d'afficher la date
* slectionne dans l'lment input et de refermer la fentre d'affichage du calendrier.
* @private
* @param {ObjetDOMHTML_Obligatoire} input : Element input du calendrier dans lequel s'affiche 
* la date slectionne dans le calendrier.
* @return {void}
* @version 2.3
* @date 28/09/2006
*/
function valider(input)
{
  // mise  jour de l'lment calendrier
  if (window.opener.currentCalendar.format != "DD/MM/YYYY")
	  var dateAffiche=dateFormat(dateToString(currentDate),window.opener.currentCalendar.format,"DD/MM/YYYY");
	else
	  var dateAffiche=dateToString(currentDate);
	  
  window.opener.currentCalendar.setValue(dateAffiche);
  if (window.opener.currentCalendar.onChange != null)
  	window.opener.currentCalendar.onChange();
  window.close();
}


// Fonction grant l'vnement du bouton annuler du calendrier

/**
* Fonction de gestion de l'vnement du bouton annuler du calendrier.
* Elle se charge de refermer la fentre d'affichage du calendrier.
* @private
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function annuler()
{
  window.close();
}

