/**
* @fileoverview Ce fichier Javascript correspond au framework de gestion du composant modle de page d'Erreur.
* Cette description consiste  prsenter les prototypes des fonctions, des exemples d'appel et les prcisions
* techniques ncessaires  la mise en oeuvre de ce framework.<br>
* Le framework modle de page d'erreur utilise les pages HTML et classes utilitaires suivantes :
* <br>&gt; <b>{@link ComposantErreur ComposantErreur}</b> pour grer le composant
* Erreur.<br>&gt; <b>{@link ObjectErreur ObjectErreur}</b> pour dcrire l'objet associ  un lment
* du composant.<br><br><img alt="classesFwErreur" src="Image.ComposantErreurUML.png"><br><br>Ainsi, conformment aux principes du framework ergonomique, l'ensemble du contenu 
* informatif peut tre paramtr sous forme de flux XML ou par l'intermdiaire d'un tableau JavaScript.
* <br><br>Le paramtrage du contenu informatif consiste  indiquer dans l'URL d'appel les informations 
* que doit contenir l'ObjectErreur sous forme : <div style="border: 0.5pt solid windowtext; padding: 1pt 4pt;
* background: rgb(255, 255, 204) none repeat scroll 0% 50%; -moz-background-clip: initial; 
* -moz-background-origin: initial; -moz-background-inline-policy: initial;">
* <code>Racine_URL ?mailto=VALEUR&amp;aide=VALEUR&amp;faq=VALEUR&amp;code=VALEUR&amp;libelle=VALEUR&amp;
* nota=VALEUR&amp;popup=VALEUR<br></code></div>
* <br>RENDU IHM<br>Voici l'affichage d'un composant Erreur<br><br><u>Sous forme de Popup<br></u><br>
* <img alt="exComposantErreurPopup" src="Image.ComposantErreurPopup.jpg"/>
* <br><br><u>Sous format Page</u><br><br><img alt="exComposantErreurPage" src="Image.ComposantErreurPage.jpg"/>
* <br>
* @author Ministre des Affaires Etrangres, Aubay SA, Steve Pguet
* @version 1.1
* @date : 25/10/2005
*/

/*
Copyright ou  ou Copr. 
Ministre des Affaires Etrangres,
Aubay SA,
Steve Pguet, (10/05/2004)

steve.peguet@diplomatie.gouv.fr

Ce logiciel est un programme informatique servant de framework JavaScript 
bas sur les normes W3C (XHTML/CSS/DOM/XML). Il offre la possibilit de 
mettre en uvre facilement les principes ergonomiques et techniques propres 
 un client riche (cumul des avantages du client lger et du client lourd).
Ce logiciel est rgi par la licence CeCILL soumise au droit franais et
respectant les principes de diffusion des logiciels libres. Vous pouvez
utiliser, modifier et/ou redistribuer ce programme sous les conditions
de la licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA 
sur le site "http://www.cecill.info".

En contrepartie de l'accessibilit au code source et des droits de copie,
de modification et de redistribution accords par cette licence, il n'est
offert aux utilisateurs qu'une garantie limite.  Pour les mmes raisons,
seule une responsabilit restreinte pse sur l'auteur du programme,  le
titulaire des droits patrimoniaux et les concdants successifs.

A cet gard  l'attention de l'utilisateur est attire sur les risques
associs au chargement,   l'utilisation,   la modification et/ou au
dveloppement et  la reproduction du logiciel par l'utilisateur tant 
donn sa spcificit de logiciel libre, qui peut le rendre complexe  
manipuler et qui le rserve donc  des dveloppeurs et des professionnels
avertis possdant  des  connaissances  informatiques approfondies.  Les
utilisateurs sont donc invits  charger  et  tester  l'adquation  du
logiciel  leurs besoins dans des conditions permettant d'assurer la
scurit de leurs systmes et ou de leurs donnes et, plus gnralement, 
 l'utiliser et l'exploiter dans les mmes conditions de scurit. 

Le fait que vous puissiez accder  cet en-tte signifie que vous avez 
pris connaissance de la licence CeCILL, et que vous en avez accept les
termes.*/

var icone_logo_gen_mini = '/proto/FrameworkERGO/images/logo/logo_commpress_mini.gif';
var icone_bout_fermer_FR = '/proto/FrameworkERGO/images/bouton/navig/BoutFermer.gif';
var icone_bout_fermer_over_FR = '/proto/FrameworkERGO/images/bouton/navig/BoutFermerover.gif';
var icone_bout_fermer_EN = '/proto/FrameworkERGO/images/bouton/navig/BoutFermer.gif';
var icone_bout_fermer_over_EN = '/proto/FrameworkERGO/images/bouton/navig/BoutFermerover.gif';
var icone_bout_aide_interog = '/proto/FrameworkERGO/images/bouton/navig/BoutAideInterog.gif';
var icone_bout_aide_interog_over = '/proto/FrameworkERGO/images/bouton/navig/BoutAideInterogover.gif';
var alt_bout_fermer_FR = "Fermer";
var alt_bout_fermer_EN = "Close";
var alt_bout_aide_interog_FR = "Aide";
var alt_bout_aide_interog_EN = "Help";

//Paramtrage propre au projet (mettre  vide si inutile)
var url_aide = "/proto/FrameworkERGO/html/aide/aide.html";
var url_faq = "@URL_HTML_HtmlFaqPopup@";
var url_event_aide = "/protojavascript:parent.OpenWindowFocus(url_aide,'Aide','height=500, width=1024, scrollbars=no, screenX=10, screenY=10');";
var url_event_faq = "/protojavascript:parent.OpenWindowFocus(url_faq,'FAQ','height=500, width=1024, scrollbars=yes, screenX=10, screenY=10');";

//Gestion multi-langues des messages propres  la page d'erreur
var message_mailto_FR = "Envoyer un mail  <a class='CGtxcodefonce' href='mailto:%1'>l\'administrateur</a>";
var message_mailto_EN = "Envoyer un mail  <a class='CGtxcodefonce' href='mailto:%1'>l\'administrateur</a>";
var message_aideEnLigne_FR = 'Consulter <a class="CGtxcodefonce" href="' + url_event_aide + '">l\'aide en ligne</a>';
var message_aideEnLigne_EN = 'Consulter <a class="CGtxcodefonce" href="' + url_event_aide + '">l\'aide en ligne</a>';
var message_faq_FR = 'Consulter <a class="CGtxcodefonce" href="' + url_event_faq + '">la FAQ</a>';
var message_faq_EN = 'Consulter <a class="CGtxcodefonce" href="' + url_event_faq + '">la FAQ</a>';

var ComposantErreurPageFW = null;


// Mthode prive charge de traiter l'vnement "onMouseOver" du composant erreur.

/**
* La mthode prive iconeOver(widget) implmente le traitement  excuter sur l'vnement "onMouseOver" 
* de l'icne du composant Erreur.
* @private
* @param {ObjectDOMHTML _Obligatoire} widget : Elment  DOM HTML du composant Erreur.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantErreur_changeIconeOnMouseOver(widget)
{
  var langue = parent.GetCookie(":::langueSettings:::");
  if (langue == null)
    langue = "FR";
  if (widget.childNodes[0].src.search(eval("icone_bout_fermer_"+langue)) != -1)
    widget.childNodes[0].src = eval("icone_bout_fermer_over_"+langue);
  if (widget.childNodes[0].src.search(icone_bout_aide_interog) != -1)
    widget.childNodes[0].src = icone_bout_aide_interog_over;
}


// Mthode prive charge de traiter l'vnement "onMouseOut" du composant erreur.

/**
* La mthode prive iconeOut(widget) implmente le traitement  excuter sur l'vnement "onMouseOut"
* de l'icle composant Erreur.
* @private
* @param {ObjectDOMHTML _Obligatoire} widget Elment  DOM HTML du composant Erreur.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantErreur_changeIconeOnMouseOut(widget)
{
  var langue = parent.GetCookie(":::langueSettings:::");
  if (langue == null)
    langue = "FR";
  if (widget.childNodes[0].src.search(eval("icone_bout_fermer_over_"+langue)) != -1)
    widget.childNodes[0].src = eval("icone_bout_fermer_"+langue);
  if (widget.childNodes[0].src.search(icone_bout_aide_interog_over) != -1)
    widget.childNodes[0].src = icone_bout_aide_interog;
}


// Mthode prive renvoyant le code HTML du composant

/**
* Mthode prive ecrireComposantDomHTML() - Fonction interne renvoyant le code HTML associ au composant Erreur.
* Le code est renvoy sous la forme d'une chane de caractres prenant en compte l'ensemble du 
* paramtrage effectu sur la classe.
* @private
* @param {} Aucun
* @return {string} Code HTML associ au composant APropos.
* @version 1.1
* @date 25/10/2005
*/
function ComposantErreur_ecrireHTML()
{
  var langue = parent.GetCookie(":::langueSettings:::");
  if (langue == null)
    langue = "FR";
  var CodeHTML='';

  CodeHTML += '<table width="100%" border="0" cellspacing="0" cellpadding="0">\n';
  CodeHTML += '<tr class="CGcodefonce">\n';
  if (this.Erreur.popup)
  {
    CodeHTML += '<td height="32" width="12">&nbsp;</td>\n';
    CodeHTML += '<td height="32"><strong>Attention</strong></td>\n';
    CodeHTML += '<td height="32" width="12">&nbsp;</td>\n';
  } else {
    CodeHTML += '<td height="32" width="12">&nbsp;</td>\n';
    CodeHTML += '<td height="32"><strong>Erreur</strong></td>\n';
    CodeHTML += '<td height="32" width="12">&nbsp;</td>\n';
  }
  CodeHTML += '</tr>\n';
  CodeHTML += '</table>\n';
  CodeHTML += '<table width="100%" border="0" cellspacing="0" cellpadding="0">\n';
  CodeHTML += '<tr valign="top">\n';
  CodeHTML += '<td colspan="3" height="10">&nbsp;</td>\n';
  CodeHTML += '<tr>\n';
  CodeHTML += '<tr valign="top">\n';
  if (this.Erreur.popup)
  {
    CodeHTML += '<td height="180" width="12">&nbsp;</td>\n';
    CodeHTML += '<td height="180">\n';
  } else {
    CodeHTML += '<td width="12">&nbsp;</td>\n';
    CodeHTML += '<td>\n';
  }
  CodeHTML += '<table>\n';
  CodeHTML += '<tr>\n';
  CodeHTML += '<td width="20">&nbsp;</td>\n';
  CodeHTML += '<td>\n';
  if (this.Erreur.code)
    CodeHTML += '<p class="nota CGtxnoir">Code ' + this.Erreur.code + '</p>\n';
  if (this.Erreur.libelle)
    CodeHTML += '<p><strong>' + this.Erreur.libelle + '</strong></p>\n';
  if (this.Erreur.nota)
    CodeHTML += '<p>' + this.Erreur.nota + '</p>\n';
  CodeHTML += '</td>\n';
  CodeHTML += '</tr>\n';
  CodeHTML += '</table>\n';
  CodeHTML += '</td>\n';
  if (this.Erreur.popup)
  {
    CodeHTML += '<td height="180" width="12">&nbsp;</td>\n';
  } else {
    CodeHTML += '<td width="12">&nbsp;</td>\n';
  }
  CodeHTML += '</tr>\n';
  CodeHTML += '</table>\n';
  if (this.Erreur.popup)
  {
    CodeHTML += '<table width="100%" border="0" cellspacing="0" cellpadding="0">\n';
    CodeHTML += '<tr valign="top">\n';
    CodeHTML += '<td width="24">&nbsp;</td>\n';
    CodeHTML += '<td>\n';
    if (this.Erreur.nbOptions != 0)
    {
      CodeHTML += '<a href="javascript:' + this.id + '.affichageOptions(window)" onMouseOver="' + this.id + '.iconeOver(this)" onMouseOut="' + this.id + '.iconeOut(this)"><img src="' + icone_bout_aide_interog + '" width="18" height="18" border="0" alt="'+ eval("alt_bout_aide_interog_"+langue) + '" title="' + eval("alt_bout_aide_interog_"+langue) + '"></a>\n';
    }
    CodeHTML += '</td>\n';
    CodeHTML += '<td align="right">\n';
    CodeHTML += '<a href="javascript:window.close();" onMouseOver="' + this.id + '.iconeOver(this)" onMouseOut="' + this.id + '.iconeOut(this)"><img src="' + eval("icone_bout_fermer_"+langue) + '" width="56" height="18" border="0" alt="'+ eval("alt_bout_fermer_"+langue) + '" title="'+ eval("alt_bout_fermer_"+langue) + '"></a>\n';
    CodeHTML += '</td>\n';
    CodeHTML += '<td width="24">&nbsp;</td>\n';
    CodeHTML += '</tr>\n';
    CodeHTML += '</table>\n';
  }
  if (this.Erreur.nbOptions != 0)
  {
    CodeHTML += '<table width="100%" border="0" cellspacing="0" cellpadding="0">\n';
    CodeHTML += '<tr valign="top">\n';
    CodeHTML += '<td colspan="3" height="20">&nbsp;</td>\n';
    CodeHTML += '<tr>\n';
    CodeHTML += '<tr valign="top">\n';
    CodeHTML += '<td width="12">&nbsp;</td>\n';
    CodeHTML += '<td>\n';
    CodeHTML += '<table>\n';
    CodeHTML += '<tr>\n';
    CodeHTML += '<td width="20">&nbsp;</td>\n';
    CodeHTML += '<td align="left">\n';
    if (this.Erreur.mailto)
      CodeHTML += '<div class="nota CGtxnoir">' + parent.remplacementParamErreur(eval("message_mailto_"+langue),this.Erreur.mailto) + '</div><br/>\n';
    if ((this.Erreur.aide) && (this.Erreur.aide=="OUI"))
      CodeHTML += '<div class="nota CGtxnoir">' + eval("message_aideEnLigne_"+langue) + '</div><br/>\n';
    if ((this.Erreur.faq) && (this.Erreur.faq == "OUI"))
      CodeHTML += '<div class="nota CGtxnoir">' + eval("message_faq_"+langue) + '</div><br/>\n';
    CodeHTML += '</td>\n';
    CodeHTML += '</tr>\n';
    CodeHTML += '</table>\n';
    CodeHTML += '</td>\n';
    CodeHTML += '<td width="12">&nbsp;</td>\n';
    CodeHTML += '</tr>\n';
    CodeHTML += '</table>\n';
  }
  CodeHTML += '</table>\n';
  return CodeHTML;
}


// Fonction pour initialiser le tableau  partir des informations contenues dans l'URL du le composant Erreur

/**
* La  mthode prive initTabByXML() permet de construire le tableau d'objets {@link ObjectErreur ObjectErreur}
* rfrenant l'ensemble des l'information prsentes dans le composant Erreur  partir d'un paramtrage
* effectu par un flux XML. Elle est appele par le {@link ComposantErreur constructeur} de la classe lorsqu'un 
* flux XML lui est passe en argument.
* @private
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantErreur_initTabByXML()
{
  this.Erreur = new ObjectErreur(this.getValeur(document.location.search,"mailto","&"), this.getValeur(document.location.search,"aide","&"), this.getValeur(document.location.search,"faq","&"), this.getValeur(document.location.search,"popup","&"),this.getValeur(document.location.search,"code","&"),this.getValeur(document.location.search,"libelle","&"),this.getValeur(document.location.search,"nota","&"),this.getValeur(document.location.search,"idmenu","&"));
}


// Mthode prive servant  extraire la valeur d'un paramtre donn dans une URL (get).

/**
* La mthode prive getValeur(txt,name,sep) sert  extraire la valeur d'un paramtre donn
* dans une URL. Elle est appele par la mthode {@link #initTabByXML} pour construire 
* l'{@link ObjectErreur ObjectErreur}.
* @private
* @param {String_Obligatoire} txt : Chane de caractres indiquant l'URL
* @param {String_Obligatoire} name : Chane de caractres indiquant le nom du paramtre.
* @param {String_Obligatoire} sep : Chane de caractres indiquant le sparateur dans l'url(&).
* @return {Object} la valeur d'un paramtre donn
* @version 1.1
* @date 25/10/2005
*/
function ComposantErreur_getValeur(txt,name,sep)
{
  var rg = new RegExp(name+"=([^"+sep+"]*)");
  var r = rg.exec(txt);
	// Retour avec la mthode unescape plutot que decodeURIComponent
	// en raison de difficults de dcodage cot serveur
	// return (r?decodeURIComponent(r[1]): null);
  return (r?unescape(r[1]): null);
}


// Dfinition de la classe ObjectErreur

/**
* Cre une instance de la classe ObjectErreur.
* @class La classe <b>ObjectErreur</b> est la classe permettant de dcrire l'objet associ  un lment
* du composant Erreur. Il n'existe pas de proprit prive pour cette classe. Il n'existe pas de mthode pour 
* cette classe.<br> Ses proprits publiques dcrivent les attributs d'un lment du composant et peuvent 
* tre manipules ou interroges en dehors de la bibliothque du framework ergonomique.
* <br><br><br><img alt="model" src="Image.ObjectErreurUML.png" align="middle"/><br>
* @public
* @constructor
* @param {String_Obligatoire} mailto {@link #mailto Chane de caractres} : indique un lien mailto.
* @param {String_Obligatoire} aide {@link #aide Chane de caractres} : indique un lien vers une page d'aide.
* @param {String_Obligatoire} faq {@link #faq Chane de caractres} : indique un lien vers une page de FAQ.
* @param {String_Obligatoire} popup {@link #popup Chane de caractres} : indique l'affichage type popup
* (true) ou type page (false).
* @param {String_Obligatoire} code {@link #code Chane de caractres} : contient le code de l'erreur.
* @param {String_Obligatoire} libelle {@link #libelle Chane de caractres} : indique le libell de l'erreur.
* @param {String_Obligatoire} nota {@link #nota Chane de caractres} : indique une nota pouvant apparatre.
* @param {String_Obligatoire} id_menu {@link #id_menu Chane de caractres} : indique l'id d'un menu.
* @version 1.1
* @date 25/10/2005
*/
function ObjectErreur(mailto, aide, faq, popup, code, libelle, nota, id_menu)
{
	/**
	* La proprit publique nbOptions reprsente le nombre de liens optionnels pour le composant Erreur
	* (qui sont les liens : mailto, aide, faq). -
	* <b>Valeur par dfaut : </b> <a href='default-values_A3.html#ObjectErreurProp'>Valeurs par dfaut des 
	* Proprits</a>.
	* <br><br>
	* @public
	* @type int
	* @version 1.1
	* @date 25/10/2005
	*/
  this.nbOptions = 0;
  
	/**
	*La proprit publique mailto reprsente l'option  : lien mailto.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.mailto = mailto;
  
	/**
	* La proprit publique aide reprsente l'option :  lien vers une page d'aide.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.aide = aide;
  
	/**
	* La proprit publique faq reprsente l'option : lien vers une page de FAQ.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.faq = faq;
  
	/**
	* La proprit publique code contient le code d'erreur.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.code = code;
  
	/**
	* La proprit publique libelle contient le libell d'erreur.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.libelle = libelle;
  
	/**
	* La proprit publique nota indique une nota pouvant apparatre.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.nota = nota;
  
	/**
	* La proprit publique popup indique l'affichage type popup (true) ou type page (false).
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.popup = eval(popup);
  
	/**
	* La proprit publique id_menu reprsente l'id d'un menu.
	* <br><br>
	* @public
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.id_menu = id_menu;
  
  if (this.mailto)
    this.nbOptions++;
  if (this.aide)
    this.nbOptions++;
  if (this.faq)
    this.nbOptions++;
}


// Constructeur pour le composant Erreur

/**
* Fonction ComposantErreur_constructor() permettant la configuration des attributs
* d'un objet {@link ComposantErreur ComposantErreur} lors de son instanciation.
* @see ComposantErreur
* @public
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantErreur_constructor()
{
  if (this.divBind == null)
    this.initDivBind();
  if (this.ObjectErreur == null)
    this.initTabByXML();
}


// Fonction pour renseigner la zone dynamique (DIV) conteneur du composant Erreur.

/**
* La mthode publique setDivBind(divBind) permet d'associer une zone dynamique (DIV) comme conteneur
* du composant Erreur. Elle est utile lors de l'utilisation d'un id de DIV diffrent de celui par dfaut
* ("Position_" + Id du composant).
* <br><br><b>Voir Exemple d'affectation d'une zone dynamique au composant diffrente de celle par dfaut :
* </b><a href='exemples_A3.html#ComposantErreur_meth'>Exemples d'appels aux mthodes publiques</a>.
* @see ComposantErreur
* @public
* @param {objetDOMHtml_Obligatoire} divBind : Objet DOM HTML rfrenant la zone dynamique associe au composant.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantErreur_setDivBind(divBind)
{
  this.divBind = divBind;
}


// Fonction pour initialiser par dfault la zone dynamique (DIV) associe au composant Erreur.

/**
* La mthode prive initDivBind() permet de spcifier un pointeur vers le DOM HTML de la zone dynamique
* (DIV) grant la prsentation du composant Erreur. Elle est ainsi initialise  l'lment DOM HTML prsent 
* dans la page dont l'id est valoris par "Position_" + Id du composant.<br>
* Ce pointeur vers le DOM HTML est stock dans la proprit divBind de l'instance de la classe ComposantErreur.
* @see ComposantErreur
* @private
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantErreur_initDivBind()
{
  if (document.getElementById("Position_" + this.id))
    this.setDivBind(document.getElementById("Position_" + this.id));
}


// Fonction pour binder(charger) le code HTML gnr dans la zone dynamique associe 

/**
* La mthode publique ecrireBind() dclenche la gnration du code HTML de la zone dynamique associe au composant.
* Par dfaut, la zone dynamique est l'lment DOM HTML dont l'id est valoris par "Position_" + Id du composant.<br>
* Fonctionnement :<br>1. Dsaffichage de la zone dynamique.<br>
* 2. Rcupration du code HTML associ au composant Erreur.<br>
* 3. Bind le code HTML  la zone dynamique associe au composant Erreur.<br>
* 4. Affichage de la zone dynamique<br>
* <br><br> <b>Voir Exemple de gnration du code HTML associ au composant pour affichage : </b>
* <a href='exemples_A3.html#ComposantErreur_meth'>Exemples d'appels aux mthodes publiques</a>.
* @public
* @param {} Aucun
*	@return {void}
* @version 1.1
* @date 25/10/2005
*/
function ComposantErreur_ecrireBind()
{
  this.divBind.innerHTML = this.ecrireComposantDomHTML();
}


// Fonction pour grer l'affichage/dsaffichage des options pour une erreur en popup 

/**
* La mthode publique affichageOptions(fenetre) dclenche l'affichage ou le dsaffichage en popup des options
* pour une erreur.
* @public
* @param {ObjectDOMHTML_Obligatoire} fenetre Objet fentre de Javascript proposant la mthode 
  resizeTo permet d'adapter la taille de la fentre  son contenu.
* @retour void.
* @version 1.1
* @date 25/10/2005
*/
function ComposantErreur_affichageOptions(fenetre)
{
  if (this.boolOptionsAffiche)
  {
    fenetre.resizeTo(406,280);
    this.boolOptionsAffiche = false;
  }
  else
  {
    var calculHeight = 310 + (this.Erreur.nbOptions*30);
    fenetre.resizeTo(406,calculHeight);
    this.boolOptionsAffiche = true;
  }
}


// Dfinition de la classe ComposantErreur

/**
* Cre une instance de la classe ComposantErreur.
* <br><b>Voir Exemple d'instanciation de ce composant</b> pour un composant erreur :
* <a href='exemples_A3.html#ComposantErreur_constr'>Exemples d'appels aux constructeurs</a>.
* @class La classe <b>ComposantErreur</b> est la classe permettant de grer le composant Erreur.
* <br>Il n'existe pas de proprit publique pour cette classe.<br>
* <br><br><br><img alt="model" src="Image.ComposantErreurUML.png"/><br>
* <br>RENDU IHM<br>Voici l'affichage d'un composant Erreur<br><br><u>Sous forme de Popup<br></u><br>
* <img alt="exComposantErreurPopup" src="Image.ComposantErreurPopup.jpg"/>
* <br><br><u>Sous format Page</u><br><br><img alt="exComposantErreurPage" src="Image.ComposantErreurPage.jpg"/>
* <br>
* @constructor
* @public
* @param {String_Obligatoire} id String : indique l'{@link #id id} du composant  instancier.
* Sa valorisation doit correspondre au nom de la variable JavaScript du composant instanci.
* @param {String_Optionnel} type String : indique le {@link #type type} de composant dsir. Valeurs possibles : "toute chane de caractre autre que fichier", "fichier"
* @param {XMLObjectSauvegarde_Obligatoire} XMLObject Objet {@link #XMLObjectSauvegarde XMLObjectSauvegarde} :
* pour paramtrer le contenu informatif.
* @param {t_ObjectErreur_Optionnel} tabTitres Tableau d'objets {@link #ObjectErreur ObjectErreur} : pour paramtrer
* le contenu informatif en JavaScript si pas de flux XML pour effectuer ce paramtrage.
* @version 1.1
* @date 25/10/2005
*/
function ComposantErreur(id)
{

  // ***************************
  // Attributs de l'objet
  // ***************************
  
	/**
	* La proprit prive id est l'ID du composant dfinit sous forme de chane de caractres.
	* Il doit obligatoirement tre valoris au nom de la variable JavaScript rfrenant l'instanciation du composant.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.id = id;
  
	/**
	* La proprit prive divBind est la Zone dynamique (objet DOM HTML) associe au composant. 
	* Cette zone dynamique permet de binder le code HTML refltant le rendu et le dynamisme du composant.
	* Par dfaut, cette zone dynamique est l'lment DOM HTML dont l'id est valoris par "Position_" + Id du composant.
	* <br><br>
	* @private
	* @type DOM HTML
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.divBind = null;
  
	/**
	* La proprit prive Erreur est l'lment de type {@link ObjectErreur ObjectErreur}.
	* Elle contient l'objet erreur correspondant au composant.
	* <br><br>
	* @private
	* @type ObjectErreur
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.Erreur = null;
  
	/**
	* La proprit prive boolOptionsAffiche est le boolen qui indique l'tat d'affichage (true)
	* ou de dsaffichage (false) en popup des options pour une erreur.
	* <b>Valeur par dfaut :</b> 
	* <a href='default-values_A3.html#ComposantErreurProp'>Valeurs par dfaut des Proprits</a>
  * <br><br>
	* @private
	* @type boolean
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.boolOptionsAffiche = false;
  

  // ***************************
  // Mthodes de l'objet
  // ***************************
  this.initTabByXML = ComposantErreur_initTabByXML;
  
  // Gnration HTML du composant Erreur
  this.ecrireComposantDomHTML = ComposantErreur_ecrireHTML;
  this.ecrireBind = ComposantErreur_ecrireBind;
  this.initDivBind = ComposantErreur_initDivBind;
  this.setDivBind = ComposantErreur_setDivBind;
  
  // Gestion du rollover sur Icone
  this.iconeOver = ComposantErreur_changeIconeOnMouseOver;
  this.iconeOut = ComposantErreur_changeIconeOnMouseOut;
  
  // Rcupration des paramtres passs dans l'url
  this.getValeur = ComposantErreur_getValeur;
  
  // Gestion de l'affichage/dsaffichage des options pour une erreur en popup
  this.affichageOptions = ComposantErreur_affichageOptions;
  
  // Constructeur
  this.constructor = ComposantErreur_constructor;
  this.constructor();
}


// Construction de la page d'erreur lors d'une erreur propre au FW Ergonomique

/**
* Fonction globale construirepageFW() qui permet la construction de la page d'erreur lors d'une erreur 
* propre au Framework.
* @public
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function construirepageFW()
{
  ComposantErreurPageFW = new ComposantErreur("ComposantErreurPageFW");
  if ((ComposantErreurPageFW.Erreur.popup==null) && (ComposantErreurPageFW.Erreur.id_menu) && (parent.parent.ComposantMenuFrameset))
    parent.parent.ComposantMenuFrameset.restoreFromBody(ComposantErreurPageFW.Erreur.id_menu);
  ComposantErreurPageFW.setDivBind(document.getElementById("Erreur"));
  ComposantErreurPageFW.ecrireBind();
}