/** 
* @fileoverview Ce fichier Javascript correspond aux diffrents lments simples retenus pour composer un formulaire.
* <br>Le framework client formulaire_element propose les classes utilitaires suivantes :
* <ul><li><b>{@link ElementFormText ElementFormText}</b> pour grer l'lment de formulaire de type champ de saisie 
* de texte.</li><li><b>{@link ElementFormPass ElementFormPass}</b> pour grer l'lment de formulaire 
* de type champ de saisie de mot de passe.</li>
* <li><b>{@link ElementFormCheckbox ElementFormCheckbox}</b> pour grer l'lment de formulaire de type 
* case  cocher.</li>
* <li><b>{@link ElementFormHidden ElementFormHidden}</b> pour grer l'lment de formulaire 
* de type champ cach.</li>
* <li><b>{@link ElementFormFile ElementFormFile}</b> pour grer l'lment de formulaire de type fichier.</li>
* <li><b>{@link ElementFormRadio ElementFormRadio}</b> pour grer l'lment de formulaire de type bouton radio.</li>
* <li><b>{@link ElementFormTextarea ElementFormTextarea}</b> pour grer l'lment de formulaire de type champ 
* de saisie textarea.</li>
* <li><b>{@link ElementFormSelect ElementFormSelect}</b> pour grer l'lment de formulaire de type liste 
* droulante.</li>
* <li><b>{@link ElementFormSelectMaster ElementFormSelectMaster}</b> pour grer une variante de l'lment 
* liste droulante enrichi d'un comportement Matre/Esclave.</li>
* <li><b>{@link ElementFormSelectNavig ElementFormSelectNavig}</b> pour grer une variante de la liste 
* dte,roulante enrichie d'un comportement de navigation.</li>
* <li><b>{@link ElementFormButton ElementFormButton}</b> pour grer un bouton image.</li>
* <li><b>{@link ElementFormButtonValider ElementFormButtonValider}</b> pour grer un bouton image de 
* type Valider.</li>
* <li><b>{@link ElementFormButtonAnnuler ElementFormButtonAnnuler}</b> pour grer un bouton 
* image de type Annuler.</li>
* <li><b>{@link ElementFormButtonLibre ElementFormButtonLibre}</b> pour grer un bouton 
* image de type internationnalisable (le texte du bouton libre est personnalisable).</li>
* </ul>
* @author Ministre des Affaires Etrangres, Aubay SA, Steve Pguet
* @version 1.1
* Date :  25/10/2005
*/

/*
Copyright ou  ou Copr. 
Ministre des Affaires Etrangres,
Aubay SA,
Steve Pguet, (09/04/2004)

steve.peguet@diplomatie.gouv.fr

Ce logiciel est un programme informatique servant de framework JavaScript 
bas sur les normes W3C (XHTML/CSS/DOM/XML). Il offre la possibilit de 
mettre en oeuvre facilement les principes ergonomiques et techniques propres 
 un client riche (cumul des avantages du client lger et du client lourd).
Ce logiciel est rgi par la licence CeCILL soumise au droit franais et
respectant les principes de diffusion des logiciels libres. Vous pouvez
utiliser, modifier et/ou redistribuer ce programme sous les conditions
de la licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA 
sur le site "http://www.cecill.info".

En contrepartie de l'accessibilit au code source et des droits de copie,
de modification et de redistribution accords par cette licence, il n'est
offert aux utilisateurs qu'une garantie limite.  Pour les mmes raisons,
seule une responsabilit restreinte pse sur l'auteur du programme,  le
titulaire des droits patrimoniaux et les concdants successifs.

A cet gard  l'attention de l'utilisateur est attire sur les risques
associs au chargement,   l'utilisation,   la modification et/ou au
dveloppement et  la reproduction du logiciel par l'utilisateur tant 
donn sa spcificit de logiciel libre, qui peut le rendre complexe  
manipuler et qui le rserve donc  des dveloppeurs et des professionnels
avertis possdant  des  connaissances  informatiques approfondies.  Les
utilisateurs sont donc invits  charger  et  tester  l'adquation  du
logiciel  leurs besoins dans des conditions permettant d'assurer la
scurit de leurs systmes et ou de leurs donnes et, plus gnralement, 
 l'utiliser et l'exploiter dans les mmes conditions de scurit. 

Le fait que vous puissiez accder  cet en-tte signifie que vous avez 
pris connaissance de la licence CeCILL, et que vous en avez accept les
termes.*/
//Constantes de langue
var ALERT_CAR_MAX_FR = "Le nombre maximum de caractres autoriss est de ";
var ALERT_CAR_MAX_EN = "The maximum number of authorized natures is ";

// alias url (images  preloader avant utilisation)
// bouton valider
bouton_valider_src="/proto/FrameworkERGO/images/bouton/navig/BoutValider.gif";
bouton_validerover_src="/proto/FrameworkERGO/images/bouton/navig/BoutValiderover.gif";
bouton_validerdisabled_src="/proto/FrameworkERGO/images/bouton/navig/BoutValider_F.gif";

// bouton annuler
bouton_annuler_src="/proto/FrameworkERGO/images/bouton/navig/BoutAnnuler.gif";
bouton_annulerover_src="/proto/FrameworkERGO/images/bouton/navig/BoutAnnulerover.gif";
bouton_annulerdisabled_src="/proto/FrameworkERGO/images/bouton/navig/BoutAnnuler_F.gif";

// bouton libre
bouton_libre_src="/proto/FrameworkERGO/images/bouton/navig/BoutFond.gif";
bouton_libreover_src="/proto/FrameworkERGO/images/bouton/navig/BoutFondOver.gif";
bouton_libreGauche_src="/proto/FrameworkERGO/images/bouton/navig/BoutRondGauche.gif";
bouton_libreGaucheover_src="/proto/FrameworkERGO/images/bouton/navig/BoutRondGaucheOver.gif";
bouton_libreDroite_src="/proto/FrameworkERGO/images/bouton/navig/BoutRondDroit.gif";
bouton_libreDroiteover_src="/proto/FrameworkERGO/images/bouton/navig/BoutRondDroitOver.gif";

// Constantes ncessaires pour le fonctionnement de l'lment de formulaire ElementFormRadio. Ces constantes permettent de spcifier un agencement du libell d'un bouton radio par rapport au bouton. 
var LIBELLE_A_GAUCHE=1;
var LIBELLE_AU_DESSUS=2;
var LIBELLE_A_DROITE=3;
var LIBELLE_AU_DESSOUS=4;

// Constantes ncessaires pour le fonctionnement du composant ElementFormSelectMaster
var TYPE_TRI_GRP_AUCUN = "AUCUN";
var TYPE_TRI_GRP_LIBELLE = "LIBELLE";
var TYPE_TRI_GRP_VALUE = "VALUE";
var TAG_OPTIONS_GRP = "OPTIONS_GRP"
var TAG_OPTIONS_GRP_DEF = "OPTIONS_GRP_DEF"
var TAG_OPTIONS_GRP_DEF_ID = "ID"
var TAG_OPTIONS_GRP_DEF_SELECTED = "VALUE_SELECTED"
var TAG_OPTIONS_GRP_DEF_TYPE_TRI = "TYPE_TRI"
var TAG_OPTIONS_GRP_DEF_OPTIONS = "OPTIONS"

//********************* Classes de Dfinition des ELEMENTS de FORMULAIRE********************


// CLASSE ElementFormText

/**
* Cre une instance de la classe ElementFormText<br>
* <b>Voir Exemple d'instanciation de la classe ElementFormText :</b>
* <a href='exemples_A3.html#ElementFormText_constr'>Exemples d'appels aux constructeurs</a>.
* @class La classe <b>ElementFormText</b> est la classe permettant de modliser l'lment de formulaire de 
* type champ de saisie de texte correspondant  la balise HTML &lt;input type= 'text'&gt;. Le composant
* ElementFormText hrite de {@link DefaultElementForm DefaultElementForm},
* {@link DefaultHtmlInput DefaultHtmlInput}, {@link DefaultLibelle DefaultLibelle} et
* {@link DefaultXml DefaultXml}.
* <br><br><br><img src="Image.ElementFormTextUML.png"/><br><br><br>
* Il s'agit d'un <a href="exemples_A3.html#structXml">lment mono-value</a>:<br>
* <div style="border: 0.5pt solid windowtext; padding: 1pt 4pt; background: rgb(255, 255, 204) 
* none repeat scroll 0% 50%; -moz-background-clip: initial; -moz-background-origin:
* initial; -moz-background-inline-policy: initial;"><code>&lt;ELEMENT&gt;<br>&nbsp;&nbsp;&nbsp; 
* &lt;LIBELLE&gt;libelle de champ texte :&lt;/LIBELLE&gt;<br>
* &nbsp;&nbsp;&nbsp; &lt;VALUE&gt;valeur de champ texte :&lt;/VALUE&gt;<br> &lt;/ELEMENT&gt;<br></code></div>
* <br><br>RENDU IHM<br><img alt="renduIHM" src="Image.ElementFormText.jpg"/><br>
* Cette classe reprend toutes les proprits prives et publiques hrites.<br>
* Cette classe reprend toutes les mthodes prives et publiques hrites.<br>
* @public
* @extends DefaultElementForm
* @extends DefaultHtmlInput
* @extends DefaultLibelle
* @extends DefaultXml
* @constructor
* @param {String_Obligatoire} id : Id de l'lment.
* @param {XmlObjectSauvegarde_Facultatif} xmlData : Donnes XML de type
* {@link XMLObjectSauvegarde XMLObjectSauvegarde}, que l'on souhaite associer 
* l'lment de formulaire pour valoriser les attributs libelle et value.
* @param {String_Facultatif} value : valeur de l'lment, si on n'utilise pas xmlData comme source.
* @param {int_Facultatif} size : Attribut html &laquo;size du tag &lt;input&gt;.
* @param {int_Facultatif} maxlength : Attribut html maxlength du tag &lt;input&gt;.
* @param {String_Facultatif} libelle : Libelle de l'lment de formulaire
* @param {Boolean_Facultatif} obligatoire : Boolen indiquant si le champ est obligatoire. Par dfaut 
* le champ n'est pas obligatoire.
* @param {Boolean_Facultatif} statut : Statut de l'lment (enable par dfaut).
* @param {int_Facultatif} tabindex : Attribut html tabindex.
* @param {Boolean_Optionnel} autocomplete : Boolen indiquant l'tat d'activation de l'autocompletion.
* @version 2.3
* @date 28/09/2006
*/
function ElementFormText(id, xmlData, value, size, maxlength, libelle, obligatoire, statut, tabindex)
{
  // herite de la class DefaultHtmlInput
  this.extend_DefaultHtmlInput = DefaultHtmlInput;
  this.extend_DefaultHtmlInput(id, "text", maxlength, size, tabindex);
  // herite de la class DefaultElementForm
  this.extend_DefaultElementForm = DefaultElementForm;
  this.extend_DefaultElementForm(id, value, null, statut);
  // herite de la class DefaultLibelle
  this.extend_DefaultLibelle = DefaultLibelle;
  this.extend_DefaultLibelle(libelle, obligatoire);
  // herite de DefaultXml
  this.extend_DefaultXml=DefaultXml;
  this.extend_DefaultXml(xmlData, MONO);


  // Setting autocomplet

	/**
	* L'lment argv dans la classe ComposantTableau n'est pas une proprit, il permet de rcuprer 
	* dans un tableau les arguments passs en paramtres du constructeur de la classe 
	* (utile dans le cas des paramtres facultatifs, pour reprer les paramtres qui ont t soumis par le dveloppeur).
	* Il est dclar 'var'.
	* <br><br>
	* @private
	* @type String
	* @version 2.3
	* @date 28/09/2006
	*/
  var argv = ElementFormText.arguments;

	/**
	* L'lment argc dans la classe ComposantTableau n'est pas une proprit, il permet de rcuprer 
	* le nombre d'arguments passs en paramtres du constructeur de la classe 
	* (utile dans le cas des paramtres facultatifs, pour compter les paramtres  soumis par le dveloppeur).
	* Il est dclar 'var'.
	* <br><br>
	* @private
	* @type String
	* @version 2.3
	* @date 28/09/2006	
	*/  
  var argc = ElementFormText.arguments.length;

	/**
	* Attribut autoComplete utilis pour activ ou dsactiv l'auto compltion.
	* <br><b>Valeur par dfaut :</b> <a href='default-values_A3.html#ElementFormText'>
	* Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @private
	* @type boolean
	* @version 2.3
	* @date 28/09/2006	
	*/  
  this.autoComplete= (argc > 9) ? argv[9] : false;


  // Mthodes spcifiques

	/**
	* <b>Propre  la classe ElementFormText</b>- La mthode prive ecrireBoiteHtml gnre le code HTML 
	* (&lt;input ...&gt;) du champ de saisie (la boite). Le code HTML est retourn sous forme d'une chane 
	* de caractres. 
	* @private
	* @param {} Aucun
	* @return {string} code HTML du champ de saisie sous forme d'une chane de caractres
  * @version 2.5
  * @date 14/02/2007
	*/  
  this.ecrireBoiteHtml = 
    function() {
    	var resultat;
      if (this.value!=null) {
      	this.value = "" + this.value;
		    resultat = this.value.indexOf("'");
        if (resultat != -1)
          // Une boucle pour remplacer toutes les apostrophes du texte
          for (j=0;j<this.value.length;j++)
            this.value = this.value.replace("'", "&#039;");
      }
      if (this.alt!=null) {
		    this.alt = "" + this.alt;
		    resultat = this.alt.indexOf("'");
        if (resultat != -1)
          // Une boucle pour remplacer toutes les apostrophes du texte
          for (j=0;j<this.alt.length;j++)
            this.alt = this.alt.replace("'", "&#039;");
      }
      if (this.title!=null) {
		    this.title = "" + this.title;
		    resultat = this.title.indexOf("'");
        if (resultat != -1)
          // Une boucle pour remplacer toutes les apostrophes du texte
          for (j=0;j<this.title.length;j++)
            this.title = this.title.replace("'", "&#039;");
      }
      if (this.style!=null) {
		    this.style = "" + this.style;
		    resultat = this.style.indexOf("'");
        if (resultat != -1)
          // Une boucle pour remplacer toutes les apostrophes du style
          for (j=0;j<this.style.length;j++)
            this.style = this.style.replace("'", "&#039;");
      }
      
      var codeHTML="";
      // attributs toujours prsents
      codeHTML+="<input id='"+this.id+"' name='"+this.name+"' type='"+this.type+"' ";
      // attributs facultatifs
			if (this.autoComplete) 
				codeHTML+="autocomplete='on' ";
			else
				codeHTML+="autocomplete='off' ";
      if (this.size!=null) codeHTML+="size='"+this.size+"' ";
      if (this.maxlength!=null) codeHTML+="maxlength='"+this.maxlength+"' ";
      if (this.value!=null) codeHTML+="value='"+this.value+"' ";
      if (this.readonly=="readonly") {
        // Prise en compte du ReadOnly et de la transparence pour un ElementFormFile du ComposantFile.
        if (this.nomClasse != null && (this.nomClasse == "ComposantFile" || this.nomClasse == "ElementFormFile"))
        	codeHTML+=" class='composantFile' onkeydown='return false' onmousedown='return false' oncontextmenu='return false'";
        else
          codeHTML+=" readonly='readonly' ";
      }
      if (this.disabled=="disabled") codeHTML+=" disabled='disabled' ";
      if (this.onChange!=null) codeHTML+="onchange='javascript:"+this.reference+".onChange()' ";
      if (this.onblur!=null) codeHTML+="onblur='javascript:"+this.reference+".onblur()' ";
      if (this.onMouseOut!=null) codeHTML+="onmouseout='javascript:" + this.reference + ".onMouseOut()' ";
      if (this.onMouseOver!=null) codeHTML+="onmouseover='javascript:" + this.reference + ".onMouseOver()' ";
      if (this.onMouseMove!=null) codeHTML+="onmousemove='javascript:" + this.reference + ".onMouseMove(event)' ";
      if (this.checked!=null) codeHTML+=" checked='"+this.checked+"' ";
      if (this.title!=null) codeHTML+=" title='"+this.title+"' ";
      if (this.alt!=null) codeHTML+=" alt='"+this.alt+"' ";
      if (this.tabindex!=null) codeHTML+=" tabindex='"+this.tabindex+"' ";
      if (this.style!=null) codeHTML+=" style='"+this.style+"' ";
      codeHTML+="/>\n";
      return codeHTML;
    };
}


// CLASSE ElementFormPass

/**
* Cre une instance de la classe <b>ElementFormPass</b>.
* <br><b>Voir Exemple d'instanciation de la classe ElementFormPass :</b>
* <a href='exemples_A3.html#ElementFormPass_constr'>Exemples d'appels aux constructeurs</a>.
* @class La classe <b>ElementFormPass</b> est la classe permettant de modliser l'lment de formulaire 
* de type champ de saisie de mot de passe correspondant  la balise HTML &lt;input type= 'password'&gt;.
* Etant donne la similitude de cette classe avec {@link ElementFormText ElementFormText},
* une relation d'hritage existe avec cette classe.
* <br><br><br><img src="Image.ElementFormPassUML.png"/><br><br><br>
* Il s'agit d'un <a href="exemples_A3.html#structXml">lment mono-value</a> :<br>
* <div style="border: 0.5pt solid windowtext; padding: 1pt 4pt; background: rgb(255, 255, 204) none
* repeat scroll 0% 50%; -moz-background-clip: initial; -moz-background-origin:
* initial; -moz-background-inline-policy: initial;"><code>&lt;ELEMENT&gt;<br>&nbsp;&nbsp;&nbsp;
* &lt;LIBELLE&gt;libelle de champ pass :&lt;/LIBELLE&gt;<br> &nbsp;&nbsp;&nbsp;
* &lt;VALUE&gt;valeur de champ pass :&lt;/VALUE&gt;<br> &lt;/ELEMENT&gt;<br></code></div>
* <br><br>RENDU IHM<br><img alt="renduIHM" src="Image.ElementFormPass.jpg"/><br>
* Cette classe reprend toutes les proprits prives et publiques hrites. La proprit {@link #type type} est
* redfinie  la valeur password.<br>
* Cette classe reprend toutes les mthodes prives et publiques hrites.<br>
* @public
* @extends ElementFormText
* @constructor
* @param {String_Obligatoire} id : Id de l'lment.
* @param {XmlObjectSauvegarde_Facultatif} xmlData : Donnes XML de type
* {@link XMLObjectSauvegarde XMLObjectSauvegarde}, que l'on souhaite associer 
* l'lment de formulaire pour valoriser les attributs libelle et value.
* @param {String_Facultatif} value : valeur de l'lment, si on n'utilise pas xmlData comme source.
* @param {int_Facultatif} size : Attribut html &laquo;size du tag &lt;input&gt;.
* @param {int_Facultatif} maxlength : Attribut html maxlength du tag &lt;input&gt;.
* @param {String_Facultatif} libelle : Libelle de l'lment de formulaire
* @param {Boolean_Facultatif} obligatoire : Boolen indiquant si le champ est obligatoire. Par dfaut 
* le champ n'est pas obligatoire.
* @param {Boolean_Facultatif} statut : Statut de l'lment (enable par dfaut).
* @param {int_Facultatif} tabindex : Attribut html tabindex.
* @version 1.1
* @date 25/10/2005
*/
function ElementFormPass(id, xmlData, value, size, maxlength, libelle, obligatoire, statut, tabindex)
{						
  // herite de ElementFormText
  this.extend_ElementFormText = ElementFormText;
  this.extend_ElementFormText(id, xmlData, value, size, maxlength, libelle, obligatoire, statut, tabindex);

	/**
	* La proprit type est redfinie  la valeur password - <b>Valeur par dfaut : </b>
	* <a href='default-values_A3.html#ElementFormPassProp'>Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005	
	*/  
  this.type = "password";
}


// OBJET ElementFormHidden

/**
* Cre une instance de la classe <b>ElementFormHidden</b>.
* <br><b>Voir Exemple d'instanciation de la classe ElementFormHidden :</b>
* <a href='exemples_A3.html#ElementFormHidden_constr'>Exemples d'appels aux constructeurs</a>.
* @class La classe <b>ElementFormHidden</b> est la classe permettant de modliser l'lment 
* de formulaire de type champ cach correspondant  la balise HTML &lt;input type= 'hidden'&gt;.
* Cet lment est plus pauvre que les autres lments utilisant la balise &lt;input&gt;, puisqu'il 
* compte moins d'attribut HTML et ne ncessite pas de libell.<br>Le composant ElementFormHidden 
* hrite de {@link DefaultElementForm DefaultElementForm},{@link DefaultHtmlInput DefaultHtmlInput},
* et {@link DefaultXml DefaultXml}.
* <br><br><br><img src="Image.ElementFormHiddenUML.png"/><br><br>
* <br>Il s'agit d'un <a href="exemples_A3.html#structXml">lment mono-value</a> :<br>
* <div style="border: 0.5pt solid windowtext; padding: 1pt 4pt; background: rgb(255, 255, 204) none 
* repeat scroll 0% 50%; -moz-background-clip: initial; -moz-background-origin:
* initial; -moz-background-inline-policy: initial;"><code>&lt;ELEMENT&gt;<br>&nbsp;&nbsp;&nbsp;
* &lt;LIBELLE&gt;libelle de champ hidden :&lt;/LIBELLE&gt;<br>
* &nbsp;&nbsp;&nbsp; &lt;VALUE&gt;valeur de champ hidden :&lt;/VALUE&gt;<br> &lt;/ELEMENT&gt;<br></code></div>
* <br><br>RENDU IHM<br>Comme son nom l'indique, il s'agit d'un champ cach, donc il n'y pas de rendu 
* IHM pour cet lment.<br><br>
* Cette classe reprend toutes les proprits prives et publiques hrites. <br>
* Cette classe reprend toutes les mthodes prives et publiques hrites.<br>
* @public
* @extends DefaultElementForm
* @extends DefaultHtmlInput
* @extends DefaultXML
* @constructor
* @param {String_Obligatoire} id : id de l'lment.
* @param {XMLObjectSauvegarde_Facultatif} xmlData : donnes XML de type
* {@link XMLObjectSauvegarde XMLObjectSauvegarde}, que l'on souhaite associer 
* l'lment de formulaire pour valoriser les attributs libelle et value.
* @param {String_Facultatif} value : valeur de l'lment, si on n'utilise pas xmlData comme source.
* @version 1.1
* @date 25/10/2005
*/
function ElementFormHidden(id, xmlData, value)
{
  // herite de la class DefaultHtmlInput
  this.extend_DefaultHtmlInput = DefaultHtmlInput;
  this.extend_DefaultHtmlInput(id, "hidden");
  // herite de la class ElementFormDefault
  this.extend_DefaultElementForm = DefaultElementForm;
  this.extend_DefaultElementForm(id, value);
  // herite de DefaultXml
  this.extend_DefaultXml=DefaultXml;
  this.extend_DefaultXml(xmlData, MONO);

  
  // Mthodes spcifiques

	/**
	* <b>Propre  la classe ElementFormHidden </b>- La mthode prive ecrireBoiteHtml gnre le 
	* code HTML (&lt;input ...&gt;) du champ cach (Le code HTML est retourn sous forme d'une chane de caractres). 
	* @private
	* @param {} Aucun
	* @return {string} codeHTML
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.ecrireBoiteHtml = 
    function() {
      if (this.value!=null) {
        this.value = "" + this.value;
		    var resultat = this.value.indexOf("'");
        if (resultat != -1)
          // Une boucle pour remplacer toutes les apostrophes du texte
          for (j=0;j<this.value.length;j++)
            this.value = this.value.replace("'", "&#039;");
      }
      var codeHTML="";
      codeHTML+="<input id='"+this.id+"' name='"+this.name+"' type='"+this.type+"' ";
      if (this.value!=null) codeHTML+="value='"+this.value+"' ";
      codeHTML+="/>\n";
      return codeHTML;
    };
}

// CLASSE ElementFormFile

/**
* Cre une instance de la classe ElementFormFile.
* <b>Voir Exemple d'instanciation de la classe ElementFormFile :</b>
* <a href='exemples_A3.html#ElementFormFile_constr'>Exemples d'appels aux constructeurs</a>.
* @class La classe <b>ElementFormFile</b> est la classe permettant de modliser l'lment de formulaire
* de type fichier correspondant  la balise HTML &lt;input type='file'&gt;.<br>
* Etant donn la similitude de cette classe avec {@link ElementFormText ElementFormText},
* il est judicieux d'utiliser l'hritage.<br><span style="color: rgb(0, 153, 0); font-weight: bold;">
* Pour bnficier de davantage de fonctionnalits, il est recommand d'utiliser{@link ComposantFile ComposantFile}
* plutt que ElementFormFile.</span>. <br><br>L'lment ElementFormFile hrite de ElementFormText.
* <br><br><br><img src="Image.ElementFormFileUML.png"/><br><br><br>
* Il s'agit d'un <a href="exemples_A3.html#structXml">
* lment mono-value</a> :<br><div style="border: 0.5pt solid windowtext; padding: 1pt 4pt;
* background: rgb(255, 255, 204) none repeat scroll 0% 50%; -moz-background-clip: initial;
* -moz-background-origin: initial; -moz-background-inline-policy: initial;"><code>&lt;ELEMENT&gt;<br>
* &nbsp;&nbsp;&nbsp; &lt;LIBELLE&gt;libelle de champ file :&lt;/LIBELLE&gt;<br>&nbsp;&nbsp;&nbsp;
* &lt;VALUE&gt;&lt;/VALUE&gt;<br> &lt;/ELEMENT&gt;<br></code></div>
* <br><br>RENDU IHM<br><img alt="renduIHM" src="Image.ElementFormFile.jpg"/><br>
* Cette classe reprend toutes les proprits prives et publiques hrites. La proprit {@link #type type} est
* redfinie  la valeur file et l'attribut {@link DefaultHtmlInput#maxlength maxlength} n'est pas utilis.<br>
* Cette classe reprend toutes les mthodes prives et publiques hrites.<br>
* @public
* @extends ElementFormText
* @constructor
* @param {String_Obligatoire} id : Id de l'lment.
* @param {XmlObjectSauvegarde_Facultatif} xmlData : Donnes XML de type
* {@link XMLObjectSauvegarde XMLObjectSauvegarde}, que l'on souhaite associer 
* l'lment de formulaire pour valoriser les attributs libelle et value.
* @param {String_Facultatif} value : valeur de l'lment, si on n'utilise pas xmlData comme source.
* @param {int_Facultatif} size : Attribut html &laquo;size du tag &lt;input&gt;.
* @param {String_Facultatif} libelle : Libelle de l'lment de formulaire
* @param {Boolean_Facultatif} obligatoire : Boolen indiquant si le champ est obligatoire. Par dfaut 
* le champ n'est pas obligatoire.
* @param {Boolean_Facultatif} statut : Statut de l'lment (enable par dfaut).
* @param {int_Facultatif} tabindex : Attribut html tabindex.
* @version 1.1
* @date 25/10/2005
*/
function ElementFormFile(id, xmlData, value, size, libelle, obligatoire, statut, tabindex)
{
  // herite de ElementFormText
  this.extend_ElementFormText = ElementFormText;
  this.extend_ElementFormText(id, xmlData, value, size, null, libelle, obligatoire, statut, tabindex);
  this.nomClasse = "ElementFormFile";
  
	/**
	* La proprit type est redfinie  la valeur file 
	* - <b>Valeur par dfaut : </b> <a href='default-values_A3.html#ElementFormFileProp'>
	* Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005	
	*/  
  this.type = "file";
}


// CLASSE ElementFormCheckbox

/**
* Cre une instance de la classe ElementFormCheckbox.
* <b>Voir Exemple d'instanciation de la classe ElementFormCheckbox :</b>
* <a href='exemples_A3.html#ElementFormCheckbox_constr'>Exemples d'appels aux constructeurs</a>.
* @class La classe <b>ElementFormCheckbox</b> est la classe permettant de modliser l'lment 
* de formulaire de type case  cocher correspondant  la balise HTML &lt;input type= 'checkbox'&gt;.
* Etant donn la similitude de cette classe avec {@link ElementFormText ElementFormText},
* il est judicieux d'utiliser l'hritage.
* <br><br><br><img src="Image.ElementFormCheckboxUML.png"/><br><br><br>
* Il s'agit d'un <a href="exemples_A3.html#structXml">lment mono-value</a> :<br>
* <div style="border: 0.5pt solid windowtext; padding: 1pt 4pt; background: rgb(255, 255, 204) none repeat
* scroll 0% 50%; -moz-background-clip: initial; -moz-background-origin:
* initial; -moz-background-inline-policy: initial;"><code>&lt;ELEMENT&gt;<br>&nbsp;&nbsp;&nbsp;
* &lt;LIBELLE&gt;libelle de champ checkbox true :&lt;/LIBELLE&gt;<br>
* &nbsp;&nbsp;&nbsp; &lt;VALUE&gt;TRUE&lt;/VALUE&gt;<br> &lt;/ELEMENT&gt;<br></code></div><br>
* Pour ce type d'lment la valeur est TRUE pour une case coche ou FALSE pour une case non coche.
* <br><br>RENDU IHM<br><img alt="renduIHM" src="Image.ElementFormCheckbox.jpg"/><br>
* <br>Cette classe reprend toutes les proprits prives et publiques hrites. La proprit {@link #type type}
* est redfinie  la valeur checkbox et la proprit {@link #checked checked} est value en fonction de la
* proprit {@link #value "value"}.<br>
* Cette classe reprend toutes les mthodes prives et publiques hrites.<br>
* @extends ElementFormText
* @constructor
* @param {String_Obligatoire} id : Id de l'lment.
* @param {XmlObjectSauvegarde_Facultatif} xmlData : Donnes XML de type
* {@link XMLObjectSauvegarde XMLObjectSauvegarde}, que l'on souhaite associer 
* l'lment de formulaire pour valoriser les attributs libelle et value.
* @param {String_Facultatif} value : valeur de l'lment, si on n'utilise pas xmlData comme source.
* @param {String_Facultatif} libelle : Libelle de l'lment de formulaire
* @param {Boolean_Facultatif} obligatoire : Boolen indiquant si le champ est obligatoire. Par dfaut 
* le champ n'est pas obligatoire.
* @param {Boolean_Facultatif} statut : Statut de l'lment (enable par dfaut).
* @param {int_Facultatif} tabindex : Attribut html tabindex.
* @version 1.1
* @date 25/10/2005
*/
function ElementFormCheckbox(id, xmlData, value, libelle, obligatoire, statut, tabindex)
{
  // herite de ElementFormText
  this.extend_ElementFormText = ElementFormText;
  this.extend_ElementFormText(id, xmlData, value, null, null, libelle, obligatoire, statut, tabindex);

	/**
	* La proprit type est redfinie  la valeur checkbox - <b>Valeur par dfaut : </b>
	* <a href='default-values_A3.html#ElementFormCheckboxProp'>
	* Valeurs par dfaut des Proprits</a>.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005	
	*/
  this.type = "checkbox";
 
  
  // dfinition de la valeur renvoye au serveur si la case est coche
  
	/**
	* <b>Propre  la classe ElementFormCheckbox </b>- La nouvelle proprit prive submitValue est fixe 
	* true, elle correspond  l'attribut html {@link #value value} de la checkbox, il s'agit donc de la 
	* valeur retourne au serveur lorsque la case est coche.
	* <b>Constante : </b> <a href='constant-values_A3.html#Prop'>Valeurs des Constantes - Proprits</a>
	* <br><br>
	* @private
	* @type boolean
	* @version 1.1
	* @date 25/10/2005		
	*/   
  this.submitValue = true;
  
  // concordance value => checked
  if ( (this.value==true) || (this.value=="TRUE") || (this.value=="true") ) this.checked="checked";

  // redfinition des accesseurs getValue() et setValue()
  
	/**
	* <b>Spcifique  la classe ElementFormCheckbox </b> - La mthode publique getValue renvoie 
	* la valeur de l'option slectionne.
	* @public
	* @param {} Aucun
	* @return {string} Valeur de l'option slectionne.
	* @version 1.1
	* @date 25/10/2005
	*/ 
  this.getValue = function() {
    var elm = this.getDomHtmlElement();
    if (elm!=null) { // si l'lment est dja gnr
      if (elm.checked) {
      	this.setValue(true);
      	return true;
      }
      	this.setValue(false);
      	return false;
    } else { 
      return this.value; // sinon on retourne la proprit value tout simplement
    }
  };

  
	/**
	* <b>Spcifique  la classe ElementFormCheckbox </b>- La mthode publique setValue slectionne l'option coche. 
	* @public
	* @param {StringBoolean_Obligatoire} Boolen ou String ("TRUE', "true", "FALSE", "false") 
	* indiquant si la case est coche ou non.
	* @version 1.1
	* @date 25/10/2005
	*/
  this.setValue = function (bool) {
    if ( (bool==true) || (bool=="TRUE") || (bool=="true") ) {
      this.value=true;
      this.checked="checked";    
    }
    if ( (bool==false) || (bool=="FALSE") || (bool=="false") ) {
      this.value=false;
      this.checked=null;    
    }  
    // maj des proprits DomHtml
    var elm = this.getDomHtmlElement();
    if (elm!=null) {
      if (this.value==true) elm.checked=true;
      if (this.value==false) elm.checked=false;
    }
  };
  
  
  // redfinition de la mthode ecrireBoiteHtml()
  
	/**
	* <b>Propre  la classe ElementFormCheckbox </b>- La mthode prive ecrireBoiteHtml gnre le code HTML
	* (&lt;input ...&gt;) de la case  cocher.
	* Le code HTML est retourn sous forme d'une chane de caractres. 
	* @private
	* @param {} Aucun
	* @return {string} code HTML du champ de saisie sous forme d'une chane de caractres
	* @version 1.1
	* @date 25/10/2005
	*/
  this.ecrireBoiteHtml = 
    function() {
    	var resultat;
      if (this.alt!=null) {
		    this.alt = "" + this.alt;
		    resultat = this.alt.indexOf("'");
        if (resultat != -1)
          // Une boucle pour remplacer toutes les apostrophes du texte
          for (j=0;j<this.alt.length;j++)
            this.alt = this.alt.replace("'", "&#039;");
      }
      if (this.title!=null) {
        this.title = "" + this.title;
		    resultat = this.title.indexOf("'");
        if (resultat != -1)
          // Une boucle pour remplacer toutes les apostrophes du texte
          for (j=0;j<this.title.length;j++)
            this.title = this.title.replace("'", "&#039;");
      }
      if (this.style!=null) {
        this.style = "" + this.style;
		    resultat = this.style.indexOf("'");
        if (resultat != -1)
          // Une boucle pour remplacer toutes les apostrophes du style
          for (j=0;j<this.style.length;j++)
            this.style = this.style.replace("'", "&#039;");
      }
      
      var codeHTML="";
      codeHTML+="<input id='"+this.id+"' name='"+this.name+"' type='"+this.type+"' value='"+this.submitValue+"' ";
      if (this.checked!=null) codeHTML+=" checked='"+this.checked+"' ";
      if (this.disabled=="disabled") codeHTML+=" disabled='disabled' ";
      if (this.readonly=="readonly")
      	codeHTML+="onClick='javascript:return false;' ";
      else
      	if (this.onChange!=null) codeHTML+="onClick='javascript:"+this.reference+".onChange()' ";
      if (this.title!=null) codeHTML+=" title='"+this.title+"' ";
      if (this.alt!=null) codeHTML+=" alt='"+this.alt+"' ";
      if (this.tabindex!=null) codeHTML+="tabindex='"+this.tabindex+"' ";
      if (this.onMouseOut!=null) codeHTML+="onmouseout='javascript:" + this.reference + ".onMouseOut()' ";
      if (this.onMouseOver!=null) codeHTML+="onmouseover='javascript:" + this.reference + ".onMouseOver()' ";
      if (this.onMouseMove!=null) codeHTML+="onmousemove='javascript:" + this.reference + ".onMouseMove(event)' ";
      if (this.style!=null) codeHTML+=" style='"+this.style+"' ";
      codeHTML+="/>";
      codeHTML+="\n";
      return codeHTML;
    };
}


// CLASSE ElementFormRadio (Groupement de radio boutons)

/**
* Cre une instance de la classe ElementFormRadio.
*<br><b>Voir Exemple d'instanciation de la classe ElementFormRadio :</b>
* <a href='exemples_A3.html#ElementFormRadio_constr'>Exemples d'appels aux constructeurs</a>.
* @class La classe <b>ElementFormRadio</b>  est la classe permettant de modliser l'lment de formulaire
* de type bouton radio correspondant  la balise HTML &lt;input type= 'radio'&gt;. Il s'agit d'un lment
* multi-values qui correspond  une srie de boutons radio (un seul est cliquable) portant tous le mme attribut
* name.<br><br>L'lment ElementFormRadio hrite  de{@link DefaultElementForm DefaultElementForm},
* {@link DefaultHtmlInput DefaultHtmlInput}, et {@link DefaultXml DefaultXml}.
* <br><br><br><img src="Image.ElementFormRadioUML.png"/><br><br><br>
* Il s'agit d'un <a href="exemples_A3.html#structXml">lment
* multi-values</a> :<br><div style="border: 0.5pt solid windowtext; padding: 1pt 4pt; background:
* rgb(255, 255, 204) none repeat scroll 0% 50%; -moz-background-clip: initial; -moz-background-origin:
* initial; -moz-background-inline-policy: initial;"><code>&lt;ELEMENT&gt;<br>&nbsp;&nbsp;&nbsp;
* &lt;LIBELLE&gt;libelle de radio :&lt;/LIBELLE&gt;<br>&nbsp;&nbsp;&nbsp; &lt;OPTIONS&gt;<br>&nbsp;&nbsp;&nbsp;
* &nbsp;&nbsp;&nbsp; &lt;OPTION&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* &lt;LIBELLE&gt;radio1&lt;/LIBELLE&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&lt;
* VALUE&gt;1&lt;/VALUE&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&lt;SELECTED&gt;
* FALSE&lt;/SELECTED&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp; &lt;/OPTION&gt;<br>
* &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;OPTION&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* &nbsp;&lt;LIBELLE&gt;radio2(true)&lt;/LIBELLE&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* &nbsp;&nbsp;&nbsp;&lt;VALUE&gt;2&lt;/VALUE&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* &lt;SELECTED&gt;TRUE&lt;/SELECTED&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;/OPTION&gt;<br>&nbsp;
* &nbsp;&nbsp; &lt;/OPTIONS&gt;<br>&lt;/ELEMENT&gt;<br></code></div>
* <br><br>RENDU IHM<br><img alt="renduIHM" src="Image.ElementFormRadio.jpg"/><br>
* Cette classe reprend toutes les proprits prives et publiques hrites.<br>
* Cette classe reprend toutes les mthodes prives et publiques hrites.<br>
* @public
* @extends DefaultElementForm
* @extends DefaultHtmlInput
* @extends DefaultLibelle
* @extends DefaultXML
* @constructor
* @param {String_Obligatoire} id : Id de l'lment.
* @param {XmlObjectSauvegarde_Facultatif} xmlData : Donnes XML de type
* {@link XMLObjectSauvegarde XMLObjectSauvegarde}, que l'on souhaite associer 
* l'lment de formulaire pour valoriser les attributs libelle et value.
* @param {String_Facultatif} tabOption : valeur de l'lment, si on n'utilise pas xmlData comme source.
* @param {String_Facultatif} libelle : Libelle de l'lment de formulaire
* @param {Boolean_Facultatif} obligatoire : Boolen indiquant si le champ est obligatoire. Par dfaut
* le champ n'est pas obligatoire.
* @param {Boolean_Facultatif} statut : Statut de l'lment (enable par dfaut).
* @param {int_Facultatif} tabindex : Attribut html tabindex.
* @param {int_Optionnel} size : Nombre de colonnes utilises pour positionner les boutons radios.
* @param {int_Optionnel} position : Positionnement du libell par rapport au bouton (voir <a href='ObjectOption.html#positionLibelle'>ObjectOption.positionLibelle</a>).
* par rapport  ce bouton.
* @version 1.1
* @date 25/10/2005
*/

function ElementFormRadio(id, xmlData, tabOption, libelle, obligatoire, statut, tabindex)
{
  // herite de la class DefaultHtmlInput
  this.extend_DefaultHtmlInput = DefaultHtmlInput;
  this.extend_DefaultHtmlInput(id, "radio", null, null, tabindex);
  // herite de la class DefaultElementForm
  this.extend_DefaultElementForm = DefaultElementForm;
  this.extend_DefaultElementForm(id, null, tabOption, statut);
  // herite de la class DefaultLibelle
  this.extend_DefaultLibelle = DefaultLibelle;
  this.extend_DefaultLibelle(libelle, obligatoire);
  // herite de DefaultXml
  this.extend_DefaultXml=DefaultXml;
  this.extend_DefaultXml(xmlData, MULTI);
  
    
  if (this.tabOption == null) {this.tabOption = new Array();}
	/**
	* <b>Spcifique  la classe ElementFormRadio </b>- La proprit prive  nbColonnes de type number indique 
	* le nombre de colonnes utilises pour positionner les boutons radios.<br>
	* Par dfaut, le positionnement est horizontal (nbColonnes =nombre de boutons radio) et peut tre vertical
	* en renseignant cette proprit au nombre de boutons radios voulus par ligne.
	* @private
	* @type int
	* @version 2.4
	* @date 14/11/2006
	*/
  this.nbColonnes=this.tabOption.length;
  if(ElementFormRadio.arguments.length>7)
  	if(typeof ElementFormRadio.arguments[7]== "number")
			this.nbColonnes=ElementFormRadio.arguments[7];
			

	var argTab=ElementFormRadio.arguments;
	/**
	* <b>Spcifique  la classe ElementFormRadio</b>- La proprit prive positionLibelleOptions de type 
	* number indique, pour l'ensemble des boutons radios du composant le positionnement du libell par rapport 
	* au bouton.<br> Cet argument n'est pas pris en compte pour un bouton radio dont on a spcifi un positionnement 
	* particulier (voir <a href='ObjectOption.html#positionLibelle'>ObjectOption.positionLibelle</a>).
	* @private
	* @type int
	* @version 2.4
	* @date 14/11/2006
	*/
	this.positionLibelleOptions=null;
	if(argTab.length>8)
	this.positionLibelleOptions=argTab[8];
  
  
  // methodes spcifiques
  
  // retourne la value du bouton radio selectionn
	
	/**
	* <b>Spcifique  la classe ElementFormRadio </b>- La mthode publique getValue renvoie la valeur de 
	* l'unique option slectionne.
	* @public
	* @param {} Aucun
	* @return {string} valeur de l'unique option slectionne.
	* @version 1.1
	* @date 25/10/2005
	*/   
  this.getValue = function () {
    var elm=this.getDomHtmlElement();
    if (elm!=null) {  // si l'element html est deja gnr
      var tabRadio = elm.form.elements[this.name];  // il faut passer par "form.elements" pour rcuprer le tableau des radios
      for (var i=0; i<tabRadio.length; i++) {
        // mise  jour de this.tabOption
        this.tabOption[i].selected=tabRadio[i].checked;
        if (tabRadio[i].checked) {
          // retourne l'unique value selectionne
          return tabRadio[i].value;
        }  
      }
      return "";
    }  
    return "";
  };

  // retourne this.tabOption mis  jour  

	/**
	* <b> Spcifique  la classe ElementFormRadio </b>- La mthode publique getTabOption actualise
	* et renvoie le tableau "this.tabOption".
	* @public
	* @param {} Aucun
	* @return {Array_ObjectOption} le tableau "this.tabOption".
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.getTabOption = function () {
    var tabRadio=null;
    var elm=this.getDomHtmlElement();
    if (elm!=null) {  // si l'element html est deja gnr
      if (elm.form!=null) {
        tabRadio = elm.form.elements[this.name];
      }else{
        tabRadio = document.getElementsByName(this.name);
      }  
      for (var i=0; i<tabRadio.length; i++) {
        this.tabOption[i].selected=tabRadio[i].checked;
      }
    }  
    return this.tabOption;
  };


  // retourne this.tabOption mis  jour

	/**
	* <b>Spcifique  la classe ElementFormRadio </b>- La mthode publique getValues renvoie le tableau
	* (ObjectOption) des options slectionnes.
	* @public
	* @param {} Aucun
	* @return {Array_ObjectOption} le tableau "this.tabOption".
	* @version 1.1
	* @date 25/10/2005
	*/
  this.getValues = function () {
    var elm=this.getDomHtmlElement();
    if (elm!=null) {  // si l'element html est deja gnr
      var tabRadio = elm.form.elements[this.name];
      for (var i=0; i<tabRadio.length; i++) {
        this.tabOption[i].selected=tabRadio[i].checked;
      }
    }  
    return this.tabOption;
  };


  // attribut une nouvelle valeur selected
  
	/**
	* <b>Spcifique  la classe ElementFormRadio </b>- La mthode publique setValue slectionne l'option 
	* qui a la valeur 'value'. Cette option doit pralablement exister dans 'this.tabOption' puis met  jour 
	* l'lment HTML.
	* @public
	* @param {String_Obligatoire} newValue : nouvelle valeur  slectionner.
	* @return {void}
	* @version 2.3
	* @date 28/09/2006
	*/ 
  this.setValue = function (newValue) {
    for (var i=0; i<this.tabOption.length; i++) {
      if (this.tabOption[i].value==newValue) this.tabOption[i].selected=true;
    }
    var elm=this.getDomHtmlElement();
    if (elm!=null) {  // si l'element html est deja gnr on le met  jour
      var tabRadio = elm.form.elements[this.id];
      for (var i=0; i<tabRadio.length; i++) {
        if (tabRadio[i].value==newValue) tabRadio[i].checked=true;
      }
    }
  };
  
  // attribut des nouvelles options
  
	/**
	* <b>Spcifique  la classe ElementFormRadio</b>- La mthode publique setValues attribue de nouvelles 
	* options  l'lment puis regnre l'lment. Cette option doit pralablement exister dans 'this.tabOption'
	* puis met  jour l'lment HTML.
	* @public
	* @param {t_ObjectOption_Obligatoire} tabOpt Les nouvelles options et slections de l'lment.
	* @return {void}
	* @version 1.1
	* @date 25/10/2005
	*/   
  this.setValues = function (tabOpt) {
    this.tabOption=tabOpt;
    var elm=this.getDomHtmlElement();
    if (elm!=null) {
	    this.ecrireBind(); 
    }  
  };
  
  // redefinition de la methode ecrireBoiteHtml()
  
	/**
	* <b>Propre  la classe ElementFormRadio </b>- La mthode prive ecrireBoiteHtml gnre la srie 
	* de code HTML (&lt;input ...&gt;) correspondant  la srie de boutons radio. Le code HTML est retourn 
	* sous forme d'une chane de caractres.
	* @private
	* @param {} Aucun
	* @return {string} Le code HTML correspondant  la srie de boutons radio sous forme d'une chane de caractres.
	* @version 1.1
	* @date 25/10/2005
	*/ 
  this.ecrireBoiteHtml = 
    function() {
			var tdDef="<td";
			if (this.positionLibelleOptions==LIBELLE_A_GAUCHE || this.positionLibelleOptions==null)
				tdDef+=" align='right'";
			tdDef+=">";
			
    	var codeHTML="<table><tr height='25px'>";
    	var nbCol=0;
    	for (var j=0;j<this.tabOption.length;j++) {
    		nbCol+=1;
    		if (nbCol == this.nbColonnes) {
    			nbCol=0;
      		codeHTML+=tdDef+this.ecrireRadioHtml(this.tabOption[j])+"</td></tr>\n<tr>";
      	} else {
      		codeHTML+=tdDef+this.ecrireRadioHtml(this.tabOption[j])+"</td>";
      	}
    	}
    	for (var k=nbCol+1;k<this.nbColonnes+1;k++) {
    		codeHTML+=tdDef+"</td>";
    	}
      codeHTML+="</tr></table>";
      return codeHTML;     
    };
    
	/**
	* La mthode publique ecrireRadioHtml() gnre le code HTML ncessaire pour afficher le bouton radio et
	* le retourne sous forme de caractres.
  * @public
	* @param {ObjectOption_Obligatoire} opt : Option slectionne
	* @return {string} le code HTML du bouton radio sous forme de caractres
	* @version 1.1
	* @date 25/10/2005
	*/ 	
  this.ecrireRadioHtml = 
    function(opt) {
    	var resultat;
      if (opt.value!=null) {
      	//Transformation de opt.value en chaine de carractres
		    opt.value = opt.value + "";
		    resultat = opt.value.indexOf("'");
        if (resultat != -1)
          // Une boucle pour remplacer toutes les apostrophes du texte
          for (j=0;j<opt.value.length;j++)
            opt.value = opt.value.replace("'", "&#039;");
      }
      if (this.alt!=null) {
        this.alt = this.alt + "";
		    resultat = this.alt.indexOf("'");
        if (resultat != -1)
          // Une boucle pour remplacer toutes les apostrophes du texte
          for (j=0;j<this.alt.length;j++)
            this.alt = this.alt.replace("'", "&#039;");
      }
      if (this.title!=null) {
        this.title = this.title + "";
		    resultat = this.title.indexOf("'");
        if (resultat != -1)
          // Une boucle pour remplacer toutes les apostrophes du texte
          for (j=0;j<this.title.length;j++)
            this.title = this.title.replace("'", "&#039;");
      }    	

      if (this.style!=null) {
        this.style = this.style + "";
		    resultat = this.style.indexOf("'");
        if (resultat != -1)
          // Une boucle pour remplacer toutes les apostrophes du style
          for (j=0;j<this.style.length;j++)
            this.style = this.style.replace("'", "&#039;");
      }

    	var codeHTML=""; 
    	var codeLibelle="<span>"+opt.libelle+"</span>";
    	var codeRadio="";
    	codeRadio+="<input id='"+this.id+"' name='"+this.name+"' type='"+this.type+"' value='"+opt.value+"' ";
      if (opt.selected==true) codeRadio+="checked='checked' ";
      if (this.disabled=="disabled") codeRadio+="disabled='disabled' ";
      if (this.readonly=="readonly")
      	codeRadio+="onClick='javascript:return false;' ";
      else
      	if (this.onChange!=null) codeRadio+="onClick='javascript:"+this.reference+".onChange()' ";
      if (this.onblur!=null) codeHTML+="onblur='javascript:"+this.reference+".onblur()' ";
      if (this.title!=null) codeRadio+=" title='"+this.title+"' ";
      if (this.alt!=null) codeRadio+=" alt='"+this.alt+"' ";
      if (this.tabindex!=null) codeRadio+="tabindex='"+this.tabindex+"' ";      
      if (this.onMouseOut!=null) codeHTML+="onmouseout='javascript:" + this.reference + ".onMouseOut()' ";
      if (this.onMouseOver!=null) codeHTML+="onmouseover='javascript:" + this.reference + ".onMouseOver()' ";
      if (this.onMouseMove!=null) codeHTML+="onmousemove='javascript:" + this.reference + ".onMouseMove(event)' ";
      if (this.style!=null) codeHTML+=" style='"+this.style+"' ";
      codeRadio+="/>";
      
      var posLibelle=LIBELLE_A_GAUCHE;
      if(this.positionLibelleOptions!=null)
      	posLibelle=this.positionLibelleOptions;
      if(opt.positionLibelle!=null)
      	posLibelle=opt.positionLibelle;
      	
    	if(posLibelle==LIBELLE_A_GAUCHE)
    		codeHTML=codeLibelle+codeRadio
      else if(posLibelle==LIBELLE_AU_DESSUS)
				codeHTML=codeLibelle+"<br>"+codeRadio;
			else if(posLibelle==LIBELLE_A_DROITE)
    		codeHTML=codeRadio+codeLibelle
    	else if(posLibelle==LIBELLE_AU_DESSOUS)
				codeHTML=codeRadio+"<br>"+codeLibelle
    
    return codeHTML;
    };
}


// CLASSE ElementFormSelect Liste droulante simple

/**
* Cre une instance de la classe ElementFormSelect
* <br><b>Voir Exemple d'instanciation de la classe ElementFormSelect :</b>
* <a href='exemples_A3.html#ElementFormSelect_constr'>Exemples d'appels aux constructeurs</a>.
* @class La classe <b>ElementFormSelect</b>  est la classe permettant de modliser l'lment
* de formulaire de type liste droulante correspondant  la balise HTML &lt;input type= 'select'&gt;.<br>
* Il s'agit d'un lment multi-values qui correspond  la liste droulante  slection simple ou multiple.
* L'lment ElementFormSelect hrite de{@link DefaultElementForm DefaultElementForm},{@link DefaultHtmlSelect
* DefaultHtmlSelect}, {@link DefaultLibelle DefaultLibelle},et {@link DefaultXml DefaultXml}.
* * <br><br><br><img src="Image.ElementFormSelectUML.png"/><br><br><br>
* Il s'agit d'un <a href="exemples_A3.html#structXml">
* lment multi-values</a> :<br><div style="border: 0.5pt solid windowtext; padding: 1pt 4pt; background:
* rgb(255, 255, 204) none repeat scroll 0% 50%; -moz-background-clip: initial; -moz-background-origin:
* initial; -moz-background-inline-policy: initial;"><code>&lt;ELEMENT&gt;<br>&nbsp;&nbsp;&nbsp;
* &lt;LIBELLE&gt;champ select :&lt;/LIBELLE&gt;<br>&nbsp;&nbsp;&nbsp; &lt;OPTIONS&gt;<br>&nbsp;&nbsp;&nbsp;
* &nbsp;&nbsp;&nbsp; &lt;OPTION&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&lt;LIBELLE&gt;
* choix1&lt;/LIBELLE&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&lt;VALUE&gt;valeur1&lt;/
* VALUE&gt;<br>&nbsp;&nbsp;&nbsp;*&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&lt;SELECTED&gt;FALSE&lt;/SELECTED&gt;<br>
* &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;/OPTION&gt;<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;OPTION&gt;<br>
* &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&lt;LIBELLE&gt;choix2&lt;/LIBELLE&gt;<br>&nbsp;&nbsp;
* &nbsp;*&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&lt;VALUE&gt;valeur2&lt;/VALUE&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;
* &nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&lt;SELECTED&gt;FALSE&lt;/SELECTED&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* &lt;/OPTION&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;OPTION&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* &nbsp;&nbsp;&nbsp;&lt;LIBELLE&gt;choix3&lt;/LIBELLE&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* &nbsp;&nbsp;&nbsp;&lt;VALUE&gt;valeur3&lt;/VALUE&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* &nbsp;&nbsp;&nbsp;&lt;SELECTED&gt;FALSE&lt;/SELECTED&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* &lt;/OPTION&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;OPTION&gt;<br>&nbsp;&nbsp;&nbsp;
* &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&lt;LIBELLE&gt;choix4&lt;/LIBELLE&gt;<br>&nbsp;&nbsp;&nbsp;
* &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&lt;VALUE&gt;valeur4&lt;/VALUE&gt;<br>&nbsp;&nbsp;&nbsp;
* &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&lt;SELECTED&gt;FALSE&lt;/SELECTED&gt;<br>&nbsp;&nbsp;&nbsp;
* &nbsp;&nbsp;&nbsp; &lt;/OPTION&gt;<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;OPTION&gt;<br>&nbsp;&nbsp;&nbsp;
* &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&lt;LIBELLE&gt;choix5&lt;/LIBELLE&gt;<br>&nbsp;&nbsp;&nbsp;
* &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&lt;VALUE&gt;valeur5&lt;/VALUE&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* &nbsp;&nbsp;&nbsp;&lt;SELECTED&gt;FALSE&lt;/SELECTED&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* &lt;/OPTION&gt;<br>&nbsp;&nbsp;&nbsp; &lt;/OPTIONS&gt;<br>&lt;/ELEMENT&gt;<br></code></div>
* <br><br>RENDU IHM<br><img alt="renduIHM" src="Image.ElementFormSelect.jpg"/><br>
* Cette classe reprend toutes les proprits prives et publiques hrites.<br>
* Cette classe reprend toutes les mthodes prives et publiques hrites.<br>
* @public
* @extends DefaultElementForm
* @extends DefaultHtmlSelect
* @extends DefaultLibelle
* @extends DefaultXML
* @constructor
* @param {String_Obligatoire} id : Id de l'lment.
* @param {XMLObjectSauvegarde_Facultatif} xmlData : Donnes XML de type 
* {@link XMLObjectSauvegarde XMLObjectSauvegarde}, que l'on souhaite associer 
* l'lment de formulaire pour valoriser les attributs libelle et value.
* @param {ObjectOption_Facultatif} tabOption : Contient les options de la liste droulante,
* si on n'utilise pas xmlData comme source.
* @param {int_Facultatif} size : Attribut html &laquo;size, hauteur de la liste droulante
* en nombre de ligne visible.
* @param {int_Facultatif} width : Attribut html &laquo;width, largeur de la liste en pixels.
* @param {String_Facultatif} libelle : Libelle de l'lment de formulaire
* @param {Boolean_Facultatif} obligatoire : Boolen qui indique si le champ est obligatoire.
* @param {String_Facultatif} multiple : Attribut html multiple, indique la possibilit d'un choix
* multiple dans la liste.
* @param {Boolean_Facultatif} statut : Statut de l'lment, enable par dfaut.
* @param {int_Facultatif} tabindex : Attribut html tabindex.
* @version 1.1
* @date 25/10/2005
*/
function ElementFormSelect(id, xmlData, tabOption, size, width, libelle, obligatoire, multiple, statut, tabindex)
{
  // herite de la class DefaultHtmlSelect
  this.extend_DefaultHtmlSelect = DefaultHtmlSelect;
  this.extend_DefaultHtmlSelect(id, size, multiple, tabindex);
  // herite de la class ElementFormDefault
  this.extend_DefaultElementForm = DefaultElementForm;
  this.extend_DefaultElementForm(id, null, tabOption, statut);
  // herite de la class DefaultLibelle
  this.extend_DefaultLibelle = DefaultLibelle;
  this.extend_DefaultLibelle(libelle, obligatoire);
  // herite de DefaultXml
  this.extend_DefaultXml=DefaultXml;
  this.extend_DefaultXml(xmlData, MULTI);
  
  //Reinitialisation de l'attribut tabOption s'il est null
  if (this.tabOption == null) {this.tabOption = new Array();}
  
  // attribut width
	
	/**
	* Attribut width de ElementFormSelect, dfinissant la largeur de la liste droulante en pixel.
	* <br><br>
	* @private
	* @type int
	* @version 1.1
	* @date 25/10/2005	
	*/
  this.width=null;
  if (width!=null) this.width=width;

	/**
	* Attribut elementFormToChange de ElementFormSelect. Un ElementFormSelect peut etre cr seul 
	* ou au sein d'un composant de formulaire. Dans ce dernier cas, on peut lui associer ici un autre
	* lment du mme composant pour les actions du onChange.
	* <br><br>
	* @private
	* @type DefaultElementForm
	* @version 2.6
  * @date 04/09/2007
	*/
  this.elementFormToChange=null;

  // mthodes spcifiques

	/**
	* <b>Spcifique  la classe ElementFormSelect </b>- La mthode publique setLargeur attribue la valeur
	* passe en paramtre  l'attribut width qui dfinit la largeur de la liste de choix.
	* @public
	* @param {String_Obligatoire} largeur : largeur de la liste de choix.
	* @return {void}
	* @version 2.5
	* @date 14/02/2007
	*/
  this.setLargeur = function(largeur){
  	this.width = largeur;
  };

	/**
	* <b>Spcifique  la classe ElementFormSelect </b>- La mthode publique getLargeur retourne la valeur
	* de l'attribut width qui dfinit la largeur de la liste de choix.
	* @public
	* @param {} Aucun
	* @return {String} largeur de la liste de choix
	* @version 2.5
	* @date 14/02/2007
	*/
  this.getLargeur = function(){
  	return this.width;
  };
  
  /**
	* <b>Spcifique  la classe ElementFormSelect </b>- La mthode publique setElementFormToChange attribue la valeur
	* passe en paramtre  l'attribut elementFormToChange.
	* @public
	* @param {DefaultElementForm_Obligatoire} elementFormToChange : element de formulaire.
	* @return {void}
	* @version 2.6
  * @date 04/09/2007
	*/
  this.setElementFormToChange = function(elementFormToChange){
  	this.elementFormToChange = elementFormToChange;
  };

	/**
	* <b>Spcifique  la classe ElementFormSelect </b>- La mthode publique getElementFormToChange retourne la valeur
	* de l'attribut elementFormToChange.
	* @public
	* @param {} Aucun
	* @return {DefaultElementForm} elementFormToChange lment de formulaire appartenant  un mme composant que la selectBox
	* @version 2.6
  * @date 04/09/2007
	*/
  this.getElementFormToChange = function(){
  	return this.elementFormToChange;
  };

	/**
	* <b>Spcifique  la classe ElementFormSelect </b>- La mthode publique setMultiple attribue la valeur
	* "multiple"  l'attribut multiple hrit de {@link DefaultHtmlSelect DefaultHtmlSelect},
	* qui dfinit une liste de choix avec plusieurs choix possibles (et pas seulement un seul choix possible: size 1).
	* @public
	* @param {} Aucun
	* @return {void}
	* @version 1.1
	* @date 25/10/2005
	*/
  this.setMultiple = function() { this.multiple="multiple"; };
  
	/**
	* <b>Spcifique  la classe ElementFormSelect </b>- La mthode publique getValues renvoie le tableau
	* (ObjectOption) des options slectionnes.
	* @public
	* @param {} Aucun
	* @return {Array_ObjectOption} Le tableau this.tabOption (ObjectOption) des options slectionnes.
	* @version 1.1
	* @date 25/10/2005
	*/
  this.getValues = function() {
    var elm=this.getDomHtmlElement();
    // si l'element html est dja gnr alors on interroge sa valeur
    if ( (elm!=null) && (elm.options!=null) ){
      var options=elm.options;
      for (var i=0;i<options.length;i++) {
        // mise  jour du tableau tabOption  partir des valeurs du formulaire
        this.tabOption[i].selected=options[i].selected;
      }
    }
    return this.tabOption;
  };
  
  /**
	* <b>Spcifique  la classe ElementFormSelect </b>- La mthode publique getValueLibelle renvoie 
	* le libell de l'option slectionne.<br><br> 
	* @public
	* @param {} Aucun
	* @return {String} mySelectedLibelle libell de l'option slectionne.
	* @version 2.6
  * @date 04/09/2007
	*/
  this.getValueLibelle = function(){
  	var myOptions = this.getValues();
  	var mySelectedLibelle = null;
  	for( var iOpt=0 ; iOpt<myOptions.length ; iOpt++){
  		if(myOptions[iOpt].selected)
  			mySelectedLibelle = myOptions[iOpt].libelle; 
  	}
  	return mySelectedLibelle;
  };

  // retourne this.tabOption mis  jour

	/**
	* <b>Spcifique  la classe ElementFormSelect</b> - La mthode publique getTabOption renvoie
	* le tableau "this.tabOption" mis  jour.
	* @public
	* @param {} Aucun
	* @return {Array_ObjectOption} Le tableau "this.tabOption" mis  jour.
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.getTabOption = function () {
    var elm=this.getDomHtmlElement();
    // si l'element html est dja gnr alors on interroge sa valeur
    if ( (elm!=null) && (elm.options!=null) ){
      var options=elm.options;
      for (var i=0;i<options.length;i++) {
        // mise  jour du tableau tabOption  partir des valeurs du formulaire
        this.tabOption[i].selected=options[i].selected;
      }
    }
    return this.tabOption;
  };
  
	/**
	* <b>Spcifique  la classe ElementFormSelect </b>- La mthode publique setValues 
	* attribue de nouvelles options  l'lment puis regnre l'lment.
	* @public
	* @param {t_ObjectOption_Obligatoire} newTabOption Les nouvelles options et slections de l'lment.
	* @return {void}
	* @version 1.1
	* @date 25/10/2005
	*/     
  this.setValues=function(newTabOption) {
    this.tabOption=newTabOption;
    var elm=this.getDomHtmlElement();
    // si l'element html est dja gnr alors on le met  jour
    if ( (elm!=null) && (elm.options!=null) ){
      // Option 2 : regnration de l'lment dans son intgralit
      this.ecrireBind(); 
    }
  };
    
    
	/**
	* La mthode publique ecrireOptionHtml() gnre le code HTML ncessaire pour afficher l'option demand 
	* en paramtre et la retourne sous forme de caractres.
  * @public
	* @param {ObjectOption_Obligatoire} opt : Option slectionne
	* @return {string} le code HTML de l'option sous forme de caractres
	* @version 1.1
	* @date 25/10/2005
	*/    
  this.ecrireOptionHtml = 
    function(opt) {
      if (opt.value!=null) {
		    //Transformation de opt.value en chaine de carractres
		    opt.value = opt.value + "";
		    var resultat = opt.value.indexOf("'");
        if (resultat != -1)
          // Une boucle pour remplacer toutes les apostrophes du texte
          for (j=0;j<opt.value.length;j++)
            opt.value = opt.value.replace("'", "&#039;");
      }
      var codeHTML="";
      codeHTML+="<option value='"+opt.value+"' ";
      if (opt.selected==true) codeHTML+="selected='selected' ";
      codeHTML+=">";
      codeHTML+=opt.libelle;
      codeHTML+="</option>";
      codeHTML+="\n";
      return codeHTML;
   };

	/**
	* <b>Propre  la classe ElementFormSelect </b>- La mthode prive ecrireBoiteHtml gnre la srie 
	* de code HTML (&lt;SELECT ...&gt;) de la liste droulante. Le code HTML est retourn sous forme 
	* d'une chane de caractres.
  * @private
	* @param {} Aucun
	* @return {string} Le code HTML correspondant  la iste droulante sous forme d'une chane de caractres.
	* @version 1.1
	* @date 25/10/2005
	*/	
  this.ecrireBoiteHtml = 
    function() {
    	var resultat;
      if (this.title!=null) {
		    this.title = this.title + "";
		    resultat = this.title.indexOf("'");
        if (resultat != -1)
          // Une boucle pour remplacer toutes les apostrophes du texte
          for (j=0;j<this.title.length;j++)
            this.title = this.title.replace("'", "&#039;");
      }    	
      if (this.style!=null) {
        this.style = this.style + "";
		    resultat = this.style.indexOf("'");
        if (resultat != -1)
          // Une boucle pour remplacer toutes les apostrophes du style
          for (j=0;j<this.style.length;j++)
            this.style = this.style.replace("'", "&#039;");
      }
      var codeHTML="";
      codeHTML+="<select id='"+this.id+"' name='"+this.name+"' ";
      if (this.size!=null) codeHTML+="size='"+this.size+"' ";
      if (this.width!=null) {
      	this.width = this.width + ""; // Modification obligatoire en type chaine (pour indexOf).
	    	var largeur=(this.width.indexOf("px",0) == -1)?((this.width.indexOf("%",0) == -1)?this.width+"px":this.width):this.width;
	    	codeHTML+="style='width:"+largeur+";+"+((this.style!=null)?this.style:"")+"' ";
      }
      if (this.multiple=="multiple") codeHTML+="multiple='multiple' ";
      if (this.disabled=="disabled") codeHTML+="disabled='disabled' ";
      if (this.readonly=="readonly")
      	codeHTML+="onChange='javascript:"+this.reference+".ecrireBind();' ";
      else
      	if (this.onChange!=null) codeHTML+="onChange='javascript:"+this.reference+".onChange()' ";
      if (this.title!=null) codeHTML+=" title='"+this.title+"' ";
      if (this.tabindex!=null) codeHTML+="tabindex='"+this.tabindex+"' ";
      if (this.onMouseOut!=null) codeHTML+="onmouseout='javascript:" + this.reference + ".onMouseOut()' ";
      if (this.onMouseOver!=null) codeHTML+="onmouseover='javascript:" + this.reference + ".onMouseOver()' ";
      if (this.onMouseMove!=null) codeHTML+="onmousemove='javascript:" + this.reference + ".onMouseMove(event)' ";
      codeHTML+=">";
      codeHTML+="\n";
      for (var j=0; (this.tabOption != null) && (j<this.tabOption.length) ;j++) {
        codeHTML+=this.ecrireOptionHtml(this.tabOption[j]);
      }
      codeHTML+="</select>";
      codeHTML+="\n";
      return codeHTML;
    };
}


// CLASSE de la liste droulante Maitre

/**
* Cre une instance de la classe ElementFormSelectMaster
*<br><b>Voir Exemple d'instanciation javascript de 2 listes droulantes avec comportement matre/esclave :</b>
* <a href='exemples_A3.html#ElementFormSelectMaster_constr'>Exemples d'appels aux constructeurs</a>.
*@class La classe <b>ElementFormSelectMaster</b> est une variante de l'lment liste droulante enrichi 
* d'un comportement Matre/Esclave. L'lment ElementFormSelectMaster se comporte en Matre vis  vis d'un ou 
* plusieurs Esclaves de type driv de {@link DefaultElementForm &laquo;DefaultElementForm}. 
* C'est  dire qu'un changement de valeur de l'lment Matre implique une rgnration approprie des lments
* Esclaves.<br> L'lment &laquo;ElementFormSelectMaster hrite de{@link ElementFormSelect ElementFormSelect}
* et peut mui-mme contenir d'autres lments de formulaires (esclaves).
* <br><br><br><img src="Image.ElementFormSelectMasterUML.png"/><br><br><br>
* Il s'agit d'un <a href="exemples_A3.html#structXml">lment multi-values</a> :<br>
* <div style="border: 0.5pt solid windowtext; padding: 1pt 4pt; background: rgb(255, 255, 204) none repeat scroll 0% 50%; -moz-background-clip: initial; -moz-background-origin:
* initial; -moz-background-inline-policy: initial;"><code>&lt;ELEMENT&gt;<br>&nbsp;&nbsp;&nbsp; &lt;LIBELLE&gt;Pays (maitre):&lt;/LIBELLE&gt;<br>&nbsp;&nbsp;&nbsp;
* &lt;OPTIONS&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;OPTION&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* &lt;LIBELLE&gt;France&lt;/LIBELLE&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&lt;VALUE&gt;FR&lt;/VALUE&gt;<br>&nbsp;&nbsp;&nbsp;
* &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&lt;SELECTED&gt;FALSE&lt;/SELECTED&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;SLAVE&gt;<br>
* &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;LIBELLE&gt;Villes francaises (esclave):&lt;/LIBELLE&gt;<br>&nbsp;&nbsp;&nbsp;
* &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;OPTIONS&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
* &nbsp;&nbsp;&nbsp; &lt;OPTION&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* &lt;LIBELLE&gt;Paris&lt;/LIBELLE&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* &lt;VALUE&gt;1&lt;/VALUE&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* &lt;SELECTED&gt;FALSE&lt;/SELECTED&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;/OPTION&gt;<br>
* &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;OPTION&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&lt;LIBELLE&gt;Lyon&lt;/LIBELLE&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&lt;VALUE&gt;2&lt;/VALUE&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&lt;SELECTED&gt;TRUE&lt;/SELECTED&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;/OPTION&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* &lt;OPTION&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* &lt;LIBELLE&gt;Marseille&lt;/LIBELLE&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* &lt;VALUE&gt;3&lt;/VALUE&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* &lt;SELECTED&gt;FALSE&lt;/SELECTED&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;/OPTION&gt;<br>
* &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;/OPTIONS&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* &lt;/SLAVE&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;/OPTION&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;OPTION&gt;<br>&nbsp;&nbsp;&nbsp;
* &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&lt;LIBELLE&gt;England&lt;/LIBELLE&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* &lt;VALUE&gt;2&lt;/VALUE&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&lt;SELECTED&gt;FALSE&lt;/SELECTED&gt;<br>&nbsp;&nbsp;&nbsp;
* &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;SLAVE&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;LIBELLE&gt;Villes anglaises
* (esclave):&lt;/LIBELLE&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;OPTIONS&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;OPTION&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
* &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&lt;LIBELLE&gt;London&lt;/LIBELLE&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
* &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&lt;VALUE&gt;1&lt;/VALUE&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* &nbsp;&nbsp;&nbsp;&lt;SELECTED&gt;FALSE&lt;/SELECTED&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* &lt;/OPTION&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;OPTION&gt;<br>&nbsp;&nbsp;&nbsp;
* &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&lt;LIBELLE&gt;Manchester&lt;/LIBELLE&gt;<br>&nbsp;&nbsp;&nbsp;
* &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&lt;VALUE&gt;2&lt;/VALUE&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&lt;SELECTED&gt;TRUE&lt;/SELECTED&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;/OPTION&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
* &nbsp;&nbsp;&nbsp; &lt;OPTION&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* &lt;LIBELLE&gt;Liverpool&lt;/LIBELLE&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* &lt;VALUE&gt;3&lt;/VALUE&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* &lt;SELECTED&gt;FALSE&lt;/SELECTED&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;/OPTION&gt;<br>
* &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;/OPTIONS&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* &lt;/SLAVE&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;/OPTION&gt;<br>&nbsp;&nbsp;&nbsp; &lt;/OPTIONS&gt;<br>&lt;/ELEMENT&gt;<br></code></div>
* <br><br>
* Il est galement possible d'utiliser les groupements d'options, rduisant ainsi la redondance des donnes pour des flux volumineux :<br>
*<div style="border: 0.5pt solid windowtext; padding: 1pt 4pt; background: rgb(255, 255, 204) none repeat scroll 0% 50%; -moz-background-clip: initial; -moz-background-origin: initial; -moz-background-inline-policy: initial;"><code>&lt;PAGE&gt;<br>
*&nbsp;&nbsp; &nbsp;&lt;!--&nbsp; DESCRIPTION DUFORMULAIRE --&gt;<br>&nbsp;&nbsp; &nbsp;&lt;FORMULAIRE&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
*&nbsp;&lt;ELEMENT&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&lt;LIBELLE&gt;Zones:&lt;/LIBELLE&gt;<br>
*&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&lt;OPTIONS&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
*&nbsp;&lt;OPTIONS_GRP&gt;ZONES&lt;/OPTIONS_GRP&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&lt;/OPTIONS&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
*&nbsp;&lt;/ELEMENT&gt;<br>&nbsp;&nbsp; &nbsp;&lt;/FORMULAIRE&gt;<br><br>&nbsp;&nbsp; &nbsp;&lt;!-- DESCRIPTION DES GROUPEMENTS DE DONNEES --&gt;<br>
*&nbsp;&nbsp; &nbsp;&lt;DATA&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&lt;OPTIONS_GRP_DEF&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
*&nbsp;&lt;ID&gt;EUR&lt;/ID&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;TYPE_TRI&gt;LIBELLE&lt;/TYPE_TRI&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
*&nbsp;&nbsp;&nbsp;&nbsp;&lt;VALUE_SELECTED&gt;1&lt;/VALUE_SELECTED&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&lt;OPTIONS&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
*&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&lt;OPTION&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;LIBELLE&gt;France&lt;/LIBELLE&gt;<br>
*&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;VALUE&gt;1&lt;/VALUE&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
*&nbsp;&nbsp;&nbsp; &nbsp;&lt;SLAVE&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&lt;LIBELLE&gt;Villes :&lt;/LIBELLE&gt;<br>
*&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;OPTIONS&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
*&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
*&lt;OPTIONS_GRP&gt;FR_VILLES&lt;/OPTIONS_GRP&gt;<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
*&lt;OPTIONS&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&lt;/SLAVE&gt;<br>
*&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&lt;/OPTION&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&lt;OPTION&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
*&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;LIBELLE&gt;Italie&lt;/LIBELLE&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
*&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;VALUE&gt;2&lt;/VALUE&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
*&nbsp;&lt;/OPTION&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&lt;OPTION&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
*&nbsp;&nbsp;&nbsp;&nbsp;&lt;LIBELLE&gt;Espagne&lt;/LIBELLE&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;VALUE&gt;3&lt;/VALUE&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
*&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&lt;/OPTION&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&lt;/OPTIONS&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
*&nbsp;&lt;/OPTIONS_GRP_DEF&gt;<br><br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&lt;OPTIONS_GRP_DEF&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;ID&gt;FR_VILLES&lt;/ID&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
*&nbsp;&nbsp;&nbsp;&nbsp;&lt;TYPE_TRI&gt;LIBELLE&lt;/TYPE_TRI&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;VALUE_SELECTED&gt;10&lt;/VALUE_SELECTED&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&lt;OPTIONS&gt;<br>
*&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&lt;OPTION&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;LIBELLE&gt;Paris&lt;/LIBELLE&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
*&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;VALUE&gt;10&lt;/VALUE&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&lt;/OPTION&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
*&nbsp;&nbsp;&nbsp; &nbsp;&lt;/OPTIONS&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&lt;/OPTIONS_GRP_DEF&gt;<br><br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&lt;OPTIONS_GRP_DEF&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
*&nbsp;&lt;ID&gt;AME&lt;/ID&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;TYPE_TRI&gt;LIBELLE&lt;/TYPE_TRI&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;VALUE_SELECTED&gt;4&lt;/VALUE_SELECTED&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
*&nbsp;&nbsp;&nbsp; &nbsp;&lt;OPTIONS&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&lt;OPTION&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
*&nbsp;&nbsp;&nbsp;&nbsp;&lt;LIBELLE&gt;Etats-unisd'am&eacute;rique&lt;/LIBELLE&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;VALUE&gt;4&lt;/VALUE&gt;<br>
*&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&lt;/OPTION&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&lt;OPTION&gt;<br>
*&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;LIBELLE&gt;Canada&lt;/LIBELLE&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
*&nbsp;&nbsp;&nbsp;&nbsp;&lt;VALUE&gt;5&lt;/VALUE&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&lt;/OPTION&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
*&nbsp;&lt;OPTION&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;LIBELLE&gt;Espagne&lt;/LIBELLE&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
*&nbsp;&nbsp;&nbsp;&nbsp;&lt;VALUE&gt;6&lt;/VALUE&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&lt;/OPTION&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&lt;/OPTIONS&gt;<br>
*&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&lt;/OPTIONS_GRP_DEF&gt;<br><br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&lt;OPTIONS_GRP_DEF&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;ID&gt;ASIE&lt;/ID&gt;<br>
*&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;TYPE_TRI&gt;LIBELLE&lt;/TYPE_TRI&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;VALUE_SELECTED&gt;8&lt;/VALUE_SELECTED&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&lt;OPTIONS&gt;<br>
*&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&lt;OPTION&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;LIBELLE&gt;Japon&lt;/LIBELLE&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
*&nbsp;&nbsp;&nbsp;&nbsp;&lt;VALUE&gt;7&lt;/VALUE&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&lt;/OPTION&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
*&nbsp;&lt;OPTION&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;LIBELLE&gt;Chine&lt;/LIBELLE&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
*&nbsp;&lt;VALUE&gt;8&lt;/VALUE&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&lt;/OPTION&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&lt;OPTION&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
*&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;LIBELLE&gt;Thailande&lt;/LIBELLE&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;VALUE&gt;9&lt;/VALUE&gt;<br>
*&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&lt;/OPTION&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&lt;/OPTIONS&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&lt;/OPTIONS_GRP_DEF&gt;<br><br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
*&nbsp;&lt;OPTIONS_GRP_DEF&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;ID&gt;MONDE&lt;/ID&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;TYPE_TRI&gt;LIBELLE&lt;/TYPE_TRI&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
*&nbsp;&nbsp;&nbsp;&nbsp;&lt;VALUE_SELECTED&gt;11&lt;/VALUE_SELECTED&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&lt;OPTIONS&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&lt;OPTION&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
*&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;LIBELLE&gt;Am&eacute;rique dunord&lt;/LIBELLE&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;VALUE&gt;11&lt;/VALUE&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
*&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&lt;SLAVE&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&lt;LIBELLE&gt;Pays :&lt;/LIBELLE&gt;<br>
*&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;OPTIONS&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;<br>&nbsp;&nbsp;
*&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;OPTIONS_GRP&gt;AME&lt;/OPTIONS_GRP&gt;<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;OPTIONS&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
*&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&lt;/SLAVE&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&lt;/OPTION&gt;<br>
*&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&lt;OPTION&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;LIBELLE&gt;Asie&lt;/LIBELLE&gt;<br>
*&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;VALUE&gt;12&lt;/VALUE&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&lt;SLAVE&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
*&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&lt;LIBELLE&gt;Pays :&lt;/LIBELLE&gt;<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;OPTIONS&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;<br>
*&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;OPTIONS_GRP&gt;ASIE&lt;/OPTIONS_GRP&gt;<br>
*&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;OPTIONS&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;<br>
*&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&lt;/SLAVE&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&lt;/OPTION&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&lt;OPTION&gt;<br>
*&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;LIBELLE&gt;Europe&lt;/LIBELLE&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;VALUE&gt;13&lt;/VALUE&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
*&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&lt;SLAVE&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&lt;LIBELLE&gt;Pays :&lt;/LIBELLE&gt;<br>
*&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;OPTIONS&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
*&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&lt;OPTIONS_GRP&gt;EUR&lt;/OPTIONS_GRP&gt;<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;OPTIONS&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
*&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&lt;/SLAVE&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&lt;/OPTION&gt;<br>
*&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&lt;/OPTIONS&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&lt;/OPTIONS_GRP_DEF&gt;<br><br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&lt;OPTIONS_GRP_DEF&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
*&nbsp;&nbsp;&nbsp;&nbsp;&lt;ID&gt;ZONES&lt;/ID&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;TYPE_TRI&gt;LIBELLE&lt;/TYPE_TRI&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&lt;VALUE_SELECTED/&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&lt;OPTIONS&gt;<br>
*&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&lt;OPTIONS_GRP&gt;MONDE&lt;/OPTIONS_GRP&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&lt;/OPTIONS&gt;<br>&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
*&nbsp;&lt;/OPTIONS_GRP_DEF&gt;<br>&nbsp;&nbsp; &nbsp;&lt;/DATA&gt;<br>&lt;/PAGE&gt;<br></code></div>
* <br><br><a href="javascript:ouvrirPopupExemple('./exemples/selectmaster1.html','Exemple')">Exemple d'utilisation du composant ElementFormSelectMaster avec la gestion des regroupements de donnes.</a><br>
* <br><br>RENDU IHM<br><img alt="renduIHM" src="Image.ElementFormSelectMaster.jpg"/><br>
* Cette classe reprend toutes les proprits prives et publiques hrites.<br>
* Cette classe reprend toutes les mthodes prives et publiques hrites.<br>
* Elle reprend toutes les mthodes hrites de {@link ElementFormSelect ElementFormSelect}. 
* @includeJS ergonomique_fw_formulaire_element.js
* @public
* @extends ElementFormSelect
* @constructor
* @param {String_Obligatoire} id : Id de l'lment.
* @param {XMLObjectSauvegarde_Facultatif} xmlData : Donnes XML de type
* {@link XMLObjectSauvegarde XMLObjectSauvegarde}, que l'on souhaite associer 
* l'lment de formulaire pour valoriser les attributs libelle, value et tabOption.
* @param {ObjectOption_Facultatif} tabOption : Contient les options de la liste droulante,
* si xmlData n'est pas utilis comme source.
* @param {int_Facultatif} size : Attribut html &laquo;size, hauteur de la liste droulante en nombre 
* de ligne visible.
* @param {int_Facultatif} width : Attribut html &laquo;width, largeur de la liste en pixels.
* @param {String_Facultatif} libelle : Libelle de l'lment de formulaire.
* @param {Boolean_Facultatif} obligatoire : Boolen qui indique si le champ est obligatoire.
* @param {String_Facultatif} multiple : Attribut html multiple, indique la possibilit d'un choix 
* multiple dans la liste.
* @param {Boolean_Facultatif} statut : Statut de l'lment, enable par dfaut.
* @param {int_Facultatif} tabindex : Attribut html tabindex.
* @param {XMLObjectSauvegarde_Optionnel} xmlOptionsGrpDef : Donnes XML de type
* {@link XMLObjectSauvegarde XMLObjectSauvegarde} dfinissant les groupements d'options
* (lments <OPTIONS_GRP_DEF>) utiliss dans xmlData.
* @version 1.1
* @date 25/10/2005
*/
function ElementFormSelectMaster(id, xmlData, tabOption, size, width, libelle, obligatoire, multiple, statut, tabindex)
{
  // herite de la class ElementFormSelect
  this.extend_ElementFormSelect = ElementFormSelect;
  this.extend_ElementFormSelect(id, xmlData, tabOption, size, width, libelle, obligatoire, multiple, statut, tabindex);


  // table des esclaves
  
	/**
	* Attribut tabEsclave de ElementFormSelectMaster, dfinissant le tableau des lments Esclave.
	* <br><br>
	* @private
	* @type {Array_DefaultElementForm}
	* @version 1.1
	* @date 25/10/2005	
	*/
  this.tabEsclave = new Array();

	// Tableau contenant les groupements d'options dj calculs
		
	/**
	* Attribut tabOptionsGrp de ElementFormSelectMaster, qui contient les groupements
	* d'options dj calculs  partir des lments <OPTIONS_GRP_DEF> dfinis dans xmlOptionsGrpDef.
	* Exemple : tabOptionsGrp["EUROPE"] correspond  un XMLObjectSauvegarde contenant tous les noeuds
	* <OPTIONS> du groupement d'option d'identifiant EUROPE.
	* <br><br>
	* @private
	* @type {Array_XMLObjectSauvegarde}	
	* @version 2.5
	* @date 14/02/2007	
	*/  
  this.tabOptionsGrp = new Array();
  
  
  // Flux XML de dfinition des lments <OPTIONS_GRP_DEF>
	
	/**
	* Attribut xmlOptionsGrpDef de ElementFormSelectMaster, qui reprsente le flux XML dfinissant
	* les lments <OPTIONS_GRP_DEF> utiliss dans xmlData (groupement d'options).
	* <br><br>
	* @private
	* @type {XMLObjectSauvegarde}
	* @version 2.5
	* @date 14/02/2007	
	*/  
  this.xmlOptionsGrpDef = null;
  
  // Affectation de l'attribut xmlOptionsGrpDef et traitement du flux xmlData en consquence
  if (ElementFormSelectMaster.arguments.length > 10)
		this.xmlOptionsGrpDef = ElementFormSelectMaster.arguments[10];
    
  // associer un esclave
  
	/**
	* <b>Spcifique  la classe ElementFormSelectMaster </b>- La mthode publique addEsclave ajoute un 
	* lment Esclave. L'lment Esclave doit hriter de {@link DefaultElementForm 'DefaultElementForm'} car 
	* il doit implmenter les mthodes de gnration HTML. Sa structure xml doit tre incluse dans la structure 
	* xml de l'lment matre. Gnralement l'lment Esclave est de type 'multi-values' 
	* ({@link ElementFormSelect 'ElementFormSelect'} ou {@link 'ElementFormRadio' ElementFormRadio}).
	* @public
	* @param {DefaultElementForm_Obligatoire} newEsclave : lment driv de
	* {@link DefaultElementForm DefaultElementForm}  ajouter au tableau d'esclaves.
	* @return {void}
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.addEsclave = 
    function (newEsclave) {
      this.tabEsclave.push(newEsclave);
    };
    
	
	// Redfinition de la mthode setValue
	
	/**
	* La mthode publique setValue(NewValue) permet de spcifier la valeur de l'lment.
	* @public
	* @param {String_Obligatoire} newValue : nouvelle valeur  appliquer  l'lment.
	* @return {void}
	* @version 2.3
	* @date 28/09/2006
	*/  
	this.setValue_Parent=this.setValue;
  this.setValue = function(newValue) {
    this.setValue_Parent(newValue);
    this.ecrireEsclaveBind();
  };

    
  // parcours les eventuels esclaves  gnrer

	/**
	* <b>Spcifique  la classe ElementFormSelectMaster </b>- La mthode prive ecrireEsclaveBind 
	* gnre les lments Esclaves.
	* @private
	* @param {} Aucun
	* @return {void}
	* @version 2.3
	* @date 28/09/2006
	*/
  this.ecrireEsclaveBind = function() {
      for (var k=0;k<this.tabEsclave.length;k++) {
        // pour tous les esclaves 
       	this.tabEsclave[k].libelle="undefined";
       	this.tabEsclave[k].setValues(new Array());
        if (this.xmlData != null) {
	        // Il existe un flux de donnes pour le composant
	        var XMLObjectSauvegardeSlave = new parent.XMLObjectSauvegarde();

			  	var xmlElements = parent.getChildElements(this.xmlData.xmlDoc, null);
			  	if ((xmlElements == null) || (xmlElements.length == 0)) {
			  		// Le flux de donnes pour le composant est vide
			  		// Affichage du composant esclave sans donnes
			  		this.tabEsclave[k].ecrireBind();
			  		return;
			  	}
			  	
	        var xmlElement=xmlElements[0]; // premier enfant, le plus souvent <ELEMENT> ou <SLAVE>
	        var xmlOption=parent.getChildElements(xmlElement, "OPTIONS");
			  	if ((xmlOption == null) || (xmlOption.length == 0)) {
			  		// Il n'y a pas d'lments <OPTIONS>
			  		// Affichage du composant esclave sans donnes 
			  		this.tabEsclave[k].ecrireBind();
			  		return;
			  	}
	        
        	var options=xmlOption[0]; // Element <OPTIONS>
	        var tabOption=parent.getChildElements(options, "OPTION");        
	        // Parcours des enfants de l'lment <OPTIONS>
	        for (var n=0 ; (tabOption != null) && (n<tabOption.length) ; n++) {
	          if (this.getValue()==parent.getDataElement(tabOption[n],"VALUE")) {
	          	// si il s'agit de l'option selectionnee
	          	// Rcupration de l'lment <SLAVE> de l'lment slectionn
	          	var optionsEnfant = parent.getElements(tabOption[n], "SLAVE");
	          	if (optionsEnfant != null && optionsEnfant.length != 0) {
	          			// L'lment SLAVE existe
	          			// Paramtrage des donnes de l'objet esclave
			    				XMLObjectSauvegardeSlave.sauvegardeDOM(optionsEnfant[k]);        
	            		this.tabEsclave[k].setXmlData(XMLObjectSauvegardeSlave);
	            }
	          }
	        }
        }
        
        // Affichage du composant esclave paramtr
        this.tabEsclave[k].ecrireBind();
      }
  };
  
  
  // methode onChange()
  
	/**
	* <b>Spcifique  la classe ElementFormSelectMaster </b>- La mthode prive onChange est dclenche
	* sur l'vnement html "onchange" de la liste droulante.
	* @private
	* @param {} Aucun
	* @return {void}
	* @version 1.1
	* @date 25/10/2005
	*/
  this.onChange =
    function() {
      this.ecrireEsclaveBind();
    };
    
	/**
	* <b>Spcifique  la classe ElementFormSelectMaster </b>- La mthode prive appliquerOptionsGrpDef
	* est dclenche lors de la construction de l'objet s'il existe un flux de dfinition des lments
	* <OPTIONS_GRP_DEF> (groupement d'options).
	* @private
	* @param {ObjectNode_Obligatoire} nodeOptions : noeud <OPTIONS> o appliquer la dfinition des
	* groupements d'options contenu dans xmlOptionsGrpDef.
	* @return {XMLObjectSauvegarde} Retourne un objet XMLObjectSauvegarde contenant le nouveau noeud <OPTIONS>
	* @version 2.5
	* @date 14/02/2007
	*/    
  this.appliqueOptionsGrpDef = function (nodeOptions) {
  		var nouvelleGrappe = new parent.XMLObjectSauvegarde(); // XMLObjectSauvegarde  retourner
  		var noeudsOptionsGrp = null; // Elments "groupe d'options"  traiter
  		//var cptNoeudsOptionsGrp; // Compteur des lments "groupe d'options"  traiter
  		var nouvNoeud = null;  // Nouveau noeud  insrer
  		var cptNouvNoeud; // Compteur des lments "<OPTION>" du nouveau noeud  traiter
  		var noeudPere = null; // Noeud pre du noeud "groupe d'options"
  		
  		// Test de nodeOptions
  		if (nodeOptions == null)
  			return nouvelleGrappe;
  		
  		// Clonage de nodeOptions
  		parent.clonerElement(nodeOptions, nouvelleGrappe.xmlDoc);
  		
  		// Parcours des lments "groupe d'options"
  		noeudsOptionsGrp = parent.getElements(nouvelleGrappe.xmlDoc, TAG_OPTIONS_GRP);
  		for (; noeudsOptionsGrp.length != 0;) {
					// Rcupration du noeud pre et calcul du nouveau noeud
					noeudPere = noeudsOptionsGrp[0].parentNode;
					nouvNoeud = this.calculeOptionsGrp(parent.getData(noeudsOptionsGrp[0]), this.xmlOptionsGrpDef);

					// Suppression de l'lment "groupe d'options"
					noeudPere.removeChild(noeudsOptionsGrp[0]);
					noeudsOptionsGrp = parent.getElements(nouvelleGrappe.xmlDoc, TAG_OPTIONS_GRP);
					
					// Insertion des nouveaux lments <OPTION>
					for (cptNouvNoeud = 0; cptNouvNoeud < nouvNoeud.xmlDoc.firstChild.childNodes.length; cptNouvNoeud++) 
  					parent.clonerElement(nouvNoeud.xmlDoc.firstChild.childNodes[cptNouvNoeud], noeudPere);
  		}
  		
  		return nouvelleGrappe;
  };
  
  /**
	* <b>Spcifique  la classe ElementFormSelectMaster </b>- La mthode prive calculerOptionsGrp
	* calcul le rendu d'un lment <OPTIONS_GRP> d'id id,  partir d'lments <OPTIONS_GRP_DEF> (xmlData).
	* @private
	* @param {String_Obligatoire} id : id du groupement d'options  calculer.
	* @param {XMLObjectSauvegarde_Obligatoire} xmlData : dfinition des groupements d'options.
	* @return {XMLObjectSauvegarde} Retourne un XMLObjectSauvegarde contenant le rendu de l'lment <OPTIONS> du groupement.
	* @version 2.5
	* @date 14/02/2007
	*/    
  this.calculeOptionsGrp = function (id, xmlData) {
		var nouvelleGrappe = new parent.XMLObjectSauvegarde(); // XMLObjectSauvegarde  retourner
  	var grappeTriee = null; // Grappe des options trie
  	var noeudsOptionsGrpDef = null; // Elments "dfinition groupe d'options"  traiter
  	var cptNoeudsOptionsGrpDef; // Compteur des lments "dfinition groupe d'options"  traiter
  	var noeudIdCourant = null; // Elment "identifiant" de la "dfinition groupe d'options"  traiter 
  	var noeudTypeTriCourant = null; // Elment "type de tri" de la "dfinition groupe d'options"  traiter
  	var noeudSelectedCourant = null; // Elment "id selected" de la "dfinition groupe d'options"  traiter
  	var noeudOptions; // Elment "options" de la "dfinition groupe d'options"  traiter
  	var nouvNoeudOptions; // Nouveau noeud options
  	var cptNouvNoeudOptions; // Compteur de lments <OPTION> du nouveau noeud options
  	var nouvelleGrappeOptions; // Nouveau noeud options de la nouvelle grappe
  	  	
  	// Recherche du groupement d'options dans le tableau des groupements d'options dj calculs
  	if (this.tabOptionsGrp[id] != null)
  		return this.tabOptionsGrp[id];
		
    // Parcours de lments "dfinition groupe d'options"
  	noeudsOptionsGrpDef = parent.getElements(xmlData.xmlDoc, TAG_OPTIONS_GRP_DEF);
  	for (cptNoeudsOptionsGrpDef = 0; cptNoeudsOptionsGrpDef < noeudsOptionsGrpDef.length; cptNoeudsOptionsGrpDef++) {
  		// Rcupration de l'id
  		noeudIdCourant = parent.getElements(noeudsOptionsGrpDef[cptNoeudsOptionsGrpDef], TAG_OPTIONS_GRP_DEF_ID)[0];		
  		
  		if (noeudIdCourant != null && parent.getData(noeudIdCourant) == id) {
  			// Il s'agit de la bonne dfinition
  			// Rcupration du noeud "options"
  			noeudOptions = parent.getElements(noeudsOptionsGrpDef[cptNoeudsOptionsGrpDef], TAG_OPTIONS_GRP_DEF_OPTIONS)[0];			
  			
  			if (noeudOptions != null) {
  				// Il existe un lment "options"  			
	  			// Application des groupements d'option (cas d'utilisation de groupements dans un groupement)
  				nouvNoeudOptions = this.appliqueOptionsGrpDef(noeudOptions);
  			} else return nouvelleGrappe;
  			
  			// Tri des options
  			noeudTypeTriCourant = parent.getElements(noeudsOptionsGrpDef[cptNoeudsOptionsGrpDef], TAG_OPTIONS_GRP_DEF_TYPE_TRI);	
  			noeudSelectedCourant = parent.getElements(noeudsOptionsGrpDef[cptNoeudsOptionsGrpDef], TAG_OPTIONS_GRP_DEF_SELECTED);
  			grappeTriee = this.trierOptionsGrp(nouvNoeudOptions,
  													 (noeudTypeTriCourant==null)?TYPE_TRI_GRP_AUCUN:parent.getData(noeudTypeTriCourant[0]),
  													 (noeudSelectedCourant==null)?null:parent.getData(noeudSelectedCourant[0]));
  			
  			// Construction de la nouvelle grappe
  			nouvelleGrappeOptions = nouvelleGrappe.xmlDoc.createElement("OPTIONS");
	      nouvelleGrappe.xmlDoc.appendChild(nouvelleGrappeOptions);
  			for (cptNouvNoeudOptions = 0; cptNouvNoeudOptions < grappeTriee.xmlDoc.firstChild.childNodes.length; cptNouvNoeudOptions++) 
  				parent.clonerElement(grappeTriee.xmlDoc.firstChild.childNodes[cptNouvNoeudOptions], nouvelleGrappeOptions);
  			
  			// Ajout du rendu du groupement dans le tableau des groupements d'options dj calculs
  			this.tabOptionsGrp[id] = nouvelleGrappe;
  			return nouvelleGrappe;
  		}
  	}
  	
  	return nouvelleGrappe;
  }
  
  /**
	* <b>Spcifique  la classe ElementFormSelectMaster </b>- La mthode prive trierOptionsGrp
	* trie les lments <OPTION> d'un lment <OPTIONS> pass en paramtre, selon le type de tri typeTri
	* et en slectionnant l'option idSelected (selected  true).<br>Types de tri:<br>
  * TYPE_TRI_GRP_AUCUN => Aucun tri<br>
  * TYPE_TRI_GRP_LIBELLE => Tri sur le libell<br>
  * TYPE_TRI_GRP_VALUE => Tri sur la valeur<br>
	* @private
	* @param {XMLObjectSauvegarde_Obligatoire} nodeOptions : objet XMLObjectSauvegarde contenant un noeud <OPTIONS>
	* @param {String_Obligatoire} typeTri : type de tri  appliquer.
	* @param {String_Obligatoire} idSelected : identifiant du noeud  slectionner.
	* @return {XMLObjectSauvegarde} la grappe nodeOptions trie.
	* @version 2.5
	* @date 14/02/2007
	*/  
  this.trierOptionsGrp = function (nodeOptions, typeTri, idSelected) {
		var nodeOptionsTemp = new parent.XMLObjectSauvegarde();
		nodeOptionsTemp.sauvegardeDOM(nodeOptions.xmlDoc);
		var nouvelleGrappe = new parent.XMLObjectSauvegarde(); // XMLObjectSauvegarde  retourner
		var nouvelleGrappeOptions; // Element <OPTIONS> de la nouvelle grappe
		var noeudsOption; // Tableau des noeuds <OPTION>
		var cptNoeudsOption; // Compteur de noeud <OPTION>
		var tabValueOption; // Tableau des lments <VALUE>
		var tabLibelleOption; // Tableau des lments <LIBELLE>
		var valueOption; // valeur de l'option
		var libelleOption; // libell de l'option
		var valTriMin = ""; // Valeur minimum courante du tri
		var optionTriMin = null; // Option minimum courante du tri
		
		// Initialisation de la nouvelle grape
		nouvelleGrappeOptions = nouvelleGrappe.xmlDoc.createElement("OPTIONS");
	  nouvelleGrappe.xmlDoc.appendChild(nouvelleGrappeOptions);
		
		// Vrification du type de tri
		if (typeTri != TYPE_TRI_GRP_AUCUN && typeTri != TYPE_TRI_GRP_LIBELLE
				&& typeTri != TYPE_TRI_GRP_VALUE)
			typeTri = TYPE_TRI_GRP_AUCUN;
			 
		// Parcours des noeuds <OPTION>
		noeudsOption = parent.getChildElements(nodeOptionsTemp.xmlDoc.childNodes[0], "OPTION");
		for (;noeudsOption != null && noeudsOption.length != 0 && typeTri != TYPE_TRI_GRP_AUCUN;) {
			// Initialisation
			tabValueOption = parent.getElements(noeudsOption[0], "VALUE");
			valueOption = (tabValueOption.length!=0)?parent.getData(tabValueOption[0]):null;
			tabLibelleOption = parent.getElements(noeudsOption[0], "LIBELLE");
			libelleOption = (tabLibelleOption.length!=0)?parent.getData(tabLibelleOption[0]):null;
			if (typeTri == TYPE_TRI_GRP_LIBELLE)
				valTriMin = libelleOption;
			else
				valTriMin = valueOption;
			optionTriMin = noeudsOption[0];
			
			// Recherche du plus petit lment
			for (cptNoeudsOption = 1; noeudsOption != null && cptNoeudsOption < noeudsOption.length; cptNoeudsOption++) {
				// Rcupration de la valeur et du libell de l'option courante
				tabValueOption = parent.getElements(noeudsOption[cptNoeudsOption], "VALUE");
				valueOption = (tabValueOption.length!=0)?parent.getData(tabValueOption[0]):null;
				tabLibelleOption = parent.getElements(noeudsOption[cptNoeudsOption], "LIBELLE");
				libelleOption = (tabLibelleOption.length!=0)?parent.getData(tabLibelleOption[0]):null;				
						
				// Tests du plus petit lment
				if (typeTri == TYPE_TRI_GRP_LIBELLE
				    && libelleOption != null && libelleOption <= valTriMin){
							// Nouvelle option minimum
							optionTriMin = noeudsOption[cptNoeudsOption];
							valTriMin = libelleOption;
				}					
				if (typeTri == TYPE_TRI_GRP_VALUE
				    && valueOption != null && valueOption <= valTriMin){
							// Nouvelle option minimum
							optionTriMin = noeudsOption[cptNoeudsOption];
							valTriMin = valueOption;
				}	
			}
			
			// Mise  jour de l'lment SELECTED du plus petit lment
			tabValueOption = parent.getElements(optionTriMin, "VALUE");
			valueOption = (tabValueOption.length!=0)?parent.getData(tabValueOption[0]):null;
			elementSelected = nodeOptionsTemp.xmlDoc.createElement("SELECTED");
			if (valueOption != null && valueOption == idSelected)
				parent.modifieDataElement(elementSelected, "TRUE");
			else
				parent.modifieDataElement(elementSelected, "FALSE");
			optionTriMin.appendChild(elementSelected);			
			
			// Copie du plus petit lment
			parent.clonerElement(optionTriMin, nouvelleGrappeOptions);
			
			// Suppression du plus petit lment
			nodeOptionsTemp.xmlDoc.childNodes[0].removeChild(optionTriMin);
			
			// Mise  jour du tableau des lment <option>
			noeudsOption = parent.getChildElements(nodeOptionsTemp.xmlDoc.childNodes[0], "OPTION");		
		}
		
		// Copie des lments dans la nouvelle grappe pour un tri de type AUCUN
		if (typeTri == TYPE_TRI_GRP_AUCUN)
			for (cptNoeudsOption = 0; cptNoeudsOption < noeudsOption.length; cptNoeudsOption++)
			{
					// Rcupration de la valeur
					tabValueOption = parent.getElements(noeudsOption[cptNoeudsOption], "VALUE");
					valueOption = (tabValueOption.length!=0)?parent.getData(tabValueOption[0]):null;
					
					// Cration de l'lment SELECTED
					elementSelected = nodeOptionsTemp.xmlDoc.createElement("SELECTED");
					      
					if (valueOption != null && valueOption == idSelected)
						parent.modifieDataElement(elementSelected, "TRUE");
					else
						parent.modifieDataElement(elementSelected, "FALSE");
					
					// Ajout de l'lment SELECTED
  				noeudsOption[cptNoeudsOption].appendChild(elementSelected);
  				parent.clonerElement(noeudsOption[cptNoeudsOption], nouvelleGrappeOptions);
  				
  				// Mise  jour du tableau des lment <option>
					noeudsOption = parent.getChildElements(nodeOptionsTemp.xmlDoc.childNodes[0], "OPTION");	
  		}
		
		return nouvelleGrappe;
  }
  
  // Constructeur de la classe ElementFormSelectMaster
  this.constructor = function () {
    // Mise  jour de l'attribut xmlData dans le cas de groupement d'options
    if (this.xmlData != null && this.xmlOptionsGrpDef != null) {
		    // Il existe un flux de donnes pour le composant
			  var xmlElements = parent.getChildElements(this.xmlData.xmlDoc, null);
			 	if ((xmlElements == null) || (xmlElements.length == 0))
			 		return; // Le flux de donnes pour le composant est vide
			
     		var xmlElement = xmlElements[0]; // premier enfant, le plus souvent <ELEMENT> ou <SLAVE>
     		var xmlOption = parent.getChildElements(xmlElement, "OPTIONS");
 				if ((xmlOption == null) || (xmlOption.length == 0))		
					return; // Il n'y a pas d'lment <OPTIONS>
     
    		var options = xmlOption[0]; // Element <OPTIONS>
				
				// Application de la dfinition des groupements d'options  xmlData
				var nouvOptionsNode = this.appliqueOptionsGrpDef(options);
				
				// Remplacement de l'lment <OPTIONS>
				xmlElement.removeChild(options);
				parent.clonerElement(nouvOptionsNode.xmlDoc, xmlElement);
				
				// Re-gnration du tableau d'option
				this.setXmlData(this.xmlData);
		}
  };
  
  // Lancement du constructeur
  this.constructor();
}


// Liste droulante de navigation

/**
* Cre une instance de la classe ElementFormSelectNavig. 
* <br><b>Voir Exemple d'instanciation de la classe ElementFormSelectNavig :</b><a href='exemples_A3.html#ElementFormSelectNavig_constr'>Exemples d'appels aux constructeurs</a>.
* @class La classe <b>ElementFormSelectNavig</b> est une variante de la liste droulante enrichie
* d'un comportement de navigation. C'est  dire que la slestion d'une option dans la liste redirige vers
* l'url prcise dans l'atttribut value&raquo de l'option.<br><br>L'lment &laquo;
* ElementFormSelectNavig hrite de {@link ElementFormSelect ElementFormSelect}.
* <br><br><br><img src="Image.ElementFormSelectNavigUML.png"/><br><br><br>
* Il s'agit d'un <a href="exemples_A3.html#structXml">lment multi-values</a> :<br>
* <div style="border: 0.5pt solid windowtext; padding: 1pt 4pt; background: rgb(255, 255, 204) none repeat scroll 0% 50%; -moz-background-clip: initial; -moz-background-origin:
* initial; -moz-background-inline-policy: initial;"><code>&lt;ELEMENT&gt;<br>&nbsp;&nbsp;&nbsp; &lt;LIBELLE&gt;libelle de champ select navigation:&lt;/LIBELLE&gt;<br>
* &nbsp;&nbsp;&nbsp; &lt;OPTIONS&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;OPTION&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* &lt;LIBELLE&gt;Elyse&lt;/LIBELLE&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&lt;VALUE&gt;http://www.elysee.fr/&lt;/VALUE&gt;<br>
* &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&lt;SELECTED&gt;FALSE&lt;/SELECTED&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;/OPTION&gt;<br>
* &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;OPTION&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&lt;LIBELLE&gt;Parlement&lt;/LIBELLE&gt;<br>
* &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&lt;VALUE&gt;http://www.parlement.fr/&lt;/VALUE&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* &lt;SELECTED&gt;FALSE&lt;/SELECTED&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;/OPTION&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;OPTION&gt;<br>
* &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&lt;LIBELLE&gt;Paris&lt;/LIBELLE&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
* &lt;VALUE&gt;http://www.paris.fr/&lt;/VALUE&gt;<br>&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&lt;SELECTED&gt;FALSE&lt;/SELECTED&gt;<br>
* &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &lt;/OPTION&gt;<br>&nbsp;&nbsp;&nbsp; &lt;/OPTIONS&gt;<br>&lt;/ELEMENT&gt;<br></code></div>
* <br><br>RENDU IHM<br><img alt="renduIHM" src="Image.ElementFormSelectNavig.jpg"/><br>
* Cette classe reprend toutes les proprits prives et publiques hrites.<br>
* Cette classe reprend toutes les mthodes prives et publiques hrites.<br>
* @public
* @extends ElementFormSelect
* @constructor
* @param {String_Obligatoire} id : Id de l'lment.
* @param {XMLObjectSauvegarde_Facultatif} xmlData : Donnes XML de type
* {@link XMLObjectSauvegarde XMLObjectSauvegarde}, que l'on souhaite associer 
* l'lment de formulaire pour valoriser les attributs libelle et value.
* @param {ObjectOption_Facultatif} tabOption : Contient les options de la liste droulante,
* si xmlData n'est pas utilis comme source.
* @param {int_Facultatif} size : Attribut html &laquo;size, hauteur de la liste droulante en nombre 
* de ligne visible.
* @param {int_Facultatif} width : Attribut html &laquo;width, largeur de la liste en pixels.
* @param {String_Facultatif} libelle : Libelle de l'lment de formulaire.
* @param {Boolean_Facultatif} obligatoire : Boolen qui indique si le champ est obligatoire.
* @param {String_Facultatif} multiple : Attribut html multiple, indique la possibilit d'un choix 
* multiple dans la liste.
* @param {Boolean_Facultatif} statut : Statut de l'lment, enable par dfaut.
* @param {int_Facultatif} tabindex : Attribut html tabindex.
* @version 1.1
* @date 25/10/2005
*/
function ElementFormSelectNavig(id, xmlData, tabOption, size, width, libelle, obligatoire, multiple, statut, tabindex)
{
  // herite de la class ElementFormSelect
  this.extend_ElementFormSelect = ElementFormSelect;
  this.extend_ElementFormSelect(id, xmlData, tabOption, size, width, libelle, obligatoire, multiple, statut, tabindex);

  
  // methode onChange()

	/**
	* <b>Spcifique  la classe ElementSelectNavig</b>- La mthode prive onChange est dclenche
	* par l'vnement html "onchange" de la liste droulante. Elle ralise la redirection vers l'url dfinit
	* en tant que valeur de l'option slectionne.
	* @private
	* @param {} Aucun
	* @return {void}
	* @version 1.1
	* @date 25/10/2005
	*/
  this.onChange=
    function() {
      location.href=this.getValue();
    };
}


// CLASSE ElementFormTextarea

/**
* Cre une instance de la classe ElementFormTextarea.
* <br><br><b>Voir Exemple d'instanciation de la classe ElementFormTextarea :</b>
* <a href='exemples_A3.html#ElementFormTextarea_constr'>Exemples d'appels aux constructeurs</a>.
* @class La classe <b>ElementFormTextarea</b> est la classe permettant de modliser l'lment de formulaire
* de type champs de saisie textarea correspondant  la balise HTML &lt;input type= 'textarea'&gt;. L'lment
* ElementFormTextarea hrite  de{@link DefaultElementForm DefaultElementForm},{@link DefaultHtmlTextarea
* DefaultHtmlInput}, {@link DefaultLibelle DefaultLibelle},et {@link DefaultXml DefaultXml}.
* <br><br><br><img src="Image.ElementFormTextareaUML.png"/><br><br><br>
* Il s'agit d'un <a href="exemples_A3.html#structXml">lment mono-value</a> :<br><div style="border: 0.5pt solid windowtext;
* padding: 1pt 4pt; background: rgb(255, 255, 204) none repeat scroll 0% 50%; -moz-background-clip: initial;
* -moz-background-origin: initial; -moz-background-inline-policy: initial;"><code>&lt;ELEMENT&gt;<br>
* &nbsp;&nbsp;&nbsp; &lt;LIBELLE&gt;libelle de champ  :&lt;/LIBELLE&gt;<br>&nbsp;&nbsp;&nbsp; &lt;VALUE&gt;
* value du champ  ... value du champ  ... value du champ  ...  &lt;/VALUE&gt;<br>&lt;/ELEMENT&gt;<br></code></div>
* <br><br>RENDU IHM<br><img alt="renduIHM" src="Image.ElementFormTextarea.jpg"/><br>
* <br>Cette classe reprend toutes les proprits prives et publiques hrites.<br>
* Cette classe reprend toutes les mthodes prives et publiques hrites.<br><br>
* 10/11/2006 : limitation possible du nombre de caractres d'une zone de texte.
* @public
* @extends DefaultElementForm
* @extends DefaultHtmlTextarea
* @extends DefaultLibelle
* @extends DefaultXml
* @constructor
* @param {String_Obligatoire} id : Id de l'lment.
* @param {XmlObjectSauvegarde_Facultatif} xmlData : Donnes XML de type 
* {@link XMLObjectSauvegarde XMLObjectSauvegarde}, que l'on souhaite associer 
* l'lment de formulaire pour valoriser les attributs libelle et value.
* @param {int_Facultatif} cols : Attribut html cols, largeur de la boite texte en nombre de caractre.
* @param {int_Facultatif} rows : Attribut html rows, hauteur de la boite en nombre de lignes.
* @param {String_Facultatif} value : Dans le cas d'un lment mono-value, si on n'utilise pas xmlData comme source.
* @param {String_Facultatif} libelle : Libell de l'lment de formulaire.
* @param {Boolean_Facultatif} obligatoire : Boolen qui indique si le champ est obligatoire.
* @param {Boolean_Facultatif} statut : Statut de l'lment, enable par dfaut.
* @param {int_Facultatif} tabindex : Attribut html tabindex.
* @param {int_Optionnel} nbcar : Nombre maximal de caractres de la zone de texte.
* @version 2.4
* @date 14/11/2006
*/
function ElementFormTextarea(id, xmlData, cols, rows, value, libelle, obligatoire, statut, tabindex, nbcar)
{
  // herite de la class DefaultHtmlTextarea
  this.extend_DefaultHtmlTextarea = DefaultHtmlTextarea;
  if(ElementFormTextarea.arguments.length > 9){
  	this.extend_DefaultHtmlTextarea(id, cols, rows, tabindex, nbcar);
  	}else {
  		this.extend_DefaultHtmlTextarea(id, cols, rows, tabindex);
  	}
  // herite de la class DefaultElementForm
  this.extend_DefaultElementForm = DefaultElementForm;
  this.extend_DefaultElementForm(id, value, null, statut);
  // herite de la class DefaultLibelle
  this.extend_DefaultLibelle = DefaultLibelle;
  this.extend_DefaultLibelle(libelle, obligatoire);
  // herite de DefaultXml
  this.extend_DefaultXml=DefaultXml;
  this.extend_DefaultXml(xmlData, MONO);
 
  
  // Redfinition de ecrireBoiteHtml

	/**
	* <b>Propre  la classe ElementFormTextarea</b>- La mthode prive ecrireBoiteHtml gnre le code HTML
	* (&lt; ...&gt;) de la bote de texte. Le code HTML est retourn sous forme d'une chane de caractres.
	* @private
	* @param {} Aucun
	* @return {string} Code HTML de la bote de texte sous forme d'une chane de caractres.
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.ecrireBoiteHtml = 
    function() {
    	var resultat;
      if (this.title!=null) {
		    this.title = this.title + "";
		    resultat = this.title.indexOf("'");
        if (resultat != -1)
          // Une boucle pour remplacer toutes les apostrophes du texte
          for (j=0;j<this.title.length;j++)
            this.title = this.title.replace("'", "&#039;");
      }    	
      if (this.style!=null) {
		    this.style = this.style + "";
		    resultat = this.style.indexOf("'");
        if (resultat != -1)
          // Une boucle pour remplacer toutes les apostrophes du texte
          for (j=0;j<this.style.length;j++)
            this.style = this.style.replace("'", "&#039;");
      }
      var codeHTML="";
      codeHTML+="<textarea id='"+this.id+"' name='"+this.name+"' ";
      if (this.cols!=null) codeHTML+="cols='"+this.cols+"' ";
      if (this.rows!=null) codeHTML+="rows='"+this.rows+"' ";
      if (this.readonly=="readonly") codeHTML+="readonly='readonly' ";
      if (this.disabled=="disabled") codeHTML+="disabled='disabled' ";
      if ((this.onChange!=null) || (this.nbcar != null)) codeHTML+="onChange='javascript:"+this.reference+".onChangeBase()' ";
      if (this.title!=null) codeHTML+=" title='"+this.title+"' ";
      if (this.tabindex!=null) codeHTML+="tabindex='"+this.tabindex+"' ";
      if (this.onMouseOut!=null) codeHTML+="onmouseout='javascript:" + this.reference + ".onMouseOut()' ";
      if (this.onMouseOver!=null) codeHTML+="onmouseover='javascript:" + this.reference + ".onMouseOver()' ";
      if (this.onMouseMove!=null) codeHTML+="onmousemove='javascript:" + this.reference + ".onMouseMove(event)' ";
      if (this.style!=null) codeHTML+=" style='"+this.style+"' ";
      codeHTML+=">";
      if (this.value!=null) codeHTML+=this.value;
      codeHTML+="</textarea>";
      codeHTML+="\n";
      return codeHTML;
    };


 // Dfinition de la fonction onChangeBase, qui permet d'effectuer des controles avant appel de la 
 // fonction onChange().

	/**
	* La mthode prive onChangeBase est lance lors de l'vnement HTML onChange. Elle permet d'effectuer
	* des controles sur le nombre de caractres saisis avant appel de la fonction modifiable onChange().<br>
	* @private
	* @param {} Aucun
	* @return {void}
	* @version 2.4
	* @date 14/11/2006
	*/ 
	this.onChangeBase =
		function() {
			var lavalue= this.getValue();
			if ((this.nbcar != null) && (lavalue.length > this.nbcar)) {
		    var test = GetCookie(":::langueSettings:::");
    		if (test == null)	test = "FR";
    		var textAlert = eval("ALERT_CAR_MAX_"+test);
   
    		alert(textAlert + nbcar);
	 			this.setValue(lavalue.substring(0, this.nbcar));
	 		}
	 		this.onChange();
	 	}

}
// CLASSE ElementFormButtonValider

/**
* Cre une instance de la classe ElementFormButtonValider.
* <br><br><b>Voir Exemple d'instanciation de la classe ElementFormButtonValider :</b>
* <a href='exemples_A3.html#ElementFormButtonValider_constr'>Exemples d'appels aux constructeurs</a>.
* @class La classe <b>ElementFormButtonValider</b>  est la classe permettant de modliser l'lment gnrant
* un bouton image de type Valider. Il affiche l'image standard du bouton valider et son action lance la mthode
* valider() du formulaire parent.<br>L'lment ElementFormButtonValider hrite de {@link ElementFormButton
* ElementFormButton}.
* <br><br><br><img src="Image.ElementFormButtonValiderUML.png"/><br><br><br>
* Cet lment n'est pas associ  un paramtrage XML.<br>
* <br><br>RENDU IHM<br><img alt="renduIHM" src="Image.ElementFormButtonValider.jpg"/><br>
* <br>Cette classe reprend toutes les proprits prives et publiques hrites. Les proprits sont initialises
* pour correspondre  celle d'un bouton valider.<br>
* Cette classe reprend toutes les mthodes prives et publiques hrites.<br>
* @public
* @extends ElementFormButton
* @constructor
* @param {String_Obligatoire} id : Attribut html id et name (string).
* @param {Boolean_Facultatif} statut : Statut du bouton.
* @param {int_Facultatif} tabindex : Attribut html tabindex.
* @version 1.1
* @date 25/10/2005
*/
function ElementFormButtonValider(id, statut, tabindex) {

	/**
	* Attribut isBoutonValider de ElementFormButtonValider, identifiant le bouton comme tant un bouton Valider.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005	
	*/
  this.isBoutonValider=true;
  imageOut=bouton_valider_src;
  imageOver=bouton_validerover_src;
  imageDisabled=bouton_validerdisabled_src;
  this.extend_ElementFormButton = ElementFormButton;
  this.extend_ElementFormButton (id, null, "64px", "18px", imageOut, imageOver, imageDisabled, statut, tabindex, "Valider");
  
  // Rdifinition du lien pour valider le formulaire 
  this.href="javascript:"+this.reference+".formParent.valider()";  
}


// CLASSE ElementFormButtonAnnuler

/**
* Cre une instance de la classe ElementFormButtonAnnuler.
* <br><br><b>Voir Exemple d'instanciation de la classe ElementFormButtonAnnuler :</b>
* <a href='exemples_A3.html#ElementFormButtonAnnuler_constr'>Exemples d'appels aux constructeurs</a>.
* @class La classe <b>ElementFormButtonAnnuler</b> est la classe permettant de modliser l'lment
* gnrant un bouton image de type Annuler. Il affiche l'image standard du bouton annuler et son action
* lance la mthode annuler() du formulaire parent.<br>L'lment ElementFormButtonAnnuler hrite de
* {@link ElementFormButton ElementFormButton}.
* <br><br><br><img src="Image.ElementFormButtonAnnulerUML.png"/><br><br><br>
* Cet lment n'est pas associ  un paramtrage XML.<br>
* <br><br>RENDU IHM<br><img alt="renduIHM" src="Image.ElementFormButtonAnnuler.jpg"/><br>
* <br>Cette classe reprend toutes les proprits prives et publiques hrites.
* Les proprits sont initialises pour correspondre  celle d'un bouton annuler.<br>
* Cette classe reprend toutes les mthodes prives et publiques hrites.<br>
* @extends ElementFormButton
* @constructor
* @param {String_Obligatoire} id : Attribut html id et name (string).
* @param {Boolean_Facultatif} statut : Statut du bouton.
* @param {int_Facultatif} tabIndex : Attribut html tabindex.
* @version 1.1
* @date 25/10/2005
*/
function ElementFormButtonAnnuler(id, statut, tabIndex) {
	
	/**
	* Attribut isBoutonAnnuler de ElementFormButtonAnnuler, identifiant le bouton comme tant un bouton Annuler.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/
  this.isBoutonAnnuler=true;
  
	/**
	* La proprit prive imageOut reprsente l'URL de l'image du bouton.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005	
	*/ 
  var imageOut=bouton_annuler_src;
  
	/**
	* La proprit prive  imageOver reprsente l'URL de l'image du bouton au passage de la souris.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005	
	*/
  var imageOver=bouton_annulerover_src;
  
	/**
	* La proprit prive  imageDisabled reprsente l'URL de l'image du bouton au statut disabled.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005	
	*/  
  var imageDisabled=bouton_annulerdisabled_src;
  this.extend_ElementFormButton = ElementFormButton;
  this.extend_ElementFormButton (id, null, "64px", "18px", imageOut, imageOver, imageDisabled, statut, tabIndex, "Annuler");

  // Dfinition du lien par dfaut du bouton annuler 
  this.href="javascript:"+this.reference+".formParent.annuler();";  
}

// CLASSE ElementFormButtonLibre

/**
* Cre une instance de la classe ElementFormButtonLibre.
* <br><br><b>Voir Exemple d'instanciation de la classe ElementFormButtonLibre :</b>
* <a href='exemples_A3.html#ElementFormButtonLibre_constr'>Exemples d'appels aux constructeurs</a>.
* @class La classe <b>ElementFormButtonLibre</b> est la classe permettant de modliser l'lment
* gnrant un bouton image comportant un texte libre. Il affiche en fond l'image standard d'un bouton, 
* on lui ajoute le texte dsir, et son action
* lance la mthode agir() du formulaire parent.<br>L'lment ElementFormButtonLibre hrite de
* {@link ElementFormButton ElementFormButton}.
* <br><br><br><img src="Image.ElementFormButtonLibreUML.png"/><br><br><br>
* Cet lment n'est pas associ  un paramtrage XML.<br>
* <br>Cette classe reprend toutes les proprits prives et publiques hrites.
* Les proprits sont initialises pour correspondre  celle d'un bouton libre.<br>
* Cette classe reprend toutes les mthodes prives et publiques hrites.<br>
* <br><br><br>RENDU IHM<br><br>Exemple de ElementFormButtonLibre :<br><br>
* <img alt="exemple ElementFormButtonLibre" src="image.ElementFormButtonLibre.jpg"><br><br><br>
* @extends ElementFormButton
* @constructor
* @param {String_Obligatoire} id : Attribut html id et name (string).
* @param {String_Obligatoire} href : Attribut html href, lien URL 
* <span style="color: rgb(255, 0, 0); font-weight: bold;">ou fonction javascript
* [Remarque : lorsque la fonction javascript appelle un ou plusieurs arguments de type chane, il est
* ncessaire d'utiliser des simples quotes comme indiqu en <a href='exemples_A3.html#ElementFormButton_constr'>
* Exemples</a>]</span>.
* @param {String_Obligatoire} libelleLibre : libelle a afficher sur le bouton.
* @param {Boolean_Facultatif} statut : Statut du bouton.
* @param {int_Facultatif} tabIndex : Attribut html tabindex.
* @version 2.5
* @date 14/02/2007
*/
function ElementFormButtonLibre(id, href, libelleLibre, statut, tabIndex) {
	
	/**
	* Attribut isBoutonLibre de ElementFormButtonLibre, identifiant le bouton comme tant un bouton Libre.
	* <br><br>
	* @private
	* @type String
	* @version 2.5
	* @date 10/11/2006
	*/
  this.isBoutonLibre=true;
  
	/**
	* La proprit prive imageOut reprsente l'URL de l'image du bouton.
	* <br><br>
	* @private
	* @type String
	* @version 2.5
	* @date 10/11/2006	
	*/ 
  var imageOut=bouton_libre_src;

	/**
	* La proprit prive  imageOver reprsente l'URL de l'image du bouton au passage de la souris.
	* <br><br>
	* @private
	* @type String
	* @version 2.5
	* @date 10/11/2006	
	*/
  var imageOver=bouton_libreover_src;
  
	/**
	* La proprit prive  imageDisabled reprsente l'URL de l'image du bouton au statut disabled.
	* <br><br>
	* @private
	* @type String
	* @version 2.5
	* @date 10/11/2006	
	*/  
  var imageDisabled=bouton_libreover_src;

	/**
	* L'attribut imageGauche reprsente l'URL de l'image arrondie du bouton  gauche.
	* <br><br>
	* @private
	* @type String
	* @version 2.5
	* @date 10/11/2006	
	*/
  this.imageGauche=bouton_libreGauche_src;
  
	/**
	* L'attribut imageDroite reprsente l'URL de l'image arrondie du bouton  droite.
	* <br><br>
	* @private
	* @type String
	* @version 2.5
	* @date 10/11/2006	
	*/  
  this.imageDroite=bouton_libreDroite_src;
  
  /**
	* L'attribut imageGaucheOver reprsente l'URL de l'image arrondie du bouton  gauche.
	* <br><br>
	* @private
	* @type String
	* @version 2.5
	* @date 10/11/2006	
	*/
  this.imageGaucheOver=bouton_libreGaucheover_src;
  
  /**
	* L'attribut imageDroiteOver reprsente l'URL de l'image arrondie du bouton  droite.
	* <br><br>
	* @private
	* @type String
	* @version 2.5
	* @date 10/11/2006	
	*/  
  this.imageDroiteOver=bouton_libreDroiteover_src;
  
	/**
	* L'attribut srcDroite reprsente l'URL de l'image arrondie du bouton  droite.
	* <br><br>
	* @private
	* @type String
	* @version 2.5
	* @date 10/11/2006	
	*/  
  this.srcDroite=bouton_libreDroite_src;
  
  	/**
	* <b>Spcifique  la classe ElementFormButton</b>- La mthode prive setSrc renseigne l'attribut 
	* html src de l'image avec une nouvelle URL.
	* @private
	* @param {String_Obligatoire} newSrc  Nouvelle URL de l'image.
	* @return {void}
	* @version 2.5
	* @date 10/11/2006
	*/	
  this.setSrcDroite = function(newSrcDroite) {
      this.srcDroite=newSrcDroite;
      if (this.getDomHtmlElement()!=null) {
        if (this.getDomHtmlElement().parentNode.childNodes[2].attributes[2].name=='background')
        	this.getDomHtmlElement().parentNode.childNodes[2].attributes[2].value=this.srcDroite;
      }
    };
  
  /**
	* L'attribut srcGauche reprsente l'URL de l'image arrondie du bouton  gauche.
	* <br><br>
	* @private
	* @type String
	* @version 2.5
	* @date 10/11/2006	
	*/
  this.srcGauche=bouton_libreGauche_src;
  
  	/**
	* <b>Spcifique  la classe ElementFormButton</b>- La mthode prive setSrc renseigne l'attribut 
	* html src de l'image avec une nouvelle URL.
	* @private
	* @param {String_Obligatoire} newSrc  Nouvelle URL de l'image.
	* @return {void}
	* @version 2.5
	* @date 10/11/2006
	*/	
  this.setSrcGauche = function(newSrcGauche) {
      this.srcGauche=newSrcGauche;
      if (this.getDomHtmlElement()!=null) {
        if (this.getDomHtmlElement().parentNode.childNodes[0].attributes[2].name=='background')
        	this.getDomHtmlElement().parentNode.childNodes[0].attributes[2].value=this.srcGauche;
      }
    };
  
  
  /**
	* La proprit prive  libelleLibre correspond au libell affich sur le bouton.
	* <br><br>
	* @private
	* @type String
	* @version 2.5
	* @date 10/11/2006	
	*/  
  this.libelleLibre=libelleLibre;  
  
  this.extend_ElementFormButton = ElementFormButton;
  this.extend_ElementFormButton (id, href, "90px", "18px", imageOut, imageOver, imageDisabled, statut, tabIndex, "Lancer");
  
 	/**
	* <b>Propre  la classe ElementFormButtonLibre </b>- La mthode publique setLibelleLibre permet
	* de modifier le libelle du bouton.
	* @public
	* @param {String_Obligatoire} Aucun
	* @return {void}
	* @@version 2.5
	* @date 10/11/2006	
	*/ 
  this.setLibelleLibre=function(leLibelle){
  	this.libelleLibre=leLibelle;
  };
  
  /**
	* <b>Propre  la classe ElementFormButtonLibre </b>- La mthode publique getLibelleLibre retourne
	* le libelle associ au bouton.
	* @public
	* @param {String_Obligatoire} Aucun
	* @return {void}
	* @@version 2.5
	* @date 10/11/2006	
	*/ 
  this.getLibelleLibre=function(){
  	return this.libelleLibre;
  };
  
  /**
	* <b>Spcifique  la classe ElementFormButton</b>- La mthode prive onMouseOut implmente le 
	* traitement  excuter sur l'vnement "onMouseOut" du bouton.
	* @private
	* @param {} Aucun
	* @return {void}
	* @version 2.5
	* @date 10/11/2006
	*/	
  this.onMouseOut = 
    function() {
      if (this.statut!=STATUT_DISABLED)
        this.setSrc(this.imageOut);
        this.setSrcGauche(this.imageGauche);
        this.setSrcDroite(this.imageDroite);
    };

	/**
	* <b>Surcharge de la mthode de la classe ElementFormButton</b>- La mthode prive onMouseOver implmente le
	* traitement  excuter sur l'vnement "onMouseOver" du bouton.
	* @private
	* @param {} Aucun
	* @return {void}
	* @version 2.5
	* @date 10/11/2006
	*/	
  this.onMouseOver = 
    function() {
      if (this.statut!=STATUT_DISABLED)
        this.setSrc(this.imageOver);
        this.setSrcGauche(this.imageGaucheOver);
        this.setSrcDroite(this.imageDroiteOver);
    };
  
  /**
	* <b>Surcharge de la mthode de la classe ElementFormButton </b>- La mthode prive ecrireBoiteHtml gnre le code HTML
	* (&lt; a...&gt;&lt; img?.../&gt;&lt; /a&gt;) du bouton image. Le code HTML est retourn sous forme
	* d'une chane de caractres.
	* @private
	* @param {} Aucun
	* @return {string} Le code HTML du bouton image sous forme d'une chane de caractres.
	* @version 2.5
	* @date 10/11/2006
	*/	
  this.ecrireBoiteHtml = 
    function() {
      var codeHTML="";
      var resultat;
      if (this.alt!=null) {
		    this.alt = "" + this.alt;
		    resultat = this.alt.indexOf("'");
        if (resultat != -1)
          // Une boucle pour remplacer toutes les apostrophes du texte
          for (j=0;j<this.alt.length;j++)
            this.alt = this.alt.replace("'", "&#039;");
      }
      if (this.title!=null) {
		    this.title = "" + this.title;
		    resultat = this.title.indexOf("'");
        if (resultat != -1)
          // Une boucle pour remplacer toutes les apostrophes du texte
          for (j=0;j<this.title.length;j++)
            this.title = this.title.replace("'", "&#039;");
      }    	            
      
      if (this.style!=null) {
        this.style = "" + this.style;
		    resultat = this.style.indexOf("'");
        if (resultat != -1)
          // Une boucle pour remplacer toutes les apostrophes du texte
          for (j=0;j<this.style.length;j++)
            this.style = this.style.replace("'", "&#039;");
      }
      
       codeHTML+="<table border=0 cellspacing=0 cellpadding=0><tr>";
      codeHTML+="<td background='"+this.srcGauche+"' width='10' height='18' align='right'";
      if (this.statut==STATUT_ENABLED) {
        codeHTML+=" onmouseout='javascript:"+this.reference+".onMouseOut()' ";  
        codeHTML+=" onmouseover='javascript:"+this.reference+".onMouseOver()' ";
      }  
      codeHTML+="></td>";
			codeHTML+="<td id='"+this.id+"' background='"+this.src+"' style='border-width:0px' align='center' height='18'";
			// autres attributs 
      if (this.width!=null){ codeHTML+="width='"+this.width+"' ";
      }else codeHTML+=" width='90'";
      if (this.title!=null) codeHTML+="title='"+this.title+"' ";
      if (this.alt!=null) codeHTML+="alt='"+this.alt+"' ";
      if (this.statut==STATUT_ENABLED) {
        codeHTML+=" onmouseout='javascript:"+this.reference+".onMouseOut()' ";  
        codeHTML+=" onmouseover='javascript:"+this.reference+".onMouseOver()' >";
      }  
			codeHTML+="<a id='"+this.idLink+"' ";
     	if (this.statut==STATUT_ENABLED) codeHTML+="href='"+this.href+"' ";
     	if (this.tabindex!=null) codeHTML+="tabindex='"+this.tabindex+"' ";
     	codeHTML+="><div>";
			codeHTML+=this.libelleLibre+"</div></a></td>";
			codeHTML+="<td background='"+this.srcDroite+"' width='10' height='18' align='left'";
			if (this.statut==STATUT_ENABLED) {
        codeHTML+=" onmouseout='javascript:"+this.reference+".onMouseOut()' ";  
        codeHTML+=" onmouseover='javascript:"+this.reference+".onMouseOver()' ";
      }  
			codeHTML+="></td>";
			codeHTML+="</tr></table>";
      
      
      codeHTML+="\n";
      return codeHTML;
    };
  
}


// CLASSE ElementFormButton

/**
* Cre une instance de la classe ElementFormButton.<br><br>
* <b>Voir Exemple d'instanciation de la classe ElementFormButton :</b>
* <a href='exemples_A3.html#ElementFormButton_constr'>Exemples d'appels aux constructeurs</a>.
* @class La classe <b>ElementFormButton</b>  est la classe permettant de modliser l'lment gnrant
* un bouton image en utilisant les balises &lt;a href=...&gt; et &lt;img&gt;. Il gre le changement
* d'image au passage de la souris.  L'attribut href qui gre l'action sur click, peut
* contenir un lien vers une URL ou une fonction javascript.<br>L'lment ElementFormButton hrite de
* {@link DefaultElementForm DefaultElementForm}, {@link DefaultHtmlImg DefaultHtmlImg},
* et {@link DefaultHtmlA DefaultHtmlA}.
* <br><br><br><img src="Image.ElementFormButtonUML.png"/><br><br><br>
* Cet lment n'est pas associ  un paramtrage XML.<br>
* <br><br>RENDU IHM<br><img alt="renduIHM" src="Image.ElementFormButton.jpg"/><br>
* <br>Cette classe reprend toutes les proprits prives et publiques hrites.<br>
* Cette classe reprend toutes les mthodes prives et publiques hrites.<br>
* @extends DefaultElementForm
* @extends DefaultHtmlImg
* @extends DefaultHtmlA
* @constructor
* @param {String_Obligatoire} id : Attribut html id et name (string).
* @param {String_Obligatoire} href : Attribut html href, lien URL 
* <span style="color: rgb(255, 0, 0); font-weight: bold;">ou fonction javascript
* [Remarque : lorsque la fonction javascript appelle un ou plusieurs arguments de type chane, il est
* ncessaire d'utiliser des simples quotes comme indiqu en <a href='exemples_A3.html#ElementFormButton_constr'>
* Exemples</a>]</span>.
* @param {String_Obligatoire} width : Attribut html width (string).
* @param {String_Obligatoire} height : Attribut html height (string).
* @param {String_Obligatoire} imageOut : URL de l'image du bouton.
* @param {String_Facultatif} imageOver : URL de l'image du bouton au passage de la souris.
* @param {String_Facultatif} imageDisabled : URL de l'image du bouton au statut disabled.
* @param {Boolean_Facultatif} statut : Statut du bouton.
* @param {int_Facultatif} tabindex : Attribut html tabindex.
* @param {String_Obligatoire} title : Attribut HTML title et alt, pour afficher un texte au passage de la souris.
* @version 1.1
* @date 25/10/2005
*/
function ElementFormButton(id, href, width, height, imageOut, imageOver, imageDisabled, statut, tabindex, title) {
  // herite 
  this.extend_DefaultHtmlA = DefaultHtmlA;
  this.extend_DefaultHtmlA(href);
  this.extend_DefaultHtmlImg = DefaultHtmlImg;
  this.extend_DefaultHtmlImg(id, height, width, tabindex, title);
  this.extend_DefaultElementForm = DefaultElementForm;
  this.extend_DefaultElementForm(id, null, null, statut);

  
  // default image

	/**
	* <b>Propre  la classe ElementFormButton </b>- La nouvelle proprit prive imageOut
	* reprsente l'URL de l'image du bouton.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005	
	*/   
  this.imageOut="";
  if (imageOut!=null) this.imageOut=imageOut;

	/**
	* <b>Propre  la classe ElementFormButton </b>- La nouvelle proprit prive imageOver
	* reprsente l'URL de l'image du bouton au passage de la souris.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.imageOver="";
  if (imageOver!=null) this.imageOver=imageOver;

	/**
	* <b>Propre  la classe ElementFormButton </b>- La nouvelle proprit prive imageDisabled
	* reprsente l'URL de l'image du bouton au statut disabled.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.imageDisabled="";
  if (imageDisabled!=null) this.imageDisabled=imageDisabled;


  // id de la balise <a>

	/**
	* <b>Propre  la classe ElementFormButton </b>- La nouvelle proprit prive idLink
	* reprsente l'id de la balise &lt;a&gt;.
	* <br><br>
	* @private
	* @type String
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.idLink=this.id+"_link";
 
  // pour changer le statut du bouton

	/**
	* La mthode publique setStatut(newStatut) change l'attribut {@link #statut statut} du bouton avec 
	* une nouvelle valeur.
	* @public
	* @param {int_Obligatoire} newStatut : nouveau statut  appliquer  l'lment.
	* @return {void}
	* @version 1.1
	* @date 25/10/2005
	*/  
  this.setStatut = function(newStatut) {
    if (newStatut!=null) this.statut=newStatut;
    // CAS ENABLED
    if (this.statut==STATUT_ENABLED || this.statut==STATUT_READONLY) {
      this.setSrc(this.imageOut);
    }
    // CAS DISABLED
    if (this.statut==STATUT_DISABLED) {
      if (this.imageDisabled!="") {
        this.setSrc(this.imageDisabled);
      } else {
        this.setSrc(this.imageOut);
      }
    };
    if (this.getDomHtmlElement()!=null) {
      // si le bouton est dja gnr, on le rgnre
      this.ecrireBind();
    }  
  }
  
	/**
	* <b>Spcifique  la classe ElementFormButton</b>- La mthode prive getSrc retourne l'URL source de l'image.
	* @private
	* @param {} Aucun.
	* @return {void}
	* @version 1.1
	* @date 25/10/2005	*/
  this.getSrc = 
    function() {
      if (this.src==this.getDomHtmlElement().src)
        return this.src;
      else 
        return false;
    };

	/**
	* <b>Spcifique  la classe ElementFormButton</b>- La mthode prive setSrc renseigne l'attribut 
	* html src de l'image avec une nouvelle URL.
	* @private
	* @param {String_Obligatoire} newSrc  Nouvelle URL de l'image.
	* @return {void}
	* @version 2.5
	* @date 10/11/2006
	*/	
  this.setSrc =
    function(newSrc) {
      this.src=newSrc;
      if (this.getDomHtmlElement()!=null) {
        if (this.getDomHtmlElement().src)this.getDomHtmlElement().src=this.src;
        //Cas du bouton libre : l'image est en fond et non en attribut src
        if (this.getDomHtmlElement().attributes[2].name=='background')
        	this.getDomHtmlElement().attributes[2].value=this.src;
      }
    };

	/**
	* <b>Spcifique  la classe ElementFormButton</b>- La mthode prive onMouseOut implmente le 
	* traitement  excuter sur l'vnement "onMouseOut" du bouton.
	* @private
	* @param {} Aucun
	* @return {void}
	* @version 1.1
	* @date 25/10/2005
	*/	
  this.onMouseOut = 
    function() {
      if (this.statut!=STATUT_DISABLED)
        this.setSrc(this.imageOut);
//        changeImages(this.id, this.imageOut);
    };

	/**
	* <b>Spcifique  la classe ElementFormButton</b>- La mthode prive onMouseOver implmente le
	* traitement  excuter sur l'vnement "onMouseOver" du bouton.
	* @private
	* @param {} Aucun
	* @return {void}
	* @version 1.1
	* @date 25/10/2005
	*/	
  this.onMouseOver = 
    function() {
      if (this.statut!=STATUT_DISABLED)
        this.setSrc(this.imageOver);
//        changeImages(this.id, this.imageOver);
    };
    
	/**
	* <b>Propre  la classe ElementFormButton </b>- La mthode prive ecrireBoiteHtml gnre le code HTML
	* (&lt; a...&gt;&lt; img?.../&gt;&lt; /a&gt;) du bouton image. Le code HTML est retourn sous forme
	* d'une chane de caractres.
	* v2.5 : Affichage possible d'un bouton avec libell libre
	* @private
	* @param {} Aucun
	* @return {string} Le code HTML du bouton image sous forme d'une chane de caractres.
	* @version 2.5
	* @date 10/11/2006
	*/	
  this.ecrireBoiteHtml = 
    function() {
      var codeHTML="";
      var resultat;
      if (this.alt!=null) {
		    this.alt = "" + this.alt;
		    resultat = this.alt.indexOf("'");
        if (resultat != -1)
          // Une boucle pour remplacer toutes les apostrophes du texte
          for (j=0;j<this.alt.length;j++)
            this.alt = this.alt.replace("'", "&#039;");
      }
      if (this.title!=null) {
		    this.title = "" + this.title;
		    resultat = this.title.indexOf("'");
        if (resultat != -1)
          // Une boucle pour remplacer toutes les apostrophes du texte
          for (j=0;j<this.title.length;j++)
            this.title = this.title.replace("'", "&#039;");
      }    	            
      
      if (this.style!=null) {
        this.style = "" + this.style;
		    resultat = this.style.indexOf("'");
        if (resultat != -1)
          // Une boucle pour remplacer toutes les apostrophes du texte
          for (j=0;j<this.style.length;j++)
            this.style = this.style.replace("'", "&#039;");
      }
      //Boutons non libres
      	codeHTML+="<a id='"+this.idLink+"' ";
      	if (this.statut==STATUT_ENABLED) codeHTML+="href='"+this.href+"' ";
      	if (this.tabindex!=null) codeHTML+="tabindex='"+this.tabindex+"' ";
      	codeHTML+=">";
	      // attributs toujours prsents
	      codeHTML+="<img id='"+this.id+"' name='"+this.name+"' src='"+this.src+"' style='border-width:0px' ";
	      // autres attributs 
	      if (this.width!=null) codeHTML+="width='"+this.width+"' ";
	      if (this.height!=null) codeHTML+="height='"+this.height+"' ";
	      if (this.title!=null) codeHTML+="title='"+this.title+"' ";
	      if (this.alt!=null) codeHTML+="alt='"+this.alt+"' ";
	      if (this.statut==STATUT_ENABLED) {
	        codeHTML+="onmouseout='javascript:"+this.reference+".onMouseOut()' ";  
	        codeHTML+="onmouseover='javascript:"+this.reference+".onMouseOver()' ";
	      }  
        if (this.style!=null) codeHTML+=" style='"+this.style+"' ";
	      codeHTML+="/>";
	      codeHTML+="</a>";  
      
      codeHTML+="\n";
      return codeHTML;
    };

	/**
	* <b>Propre  la classe ElementFormButton </b>- La mthode publique setHRef dfinie la valeur
	* de la proprit href de l'objet ElementFormButton courant, hrit de la classe DefaultHtmlA.
	* @public
	* @param {String_Obligatoire} lien : lien href du bouton.
	* @return {void}
	* @version 2.5
	* @date 14/02/2007	
	*/   
  this.setHRef = function(lien) {
  	this.href = lien;
  }; 

	/**
	* <b>Propre  la classe ElementFormButton </b>- La mthode publique getHRef retourne la valeur
	* de la proprit href de l'objet ElementFormButton courant, hrit de la classe DefaultHtmlA.
	* @public
	* @param {} Aucun.
	* @return {String}
	* @version 2.5
	* @date 14/02/2007	
	*/   
  this.getHRef = function() {
  	return this.href;
  };
        
  this.setStatut(this.statut);
}
 