/** 
* @fileoverview Ce fichier Javascript correspond au framework de gestion des tableur.
* <br><br>RENDU IHM<br><br>Tableur utilisant le principe de regroupement par titre (les valeurs communes  tous les lments dans une mme colonne) : <br>
* <br><img alt="Exemple IHM tableur" src="Image.ComposantTableur.jpg"/><br><br>
* @author Aubay SA
* @version 2.3
* Date :  28/09/2006
*/

/*
Copyright ou  ou Copr. 
Ministre des Affaires Etrangres,
Aubay SA, (25/05/2004)

Ce logiciel est un programme informatique servant de framework JavaScript 
bas sur les normes W3C (XHTML/CSS/DOM/XML). Il offre la possibilit de 
mettre en oeuvre facilement les principes ergonomiques et techniques propres 
 un client riche (cumul des avantages du client lger et du client lourd).
Ce logiciel est rgi par la licence CeCILL soumise au droit franais et
respectant les principes de diffusion des logiciels libres. Vous pouvez
utiliser, modifier et/ou redistribuer ce programme sous les conditions
de la licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA 
sur le site "http://www.cecill.info".

En contrepartie de l'accessibilit au code source et des droits de copie,
de modification et de redistribution accords par cette licence, il n'est
offert aux utilisateurs qu'une garantie limite.  Pour les mmes raisons,
seule une responsabilit restreinte pse sur l'auteur du programme,  le
titulaire des droits patrimoniaux et les concdants successifs.

A cet gard  l'attention de l'utilisateur est attire sur les risques
associs au chargement,   l'utilisation,   la modification et/ou au
dveloppement et  la reproduction du logiciel par l'utilisateur tant 
donn sa spcificit de logiciel libre, qui peut le rendre complexe  
manipuler et qui le rserve donc  des dveloppeurs et des professionnels
avertis possdant  des  connaissances  informatiques approfondies.  Les
utilisateurs sont donc invits  charger  et  tester  l'adquation  du
logiciel  leurs besoins dans des conditions permettant d'assurer la
scurit de leurs systmes et ou de leurs donnes et, plus gnralement, 
 l'utiliser et l'exploiter dans les mmes conditions de scurit. 

Le fait que vous puissiez accder  cet en-tte signifie que vous avez 
pris connaissance de la licence CeCILL, et que vous en avez accept les
termes.*/

//Images : croix pour ouvrir et fermer les groupements
var icone_niv_fermer='/proto/FrameworkERGO/images/bouton/arbo/IcoNivFermeA.gif';
var icone_niv_fermer_over='/proto/FrameworkERGO/images/bouton/arbo/IcoNivFermeAover.gif';
var icone_niv_ouvert='/proto/FrameworkERGO/images/bouton/arbo/IcoNivOuvert.gif';
var icone_niv_ouvert_over='/proto/FrameworkERGO/images/bouton/arbo/IcoNivOuvertover.gif';

var image_spacer_src = "/proto/FrameworkERGO/images/bouton/divers/spacer.gif";

var tableurEnCours = null;

//Fonction de remise  zro d'un calcul de groupement

/**
* La mthode prive effacerCalcul() implmente la remise  zero d'un calcul de groupement 
* @private
* @param {int_Obligatoire} niveau : Entier indique le niveau du regroupement sur lequel faire la remise  zero
* @return {void}
* @version 2.3
* @date 28/09/2006
*/
function ObjectCalcul_effacerCalcul(niveau)
{
  this.calcul[3]= 0;
  this.nbLigne[3]= 0;	
	if (niveau < 3) {
	  this.calcul[2]= 0;
	  this.nbLigne[2]= 0;	
	} 
	if (niveau < 2) {
	  this.calcul[1]= 0;
	  this.nbLigne[1]= 0;	
	} 	
	if (niveau < 1) {
	  this.calcul[0]= 0;
	  this.nbLigne[0]= 0;	
	} 	
}


// Fonction de lecture d'un calcul de groupement

/**
* La mthode prive lireCalcul() implmente la lecture d'un calcul de groupement. 
* @private
* @param {int_Obligatoire} niveau : Entier indique le niveau du regroupement sur lequel faire la lecture
* @return {void}
* @version 2.3
* @date 28/09/2006
*/
function ObjectCalcul_lireCalcul(niveau)
{
	// TODO - VIRER LES ARRONDIS SUR LA MOYENNE
	if (this.formule == "SOMME")
  	return this.calcul[niveau];
  else	if (this.formule == "MOYENNE")
  	return this.calcul[niveau]/this.nbLigne[niveau];
  else
  	return 0;
}


// Fonction d'incrmentation d'un calcul de groupement

/**
* La mthode prive incrementeCalcul() implmente l'incrmentation d'un calcul de groupement 
* @private
* @param {object_Obligatoire} valeur : Object valeur que l'on dsire incrmenter 
* @return {void}
* @version 2.3
* @date 28/09/2006
*/
function ObjectCalcul_incrementeCalcul(valeur)
{
	if (this.formule == "SOMME") {
		for (var i=1 ; i<this.calcul.length ; i++)
			this.calcul[i]+=toMontant(valeur);
	} else if (this.formule == "MOYENNE") {
		for (var i=1 ; i<this.calcul.length ; i++) {
			this.calcul[i]+=toMontant(valeur);
			this.nbLigne[i]++;
		}
	}
}


// Fonction d'incrmentation d'un calcul de groupement

/**
* La mthode prive incrementeTotal() implmente l'incrmentation du total d'un calcul de groupement 
* @private
* @param {object_Obligatoire} valeur Object valeur que l'on dsire incrmenter 
* @return {void}
* @version 2.3
* @date 28/09/2006
*/
function ObjectCalcul_incrementeTotal(valeur)
{
	if (this.formule == "SOMME")
		this.calcul[0]+=toMontant(valeur);
	else if (this.formule == "MOYENNE")
		this.calcul[0]+=toMontant(valeur);
	this.nbLigne[0]++;
}


// Objet interne dfinissant les calculs  faire sur un groupement

/**
* Cre une nouvelle instance ObjectCalcul. 
* @class La classe <b>ObjectCalcul</b> est la classe permettant de grer les calculs de groupement.
* <br> Ses proprits publiques dcrivent les attributs permettant de grer les calculs de groupement du composant tableur et 
* peuvent tre manipules ou interroges en dehors de la bibliothque du framework ergonomique.
* <br><br><br><img src="Image.ObjectCalculUML.png"/><br><br><br>
* @constructor
* @param {String_Obligatoire} {@link #data data} : Nom de la donne faisant l'objet du calcul.
* @param {String_Obligatoire} {@link #formule formule} : Nom de la formule de calcul  appliquer.
* @version 2.3
* @date 28/09/2006
*/
function ObjectCalcul(data,formule)
{
	/**
	* L'lment argv  dans la classe ComposantTableau n'est pas une proprit, il permet de rcuprer
	* dans un tableau les arguments passs en paramtres du constructeur de la classe (utile dans le cas
	* des paramtres facultatifs, pour reprer les paramtres qui ont t soumis par le dveloppeur).
	* Il est dclar 'var'.
	* <br><br>
	* @private
	* @type String
	* @version 2.3
	* @date 28/09/2006
	*/
  var argv = ObjectCalcul.arguments;
  
	/**
	* L'lment argc  dans la classe ComposantTableau n'est pas une proprit, il permet de rcuprer
	* le nombre d'arguments passs en paramtres du constructeur de la classe (utile dans le cas des
	* paramtres facultatifs, pour compter les paramtres  soumis par le dveloppeur).
	* Il est dclar 'var'.
	* <br><br>
	* @private
	* @type String
	* @version 2.3
	* @date 28/09/2006
	*/  
  var argc = ObjectCalcul.arguments.length;

	/**
	* C'est un entier permettant de stocker le calcul effectu.
	* <br><br>
	* @private
	* @type Array_Int
	* @version 2.3
	* @date 28/09/2006
	*/
  this.calcul = new Array(4);
  this.calcul[0]= 0;
  this.calcul[1]= 0;
  this.calcul[2]= 0;
  this.calcul[3]= 0;
  
	/**
	* C'est un entier permettant de stocker le nombre de ligne du regroupement en cours. 
	* <br><br>
	* @private
	* @type Array_Int
	* @version 2.3
	* @date 28/09/2006
	*/
  this.nbLigne = new Array(4);
  this.nbLigne[0]= 0;
  this.nbLigne[1]= 0;
  this.nbLigne[2]= 0;  
  this.nbLigne[3]= 0;  
  
	/**
	* C'est une chane de caractres contenant le nom de la donne du tableur sur lequel s'effectue le calcul.
	* <br><br>
	* @private
	* @type string
	* @version 2.3
	* @date 28/09/2006
	*/
  this.data = data;
  
	/**
	* C'est une chane de caractres contenant la fourmule de calcul  appliquer  la donne.
	* <br>Il prend les valeurs : (SOMME) pour Somme, (MOYENNE) pour Moyenne
	* <br>- <b>Voir aussi </b> <a href='constant-values_A3.html#Globales'>Valeurs des Constantes - Globales</a>:
	* SOMME, MOYENNE<br><br><b>Version</b> 2.3 Date : 28/09/2006
	* @private
	* @type string
	* @version 2.3
	* @date 28/09/2006	
	*/
  this.formule = formule;

  // Mthodes de l'objet
  // Fonction de gestion des styles pour les lignes
  this.incrementeCalcul = ObjectCalcul_incrementeCalcul;
  this.incrementeTotal = ObjectCalcul_incrementeTotal;
  this.effacerCalcul = ObjectCalcul_effacerCalcul;
  this.lireCalcul = ObjectCalcul_lireCalcul;  
}

/**
* Constructeur de la classe ComposantTableur
* @public
* @param {} Aucun
* @return {void}
* @version 2.5
* @date 10/11/2006
*/
function ComposantTableur_constructor(){
	tableurEnCours=this;
}

// Fonction pour initialiser  partir d'un flux XML les attributs paramtrables du composant tableur

/**
* La mthode prive initInfosGroupeByXML() initialise les attributs paramtrables du composant tableur
*  partir d'un flux XML.
* @private
* @param {} Aucun
* @return {void}
* @version 2.3
* @date 28/09/2006
*/
function ComposantTableur_initInfosGroupeByXML()
{
	// Lecture des informations spcifique au composant tableur
	var itemGroupe = parent.getElements(this.XMLObjectInfos.xmlDoc,"GROUPE");
	if (itemGroupe.length != 0) {
		var groupe1 = parent.getDataElement(itemGroupe[0],"GROUPE_1");
		if (!(groupe1) || groupe1 == "")
		 	groupe1=null;
		this.groupe1=	groupe1;
		var groupe2 = parent.getDataElement(itemGroupe[0],"GROUPE_2");
		if (!(groupe2) || groupe2 == "")
		 	groupe2=null;	
		this.groupe2=	groupe2;
		var groupe3 = parent.getDataElement(itemGroupe[0],"GROUPE_3");
		if (!(groupe3) || groupe3 == "")
		 	groupe3=null;	
		this.groupe3=	groupe3;

		var itemCalculs = parent.getElements(this.XMLObjectInfos.xmlDoc,"CALCULS");
		if (itemCalculs.length != 0) {
			var itemCalcul = parent.getElements(this.XMLObjectInfos.xmlDoc,"CALCUL");
			this.tabCalculs=new Array();
			for (i=0 ; i<itemCalcul.length ; i++) {
				var data = parent.getDataElement(itemCalcul[i],"DATA"); 
				var formule = parent.getDataElement(itemCalcul[i],"FORMULE");
				this.tabCalculs[i]=new ObjectCalcul(data,formule);
			}			
		}
	}
}

/**
* This method is use by the Excel/CSV export.
* It write the title of a group.
* @public
* @param {int_Obligatoire} level : the level of the group (1,2,3)
* @param {String_Obligatoire} value : the value of the group
* @param {String_Obligatoire} form : the HTML form
* @param {int_Obligatoire} line : the line before write the title
* @return {void}
* @version 2.8.1
* @date 22/11/2007
*/
function ComposantTableur_excelExport_groupe(level, value, form, line) {

    if (value != false && value != null) {
        this.excelExportAddColonne("group_" + level + "_" + line, value, form);
    }
}

/**
* This method is use by the Excel/CSV export.
* It write the total for the table
* @public
* @param {String_Obligatoire} form : the HTML form
* @return {void}
* @version 2.8.1
* @date 22/11/2007
*/
function ComposantTableur_excelExport_total(form) {

    // remise a zero des niveaux de groupement et du total
    for (var k=0; k<this.tabCalculs.length ; k++) {
        this.tabCalculs[k].effacerCalcul(0);
    }

    // calcul du total
    var itemLignes = parent.getElements(this.XMLData.xmlDoc,this.donneeLigne);  
    for (i=0 ; i<itemLignes.length ; i++) {
        
        for (var k=0; k<this.tabCalculs.length ; k++) {
            this.tabCalculs[k].incrementeTotal(parent.getDataElement(itemLignes[i],this.tabCalculs[k].data));
        }
    }
        
    // remise a zero des niveaux de groupement, on ne conserve que le total
    var hasSum = false;
    var hasAverage = false;
    for (var k=0; k<this.tabCalculs.length ; k++) {
        this.tabCalculs[k].effacerCalcul(1);
        
        if (this.tabCalculs[k].formule == "SOMME"){
            hasSum = true;
        } else if (this.tabCalculs[k].formule == "MOYENNE"){
            hasAverage = true;
        }
    }

    var first=true;
    var nb_visible_colonnes = 0;
    for (var j=0 ; j<this.tabColonnes.length ; j++) {
        //Gnration de chaque cellule prsente dans la ligne
        if ((this.tabColonnes[j].cache != "OUI") && (this.tabColonnes[j].cache != "JAMAIS")) {
            var test = "";
            if (first) {
                if (hasSum && hasAverage) {
                    test = "Total / Moyenne";
                } else if (!hasSum && hasAverage) {
                    test = "Moyenne";
                } else {
                    test = "Total";
                }
                first=false;
            } else {
                for (k=0 ; k<this.tabCalculs.length ; k++) {
                    if (this.tabColonnes[j].donnee == this.tabCalculs[k].data) {
                        valeur=this.tabCalculs[k].lireCalcul(0);
                        if ((this.tabColonnes[j].type == "DATE") && (this.tabColonnes[j].affichage != "DATE")) {
                            test=dateFormat(valeur,this.tabColonnes[j].affichage);
                            if (test == null){
                                test="<b><i>wrong format</i></b>";
                            }
                        } else if ((this.tabColonnes[j].type == "NUMBER") && (this.tabColonnes[j].affichage != "NUMBER")) {
                            test=numberFormat(valeur,this.tabColonnes[j].affichage);
                            if (test == null){
                                test="<b><i>wrong format</i></b>";
                            }
                        } else {
                            test=valeur;
                        }
                    }
                }
            }

            if ((test) && (test != "")) {
                this.excelExportAddColonne("total_" + nb_visible_colonnes, test, form);
            }
            nb_visible_colonnes++;
        }
    }
}

/**
* This method is use by the Excel/CSV export.
* It write the sum or average for a group.
* @public
* @param {int_Obligatoire} level : the level of the group (1,2,3)
* @param {String_Obligatoire} value : the value of the group
* @param {String_Obligatoire} form : the HTML form
* @param {int_Obligatoire} line : the line after write the calcul
* @return {void}
* @version 2.8.1
* @date 22/11/2007
*/
function ComposantTableur_excelExport_calcul(level, value, form, line) {
    
    if (value != false) {
        // We find what calculs it's done for total
        var hasSum = false;
        var hasAverage = false;
        for (k=0 ; k<this.tabCalculs.length ; k++) {
            if (this.tabCalculs[k].formule == "SOMME"){
                hasSum = true;
            } else if (this.tabCalculs[k].formule == "MOYENNE"){
                hasAverage = true;
            }
        }
    
        var first=true;
        var nb_visible_colonnes = 0;
        for (var j=0 ; j<this.tabColonnes.length ; j++) {
            //Gnration de chaque cellule prsente dans la ligne
            if ((this.tabColonnes[j].cache != "OUI") && (this.tabColonnes[j].cache != "JAMAIS")) {
                var test = null;
                if (first) {
                    if (hasSum && hasAverage) {
                        test = "Total / Moyenne";
                    } else if (!hasSum && hasAverage) {
                        test = "Moyenne";
                    } else {
                        test = "Total";
                    }
                
                    test += " " + value;
                    first=false;
                } else {
                    for (k=0 ; k<this.tabCalculs.length ; k++) {
                        if (this.tabColonnes[j].donnee == this.tabCalculs[k].data) {
                            value=this.tabCalculs[k].lireCalcul(level);
                            if ((this.tabColonnes[j].type == "DATE") && (this.tabColonnes[j].affichage != "DATE")) {
                                test=dateFormat(value,this.tabColonnes[j].affichage);
                                if (test == null) {
                                    test="wrong format";
                                }
                            } else if ((this.tabColonnes[j].type == "NUMBER") && (this.tabColonnes[j].affichage != "NUMBER")) {
                                test=numberFormat(value,this.tabColonnes[j].affichage);
                                if (test == null){
                                    test="wrong format";
                                }
                            } else {
                                test=value;
                            }
                        }
                    }
                }
    
                
                if ((test) && (test != "")) {
                    this.excelExportAddColonne("calcul_" + level + "_" + line + "_" + nb_visible_colonnes, test, form);
                }
                nb_visible_colonnes++;
            }
        }
    }
}

/**
* This method is use by the Excel/CSV export.
* It write a all lines of table in the form.
* @public
* @param {String_Obligatoire} form : the HTML form
* @param {int_Obligatoire} nbLines : the number of lines in the table
* @return {void}
* @version 2.8.1
* @date 22/11/2007
*/
function ComposantTableur_excelExport_boucle(form, nbLines)
{
    // Affichage des lignes faisant partie de la pagination 
    var itemLignes = parent.getElements(this.XMLData.xmlDoc,this.donneeLigne);  

    var i=0;
    
    // Initialisation des variables de gestion des groupements
    this.LastValueGroupe1 = null;                     
    this.LastValueGroupe2 = null;                     
    this.LastValueGroupe3 = null;                     
    for (var k=0; k<this.tabCalculs.length ; k++) {
        this.tabCalculs[k].effacerCalcul(1);
    }
    
    for ( ; i<nbLines ; i++) {

        // Gestion des regroupements
        var groupe1=(this.groupe1 != null)?parent.getDataElement(itemLignes[i],this.groupe1):null;
        var groupe2=(this.groupe2 != null)?parent.getDataElement(itemLignes[i],this.groupe2):null;
        var groupe3=(this.groupe3 != null)?parent.getDataElement(itemLignes[i],this.groupe3):null;
        
        if (this.LastValueGroupe1 != groupe1) {
            if (this.LastValueGroupe1 != null) {
                this.excelExportCalcul(3,this.LastValueGroupe3,form, i);
                this.excelExportCalcul(2,this.LastValueGroupe2,form, i);
                this.excelExportCalcul(1,this.LastValueGroupe1,form, i);
                for (var k=0; k<this.tabCalculs.length ; k++) {
                    this.tabCalculs[k].effacerCalcul(1);
                }
            }
            this.excelExportGroupe(1,groupe1,form, i);
            this.excelExportGroupe(2,groupe2,form, i);
            this.excelExportGroupe(3,groupe3,form, i);
        } else if (this.LastValueGroupe2 != groupe2) {
            if (this.LastValueGroupe2 != null) {
                this.excelExportCalcul(3,this.LastValueGroupe3,form, i);
                this.excelExportCalcul(2,this.LastValueGroupe2,form, i);
                for (var k=0; k<this.tabCalculs.length ; k++) {
                    this.tabCalculs[k].effacerCalcul(2);
                }
            }
            this.excelExportGroupe(2,groupe2,form, i);
            this.excelExportGroupe(3,groupe3,form, i);
        } else if (this.LastValueGroupe3 != groupe3) {
            if (this.LastValueGroupe3 != null) {
                this.excelExportCalcul(3,this.LastValueGroupe3,form, i);
                for (var k=0; k<this.tabCalculs.length ; k++) {
                    this.tabCalculs[k].effacerCalcul(2);
                }
            }
            this.excelExportGroupe(3,groupe3,form, i);   
        }

        for (var k=0; k<this.tabCalculs.length ; k++) {
            this.tabCalculs[k].incrementeCalcul(parent.getDataElement(itemLignes[i],this.tabCalculs[k].data));
        }
        
      // Affichage d'une ligne
        if  (i >= 0) {
            this.excelExportLine(i,form);
        }

        // Gestion des regroupements
        this.LastValueGroupe1 = groupe1;                      
        this.LastValueGroupe2 = groupe2;                      
        this.LastValueGroupe3 = groupe3;
    }

    if (this.LastValueGroupe1 != null) {
        this.excelExportCalcul(3,groupe3,form,nbLines);
        this.excelExportCalcul(2,groupe2,form,nbLines);
        this.excelExportCalcul(1,groupe1,form,nbLines);
    }
    
    this.excelExportTotal(form);
}

//Fonction pour gnrer le code HTML associ  une ligne de groupement

/**
* La mthode prive ecrireComposantDomHTMLZoneGroupe()) gnre une ligne de regourpement du tableur. <br>
* v2.5 : Ajout de la fonctionnalit pour cacher ou afficher les lignes d'une partie : appel des fonctions
* javascript depuis l'image + ou - <br>
* v2.5 : gestion de l'affichage avec plusieurs niveaux de titres : ne pas afficher les titres  "false"
* @private
* @param {integer_Obligatoire} niveau : Entier indice le niveau du regroupement
* @param {String_Obligatoire}  valeur : String contient la valeur du regroupement en cours pour le niveau donn
* @param {boolean_Optionnel}  boolPremierAppel : Boolen prcisant si la gnration du code est dclenche
* @param {boolean_Optionnel}  boolVersionEtendue : Boolen prcisant si la gnration du code est dclenche en pleine page ou non.
* @param {boolean_Optionnel}  boolErreurAppel : Boolen prcisant si la gnration du code est dclenche en cas d'erreur sur l'affichage du contenu du tableau.
* @param {integer_Optionnel}  compteur_actions : Entier prcisant le nombre d'action maximale du tableau.
* @param {integer_Optionnel}  compteur_colonnes_visibles : Entier prcisant le nombre de colonnes visibles du tableau.
* @return {string} Code HTML
* @version 2.5.3
* @date 05/10/2007
*/ 
function ComposantTableur_ecrireHTML_Groupe(niveau, valeur) {
  var argv = ComposantTableur_ecrireHTML_Groupe.arguments;
  var argc = ComposantTableur_ecrireHTML_Groupe.arguments.length;
  var boolPremierAppel = (argc > 2) ? argv[2] : true;
  var boolVersionEtendue = (argc > 3) ? argv[3] : false;
  var boolErreurAppel = (argc > 4) ? argv[4] : false;
	var compteur_actions = (argc > 5) ? argv[5] : 0;
	var compteur_colonnes_visibles = (argc > 6) ? argv[6] : 0;

	// test si niveau demand actif
	if (valeur == null || valeur == false	)
		return "";

	// gnration de la ligne de regroupement
  var codeHTML = '<tr id=\''+valeur+niveau+'\' onClick="javascript:'+this.id+'.onClickGroupe(this,'+null+')">' ;

  if (compteur_actions != 0) {
    codeHTML += '<td id=\''+valeur+'\' nowrap="nowrap" width="' + (compteur_actions*tailleAction) + '" valign="bottom">';
		if(niveau!=1){
				codeHTML += '<img src="' + image_spacer_src + '" width="13px" />'; 
			if(niveau==3)
					codeHTML += '<img src="' + image_spacer_src + '" width="13px" />'; 
		}
		codeHTML += '<img id=\''+valeur+'_img\'src="' + icone_niv_ouvert + '" border="0" '; 
		codeHTML += 'onMouseOver="javascript:'+this.id+'.onMouseOverGroupe(this)" onMouseOut="javascript:'+this.id+'.onMouseOutGroupe(this)"/>'; 
		//codeHTML += 'onClick="javascript:'+this.id+'.onClickGroupe('+null+',this)"/>';        
    codeHTML += '&nbsp;<img src="' + image_spacer_src + '" width="'+this.objPresentation.sizeIcone+'" border="0"/>';
    codeHTML += '</td>\n';  	
  } 
  
  codeHTML += '<td colspan="' + (((this.boolScrollbarVerticale) && (!window.ActiveXObject))?compteur_colonnes_visibles-2:compteur_colonnes_visibles-1) + '">';
  codeHTML += '<div class="';
	codeHTML += 'tableau_ht' + niveau; 
  codeHTML += this.objPresentation.classFont; 
  codeHTML += '">';
  if ((valeur) && (valeur != ""))
    codeHTML += valeur;
  else
    codeHTML += '&nbsp;';
  codeHTML += '</div>\n';
  codeHTML += '</td>\n';
  codeHTML += '</tr>\n';
	return codeHTML;	
}


// Fonction pour gnrer le code HTML associ  une ligne de rsultat de calcul pour un groupement

/**
* La mthode prive ecrireComposantDomHTMLZoneInfo()) gnre de rsultat de calcul pour un groupement du tableur.
* @private
* @param {boolean_Optionnel}  boolPremierAppel Boolen prcisant si la gnration du code est dclenche
* @param {boolean_Optionnel}  boolVersionEtendue Boolen prcisant si la gnration du code est dclenche en pleine page ou non.
* @param {boolean_Optionnel}  boolErreurAppel Boolen prcisant si la gnration du code est dclenche en cas d'erreur sur l'affichage du contenu du tableau.
* @param {integer_Optionnel}  compteur_colonnes_visibles Entier prcisant le nombre de colonnes visibles du tableau.
* @return {string} Code HTML
* @version 2.5.3
* @date 05/10/2007
*/ 
function ComposantTableur_ecrireHTML_Total() {
  var argv = ComposantTableur_ecrireHTML_Total.arguments;
  var argc = ComposantTableur_ecrireHTML_Total.arguments.length;
  var boolPremierAppel = (argc > 0) ? argv[0] : true;
  var boolVersionEtendue = (argc > 1) ? argv[1] : false;
  var boolErreurAppel = (argc > 2) ? argv[2] : false;
	var compteur_actions = (argc > 3) ? argv[3] : 0;
	var compteur_colonnes_visibles = (argc > 4) ? argv[4] : 0;

	var codeHTML = "";

	// test si zone d'info  afficher
  if ((boolPremierAppel) || (boolErreurAppel))
		return "";

	// remise a zero des niveaux de groupement et du total
	for (var k=0; k<this.tabCalculs.length ; k++)
		this.tabCalculs[k].effacerCalcul(0);

	// calcul du total
	var itemLignes = parent.getElements(this.XMLData.xmlDoc,this.donneeLigne);	
	for (i=0 ; i<itemLignes.length ; i++) {
		// Gestion du filtrage
	  var test = true;
	  if (this.boolFiltrageEnCours)
	    test = this.testFiltre(i);
	  if (!test)
	  	continue;
		
		// Gestion du filtrage sur les regroupements
		test = true;
		if (this.boolFiltrageTitreEnCours)
		  test = this.testFiltreTitre(i);
		if (!test)
			continue;
		  	
		for (var k=0; k<this.tabCalculs.length ; k++)
			this.tabCalculs[k].incrementeTotal(parent.getDataElement(itemLignes[i],this.tabCalculs[k].data));
	}
		
	// remise a zero des niveaux de groupement, on ne conserve que le total
    var hasSum = false;
    var hasAverage = false;
	for (var k=0; k<this.tabCalculs.length ; k++) {
		this.tabCalculs[k].effacerCalcul(1);
        
        if (this.tabCalculs[k].formule == "SOMME"){
            hasSum = true;
        } else if (this.tabCalculs[k].formule == "MOYENNE"){
            hasAverage = true;
        }
    }

	// gnration de la ligne de regroupement
  var codeHTML = '<tr class="';
	codeHTML += 'tableau_hto0';
  codeHTML += this.objPresentation.classFont; 
  codeHTML += '" style="position: relative;" >\n';

  if (compteur_actions != 0) {
    codeHTML += '<td nowrap="nowrap" width="' + (compteur_actions*tailleAction) + '">';
    codeHTML += '&nbsp;<img src="' + image_spacer_src + '" width="'+this.objPresentation.sizeIcone+'" border="0"/>';
    codeHTML += '</td>\n';  	
  } 

	var first=true;  
  for (var j=0 ; j<this.tabColonnes.length ; j++) {
    //Gnration de chaque cellule prsente dans la ligne
    if (((this.tabColonnes[j].cache != "OUI") && (this.tabColonnes[j].cache != "JAMAIS")) || ((this.tabColonnes[j].cache == "OUI") && (boolVersionEtendue))) {
      var test = "";
    	if (first) {
            if (hasSum && hasAverage) {
                test = "Total / Moyenne";
            } else if (!hasSum && hasAverage) {
                test = "Moyenne";
            } else {
                test = "Total";
            }
    		first=false;
    	} else {
    		for (k=0 ; k<this.tabCalculs.length ; k++) {
    			if (this.tabColonnes[j].donnee == this.tabCalculs[k].data) {
    			  valeur=this.tabCalculs[k].lireCalcul(0);
    				if ((this.tabColonnes[j].type == "DATE") && (this.tabColonnes[j].affichage != "DATE")) {
		      		test=dateFormat(valeur,this.tabColonnes[j].affichage);
		      		if (test == null) test="<b><i>wrong format</i></b>"
		      	} else if ((this.tabColonnes[j].type == "NUMBER") && (this.tabColonnes[j].affichage != "NUMBER")) {
		      		test=numberFormat(valeur,this.tabColonnes[j].affichage);
		      		if (test == null) test="<b><i>wrong format</i></b>"
		      	} else
		      		test=valeur;
    			}
    		}
    	}

	    if (this.objPresentation.sizeSpace != 0)
	    	codeHTML += '<td><img src="' + image_spacer_src + '" width="'+this.objPresentation.sizeSpace+'" height="'+this.objPresentation.sizeSpace+'" border="0"/></td>';
    				      			      
      codeHTML += '<td';
      if ( ((this.tabColonnes[j].largeur) && (this.tabColonnes[j].largeur != "") && (!boolVersionEtendue)) || ((this.tabColonnes[j].alignement) && (this.tabColonnes[j].alignement != "")) || ((this.tabColonnes[j].largeurEtendue) && (this.tabColonnes[j].largeurEtendue != "") && (boolVersionEtendue)) ) {
        codeHTML += ' width="';
        if (!boolVersionEtendue) {
          if ((this.tabColonnes[j].largeur) && (this.tabColonnes[j].largeur != ""))
             codeHTML += this.tabColonnes[j].largeur + '"';
        } else {
          if ((this.tabColonnes[j].largeurEtendue) && (this.tabColonnes[j].largeurEtendue != ""))
            codeHTML += this.tabColonnes[j].largeurEtendue + '"';
        }
        if (this.tabColonnes[j].alignement)
          codeHTML += ' style="text-align :' + this.tabColonnes[j].alignement + '"';
      }
      
      if ((test) && (test != ""))
        codeHTML += '>' + test;
      else
        codeHTML += '>&nbsp;';
      codeHTML += '</td>\n';
    }
  }
  
  if ((this.boolScrollbarVerticale) && (!window.ActiveXObject))
  	codeHTML += '<td style="table-layout: fixed" width="16" nowrap="nowrap"><img src="' + image_spacer_src + '" width="16" height="1" vspace="4" alt="" /></td>\n';

  codeHTML += '</tr>\n';
	return codeHTML;	
}

/**
* La mthode prive ecrireComposantDomHTMLZoneCalcul()) gnre de rsultat de calcul pour un groupement du tableur. <br>
* v2.5 : gestion de l'affichage avec plusieurs niveaux de totaux : ne pas afficher les totaux  "false"
* @private
* @param {integer_Obligatoire} niveau : Entier indice le niveau du regroupement
* @param {String_Obligatoire}  valeur : String contient la valeur du regroupement en cours pour le niveau donn
* @param {boolean_Optionnel}  boolPremierAppel : Boolen prcisant si la gnration du code est dclenche
* @param {boolean_Optionnel}  boolVersionEtendue : Boolen prcisant si la gnration du code est dclenche en pleine page ou non.
* @param {boolean_Optionnel}  boolErreurAppel : Boolen prcisant si la gnration du code est dclenche en cas d'erreur sur l'affichage du contenu du tableau.
* @param {integer_Optionnel}  compteur_actions : Entier prcisant le nombre d'action maximale du tableau.
* @param {integer_Optionnel}  compteur_colonnes_visibles : Entier prcisant le nombre de colonnes visibles du tableau.
* @return {string} Code HTML
* @version 2.5.3
* @date 05/10/2007
*/
// Fonction pour gnrer le code HTML associ  une ligne de rsultat de calcul pour un groupement
function ComposantTableur_ecrireHTML_Calcul(niveau, valeur) {
  var argv = ComposantTableur_ecrireHTML_Calcul.arguments;
  var argc = ComposantTableur_ecrireHTML_Calcul.arguments.length;
  var boolPremierAppel = (argc > 2) ? argv[2] : true;
  var boolVersionEtendue = (argc > 3) ? argv[3] : false;
  var boolErreurAppel = (argc > 4) ? argv[4] : false;
	var compteur_actions = (argc > 5) ? argv[5] : 0;
	var compteur_colonnes_visibles = (argc > 6) ? argv[6] : 0;
	var codeHTML="";

	// test si niveau demand actif
	if (valeur == null || valeur == false)
		return "";

	// gnration de la ligne de regroupement
  var codeHTML = '<tr id=\'total_'+valeur+niveau+'\' class="';
	codeHTML += 'tableau_hto' + niveau; 
  codeHTML += this.objPresentation.classFont; 
  codeHTML += '">\n';

  if (compteur_actions != 0) {
    codeHTML += '<td nowrap="nowrap" width="' + (compteur_actions*tailleAction) + '">';
    codeHTML += '&nbsp;<img src="' + image_spacer_src + '" width="'+this.objPresentation.sizeIcone+'" border="0"/>';
    codeHTML += '</td>\n';  	
  } 
  
  // We find what calculs it's done for total
  var hasSum = false;
  var hasAverage = false;
  for (k=0 ; k<this.tabCalculs.length ; k++) {
    if (this.tabCalculs[k].formule == "SOMME"){
        hasSum = true;
    } else if (this.tabCalculs[k].formule == "MOYENNE"){
        hasAverage = true;
    }
  }

	var first=true;  
  for (var j=0 ; j<this.tabColonnes.length ; j++) {
    //Gnration de chaque cellule prsente dans la ligne
    if (((this.tabColonnes[j].cache != "OUI") && (this.tabColonnes[j].cache != "JAMAIS")) || ((this.tabColonnes[j].cache == "OUI") && (boolVersionEtendue))) {
      var test = "";
    	if (first) {
            if (hasSum && hasAverage) {
                test = "Total / Moyenne";
            } else if (!hasSum && hasAverage) {
                test = "Moyenne";
            } else {
                test = "Total";
            }
        
    		test += " " + valeur;
    		first=false;
    	} else {
    		for (k=0 ; k<this.tabCalculs.length ; k++) {
    			if (this.tabColonnes[j].donnee == this.tabCalculs[k].data) {
    			  valeur=""+this.tabCalculs[k].lireCalcul(niveau);
    				if ((this.tabColonnes[j].type == "DATE") && (this.tabColonnes[j].affichage != "DATE")) {
		      		test=dateFormat(valeur,this.tabColonnes[j].affichage);
		      		if (test == null) test="<b><i>wrong format</i></b>"
		      	} else if ((this.tabColonnes[j].type == "NUMBER") && (this.tabColonnes[j].affichage != "NUMBER")) {
		      		test=numberFormat(valeur,this.tabColonnes[j].affichage);
		      		if (test == null) test="<b><i>wrong format</i></b>"
		      	} else
		      		test=valeur;
    			}
    		}
    	}

	    if (this.objPresentation.sizeSpace != 0)
	    	codeHTML += '<td><img src="' + image_spacer_src + '" width="'+this.objPresentation.sizeSpace+'" height="'+this.objPresentation.sizeSpace+'" border="0"/></td>';
    				      
      codeHTML += '<td ';
      if ( ((this.tabColonnes[j].largeur) && (this.tabColonnes[j].largeur != "") && (!boolVersionEtendue)) || ((this.tabColonnes[j].alignement) && (this.tabColonnes[j].alignement != "")) || ((this.tabColonnes[j].largeurEtendue) && (this.tabColonnes[j].largeurEtendue != "") && (boolVersionEtendue)) ) {
        codeHTML += ' width="';
        if (!boolVersionEtendue) {
          if ((this.tabColonnes[j].largeur) && (this.tabColonnes[j].largeur != ""))
             codeHTML += this.tabColonnes[j].largeur + '"';
        } else {
          if ((this.tabColonnes[j].largeurEtendue) && (this.tabColonnes[j].largeurEtendue != ""))
            codeHTML += this.tabColonnes[j].largeurEtendue + '"';
        }
        if (this.tabColonnes[j].alignement)
          codeHTML += ' style="text-align :' + this.tabColonnes[j].alignement + '"';
      }
      
      if ((test) && (test != ""))
        codeHTML += '>' + test;
      else
        codeHTML += '>&nbsp;';
      codeHTML += '</td>\n';
    }
  }
    
  codeHTML += '</td>\n';
  codeHTML += '</tr>\n';
	return codeHTML;	
}


// Fonction pour gnrer le code HTML associ au composant tableaur

/**
* La mthode publique ecrireComposantDomHTMLBoucle() dclenche la gnration du code HTML de la zone dynamique
* associe au composant Tableaur. 
* @public
* @param {integer_Obligatoire} minLignes : Entier indice de la 1 ligne  gnre
* @param {integer_Obligatoire} maxLignes : Entier indice de la dernire ligne  gnre
* @param {boolean_Facultatif}  boolPremierAppel : Boolen prcisant si la gnration du code est dclenche
* @param {boolean_Facultatif}  boolVersionEtendue : Boolen prcisant si la gnration du code est dclenche en pleine page ou non.
* @param {boolean_Facultatif}  boolErreurAppel : Boolen prcisant si la gnration du code est dclenche en cas d'erreur sur l'affichage du contenu du tableur.
* @param {integer_Facultatif}  compteur_actions : Entier prcisant le nombre d'action maximale du tableau.
* @param {integer_Facultatif}  compteur_colonnes_visibles : Entier prcisant le nombre de colonnes visibles du tableur.
* @return {string} Code HTML
* @version 2.5.3
* @date 05/10/2007
*/ 
function ComposantTableur_ecrireHTML_Boucle(minLignes, maxLignes)
{
  var argv = ComposantTableur_ecrireHTML_Boucle.arguments;
  var argc = ComposantTableur_ecrireHTML_Boucle.arguments.length;
  var boolPremierAppel = (argc > 2) ? argv[2] : true;
  var boolVersionEtendue = (argc > 3) ? argv[3] : false;
  var boolErreurAppel = (argc > 4) ? argv[4] : false;
	var compteur_actions = (argc > 5) ? argv[5] : 0;
	var compteur_colonnes_visibles = (argc > 6) ? argv[6] : 0;

	if (this.tabCalculs.length == 0)
		return "";
		
	var codeHTML="";
	
	// Affichage des lignes faisant partie de la pagination 
	var itemLignes = parent.getElements(this.XMLData.xmlDoc,this.donneeLigne);	

	// Recherche de la premire de groupement le plus haut 
	if (minLignes != 0) {
		this.LastValueGroupe1 = (this.groupe1 != null)?parent.getDataElement(itemLignes[minLignes],this.groupe1):null;					  
		for (var i=minLignes-1 ; i>0 ; i--) {
			// Gestion du filtrage des colonnes
		  var test = true;
		  if (this.boolFiltrageEnCours)
		    test = this.testFiltre(i);
		  if (!test)
		  	continue;

			// Gestion du filtrage sur les regroupements
		  test = true;
		  if (this.boolFiltrageTitreEnCours)
		    test = this.testFiltreTitre(i);
		  if (!test)
		  	continue;
	  			  	
			var groupe1=(this.groupe1 != null)?parent.getDataElement(itemLignes[i],this.groupe1):null;
			if (this.LastValueGroupe1 != groupe1) 
		  	break;
		}
		i++;
	} else
	 var i=minLignes;
	
	// Initialisation des variables de gestion des groupements
	this.LastValueGroupe1 = null;					  
	this.LastValueGroupe2 = null;					  
	this.LastValueGroupe3 = null;					  
	for (var k=0; k<this.tabCalculs.length ; k++)
		this.tabCalculs[k].effacerCalcul(1);
	
	for ( ; i<maxLignes ; i++) {
		// Gestion du filtrage des colonnes
	  var test = true;
	  if (this.boolFiltrageEnCours)
	    test = this.testFiltre(i);
	  if (!test)
	  	continue;
		
		// Gestion du filtrage sur les regroupements
	  test = true;
	  if (this.boolFiltrageTitreEnCours)
	    test = this.testFiltreTitre(i);
	  if (!test)
	  	continue;

		// Gestion des regroupements
		var groupe1=(this.groupe1 != null)?parent.getDataElement(itemLignes[i],this.groupe1):null;
		var groupe2=(this.groupe2 != null)?parent.getDataElement(itemLignes[i],this.groupe2):null;
		var groupe3=(this.groupe3 != null)?parent.getDataElement(itemLignes[i],this.groupe3):null;
		
		if (this.LastValueGroupe1 != groupe1) {
			if (this.LastValueGroupe1 != null) {
				codeHTML += this.ecrireComposantDomHTMLZoneCalcul(3,this.LastValueGroupe3,boolPremierAppel,boolVersionEtendue,boolErreurAppel,compteur_actions,compteur_colonnes_visibles);
				codeHTML += this.ecrireComposantDomHTMLZoneCalcul(2,this.LastValueGroupe2,boolPremierAppel,boolVersionEtendue,boolErreurAppel,compteur_actions,compteur_colonnes_visibles);
				codeHTML += this.ecrireComposantDomHTMLZoneCalcul(1,this.LastValueGroupe1,boolPremierAppel,boolVersionEtendue,boolErreurAppel,compteur_actions,compteur_colonnes_visibles);
				for (var k=0; k<this.tabCalculs.length ; k++)
					this.tabCalculs[k].effacerCalcul(1);
			}
			codeHTML += this.ecrireComposantDomHTMLZoneGroupe(1,groupe1,boolPremierAppel,boolVersionEtendue,boolErreurAppel,compteur_actions,compteur_colonnes_visibles);
			codeHTML += this.ecrireComposantDomHTMLZoneGroupe(2,groupe2,boolPremierAppel,boolVersionEtendue,boolErreurAppel,compteur_actions,compteur_colonnes_visibles);
			codeHTML += this.ecrireComposantDomHTMLZoneGroupe(3,groupe3,boolPremierAppel,boolVersionEtendue,boolErreurAppel,compteur_actions,compteur_colonnes_visibles);
		} else if (this.LastValueGroupe2 != groupe2) {
			if (this.LastValueGroupe2 != null) {
				codeHTML += this.ecrireComposantDomHTMLZoneCalcul(3,this.LastValueGroupe3,boolPremierAppel,boolVersionEtendue,boolErreurAppel,compteur_actions,compteur_colonnes_visibles);
				codeHTML += this.ecrireComposantDomHTMLZoneCalcul(2,this.LastValueGroupe2,boolPremierAppel,boolVersionEtendue,boolErreurAppel,compteur_actions,compteur_colonnes_visibles);
				for (var k=0; k<this.tabCalculs.length ; k++)
					this.tabCalculs[k].effacerCalcul(2);
			}
			codeHTML += this.ecrireComposantDomHTMLZoneGroupe(2,groupe2,boolPremierAppel,boolVersionEtendue,boolErreurAppel,compteur_actions,compteur_colonnes_visibles);
			codeHTML += this.ecrireComposantDomHTMLZoneGroupe(3,groupe3,boolPremierAppel,boolVersionEtendue,boolErreurAppel,compteur_actions,compteur_colonnes_visibles);
		} else if (this.LastValueGroupe3 != groupe3) {
			if (this.LastValueGroupe3 != null) {
				codeHTML += this.ecrireComposantDomHTMLZoneCalcul(3,this.LastValueGroupe3,boolPremierAppel,boolVersionEtendue,boolErreurAppel,compteur_actions,compteur_colonnes_visibles);
				for (var k=0; k<this.tabCalculs.length ; k++)
					this.tabCalculs[k].effacerCalcul(2);
			}
			codeHTML += this.ecrireComposantDomHTMLZoneGroupe(3,groupe3,boolPremierAppel,boolVersionEtendue,boolErreurAppel,compteur_actions,compteur_colonnes_visibles);	
		}

		for (var k=0; k<this.tabCalculs.length ; k++)
			this.tabCalculs[k].incrementeCalcul(parent.getDataElement(itemLignes[i],this.tabCalculs[k].data))
		
	  // Affichage d'une ligne
		if  (i >= minLignes)
			codeHTML += this.ecrireComposantDomHTMLZoneLigne(i,boolPremierAppel,boolVersionEtendue,boolErreurAppel,compteur_actions,compteur_colonnes_visibles);

		// Gestion des regroupements
		this.LastValueGroupe1 = groupe1;					  
		this.LastValueGroupe2 = groupe2;					  
		this.LastValueGroupe3 = groupe3;
	}

	if ((this.LastValueGroupe1 != null) && (maxLignes == itemLignes.length)) {
		codeHTML += this.ecrireComposantDomHTMLZoneCalcul(3,groupe3,boolPremierAppel,boolVersionEtendue,boolErreurAppel,compteur_actions,compteur_colonnes_visibles);
		codeHTML += this.ecrireComposantDomHTMLZoneCalcul(2,groupe2,boolPremierAppel,boolVersionEtendue,boolErreurAppel,compteur_actions,compteur_colonnes_visibles);
		codeHTML += this.ecrireComposantDomHTMLZoneCalcul(1,groupe1,boolPremierAppel,boolVersionEtendue,boolErreurAppel,compteur_actions,compteur_colonnes_visibles);
	}
	
	return codeHTML;
}

/**
* La mthode prive onClickGroupe(imageCourante) est dclenche depuis l'action HTML onclick sur les images
* d'expansion (signe + ou -) ou non de partie.<br> 
* Elle fait passer l'image de +  - ou vis versa. Elle affiche la partie ou au contraire la cache, ne laissant
* que le titre associ.<br> 
* @private
* @param {Object_Facultatif} tabLigneCourante : Ligne depuis laquelle est appele l'venement HTML
* @param {Object_Facultatif} imageCourante : Image depuis laquelle est appele l'venement HTML
* @return {void}
* @version 2.5
* @date 10/11/2006
*/ 
function ComposantTableur_onClickGroupe(tabLigneCourante,imageCourante){
		//Accs  la ligne et  l'image courantes
		var niv=null;
		if(tabLigneCourante!=null){
			niv=tabLigneCourante.id.substring(tabLigneCourante.id.length-1,tabLigneCourante.id.length);
			imageCourante=tabLigneCourante.firstChild.childNodes[niv-1];
		}
		if(imageCourante!=null){
			tabLigneCourante=imageCourante.parentNode.parentNode;
			niv=tabLigneCourante.id.substring(tabLigneCourante.id.length-1,tabLigneCourante.id.length);
		}
			
		//Accs au tableau HTML contenant l'image clique
		var tabCourant=tabLigneCourante.parentNode.parentNode;
		//On rcupre le titre affich et le niveau d'affichage
    var val=imageCourante.id.substring(0,imageCourante.id.length-4);
    
    //Variables  utiliser pour affichage ou non de la partie
    var tabi=tabLigneCourante.rowIndex+1;
    var nivCourant="";
    var estTotal="";
    
    ////////////////////////////////////////
    //Cas o l'icone est un + (groupe ferm)
    ////////////////////////////////////////
    //Changement d'image + ou -
    if((imageCourante.src.search(icone_niv_fermer)!=-1)||(imageCourante.src.search(icone_niv_fermer_over)!=-1)){
    	if(imageCourante.src.search(icone_niv_fermer)!=-1)
    		imageCourante.src=icone_niv_ouvert;
    	else
    		imageCourante.src=icone_niv_ouvert_over;
    	
    	//Titre du niveau parcouru
    	var idCourant="";
    	//On parcourt les lignes du tableau
			for(tabi;tabCourant.rows[tabi];tabi++){
				//Niveau de la ligne en cours
				nivCourant=tabCourant.rows[tabi].id.substring(tabCourant.rows[tabi].id.length-1,tabCourant.rows[tabi].id.length);
				//La ligne est elle une ligne de total?
				estTotal=tabCourant.rows[tabi].id.substring(0,5);
				//L'affichage est souhait pour toute ligne appartenant  la partie  ouvrir
				if((niv<nivCourant)||nivCourant==""){
					if(niv<nivCourant && estTotal!='total'){
						//Gestion des images + ou - pour les sous parties 
						idCourant=tabCourant.rows[tabi].id.substring(0,tabCourant.rows[tabi].id.length-1);
						tabCourant.rows[tabi].cells[1].firstChild.src=icone_niv_ouvert;
						document.getElementById(idCourant+"_img").src=icone_niv_ouvert;
					} 
					tabCourant.rows[tabi].style.display="";
				}else{
					break;
				}}
    }else{
    	/////////////////////////////////////////
    	//Cas o l'icone est un - (groupe ouvert)
    	/////////////////////////////////////////
      //Changement d'image + ou -
    	if(imageCourante.src.search(icone_niv_ouvert)!=-1)
    		imageCourante.src=icone_niv_fermer;
    	else
    		imageCourante.src=icone_niv_fermer_over;
 
			//On parcourt les lignes du tableau
			for(tabi;tabCourant.rows[tabi];tabi++){
				//Niveau de la ligne en cours
				nivCourant=tabCourant.rows[tabi].id.substring(tabCourant.rows[tabi].id.length-1,tabCourant.rows[tabi].id.length);
				//La ligne est elle une ligne de total?
				estTotal=tabCourant.rows[tabi].id.substring(0,5);
				if(niv<nivCourant||nivCourant==""){
					tabCourant.rows[tabi].style.display="none";
				}else{
					break;
				}}
    }
}

/**
* La mthode prive onMouseOverGroupe(imageCourante) est dclenche depuis l'action HTML onMouseOver sur les images
* d'expansion (signe + ou -) ou non de partie.<br>
* Elle modifie l'image au passage de la souris, amliorant ainsi l'ergonomie de l'application.<br> 
* @private
* @param {Object_Obligatoire} imageCourante : Image depuis laquelle est appele l'venement HTML
* @return {void}
* @version 2.5
* @date 10/11/2006
*/ 
function ComposantTableur_onMouseOverGroupe(imageCourante){
    //Changement de l'image : plus claire au passage de la souris
    //Cas o l'icone est un +
    if(imageCourante.src.search(icone_niv_fermer)!=-1){
    	imageCourante.src=icone_niv_fermer_over;
    }else{
    	//Cas o l'icone est un -
    	imageCourante.src=icone_niv_ouvert_over;
    }
}

/**
* La mthode prive onMouseOutGroupe(imageCourante) est dclenche depuis l'action HTML onMouseOut sur les images
* d'expansion (signe + ou -) ou non de partie.<br>
* Elle modifie l'image au dpart de la souris, amliorant ainsi l'ergonomie de l'application.<br> 
* @private
* @param {Object_Obligatoire} imageCourante : Image depuis laquelle est appele l'venement HTML
* @return {void}
* @version 2.5
* @date 10/11/2006
*/
function ComposantTableur_onMouseOutGroupe(imageCourante){
		//Changement de l'image : plus fonce quand la souris s'loigne
		//Cas o l'icone est un +
    if(imageCourante.src.search(icone_niv_fermer_over)!=-1){
    	imageCourante.src=icone_niv_fermer;
    }else{
    	//Cas o l'icone est un -
    	imageCourante.src=icone_niv_ouvert;
    }
}

/**
* La mthode prive triTableur() est dclenche depuis l'image de tri affiche si la balise XML 
* <ACTION_TRI> est renseigne. Elle permet de trier les groupements du tableur par ordre alphabtique
* croissant, puis dcroissant lors d'un second clic, et non ordonn lors d'un nouveau clic.
* @private
* @param {String_Obligatoire} ordre : correspond aux constantes de tri
* @return {void}
* @version 2.5
* @date 10/11/2006
*/
function ComposantTableur_triTableur(ordre){
	var tabTri=new Array();
	var tabOrdres=new Array();
	if(this.groupe1!=null){
		tabTri.push(0);
		tabOrdres.push(ordre);
	}
	if(this.groupe2!=null){
		tabTri.push(1);
		tabOrdres.push(ordre);
	}
	if(this.groupe3!=null){
		tabTri.push(2);
		tabOrdres.push(ordre);
	}
		
	if(ordre=="CROISSANT"){
		this.tabOutils[this.tabObjectOutilTri[0]] = this.tabObjectOutilTri[2];
		this.tri(tabTri, tabOrdres);
	}else{
		if(ordre=="DECROISSANT"){
		this.tabOutils[this.tabObjectOutilTri[0]] = this.tabObjectOutilTri[3];
		this.tri(tabTri, tabOrdres);
	}else{
		this.tabOutils[this.tabObjectOutilTri[0]] = this.tabObjectOutilTri[1];		
		this.tri(tabTri, "NON");
	}}
	this.ecrireBind(false);
}

/**
* La mthode prive ouvrirFiltreTitres() est dclenche depuis l'image de filtre affiche si la balise XML 
* <ACTION_FILTRE_TITRES_PRESENT> est renseigne dans les OUTILS. Elle permet d'ouvrir la popup de choix
* des titres  filtrer.
* @private
* @param {} Aucun
* @return {void}
* @version 2.5
* @date 10/11/2006
*/
function ComposantTableur_ouvrirFiltreTitres(){
	//On recherche le nombre de titres pour ajuster la taille de la fenetre
	var nbTotalTitres=0;
	var listeTitresNiveau1;
	var listeTitresNiveau2;
	var listeTitresNiveau3;
	
	listeTitresNiveau1=this.listerTitres(null,null);
  //On parcourt les titres de niveau 1
  for(var cptTitres1=0; cptTitres1<listeTitresNiveau1.length; cptTitres1++){
  	nbTotalTitres++;
  	listeTitresNiveau2=this.listerTitres(listeTitresNiveau1[cptTitres1],null);
  	//On parcourt les titres de niveau 2
  	for(var cptTitres2=0; cptTitres2<listeTitresNiveau2.length; cptTitres2++){
  		nbTotalTitres++;
  		listeTitresNiveau3=this.listerTitres(listeTitresNiveau1[cptTitres1],listeTitresNiveau2[cptTitres2]);
	  	//On parcourt les titres de niveau 3
	  	for(var cptTitres3=0; cptTitres3<listeTitresNiveau3.length; cptTitres3++){
  			nbTotalTitres++;
  		}
  	}
  }
	var hauteur=Math.min(nbTotalTitres*30+40,800);
	OpenWindowFocus(urlFiltreTitres, "FiltreTitres", "alwaysRaised, dependent, height="+hauteur+", width=1000, menubar=no, resizable=yes, scrollbars=yes, status=no, titlebar=no, toolbar=no, screenX=10, screenY=10");
}



// Fonction appele pour tester si une ligne respecte le filtre sur les groupements

/**
* La mthode prive testFiltreTitre(item) est appele pour tester si une ligne respecte
* les filtres sur les groupements associs au tableur.
* @private
* @param {int_Obligatoire} item : index de la ligne  tester.
* @return {boolean} Vrai si la ligne respecte les filtres de groupements, faux sinon.
* @version 2.5
* @date 14/02/2007
*/
function ComposantTableur_testFiltreTitre(item)
{
  // Rcupration de l'lment en cours
  var elementTest = parent.getElements(this.XMLData.xmlDoc,this.donneeLigne)[item];
	

	// Rcupration des valeurs des groupements de l'lment en cours
	var noeudTitre1 = parent.getElements(elementTest, this.groupe1)[0];
	var noeudTitre2 = parent.getElements(elementTest, this.groupe2)[0];
	var noeudTitre3 = parent.getElements(elementTest, this.groupe3)[0];
  var valTitre1 = "";
  if (noeudTitre1 != null)
  	valTitre1 = (noeudTitre1.text)?noeudTitre1.text:noeudTitre1.textContent;
  var valTitre2 = "";
  if (noeudTitre2 != null)
  	valTitre2 = (noeudTitre2.text)?noeudTitre2.text:noeudTitre2.textContent;
  var valTitre3 = "";
  if (noeudTitre3 != null)  
  	valTitre3 = (noeudTitre3.text)?noeudTitre3.text:noeudTitre3.textContent;  
  		
	return this.existeFiltreTitre(valTitre1, valTitre2, valTitre3);
}

/**
* La mthode prive existeFiltreTitre(titre1, titre2, titre3) est appele pour tester si un
* un triplet titre1, titre2 et titre3 existe dans la liste des filtres sur groupement.
* Pour ne pas spcifier la valeur d'un des trois titres, utilisez la chaine vide "". Dans ce cas,
* la fonction renvoie VRAI si il existe au moins un filtre utilisant cette portion de filtre sur
* groupement (ex: s'il existe un filtre ["monTitre1", "MonTitre12", ""]
* alors existeFiltreTitre("monTitre1", "", "") renvoie VRAI).
* <br>Un filtre sur groupement est un triplet de trois
* valeurs : un libell de niveau 1, de niveau 2 et de niveau 3 dfinis dans les attributs filtresTitreNiveau1,
* filtresTitreNiveau2 et filtreTitreNiveau3. Ainsi, le premier filtre sur groupement du tableur sera
* le triplet this.filtresTitreNiveau1[0],this.filtresTitreNiveau2[0],this.filtresTitreNiveau3[0].
* @private
* @param {String_Obligatoire} titre1 : Valeur du titre de niveau 1.
* @param {String_Obligatoire} titre2 : Valeur du titre de niveau 2.
* @param {String_Obligatoire} titre3 : Valeur du titre de niveau 3.
* @return {boolean} Vrai si le triplet correspond  un filtre sur les titres, faux sinon.
* @version 2.5
* @date 14/02/2007
*/
function ComposantTableur_existeFiltreTitre(titre1, titre2, titre3)
{
	// Vrification des paramtres en rapport avec le filtrage des titres
  if (this.filtresTitreNiveau1.length == 0  || this.filtresTitreNiveau2.length == 0
      || this.filtresTitreNiveau3.length == 0)
 		return false;
 		
  // Parcours des filtres sur les titres
  for (var indiceTabFiltres = 0; indiceTabFiltres < this.filtresTitreNiveau1.length; indiceTabFiltres++) {

		// Verification de la correspondance avec le niveau 1 du filtre
		if (this.filtresTitreNiveau1[indiceTabFiltres] != titre1)
			continue;

		// Verification de la correspondance avec le niveau 2 du filtre
		if (titre2 == "")
			return true;
		if (titre2 != "" && this.filtresTitreNiveau2[indiceTabFiltres] != titre2)
			continue;

		// Verification de la correspondance avec le niveau 3 du filtre
		if (titre3 == "")
			return true;
		if (titre3 != "" && this.filtresTitreNiveau3[indiceTabFiltres] != titre3)
			continue;
		
		return true;
  } 
  return false;
}



//Fonction qui  partir de tous les titres de niveau 1 du tableur rcupre les titres uniques
//Renvoie un tableau des titres uniques
/**
* La mthode prive listerTitres(titre1,titre2)  
* permet de rcuprer les titres uniques de niveau 1,2ou3. les paramtres de la fonction sont les titres de
* niveau suprieur  ceux recherchs. Si titre1 et titre2 sont nulls, cela signifie que l'on souhaite 
* un tableau des titres de niveau 1. Si titre1 est non null et titre2 null, on souhaite un tableau des 
* sous titres de titre1, c'est a dire un tableau de titres de niveau 2. Et si tous les champs sont non nulls
* on retourne un tableau de titres de niveau 3.
* @private
* @param {titre1_Facultatif} titre1 : titre de niveau 1
* @param {titre2_Facultatif} titre2 : titre de niveau 2
* @return {Array_String} tableau des titres uniques
* @version 2.5
* @date 10/11/2006
*/
function ComposantTableur_listerTitres(titre1,titre2){
	//Cas ou l'on retourne des titres de niveau 1
	if(titre2==null && titre1==null && this.groupe1!=null){
				//Recupration des elements titre1
				var listeTitres1=parent.getElements(this.XMLData.xmlDoc,this.groupe1);
				//Variable  retourner
				var listeTitresNiveau1=new Array();
		  	//Suppression des doublons
	  			//Dernier titre ajout
	  			var dernierTitre="";
	  			for(var i=0;i<listeTitres1.length;i++){
	  			//Gestion des navigateurs : text pour ie, opera, safari; textContent pour mozilla firefox
	  				if (listeTitres1[i].text && listeTitres1[i].text!=dernierTitre){
	  						listeTitresNiveau1.push(listeTitres1[i].text);
	  						dernierTitre=listeTitres1[i].text;
						}else
		 					if(listeTitres1[i].textContent && listeTitres1[i].textContent!=dernierTitre){
  							listeTitresNiveau1.push(listeTitres1[i].textContent);
  							dernierTitre=listeTitres1[i].textContent;
  						}
  				} 
  			return listeTitresNiveau1;
  		}
  		
  		//Cas ou l'on retourne des titres de niveau 2
			if(titre2==null && titre1!=null && this.groupe2!=null){
				//Recupration des elements titre2
				var listeTitres2=parent.getElements(this.XMLData.xmlDoc,this.groupe2);
				//Variable  retourner
				var listeTitresNiveau2=new Array();
		  	//Suppression des doublons
		  	//Dernier titre ajout
	  			var dernierTitre="";
	  			for(var i=0;i<listeTitres2.length;i++){
	  			  //Gestion des navigateurs : text pour ie, opera, safari; textContent pour mozilla firefox
	  				if (listeTitres2[i].text && listeTitres2[i].text!=dernierTitre){
	  						//Accs au titre de niveau 1
	  						var contenuTag=(listeTitres2[i].parentNode.getElementsByTagName(this.groupe1))[0].text;
	  						//Si le titre de niveau 1 correspond  celui en paramtre, l'lment doit etre retenu
	  						if(contenuTag.indexOf(titre1,0) != -1)
	  							listeTitresNiveau2.push(listeTitres2[i].text);
	  						dernierTitre=listeTitres2[i].text;
						}else
		 					if(listeTitres2[i].textContent && listeTitres2[i].textContent!=dernierTitre){
		 						var contenuTag=(listeTitres2[i].parentNode.getElementsByTagName(this.groupe1))[0].textContent;
		 						if(contenuTag.indexOf(titre1,0) != -1)
  								listeTitresNiveau2.push(listeTitres2[i].textContent);
  							dernierTitre=listeTitres2[i].textContent;
  						}
  				} 
  			return listeTitresNiveau2;
  		}
  		
  		//Cas ou l'on retourne des titres de niveau 3
			if(titre2!=null && titre1!=null && this.groupe3!=null){
				//Recupration des elements titre3
				var listeTitres3=parent.getElements(this.XMLData.xmlDoc,this.groupe3);
				//Variable  retourner
				var listeTitresNiveau3=new Array();
		  	//Suppression des doublons
		  	//Dernier titre ajout
	  			var dernierTitre="";
	  			for(var i=0;i<listeTitres3.length;i++){
	  			//Gestion des navigateurs : text pour ie, opera, safari; textContent pour mozilla firefox
	  				if (listeTitres3[i].text && listeTitres3[i].text!=dernierTitre){
	  						var contenuTag1=(listeTitres3[i].parentNode.getElementsByTagName(this.groupe1))[0].text;
	  						var contenuTag2=(listeTitres3[i].parentNode.getElementsByTagName(this.groupe2))[0].text;
	  						if(contenuTag1.indexOf(titre1,0)!=-1 && contenuTag2.indexOf(titre2,0)!=-1)
	  							listeTitresNiveau3.push(listeTitres3[i].text);
	  						dernierTitre=listeTitres3[i].text;
						}else
		 					if(listeTitres3[i].textContent && listeTitres3[i].textContent!=dernierTitre){
		 						var contenuTag1=(listeTitres3[i].parentNode.getElementsByTagName(this.groupe1))[0].textContent;
	  						var contenuTag2=(listeTitres3[i].parentNode.getElementsByTagName(this.groupe2))[0].textContent;
		 						if(contenuTag1.indexOf(titre1,0)!=-1 && contenuTag2.indexOf(titre2,0)!=-1)
  								listeTitresNiveau3.push(listeTitres3[i].textContent);
  							dernierTitre=listeTitres3[i].textContent;
  						}
  				} 
  			return listeTitresNiveau3;
  		}
  		return;
 }


// Objet pour la gestion d'un tableur

/**
* Cre une nouvelle instance de la classe ComposantTableur
* <bVoir Exemple d'instanciation de
* ce composant</b> pour un tableur : <a href='exemples_A3.html#ComposantTableur_constr'>Exemples d'appels aux constructeurs</a>.
* @class La classe <b>ComposantTableur</b>  est la classe permettant de dcrire l'objet associ  un tableur.
* <br> Ses proprits publiques dcrivent les attributs du composant et peut tre manipule ou interroge en dehors de la
* bibliothque du framework ergonomique. Ses proprits prives sont utilises au sein mme du framework ergonomique.
* <br><br><br><img src="Image.ComposantTableurUML.png"/><br><br><br>
* <br><br>RENDU IHM<br><br>Tableur utilisant le principe de regroupement par titre (les valeurs communes  tous les lments dans une mme colonne) : <br>
* <br><img alt="Exemple IHM tableur" src="Image.ComposantTableur.jpg"/><br><br>
* <a href="javascript:ouvrirPopupExemple('./exemples/tableur1.html','Exemple')">Exemple d'utilisation du composant Tableur.</a><br> 
* @includeJS technique_fw_outils.js
* @includeJS technique_fw_cookies.js
* @includeJS ergonomique_fw_tableau.js
* @includeJS technique_fw_format.js (dans le cas de l'utilisation de dates)
* @includeCSS tableau.css
* @constructor
* @param {String_Obligatoire} id : String indiquant l'id de l'lment  instancier. Sa valorisation doit correspondre au nom de la variable JavaScript du composant instanci.
* @param {XMLObjectSauvegarde_Facultatif} XMLObjectInfos : Objet {@link XMLObjectSauvegarde XMLObjectSauvegarde} pour paramtrer le composant.
* @param {String_Facultatif} urlXMLData : String indiquant l'url du flux XML  rapatrier pour afficher le contenu informatif du tableau.
* @param {boolean_Facultatif} boolMessageAttente : Boolen indiquant la prsence ou non d'un message d'attente lors du rapatriement du flux XML li au contenu informatif du composant.
* @param {boolean_Facultatif} boolListe : Boolen indiquant si le composant est une liste ou non pour grer un affichage diffrent.
* @param {boolean_Optionnel} boolMaitre : Boolen indiquant si le composant est un tableau matre pour grer un affichage diffrent.
* @param {String_Optionnel} erreurXML : String prcisant le type d'erreur utilis lors du rapatriement du flux XML li au contenu informatif du tableau.
* (voir documentation sur le  <a href='overview-summary-technique_fw_xml.js.html'>fw_xml.js</a> du framework technique,{@link  XMLObject#parseErrorXML parseErrorXML(type)},
* {@link  XMLObjectCookie#parseErrorCookieXML parseErrorCookieXML(type) }).
* @param {Array_ObjectColonne_Optionnel} tabColonnes : Tableau d'objets {@link ObjectColonne ObjectColonne} pour paramtrer les colonnes en JavaScript si pas de flux XML pour
* effectuer ce paramtrage (XMLObjectInfos).
* @version 2.3
* @date 28/09/2006
*/
function ComposantTableur(id, XMLObjectInfos, urlXMLData, boolMessageAttente, boolListe)
{
  // Attributs de l'objet
  // Etat de l'objet  initialiser

	/**
	* L'lment argv dans la classe ComposantTableau n'est pas une proprit, il permet de rcuprer dans
	* un tableau les arguments passs en paramtres du constructeur de la classe (utile dans le cas des paramtres
	* facultatifs, pour reprer les paramtres qui ont t soumis par le dveloppeur). Il est dclar 'var'.
	* <br><br>
	* @private
	* @type String
	* @version 2.3
	* @date 28/09/2006
	*/
  var argv = ComposantTableur.arguments;
  
	/**
	* L'lment argc dans la classe ComposantTableau n'est pas une proprit, il permet de rcuprer
	* le nombre d'arguments passs en paramtres du constructeur de la classe (utile dans le cas des
	* paramtres facultatifs, pour compter les paramtres  soumis par le dveloppeur).
	* Il est dclar 'var'.
	* <br><br>
	* @private
	* @type String
	* @version 2.3
	* @date 28/09/2006
	*/  
  var argc = ComposantTableur.arguments.length;

	/**
	* Proprit prive groupe1 - C'est le nom de la donne devant servir de critre de regroupement de 1 niveau.
	* <br><br>
	* @private
	* @type String
	* @version 2.3
	* @date 28/09/2006
	*/  
  this.groupe1 = null;
  
	/**
	* Proprit prive groupe2 - C'est le nom de la donne devant servir de critre de regroupement de 2 niveau.
	* <br><br>
	* @private
	* @type String
	* @version 2.3
	* @date 28/09/2006
	*/  
  this.groupe2 = null;
  
	/**
	* Proprit prive groupe3 - C'est le nom de la donne devant servir de critre de regroupement de 3 niveau.
	* <br><br>
	* @private
	* @type String
	* @version 2.3
	* @date 28/09/2006
	*/  
  this.groupe3 = null;

	/**
	* Proprit prive LastValueGroupe1 - C'est la dernire valeur lue pour le critre de regoupement de 1 niveau.
	* <br><br>
	* @private
	* @type String
	* @version 2.3
	* @date 28/09/2006
	*/  
  this.LastValueGroupe1 = null;
  
	/**
	* Proprit prive LastValueGroupe2 - C'est la dernire valeur lue pour le critre de regoupement de 2 niveau.
	* <br><br>
	* @private
	* @type String
	* @version 2.3
	* @date 28/09/2006
	*/  
  this.LastValueGroupe2 = null;
  
	/**
	* Proprit prive LastValueGroupe3 - C'est la dernire valeur lue pour le critre de regoupement de 3 niveau.
	* <br><br>
	* @private
	* @type String
	* @version 2.3
	* @date 28/09/2006
	*/  
  this.LastValueGroupe3 = null;

	/**
	* Proprit prive tabCalculs - Tableau d'objets {@link ObjectCalcul ObjectCalcul} contient les informations
	* de dfinition des calculs  effectus pour les regroupements.
	* <br><br>
	* @private
	* @type Array_ObjectCalcul
	* @version 2.3
	* @date 28/09/2006
	*/
  this.tabCalculs = null;
	
	/**
	* Attribut priv estTableur - booleen signifiant que l'objet est un tableur
	* <br><br>
	* @private
	* @type booleen
	* @version 2.5
	* @date 10/11/2006
	*/
	this.estTableur=true;
	
	/**
	* Attribut priv tabCalculs - Tableau d'objets {@link ObjectOutilTab ObjectOutilTab} contient les diffrents
	* objets de tri qui peuvent tre affichs dans la barre d'outils : <br> 
	* Par exemple : passage du tri croissant  dcroissant : les images onMouseOut et onMouseOver sont spcifiques.
	* <br><br>
	* @private
	* @type Array_ObjectOutilTab
	* @version 2.5
	* @date 10/11/2006
	*/
	this.tabObjectOutilTri=new Array();

	/**
	* La proprit prive boolFiltrageTitreEnCours est un boolen prcisant si un filtrage sur les titres
	* est en cours ou pas.
	* <br><br>
	* @private
	* @type boolean
	* @version 2.5
* @date 14/02/2007
	*/
  this.boolFiltrageTitreEnCours = false;

	/**
	* La proprit prive filtreTitreNiv1 est un tableau de chaines de caractres contenant le libell
	* du titre de niveau 1 d'un filtre sur groupement.<br>Un filtre sur groupement est un triplet de trois
	* valeurs : un libell de niveau 1, de niveau 2 et de niveau 3 dfinis dans les attributs filtresTitreNiveau1,
	* filtresTitreNiveau2 et filtreTitreNiveau3. Ainsi, le premier filtre sur groupement du tableur sera
	* le triplet this.filtresTitreNiveau1[0],this.filtresTitreNiveau2[0],this.filtresTitreNiveau3[0].
	* <br><br>
	* @private
	* @type Array_String
	* @version 2.5
* @date 14/02/2007
	*/
  this.filtresTitreNiveau1 = new Array();

	/**
	* La proprit prive filtreTitreNiv2 est un tableau de chaines de caractres contenant le libell
	* du titre de niveau 2 d'un filtre sur groupement.<br>Un filtre sur groupement est un triplet de trois
	* valeurs : un libell de niveau 1, de niveau 2 et de niveau 3 dfinis dans les attributs filtresTitreNiveau1,
	* filtresTitreNiveau2 et filtreTitreNiveau3. Ainsi, le premier filtre sur groupement du tableur sera
	* le triplet this.filtresTitreNiveau1[0],this.filtresTitreNiveau2[0],this.filtresTitreNiveau3[0].
	* <br><br>
	* @private
	* @type Array_String
	* @version 2.5
* @date 14/02/2007
	*/
  this.filtresTitreNiveau2 = new Array();
  
	/**
	* La proprit prive filtreTitreNiv3 est un tableau de chaines de caractres contenant le libell
	* du titre de niveau 3 d'un filtre sur groupement.<br>Un filtre sur groupement est un triplet de trois
	* valeurs : un libell de niveau 1, de niveau 2 et de niveau 3 dfinis dans les attributs filtresTitreNiveau1,
	* filtresTitreNiveau2 et filtreTitreNiveau3. Ainsi, le premier filtre sur groupement du tableur sera
	* le triplet this.filtresTitreNiveau1[0],this.filtresTitreNiveau2[0],this.filtresTitreNiveau3[0].
	* <br><br>
	* @private
	* @type Array_String
	* @version 2.5
* @date 14/02/2007
	*/
  this.filtresTitreNiveau3 = new Array();
      
 /**
  * La proprit prive urlFiltreTitres est une chaine de caractres contenant l'url de la popup
  * utilise pour le filtrage du tableur par titres.
  * <br><br>
  * @private
  * @type String
  * @version 2.5
* @date 14/02/2007
  */
	this.urlFiltreTitres = "/proto/FrameworkERGO/html/tableur/filtreTitres.html";

  // Mthodes de l'objet
  
  // herite de la class ComposantTableau
  this.extend_ComposantTableau = ComposantTableau;
  this.extend_ComposantTableau(id, XMLObjectInfos, urlXMLData, boolMessageAttente, boolListe, (argc > 5) ? argv[5] : false, true, false, (argc > 6) ? argv[6] : false, false, false, false, (argc > 7) ? argv[7] : new Array());

  // Gestion du filtre d'un tableur
  this.testFiltreTitre = ComposantTableur_testFiltreTitre;
  this.existeFiltreTitre = ComposantTableur_existeFiltreTitre;
  
	// surcharge des mthodes du composant tableau
  this.ecrireComposantDomHTMLBoucle = ComposantTableur_ecrireHTML_Boucle;  
  this.ecrireComposantDomHTMLZoneInfo =  ComposantTableur_ecrireHTML_Total;

	//Constructeur
	this.constructor = ComposantTableur_constructor;
	
	// Dclaration des mthodes spcifiques du composant tableur	
  this.initInfosGroupeByXML = ComposantTableur_initInfosGroupeByXML;

	this.ecrireComposantDomHTMLZoneGroupe = ComposantTableur_ecrireHTML_Groupe;
	this.ecrireComposantDomHTMLZoneCalcul = ComposantTableur_ecrireHTML_Calcul;
	
	this.onClickGroupe = ComposantTableur_onClickGroupe;
	this.onMouseOverGroupe = ComposantTableur_onMouseOverGroupe;
	this.onMouseOutGroupe = ComposantTableur_onMouseOutGroupe;
	
	this.triTableur = ComposantTableur_triTableur;
	this.ouvrirFiltreTitres = ComposantTableur_ouvrirFiltreTitres;
	this.listerTitres = ComposantTableur_listerTitres;
	
	this.initInfosGroupeByXML();
	this.typeTri=null;
    
    // Methods for excel/csl export
    this.excelExportBoucle = ComposantTableur_excelExport_boucle;
    this.excelExportTotal =  ComposantTableur_excelExport_total;
    this.excelExportCalcul = ComposantTableur_excelExport_calcul;
    this.excelExportGroupe = ComposantTableur_excelExport_groupe;
	
	this.constructor();
}


/**
* La fonction globale onChangeCheckboxTitreFiltre() est dclenche depuis la popup qui permet la selection des 
* titres que l'on souhaite filtrer. Elle permet la gestion des vnements onChange sur les checkbox
* de slection des titres. 
* @public
* @param {} Aucun
* @return {void}
* @version 2.5
* @date 10/11/2006
*/

function onChangeCheckboxTitreFiltre(){
      var leId=this.getId();
      var leLibelle=this.getLibelle();
      var tabNiveauxCheckbox=leId.split("_");
      var listeTitresNiveau2;
      var listeTitresNiveau3;
      var idTitre1;
      var idTitre2;
      var idTitre3;
      var checkboxTitre1;
      var checkboxTitre2;
      var checkboxTitre3;
      var niveauNonCoche = true; // Indique si le niveau courant ne contient plus aucune checkbox coch 

      //Le checkbox correspond  un titre de niveau 1
      if(tabNiveauxCheckbox.length==2){
     			//On rcupre les titres 2 associs au titre 1 courant
           listeTitresNiveau2=tableur.listerTitres(leLibelle,null);
               for(var cptTitres2=0;cptTitres2<listeTitresNiveau2.length;cptTitres2++){
                   //On rcupre le titre2 courant
                   idTitre2="titre2_"+tabNiveauxCheckbox[1]+'_'+cptTitres2;
                   checkboxTitre2=getDefaultElementById(idTitre2);
                   //Test si l'element est dcoch, on dcoche tous les sous titres
                   if(this.getValue()!=true)
                   	checkboxTitre2.setValue(false);
                   //Sinon on coche tous les sous titres
                   else
                   	checkboxTitre2.setValue(true);

                   //On rcupre les titres 3 associs au titre 2 courant
                   listeTitresNiveau3=tableur.listerTitres(leLibelle,listeTitresNiveau2[cptTitres2]);
                   for(var cptTitres3=0;cptTitres3<listeTitresNiveau3.length;cptTitres3++){
                        //On dcoche le titre3 courant
                        idTitre3="titre3_"+tabNiveauxCheckbox[1]+'_'+cptTitres2+'_'+cptTitres3;
                        checkboxTitre3=getDefaultElementById(idTitre3);
                        //Test si l'element est dcoch, on dcoche tous les sous titres
                        if(this.getValue()!=true)
                        	checkboxTitre3.setValue(false);
                        //Sinon on coche tous les sous titres
                        else
                        	checkboxTitre3.setValue(true);
                   }
            	 }
      }

      //Le checkbox correspond  un titre de niveau 2
      if(tabNiveauxCheckbox.length==3){
         // Rcupration de la checkbox du titre 1
         idTitre1="titre_"+tabNiveauxCheckbox[1];
         checkboxTitre1=getDefaultElementById(idTitre1);
					
					// Si l'lement est coch
					if(this.getValue()==true){		
									//Cochage de la checkbox du titre 1 parent
                  checkboxTitre1.setValue(true);
					}
     			
     			// On rcupre les titres 3 associs au titre 2 courant
           listeTitresNiveau3=tableur.listerTitres(checkboxTitre1.getLibelle(),leLibelle);
           for(var cptTitres3=0;cptTitres3<listeTitresNiveau3.length;cptTitres3++){
                //On rcupre le titre3 courant
                idTitre3="titre3_"+tabNiveauxCheckbox[1]+'_'+tabNiveauxCheckbox[2]+'_'+cptTitres3;
                checkboxTitre3=getDefaultElementById(idTitre3);
                //Test si l'element est dcoch, on dcoche tous les sous titres
                if(this.getValue()!=true)
                		checkboxTitre3.setValue(false);
                //Sinon on coche tous les sous titres
                else
                	checkboxTitre3.setValue(true);
           }
				}		
      
      //Le checkbox correspond  un titre de niveau 3
      if(tabNiveauxCheckbox.length==4){
            //Test si l'element est coch
            if(this.getValue()==true){
            			// L'lement est coch
									//Cochage de la checkbox du titre 1 parent
                  idTitre1="titre_"+tabNiveauxCheckbox[1];
                  checkboxTitre1=getDefaultElementById(idTitre1);
                  checkboxTitre1.setValue(true);
                  
									//Cochage de la checkbox du titre 2 parent
                  idTitre2="titre2_"+tabNiveauxCheckbox[1]+"_"+tabNiveauxCheckbox[2];
                  checkboxTitre2=getDefaultElementById(idTitre2);
                  checkboxTitre2.setValue(true);
						}
      }
}


/**
* La fonction globale validerPopupTableur() est dclenche lors de la validation du formulaire de saisie
* des filtrages de groupements du tableur.
* @public
* @param {} Aucun
* @return {void}
* @version 2.5
* @date 14/02/2007
*/
function validerPopupTableur(){
  	//Variables
  	//Ids associs aux titres dans le formulaire
  	var idTitre1;
  	var idTitre2;
  	var idTitre3;
  	//Variables contenant les lments de formulaire associs aux titres courants
  	var checkboxTitre1;
  	var checkboxTitre2;
  	var checkboxTitre3;
  	//Listes des titres de niveau 1 ou associs  un titre courant
  	var listeTitresNiveau1;
  	var listeTitresNiveau2;
  	var listeTitresNiveau3;
  	//Libells courants
  	var libelleCourantTitre1;
  	var libelleCourantTitre2;
  	//Nombre d'elements courants cochs
  	var nbEltCoche1=0;
  	var nbEltCoche2;
  	var nbEltCoche3;
  	//Initialisation des tableaux des filtres de groupements
  	tableur.filtresTitreNiveau1 = new Array();
  	tableur.filtresTitreNiveau2 = new Array();
  	tableur.filtresTitreNiveau3 = new Array();
  	
  	listeTitresNiveau1=tableur.listerTitres(null,null);
  	//On parcourt les titres de niveau 1
  	for(var cptTitres1=0; cptTitres1<listeTitresNiveau1.length; cptTitres1++){
  		//On recupre l'lment de formulaire associ
  		idTitre1="titre_"+cptTitres1;
  		checkboxTitre1=getDefaultElementById(idTitre1);			
  		//Si l'element est coch
  		if(checkboxTitre1.getValue()){
  				nbEltCoche1++;
  				//Mise  jour de l'lment courant de niveau 1
  				libelleCourantTitre1=listeTitresNiveau1[cptTitres1];
  				//On rcupre les sous titres du titre 1 courant
  		 		listeTitresNiveau2=tableur.listerTitres(listeTitresNiveau1[cptTitres1],null);
				 	//On parcourt les titres de niveau 2
				 	nbEltCoche2=0;
				 	for(var cptTitres2=0; cptTitres2<listeTitresNiveau2.length; cptTitres2++){
				  		//On recupre l'lment de formulaire associ
				  		idTitre2="titre2_"+cptTitres1+'_'+cptTitres2;
				  		checkboxTitre2=getDefaultElementById(idTitre2);			
				  		//Si l'element est coch
				  		if(checkboxTitre2.getValue()){
				  			nbEltCoche2++;
				  			//Mise  jour de l'lment courant de niveau 2
  							libelleCourantTitre2=listeTitresNiveau2[cptTitres2];
  							//On rcupre les sous titres du titre 2 courant
  		 					listeTitresNiveau3=tableur.listerTitres(listeTitresNiveau1[cptTitres1],listeTitresNiveau2[cptTitres2]);
  		 					//On parcourt les titres de niveau 3
							 	nbEltCoche3=0;
							 	for(var cptTitres3=0; cptTitres3<listeTitresNiveau3.length; cptTitres3++){
							  		//On recupre l'lment de formulaire associ
							  		idTitre3="titre3_"+cptTitres1+'_'+cptTitres2+'_'+cptTitres3;
							  		checkboxTitre3=getDefaultElementById(idTitre3);			
							  		//Si l'element est coch
							  		if(checkboxTitre3.getValue()){
							  			nbEltCoche3++;
							  			//Ajout du filtre sur groupement
							  			tableur.filtresTitreNiveau1.push(libelleCourantTitre1);
								  		tableur.filtresTitreNiveau2.push(libelleCourantTitre2);
								  		tableur.filtresTitreNiveau3.push(listeTitresNiveau3[cptTitres3]);
							  		}
							  	}
							  if(nbEltCoche3==0){
							  	//Ajout du filtre sur groupement
						  		tableur.filtresTitreNiveau1.push(libelleCourantTitre1);
						  		tableur.filtresTitreNiveau2.push(libelleCourantTitre2);
						  		tableur.filtresTitreNiveau3.push("");
				  			}
				  		}
				  	}
				  	if(nbEltCoche2==0){
				  		//Ajout du filtre sur groupement
				  		tableur.filtresTitreNiveau1.push(libelleCourantTitre1);
				  		tableur.filtresTitreNiveau2.push("");
				  		tableur.filtresTitreNiveau3.push("");
				  	}
			}
	 }
	 tableur.boolFiltrageTitreEnCours=(nbEltCoche1!=0);
	 window.close();
	 window.opener.tableurEnCours.ecrireBind(false);
}

/**
* La fonction globale ecrireBindPopupTableur(leTableur) est dclenche depuis la popup qui permet la selection des 
* titres que l'on souhaite filtrer. Elle cre le formulaire des titres  selectionner. 
* @public
* @param {ComposantTableur_Obligatoire} leTableur : tableur concern
* @return {void}
* @version 2.5
* @date 14/02/2007
*/
function ecrireBindPopupTableur(leTableur){

	  var composantFormTitres = new ComposantForm("composantFormTitres", "", "POST", 3, false);
     
  	// redfinition de la mthode de soumission par dfaut submit du formulaire
    composantFormTitres.soumettre = validerPopupTableur;
  
  //Redfinition de la fonction d'annulation : fermeture de la popup
  composantFormTitres.annuler = function(){
  	window.close();
	}

	//Creation de l'element html table dans la div prvue pour la recevoir
  var laDivInitiale=document.getElementById("listeTitres");
  var laNewTable=document.createElement('table');
  //Creation des attributs
  var attributIdNewTable = document.createAttribute("id");
	attributIdNewTable.nodeValue = "titres";
  var attributWidthNewTable = document.createAttribute("width");
	attributWidthNewTable.nodeValue = "100%";
	var attributBorderNewTable = document.createAttribute("border");
	attributBorderNewTable.nodeValue = "0";
	var attributCellspacingNewTable = document.createAttribute("cellspacing");
	attributCellspacingNewTable.nodeValue = "2";
	var attributCellpaddingNewTable = document.createAttribute("cellpadding");
	attributCellpaddingNewTable.nodeValue = "0";
	
	//Ajout des attribut de la table
	laNewTable.setAttributeNode(attributIdNewTable);
	laNewTable.setAttributeNode(attributWidthNewTable);
	laNewTable.setAttributeNode(attributBorderNewTable);
	laNewTable.setAttributeNode(attributCellspacingNewTable);
	laNewTable.setAttributeNode(attributCellpaddingNewTable);
  		  		
  //Ajout de la table  la div initiale du fichier HTML
  laDivInitiale.appendChild(laNewTable);
	
  //Creation de la liste des titres de niveau 1
  //Les paramtres sont nulls car cette liste n'est pas l'ensemble des sous titres d'un titre 1 ou 2
  var listeTitresNiveau1=leTableur.listerTitres(null,null);
  
  var compteurLignesTableau=0;
  //Parcours du tableau des titres de niveau 1
  for(var j=0;j<listeTitresNiveau1.length;j++){
  	//Creation des elements HTML necessaires pour ecrire l'element de formulaire associ au titre 1
  	var laLigne=laNewTable.insertRow(compteurLignesTableau++);
  	var laCol=document.createElement('td');
		var laDiv=document.createElement('div');  
  	var laCol2=document.createElement('td');
  	var laDiv2=document.createElement('div');
  	var laCol3=document.createElement('td');
  	var laCol4=document.createElement('td');
  	//Attributs de l'element
  	var attributWidth = document.createAttribute("width");
		attributWidth.nodeValue = "30%";
		var attributWidth2 = document.createAttribute("width");
		attributWidth2.nodeValue = "30%";
		var attributWidth3 = document.createAttribute("width");
		attributWidth3.nodeValue = "30%";
		var attributWidth4 = document.createAttribute("width");
		attributWidth4.nodeValue = "10%";
  	var attributIdLibelle = document.createAttribute("id");
		attributIdLibelle.nodeValue = "Position_libelle_titre_"+j;
		var attributId = document.createAttribute("id");
		attributId.nodeValue = "Position_titre_"+j;
  	//Affectation des attributs
  	laCol.setAttributeNode(attributWidth);
  	laDiv.setAttributeNode(attributIdLibelle);
  	laCol2.setAttributeNode(attributWidth2);
  	laDiv2.setAttributeNode(attributId);
  	laCol3.setAttributeNode(attributWidth3);
  	laCol4.setAttributeNode(attributWidth4);
  	//Ajout des elements
  	laLigne.appendChild(laCol);
  	laLigne.appendChild(laCol2);
  	laLigne.appendChild(laCol3);
  	laLigne.appendChild(laCol4);
  	laCol.appendChild(laDiv);
  	laCol2.appendChild(laDiv2);
  	
  	//Creation du checkBox associ au titre atteint dans le tableau
		if(leTableur.existeFiltreTitre(listeTitresNiveau1[j],"","")){
  		eval("var titre_"+j+"=new ElementFormCheckbox('titre_"+j+"', null, 'true', listeTitresNiveau1["+j+"], false, null, null);");
		}else
			eval("var titre_"+j+"=new ElementFormCheckbox('titre_"+j+"', null, 'false', listeTitresNiveau1["+j+"], false, null, null);");
  	eval("titre_"+j+".setOnChange(onChangeCheckboxTitreFiltre);");
  	eval("composantFormTitres.addElement(titre_"+j+");");

  	
  	//Rcupration des titres de niveau 2 associs au titre 1 atteint
  	var listeTitresNiveau2=leTableur.listerTitres(listeTitresNiveau1[j],null);
			//Parcours du tableau des titres de niveau 2
			for(var k=0;k<listeTitresNiveau2.length;k++){
				//Creation des elements HTML necessaires pour ecrire l'element de formulaire associ au titre 2
				//Ils contiennent tous un 2 dans leur nom pour diffrencier les niveaux
				var la2Ligne=laNewTable.insertRow(compteurLignesTableau++);
				var la2Col=document.createElement('td');
				var la2Col2=document.createElement('td');
				var la2Col3=document.createElement('td');
				var la2Col4=document.createElement('td');
				var la2Div=document.createElement('div'); 
				var la2Div2=document.createElement('div'); 
	  		
	  		//Attributs des lments HTML
				var attribut2IdLibelle = document.createAttribute("id");
				attribut2IdLibelle.nodeValue = "Position_libelle_titre2_"+j+'_'+k;
				var attribut2Id = document.createAttribute("id");
				attribut2Id.nodeValue = "Position_titre2_"+j+'_'+k;
				
				//Ajout des attributs aux elements
	  		la2Div.setAttributeNode(attribut2IdLibelle);
	  		la2Div2.setAttributeNode(attribut2Id);
				
				//Ajout des lments au tableau
				la2Ligne.appendChild(la2Col);
				la2Ligne.appendChild(la2Col2);
				la2Ligne.appendChild(la2Col3);
				la2Ligne.appendChild(la2Col4);
				la2Col2.appendChild(la2Div);
				la2Col3.appendChild(la2Div2);
  		
  			//Creation du checkBox associ au titre atteint dans le tableau
  			if(leTableur.existeFiltreTitre(listeTitresNiveau1[j],listeTitresNiveau2[k],"")){
  				eval("var titre2_"+j+"_"+k+"=new ElementFormCheckbox('titre2_"+j+"_"+k+"', null, 'true', listeTitresNiveau2["+k+"], false, null, null);");
  			}else{
  				eval("var titre2_"+j+"_"+k+"=new ElementFormCheckbox('titre2_"+j+"_"+k+"', null, 'false', listeTitresNiveau2["+k+"], false, null, null);");
  			}
  			eval("titre2_"+j+"_"+k+".setOnChange(onChangeCheckboxTitreFiltre);");
  			eval("composantFormTitres.addElement(titre2_"+j+"_"+k+");");
  			
				//Rcupration des titres de niveau 3 associs au titre 2 atteint
  			var listeTitresNiveau3=leTableur.listerTitres(listeTitresNiveau1[j],listeTitresNiveau2[k]);
				//Parcours du tableau des titres de niveau 2
				for(var l=0;l<listeTitresNiveau3.length;l++){
					//Creation des elements HTML necessaires pour ecrire l'element de formulaire associ au titre 3
					//Ils contiennent tous un 3 dans leur nom pour diffrencier les niveaux
					var la3Ligne=laNewTable.insertRow(compteurLignesTableau++);
					var la3Col=document.createElement('td');
					var la3Col2=document.createElement('td');
					var la3Col3=document.createElement('td');
					var la3Col4=document.createElement('td');
					var la3Div=document.createElement('div');  
		  		var la3Div2=document.createElement('div');
		  		
		  		//Attributs des lments HTML
					var attribut3IdLibelle = document.createAttribute("id");
					attribut3IdLibelle.nodeValue = "Position_libelle_titre3_"+j+'_'+k+'_'+l;
					var attribut3Id = document.createAttribute("id");
					attribut3Id.nodeValue = "Position_titre3_"+j+'_'+k+'_'+l;
					
					//Ajout des attributs aux elements
		  		la3Div.setAttributeNode(attribut3IdLibelle);
		  		la3Div2.setAttributeNode(attribut3Id);
					
					//Ajout des lments au tableau
					la3Ligne.appendChild(la3Col);
					la3Ligne.appendChild(la3Col2);
					la3Ligne.appendChild(la3Col3);
					la3Ligne.appendChild(la3Col4);
					la3Col3.appendChild(la3Div);
					la3Col4.appendChild(la3Div2);
					
	  			//Creation du checkBox associ au titre atteint dans le tableau
	  			if(leTableur.existeFiltreTitre(listeTitresNiveau1[j],listeTitresNiveau2[k],listeTitresNiveau3[l])){
	  				eval("var titre3_"+j+"_"+k+"_"+l+"=new ElementFormCheckbox('titre3_"+j+"_"+k+"_"+l+"', null, 'true', listeTitresNiveau3["+l+"], false, null, null);");
	  			}else
	  				eval("var titre3_"+j+"_"+k+"_"+l+"=new ElementFormCheckbox('titre3_"+j+"_"+k+"_"+l+"', null, 'false', listeTitresNiveau3["+l+"], false, null, null);");
	  			eval("titre3_"+j+"_"+k+"_"+l+".setOnChange(onChangeCheckboxTitreFiltre);");
	  			eval("composantFormTitres.addElement(titre3_"+j+"_"+k+"_"+l+");"); 	  		
  			}
  		}
  	}
  //Ajout des boutons d'annulation et de validation
  composantFormTitres.addElement(new ElementFormButtonAnnuler("annuler"));
  composantFormTitres.addElement(new ElementFormButtonValider("valider"));
    
  // ecriture de tous les champs du formulaire
  composantFormTitres.ecrireBind();
}	