/*
Copyright ou  ou Copr. 
Ministre des Affaires Etrangres,
Aubay SA,
Steve Pguet, (06/04/2004)

steve.peguet@diplomatie.gouv.fr

Ce logiciel est un programme informatique servant de framework JavaScript 
bas sur les normes W3C (XHTML/CSS/DOM/XML). Il offre la possibilit de 
mettre en uvre facilement les principes ergonomiques et techniques propres 
 un client riche (cumul des avantages du client lger et du client lourd).
Ce logiciel est rgi par la licence CeCILL soumise au droit franais et
respectant les principes de diffusion des logiciels libres. Vous pouvez
utiliser, modifier et/ou redistribuer ce programme sous les conditions
de la licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA 
sur le site "http://www.cecill.info".

En contrepartie de l'accessibilit au code source et des droits de copie,
de modification et de redistribution accords par cette licence, il n'est
offert aux utilisateurs qu'une garantie limite.  Pour les mmes raisons,
seule une responsabilit restreinte pse sur l'auteur du programme,  le
titulaire des droits patrimoniaux et les concdants successifs.

A cet gard  l'attention de l'utilisateur est attire sur les risques
associs au chargement,   l'utilisation,   la modification et/ou au
dveloppement et  la reproduction du logiciel par l'utilisateur tant 
donn sa spcificit de logiciel libre, qui peut le rendre complexe  
manipuler et qui le rserve donc  des dveloppeurs et des professionnels
avertis possdant  des  connaissances  informatiques approfondies.  Les
utilisateurs sont donc invits  charger  et  tester  l'adquation  du
logiciel  leurs besoins dans des conditions permettant d'assurer la
scurit de leurs systmes et ou de leurs donnes et, plus gnralement, 
 l'utiliser et l'exploiter dans les mmes conditions de scurit. 

Le fait que vous puissiez accder  cet en-tte signifie que vous avez 
pris connaissance de la licence CeCILL, et que vous en avez accept les
termes.*/
/** 
* @fileoverview Ce fichier Javascript correspond au framework commun offrant un ensemble de fonctionnalits techniques regroupes sous forme de bote  outils.
* Cette description consiste   prsenter les prototypes des fonctions, des exemples d'appel et les prcisions
* techniques ncessaires  la mise en oeuvre de ce framework.<br>
* <br>
* @author Ministre des Affaires Etrangres, Aubay SA, Steve Pguet
* @version 1.1
* @date 25/10/2005
*/

var LIB_CLI_001_FREDVERSION_FR = "ralis avec FRED ";
var LIB_CLI_001_FREDVERSION_EN = "realize with FRED ";

var LIB_CLI_002_LISEVERSION_FR = "ralis avec LISE ";
var LIB_CLI_002_LISEVERVERSION_EN = "realize with LISE ";

var LIB_CLI_003_FWBOUCHON_FR = "application en mode bouchonn";
var LIB_CLI_003_FWBOUCHON_EN = "static data application";

var LIB_CLI_004_NOTAVAILABLE_FR = "(non disponible)";
var LIB_CLI_004_NOTAVAILABLE_EN = "(not available)";

var liseVersion=null;

//Fonction pour charger des images dans le cache du navigateur
/**
* Le framework technique <a href='overview-summary-technique_fw_outils.js.html'>fw_outils.js</a>  propose la fonction preloadImages();
* elle permet de charger des images pour les monter en mmoire (cache du navigateur) avant toute gestion d'affichage/dsaffichage (pour gain de temps).
* <span style="font-weight: bold; color: rgb(0, 153, 0);">Cette fonction doit tre appele lors du chargement de la page sur un vnement onLoad du document.</span><br>
* <br><br><b>Voir Exemple  : </b> <a href='exemples_A3.html#preloadImages_fctGlob'>Exemples d'appel aux fonctions globales</a>.
* @public
* @param {String_Optionnels} idsImages Rfrences des lments image  charger.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/ 
function preloadImages()
{
  var d=document;
  var a=null;
  if (d.images)
  {
    if (!d.tab_preloadImages)
      d.tab_preloadImages = new Array();
    var i = 0;
    var j = d.tab_preloadImages.length;
    var a = preloadImages.arguments;
    for (i=0;i<a.length;i++)
    {
      if (a[i].indexOf("#")!=0)
      {
        d.tab_preloadImages[j] = new Image;
        d.tab_preloadImages[j++].src=a[i];
      }
    }
  }
}

/**
* Le framework technique <a href='overview-summary-technique_fw_outils.js.html'>fw_outils.js</a>  propose la fonction changeImages();
* elle permet de positionner l'image dont la rfrence est passe en paramtre dans l'lment image dont la rfrence est passe dans le paramtre suivant.
* @public
* @param {String_Optionnels} idsImages Rfrences des lments image  positionner.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function changeImages()
{
  if (document.images) {
		for (var i=0; i<changeImages.arguments.length; i+=2)
		  document.images[changeImages.arguments[i]].src = changeImages.arguments[i+1];
  }
}

/**
* Le framework technique <a href='overview-summary-technique_fw_outils.js.html'>fw_outils.js</a>  propose la fonction getLibelle();
* elle permet de rcuperer la valeur d'un libell dans la langue dsire.
* @public
* @param {String_Obligatoire} codeLibelle code du libelle que l'on veut rcuprer.
* @param {String_Falucatif} codeLangue code de la langue dsire, si pas de valeur on prend celle par dfaut.
* @return {String} valeur du libell dans la langue dsire
* @version 2.1
* @date 13/07/2006
*/
function getLibelle(codeLibelle)
{
	var argc = getLibelle.arguments.length;
	var argv = getLibelle.arguments;
	
  var langue = (argc > 1)?argv[1]:GetCookie(":::langueSettings:::");
  if (langue == null || langue == "")
    langue = "EN";
	
  try{
  	eval(codeLibelle+"_"+langue);
  }catch(error){
  	langue = "EN";
  }
  	
  return eval(codeLibelle+"_"+langue);	
}


/**
* La fonction conversionMonnaie(montant, taux, decimal) permet de convertir en une autre devise montaire
* le montant pass en paramtre, selon le taux et le nombre de dcimal indiqus. 
* @public
* @param {String_Obligatoire} montant : montant initial avant la conversion.
* @param {String_Obligatoire} taux : taux  appliquer pour la conversion vers la nouvelle devise.
* @param {String_Obligatoire} decimal : nombre de dcimales souhaites (nombre de chiffres aprs la virgule).
* @return {float} Montant convertit en la devise spcifie par son taux.
* @includeJS technique_fw_cs.js
* @version 2.4
* @date 14/11/2006
*/
function conversionMonnaie(montant, taux, decimal)
{
	var val, entier, reste, multiple, mille;
	var expREG = /^[0-9]$/;

	// Test des paramtres en entre
	if (!expREG.test(decimal) || !estMontantString(montant) || !estMontantString(taux))
		return false;
	
	// calcul de la conversion	
	val = toMontant(taux) * toMontant(montant);
	multiple = Math.pow(10, toMontant(decimal)+1);
	mille = multiple * val;
	entier = Math.floor(mille);
	reste = entier % 10;
	if (reste<5)
		entier = (entier-reste)/10;
	else
		entier = ((entier-reste)/10)+1;
	return (entier/(multiple/10));		
}

/**
* Le framework technique <a href='overview-summary-technique_fw_outils.js.html'>fw_outils.js</a>  propose la fonction getVersionFRED();
* elle permet de rcuperer la numro de version du Framework Ergonomique.
* @private
* @return {String} valeur de la version du Fremwork Ergonomique
* @version 2.6
* @date 19/09/2007
*/
function getVersionFRED() {
	var version="2.8.1";
	return getLibelle("LIB_CLI_001_FREDVERSION")+version;
}

/**
* Le framework technique <a href='overview-summary-technique_fw_outils.js.html'>fw_outils.js</a>  propose la fonction getVersionLISE();
* elle permet de rcuperer la numro de version du Framework Serveur.
* @private
* @return {String} valeur de la version du Fremwork Serveur
* @version 2.6
* @date 19/09/2007
*/
function getVersionLISE() {
	if (liseVersion == null)
		return getLibelle("LIB_CLI_003_FWBOUCHON");
	else if (liseVersion == "0")
		return getLibelle("LIB_CLI_002_LISEVERSION")+getLibelle("LIB_CLI_004_NOTAVAILABLE");
	else 
		return getLibelle("LIB_CLI_002_LISEVERSION")+version;
}

/**
* Le framework technique <a href='overview-summary-technique_fw_outils.js.html'>fw_outils.js</a>  propose la fonction setVersionLISE();
* elle permet de positionner la numro de version du Framework Serveur.
* @private
* @param {String_Obligatoire} value : version du Framework Serveur
* @version 2.6
* @date 19/09/2007
*/
function setVersionLISE(value) {
	liseVersion=value;
}
