/** 
* @fileoverview Ce fichier Javascript correspond au framework de gestion des pop-up.
* Cette description consiste   prsenter les prototypes des fonctions, des exemples d'appel et les prcisions
* techniques ncessaires  la mise en oeuvre de ce framework.<br>
* <br>
* @author Ministre des Affaires Etrangres, Aubay SA, Steve Pguet
* @version 1.1
* @date 25/10/2005
*/
/*
Copyright ou  ou Copr. 
Ministre des Affaires Etrangres,
Aubay SA,
Steve Pguet, (07/07/2003)

steve.peguet@diplomatie.gouv.fr

Ce logiciel est un programme informatique servant de framework JavaScript 
bas sur les normes W3C (XHTML/CSS/DOM/XML). Il offre la possibilit de 
mettre en uvre facilement les principes ergonomiques et techniques propres 
 un client riche (cumul des avantages du client lger et du client lourd).
Ce logiciel est rgi par la licence CeCILL soumise au droit franais et
respectant les principes de diffusion des logiciels libres. Vous pouvez
utiliser, modifier et/ou redistribuer ce programme sous les conditions
de la licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA 
sur le site "http://www.cecill.info".

En contrepartie de l'accessibilit au code source et des droits de copie,
de modification et de redistribution accords par cette licence, il n'est
offert aux utilisateurs qu'une garantie limite.  Pour les mmes raisons,
seule une responsabilit restreinte pse sur l'auteur du programme,  le
titulaire des droits patrimoniaux et les concdants successifs.

A cet gard  l'attention de l'utilisateur est attire sur les risques
associs au chargement,   l'utilisation,   la modification et/ou au
dveloppement et  la reproduction du logiciel par l'utilisateur tant 
donn sa spcificit de logiciel libre, qui peut le rendre complexe  
manipuler et qui le rserve donc  des dveloppeurs et des professionnels
avertis possdant  des  connaissances  informatiques approfondies.  Les
utilisateurs sont donc invits  charger  et  tester  l'adquation  du
logiciel  leurs besoins dans des conditions permettant d'assurer la
scurit de leurs systmes et ou de leurs donnes et, plus gnralement, 
 l'utiliser et l'exploiter dans les mmes conditions de scurit. 

Le fait que vous puissiez accder  cet en-tte signifie que vous avez 
pris connaissance de la licence CeCILL, et que vous en avez accept les
termes.*/

//Pointer sur la fentre fille 
var msgWindow;
//Variable pour tester la prsence d'un MAC sur la config client
var estMac = (navigator.userAgent.toLowerCase().indexOf("mac")) != -1 ? 1 : 0;

//Fonction de cration d'une fentre fille
/**
* Le framework technique <a href='overview-summary-technique_fw_popup.js.html'>fw_popup.js</a>  propose la fonction technique
* OpenWindow(url,nom,options); elle permet de crer une fentre fille.
* @public
* @param {String_Obligatoire} url URL de la page qui sera affiche dans la nouvelle fentre
* @param {String_Obligatoire} nom Nom donne  la fentre.
* @param {String_Facultatif} options Liste des Options spares par des virgules : d'affichage ou non des barres (navigation, adresse, menu, tat, outils, dfilement),
* de la taille, largeur, hauteur  de la fentre.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function OpenWindow(url,nom,options)
{
  msgWindow = window.open(url,nom,options);
}

//Fonction d'ouverture d'une fentre fille unique (supprime fentres existantes)
/**
* Le framework technique <a href='overview-summary-technique_fw_popup.js.html'>fw_popup.js</a>  propose la fonction OpenWindowFocus(url,nom,options);
* elle sert  crer une nouvelle fentre qui soit unique : elle ferme les ventuelles fentres ouvertes auparavant via le framework.
* <br><br><b>Voir Exemple  : </b> <a href='exemples_A3.html#OpenWindowFocus_fctGlob'>Exemples d'appel aux fonctions globales</a>.
* @public
* @see #OpenWindow
* @param {String_Obligatoire} url String indiquant le nom de la popup.
* @param {String_Obligatoire} nom String contenant la valeur du path du cookie  supprimer.
* @param {String_Obligatoire} options String indiquant les options sur la fentre surgissante - Les options possibles sont :
* <br>-> <i>location</i> : Si valoris  yes, cration d'une zone de saisie d'URL.<br>-> <i>menubar</i> : Si valoris  yes, cration d'une barre de menu en haut de la fentre.<br>
* -> <i>resizable</i> : Si valoris  yes, autorise l'utilisateur  redimensionner la fentre.<br>-> <i>screenX</i> : Spcifie la distance entre la nouvelle fentre et le bord gauche de l'cran.<br>
* -> <i>screenY</i> : Spcifie la distance entre la nouvelle fentre et le haut de l'cran.<br>-> <i>scrollbars</i> : Si valoris  yes, cration des barres de dfilement 
* l'horizontale et  la verticale lorsque le document affich est plus grand que les dimensions de la fentre.<br>-> <i>status</i> : Si valoris  yes, cration de la barre de status en bas de la fentre.<br>
* -> <i>titlebar</i> : Si valoris  yes, cration d'une fentre avec une barre de titre.<br>-> <i>toolbar</i> : Si valoris  yes, cration de la barre d'outil standard du navigateur (boutons, suivant,
* prcdent...).<br>-> <i>width</i> : Spcifie la largeur de la fentre en pixels.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function OpenWindowFocus(url,nom,options)
{ 
  if ((msgWindow) && (!estMac))
  {
    msgWindow.close();
  }
  var commande = 'OpenWindow("' + url + '","' + nom + '","' + options + '")';
  setTimeout(commande,1);
}

//Fonction pour imprimer le contenu d'une fentre
/**
*  Le framework technique <a href='overview-summary-technique_fw_popup.js.html'>fw_popup.js</a>  propose la fonction printwindow();
*  elle permet de lancer la fentre d'impression propre au navigateur et  l'OS.
* <br><br><b>Voir Exemple  : </b> <a href='exemples_A3.html#fctGlob'>Exemples d'appel aux fonctions globales</a>.
* @public
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function printwindow()
{
  if (window.print)
    window.print();
  else
    alert("Pour lancer l'impression, veuillez utiliser le menu \"fichier/imprimer\" de votre navigateur");
}