/** 
* @fileoverview Ce fichier Javascript correspond au framework de gestion des
* flux XML. Cette description consiste   prsenter les prototypes des fonctions, des exemples d'appel et les prcisions
* techniques ncessaires  la mise en oeuvre de ce framework.<br>
* NOTA : Seuls les lments XML sont concerns, les attributs XML ne sont pas grs.<br>
* Le framework client XML propose les classes utilitaires suivantes :
* <ul>
* <li><b>{@link XMLObject XMLObject}</b> pour grer un flux XML dans un DOM   partir d'une URL ou d'un emplacement sur disque.
* </li>
* <li><b>{@link XMLObjectCookie XMLObjectCookie}</b> pour grer un flux XML dans un DOM  partir d'un cookie sur disque.
* </li>
* <li><b>{@link XMLObjectSauvegarde XMLObjectSauvegarde}</b> pour grer en mmoire un flux XML dans un DOM  partir d'une cration ex nihilo
* d'un DOM, soit de l'utisation de toute ou partie d'un autre DOM.
* </li>
* </ul>
* Un certain nombre de mthodes et de proprits sont communes aux trois classes et des notions de
* polymorphisme sont abordes pour que les classes XMLObjectCookie et
* XMLOjectSauvegarde bnficient d'un code mutualis prsent dans la classe XMLObject.
* @author Ministre des Affaires Etrangres, Aubay SA, Steve Pguet
* @version 2.0
* @date 30/05/2006
*/
/*
Copyright ou  ou Copr. 
Ministre des Affaires Etrangres,
Aubay SA,
Steve Pguet, (06/04/2004)

steve.peguet@diplomatie.gouv.fr

Ce logiciel est un programme informatique servant de framework JavaScript 
bas sur les normes W3C (XHTML/CSS/DOM/XML). Il offre la possibilit de 
mettre en uvre facilement les principes ergonomiques et techniques propres 
 un client riche (cumul des avantages du client lger et du client lourd).
Ce logiciel est rgi par la licence CeCILL soumise au droit franais et
respectant les principes de diffusion des logiciels libres. Vous pouvez
utiliser, modifier et/ou redistribuer ce programme sous les conditions
de la licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA 
sur le site "http://www.cecill.info".

En contrepartie de l'accessibilit au code source et des droits de copie,
de modification et de redistribution accords par cette licence, il n'est
offert aux utilisateurs qu'une garantie limite.  Pour les mmes raisons,
seule une responsabilit restreinte pse sur l'auteur du programme,  le
titulaire des droits patrimoniaux et les concdants successifs.

A cet gard  l'attention de l'utilisateur est attire sur les risques
associs au chargement,   l'utilisation,   la modification et/ou au
dveloppement et  la reproduction du logiciel par l'utilisateur tant 
donn sa spcificit de logiciel libre, qui peut le rendre complexe  
manipuler et qui le rserve donc  des dveloppeurs et des professionnels
avertis possdant  des  connaissances  informatiques approfondies.  Les
utilisateurs sont donc invits  charger  et  tester  l'adquation  du
logiciel  leurs besoins dans des conditions permettant d'assurer la
scurit de leurs systmes et ou de leurs donnes et, plus gnralement, 
 l'utiliser et l'exploiter dans les mmes conditions de scurit. 

Le fait que vous puissiez accder  cet en-tte signifie que vous avez 
pris connaissance de la licence CeCILL, et que vous en avez accept les
termes.*/
 
//Dfinition des constantes utilises : dlai avant erreur pour MSIE
var delaiMSIE = 10000;

//Dfinition des constantes utilises : gestion des cookies xml
var cookieXMLMaxSize = 4096;
var cookieMaxSize = 1000;
var cookieXMLMaxNumber = 30;

//Dfinition des constantes utilises : urls pour image et page d'erreur
var image_attente_src = "/proto/FrameworkERGO/images/graphe/anim_attente.gif";
var page_erreur_url = "/proto/FrameworkERGO/html/erreur/erreur.html";
var page_connexion_url = "/proto/html/connexion/connexion.html";

var ERR_CLI_001_LIBELLE_FR = "Le systme ne trouve pas l'objet spcifi";
var ERR_CLI_001_NOTA_FR = "Erreur systme lors du rapatriement du flux : %1";
var ERR_CLI_002_LIBELLE_FR = "Erreur parsing XML lors du rapatriement du flux : %1";
var ERR_CLI_002_NOTA_FR = "%1<br/>Numro de ligne mise en cause : %2, Numro de colonne mise en cause : %3";
var ERR_CLI_002Bis_LIBELLE_FR = "Erreur parsing XML lors du rapatriement du flux : %1";
var ERR_CLI_002Bis_NOTA_FR = "%1";
var ERR_CLI_003_LIBELLE_FR = "La session en cours n'est plus valide";
var ERR_CLI_003_NOTA_FR = "Veuillez vous rauthentifier en <a href='%1' target='_top'>cliquant ici</a>";
var ERR_CLI_004_LIBELLE_FR = "Le cookie demand n'est pas prsent";
var ERR_CLI_005_LIBELLE_FR = "Erreur Apache Tomcat lors du rapatriement du flux : %1";
var ERR_CLI_005_NOTA_FR = "Etat : %1<br>Type : %2<br>Description : %3";

var ERR_CLI_ALERT_001_FR = "Navigateur non compatible pour importer du XML";
var ERR_CLI_ALERT_002_FR = "Navigateur non autoris pour sauvegarder du XML sur disque";
var ERR_CLI_ALERT_003_FR = "Navigateur non compatible pour supporter du DOM W3C XML";
var ERR_CLI_ALERT_004_FR = "Le cookie suivant est vide ou inexistant : ";
var ERR_CLI_ALERT_005_FR = "Le nombre de cookie maximum a t atteint sur votre machine";
var ERR_CLI_ALERT_006_FR = "Le capacit maximale d'un cookie a tait atteinte";

var MSG_CLI_001_FR = "Chargement en cours ...";

var ERR_CLI_001_LIBELLE_EN = "Le systme ne trouve pas l'objet spcifi ( traduire en anglais)";
var ERR_CLI_001_NOTA_EN = "Erreur systme lors du rapatriement du flux : %1 ( traduire en anglais)";
var ERR_CLI_002_LIBELLE_EN = "Erreur parsing XML lors du rapatriement du flux : %1 ( traduire en anglais)";
var ERR_CLI_002_NOTA_EN = "%1<br/>Numro de ligne mise en cause : %2, Numro de colonne mise en cause : %3 ( traduire en anglais)";
var ERR_CLI_002Bis_LIBELLE_EN = "Erreur parsing XML lors du rapatriement du flux : %1 ( traduire en anglais)";
var ERR_CLI_002Bis_NOTA_EN = "%1";
var ERR_CLI_003_LIBELLE_EN = "La session en cours n'est plus valide ( traduire en anglais)";
var ERR_CLI_003_NOTA_EN = "Veuillez vous rauthentifier en <a href='%1' target='_top'>cliquant ici</a> ( traduire en anglais)";
var ERR_CLI_004_LIBELLE_EN = "Le cookie demand n'est pas prsent ( traduire en anglais)";
var ERR_CLI_005_LIBELLE_EN = "Erreur Apache Tomcat lors du rapatriement du flux : %1 ( traduire en anglais)";
var ERR_CLI_005_NOTA_EN = "Etat : %1<br>Type : %2 <br>Description : %3 ( traduire en anglais)";

var ERR_CLI_ALERT_001_EN = "Navigateur non compatible pour importer du XML ( traduire en anglais)";
var ERR_CLI_ALERT_002_EN = "Navigateur non autoris pour sauvegarder du XML sur disque ( traduire en anglais)";
var ERR_CLI_ALERT_003_EN = "Navigateur non compatible pour supporter du DOM W3C XML ( traduire en anglais)";
var ERR_CLI_ALERT_004_EN = "Le cookie suivant est vide ou inexistant : ( traduire en anglais)";
var ERR_CLI_ALERT_005_EN = "Le nombre de cookie maximum a t atteint sur votre machine ( traduire en anglais)";
var ERR_CLI_ALERT_006_EN = "Le capacit maximale d'un cookie a tait atteinte ( traduire en anglais)";

var MSG_CLI_001_EN = "Loading in progress ...";

var ERR_CLI_001_LIBELLE_ES = "Le systme ne trouve pas l'objet spcifi ( traduire en espagnol)";
var ERR_CLI_001_NOTA_ES = "Erreur systme lors du rapatriement du flux : %1 ( traduire en espagnol)";
var ERR_CLI_002_LIBELLE_ES = "Erreur parsing XML lors du rapatriement du flux : %1 ( traduire en espagnol)";
var ERR_CLI_002_NOTA_ES = "%1<br/>Numro de ligne mise en cause : %2, Numro de colonne mise en cause : %3 ( traduire en espagnol)";
var ERR_CLI_002Bis_LIBELLE_ES = "Erreur parsing XML lors du rapatriement du flux : %1 ( traduire en espagnol)";
var ERR_CLI_002Bis_NOTA_ES = "%1";
var ERR_CLI_003_LIBELLE_ES = "La session en cours n'est plus valide ( traduire en espagnol)";
var ERR_CLI_003_NOTA_ES = "Veuillez vous rauthentifier en <a href='%1' target='_top'>cliquant ici</a> ( traduire en espagnol)";
var ERR_CLI_004_LIBELLE_ES = "Le cookie demand n'est pas prsent ( traduire en espagnol)";
var ERR_CLI_005_LIBELLE_ES = "Erreur Apache Tomcat lors du rapatriement du flux : %1 ( traduire en espagnol)";
var ERR_CLI_005_NOTA_ES = "Etat : %1<br>Type : %2 <br>Description : %3 ( traduire en espagnol)";

var ERR_CLI_ALERT_001_ES = "Navigateur non compatible pour importer du XML ( traduire en espagnol)";
var ERR_CLI_ALERT_002_ES = "Navigateur non autoris pour sauvegarder du XML sur disque ( traduire en espagnol)";
var ERR_CLI_ALERT_003_ES = "Navigateur non compatible pour supporter du DOM W3C XML ( traduire en espagnol)";
var ERR_CLI_ALERT_004_ES = "Le cookie suivant est vide ou inexistant : ( traduire en espagnol)";
var ERR_CLI_ALERT_005_ES = "Le nombre de cookie maximum a t atteint sur votre machine ( traduire en espagnol)";
var ERR_CLI_ALERT_006_EN = "Le capacit maximale d'un cookie a tait atteinte ( traduire en espagnol)";

var MSG_CLI_001_ES = "Chargement en cours ... ( traduire en espagnol)";


//Fonction pour tester si une liste d'lments d'un DOM est vide
/**
* <b>Fonction de la bote  outils du framework client XML</b> <a href='overview-summary-technique_fw_xml.js.html'>fw_xml.js</a>;
* estVide(listeElements) permet de vrifier qu'une arborescence d'un objet DOM XML n'est pas vide. 
* <br><br>Pour illustrer le cadre d'utilisation de chaque fonction prsente dans la bote  outils, nous prenons le <a href="exemples_A3.html#fluxBoutils">flux XML suivant</a>.
* <br><b>Voir Exemple d'implmentation pour vrifier si une arborescence d'un objet DOM n'est pas vide avant un tri : </b>
* <a href='exemples_A3.html#estVide_fctGlob'>Exemples d'appel aux fonctions globales</a>.
* <br><br><b>Fonction de la bote  outils du framework client XML </b>Chaque fonction, de cette bote   outils, propose une gestion interne d'erreur en renvoyant
* un boolen valoris  false lors d'une utilisation contre-indique. <span style="color: rgb(0, 153, 0);"> Pour tester cette valeur retourne et vrifier la prsence d'une erreur, il
* est prfrable de caster cette valeur avec l'objet JavaScript Boolean:</span> voir <a href="exemples_A3.html#boitOutils">Exemple d'implmentation</a>.
* @public
* @param {p_XMLObject_Obligatoire} listeElements Pointeur sur une arborescence XML d'un objet DOM  tester.
* @return {boolean} : renvoie une rponse sous forme de boolen.
* @version 1.1
* @date 25/10/2005
*/
function estVide(listeElements)
{
  return !listeElements.hasChildNodes();
}

//Fonction de tri rapide
/**
* <b>Fonction de la bote  outils du framework client XML</b> <a href='overview-summary-technique_fw_xml.js.html'>fw_xml.js</a>;
* QuickSort(xml, nomDonnee, first, last, ordre, type) permet de trier un flux XML  partir d'un critre donn. Ce tri s'effectue
* selon un ordre (croissant ou dcroissant) et une typologie.<br>Les typologies implmentes dans ce framework sont :<br>&middot;&nbsp; Chane de
* caractres (par dfaut).<br>&middot;&nbsp; Nombre.<br>&middot;&nbsp; Date.<br>&middot;&nbsp; Rfrence (mlange de chiffres et
* de lettres suivant une typologie fonctionnelle propre au MAE).<br>Par soucis de performance, l'implmentation du tri est dveloppe  l'aide d'un
* algorithme connu du type QuickSort en JavaScript. Cet algorithme est plus rapide qu'un mme traitement effectu en base, ou avec un tri par
* bulles ou par transformation XSLT sur le client ou sur le serveur. Cette rapidit est essentiellement due  l'application d'un principe technique algorithmique
*  base de rcursivit.
* <br><br>Pour illustrer le cadre d'utilisation de chaque fonction prsente dans la bote  outils, nous prenons le <a href="exemples_A3.html#fluxBoutils">flux XML suivant</a>.
* <br><b>Voir Exemple pour trier le flux XML par ordre croissant de leur date de commande :</b> <a href='exemples_A3.html#QuickSort_fctGlob'>Exemples d'appel aux fonctions globales</a>.
* <br><br><b>Fonction de la bote  outils du framework client XML </b>Chaque fonction, de cette bote   outils, propose une gestion interne d'erreur en renvoyant
* un boolen valoris  false lors d'une utilisation contre-indique. <span style="color: rgb(0, 153, 0);"> Pour tester cette valeur retourne et vrifier la prsence d'une erreur, il
* est prfrable de caster cette valeur avec l'objet JavaScript Boolean:</span> voir <a href="exemples_A3.html#boitOutils">Exemple d'implmentation</a>.
* @public
* @param {p_XMLObject_Obligatoire} xml : Pointeur sur l'arborescence XML  trier (Utile aussi pour les principes de rcursivit).
* @param {String_Obligatoire} nomDonnee : CritereTri String indiquant le nom de l'lment XML servant de critre de tri.
* @param {int_Facultatif} first Entier indiquant l'indice du premier lment  trier (Utile aussi pour les principes de
* rcursivit). Dans la version 2.0, ce paramtre est ignor. 
* @param {int_Facultatif} last Entier indiquant l'indice du dernier lment  trier (Utile aussi pour les principes de rcursivit). 
* Dans la version 2.0, ce paramtre est ignor.
* @param {boolean_Obligatoire} ordre Boolen indiquant l'ordre de tri (true pour croissant, false pour dcroissant).
* @param {String_Optionnel} type String indiquant la typologie du critre de tri :<br>&middot;&nbsp; "" pour les chanes de caractres (par
* dfaut).<br>&middot;&nbsp; "NUMBER" pour les nombres.<br>&middot;&nbsp; "DATE" pour les dates.<br>&middot;&nbsp; "REFERENCE" pour les rfrences.
* @return {void} mais a tri le XMLObject.
* @version 2.0
* @date 30/05/2006
*/ 
function QuickSort(xml,nomDonnee,first,last,ordre,type)
{
  // on recupere les lignes du xml, et on les enleve
  var array = [];
  
  while (xml.childNodes.length>0)
  {
    var child = xml.firstChild
		array.push(child);
		xml.removeChild(child);
  }

	// initialisation et execution du tri  
  QuickSortInitialise(nomDonnee,type,array);

  // on insere les lignes dans le xml, dans le bon ordre
  if (ordre)
    for (var i=0; i<array.length; i++)
      xml.appendChild(array[i]);
  else
    for (var i=array.length-1; i>=0; i--)
      xml.appendChild(array[i]);
}

//Fonction de tri rapide
/**
* <b>Fonction de la bote  outils du framework client XML</b> <a href='overview-summary-technique_fw_xml.js.html'>fw_xml.js</a>;
* QuickSortMulti(xml, listeDonnee, listeOrdre, listeType, first, last) permet de trier un flux XML  partir de n critres. Ce tri s'effectue
* selon un ordre (croissant ou dcroissant) et une typologie.<br>Les typologies implmentes dans ce framework sont :<br>&middot;&nbsp; Chane de
* caractres (par dfaut).<br>&middot;&nbsp; Nombre.<br>&middot;&nbsp; Date.<br>&middot;&nbsp; Rfrence (mlange de chiffres et
* de lettres suivant une typologie fonctionnelle propre au MAE).<br>Par soucis de performance, l'implmentation du tri est dveloppe  l'aide d'un
* algorithme connu du type QuickSort en JavaScript. Cet algorithme est plus rapide qu'un mme traitement effectu en base, ou avec un tri par
* bulles ou par transformation XSLT sur le client ou sur le serveur. Cette rapidit est essentiellement due  l'application d'un principe technique algorithmique
*  base de rcursivit.
* <br><br>Pour illustrer le cadre d'utilisation de chaque fonction prsente dans la bote  outils, nous prenons le <a href="exemples_A3.html#fluxBoutils">flux XML suivant</a>.
* <br><b>Voir Exemple pour trier le flux XML par ordre croissant de leur date de commande :</b> <a href='exemples_A3.html#QuickSort_fctGlob'>Exemples d'appel aux fonctions globales</a>.
* <br><br><b>Fonction de la bote  outils du framework client XML </b>Chaque fonction, de cette bote   outils, propose une gestion interne d'erreur en renvoyant
* un boolen valoris  false lors d'une utilisation contre-indique. <span style="color: rgb(0, 153, 0);"> Pour tester cette valeur retourne et vrifier la prsence d'une erreur, il
* est prfrable de caster cette valeur avec l'objet JavaScript Boolean:</span> voir <a href="exemples_A3.html#boitOutils">Exemple d'implmentation</a>.
* @public
* @param {p_XMLObject_Obligatoire} xml : Pointeur sur l'arborescence XML  trier (Utile aussi pour les principes de rcursivit).
* @param {Array_Obligatoire} listeDonnee : Tableau de String indiquant le nom des lments XML servant de critre de tri dans leur ordre d'application.
* @param {Array_Obligatoire} listeType : Tableau de String indiquant la typologie du critre de tri :<br>&middot;&nbsp; "" pour les chanes de caractres (par dfaut).<br>&middot;&nbsp; "NUMBER" pour les nombres.<br>&middot;&nbsp; "DATE" pour les dates.<br>&middot;&nbsp; "REFERENCE" pour les rfrences.
* @param {Array_Obligatoire} listeOrdre : Tableau de Boolen indiquant l'ordre de tri (true pour croissant, false pour dcroissant).
* @param {int_Facultatif} first : Entier indiquant l'indice du premier lment  trier (Utile aussi pour les principes de rcursivit). Dans la version 2.0, ce paramtre est ignor. 
* @param {int_Facultatif} last : Entier indiquant l'indice du dernier lment  trier (Utile aussi pour les principes de rcursivit). Dans la version 2.0, ce paramtre est ignor.
* @return {void} mais a tri le XMLObject.
* @version 2.4
* @date 14/11/2006
*/ 
function QuickSortMulti(xml,listeDonnee,listeType,listeOrdre,first,last)
{
  // on recupere les lignes du xml, et on les enleve
  var nomDonnee = "";
  var type = "";
  var ordre = "";

  var array = [];
  while (xml.childNodes.length>0)
  {
    var child = xml.firstChild
		array.push(child);
		xml.removeChild(child);
  }
  
	// execution du tri recursif  
	result=QuickSortRecursif(listeDonnee,listeType,listeOrdre,array);

  // on insere les lignes dans le xml, dans le bon ordre
  for (var i=0; i<result.length; i++)
    xml.appendChild(result[i]);
}


//Fonction utilitaire pour grer les messages d'erreurs paramtrs
/**
* Le framework technique <a href='overview-summary-technique_fw_xml.js.html'>fw_xml.js</a>  propose la fonction utilitaire  
* remplacementParamErreur(texte,params)) pour grer les messages d'erreurs paramtrs.
* @private
* @param {String_Obligatoire} texte Message d'erreur associ au(x) paramtre(s) d'erreur indiqu(s).
* @param {String_Optionnel} params Paramtres d'erreurs spars par ';'.
* @return {String} : texte d'erreur associ  la liste des paramtres d'erreur indiqus.
* @version 2.0
* @date 06/06/2006
*/
function remplacementParamErreur(texte,params)
{
  var r = params.split(";");
  var j = 0;
  var test = "";
  if (r)
  {
    for (var i=0;i<r.length;i++)
    {
      j = i + 1;
      test = "%" + j;
      texte = texte.replace(test,r[i]);
    }
  }
  return texte;
}

//Gestion des changements d'tat lors du rapatriement d'un flux XML en synchrone
/**
* La mthode prive testStateChange() est  usage interne du framework. 
* Elle invoque la mthode {@link #ecrireXMLtoHTML ecrireXMLtoHTML} lorsque le rapatriement du flux est achev en synchrone. 
* @private
* @param {} Aucun
* @return {void}
* @version 2.6
* @date 04/09/2007
*/
function XMLObject_testStateChange()
{
  if (this.delaiUP) {
    if (this.boolLoadingMessage)
      this.endPrintLoadingMessage();
    this.xmlReq.abort();
    return;
  } else if ((this.xmlReq.readyState == 4) && (!this.reqDo)) {
    this.reqDo=true;
    this.status = this.xmlReq.status;
    this.statusText = this.xmlReq.statusText;
    this.contentType = this.xmlReq.getResponseHeader("Content-type");
    if (typeof(setVersionLISE) == "function")
    	if (liseVersion == null) {
	    	try {
	    		setVersionLISE(XMLDOM.xmlReq.getResponseHeader("ACube_LiseVersion"));
	    	} catch(error){
  				setVersionLISE("0");
 				}
    	}
    this.xmlDocText = this.xmlReq.responseText;
    this.xmlDoc = this.xmlReq.responseXML;
    if (this.ecrireXMLtoHTML.indexOf("(",0) == -1)
    	var commande = this.ecrireXMLtoHTML + "()";
    else
    	var commande = this.ecrireXMLtoHTML;
    eval(commande);
    return;
  }
  setTimeout("this.testStateChange()",10);
}

//Gestion des changements d'tat lors du rapatriement d'un flux XML en asynchrone
/**
* La fonction utilitaire testStateChange2(XMLDOM) est  usage interne du framework. 
* Elle invoque la mthode {@link #ecrireXMLtoHTML ecrireXMLtoHTML} lorsque le rapatriement du flux est achev en asynchrone. 
* @private
* @param {XMLObject_Obligatoire} XMLDOM XMLObject en cours de rapatriement de flux XML
* @return {void}
* @version 2.6
* @date 04/09/2007
*/
function testStateChange2(XMLDOM)
{
  if (XMLDOM.delaiUP) {
    if (XMLDOM.boolLoadingMessage)
      XMLDOM.endPrintLoadingMessage();
    XMLDOM.xmlReq.abort();
    return;
  } else if ((XMLDOM.xmlReq.readyState == 4) && (!XMLDOM.reqDo)) {
  	XMLDOM.reqDo = true;
    XMLDOM.status = XMLDOM.xmlReq.status;
    XMLDOM.statusText = XMLDOM.xmlReq.statusText;
    XMLDOM.contentType = XMLDOM.xmlReq.getResponseHeader("Content-type");
    if (typeof(setVersionLISE) == "function")
    	if (liseVersion == null) {
	    	try {
	    		setVersionLISE(XMLDOM.xmlReq.getResponseHeader("ACube_LiseVersion"));
	    	} catch(error){
  				setVersionLISE("0");
 				}
    	}
    XMLDOM.xmlDocText = XMLDOM.xmlReq.responseText;
    XMLDOM.xmlDoc = XMLDOM.xmlReq.responseXML;
    if (XMLDOM.ecrireXMLtoHTML.indexOf("(",0) == -1)
    	var commande = XMLDOM.ecrireXMLtoHTML + "()";
    else
    	var commande = XMLDOM.ecrireXMLtoHTML;
    eval(commande);
    return;
  }
}

//Gestion des changements d'tat lors du rapatriement d'un flux XML en asynchrone
/**
* La fonction utilitaire testReady(XMLDOM) est  usage interne du framework lors d'un rapatriement de flux XML en asynchrone. 
* @private
* @see #testStateChange2
* @param {XMLObject_Obligatoire} XMLDOM XMLObject en cours de rapatriement de flux XML
* @return {function} fonction de callback appele par l'vnement onreadystatechange de l'objet XMLHTTPRequest prsent dans l'objet XMLObject en cours.
* @version 2.0
* @date 06/06/2006
*/
function testReady(XMLDOM)
{
  return function () {
    testStateChange2(XMLDOM);
  }
}

//Constructeur pour l'objet de gestion des flux XML  partir d'une URL
/**
* Le framework technique <a href='overview-summary-technique_fw_xml.js.html'>fw_xml.js</a>  propose la fonction  
* XMLObject_constructor(); elle permet la configuration des lments de l'objet {@link XMLObject XMLObject} lors de son instanciation.
* @see #XMLObject
* @param {} Aucun
* @return {void}
* @version 2.5
* @date	14/12/2006
*/
function XMLObject_constructor()
{
  if (this.divIdBind != null)
    this.initDivBindXML();
  if (this.xmlDoc == null) {
    if (window.XMLHttpRequest) {
      this.xmlReq = new window.XMLHttpRequest();
      if (this.xmlReq.overrideMimeType != null)
      	this.xmlReq.overrideMimeType('text/xml');   
    } else if (window.ActiveXObject) {
      try {
        this.xmlReq = new ActiveXObject("Msxml2.XMLHTTP");
      } catch (e) {
        this.xmlReq = new ActiveXObject("Microsoft.XMLHTTP");
      }
    } else {
      var test = GetCookie(":::langueSettings:::");
      if (test == null)
        test = "FR";
      alert(eval("ERR_CLI_ALERT_001_"+test));
      return;
    }
  }
}

//Fonction pour initialiser la zone dynamique associe  la gnration du flux HTML lie au contenu du XML
/**
* La mthode prive initDivBindXML() permet de spcifier avec les lments fournis dans le
* {@link #XMLObject constructeur} (frameIdBind et divId) un pointeur vers le DOM HTML de la zone dynamique grant la
* prsentation du contenu dynamique correspondant au flux XML.
* <br>Ce pointeur vers le DOM HTML est stock dans la proprit divBind 
* de l'instance de la classe XMLObject.
* @private
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function XMLObject_initDivBindXML()
{
  this.divBind = window.frames[this.frameIdBind].document.getElementById(this.divIdBind);
  this.divBindMessage = this.divBind;
}

/**
* La fonction utilitaire encodeParametres(params) est  usage interne du framework pour 
* envoyer des donnes sous la forme "VAR1=valeur1&VAR2=valeur2". Elle utilise la fonction javascript
* encodeURIComponent() pour encoder les paramtres, afin d'assurer une transmission correcte des informations
* quelque soit la mthode utilise (GET ou POST), le type de donnes (caractres spciaux de type &,\n,? ...) ou
* le navigateur.
* @private
* @param {Object_Obligatoire} params Paramtres pouvant tre construits de la manire suivante avant de le passer 
* en argument de la fonction : var params = { VAR1=var1.getValue(), VAR2=var2.getValue() };
* @return {String} data Paramtres de la requte pour envoyer des donnes sous la forme "VAR1=valeur1&VAR2=valeur2".
* @version 2.0
* @date 06/06/2006
*/
function encodeParametres(params)
{
  var data = '';
  // on ajoute les arguments
  var premierArgument = true;
  for (var nom in params)
  {
    var value = params[nom];
		
		// si ce n'est pas le premier, on met un separateur
		if (!premierArgument)
			data += '&';
		
		// dornavant, on met un sparateur
		premierArgument = false;
		
		// definition de la donnee par NOM=valeur
		// on utilise encodeURIComponent plutt qu'escape pour encoder les accents, les '&'
		// car elle fonctionne mieux pour les caractres non ASCII.

		// Retour avec la mthode escape plutot que encodeURIComponent
		// en raison de difficults de dcodage cot serveur
		//data += nom + '=' + encodeURIComponent(value);
		data += nom + '=' + escape(value);
  }
  return data;
}

/**
* La mthode publique initRequestParams() permet d'initialiser la requte de rapatriement de flux XML 
* effectue par la mthode {@link #importXML importXML} en renseignant les attributs {@link #requestMethode requestMethode} et {@link #requestData requestData}.
* <br> <b>Voir Exemple d'initialisation de requte XML</b> lors d'une instanciation de l'objet XMLObject dj effectue pour la validation d'un formulaire : <a href='exemples_A3.html#XMLObject_meth'>Exemples d'appels aux mthodes publiques</a>.
* @public
* @param {String_Obligatoire} methode Mthode de la requte pouvant prendre les valeurs "HEAD", "GET" ou "POST".
* @param {Object_Facultatif} params Paramtres de la requte pour envoyer des donnes sous la forme "VAR1=valeur1&VAR2=valeur2". 
* Cet objet params peut tre construit de la manire suivante avant de le passer 
* en argument de la fonction : var params = { VAR1=var1.getValue(), VAR2=var2.getValue() };
* @return {void}
* @version 2.0
* @date 06/06/2006
*/
function XMLObject_initRequestParams(methode,params)
{
  this.requestMethode = methode;
  if (params)
    this.requestData = encodeParametres(params);
}

/**
* La mthode publique initRequestData() permet d'initialiser la requte de rapatriement de flux XML 
* effectue par la mthode {@link #importXML importXML} en renseignant les attributs {@link #requestMethode requestMethode} et {@link #requestData requestData}.
* <br> <b>Voir Exemple d'initialisation de requte XML</b> lors d'une instanciation de l'objet XMLObject dj effectue pour la validation d'un formulaire : <a href='exemples_A3.html#XMLObject_meth'>Exemples d'appels aux mthodes publiques</a>.
* @public
* @param {String_Obligatoire} methode Mthode de la requte pouvant prendre les valeurs "HEAD", "GET" ou "POST".
* @param {String_Optionnel} data Paramtres de la requte pour envoyer des donnes sous la forme "VAR1=valeur1&VAR2=valeur2". Attention de ne pas oublier d'encoder les valeurs pour prendre en compte les caractres spciaux (accents, '&', '?'...).
* @return {void}
* @version 2.0
* @date 06/06/2006
*/
function XMLObject_initRequestData(methode,data)
{
  this.requestMethode = methode;
  if (data)
    this.requestData = data;
}

/**
* La mthode publique initAsynchrone() permet d'initialiser le synchronisme de la requte de rappatriement de flux XML 
* effectue par la mthode {@link #importXML importXML} en renseignant l'attribut {@link #requestBoolAsynchrone requestBoolAsynchrone}.
* <br> <b>Voir Exemple d'initialisation de synchronisme</b> lors d'une instanciation de l'objet XMLObject dj effectue : <a href='exemples_A3.html#XMLObject_meth'>Exemples d'appels aux mthodes publiques</a>.
* @public
* @param {boolean_Obligatoire} boolAsynchrone Renseign  true pour une requte asynchrone  false pour une requte synchrone.
* @return {void}
* @version 2.0
* @date 06/06/2006
*/
function XMLObject_initAsynchrone(boolAsynchrone)
{
  this.requestBoolAsynchrone = boolAsynchrone;
}

//Fonction d'appel au rapatriement d'un flux XML  partir d'une url
/**
* La mthode publique importXML() dclenche le rapatriement d'un flux XML ( partir d'une URL) et appelle la mthode {@link  #ecrireXMLtoHTML &laquo;ecrireXMLtoHTML} 
* configure par le constructeur de l'objet lors de son initialisation.
* <br>Fonctionnement :<br>1. Effectue une requte de rapatriement de flux XML sur l'URL dfinie au moment de l'instanciation 
* (voir {@link #XMLObject constructeur}) et aprs initialisation de la mthode, des donnes passes  la requte et du synchronisme 
* (voir {@link #initRequestParams initRequestParams}, {@link #initRequestData initRequestData} et {@link #initAsynchrone initAsynchrone}).
* <br>2. Un objet DOM est construit  partir de la ressource obtenue. Cet objet DOM est ensuite accessible via la proprit xmlDoc 
* (voir {@link #xmlDoc proprit}). Chaque appel  cette mthode provoque la destruction de tout objet DOM prcdemment cre sur le mme objet XMLObject.<br>
* 3. La mthode  {@link #ecrireXMLtoHTML ecrireXMLtoHTML} spcifie lors de l'instanciation est excute une fois le flux rapatri.<br>
* 4. La mthode {@link #importXML importXML}  prend fin au retour de l'appel  la mthode ecrireXMLtoHTML. <br><br>En cas d'chec de la
* requte (chec du rapatriement du flux, erreur fonctionnelle ...), l'objet DOM construit correspond  un arbre XML dcrivant l'erreur survenue. Pour une erreur technique, ce format est
* spcifique au navigateur utilis. Pour une erreur fonctionnelle, le format est spcifique au cas d'utilisation mtier implment. Afin de dterminer le rsultat d'une
* invocation de la mthode, la mthode {@link #parseErrorXML parseErrorXML} doit tre employe.<br><br>La mthode {@link #importXML importXML} 
* peut chouer pour les raisons critiques suivantes :<br>&gt; L'URL spcifie ne correspond pas  une ressource XML ou n'existe pas, l'objet DOM ne peut tre construit.<br>&gt; Le service de
* flux est interrompu au cours du transfert XML (exception, interruption de service), l'objet DOM ne peut pas tre construit.<br>
* <br> <b>Voir Exemple d'import XML</b> lors d'une instanciation de l'objet XMLObject dj effectue : <a href='exemples_A3.html#XMLObject_meth'>Exemples d'appels aux mthodes publiques</a>.
* @public
* @see #ecrireXMLtoHTML
* @param {} Aucun
* @return {void}
* @version 2.6
* @date 04/09/2007
*/
function XMLObject_loadXML()
{
	// cas particulier d'un objet XML vide
	if (this.urlXML == null) {
		this.initXML();
    if (this.ecrireXMLtoHTML.indexOf("(",0) == -1)
    	var commande = this.ecrireXMLtoHTML + "()";
    else
    	var commande = this.ecrireXMLtoHTML;
    eval(commande);
		return;
	}
	
  this.delaiUP=false;
  this.reqDo=false;
  
  if (this.boolLoadingMessage)
  {
    this.printLoadingMessage();
  }
  if (this.requestBoolAsynchrone == true)
  {
    setTimeout("this.delaiUP=true",delaiMSIE);
    var test = testReady(this);
    this.xmlReq.onreadystatechange = test;
  }
  if ((this.requestMethode == "HEAD") || (this.requestMethode == "GET"))
  {
    var requestURL = this.urlXML;
    if ((this.requestData != null) && (this.requestData != ""))
    {
      var rg=new RegExp("[?]");
      if (rg.test(requestURL))  
        requestURL += "&";
      else
        requestURL += "?";
      requestURL += this.requestData;
    }
    this.xmlReq.open(this.requestMethode,requestURL,this.requestBoolAsynchrone);
    this.xmlReq.send(null);
  }
  else if (this.requestMethode == "POST")
  {
    this.xmlReq.open(this.requestMethode,this.urlXML,this.requestBoolAsynchrone);
    if ((this.requestData != null) && (this.requestData != ""))
    {
      this.xmlReq.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
      this.xmlReq.send(this.requestData);
    } else { 
      this.xmlReq.send(null);
    }
  }
  if (this.requestBoolAsynchrone == false)
  { 
    setTimeout("this.delaiUP=true",delaiMSIE);
    this.testStateChange();
  }
}

//Fonction de gestion des erreurs associes au rapatriement d'un flux XML
/**
* La mthode publique parseErrorXML(type) permet d'analyser le flux XML renvoy pour vrifier la prsence ou non d'une erreur :
* la dtection de la prsence d'une erreur s'effectue de la manire suivante.
* <br>&gt; Erreur serveur empchant le renvoi du flux :<br>&middot;&nbsp; Rapport d'erreur renvoy par Tomcat;
* <br>&middot;&nbsp; Erreur de status renvoye par le serveur Web (Ex: 404, 500...);
* <br>&middot;&nbsp; Erreur de session invalide renvoye par une redemande d'authentification;
* <br>&gt; Erreur de parsing XML par le parser du navigateur.
* <br>&gt; Erreur fonctionnelle ou technique applicative :<br>&middot;&nbsp; Dtection du nom du premier lment XML  ERREUR et 
* rcupration du libell du message d'erreur dans le contenu informatif du flux XML.<br><br> Si une erreur est dtecte, l'affichage de la page d'erreur est ralis soit
* directement dans la page d'appel du flux XML (par dfaut), soit dans une fentre fille si "popup" est pass en argument de la fonction.<br>L'URL de la page d'erreur est spcifie en
* paramtre dans la variable gnrique prsente dans le framework sous le nom <a href='constant-values_A3.html#XMLObject'>page_erreur_url</a>.<br><br>Remarque :<br>Cette fonction est gnralement appele 
* dans la mthode {@link #ecrireXMLtoHTML ecrireXMLtoHTML}  pour vrifier la prsence du<br>flux attendu avant tout traitement de lecture de ce flux par cettedernire.
* - <b>Voir Valeurs des Constantes - Globales </b> : <a href='constant-values_A3.html#XMLObject'>page_erreur_url</a>, ...
* <br><br> <b>Voir Exemple de dtection d'erreur</b> dans notre cas d'utilisation avec gnration de la liste  : <a href='exemples_A3.html#XMLObject_meth'>Exemples d'appels aux mthodes publiques</a>.
* @public
* @param {String_Optionnel} type String indiquant le type d'affichage de l'erreur si l'erreur ne s'affiche pas dans la page : "popup" affichage dans une fentre
* @return {number} -1, 0
* @version 2.0
* @date 06/06/2006
*/
function XMLObject_parseErrorXML(type)
{
  var boolErreurSession = false;
  
  var langue = GetCookie(":::langueSettings:::");
  if (langue == null)
    langue = "FR";
    
  if (this.boolLoadingMessage)
    this.endPrintLoadingMessage();
    
  var textCode = "";
  var textError = "";
  var textNota = "";
  var paramsURL = {};
  
  if (this.urlXML == null) 
  	return 0;
  
  if (this.status != null) {
    //Gestion des erreurs Tomcat
    if (   (this.xmlDocText.search("<title>Apache Tomcat") != -1) 
        && (this.xmlDocText.search("- Rapport d'erreur</title>") != -1) ) {
      textCode = "ERR-CLI-005";
      textError = eval("ERR_CLI_005_LIBELLE_"+langue);
      textError = remplacementParamErreur(textError,this.urlXML);
      textNota = eval("ERR_CLI_005_NOTA_"+langue);
      var rg = new RegExp("Etat([^-]*)");
      var r = rg.exec(this.xmlDocText);
	// Retour avec la mthode unescape plutot que decodeURIComponent
	// en raison de difficults de dcodage cot serveur
	//var etat = r?decodeURIComponent(r[1]):" ";
      var etat = r?unescape(r[1]):" ";
      rg = new RegExp("<b>type</b>([^<]*)");
      r = rg.exec(this.xmlDocText);
	// Retour avec la mthode unescape plutot que decodeURIComponent
	// en raison de difficults de dcodage cot serveur
	//var typeRapport = r?decodeURIComponent(r[1]):" ";
      var typeRapport = r?unescape(r[1]):" ";
      rg = new RegExp("<b>description</b> <u>([^<]*)");
      r = rg.exec(this.xmlDocText);
	// Retour avec la mthode unescape plutot que decodeURIComponent
	// en raison de difficults de dcodage cot serveur
	//var description = r?decodeURIComponent(r[1]):" ";
      var description = r?unescape(r[1]):" ";
      textNota = remplacementParamErreur(textNota,etat+";"+typeRapport+";"+description);
    }
    //Gestion des erreurs systmes de code status diffrents  200
    else if (this.status != 200)
    {
      textCode = "ERR-CLI-001";
      textError = eval("ERR_CLI_001_LIBELLE_"+langue);
      textNota = eval("ERR_CLI_001_NOTA_"+langue);
      textNota = remplacementParamErreur(textNota,this.urlXML);
      textNota += " (Status=" + this.status + " : " + this.statusText + ")";
    }
    //Gestion des erreurs de session lors de la rcupration d'un flux html de demande de reconnexion au lieu d'un flux xml
    else if (this.xmlDocText.search("<title>Page de connexion</title>")!=-1)
    {
      textCode = "ERR-CLI-003";
      textError = eval("ERR_CLI_003_LIBELLE_"+langue);
      textNota = eval("ERR_CLI_003_NOTA_"+langue);
      textNota = remplacementParamErreur(textNota,page_connexion_url);
      boolErreurSession = true;
    }
  }
  //Gestion des erreurs de parsing XML
  if ((textCode == "") && ((!this.xmlDoc.documentElement) || (this.xmlDoc.documentElement.tagName == "parsererror")))
  {
    if (this.xmlDoc.parseError)
    {
      if (this.xmlDoc.parseError.errorCode == -2146697210)
      {
        textCode = "ERR-CLI-001";
        textError = eval("ERR_CLI_001_LIBELLE_"+langue);
        textNota = eval("ERR_CLI_001_NOTA_"+langue);
        textNota = remplacementParamErreur(textNota,this.urlXML);
      } else {
        textCode = "ERR-CLI-002";
        textError = eval("ERR_CLI_002_LIBELLE_"+langue);
        textError = remplacementParamErreur(textError,this.urlXML);
        textNota = eval("ERR_CLI_002_NOTA_"+langue);
        textNota = remplacementParamErreur(textNota,this.xmlDoc.parseError.reason+";"+this.xmlDoc.parseError.line+";"+this.xmlDoc.parseError.linepos);
      }
    } else if (this.xmlDoc.documentElement.tagName == "parsererror") {
      textCode = "ERR-CLI-002";
      textError = eval("ERR_CLI_002Bis_LIBELLE_"+langue);
      textError = remplacementParamErreur(textError,this.urlXML);
      textNota = eval("ERR_CLI_002Bis_NOTA_"+langue);
      textNota = remplacementParamErreur(textNota,this.xmlDoc.getElementsByTagName("parsererror")[0].firstChild.nodeValue);
    } else {
      textCode = "ERR-CLI-001";
      textError = eval("ERR_CLI_001_LIBELLE_"+langue);
      textNota = eval("ERR_CLI_001_NOTA_"+langue);
      textNota = remplacementParamErreur(textNota,this.urlXML);
    }
  }
  if (textCode != "")
  {
    paramsURL.code = textCode;
    paramsURL.libelle = textError;
    paramsURL.nota = textNota;
    var url = page_erreur_url + "?" + encodeParametres(paramsURL);
    if ((type=="popup") && (!boolErreurSession))
	  OpenWindowFocus(url+"&popup=true","Erreur",'height=260, width=400, scrollbars=no, screenX=10, screenY=10');
    else if (type == "parent")
    {
	  window.document.location.replace(url+"&idmenu="+textIdmenu);
    } 
    else if (type == "popup")
    {
      window.opener.document.location.replace(url+"&idmenu="+textIdmenu);
      window.close();
    }
    else
    {
      if (parent.ComposantMenuFrameset)
  	    var textIdmenu = escape(parent.ComposantMenuFrameset.id_menu);
      window.frames['CONTENU_WIN'].document.location.replace(url+"&idmenu="+textIdmenu);
    }
    return -1;
  }
  //Gestion des erreurs fonctionnelles
  if (this.xmlDoc.documentElement.tagName == "LISTE_ERREURS")
  {
    if (this.xmlDoc.getElementsByTagName("ERREUR")[0])
      var erreurXML = this.xmlDoc.getElementsByTagName("ERREUR")[0];
    else
      return -1;
    if ((erreurXML.getElementsByTagName("CODE")[0]) && (erreurXML.getElementsByTagName("CODE")[0].firstChild))
      var textCode = erreurXML.getElementsByTagName("CODE")[0].firstChild.nodeValue;
    else
      var textCode = "????";
    if ((erreurXML.getElementsByTagName("LIBELLE")[0]) && (erreurXML.getElementsByTagName("LIBELLE")[0].firstChild))
      var textError = erreurXML.getElementsByTagName("LIBELLE")[0].firstChild.nodeValue;
    else
      var textError = "";
    if ((erreurXML.getElementsByTagName("NOTA")[0]) && (erreurXML.getElementsByTagName("NOTA")[0].firstChild))
      var textNota = erreurXML.getElementsByTagName("NOTA")[0].firstChild.nodeValue;
	else
	  var textNota = "";
	if ((erreurXML.getElementsByTagName("MAILTO")[0]) && (erreurXML.getElementsByTagName("MAILTO")[0].firstChild))
	  var textMailto = erreurXML.getElementsByTagName("MAILTO")[0].firstChild.nodeValue;
	else
	  var textMailto = "";
	if ((erreurXML.getElementsByTagName("AIDE")[0]) && (erreurXML.getElementsByTagName("AIDE")[0].firstChild))
	  var textAide = erreurXML.getElementsByTagName("AIDE")[0].firstChild.nodeValue;
	else
	  var textAide = "";
	if ((erreurXML.getElementsByTagName("FAQ")[0]) && (erreurXML.getElementsByTagName("FAQ")[0].firstChild))
	  var textFaq = erreurXML.getElementsByTagName("FAQ")[0].firstChild.nodeValue;
	else
	  var textFaq = "";
	if ((erreurXML.getElementsByTagName("LISTE_PARAM_LIBELLE")[0]) && (erreurXML.getElementsByTagName("LISTE_PARAM_LIBELLE")[0].firstChild))
	{
	  var params = erreurXML.getElementsByTagName("LISTE_PARAM_LIBELLE")[0].firstChild.nodeValue;
	  textError = remplacementParamErreur(textError,params);
	}
	if ((erreurXML.getElementsByTagName("LISTE_PARAM_NOTA")[0]) && (erreurXML.getElementsByTagName("LISTE_PARAM_NOTA")[0].firstChild))
	{
	  var params = erreurXML.getElementsByTagName("LISTE_PARAM_NOTA")[0].firstChild.nodeValue;
	  textNota = remplacementParamErreur(textNota,params);
	}
    paramsURL.code = textCode;
    paramsURL.libelle = textError;
    paramsURL.nota = textNota;
	textMailto = escape(textMailto);
	var url = page_erreur_url + "?" + encodeParametres(paramsURL);
	if (textMailto != "")
	  url += "&mailto=" + textMailto;
	if (textAide != "")
	  url += "&aide=" + textAide;
	if (textFaq != "")
	  url += "&faq=" + textFaq;
	if (type == "popup")
	  OpenWindowFocus(url+"&popup=true","Erreur","height=260, width=400, scrollbars=no, screenX=10, screenY=10");
	else if (type == "parent")
	{
	  window.document.location.replace(url+"&idmenu="+textIdmenu);
	} 
	else
	{
	  if (parent.ComposantMenuFrameset)
    	var textIdmenu = escape(parent.ComposantMenuFrameset.id_menu);
      window.frames['CONTENU_WIN'].document.location.replace(url+"&idmenu="+textIdmenu);
	}
	return -1;
  } else {
    return 0;
  }
}

//Fonction pour sauvegarder sur un disque local le flux XML rapatri
/**
* La mthode publique saveLocalXML(path) offre la possibilit de sauvegarder le flux XML prsent dans le DOM de l'objet XMLObject dans un fichier 
* plac sur disque.
* <br>Pour pouvoir effectuer cet enregistrement sur disque  partir d'un navigateur, il est ncessaire de modifier les paramtres
* de scurit du navigateur en largissant la confiance de celui-ci vis--vis des scripts lancs par les sites en intranet/extranet.<br>Ce
* paramtrage est propre au type de navigateur utilis :<br> &gt; pour MSIE, il consiste  modifier la politique de scurit du
* navigateur  partir du menu Outils Options Internet  Scurit.<br><img src="Image.OptionsInternet.jpg"><br>Il est ainsi possible de
* personnaliser le niveau de scurit soit pour l'ensemble de l'intranet local soit en listant les sites de confiance en activant les contrles d'initialisation et de
* script ActiveX non marqus comme scuriss de la manire suivante :<br><img src="Image.ParametresSecurite.jpg"><br>&gt; pour les navigateurs de
* type Gecko, elle consiste  modifier le fichier de paramtrage propre aux prfrences de l'utilisateur : prefs.js prsent dans le profile de
* l'utilisateur propre au navigateur (Exemple d'emplacement pour Mozilla : C:\Documents and Settings\Administrateur\Application\Data\Mozilla\Profiles\).
* L'largissement de la politique de scurit s'effectue en ajoutant en fin de fichier la ligne de commande suivante :<br><br>
* <code>user_pref("signed.applets.codebase_principal_support", true);</code><br><br><i>Remarque :</i><br>Cette mthode ne se charge pas de la vrification de la
* validit de l'emplacement. Il est donc ncessaire de garantir avant son appel, d'une part, la prsence du disque et du ou des rpertoires et, d'autre
* part, des droits d'criture de l'utilisateur sur cet emplacement (la manipulation des disques : fichier, arborescence, prsence ou non via javascript ne fait pas
* partie de ce framework). De plus, si un fichier de mme nom est dj prsent, l'appel  cette mthode remplace ce dernier par la 
* sauvegarde du flux XML.
* <br><br> <b>Voir Exemple de sauvegarde d'un flux XML prsent dans l'objet XMLObject :</b>  : <a >Exemples d'appels aux mthodes
* publiques</a>.
* @public
* @param {String_Obligatoire} path Emplacement indiquant le chemin et le nom du fichier de sauvegarde plac sur un disque. Pour tre pris en compte sur
* l'ensemble des navigateurs, l'emplacement doit tre spcifi de la manire suivante :<br>{Disque}:\{Rpertoire}\{Nom du fichier}.xml.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function XMLObject_saveLocalXML(path)
{
  if (window.ActiveXObject)
  {
    try {
      this.xmlDoc.save(path);
    } catch (e) {
      alert(e.description);
      return;
    }
  }
  else if ((netscape) && (netscape.security) && (netscape.security.PrivilegeManager) && (netscape.security.PrivilegeManager.enablePrivilege))
  {
    try {
      netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");
    } catch (e) {
      var test = GetCookie(":::langueSettings:::");
      if (test == null)
        test = "FR";
      alert(eval("ERR_CLI_ALERT_002_"+test));
      return;
    }
    var file = Components.classes["@mozilla.org/file/local;1"].createInstance(Components.interfaces.nsILocalFile);
    file.initWithPath(path);
    if ( file.exists() == false )
    {
      file.create( Components.interfaces.nsIFile.NORMAL_FILE_TYPE, 420 );
    }
    var outputStream = Components.classes[ "@mozilla.org/network/file-output-stream;1" ].createInstance( Components.interfaces.nsIFileOutputStream );
    outputStream.init( file, 0x04 | 0x08, 420, 0 );
    var objXMLSerializer = new XMLSerializer;
    objXMLSerializer.serializeToStream(this.xmlDoc,outputStream,null);
    outputStream.close();
  } else {
    var test = GetCookie(":::langueSettings:::");
    if (test == null)
      test = "FR";
    alert(eval("ERR_CLI_ALERT_002_"+test));
    return;
  }
}

//Fonction pour initialiser un cookie utile  la sauvegarde d'un flux XML rapatri
/**
* La mthode publique initCookieXML(cookieNameXML) permet d'initialiser les attributs du futur cookie de sauvegarde du flux XML en prcisant son nom et les
* autres attributs optionnels losque l'on souhaite s'affranchir des attributs par dfaut lists dans le tableau du rsum de
* <a href='overview-summary-ergonomique_fw_cookies.js.html'>fw_cookies.js</a>.
* <br><br> <b>Voir Exemple d'initialisation des futurs attributs d'un cookie de sauvegarde d'un flux XML</b>  : <a >Exemples d'appels
* aux mthodes publiques</a>.
* @public
* @param {String_Obligatoire} cookieNameXML String contenant le nom du cookie de sauvegarde du flux XML.
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function XMLObject_initCookieXML(cookieNameXML)
{
  this.cookieNameXML = cookieNameXML;
  var argv = XMLObject_initCookieXML.arguments;
  var argc = XMLObject_initCookieXML.arguments.length;
  this.cookiePathXML = (argc > 1) ? argv[1] : null;
  this.cookieDomainXML = (argc > 2) ? argv[2] : null;
  this.cookieSecureXML = (argc > 3) ? argv[3] : false;
}

//Fonction pour sauvegarder le flux dans un cookie disque pour une dure de 10 ans
/**
* La mthode publique saveCookieXML() permet de srialiser le DOM XML prsent dans l'objet XMLObject en chane de caractres et de
* sauvegarder cette srialisation dans un cookie client sur disque et cela pour une dure d'expiration de 10 ans. Avant d'appeler pour la premire
* utilisation de cette mthode, il est ncessaire d'initialiser le cookie via la mthode 
* {@link #initCookieXML initCookieXML(cookieNameXML)}. Il est ensuite possible de sauvegarder au gr des manipulations du DOM XML, ses diffrents
* tats dans le mme cookie client. Il faut tout de mme garder en mmoire la limitation des 4000 caractres maximum par cookie disque.
* <br><br> <b>Voir Exemple de sauvegarde de flux XML sur cookie :</b>  : <a >Exemples d'appels aux mthodes publiques</a>.
* @public
* @param {} Aucun
* @return {void}
* @version 2.6
* @date 04/09/2007
*/
function XMLObject_saveCookieXML()
{
  if (this.cookieNameXML != null) {
    var x = new Date();
    var z = x.getFullYear() + 10;
    var expireDateGMT = new Date("January 01, " + z);

		var strXMLComplet = convertDOMtoString(this.xmlDoc);
    if (strXMLComplet.length > cookieXMLMaxSize) {
    	alert(getLibelle("ERR_CLI_ALERT_006")+" ("+strXMLComplet.length+")");
    	return;
    }
    
    if (!this.cookieMultiXML) {
	    var strXML = GetCookie(":::" + this.cookieNameXML + ":::");
	    if (strXML != null)
	      this.deleteCookieXML();

	    SetCookie((":::" + this.cookieNameXML + ":::"), strXMLComplet, expireDateGMT, this.cookiePathXML, this.cookieDomainXML, this.cookieSecureXML);
	    var strXMLModify = GetCookie(":::" + this.cookieNameXML + ":::");
	    if (strXMLModify == null)
	    	alert(getLibelle("ERR_CLI_ALERT_004"));
		} else {
	    var strXML = GetCookie(":::" + this.cookieNameXML + ":0:::");
	    if (strXML != null)
	      this.deleteCookieXML();

			var nbCookie = Math.ceil((strXMLComplet.length)/cookieMaxSize);
			var nbCookieComputer = (document.cookie.split(';')).length;

			//Test sur le nombre total de cookies : ne doit pas dpasser cookieXMLMaxNumber
			if ((nbCookie+nbCookieComputer) > cookieXMLMaxNumber) 
		    	alert(getLibelle("ERR_CLI_ALERT_005") + this.cookieNameXML);

    	// Boucle pour crer les diffrents XMLObjectCookie
    	// alert("COUCOU cration d'un cookie multiple : "+this.cookieNameXML+" sur le path "+this.cookiePathXML+" ("+nbCookie+")")
			for (var iMulti=0 ; iMulti<nbCookie ; iMulti++) {
		    SetCookie((":::" + this.cookieNameXML + ":" + iMulti + ":::"), strXMLComplet.substr(iMulti*cookieMaxSize,cookieMaxSize), expireDateGMT, this.cookiePathXML, this.cookieDomainXML, this.cookieSecureXML);
			  var strXMLModify = GetCookie(":::" + this.cookieNameXML + ":" + iMulti + ":::");
		  	if (strXMLModify == null) {
		    	alert(getLibelle("ERR_CLI_ALERT_004"));
		    	break;
		  	}
			}
		}
  }
}

//Fonction pour supprimer le cookie associe  un flux rapatri
/**
* La mthode publique deleteCookieXML() permet de dtruire le cookie de sauvegarde du DOM XML prsent dans l'objet XMLObject.
* <br><br> <b>Voir Exemple de suppression du cookie de sauvegarde du flux XML :</b>  : <a >Exemples d'appels aux mthodes publiques</a>.
* @public
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function XMLObject_deleteCookieXML()
{
  if (this.cookieNameXML != null) {
	  if (!this.cookieMultiXML) {
	    DeleteCookie(":::" + this.cookieNameXML + ":::", this.cookiePathXML, this.cookieDomainXML, this.cookieSecureXML);
	  } else {
			for (var iMulti=0 ; true ; iMulti++) {
		    var strXML = GetCookie(":::" + this.cookieNameXML + ":" + iMulti + ":::");
		    if (strXML == null) break;
		    DeleteCookie(":::" + this.cookieNameXML + ":" + iMulti + ":::", this.cookiePathXML, this.cookieDomainXML, this.cookieSecureXML);
			}
	  }
  }
}

//Fonction pour debugger un flux XML : affichage du contenu dans une bote d'alert
/**
* La mthode publique debugXML() est destine aux dveloppeurs pour afficher dans une bote d'alerte le contenu du flux XML associ  un objet XMLObject dans un but de debogage.
*<br><br> <b>Voir Exemple d'appel pour afficher le contenu XML de la liste</b>  : <a >Exemples d'appels aux mthodes publiques</a>.
* @public
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function XMLObject_debugXML()
{
  var strXML = convertDOMtoString(this.xmlDoc);
  alert(strXML);
}

//Fonction pour afficher un message d'attente sous forme d'image lors du rapatriement d'un flux
/**
* La mthode prive printLoadingMessage() est la mthode interne utilise pour afficher le message dfilant d'attente du rapatriement du
* flux XML.
* @private
* @param {} Aucun
* @return {void}
* @version 2.1
* Date :  13/07/2006
*/
function XMLObject_printLoadingMessage()
{
	codeHTML = "<table width='100%' border='0' cellspacing='0' cellpadding='0'><tr>";
	if (this.loadingImage != null)
		codeHTML += "<td width='100'>"+this.loadingImage+"</td>";
	codeHTML += "<td class='"+this.loadingClasse+"' align='left' valign='center'><strong>&nbsp;&nbsp;&nbsp;"+eval(this.loadingMessage)+"</strong></td></tr></table>";
  this.divBindMessage.innerHTML = codeHTML; 
  this.divBindMessage.style.display = "";
}

//Fonction pour arrter l'affichage du message d'attente
/**
* La mthode prive printLoadingMessage() est la mthode interne utilise pour effacer le message dfilant d'attente du rapatriement du
* flux XML.
* @private
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function XMLObject_endPrintLoadingMessage()
{
  this.divBindMessage.style.display = "none";
}

//Fonction pour dfinir la zone dynamique lie  la gnration HTML du message d'attente 
/**
* La mthode publique setDivBindMessage(divIdBindMessage) a pour but d'initialiser la zone dynamique ou sera gnr le code
* HTML du message d'attente. Le message plac dans cette zone dynamique a pour vocation d'tre ensuite ferm
* <br>Cette mthode doit tre appele avant la demande de rapatriement du flux XML via l'appel  
* {@link #importXML importXML() } pour initialiser la zone dynamique qui sinon est valorise par dfaut  la zone dynamique qui contiendra (en HTML) les donnes issues du flux XML.
* <br><br> <b>Voir Exemple d'import XML ncessitant une initialisation du message d'attente au palable :</b> <a href='exemples_A3.html#XMLObject_meth'>Exemples d'appels aux mthodes publiques</a>.
* @public
* @param {String_Obligatoire} divIdBindMessage identifant de la zone dynamique.
* @return {void}
* @version 2.1
* Date :  13/07/2006
*/
function XMLObject_setDivBindMessage(divIdBindMessage)
{
	this.divBindMessage=window.frames[this.frameIdBind].document.getElementById(divIdBindMessage);
}

//Fonction pour dfinir la zone dynamique lie  la gnration HTML du message d'attente 
/**
* La mthode publique XMLObject_setLoadingMessage(libelleLoadingMessage) a pour but d'initialiser les informations sur le contenu du message d'attente.
* <br>Elle doit tre appele avant la demande de rapatriement du flux XML via l'appel  la mthode
* {@link #importXML importXML() } pour initialiser les informations qui sinon sont valorises avec leur valeur par dfaut.
* <br><br> <b>Voir Exemple d'import XML ncessitant une initialisation du message d'attente au palable :</b> <a href='exemples_A3.html#XMLObject_meth'>Exemples d'appels aux mthodes publiques</a>.
* @public
* @param {String_Obligatoire} loadingMessage {@link #loadingMessage loadingMessage} : String indiquant le texte du message d'attente.
* @param {String_Optionnel} loadingClasse {@link #loadingClasse loadingClasse} : String indiquant la classe applique sur le texte du message d'attente.
* @param {boolean_Optionnel} blLoadingImage : Boolen indiquant si on insre l'image dans le message d'attente (cf. {@link #loadingImage loadingImage}).
* @return {void}
* @version 2.1
* Date :  13/07/2006
*/
function XMLObject_setLoadingMessage(loadingMessage)
{
	var argc = XMLObject_setLoadingMessage.arguments.length;
	var argv = XMLObject_setLoadingMessage.arguments;
	
	if ((loadingMessage != null) && (loadingMessage != ""))
		this.loadingMessage = "'"+loadingMessage+"'";
	if ((argc > 1) && (argv[1] != null)) this.loadingClasse = loadingClasse;
	if (argc > 2) 
		if (argv[2] == true)
			this.loadingImage = "<img src='" + image_attente_src + "' width='100' height='40'/>";
		else
			this.loadingImage = null;	
}

//Fonction pour initialiser la zone dynamique associe  un message d'attente lors de la prsence d'un tbody sur la zone dynamique lie  la gnration HTML
/**
* La mthode publique initLoadingMessage(colspan) a pour but d'initialiser le message d'attente  afficher dans la zone dynamique propre  la
* gnration HTML refltant le contenu du flux XML. Par dfaut, ce message se caractrise par l'affichage d'une image dfilante dont
* l'emplacement est spcifi en paramtre dans la variable JavaScript prsente dans le framework sous le nom <a href="constant-values_A3.html#Globales>image_attente_src</a>.<br>
* Cette mthode est utilise dans le cas suivant : pour remplacer la zone dynamique d'un corps de tableau (tag Tbody en HTML) par une image d'attente lors du
* rapatriement du flux XML. Cette image place dans cette zone dynamique a pour vocation d'tre ensuite remplace (en HTML) par les donnes issues du
* flux XML.<br>Elle doit alors tre appele avant la demande de rapatriement du flux XML via l'appel  la mthode
* {@link #importXML importXML() } pour initialiser le message d'attente en lui spcifiant le nombre de colonnes prsentes dans le tableau.
* <br><br> <b>Voir Exemple d''import XML ncessitant une initialisation du message d'attente au palable :</b> <a href='exemples_A3.html#XMLObject_meth'>Exemples d'appels aux mthodes publiques</a>.
* @param {int_Obligatoire} colspan Entier indiquant le nombre de colonnes prsentes dans le corps du tableau associ  la zone dynamique propre  la
* gnration HTML refltant le contenu du flux XML.
* @return {number} -1, 0
* @version 1.1
* @date 25/10/2005
*/
function XMLObject_initLoadingMessage(colspan)
{
  this.divBind.insertRow(0);
  this.divBind.rows[0].insertCell(0);
  if (colspan != 0)
    this.divBind.rows[0].cells[0].colspan = colspan;
  this.divBindMessage = this.divBind.rows[0].cells[0];
}

//Objet pour la gestion de flux XML rapatri  partir d'une URL
/**
* Le constructeur retourne une instance de la classe XMLObject utile pour appeler soit les mthodes publiques associes  cette dernire soit pour interroger ses proprits 
* publiques.
* <br><i>Remarques:</i> Le code du constructeur prpare les appels futurs aux mthodes de l'objet. L'utilisation de ce constructeur est requise pour un fonctionnement correct des mthodes
* dcrites dans la suite de ce document.<br><br>
* La fonction dsigne par {@link #ecrireXMLtoHTML  ecrireXMLtoHTML } doit fonctionner sans argument. Elle doit implmenter le traitement  raliser sur le client
* suite  une opration de rapatriement d'un flux XML.<br>Dans le cas o urlXML reprsente une URL absolue (http://site.domaine.topdomaine), il est alors prconis de
* spcifier une URL dont les noms de serveur et de domaine sont identiques aux noms de l'URL de la page HTML utilisant ce framework.<br>Ex : si http://serveur.domaine.topdomaine/demo.htm utilise <a href="overview-technique_fw_xml.js.html">fw_xml.js</a> alors
* urlXML doit dbuter par http://serveur.domaine.topdomaine.<br> Si toutefois les noms de serveur et de domaine d'urlXML ne correspondent pas aux noms de serveur et de domaine de la page HTML
* incluant ce framework, alors l'ensemble des appels  la mthode {@link #importXML  &laquo;importXML}  peut tre soumis  une demande de confirmation utilisateur via une
* fentre navigateur. Ce fonctionnement dpend des paramtres de scurit du navigateur. Il est activ sur tous les navigateurs paramtrs avec un security manager
* actif. (Niveau de scurit suprieur  faible pour IE).<br>
* <center><img alt="exBoiteConfirm" src="Image.ConfirmServeurDomaine.gif"/><br><i>Exemple de bote de confirmation.</i></center><br>
* Si les noms de serveurs et de domaine correspondent aux noms de serveur et de domaine de la page HTML incluant ce framework alors cette contrainte est leve. Pour s'affranchir de ces contraintes, il est donc
* conseill d'utiliser des adresses relatives.<br><br>
* <b>Voir Exemple</b> d'instanciation de la classe XMLObject pour une liste : <a href='exemples_A3.html#XMLObject_constr'>Exemples d'appels aux constructeurs</a>.
* @class La classe <b>XMLObject</b>  est la classe permettant de grer un flux XML dans un DOM  partir d'une URL ou d'un emplacement sur disque.
* <br> Les deux proprits publiques {@link #divBind divBind} et {@link #xmlDoc xmlDoc} peuvent tre utilises par le dveloppeur mtier utilisant ce framework technique.
* <br>Les proprits prives {@link #frameIdBind frameIdBind}, {@link #divIdbind divIdbind}, {@link #cookieNameXML cookieNameXML}, {@link #cookiePathXML cookiePathXML}, 
* {@link #cookieDomainXML cookieDomainXML}, {@link #cookieSecureXML cookieSecureXML}, {@link #urlXML urlXML}, {@link #divBindMessage divBindMessage}, {@link #loadingMessage loadingMessage}, 
* {@link #boolLoadingMessage boolLoadingMessage}, {@link #ecrireXMLtoHTML ecrireXMLtoHTML} sont utilises au sein mme du framework XML.
* <br><br><br><img src="Image.XMLObjectUML.png"/><br><br><br>
* <a href="javascript:ouvrirPopupExemple('./exemples/xmlobject.html','Zoom')">Explications sur le mcanisme de communication mis en oeuvre via l'objet XMLObject.</a><br>
* @constructor
* @param {String_Facultatif} frameIdBind {@link #frameIdBind frameIdBind} : String indiquant l'ID de la Frame o se situe la fonction de gnration HTML du flux XML.
* @param {String_Obligatoire} divId {@link #divId divId} : String indiquant l'ID de la DIV support de la zone dynamique o la
* gnration HTML du flux XML sera effectuee.
* @param {String_Obligatoire} ecrireXMLtoHTML {@link #ecrireXMLtoHTML ecrireXMLtoHTML} : String indiquant le nom de la fonction appele aprs rception du flux XML. Cette fonction effectue
* le traitement de gnration HTML du flux XML.
* @param {String_Obligatoire} urlXML {@link #urlXML urlXML} : String indiquant l'URL d'appel du flux XML.
* @param {boolean_Obligatoire} boolLoadingMessage {@link #boolLoadingMessage boolLoadingMessage} : Boolen indiquant l'affichage d'un message d'attente lors de la rception du flux XML.
* @version 2.6
* @date 04/09/2007
*/
function XMLObject(frameIdBind, divId, ecrireXMLtoHTML, urlXML, boolLoadingMessage)
{
  // Attributs de l'objet
  // Etat de l'objet  initialiser
/**
* La proprit prive  frameIdBind est l'ID (sous forme de chane de caractres) de la frame d'emplacement de la zone dynamique associe au flux XML. Cette
* proprit est initialise par le biais du constructeur de l'objet.
* @private
* @type String
* @version 1.1
* @date 25/10/2005
*/ 
  this.frameIdBind = frameIdBind;
/**
* La proprit prive  divIdIdBind est l'ID (sous forme de chane de caractres) de la zone dynamique associe au flux XML. Cette proprit est
* initialise par le biais du constructeur de l'objet.
* @private
* @type String
* @version 1.1
* @date 25/10/2005
*/   
  this.divIdBind = divId;
/**
* La proprit publique divBind reflte la zone dynamique associe au flux XML utile pour gnrer un contenu HTML reprsentatif au cas d'utilisation mtier. Cette
* proprit est initialise lors de la construction de l'objet par la mthode {@link #initDivBindXML initDivBindXML}.
* @public
* @type String
* @version 1.1
* @date 25/10/2005
*/  
  this.divBind = null;
/**
* La proprit prive  divBindMessage : Zone dynamique associe  l'affichage du message d'attente lors du rapatriement du flux XML. Cette proprit est
* initialise lors de la construction de l'objet. Elle peut tre confondue avec celle lie  la zone dynamique associe  la gnration HTML du flux XML
* (divBind). Cette proprit peut tre initialise  une autre valeur (lors de la prsence d'un tableau) par le biais de la mthode publique
* {@link #initLoadingMessage initLoadingMessage}.
* @private
* @type String
* @version 1.1
* @date 25/10/2005
*/   
  this.divBindMessage = null;
/**
* La proprit publique xmlReq est un pointeur sur l'objet Request permettant de rapatrier le flux XML.
* @public
* @type* XMLHTTPRequest
* @version 2.0
* @date 06/06/2006
*/  
  this.xmlReq = null;
/**
* La proprit publique xmlDoc est un pointeur sur l'objet DOM en mmoire associ au flux XML. Par son intermdiaire, le dveloppeur peut interroger, manipuler et enregistrer le flux XML rapatri.
* @public
* @type* XMLObject
* @version 1.1
* @date 25/10/2005
*/  
  this.xmlDoc = null;
/**
* La proprit publique xmlDocText est chane de caractres contenant l'ensemble des informations contenues dans l'objet DOM. Par son intermdiaire, le dveloppeur peut effectuer une alert dessus pour l'afficher dans une bote modale.
* @public
* @type* String
* @version 2.0
* @date 06/06/2006
*/  
  this.xmlDocText = null;
/**
* Proprit prive  status : status de la rponse du flux XML (gal  200 quand pas de problme). Cette proprit est initialise lors du chargement du flux XML par la mthode send pour tre contrle lors du traitement des erreurs.
* @private
* @type Integer
* @version 1.2
* @date 14/03/2006
*/  
  this.status = null;
/**
* Proprit prive  statusText : texte du status explicitant une erreur survenant lors du rapatriement du flux XML (status diffrent de 200). Cette proprit est initialise lors du chargement du flux XML par la mthode send pour tre affiche lors du traitement des erreurs.
* @private
* @type String
* @version 1.2
* @date 14/03/2006
*/  
  this.statusText = null;
/**
* Proprit prive  contentType : content-type de la rponse du flux rapatri. Cette proprit est initialise lors du chargement du flux XML par la mthode send pour tre utilise lors du traitement des erreurs sur une session non valide.
* @private
* @type String
* @version 1.2
* @date 05/04/2006
*/
  this.contentType = null;  
/**
* Proprit prive  urlXML : URL d'appel du flux XML. Cette proprit est initialise par le biais du {@link #XMLObject constructeur} de l'objet.
* @private
* @type String
* @version 1.1
* @date 25/10/2005
*/
  this.urlXML = urlXML;
/**
* Proprit prive  requestMethode : Mthode de la requte de rapatriement de flux XML. Cette proprit est initialise par le biais de {@link #XMLObject_initRequest initRequest} de l'objet.
* - <b>Valeur par dfaut : </b> <a href='default-values_A3.html#XMLObjectProp'>Valeurs par dfaut des Proprits</a>
* @private
* @type String
* @version 2.0
* @date 06/06/2006
*/
  this.requestMethode = "GET";
/**
* Proprit prive  requestData : Donnes envoyes lors de la requte de rapatriement de flux XML. Cette proprit est initialise par le biais de {@link #XMLObject_initRequest initRequest} de l'objet.
* @private
* @type String
* @version 2.0
* @date 06/06/2006
*/
  this.requestData = null;
/**
* Proprit prive  requestBoolAsynchrone : Synchronisme de la requte de rapatriement de flux XML. Cette proprit est initialise par le biais de {@link #XMLObject_initAsynchrone initAsynchrone} de l'objet.
* Renseign  true pour une requte asynchrone  false pour une requte synchrone.
* - <b>Valeur par dfaut : </b> <a href='default-values_A3.html#XMLObjectProp'>Valeurs par dfaut des Proprits</a>
* @private
* @type boolean
* @version 2.0
* @date 06/06/2006
*/
  this.requestBoolAsynchrone = true;
/**
* Proprit prive ecrireXMLtoHTML : contient le nom de la fonction appele lorsque le rapatriement du flux XML est termin.
* Le traitement de cette fonction est propre au cas d'utilisation mtier implment et peut se dcliner par exemple de la manire suivante :<br>
* &middot;&nbsp; Confirmation de la ralisation d'un traitement serveur.<br>&middot;&nbsp; Affichage d'un rendu HTML associ  un flux XML donn (Ex : liste droulante contenant des
* choix<br> refltant le flux XML, tableau de donnes dynamiques, libell dynamique ...).<br>&middot;&nbsp; Modification d'un flux XML suite au bon droulement d'une action (ajout, suppression,
* modification)<br> et raffichage de son rendu HTML.<br>&middot;&nbsp; ...<br>Cette proprit est initialise lors de la
* {@link XMLObject construction} de l'objet.
* @private
* @type String
* @version 1.1
* @date 25/10/2005
*/  
  this.ecrireXMLtoHTML = ecrireXMLtoHTML;
/**
* Proprit prive  cookieNameXML : Attribut nom du cookie client sur disque utile pour sauvegarder le flux XML dans un cookie. Cette proprit peut tre
* initialise par le biais de la mthode publique {@link #initCookieXML initCookieXML}.
* @private
* @type String
* @version 1.1
* @date 25/10/2005
*/  
  this.cookieNameXML = null;
/**
* Proprit prive  cookiePathXML : Attribut path du cookie client sur disque utile pour sauvegarder le flux XML dans un cookie. Cette proprit peut tre
* initialise par le biais de la mthode publique {@link #initCookieXML initCookieXML}.
* @private
* @type String
* @version 1.1
* @date 25/10/2005
*/  
  this.cookiePathXML = null;
/**
* Proprit prive  cookieDomainXML : Attribut domain du cookie client sur disque utile pour sauvegarder le flux XML dans un cookie. Cette proprit peut tre
* initialise par le biais de la mthode publique {@link #initCookieXML initCookieXML}.
* @private
* @type String
* @version 1.1
* @date 25/10/2005
*/  
  this.cookieDomainXML = null;
/**
* Proprit prive  cookieSecureXML : Attribut secure du cookie client sur disque utile pour sauvegarder le flux XML dans un cookie. Cette proprit peut tre
* initialise par le biais de la mthode publique {@link #initCookieXML initCookieXML}.
* - <b>Valeur par dfaut : </b> <a href='default-values_A3.html#XMLObjectProp'>Valeurs par dfaut des Proprits</a>
* @private
* @type boolean
* @version 1.1
* @date 25/10/2005
*/  
  this.cookieSecureXML = false;
/**
* Proprit prive  cookieMultiXML : boolen indiquant si le cookie peut tre multiple. Cette proprit permet de suvegarder 
* des flux xml de gros volumes en crant physiquement plusieurs cookues, elle n'est active que pour la classe {@link XMLObjectCookie XMLObjectCookie}
* @private
* @type String
* @version 2.6
* @date 04/09/2007
*/  
  this.cookieMultiXML = false;
/**
* Proprit prive loadingImage : Proprit spcifiant l'image d'attente affiche lors du rapatriement du flux XML. La valeur par
* dfaut est une image dfilante de type chargement en cours. Cette proprit est initialise lors de la {@link #XMLObject construction de l'objet}.
* <br>- <b>Valeur par dfaut : </b> <a href='default-values_A3.html#XMLObjectProp'>Valeurs par dfaut des Proprits</a>
* <br>- <b>Voir aussi </b> <a href='constant-values_A3.html#Globales'>Valeurs des Constantes - Globales</a> :  image_attente_src
* @private
* @type String
* @version 2.1
* @date 13/07/2006
*/   
  this.loadingImage = "<img src='" + image_attente_src + "' width='100' height='40'/>";
/**
* Proprit prive  loadingMessage : Proprit spcifiant le texte du message d'attente affich lors du rapatriement du flux XML. La valeur par
* dfaut est un libell dans la langue de l'application. Cette proprit est initialise lors de la {@link #XMLObject construction de l'objet}.
* <br>- <b>Valeur par dfaut : </b> <a href='default-values_A3.html#XMLObjectProp'>Valeurs par dfaut des Proprits</a>
* <br>- <b>Voir aussi </b> <a href='constant-values_A3.html#Globales'>Valeurs des Constantes - Globales</a> :  MSG_CLI_001_FR et MSG_CLI_001_EN 
* @private
* @type String
* @version 2.1
* @date 13/07/2006
*/   
  this.loadingMessage = "getLibelle('MSG_CLI_001')";  
/**
* Proprit prive  loadingClasse : Proprit spcifiant la classe pour la mise en forme du texte du message d'attente affich lors du rapatriement du flux XML. La valeur par
* dfaut est une classe standard. Cette proprit est initialise lors de la {@link #XMLObject construction de l'objet}.
* <br>- <b>Valeur par dfaut : </b> <a href='default-values_A3.html#XMLObjectProp'>Valeurs par dfaut des Proprits</a>
* @private
* @type String
* @version 2.1
* @date 13/07/2006
*/   
  this.loadingClasse = "CGtxcodefonce";  
/**
* Proprit prive  boolLoadingMessage : Boolen indiquant l'affichage d'un message d'attente lors du rapatriement du flux XML. Cette proprit est initialise
* lors de la {@link #XMLObject construction de l'objet}.
* @private
* @type boolean
* @version 1.1
* @date 25/10/2005
*/  
  this.boolLoadingMessage = boolLoadingMessage;
/**
* Proprit prive  delaiUP : Boolen indiquant su le dlai d'attente de la rponse duserveur est atteint.
* @private
* @type boolean
* @version 2.4
* @date 14/11/2006
*/  
	this.delaiUP = false;
/**
* Proprit prive  reqDO : Boolen indiquant si le flux a t recu est l'action dclenche.
* @private
* @type boolean
* @version 2.6
* @date 04/09/2007
*/  
	this.reqDO = false;

  // Mthodes de l'objet
/*********************************************************************/
/** commentaires jsdoc : voir aux dfinitions des fonctions appeles ci-dessous*/
/*********************************************************************/  
  // Gestion du DOM XML via des flux XML sur disque ou sur serveur
  this.testStateChange = XMLObject_testStateChange;
  this.importXML = XMLObject_loadXML;
  this.debugXML = XMLObject_debugXML;
  this.parseErrorXML = XMLObject_parseErrorXML;
  this.saveLocalXML = XMLObject_saveLocalXML;
  
  // Initialisation de la requte de rapatriement de flux XML
  this.initRequestData=XMLObject_initRequestData;
  this.initRequestParams=XMLObject_initRequestParams;
  this.initAsynchrone = XMLObject_initAsynchrone;
  
  // Gestion du DOM XML via des flux XML sur cookies
  this.deleteCookieXML = XMLObject_deleteCookieXML;
  this.initCookieXML = XMLObject_initCookieXML;
  this.saveCookieXML = XMLObject_saveCookieXML;
  
  // Gestion de la gnration HTML associe
  this.initDivBindXML = XMLObject_initDivBindXML;
  
  // Gestion du message d'attente
  this.setDivBindMessage = XMLObject_setDivBindMessage;
  this.setLoadingMessage = XMLObject_setLoadingMessage;
  this.initLoadingMessage = XMLObject_initLoadingMessage;
  this.printLoadingMessage = XMLObject_printLoadingMessage;
  this.endPrintLoadingMessage = XMLObject_endPrintLoadingMessage;

 	// Mthode d'initialisation de l'attribut xmlDoc de type XMLDocument
	this.initXML=XMLObject_initXML;
  // Constructeur
  this.constructor = XMLObject_constructor;
  this.constructor();
}
/**
* Le framework technique <a href='overview-summary-technique_fw_xml.js.html'>fw_xml.js</a>  propose la fonction   
* XMLObjectCookie_initXML(); Elle permet d'initialiser le document XML contenu dans l'attribut xmlDoc  vide.
* @param {} Aucun
* @version 2.4
* @date 14/11/2006
*/
function XMLObject_initXML()
{
	if (document.implementation && document.implementation.createDocument)
		this.xmlDoc = document.implementation.createDocument("", "", null);
	else if (window.ActiveXObject)
		this.xmlDoc = new ActiveXObject("Microsoft.XMLDOM");
}

//Constructeur pour l'objet de gestion des flux XML  partir d'un cookie
/**
* Le framework technique <a href='overview-summary-technique_fw_xml.js.html'>fw_xml.js</a>  propose la fonction   
* XMLObjectCookie_constructor(); elle permet la configuration des lments de l'objet {@link XMLObjectCookie XMLObjectCookie} lors de son instanciation.
* @see #XMLObjectCookie
* @param {} Aucun
* @version 1.1
* @date 25/10/2005
*/
function XMLObjectCookie_constructor()
{
  if (this.divIdBind != null)
    this.initDivBindXML();
  if (this.xmlDoc == null)
  {
    if (document.implementation && document.implementation.createDocument)
      this.xmlDoc = document.implementation.createDocument("", "", null);
    else if (window.ActiveXObject)
      this.xmlDoc = new ActiveXObject("Microsoft.XMLDOM");
    else
    {
      var test = GetCookie(":::langueSettings:::");
      if (test == null)
        test = "FR";
      alert(eval("ERR_CLI_ALERT_001_"+test));
      return;
    }
  }
}

//Fonction de chargement d'un flux XML dans un DOM  partir d'un cookie
/**
* <b>Propre  la classe XMLObjectCookie </b>- La mthode publique importCookieXML() permet de dsrialiser, dans le DOM XML de la classe
* XMLObjectCookie, une chane de
* caractres prsente dans le cookie client disque. Le cookie client disque a t initialis lors de l'instanciation de la classe.
* <br><br> <b>Voir Exemple d'import XML lors d'une instanciation de l'objet XMLObjectCookie dj effectu :</b>
* <a href='exemples_A3.html#XMLObjectCookie_meth'>Exemples d'appels aux mthodes publiques</a>.
* @public
* @param {} Aucun
* @return {void}
* @version 1.1
* @date 25/10/2005
*/
function XMLObjectCookie_loadXML()
{
  if (this.boolLoadingMessage)
    this.printLoadingMessage();

  if (!this.cookieMultiXML) {
	  var strXML = GetCookie(":::" + this.cookieNameXML + ":::");
	  if (strXML == null)
	    return;
	  // Dsrialisation du flux XML
	  this.xmlDoc = convertStringToDOM(strXML);
  } else {
		var strXMLComplet = "";
		for (var iMulti=0 ; true ; iMulti++) {
	    var strXML = GetCookie(":::" + this.cookieNameXML + ":" + iMulti + ":::");
	    if (strXML == null) break;
	    strXMLComplet+=strXML;
		}
		if (strXMLComplet == "")
	    return;
	  this.xmlDoc = convertStringToDOM(strXMLComplet);
  }
}

//Fonction de gestion d'erreur sur le chargement d'un flux  partir d'un cookie
/**
* <b>Propre  la classe XMLObjectCookie </b>- La mthode publique parseErrorCookieXML(type) permet de dtecter si le cookie client est prsent ou non. Une erreur est affiche dans ce
* dernier cas. - <b>Voir </b> <a href='constant-values_A3.html#Globales'>Valeurs des Constantes - Globales</a> :  ERR_CLI_004_LIBELLE_FR, ...
* <br><br> <b>Voir Exemple d'une sauvegarde sur fichier si la dsrialisation du flux XML prsent dans un cookie s'est correctement effectue :</b>
* <a href='exemples_A3.html#XMLObjectCookie_meth'>Exemples d'appels aux mthodes publiques</a>.
* @public
* @param {String_Facultatif} type String indiquant le type d'affichage de l'erreur si l'erreur ne s'affiche pas dans la page : "popup" affichage dans une fentre
* @return {number} -1, 0
* @version 1.1
* @date 25/10/2005
*/
function XMLObjectCookie_parseErrorXML(type)
{
  if (!this.xmlDoc.documentElement)
  {
    if (this.boolLoadingMessage)
      this.endPrintLoadingMessage();
    var test = GetCookie(":::langueSettings:::");
    if (test == null)
      test = "FR";
    var textErrorHTML = eval("ERR_CLI_004_LIBELLE_"+test);
    var url = page_erreur_url + "?code=ERR-CLI-004&libelle=" + textErrorHTML;
    if (type == "popup")
	  	OpenWindowFocus(url,"Erreur","height=150,width=450,screenX=100,screenY=100,scrollbars=yes,resizable=no,menubar=no,location=no,status=no,toolbar=no");
		else if (type != "noerror")
      window.frames['CONTENU_WIN'].document.location.replace(url);
    return -1;
  } else {
    return 0;
  }
}

//Fonction pour sauvegarder le flux dans un cookie disque pour une dure session
/**
* <b>Propre  la classe XMLObjectCookie </b>- La mthode publique saveCookieSessionXML() permet de mettre  jour le cookie de session.<br>
* Elle procde en rcuprant des informations de l'ancien cookie avant de le supprimer et de le recrer. 
* @public
* @param {} Aucun
* @return {void}
* @version 2.6
* @date 04/09/2007
*/
function XMLObjectCookie_saveCookieSessionXML()
{
  if (this.cookieNameXML != null)
  {
		var strXMLComplet = convertDOMtoString(this.xmlDoc);
    if (strXMLComplet.length > cookieXMLMaxSize) {
    	alert(getLibelle("ERR_CLI_ALERT_006")+" ("+strXMLComplet.length+")");
    	return;
    }
    
    if (!this.cookieMultiXML) {
	    var strXML = GetCookie(":::" + this.cookieNameXML + ":::");
	    if (strXML != null)
	      this.deleteCookieXML();

	    SetCookie((":::" + this.cookieNameXML + ":::"), strXMLComplet, null, this.cookiePathXML, this.cookieDomainXML, this.cookieSecureXML);
			var strXMLModify = GetCookie(":::" + this.cookieNameXML + ":::");
	    if (strXMLModify == null)
	    	alert(getLibelle("ERR_CLI_ALERT_004"));
    } else {
	    var strXML = GetCookie(":::" + this.cookieNameXML + ":0:::");
	    if (strXML != null)
	      this.deleteCookieXML();

			var nbCookie = Math.ceil((strXMLComplet.length)/cookieMaxSize);
			var nbCookieComputer = (document.cookie.split(';')).length;

			//Test sur le nombre total de cookies : ne doit pas dpasser cookieXMLMaxNumber
			if ((nbCookie+nbCookieComputer) > cookieXMLMaxNumber) 
		    	alert(getLibelle("ERR_CLI_ALERT_005") + this.cookieNameXML);
		    	
    	//Boucle pour crer les diffrents XMLObjectCookie
			for (var iMulti=0 ; iMulti<nbCookie ; iMulti++) {
		    SetCookie((":::" + this.cookieNameXML + ":" + iMulti + ":::"), strXMLComplet.substr(iMulti*cookieMaxSize,cookieMaxSize), null, this.cookiePathXML, this.cookieDomainXML, this.cookieSecureXML);
		    var strXMLModify = GetCookie(":::" + this.cookieNameXML + ":" + iMulti + ":::");
		    if (strXMLModify == null) {
		    	alert(getLibelle("ERR_CLI_ALERT_004"));
		    	break;
		    }
			}
		}
  }
}

//Objet pour la gestion de flux XML chargs dans un DOM  partir d'un cookie
/**
* Le constructeur retourne une instance de la classe XMLObjectCookie. Elle permet d'appeler les mthodes publiques associes  cette classe ou 
* d'interroger ses proprits publiques. 
* <br><br><b>Voir Exemple</b> d'instanciation de la classe XMLObjectCookie pour une liste : <a href='exemples_A3.html#XMLObjectCookie_constr'>Exemples d'appels aux constructeurs</a>.
* @class La classe <b>XMLObjectCookie</b> est la classe permettant de grer un flux XML dans un DOM  partir d'un cookie sur disque.
* <br> L'ensemble des proprits de la classe XMLObjectCookie est une restriction de l'ensemble des proprits de la classe
* {@link XMLObject XMLObject}. L'usage de l'une ou de l'autre dpend du cas d'utilisation mtier.<br>
* Ainsi, la classe XMLObjectCookie a pour but de dsrialiser dans un DOM XML une chane de caractres prsente dans un cookie client
* disque refltant un flux XML alors que le recours  la classe XMLObject consiste  rapatrier un flux XML distant pour le monter en mmoire dans
* un DOM XML. Il est donc inutile que la classe XMLObjectCookie possde les proprits {@link XMLObject#urlXML urlXML} et
* {@link XMLObject#ecrireXMLtoHTML ecrireXMLtoHTML}. L'url est utile pour le rapatriement d'un flux XML distant.<br>Le nom de la fonction de 
* gnration HTML, associe au DOM XML prsent dans l'objet, est ncessaire pour grer l'vnement de fin de 
* chargement du flux XML. Lors de l'utilisation d'une classe XMLObjectCookie, l'appel de la fonction de gnration HTML peut s'effectuer juste aprs la
* dsrialisation sans gestion d'vnement ou de synchronisme.<br>
* De mme que pour les proprits, une restriction sur les mthodes prsentes dans la classe {@link XMLObject XMLObject} est
* effectue pour la classe XMLObjectCookie : disparition des mthodes {@link XMLObject#testStateChange testStateChange} propre  la
* gestion d'vnement du chargement de flux XML distant pour MSIE, {@link XMLObject#importXML importXML} propre  la demande de
* rapatriement d'un flux XML distant et {@link XMLObject#initCookieXML initCookieXML} dont le primtre fonctionnel est report dans le
* constructeur de la classe {@link #XMLObjectCookie XMLObjectCookie}.<br><br>Bien s&ucirc;r, le constructeur de XMLObjectCookie est adapt  la
* spcificit de cette classe et la mthode {@link XMLObject#parseErrorXML parseErrorXML} propre  la classe XMLObject
* est&nbsp; transforme en une mthode spcifique {@link #parseErrorCookieXML parseErrorCookieXML} propre  la classe
* XMLObjectCookie pour une gestion d'erreur distincte.<br><br>Par contre, une nouvelle mthode fait son apparition pour pouvoir effectuer la dsrialisation
* dans un DOM XML d'une chane de caractres refltant un flux XML prsente dans un cookie client disque : {@link #importCookieXML &laquo;importCookieXML}.
* <br><br><br><img src="Image.XMLObjectCookieUML.png"/><br><br><br>
* @constructor
* @extend XMLObject
* @param {String_Facultatif} frameIdBind {@link #frameIdBind frameIdBind} : String indiquant l'ID de la Frame o se situe la fonction de gnration HTML du flux XML.
* @param {String_Facultatif} divId {@link #divId divId} : String indiquant l'ID du DIV support de la zone dynamique o la
* gnration HTML du flux XML est effectue.
* @param {String_Obligatoire} cookieNameXML{@link #cookieNameXML cookieNameXML} : String indiquant le nom du cookie client sur disque sauvegardant le flux XML. 
* @param {Boolean_Obligatoire} boolLoadingMessage {@link #boolLoadingMessage boolLoadingMessage} : Boolen indiquant l'affichage d'un message d'attente lors de la rception du flux XML.
* @param {String_Facultatif} cookiePathXML {@link #cookiePathXML cookiePathXML} : String indiquant le path du cookie.
* @param {String_Facultatif} cookieDomainXML {@link #cookieDomainXML cookieDomainXML} : String indiquant le domaine du cookie.
* @param {String_Facultatif} cookieSecureXML {@link #cookieSecureXML cookieSecureXML} : String indiquant si le cookie et scuris.
* @param {Boolean_Facultatif} cookieMultiXML {@link #cookieMultiXML cookieMultiXML} : String indiquant si le cookie peut tre mutlitple.
* @version 2.6
* @date 04/09/2007
*/
function XMLObjectCookie(frameIdBind, divId, cookieNameXML, boolLoadingMessage)
{
  // Etat de l'objet  initialiser
/**
* Proprit prive  frameIdBind : voir {@link XMLObject#frameIdBind XMLObject.frameIdBind}. L'ensemble des proprits de la
* classe XMLObjectCookie est une restriction de l'ensemble des proprits de la classe XMLObject. L'usage de l'une ou de l'autre dpend du cas
* d'utilisation mtier.
* @private
* @type String
* @version 1.1
* @date 25/10/2005
*/  
  this.frameIdBind = frameIdBind;
/**
* Proprit prive  divIdBind : voir {@link XMLObject#divIdBind XMLObject.divIdBind}. L'ensemble des proprits de la classe
* XMLObjectCookie est une restriction de l'ensemble des proprits de la classe XMLObject. L'usage de l'une ou de l'autre dpend du cas d'utilisation
* mtier.
* @private
* @type String
* @version 1.1
* @date 25/10/2005
*/  
  this.divIdBind = divId;
/**
* Proprit publique divBind : voir {@link XMLObject#divBind XMLObject.divBind}. L'ensemble des proprits de la classe XMLObjectCookie
* est une restriction de l'ensemble des proprits de la classe XMLObject. L'usage de l'une ou de l'autre dpend du cas d'utilisation mtier.
* @public
* @type String
* @version 1.1
* @date 25/10/2005
*/  
  this.divBind = null;
/**
* Proprit prive  divBindMessage : voir {@link XMLObject#divBindMessage XMLObject.divBindMessage}. L'ensemble des proprits
* de la classe XMLObjectCookie est une restriction de l'ensemble des proprits de la classe XMLObject. L'usage de l'une ou de l'autre dpend du cas
* d'utilisation mtier.
* @private
* @type String
* @version 1.1
* @date 25/10/2005
*/  
  this.divBindMessage = null;
/**
* Proprit publique xmlDoc : voir {@link XMLObject#xmlDoc XMLObject.xmlDoc}. L'ensemble des proprits de la classe XMLObjectCookie
* est une restriction de l'ensemble des proprits de la classe XMLObject. L'usage de l'une ou de l'autre dpend du cas d'utilisation mtier.
* @public
* @type* XMLObject
* @version 1.1
* @date 25/10/2005
*/   
  this.xmlDoc = null;
/**
* Proprit prive  cookieNameXML : voir {@link XMLObject#cookieNameXML XMLObject.cookieNameXML}. L'ensemble des
* proprits de la classe XMLObjectCookie est une restriction de l'ensemble des proprits de la classe XMLObject. L'usage de l'une ou de l'autre
* dpend du cas d'utilisation mtier.
* @private
* @type String
* @version 1.1
* @date 25/10/2005
*/  
  this.cookieNameXML = cookieNameXML;
/**
* L'lment  argv  dans la classe XMLObjectCookie n'est pas une proprit, il permet de rcuprer dans un tableau les arguments passs en paramtres 
* du constructeur de la classe (utile dans le cas des paramtres optionnels, pour reprer les paramtres qui ont t soumis par le dveloppeur).
* Il est dclar 'var'.
* @private
* @type String
* @version 1.1
* @date 25/10/2005
*/   
  var argv = XMLObjectCookie.arguments;
/**
* L'lment  argc  dans la classe XMLObjectCookie n'est pas une proprit, il permet de rcuprer le nombre d'arguments passs en paramtres 
* du constructeur de la classe (utile dans le cas des paramtres optionnels, pour compter les paramtres  soumis par le dveloppeur).
* Il est dclar 'var'.
* @private
* @type String
* @version 1.1
* @date 25/10/2005
*/  
  var argc = XMLObjectCookie.arguments.length;
/**
* Proprit prive  cookiePathXML : voir {@link XMLObject#cookiePathXML XMLObject.cookiePathXML}.  L'ensemble des proprits
* de la classe XMLObjectCookie est une restriction de l'ensemble des proprits de la classe XMLObject. L'usage de l'une ou de l'autre dpend du cas
* d'utilisation mtier.
* @private
* @type String
* @version 1.1
* @date 25/10/2005
*/  
  this.cookiePathXML = (argc > 4) ? argv[4] : null;
/**
* Proprit prive  cookieDomainXML : voir {@link XMLObject#cookieDomainXML XMLObject.cookieDomainXML}. L'ensemble des
* proprits de la classe XMLObjectCookie est une restriction de l'ensemble des proprits de la classe XMLObject. L'usage de l'une ou de l'autre
* dpend du cas d'utilisation mtier.
* @private
* @type String
* @version 1.1
* @date 25/10/2005
*/  
  this.cookieDomainXML = (argc > 5) ? argv[5] : null;
/**
* Proprit prive  cookieSecureXML : voir {@link XMLObject#cookieSecureXML XMLObject.cookieSecureXML}. L'ensemble des
* proprits de la classe XMLObjectCookie est une restriction de l'ensemble des proprits de la classe XMLObject. L'usage de l'une ou de l'autre
* dpend du cas d'utilisation mtier.
* @private
* @type String
* @version 1.1
* @date 25/10/2005
*/  
  this.cookieSecureXML = (argc > 6) ? argv[6] : false;
/**
* Proprit prive  cookieMultiXML : voir {@link XMLObject#cookieMultiXML XMLObject.cookieMultiXML}. L'ensemble des
* proprits de la classe XMLObjectCookie est une restriction de l'ensemble des proprits de la classe XMLObject. L'usage de l'une ou de l'autre
* dpend du cas d'utilisation mtier.
* @private
* @type String
* @version 2.6
* @date 04/09/2007
*/  
  this.cookieMultiXML = (argc > 7) ? argv[7] : false;
/**
* Proprit prive  loadingImage : voir {@link XMLObject#loadingImage XMLObject.loadingImage}. L'ensemble des proprits
* de la classe XMLObjectCookie est une restriction de l'ensemble des proprits de la classe XMLObject. L'usage de l'une ou de l'autre dpend du cas
* d'utilisation mtier.
* @private
* @type String
* @version 2.1
* @date 13/07/2006
*/  
  this.loadingImage = "<img src='" + image_attente_src + "' width='100' height='40'/>";
/**
* Proprit prive  loadingMessage : voir {@link XMLObject#loadingMessage XMLObject.loadingMessage}. L'ensemble des proprits
* de la classe XMLObjectCookie est une restriction de l'ensemble des proprits de la classe XMLObject. L'usage de l'une ou de l'autre dpend du cas
* d'utilisation mtier.
* @private
* @type String
* @version 2.1
* @date 13/07/2006
*/    
  this.loadingMessage = "getLibelle('MSG_CLI_001')";  
/**
* Proprit prive  loadingClasse : voir {@link XMLObject#loadingClasse XMLObject.loadingClasse}. L'ensemble des proprits
* de la classe XMLObjectCookie est une restriction de l'ensemble des proprits de la classe XMLObject. L'usage de l'une ou de l'autre dpend du cas
* d'utilisation mtier.
* @private
* @type String
* @version 2.1
* @date 13/07/2006
*/  
  this.loadingClasse = "CGtxcodefonce";  

/**
* Proprit prive  boolLoadingMessage : voir {@link XMLObject#loadingMessage XMLObject.boolLoadingMessage}. L'ensemble des
* proprits de la classe XMLObjectCookie est une restriction de l'ensemble des proprits de la classe XMLObject. L'usage de l'une ou de l'autre
* dpend du cas d'utilisation mtier.
* @private
* @type String
* @version 1.1
* @date 25/10/2005
*/  
  this.boolLoadingMessage = boolLoadingMessage;

  // Gestion du DOM XML via des cookies
	/** commentaires jsdoc : voir aux dfinitions des fonctions appeles ci-dessous*/    
  this.importCookieXML = XMLObjectCookie_loadXML;
  this.debugXML = XMLObject_debugXML;
  this.saveLocalXML = XMLObject_saveLocalXML;
  this.deleteCookieXML = XMLObject_deleteCookieXML;
  this.saveCookieXML = XMLObject_saveCookieXML;
  this.saveCookieSessionXML = XMLObjectCookie_saveCookieSessionXML;
  this.parseErrorCookieXML = XMLObjectCookie_parseErrorXML;
  
  // Gestion de la gnration HTML associe
  this.initDivBindXML = XMLObject_initDivBindXML;

  // Gestion du message d'attente
  this.setDivBindMessage = XMLObject_setDivBindMessage;
  this.setLoadingMessage = XMLObject_setLoadingMessage;
  this.initLoadingMessage = XMLObject_initLoadingMessage;
  this.printLoadingMessage = XMLObject_printLoadingMessage;
  this.endPrintLoadingMessage = XMLObject_endPrintLoadingMessage;

  // Constructeur
  this.constructor = XMLObjectCookie_constructor;
  this.constructor();
}

//Constructeur pour l'objet de gestion d'un DOM
/**
* Le framework technique <a href='overview-summary-technique_fw_xml.js.html'>fw_xml.js</a>  propose la fonction   
* XMLObjectSauvegarde_constructor(); elle permet la configuration des lments de l'objet de gestion d'un DOM  {@link XMLObjectSauvegarde XMLObjectSauvegarde} lors de son instanciation.
* @see #XMLObjectSauvegarde
* @param {} Aucun
* @version 1.1
* @date 25/10/2005
*/
function XMLObjectSauvegarde_constructor()
{
  if (this.xmlDoc == null)
  {
    if (document.implementation && document.implementation.createDocument)
    {
      this.xmlDoc = document.implementation.createDocument("", "", null);
    }
    else if (window.ActiveXObject)
    {
      this.xmlDoc = new ActiveXObject("Microsoft.XMLDOM");
    }
    else
    {
      var test = GetCookie(":::langueSettings:::");
      if (test == null)
        test = "FR";
      alert(eval("ERR_CLI_ALERT_001_"+test));
      return;
    }
  }
}

//Fonction pour charger l'objet  partir d'un autre DOM
/**
* <b>Propre  la classe XMLObjectSauvegarde </b>- La mthode publique sauvegardeDOM(DOMSource) permet de sauvegarder un objet DOM, NodeList ou Node 
* (arborescence d'un flux XML complte ou seulement une partie) dj prsent en mmoire. Cette fonctionnalit peut permettre ainsi
* de dtecter des changements d'tat par comparaison d'objet DOM.
* <br><br> <b>Voir Exemple de sauveagrde d'un objet DOM : </b><a href='exemples_A3.html#XMLObjectSauvegarde_meth'>Exemples d'appels aux mthodes publiques</a>.
* @public
* @param {String_Facultatif} type String indiquant le type d'affichage de l'erreur si l'erreur ne s'affiche pas dans la page : "popup" affichage dans une fentre
* @return {void}
* @version 1.1
* @date 25/10/2005
*/ 
function XMLObjectSauvegarde_saveDomXML(DOMSource)
{
  if (document.implementation && document.implementation.createDocument)
  {
    var objDOMParser = new DOMParser();
    this.xmlDoc = objDOMParser.parseFromString(convertDOMtoString(DOMSource),"text/xml");
  }
  else if (window.ActiveXObject)
  	this.xmlDoc.loadXML(convertDOMtoString(DOMSource));
}

//Objet pour grer un DOM
/**
* Le constructeur retourne une instance de la classe XMLObjectObjectSauvegarde. Elle permet d'appeler les mthodes publiques associes  cette classe 
* ou d'interroger ses proprits publiques. Elle se contente de construire un objet DOM en mmoire.
* <br><br><b>Voir Exemple</b> d'instanciation de la classe XMLObjectSauvegarde : <a href='exemples_A3.html#XMLObjectSauvegarde_constr'>Exemples d'appels aux constructeurs</a>.
* @class  La classe <b>XMLObjectSauvegarde</b> est la classe permettant de grer en mmoire un flux XML dans un DOM,  partir de la cration d'un DOM,
* ou de l'utilisation en entier ou en partie d'un autre DOM.
* <br>L'ensemble des proprits de la classe XMLObjectSauvegarde est une restriction de l'ensemble des proprits de la classe {@link XMLObject XMLObject}. L'usage de l'une
* ou de l'autre dpend du cas d'utilisation mtier.
* Seules les proprits lies  la gestion d'un cookie ({@link XMLObject#cookieNameXML cookieNameXML}, {@link XMLObject#cookiePathXML cookiePathXML},
* {@link  XMLObject#cookieDomainXML cookieDomainXML} et {@link XMLObject#cookieSecureXML cookieSecureXML}) et d'un objet DOM 
* ({@link XMLObject#xmlDoc xmlDoc}) sont conserves.
* <br><br>Le polymorphisme de cette classe permet de grer un objet DOM XML  partir de la cration d'un DOM, ou de l'utilisation en entier ou en partie d'un autre DOM.
* <br><br>Pour ce qui concerne les mthodes, le polymorphisme consiste  conserver les mthodes associes  la gestion d'un DOM XML comme la sauvegarde dans un cookie client
* disque ({@link XMLObject#initCookieXML initCookieXML}, {@link XMLObject#saveCookieXML saveCookieXML} et
* {@link XMLObject#deleteCookieXML deleteCookieXML}) ou dans un fichier disque ({@link XMLObject#saveLocalXML saveLocalXML}) et l'affichage dans une bote
* d'alerte du contenu du DOM XML ({@link XMLObject#debugXML debugXML}).
* <br><br>Par contre, une nouvelle mthode fait son apparition pour pouvoir effectuer la sauvegarde d'un objet DOM dans un autre DOM : {@link #sauvegardeDOM sauvegardeDOM(DOMSource)}.
* <br><br><br><img src="Image.XMLObjectSauvegardeUML.png"/><br><br><br>
* @constructor
* @extend XMLObject
* @param {} Aucun
* @version 1.1
* @date 25/10/2005
*/ 
function XMLObjectSauvegarde()
{
  // Etat de l'objet  initialiser
/**
* Proprit publique xmlDoc : voir {@link XMLObject#xmlDoc XMLObject.xmlDoc}. L'ensemble des proprits de la classe
* XMLObjectSauvegarde est une restriction de l'ensemble des proprits de la classe XMLObject. L'usage de l'une ou de l'autre dpend du cas
* d'utilisation mtier.
* @public
* @type* XMLObject
* @version 1.1
* @date 25/10/2005
*/   
  this.xmlDoc = null;
/**
* Proprit prive  cookieNameXML : voir {@link XMLObject#cookieNameXML XMLObject.cookieNameXML}. L'ensemble des
* proprits de la classe XMLObjectSauvegarde est une restriction de l'ensemble des proprits de la classe XMLObject. L'usage de l'une ou de
* l'autre dpend du cas d'utilisation mtier.
* @private
* @type String
* @version 1.1
* @date 25/10/2005
*/  
  this.cookieNameXML = null;
/**
* Proprit prive  cookiePathXML : voir {@link XMLObject#cookiePathXML XMLObject.cookiePathXML}. L'ensemble des proprits
* de la classe XMLObjectSauvegarde est une restriction de l'ensemble des proprits de la classe XMLObject. L'usage de l'une ou de l'autre dpend du cas
* d'utilisation mtier.
* @private
* @type String
* @version 1.1
* @date 25/10/2005
*/  
  this.cookiePathXML = null;
/**
* Proprit prive  cookieDomainXML : voir {@link XMLObject#cookieDomainXML XMLObject.cookieDomainXML}.  L'ensemble des
* proprits de la classe XMLObjectSauvegarde est une restriction de l'ensemble des proprits de la classe XMLObject. L'usage de l'une ou de
* l'autre dpend du cas d'utilisation mtier.
* @private
* @type String
* @version 1.1
* @date 25/10/2005
*/  
  this.cookieDomainXML = null;
/**
* Proprit prive  cookieSecureXML : voir {@link XMLObject#cookieSecureXML XMLObject.cookieSecureXML} . L'ensemble des
* proprits de la classe XMLObjectSauvegarde est une restriction de l'ensemble des proprits de la classe XMLObject. L'usage de l'une ou de l'autre
* dpend du cas d'utilisation mtier.
* @private
* @type String
* @version 1.1
* @date 25/10/2005
*/  
  this.cookieSecureXML = false;
/**
* Proprit prive  cookieMultiXML : voir {@link XMLObject#cookieMultiXML XMLObject.cookieMultiXML}. L'ensemble des
* proprits de la classe XMLObjectSauvegarde est une restriction de l'ensemble des proprits de la classe XMLObject. L'usage de l'une ou de l'autre
* dpend du cas d'utilisation mtier.
* @private
* @type String
* @version 2.6
* @date 04/09/2007
*/  
  this.cookieMultiXML = false;
  
  // Gestion du DOM XML
	/** commentaires jsdoc : voir aux dfinitions des fonctions appeles ci-dessous*/  
  this.sauvegardeDOM = XMLObjectSauvegarde_saveDomXML;
  this.debugXML = XMLObject_debugXML;
  this.saveLocalXML = XMLObject_saveLocalXML;
  
  // Gestion du DOM XML via des flux XML sur cookies
  this.deleteCookieXML = XMLObject_deleteCookieXML;
  this.initCookieXML = XMLObject_initCookieXML;
  this.saveCookieXML = XMLObject_saveCookieXML;

  // Constructeur
  this.constructor = XMLObjectSauvegarde_constructor;
  this.constructor();
}

/**--------------------------------------------------------------------------
 * Bote  outils : tri rapide, Arboresence vide, 
 * interrogation et manipulation DOM
 *-------------------------------------------------------------------------*/

//Fonction pour grer le tri d'un tableau javascript de type Array suivant plusieurs critres
/**
* Le framework technique <a href='overview-summary-technique_fw_xml.js.html'>fw_xml.js</a>  propose la fonction globale  
* QuickSortRecursif(listeDonnee,listeType,listeOrdre,array); elle permet de grer le tri d'un tableau Array selon plusieurs critres. 
* @public
* @see Fonctions_Globales#QuickSort
* @param {Array_Obligatoire} listeDonnee : Tableau de String indiquant le nom des lments XML servant de critre de tri dans leur ordre d'application.
* @param {Array_Obligatoire} listeType : Tableau de String indiquant la typologie du critre de tri :<br>&middot;&nbsp; "" pour les chanes de caractres (par dfaut).<br>&middot;&nbsp; "NUMBER" pour les nombres.<br>&middot;&nbsp; "DATE" pour les dates.<br>&middot;&nbsp; "REFERENCE" pour les rfrences.
* @param {Array_Obligatoire} listeOrdre : Tableau de Boolen indiquant l'ordre de tri (true pour croissant, false pour dcroissant).
* @param {Array_Obligatoire} array : type Array en entre indiquant le tableau  trier.
* @return {Array_Obligatoire} type Array contenant le tableau  trier.
* @version 2.3
* @date 05/11/2006
*/
function QuickSortRecursif(listeDonnee,listeType,listeOrdre,array) {
	var result= [];
	
	var donnee=listeDonnee[0];
	var type=listeType[0];
	var ordre=listeOrdre[0];
	
	var newlisteDonnee=new Array();
	var newlisteType=new Array();
	var newlisteOrdre=new Array();
	for (var i=1 ; i<listeDonnee.length ; i++) {
		newlisteDonnee.push(listeDonnee[i]);
		newlisteType.push(listeType[i]);
		newlisteOrdre.push(listeOrdre[i]);		
	}
	
	// appel du tri
	QuickSortInitialise(donnee,type,array);

  // on prpare les tri suivant dans le bon ordre
  var sousliste= [];
	var critere = ""; 
	var oldcritere = ""; 
  var decalage=(ordre)?0:(array.length-1);
  
  for(var i=0 ; i<array.length; i++) {
  	var ind=Math.abs(i-decalage);
    critere = getDataElement(array[ind],donnee); 
    if ((newlisteDonnee.length != 0) && (oldcritere != "") && (critere != oldcritere)) {
    	if (sousliste.length != 1) {
      	var sousresult=QuickSortRecursif(newlisteDonnee,newlisteType,newlisteOrdre,sousliste);
	    	result=result.concat(sousresult);
	    } else {
		  	result=result.concat(sousliste);
	    }    
    	sousliste= [];
    } 
    sousliste.push(array[ind]);
    oldcritere=critere;    
  }
  if ((newlisteDonnee.length != 0) && (sousliste.length != 1)) {
	  var sousresult=QuickSortRecursif(newlisteDonnee,newlisteType,newlisteOrdre,sousliste);
  	result=result.concat(sousresult);
  } else {
  	result=result.concat(sousliste);
  }    
 
	return result;  
}

//Fonction pour prparer le tri d'un tableau javascript de type Array par ordre croissant
/**
* Le framework technique <a href='overview-summary-technique_fw_xml.js.html'>fw_xml.js</a>  propose la fonction globale  
* QuickSortInitialise(donnee,type,array); elle permet de prparer le tri d'un tableau Array selon un critre donn. 
* @public
* @see Fonctions_Globales#QuickSort
* @param {String_Obligatoire} donnee servant de critre de tri
* @param {String_Obligatoire} type de la donne servant critre de tri
* @param {Array_Obligatoire} type Array en entre/sortie indiquant le tableau  trier.
* @return {void}
* @version 2.3
* @date 05/11/2006
*/
function QuickSortInitialise(donnee,type,array) {
  // fonction qui extrait le critere de comparaison
  function getCritere(ligne) { 
    var critereString = getDataElement(ligne,donnee); 
    var critere = "";
		if (type=="NUMBER") {
	      if ((critereString==null) || (critereString==""))
	        critereString = "-9000000000000";
	      critere = Number(critereString.replace(",","."));
    } else if (type=="DATE") {
	      if ((critereString==null) || (critereString==""))
	        critereString = "01/01/1000";
	      critere = stringToDate(critereString);
    } else  {
      if ((critereString==null) || (critereString==""))
        critereString = "";
      critere = critereString;
    }
    return critere;
  }

  // on trie le tableau de lignes
  QuickSortTableau(getCritere,array);	
}

//Fonction pour trier un tableau javascript de type Array par ordre croissant
/**
* Le framework technique <a href='overview-summary-technique_fw_xml.js.html'>fw_xml.js</a>  propose la fonction globale  
* QuickSortTableau(getCritere,array); elle permet de trier le tableau Array selon l'ordre dfini par getCritere. 
* @public
* @see Fonctions_Globales#QuickSort
* @param {Function_Obligatoire} getCritere Fonction servant  extraire le critre de comparaison d'un lment du tableau
* @param {Array_Obligatoire} type Array en entre/sortie indiquant le tableau  trier.
* @return {void}
* @version 2.0
* @date 30/05/2006
*/
function QuickSortTableau(getCritere,array)
{
  // Premire tape : on rcupre les critres pour le tri
  var critere = [];
  for (var i=0; i<array.length; i++)
    critere.push(getCritere(array[i]));

  // la fonction qui change deux lments du tableau
  function swap(i,j) 
  {
    var tmp = array[i];
    array[i] = array[j];
    array[j] = tmp;
    tmp = critere[i];
    critere[i] = critere[j];
    critere[j] = tmp;
  }
  // la fonction principale
  function recursion(first,last)
  {
    // avons nous fini ?
    switch (last-first) {
      case 0:
        return;
      case 1:
        if (critere[first]>critere[last])
          swap(first,last);
        return;
    }

    // sinon, on se met au travail		
    var pivot = critere[first];
    var i = first+1;
    var j = last;
    // invariant : entre first+1 et i-1, les lments sont plus petits que le pivot
    // et entre j+1 et last, ils sont plus grands que le pivot
    while (i<=j)
    {
      if (critere[i]>pivot)
      {
        swap(i,j);
        j--;
      }
      else if (pivot>critere[j])
      {
        swap(i,j);
        i++;
      }
      else
      {
        i++;
        j--;
      }
    }
    // on met le pivot au bon endroit
    swap(first,j)
    // on trie les deux cts
    if (j>first)
      recursion(first,j);
    if (i<last)
      recursion(i,last);
  }

  // deuxime tape : on mlange le tableau (des fois qu'il serait djtri)
  var length = array.length;
  for (var i=0; i<length; i++)
  {
    var j = i + Math.floor((length-i) * Math.random());
    swap(i,j);
  }
  // troisime tape : on trie
  recursion(0,length-1);
}

//Fonction pour rcuprer une liste d'lments de mme nom sous la forme d'une collection d'lments XML
/**
* <b>Fonction de la bote  outils du framework client XML</b> <a href='overview-summary-technique_fw_xml.js.html'>fw_xml.js</a>;
* getElements(listeElements,nomElement) renvoie l'ensemble des lments XML (noeuds de l'arborescence) de mme nom
*  partir d'une arborescence DOM donne. Attention, cette fonction renvoie un objet de type collection. Il est ncessaire d'interroger cet objet par item
* pour manipuler un lment XML (Objet de type Node ou de type NodeList). La collection renvoye n'est en aucun cas un noeud de l'arborescence.
* <br><br>Pour illustrer le cadre d'utilisation de chaque fonction prsente dans la bote  outils, nous prenons le <a href="exemples_A3.html#fluxBoutils">flux XML suivant</a>.
* <br><b>Voir Exemple d'implmentation pour rcuprer l'ensemble des lments XML de nom COMMANDE : </b>
* <a href='exemples_A3.html#getElements_fctGlob'>Exemples d'appel aux fonctions globales</a>.
* <br><br><b>Fonction de la bote  outils du framework client XML </b>Chaque fonction, de cette bote   outils, propose une gestion interne d'erreur en renvoyant
* un boolen valoris  false lors d'une utilisation contre-indique. <span style="color: rgb(0, 153, 0);"> Pour tester cette valeur retourne et vrifier la prsence d'une erreur, il
* est prfrable de caster cette valeur avec l'objet JavaScript Boolean:</span> voir <a href="exemples_A3.html#boitOutils">Exemple d'implmentation</a>.
* @public
* @param {p_ObjectNodeList_Obligatoire} listeElements Pointeur sur une arborescence XML d'un objet DOM  tester (Objet de type NodeList).
* @param {String_Obligatoire} nomElement String indiquant le critre de recherche du nom des lments XML  rcuprer.
* @return {Array_DOMElement} Elle renvoie un tableau d'lment DOM comme rponse.
* @version 1.1
* @date 25/10/2005
*/
function getElements(listeElements,nomElement)
{
  if (estVide(listeElements))
    return new Array();
  else if (listeElements.getElementsByTagName(nomElement).length != 0)
    return listeElements.getElementsByTagName(nomElement);
  else
    return new Array();
}

//Fonction pour rcuprer la valeur d'un lment XML soit possdant un TextNode soit du type TextNode
 /**
* <b>Fonction de la bote  outils du framework client XML</b> <a href='overview-summary-technique_fw_xml.js.html'>fw_xml.js</a>;
* getData(Element) permet d'interroger un lment XML (Objet de type Node) prsent dans un objet DOM dont le contenu est de
* type texte (NodeType valoris  1 ou  3). Elle retourne une chane de caractres soit  la valeur du texte contenu soit  vide
* lors d'une valeur du texte  vide. Si l'interrogation rencontre une erreur (ex : non prsence du noeud interrog), la fonction renvoie false.
* <br><br>Pour illustrer le cadre d'utilisation de chaque fonction prsente dans la bote  outils, nous prenons le <a href="exemples_A3.html#fluxBoutils">flux XML suivant</a>.
* <br><b>Voir Exemple d'implmentation pour rcuprer la valeur du premier lment XML de tagName CODE :</b>
* <a href='exemples_A3.html#getData_fctGlob'>Exemples d'appel aux fonctions globales</a>.
* <br><br><b>Fonction de la bote  outils du framework client XML </b>Chaque fonction, de cette bote   outils, propose une gestion interne d'erreur en renvoyant
* un boolen valoris  false lors d'une utilisation contre-indique. <span style="color: rgb(0, 153, 0);"> Pour tester cette valeur retourne et vrifier la prsence d'une erreur, il
* est prfrable de caster cette valeur avec l'objet JavaScript Boolean:</span> voir <a href="exemples_A3.html#boitOutils">Exemple d'implmentation</a>.
* @public
* @param {p_ObjectNode_Obligatoire} Element Pointeur sur un lment XML  tester ayant un contenu de type texte (Objet Node avec un NodeType
* valoris  1 ou 3).
* @return {boolean} Elle renvoie un boolen comme rponse.
* @version 1.1
* @date 25/10/2005
*/
function getData(Element)
{
  if (!Element)
    return false;
  else if (Element.nodeType == 1)
  {
    if (estVide(Element))
    {
      return new String("");
    }
    else
    {
      if (Element.firstChild.nodeType == 3)
        return Element.firstChild.nodeValue;
      else
        return false;
    }
  }
  else if (Element.nodeType == 3)
    return Element.nodeValue;
  else
    return false;
}

//Fonction pour rcuprer la valeur d'un lment XML de contenu de type lments XML  partir du nom d'un de ses lments XML  interroger
/**
* <b>Fonction de la bote  outils du framework client XML</b> <a href='overview-summary-technique_fw_xml.js.html'>fw_xml.js</a>;
* getDataElement(Element, nomElement) permet d'interroger un lment XML prsent dans un objet DOM dont le contenu est de type
* lment (objet NodeList) pour rcuprer la valeur du texte d'un de ses lments XML (objets Node avec un NodeType
* valoris  1 ou 3)  partir de son nom. Elle retourne ainsi une chane de caractres soit  la valeur du texte contenu soit  
* vide lors d'une valeur du texte  vide. Si l'interrogation rencontre une erreur, la fonction renvoie false.
* <br><br>Pour illustrer le cadre d'utilisation de chaque fonction prsente dans la bote  outils, nous prenons le <a href="exemples_A3.html#fluxBoutils">flux XML suivant</a>.
* <br><b>Voir Exemple d'implmentation pour rcuprer la valeur de llment de tagName CODE du deuxime
* lment XML de tagName COMMANDE  :</b><a href='exemples_A3.html#getDataElement_fctGlob'>Exemples d'appel aux fonctions globales</a>.
* <br><br><b>Fonction de la bote  outils du framework client XML </b>Chaque fonction, de cette bote   outils, propose une gestion interne d'erreur en renvoyant
* un boolen valoris  false lors d'une utilisation contre-indique. <span style="color: rgb(0, 153, 0);"> Pour tester cette valeur retourne et vrifier la prsence d'une erreur, il
* est prfrable de caster cette valeur avec l'objet JavaScript Boolean:</span> voir <a href="exemples_A3.html#boitOutils">Exemple d'implmentation</a>.
* @public
* @param {p_NodeList_Obligatoire} Element Pointeur sur un lment XML  tester ayant un contenu de type lment(Objet de type NodeList).
* @param {String_Obligatoire} nomElement String indiquant le tagName de l'lment XML (Objet Node avec un NodeType valoris  3) prsent dans l'arborescence DOM associ au pointeur ci-dessus dont on dsire la valeur textuelle.
* @return {boolean} Elle renvoie un boolen comme rponse.
* @version 2.4
* @date 14/11/2006
*/
function getDataElement(Element, nomElement)
{
	var inspectAllChilds=true;// variable servant  dtermine si le retour doit prendre ne compte tout noeud fils enfant direct ou indirect, ou bien au contraire, ne prendre en compte que les fils directs.
	var argTab=getDataElement.arguments;
	if(argTab.length>2)
		if(argTab[2]==false)
			inspectAllChilds=false; 
			
  if (!Element)
    return false;
  else if (estVide(Element))
    return false;
    
  if(!inspectAllChilds) // si on ne souhaite retourner qu'un ventuel enfant direct
  {
  	var tempTab=getChildElements(Element,nomElement);
  	if(tempTab.length==0)
  		return false;
  	if(tempTab[0].parentNode!=Element)
			return false;
		else
    	return getData(tempTab[0]);
  }
  else //sinon
    return getData(Element.getElementsByTagName(nomElement)[0]);
}


//Fonction pour rcuprer la valeur d'un lment XML  partir d'une liste d'lments, de son numro d'item et de son nom
/**
* <b>Fonction de la bote  outils du framework client XML</b> <a href='overview-summary-technique_fw_xml.js.html'>fw_xml.js</a>;
* getDataElements(listeElements,nomElement,item) permet d'interroger un lment XML (objet NodeList) prsent dans un objet DOM dont
* le contenu est de type lment (NodeType  1) pour rcuprer la valeur du texte d'un de ses lments (objet Node) 
* partir de son nom et de sa position dans l'arborescence. Elle retourne ainsi une chane de caractres soit  la valeur du texte contenu soit  vide
* lors d'une valeur du texte  vide. Si l'interrogation rencontre une erreur, la fonction renvoie false.
* <br><br>Pour illustrer le cadre d'utilisation de chaque fonction prsente dans la bote  outils, nous prenons le <a href="exemples_A3.html#fluxBoutils">flux XML suivant</a>.
* <br><b>Voir Exemple d'implmentation pour rcuprer la valeur de l'lment de tagName CODE du troisime lment XML de tagName COMMANDE :  </b><a href='exemples_A3.html#getDataElements_fctGlob'>Exemples d'appel aux fonctions globales</a>.
* <br><br><b>Fonction de la bote  outils du framework client XML </b>Chaque fonction, de cette bote   outils, propose une gestion interne d'erreur en renvoyant
* un boolen valoris  false lors d'une utilisation contre-indique. <span style="color: rgb(0, 153, 0);"> Pour tester cette valeur retourne et vrifier la prsence d'une erreur, il
* est prfrable de caster cette valeur avec l'objet JavaScript Boolean:</span> voir <a href="exemples_A3.html#boitOutils">Exemple d'implmentation</a>.
* @public
* @param {p_ObjectNodeList_Obligatoire} listeElements Pointeur sur un lment XML (objet NodeList)  tester ayant un contenu de type lment.
* @param {String_Obligatoire}  nomElement String indiquant le tagName de l'lment XML (objet Node de NodeType  3) prsent dans 
* l'arborescence DOM associ au pointeur ci-dessus dont on dsire la valeur textuelle.
* @param {int_Obligatoire} item Entier indiquant la position dans l'arborescence de l'lment XML  interroger.
* @return {boolean} Elle renvoie un boolen comme rponse.
* @version 1.1
* @date 25/10/2005
*/
function getDataElements(listeElements,nomElement,item)
{
  return getDataElement(listeElements[item],nomElement);
}

//Fonction pour ajouter un lment XML  une arborescence d'lments XML (DOM)
/**
* <b>Fonction de la bote  outils du framework client XML</b> <a href='overview-summary-technique_fw_xml.js.html'>fw_xml.js</a>;
* ajoutElement(listeElements,Element) permet d'ajouter un lment XML (objet Node ou NodeList)  une arborescence XML (objet DOM ou
* NodeList). Cet lment est ajout  la fin de l'arborescence. <span style="color: rgb(255, 0, 0);">Attention, cette fonction n'implmente pas
* de gestion d'erreur et ne vrifie pas la cohrence de l'arborescence aprs l'ajout. Il est donc ncessaire de bien vrifier la
* cohrence de l'lment  ajouter vis--vis de l'arborescence XML manipule avant tout appel  cette fonction.</span>
* <br><br>Pour illustrer le cadre d'utilisation de chaque fonction prsente dans la bote  outils, nous prenons le <a href="exemples_A3.html#fluxBoutils">flux XML suivant</a>.
* <br><b>Voir Exemple d'implmentation pour ajouter une nouvelle commande dans l'arborescence XML :</b>
* <a href='exemples_A3.html#ajoutElement_fctGlob'>Exemples d'appel aux fonctions globales</a>.
* <br><br><b>Fonction de la bote  outils du framework client XML </b>Chaque fonction, de cette bote   outils, propose une gestion interne d'erreur en renvoyant
* un boolen valoris  false lors d'une utilisation contre-indique. <span style="color: rgb(0, 153, 0);"> Pour tester cette valeur retourne et vrifier la prsence d'une erreur, il
* est prfrable de caster cette valeur avec l'objet JavaScript Boolean:</span> voir <a href="exemples_A3.html#boitOutils">Exemple d'implmentation</a>.
* @public
* @param {p_XMLObject_ou_ObjectNodeList_Obligatoire} listeElements Pointeur sur une arborescence DOM o un lment doit tre ajout (objet DOM ou NodeList)
* @param {p_ObjectNodeList_ou_Node_Obligatoire} Element Pointeur sur un lment XML  ajouter (objet Node ou NodeList).
* @return {boolean}
* @version 1.1
* @date 25/10/2005
*/
function ajoutElement(listeElements,Element)
{
  listeElements.appendChild(Element);
}

//Fonction pour supprimer un lment d'une arborescence XML  partir de son numro d'item
/**
* <b>Fonction de la bote  outils du framework client XML</b> <a href='overview-summary-technique_fw_xml.js.html'>fw_xml.js</a>;
* suppressionElement(listeElements,item) permet de supprimer un lment XML (objet Node ou NodeList) d'une arborescence DOM (objet DOM
* ou NodeList) en lui passant la position d'arborescence de l'lment  supprimer. Si le passage de paramtres  cette fonction est
* erron, un retour  false indique une erreur dans la suppression.
* <br><br>Pour illustrer le cadre d'utilisation de chaque fonction prsente dans la bote  outils, nous prenons le <a href="exemples_A3.html#fluxBoutils">flux XML suivant</a>.
* <br><br><b>Voir Exemple d'implmentation pour supprimer la nouvelle commande ajoute dans l'arborescence XML  partir de l'
* {@link Fonctions_Globales#ajoutElement exemple prcdent} :</b><a href='exemples_A3.html#suppressionElement_fctGlob'>Exemples d'appel aux fonctions globales</a>.
* <br><b>Fonction de la bote  outils du framework client XML </b>Chaque fonction, de cette bote   outils, propose une gestion interne d'erreur en renvoyant
* un boolen valoris  false lors d'une utilisation contre-indique. <span style="color: rgb(0, 153, 0);"> Pour tester cette valeur retourne et vrifier la prsence d'une erreur, il
* est prfrable de caster cette valeur avec l'objet JavaScript Boolean:</span> voir <a href="exemples_A3.html#boitOutils">Exemple d'implmentation</a>.
* @public
* @param {ObjectNode_Obligatoire} listeElements Pointeur sur une arborescence DOM (objet DOM ou NodeList) o un lment
* XML (objet Node ou NodeList) doit tre supprim
* @param {int_Obligatoire} item Entier spcifiant l'indice ou la position de l'lment XML  supprimer.
* @return {boolean}
* @version 1.1
* @date 25/10/2005
*/
function suppressionElement(listeElements,item)
{
  if (listeElements.childNodes)
  {
    if (estVide(listeElements))
      return false;
    else if (listeElements.childNodes[item])
    {
      listeElements.removeChild(listeElements.childNodes[item]);
      return true;
    }
    else
      return false;
  } else {
    return false;
  }
}

//Fonction pour changer les valeurs de deux lments XML de contenu de type texte
/**
* <b>Fonction de la bote  outils du framework client XML</b> <a href='overview-summary-technique_fw_xml.js.html'>fw_xml.js</a>;
* echangeDataElement(Element1,Element2) offre la possibilit d'changer la valeur textuelle d'un lment XML (objet Node de
* NodeType  1 ou 3) de contenu de type texte avec la valeur d'un autre lment XML (objet Node de NodeType  1 ou 3) de contenu de type texte. 
* Cette fonction prend en compte la particularit des valeurs textuelles  vide et renvoie false dans le cas d'une mauvaise utilisation de cette 
* fonction.
* <br><br>Pour illustrer le cadre d'utilisation de chaque fonction prsente dans la bote  outils, nous prenons le <a href="exemples_A3.html#fluxBoutils">flux XML suivant</a>.
* <br><b>Voir Exemple d'implmentation pour changer les CODE entre la premire COMMANDE et la deuxime COMMANDE :
* </b><a href='exemples_A3.html#echangeDataElement_fctGlob'>Exemples d'appel aux fonctions globales</a>.
* <br><br><b>Fonction de la bote  outils du framework client XML </b>Chaque fonction, de cette bote   outils, propose une gestion interne d'erreur en renvoyant
* un boolen valoris  false lors d'une utilisation contre-indique. <span style="color: rgb(0, 153, 0);"> Pour tester cette valeur retourne et vrifier la prsence d'une erreur, il
* est prfrable de caster cette valeur avec l'objet JavaScript Boolean:</span> voir <a href="exemples_A3.html#boitOutils">Exemple d'implmentation</a>.
* @public
* @param {p_ObjectNode_Obligatoire} Element1 Pointeur sur un lment XML de contenu de type texte (objet Node de NodeType  1 ou 3).
* @param {p_ObjectNode_Obligatoire} Element2 Pointeur sur un lment XML de contenu de type texte (objet Node de NodeType  1 ou 3).
* @return {boolean}
* @version 1.1
* @date 25/10/2005
*/
function echangeDataElement(Element1,Element2)
{  
  if (Element1.firstChild)
  {
    if (Element1.firstChild.nodeType != 3)
      return false;
  } else {
    var newTextNode = Element1.ownerDocument.createTextNode("");
    ajoutElement(Element1,newTextNode);
  }
  if (Element2.firstChild)
  {
    if (Element2.firstChild.nodeType != 3)
      return false;
  } else {
    var newTextNode = Element2.ownerDocument.createTextNode("");
    ajoutElement(Element2,newTextNode);
  }
  var temp = getData(Element1);
  Element1.firstChild.nodeValue = getData(Element2);
  Element2.firstChild.nodeValue = temp;
  return true;
}

//Fonction pour modifier la valeur d'un lment XML de contenu de type Texte
/**
* <b>Fonction de la bote  outils du framework client XML</b> <a href='overview-summary-technique_fw_xml.js.html'>fw_xml.js</a>;
* modifieDataElement(Element,valeur) permet de modifier la valeur d'un lment XML (objet Node) de contenu de type texte avec une valeur
* passe en paramtre. Cette fonction prend en compte la particularit des valeurs textuelles dj prsentes  vide et renvoie
* false dans le cas d'une mauvaise utilisation de cette fonction.
* <br><br>Pour illustrer le cadre d'utilisation de chaque fonction prsente dans la bote  outils, nous prenons le <a href="exemples_A3.html#fluxBoutils">flux XML suivant</a>.
* <br><b>Voir Exemple d'implmentation pour valoriser un nouveau CODE sur la premire COMMANDE : </b>
* <a href='exemples_A3.html#modifieDataElement_fctGlob'>Exemples d'appel aux fonctions globales</a>.
* <br><br><b>Fonction de la bote  outils du framework client XML </b>Chaque fonction, de cette bote   outils, propose une gestion interne d'erreur en renvoyant
* un boolen valoris  false lors d'une utilisation contre-indique. <span style="color: rgb(0, 153, 0);"> Pour tester cette valeur retourne et vrifier la prsence d'une erreur, il
* est prfrable de caster cette valeur avec l'objet JavaScript Boolean:</span> voir <a href="exemples_A3.html#boitOutils">Exemple d'implmentation</a>.
* @public
* @param {p_ObjectNode_Obligatoire} Element Pointeur sur un lment XML de contenu de type texte manipuler (objet Node).
* @param {String_Obligatoire} valeur String indiquant la nouvelle valeur de l'lment XML.
* @return {boolean}
* @version 1.1
* @date 25/10/2005
*/
function modifieDataElement(Element,valeur)
{
  if (!Element)
    return false;
  if (Element.nodeType == 1)
  {
    if (estVide(Element))
    {
      var newTextNode = Element.ownerDocument.createTextNode(valeur);
      ajoutElement(Element,newTextNode);
      return true;
    } 
    else if (Element.firstChild.nodeType == 3)
    {
      Element.firstChild.nodeValue = valeur;
      return true;
    }
    else
      return false;
  }
  else if (Element.nodeType == 3)
  {
    Element.nodeValue = valeur;
    return true;
  }
  else
    return false;
}

//Fonction pour changer de place deux lments XML d'un DOM
/**
* <b>Fonction de la bote  outils du framework client XML</b> <a href='overview-summary-technique_fw_xml.js.html'>fw_xml.js</a>;
* echangeElement(listeElements,item1,item2)  offre la possibilit d'changer deux lements XML (objet Node ou NodeList) de type textuel
* situs  mme profondeur d'arborescence du DOM XML. En cas d'erreur, la fonction renvoie false.
* <br><br>Pour illustrer le cadre d'utilisation de chaque fonction prsente dans la bote  outils, nous prenons le <a href="exemples_A3.html#fluxBoutils">flux XML suivant</a>.
* <br><b>Voir Exemple d'implmentation pour changer les deux premires COMMANDE :</b>
* <a href='exemples_A3.html#echangeElement_fctGlob'>Exemples d'appel aux fonctions globales</a>.
* <br><br><b>Fonction de la bote  outils du framework client XML </b>Chaque fonction, de cette bote   outils, propose une gestion interne d'erreur en renvoyant
* un boolen valoris  false lors d'une utilisation contre-indique. <span style="color: rgb(0, 153, 0);"> Pour tester cette valeur retourne et vrifier la prsence d'une erreur, il
* est prfrable de caster cette valeur avec l'objet JavaScript Boolean:</span> voir <a href="exemples_A3.html#boitOutils">Exemple d'implmentation</a>.
* @public
* @param {p_XMLObject_ou_ObjectNodeList_Obligatoire} listeElements Pointeur sur l'arborescence DOM  traiter (objet NodeList ou DOM).
* @param {int_Obligatoire} item1 Entier indiquant la position dans le DOM du premier lment XML (objet Node ou NodeList)  changer.
* @param {int_Obligatoire} item2 Entier indiquant la position dans le DOM du deuxime lment XML (objet Node ou NodeList)  
* changer.
* @return{boolean}
* @version 1.1
* @date 25/10/2005
*/
function echangeElement(listeElements,item1,item2)
{
  var i=0;
  if (!listeElements)
    return false;
  if ( !(listeElements.childNodes[item1]) || !(listeElements.childNodes[item2]))
    return false;
  if ( (estVide(listeElements.childNodes[item1])) || (estVide(listeElements.childNodes[item2])) )
    return false;
  if (listeElements.childNodes[item1].childNodes.length == listeElements.childNodes[item2].childNodes.length)
  {
    var test, test2;
    if (listeElements.childNodes[item1].childNodes.length == 1)
    {
      test = getData(listeElements.childNodes[item2]);
      test2 = getData(listeElements.childNodes[item1]);
      if ((Boolean(test) == false) || (Boolean(test2) == false))
        return false;
      else
      {
        test = modifieDataElement(listeElements.childNodes[item1],test);
        test2 = modifieDataElement(listeElements.childNodes[item2],test2);
        if ((Boolean(test) == false) || (Boolean(test2) == false))
          return false;
        else
          return true;
      }
    } else {
      for (i=0;i<listeElements.childNodes[item1].childNodes.length;i++)
      {
        test = getData(listeElements.childNodes[item2].childNodes[i]);
        test2 = getData(listeElements.childNodes[item1].childNodes[i]);
        if ((Boolean(test) == false) || (Boolean(test2) == false))
          return false;
      }
      for (i=0;i<listeElements.childNodes[item1].childNodes.length;i++)
      {
        test = getData(listeElements.childNodes[item2].childNodes[i]);
        test2 = getData(listeElements.childNodes[item1].childNodes[i]);
        test = modifieDataElement(listeElements.childNodes[item1].childNodes[i],test);
        test2 = modifieDataElement(listeElements.childNodes[item2].childNodes[i],test2);
        if ((Boolean(test) == false) || (Boolean(test2) == false))
          return false;
      }
      return true;
    }
  }   
  else
    return false;
}

//Fonction pour remplacer un lment XML par un autre
/**
* <b>Fonction de la bote  outils du framework client XML</b> <a href='overview-summary-technique_fw_xml.js.html'>fw_xml.js</a>;
* copieElement(ElementSource, ElementDestination) permet de copier le contenu d'un lment XML
* (objet Node ou NodeList) dans un autre lment XML. <br>L'lment XML source et de destination n'ont pas besoin de figurer dans une mme
* arborescence DOM mais doivent possder la mme structure de contenu (typologie, nombre d'lments XML').<br>La copie ne s'effectue que sur une
* profondeur de 1  partir de l'lment copi.<br>En cas de mauvaise utilisation de cette fonction, une valeur  false est
* renvoye. Elle permet donc de tester la prsence d'une erreur de traitement.
* <br><br>Pour illustrer le cadre d'utilisation de chaque fonction prsente dans la bote  outils, nous prenons le <a href="exemples_A3.html#fluxBoutils">flux XML suivant</a>.
* <br><b>Voir Exemple d'implmentation pour copier la premire COMMANDE dans la deuxime COMMANDE :</b>
* <a href='exemples_A3.html#copieElement_fctGlob'>Exemples d'appel aux fonctions globales</a>.
* <br><br><b>Fonction de la bote  outils du framework client XML </b>Chaque fonction, de cette bote   outils, propose une gestion interne d'erreur en renvoyant
* un boolen valoris  false lors d'une utilisation contre-indique. <span style="color: rgb(0, 153, 0);"> Pour tester cette valeur retourne et vrifier la prsence d'une erreur, il
* est prfrable de caster cette valeur avec l'objet JavaScript Boolean:</span> voir <a href="exemples_A3.html#boitOutils">Exemple d'implmentation</a>.
* @public
* @param {p_ObjectNodeList_ou_ObjectNode_Obligatoire} ElementSource Pointeur sur l'lment XML  copier (objet Node ou NodeList).
* @param {p_ObjectNodeList_ou_ObjectNode_Obligatoire} ElementDestination Pointeur sur l'lment XML rsultat de la copie (objet Node ou NodeList).
* @return {boolean}
* @version 1.1
* @date 25/10/2005
*/
function copieElement(ElementSource, ElementDestination)
{
  var i=0;
  if (!(ElementSource) || !(ElementDestination))
    return false;
  if (!(ElementSource.childNodes) || !(ElementDestination.childNodes))
    return false;  
  if (ElementSource.childNodes.length == ElementDestination.childNodes.length)
  {
    var test;
    if (ElementDestination.childNodes.length == 1)
    {
      test = getData(ElementSource);
      if (Boolean(test) == false)
        return false;
      return modifieDataElement(ElementDestination, test);
    }
    else 
    {
      for (i=0;i<ElementDestination.childNodes.length;i++)
      {
        test = getData(ElementSource.childNodes[i]);
        if (Boolean(test) == false)
          return false;
      }
      for (i=0;i<ElementDestination.childNodes.length;i++)
      {
        test = getData(ElementSource.childNodes[i]);
        modifieDataElement(ElementDestination.childNodes[i],test);
        if (Boolean(test) == false)
          return false;
      }
      return true;
    }
  }
  else
    return false;
}

//Fonction pour srialiser un DOM dans une chane de caractres
/**
* <b>Fonction de la bote  outils du framework client XML</b> <a href='overview-summary-technique_fw_xml.js.html'>fw_xml.js</a>;
* convertDOMtoString(listeElements) permet de srialiser dans une chane de caractres toute arborescence DOM ou
* lment XML (objet DOM, NodeList ou Node). <br> Elle renvoie une chaine de caractres refltant le contenu de l'objet DOM ou false
* si mauvaise utilisation ou navigateur incompatible.
* <br><br>Pour illustrer le cadre d'utilisation de chaque fonction prsente dans la bote  outils, nous prenons le <a href="exemples_A3.html#fluxBoutils">flux XML suivant</a>.
* <br><b>Voir Exemple d'implmentation pour afficher l'ensemble des commandes dans une bote d'alert :</b>
* <a href='exemples_A3.html#convertDOMtoString_fctGlob'>Exemples d'appel aux fonctions globales</a>.
* <br><br><b>Fonction de la bote  outils du framework client XML </b>Chaque fonction, de cette bote   outils, propose une gestion interne d'erreur en renvoyant
* un boolen valoris  false lors d'une utilisation contre-indique. <span style="color: rgb(0, 153, 0);"> Pour tester cette valeur retourne et vrifier la prsence d'une erreur, il
* est prfrable de caster cette valeur avec l'objet JavaScript Boolean:</span> voir <a href="exemples_A3.html#boitOutils">Exemple d'implmentation</a>.
* @public
* @param {p_XMLObject_ou_ObjectNodeList_ou_ObjectNode_Obligatoire} listeElements Pointeur sur l'lment XML ou l'objet DOM  srialiser en 
* String (objet DOM, Nodelist ou Node)
* @return {boolean}
* @version 1.1
* @date 25/10/2005
*/
function convertDOMtoString(listeElements)
{
  if (!listeElements)
    return false;
  if (document.implementation && document.implementation.createDocument)
  {
    var objXMLSerializer = new XMLSerializer;
    return objXMLSerializer.serializeToString(listeElements);
  }
  else if (window.ActiveXObject)
  {
    return listeElements.xml;
  }
  else
  {
    var test = GetCookie(":::langueSettings:::");
    if (test == null)
      test = "FR";
    alert(eval("ERR_CLI_ALERT_003_"+test));
    return false;
  }
}


//Fonction pour dsrialiser un DOM  partir d'une chane de caractres
/**
* <b>Fonction de la bote  outils du framework client XML</b> <a href='overview-summary-technique_fw_xml.js.html'>fw_xml.js</a>;
* convertStringToDOM(chaineXML) permet de dsrialiser  partir d'une chane de caractres toute l'arborescence DOM d'un flux
* XML srialis.<br> Elle renvoie un objet de type DOMElement correspondant au flux XML srialis
* dans la chaine de caractres passe en paramtre.
* @public
* @param {String_Obligatoire} chaineXML : chaine de caractres reprsentant un flux XML 
* @return {DOMElement} Objet de type DOMElement contenant le flux XML dsrialis ou null
* dans le cas d'une erreur. 
* @version 2.6
* @date 04/09/2007
*/
function convertStringToDOM(chaineXML)
{
	var result = null;  // Variable  retourner en fin de fonction
	
	// Vrification du contenu de la chaine de caractres en entre
	if (chaineXML == "" || chaineXML == null || chaineXML == "null")
		return result;

	// Construction de la grappe XML de retour
	try {
	  if (document.implementation && document.implementation.createDocument)
	  {
	    var objDOMParser = new DOMParser();
	    result = objDOMParser.parseFromString(chaineXML,"text/xml");
	  }
	  else if (window.ActiveXObject) {
	  	result = new ActiveXObject("Microsoft.XMLDOM");
	  	result.loadXML(chaineXML);
	  }
  } catch (e) {
  	result = null;
  }
  
  return result;
}

// Fonction pour rcuprer la liste de tous les lments enfants direct du noeud "node", 
// et plus spcialement ceux portant le nom "tagName" (si tagName diffrent de null),
// sous la forme d'une collection d'lments XML.
/**
* Le framework technique <a href='overview-summary-technique_fw_xml.js.html'>fw_xml.js</a>  propose la fonction globale  
* getChildElements(node,tagName); elle permet de rcuprer la liste de tous les lments enfants direct du noeud "node", 
* et plus spcialement ceux portant le nom "tagName" (si tagName diffrent de null), sous la forme d'une collection d'lments XML.
* @public
* @param {XMLObject_Obligatoire} node Elment XML du flux dont il s'agit de rcuprer la liste des lments enfants.
* @param {String_Facultatif} tagName Nom port par les lments enfants directs   rcuprer du noeud "node".
* @return {Array} le tableau des lments XML enfants directs du noeud "node" s'il en contient, null sinon.
* @version 2.3
* @date 28/09/2006
*/
function getChildElements(node,tagName)
{
  if (estVide(node))
    return null;
  var result=new Array();
  var childreen = node.childNodes;
  for (var i=0;i<childreen.length;i++) {
    if (childreen[i].nodeType==1) { // uniquement les noeuds de type "element"
      if ( (tagName==null) || (childreen[i].tagName==tagName) )
        result.push(childreen[i]);
    }
  }
  return result;
}


// Fonction permettant d'insrer une grappe XML (objet XMLDocument, NodeList ou Node)
// dans un objet DOM.

/**
* La fonction globale clonerElement(nodeSource, DOMCible) permet de copier nodeSource dans 
* le noeud d'un DOM DOMCible. La technique utilise ici est la duplication dans le DOMCible
* (cration de nouveaux lments). Seuls les lments et les donnes textuelles sont clons. 
* @public
* @param {ObjectNode_Obligatoire} nodeSource : lment  recopier.
* @param {ObjectNode_Obligatoire} nodeCible : lment cible.
* @return {boolean} Retourne VRAI si le clonage a fonctionn, FAUX sinon. 
* @version 2.5
* @date 14/02/2007
*/
function clonerElement(nodeSource, nodeCible) {
	var cptNodeSource; // Compteur de noeuds
	var rootDOMCible;  // XMLDocument de l'lment cible 
	var nouvNoeud; // Nouveau noeud
	
	// Test du node source
	if (nodeSource == null)
		return false;

	// Test du node cible (noeud de type ELEMENT ou DOCUMENT)
	if (nodeCible.nodeType != 1 && nodeCible.nodeType != 9)
		return false;
	
	// Recherche du noeud XMLDocument de la cible
	if (nodeCible.ownerDocument != null)
		rootDOMCible = nodeCible.ownerDocument;
	else
		rootDOMCible = nodeCible;
	
	// Cration du noeud pre de la source dans la cible
	if (nodeSource.nodeType == 1) {
		// Noeud lment
		nouvNoeud = rootDOMCible.createElement(nodeSource.nodeName);
	  nodeCible.appendChild(nouvNoeud);
	} else if (nodeSource.nodeType == 3) {
		// Noeud text
		nouvNoeud = rootDOMCible.createTextNode(nodeSource.nodeValue);
	  nodeCible.appendChild(nouvNoeud);		
	} else nouvNoeud = nodeCible;

	// Parcours des noeuds source enfants
	for (cptNodeSource = 0; cptNodeSource < nodeSource.childNodes.length; cptNodeSource++)
		clonerElement(nodeSource.childNodes[cptNodeSource], nouvNoeud);
	
	return true;
}

/**
* La fonction globale getTextElement(element) permet d'accder au contenu texte d'une balise xml.
* Ce contenu demande un accs diffrent selon le navigateur utilis.<br> 
* @public
* @param {Element_Obligatoire} element : lment xml.
* @return {String} Contenu du noeud ou null 
* @version 2.6
* @date 04/09/2007
*/
function getTextElement(element){
	if(element.text && element.text!="")
		return element.text;
	else
		if(element.textContent && element.textContent!="")
			return element.textContent;
		else
			return null;
}